-- Insert Models
INSERT INTO "model" ("UUID", "NAME", "DESCRIPTION", "MODEL_TYPE", "DATA_TYPE", "GRANULARITY", "FEATURES", "OUTPUTS", "TARGET", "TIMESTAMP", "FRAMEWORKS", "ALGORITHM", "CREATED_AT", "UPDATED_AT", "DELETED") VALUES
('e02f2aed-cd29-4703-8faf-2dcab9fc668e',	'demo_binary_model',	NULL,	'BINARY',	'TABULAR',	'HOUR',	'[{"name": "age", "type": "int", "field_type": "numerical"}, {"name": "workclass", "type": "string", "field_type": "categorical"}, {"name": "fnlwgt", "type": "int", "field_type": "numerical"}, {"name": "education", "type": "string", "field_type": "categorical"}, {"name": "educational-num", "type": "int", "field_type": "numerical"}, {"name": "marital-status", "type": "string", "field_type": "categorical"}, {"name": "occupation", "type": "string", "field_type": "categorical"}, {"name": "relationship", "type": "string", "field_type": "categorical"}, {"name": "race", "type": "string", "field_type": "categorical"}, {"name": "gender", "type": "string", "field_type": "categorical"}, {"name": "capital-gain", "type": "int", "field_type": "numerical"}, {"name": "capital-loss", "type": "int", "field_type": "numerical"}, {"name": "hours-per-week", "type": "int", "field_type": "numerical"}, {"name": "native-country", "type": "string", "field_type": "categorical"}, {"name": "pred_id", "type": "string", "field_type": "categorical"}]',	'{"output": [{"name": "prob_class_1", "type": "float", "field_type": "numerical"}, {"name": "prediction", "type": "int", "field_type": "numerical"}], "prediction": {"name": "prediction", "type": "int", "field_type": "numerical"}, "prediction_proba": {"name": "prob_class_1", "type": "float", "field_type": "numerical"}}',	'{"name": "income_>50K", "type": "int", "field_type": "categorical"}',	'{"name": "timestamp", "type": "datetime", "field_type": "datetime"}',	NULL,	NULL,	NOW(),	NOW(),	'f'),
('756204a0-a6ba-44c2-b287-ca828e2b2441',	'demo_multiclass_model',	NULL,	'MULTI_CLASS',	'TABULAR',	'DAY',	'[{"name": "age", "type": "int", "field_type": "numerical"}, {"name": "sex", "type": "int", "field_type": "numerical"}, {"name": "cp", "type": "int", "field_type": "numerical"}, {"name": "trestbps", "type": "int", "field_type": "numerical"}, {"name": "chol", "type": "int", "field_type": "numerical"}, {"name": "fbs", "type": "int", "field_type": "numerical"}, {"name": "restecg", "type": "int", "field_type": "numerical"}, {"name": "thalach", "type": "int", "field_type": "numerical"}, {"name": "exang", "type": "int", "field_type": "numerical"}, {"name": "oldpeak", "type": "float", "field_type": "numerical"}, {"name": "slope", "type": "int", "field_type": "numerical"}, {"name": "ca", "type": "int", "field_type": "numerical"}, {"name": "thal", "type": "int", "field_type": "numerical"}, {"name": "pred_id", "type": "string", "field_type": "categorical"}]',	'{"output": [{"name": "prediction", "type": "int", "field_type": "numerical"}, {"name": "prediction_proba", "type": "float", "field_type": "numerical"}], "prediction": {"name": "prediction", "type": "int", "field_type": "numerical"}, "prediction_proba": {"name": "prediction_proba", "type": "float", "field_type": "numerical"}}',	'{"name": "ground_truth", "type": "int", "field_type": "categorical"}',	'{"name": "timestamp", "type": "datetime", "field_type": "datetime"}',	NULL,	NULL,	NOW(),	NOW(),	'f'),
('6c48c7e1-442b-4c48-a218-95d07f40a805',	'demo_regression_model',	NULL,	'REGRESSION',	'TABULAR',	'DAY',	'[{"name": "Sex", "type": "string", "field_type": "categorical"}, {"name": "Length", "type": "float", "field_type": "numerical"}, {"name": "Diameter", "type": "float", "field_type": "numerical"}, {"name": "Height", "type": "float", "field_type": "numerical"}, {"name": "Whole_weight", "type": "float", "field_type": "numerical"}, {"name": "Shucked_weight", "type": "float", "field_type": "numerical"}, {"name": "Viscera_weight", "type": "float", "field_type": "numerical"}, {"name": "Shell_weight", "type": "float", "field_type": "numerical"}, {"name": "pred_id", "type": "string", "field_type": "categorical"}]',	'{"output": [{"name": "prediction", "type": "int", "field_type": "numerical"}], "prediction": {"name": "prediction", "type": "int", "field_type": "numerical"}, "prediction_proba": null}',	'{"name": "ground_truth", "type": "int", "field_type": "numerical"}',	'{"name": "timestamp", "type": "datetime", "field_type": "datetime"}',	NULL,	NULL,	NOW(),	NOW(),	'f');

-- Insert reference dataset
INSERT INTO "reference_dataset" ("UUID", "MODEL_UUID", "PATH", "DATE", "STATUS") VALUES
('db15546e-16a3-4482-8317-323d66dbe409',	'e02f2aed-cd29-4703-8faf-2dcab9fc668e',	's3://test-bucket/e02f2aed-cd29-4703-8faf-2dcab9fc668e/reference/db15546e-16a3-4482-8317-323d66dbe409/reference-income.csv',	NOW(),	'SUCCEEDED'),
('d8cb36a9-2f8b-4e45-bab0-aeaa259a9f46',	'756204a0-a6ba-44c2-b287-ca828e2b2441',	's3://test-bucket/756204a0-a6ba-44c2-b287-ca828e2b2441/reference/d8cb36a9-2f8b-4e45-bab0-aeaa259a9f46/3_classes_reference.csv',	NOW(),	'SUCCEEDED'),
('6ae1390e-656a-45aa-acd4-6f6b38e6acf4',	'6c48c7e1-442b-4c48-a218-95d07f40a805',	's3://test-bucket/6c48c7e1-442b-4c48-a218-95d07f40a805/reference/6ae1390e-656a-45aa-acd4-6f6b38e6acf4/regression_abalone_reference.csv',	NOW(),	'SUCCEEDED');

-- Insert current dataset
INSERT INTO "current_dataset" ("UUID", "MODEL_UUID", "PATH", "DATE", "CORRELATION_ID_COLUMN", "STATUS") VALUES
('b73334fb-aac0-400c-9103-fe894e13bd95',	'e02f2aed-cd29-4703-8faf-2dcab9fc668e',	's3://test-bucket/e02f2aed-cd29-4703-8faf-2dcab9fc668e/current/b73334fb-aac0-400c-9103-fe894e13bd95/current1-income.csv',	NOW(),	NULL,	'SUCCEEDED'),
('dda74c14-91de-4ae8-a432-3a2f8ccdd153',	'756204a0-a6ba-44c2-b287-ca828e2b2441',	's3://test-bucket/756204a0-a6ba-44c2-b287-ca828e2b2441/current/dda74c14-91de-4ae8-a432-3a2f8ccdd153/3_classes_current1.csv',	NOW(),	NULL,	'SUCCEEDED'),
('edb6ed6c-6e2d-44fa-8a60-40540aec9c03',	'6c48c7e1-442b-4c48-a218-95d07f40a805',	's3://test-bucket/6c48c7e1-442b-4c48-a218-95d07f40a805/current/edb6ed6c-6e2d-44fa-8a60-40540aec9c03/regression_abalone_current1.csv',	NOW(),	NULL,	'SUCCEEDED');

-- Insert reference metrics
INSERT INTO "reference_dataset_metrics" ("UUID", "REFERENCE_UUID", "MODEL_QUALITY", "DATA_QUALITY", "STATISTICS") VALUES
('f8abdb7a-f03d-4ee6-8139-c31f237f871e',	'db15546e-16a3-4482-8317-323d66dbe409',	'{"f1": 0.8512557559815072, "recall": 0.6145404663923183, "accuracy": 0.8563333333333333, "log_loss": 2.4781894979586054, "f_measure": 0.6752072343632253, "precision": 0.7491638795986622, "area_under_pr": 0.7894282641864298, "area_under_roc": 0.9170999040203395, "weighted_recall": 0.8563333333333333, "true_positive_rate": 0.6145404663923183, "weighted_f_measure": 0.8512557559815072, "weighted_precision": 0.8504885379797771, "false_positive_rate": 0.06605019815059446, "true_negative_count": 2121, "true_positive_count": 448, "false_negative_count": 281, "false_positive_count": 150, "weighted_true_positive_rate": 0.8563333333333333, "weighted_false_positive_rate": 0.3078430650916095}',	'{"class_metrics": [{"name": "0.0", "count": 2271, "percentage": 75.7}, {"name": "1.0", "count": 729, "percentage": 24.3}], "n_observations": 3000, "feature_metrics": [{"max": 90.0, "min": 17.0, "std": 13.864871598529266, "mean": 38.47266666666667, "type": "numerical", "histogram": {"buckets": [17.0, 24.3, 31.6, 38.9, 46.2, 53.5, 60.8, 68.1, 75.4, 82.7, 90.0], "current_values": null, "reference_values": [550, 512, 571, 563, 344, 230, 161, 37, 24, 8]}, "feature_name": "age", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 37.0, "perc_25": 28.0, "perc_75": 47.0}, "class_median_metrics": []}, {"max": 816750.0, "min": 19678.0, "std": 102461.4284653126, "mean": 190236.041, "type": "numerical", "histogram": {"buckets": [19678.0, 99385.2, 179092.4, 258799.59999999998, 338506.8, 418214.0, 497921.19999999995, 577628.4, 657335.6, 737042.7999999999, 816750.0], "current_values": null, "reference_values": [502, 982, 896, 356, 181, 44, 24, 10, 3, 2]}, "feature_name": "fnlwgt", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 179991.5, "perc_25": 119100.25, "perc_75": 240467.25}, "class_median_metrics": []}, {"max": 16.0, "min": 1.0, "std": 2.5735047391085297, "mean": 10.091, "type": "numerical", "histogram": {"buckets": [1.0, 2.5, 4.0, 5.5, 7.0, 8.5, 10.0, 11.5, 13.0, 14.5, 16.0], "current_values": null, "reference_values": [20, 26, 109, 83, 161, 961, 788, 112, 644, 96]}, "feature_name": "educational-num", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 10.0, "perc_25": 9.0, "perc_75": 12.0}, "class_median_metrics": []}, {"max": 99999.0, "min": 0.0, "std": 6266.35748559283, "mean": 910.7326666666667, "type": "numerical", "histogram": {"buckets": [0.0, 9999.9, 19999.8, 29999.699999999997, 39999.6, 49999.5, 59999.399999999994, 69999.3, 79999.2, 89999.09999999999, 99999.0], "current_values": null, "reference_values": [2932, 49, 8, 0, 1, 0, 0, 0, 0, 10]}, "feature_name": "capital-gain", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.0, "perc_25": 0.0, "perc_75": 0.0}, "class_median_metrics": []}, {"max": 4356.0, "min": 0.0, "std": 383.96126494781635, "mean": 79.848, "type": "numerical", "histogram": {"buckets": [0.0, 435.6, 871.2, 1306.8000000000002, 1742.4, 2178.0, 2613.6000000000004, 3049.2000000000003, 3484.8, 3920.4, 4356.0], "current_values": null, "reference_values": [2871, 2, 0, 46, 68, 12, 0, 0, 0, 1]}, "feature_name": "capital-loss", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.0, "perc_25": 0.0, "perc_75": 0.0}, "class_median_metrics": []}, {"max": 99.0, "min": 1.0, "std": 12.664133131731317, "mean": 40.074333333333335, "type": "numerical", "histogram": {"buckets": [1.0, 10.8, 20.6, 30.400000000000002, 40.2, 50.0, 59.800000000000004, 69.60000000000001, 79.4, 89.2, 99.0], "current_values": null, "reference_values": [72, 232, 223, 1612, 299, 340, 144, 41, 23, 14]}, "feature_name": "hours-per-week", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 40.0, "perc_25": 40.0, "perc_75": 45.0}, "class_median_metrics": []}, {"type": "categorical", "feature_name": "workclass", "missing_value": {"count": 177, "percentage": 5.8999999999999995}, "distinct_value": 7, "category_frequency": [{"name": "Self-emp-not-inc", "count": 220, "frequency": 0.07333333333333333}, {"name": "Local-gov", "count": 190, "frequency": 0.06333333333333334}, {"name": "State-gov", "count": 122, "frequency": 0.04066666666666666}, {"name": "Private", "count": 2102, "frequency": 0.7006666666666667}, {"name": "Without-pay", "count": 2, "frequency": 0.0006666666666666666}, {"name": "Federal-gov", "count": 94, "frequency": 0.03133333333333333}, {"name": "Self-emp-inc", "count": 93, "frequency": 0.031}]}, {"type": "categorical", "feature_name": "education", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 16, "category_frequency": [{"name": "Masters", "count": 153, "frequency": 0.051}, {"name": "10th", "count": 83, "frequency": 0.027666666666666666}, {"name": "5th-6th", "count": 26, "frequency": 0.008666666666666666}, {"name": "Assoc-acdm", "count": 112, "frequency": 0.037333333333333336}, {"name": "Assoc-voc", "count": 131, "frequency": 0.043666666666666666}, {"name": "7th-8th", "count": 64, "frequency": 0.021333333333333333}, {"name": "9th", "count": 45, "frequency": 0.015}, {"name": "HS-grad", "count": 961, "frequency": 0.32033333333333336}, {"name": "Bachelors", "count": 491, "frequency": 0.16366666666666665}, {"name": "11th", "count": 112, "frequency": 0.037333333333333336}, {"name": "1st-4th", "count": 12, "frequency": 0.004}, {"name": "Preschool", "count": 8, "frequency": 0.0026666666666666666}, {"name": "12th", "count": 49, "frequency": 0.01633333333333333}, {"name": "Doctorate", "count": 39, "frequency": 0.013}, {"name": "Some-college", "count": 657, "frequency": 0.219}, {"name": "Prof-school", "count": 57, "frequency": 0.019}]}, {"type": "categorical", "feature_name": "marital-status", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 7, "category_frequency": [{"name": "Separated", "count": 95, "frequency": 0.03166666666666667}, {"name": "Never-married", "count": 1045, "frequency": 0.34833333333333333}, {"name": "Married-spouse-absent", "count": 33, "frequency": 0.011}, {"name": "Divorced", "count": 384, "frequency": 0.128}, {"name": "Widowed", "count": 86, "frequency": 0.028666666666666667}, {"name": "Married-AF-spouse", "count": 2, "frequency": 0.0006666666666666666}, {"name": "Married-civ-spouse", "count": 1355, "frequency": 0.45166666666666666}]}, {"type": "categorical", "feature_name": "occupation", "missing_value": {"count": 177, "percentage": 5.8999999999999995}, "distinct_value": 14, "category_frequency": [{"name": "Sales", "count": 324, "frequency": 0.108}, {"name": "Exec-managerial", "count": 372, "frequency": 0.124}, {"name": "Prof-specialty", "count": 376, "frequency": 0.12533333333333332}, {"name": "Handlers-cleaners", "count": 132, "frequency": 0.044}, {"name": "Farming-fishing", "count": 95, "frequency": 0.03166666666666667}, {"name": "Craft-repair", "count": 364, "frequency": 0.12133333333333333}, {"name": "Transport-moving", "count": 150, "frequency": 0.05}, {"name": "Priv-house-serv", "count": 11, "frequency": 0.0036666666666666666}, {"name": "Protective-serv", "count": 60, "frequency": 0.02}, {"name": "Other-service", "count": 303, "frequency": 0.101}, {"name": "Tech-support", "count": 86, "frequency": 0.028666666666666667}, {"name": "Machine-op-inspct", "count": 185, "frequency": 0.06166666666666667}, {"name": "Armed-Forces", "count": 1, "frequency": 0.0003333333333333333}, {"name": "Adm-clerical", "count": 364, "frequency": 0.12133333333333333}]}, {"type": "categorical", "feature_name": "relationship", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 6, "category_frequency": [{"name": "Own-child", "count": 509, "frequency": 0.16966666666666666}, {"name": "Not-in-family", "count": 760, "frequency": 0.25333333333333335}, {"name": "Unmarried", "count": 295, "frequency": 0.09833333333333333}, {"name": "Wife", "count": 139, "frequency": 0.04633333333333333}, {"name": "Other-relative", "count": 107, "frequency": 0.035666666666666666}, {"name": "Husband", "count": 1190, "frequency": 0.39666666666666667}]}, {"type": "categorical", "feature_name": "race", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 5, "category_frequency": [{"name": "Other", "count": 22, "frequency": 0.007333333333333333}, {"name": "Amer-Indian-Eskimo", "count": 22, "frequency": 0.007333333333333333}, {"name": "White", "count": 2574, "frequency": 0.858}, {"name": "Asian-Pac-Islander", "count": 92, "frequency": 0.030666666666666665}, {"name": "Black", "count": 290, "frequency": 0.09666666666666666}]}, {"type": "categorical", "feature_name": "gender", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 2, "category_frequency": [{"name": "Female", "count": 998, "frequency": 0.33266666666666667}, {"name": "Male", "count": 2002, "frequency": 0.6673333333333333}]}, {"type": "categorical", "feature_name": "native-country", "missing_value": {"count": 54, "percentage": 1.7999999999999998}, "distinct_value": 37, "category_frequency": [{"name": "Philippines", "count": 14, "frequency": 0.004666666666666667}, {"name": "Germany", "count": 11, "frequency": 0.0036666666666666666}, {"name": "Cambodia", "count": 1, "frequency": 0.0003333333333333333}, {"name": "France", "count": 3, "frequency": 0.001}, {"name": "Greece", "count": 7, "frequency": 0.0023333333333333335}, {"name": "Taiwan", "count": 5, "frequency": 0.0016666666666666668}, {"name": "Ecuador", "count": 3, "frequency": 0.001}, {"name": "Nicaragua", "count": 1, "frequency": 0.0003333333333333333}, {"name": "Hong", "count": 2, "frequency": 0.0006666666666666666}, {"name": "Peru", "count": 1, "frequency": 0.0003333333333333333}, {"name": "India", "count": 11, "frequency": 0.0036666666666666666}, {"name": "China", "count": 6, "frequency": 0.002}, {"name": "Italy", "count": 8, "frequency": 0.0026666666666666666}, {"name": "Cuba", "count": 12, "frequency": 0.004}, {"name": "South", "count": 8, "frequency": 0.0026666666666666666}, {"name": "Iran", "count": 1, "frequency": 0.0003333333333333333}, {"name": "Ireland", "count": 4, "frequency": 0.0013333333333333333}, {"name": "Thailand", "count": 2, "frequency": 0.0006666666666666666}, {"name": "El-Salvador", "count": 9, "frequency": 0.003}, {"name": "Mexico", "count": 47, "frequency": 0.015666666666666666}, {"name": "Guatemala", "count": 10, "frequency": 0.0033333333333333335}, {"name": "Honduras", "count": 2, "frequency": 0.0006666666666666666}, {"name": "Puerto-Rico", "count": 10, "frequency": 0.0033333333333333335}, {"name": "Jamaica", "count": 12, "frequency": 0.004}, {"name": "Canada", "count": 14, "frequency": 0.004666666666666667}, {"name": "United-States", "count": 2688, "frequency": 0.896}, {"name": "Dominican-Republic", "count": 2, "frequency": 0.0006666666666666666}, {"name": "Outlying-US(Guam-USVI-etc)", "count": 3, "frequency": 0.001}, {"name": "Japan", "count": 6, "frequency": 0.002}, {"name": "England", "count": 13, "frequency": 0.004333333333333333}, {"name": "Haiti", "count": 6, "frequency": 0.002}, {"name": "Poland", "count": 5, "frequency": 0.0016666666666666668}, {"name": "Portugal", "count": 6, "frequency": 0.002}, {"name": "Columbia", "count": 8, "frequency": 0.0026666666666666666}, {"name": "Scotland", "count": 1, "frequency": 0.0003333333333333333}, {"name": "Vietnam", "count": 3, "frequency": 0.001}, {"name": "Trinadad&Tobago", "count": 1, "frequency": 0.0003333333333333333}]}, {"type": "categorical", "feature_name": "pred_id", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 3000, "category_frequency": [{"name": "4356496e-1e67-45cf-9542-59bf3d720508", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6952669d-5b1e-4e89-a146-a5119c45b940", "count": 1, "frequency": 0.0003333333333333333}, {"name": "937141e0-67e3-45ea-958d-4ee3948b2e2c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8171e763-d2cf-43b3-bcbd-a82d83d3082b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c7a7ec23-83d2-490d-b0d1-8b469d722eb9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f0d8de4a-b8ea-4133-b613-18712a2aa1c5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ebbc3379-9226-4d3a-9828-accbc80e2710", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e8b79dc9-165f-4463-804d-9239b44f5edc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "07fdd583-7d34-4d2c-a366-381505e9f48f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "239c1330-137a-4658-af61-bb24081e1510", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7ebdb696-9e59-48ea-a820-1aa67226ee65", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2db17107-d029-4e29-abf5-66d6fe212ba6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "26238a77-400f-43a9-9ba5-ef260fcfcc3b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cdb239d6-8a42-4b63-bfda-161721189eb3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7b98f7ef-8186-492a-8bd2-42928ce7bf0d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "35e29422-afa5-4168-a530-075c1ea94145", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f2cd1092-9565-4d35-86d9-faf96bc3baf6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "47ae4f44-4c68-47d4-9e5d-55d1fc16f420", "count": 1, "frequency": 0.0003333333333333333}, {"name": "86636d29-cd7e-4aaf-b9da-55f3b4f548fc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "711ac20e-aad5-481a-9b3b-baaf264337d0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0002ed50-d12c-4f51-971f-3c85fc59a08e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "888c2f6d-d5b3-4399-84c5-8f38d63f513e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "018ea994-fdcb-473f-8a36-947b9d35fa9a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fa474335-a633-454b-af52-625cdd54cd7d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bb43621e-b698-4333-ba01-9f2b5c2b2245", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3ebad4d4-1e25-4f7e-8924-14e663efb30a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "54658cf2-3892-47b8-a63f-8876d011b486", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ab96b220-28f3-42c3-a121-1d5de5d10621", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a494ceb3-1661-4a52-a32c-8d0eb3de963e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2d2d4fb0-f1a8-40fd-a46f-e33872784a02", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a84b29be-b362-47fd-bb2a-9e16499f4515", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5c89d829-7328-4a54-9c48-48d572ac40ec", "count": 1, "frequency": 0.0003333333333333333}, {"name": "16cd1f58-2444-439f-ba1c-75b63a4af15e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6ecc619a-a414-4991-8176-8429b1b3c32a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f3104e91-d9b9-4f40-8c41-c075b94b61f1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8c678e52-91cb-4d73-90d6-8227bf6b7055", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1a502ff7-4069-4f2b-830f-3bd816178de0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dfc066dd-add5-4991-941f-de04f77441d9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4ede786d-0a55-4948-984f-3f3a7c7582c8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4b8804b6-3e13-4fd1-a418-d81af5cab335", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3f59fe54-d877-40c3-988f-5346d5e180bf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "34e66bb9-21ea-4daa-92cb-b8c2e817df7c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "38e70d4c-2af0-4499-a263-70e6a96ca710", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aee8f16a-db19-43b5-8ccf-0b52531ac7a8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6197a1e4-dd70-4b31-9ece-b1709fc7b837", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a918ae69-7b3e-47ea-bc58-db0681f33b3c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "de226b78-3ee6-49a5-841e-b1b6a7f7aeca", "count": 1, "frequency": 0.0003333333333333333}, {"name": "15dcbf12-9b38-4597-81b2-ee67b4eb3c03", "count": 1, "frequency": 0.0003333333333333333}, {"name": "26d7f404-ac81-4562-be36-2dd5b3aad6c8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "42197e49-d30c-4c5c-aa67-7a74482e4033", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e7c71bfc-e04a-4fb7-8107-972117643ceb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3120d5f6-b1dc-4118-be98-5c8aa3d3b465", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d44133eb-a5f7-4975-a638-7fdbc70e62c6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "30659e47-1111-4b31-9c40-07a20f8e00bb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6171cc8a-e270-4ff4-9b94-ad96025b6585", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c5a1b02a-235b-488d-83fc-fc4053c765f7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0f8933f0-5206-4cc8-afce-4edca702ba7c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "df917846-bd88-4078-8592-79f2731b6f23", "count": 1, "frequency": 0.0003333333333333333}, {"name": "414cb9c4-05ce-4ff4-a600-71588b969c5e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a2784943-ea64-493c-8784-4fdc423eaf56", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cf9f4e7f-c311-4ba8-a84b-f7e225b239fa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "22d53b63-e109-4210-9129-8eee2f08b07b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "513d7b76-f2ae-4cb5-b5ad-5dae4b981bed", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe32af32-e36a-48b4-9058-807b7dc5e58b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ae2a3393-8244-4939-bac0-5b1c1e22814e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1810c2e8-fe19-46ff-9474-96ba82caef47", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d4067243-b9e9-43a9-8eb8-f5b930ce27e7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "659d426c-912e-4e8a-ac58-f49345d5e912", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aa5d3c56-277f-4972-aac2-0bd9cd4dab60", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0d727147-f86f-4dbe-9c56-39d8b8113ee2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "70c70acd-4b7f-4f04-a718-02193064322a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "85a06d26-2fd5-4dc5-b9c4-050f621e5ec1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6594d5ba-88f9-4f93-a620-5c71d3eb0f05", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6420cbd7-fd87-47b2-91d8-8299a6ecd60f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e2e770ab-2f52-4fe6-9d4a-7f99cfd34c26", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fbd58421-768a-4d93-beee-d724000ee1a6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d7a7113d-8523-415d-b0fa-7340a199037c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "770d6ecb-3896-454c-9d63-2e14bf96714a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "910cd25d-d3c6-470b-bd72-dce529f1d9f6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "14c0f8b6-fdc5-4a20-9296-2bfdea67bde0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5600d5d3-3e92-4aa4-8036-b350148fb544", "count": 1, "frequency": 0.0003333333333333333}, {"name": "77b8117c-83f8-42ae-9c74-9882a1a91e7e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9fb355bd-844d-45af-b6b0-7f7bef2db601", "count": 1, "frequency": 0.0003333333333333333}, {"name": "60e24e75-a55d-4ce4-84cf-d436b5c2f185", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5a9550bf-7c7c-4c44-ad91-45b4e2208225", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d26e077c-cd77-47dd-9db6-1aff65376aeb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b1e14f4a-4e17-4e88-b3de-6a0434b29e47", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6c9aed8d-c7b5-4e5b-9b98-bf34f1f91a0f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "77ee82b7-54f3-4e13-99a4-34632ca34548", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9246e9c2-086e-4dba-a6c3-292b8b1f92d6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "812757e1-4dc7-4985-ad09-3702f598b525", "count": 1, "frequency": 0.0003333333333333333}, {"name": "393fbf7f-a92c-4806-9216-f4aced480937", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a1ae919a-39db-4458-9352-06edbe4c6f5d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b73ad3a4-22be-4708-8cfc-81b8831106b7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f7751078-5269-4a55-9a68-8c2e15337e72", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ba53a8c7-de1a-4607-817d-f19045d05bed", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c8917661-d1f6-4166-bfd5-ecd8fcb785a9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "45adef43-85b1-4008-a88c-01278ec3faee", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cbb12692-d035-4438-9b03-6cf6c39c301c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b8904efa-9169-4176-98f8-11119cb84c8c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "31c9974e-9ccd-46d9-b2ab-09a6faf3d800", "count": 1, "frequency": 0.0003333333333333333}, {"name": "28e4f8a0-61c6-475e-a6b4-41ab3c2de1d7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a8341072-e2e7-4213-af68-ea85dedefd7f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "409c38d2-6119-4935-ab63-08d770eb9c97", "count": 1, "frequency": 0.0003333333333333333}, {"name": "344f8bd5-3ed0-4882-a245-5e414a2b37db", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b4862e03-585e-4ce4-be3a-b3e3e65c457d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "66a9a4f2-2298-4ddc-b33c-17b67be0b91e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "29402a70-c7d1-410f-8d9a-4922a575dbce", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cccfd2ea-d5e0-4bd1-bf75-8758534a5ff5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7e34a54d-dd80-4a59-a999-ed198e2ae8bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "42be4319-9c9d-43c8-b2b9-a73f27c5dc7b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3783e9a5-321b-4a66-85f0-d630fc6cbb34", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9bb43aae-a37b-4e19-ac47-9f0e861cc434", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7ed4b78b-0e28-4c55-8d3a-35109f789db8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a8107450-ff2c-4bdd-9f96-d326cbc436ba", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a83dc110-1465-4d04-97bf-60384154b2cd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "743c7648-8e84-4042-aa34-71bd7b0e8c66", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a6116608-bec4-4ae6-96eb-9692551a95e6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6c7a4cf6-13f3-4cdf-b40b-fa20da5026a2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "83a2746a-bce2-4299-98f0-57c5eeb0a3fc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c159fd77-5536-4565-af2e-0bed5426a9b7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aace312c-c6d3-47be-a2ae-99fc690ea327", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a619b271-67c1-4bc5-b35e-17ac2d0234b2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ace1fdad-e00f-4e6e-96fd-88f7bd170672", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9b1c577c-8036-42ac-900c-7466dbf4cc5a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bf57fcc4-dd75-4c8c-911f-923968223f88", "count": 1, "frequency": 0.0003333333333333333}, {"name": "52e7e5b0-c6b3-4d2f-a069-03baa6fb55f8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3dff74e5-1f56-4cd8-932f-aafc754509ad", "count": 1, "frequency": 0.0003333333333333333}, {"name": "99c73a75-38f1-4511-9fbc-2976f5252e30", "count": 1, "frequency": 0.0003333333333333333}, {"name": "17f05e02-3012-46db-aec5-6c20dd610c4a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fd70ae67-86e7-4e12-ae7a-ce065734bf7c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a8a316a8-01e5-4163-ab8b-db50bf67afb5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9bf2a0a1-aec2-4c5c-9b17-aea5709dd9e9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "437bfa6d-4b6e-43df-88c9-ff72c9659352", "count": 1, "frequency": 0.0003333333333333333}, {"name": "742c1416-6335-44fe-8970-17cb4ca4269a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "03532710-ff65-482f-8356-4009918b184d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fb724efe-3e02-47cf-8fd2-b6cb3a114e8e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b243ad95-6912-45fe-aec5-04303ca259c0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8cf5412a-6be8-40fa-aa3e-36386b9b755d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5cec235b-17a1-486d-821e-188895a05673", "count": 1, "frequency": 0.0003333333333333333}, {"name": "60129f67-c302-47ba-b714-b854e6c761a3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "46feed4e-4f3d-4e13-9729-3744ed79a914", "count": 1, "frequency": 0.0003333333333333333}, {"name": "436068c6-cfff-4df6-9b4b-f0a1bc570d59", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aae01ece-16c3-4a65-9474-d9e411394733", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7154e59c-24fe-470f-b478-93ccdbca8738", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3518b557-6da5-4fae-ae85-4c23672f505e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b4da9f1a-4622-485c-aad4-bcdb3e7f62d2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "43758d17-dd1b-4309-8be6-fd1df23dab66", "count": 1, "frequency": 0.0003333333333333333}, {"name": "958c82b4-475c-4278-9911-8d26a90a3645", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1260d2c6-2a46-45e5-97be-27e44b8cf7a2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b601c66c-fa51-4e9f-aa03-64e2b5603d55", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9871ece7-9964-4e88-b6ab-ffb1e49ae1fc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ebcaaa7a-7a7a-425b-b4e0-00fc17e109ee", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d95129fa-b381-417b-8346-596780254ea8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "272fd49f-a3c4-435f-bf9e-d23fa9906d49", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c8e8ca93-58d0-4b99-980b-55244dc182d4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9182d3c0-0bf6-447f-b300-f0ec6a20c484", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b507b8fc-be52-4303-9d4c-3051397bfa84", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dc62cbbe-145d-4468-ad03-82697af96233", "count": 1, "frequency": 0.0003333333333333333}, {"name": "892eea22-3fd3-48bd-be71-0e01aae738f8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "da8be2df-bcfc-44c8-9fcd-eaafb4658402", "count": 1, "frequency": 0.0003333333333333333}, {"name": "defea87d-4ee5-462f-b21c-bfceb8f1eeac", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9284e398-7135-4e56-bed0-616e230c38ba", "count": 1, "frequency": 0.0003333333333333333}, {"name": "946909f5-ff70-49f1-8a5f-665eaa2a89bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e588347e-e483-44ed-ae39-0495d206db31", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ee70db34-af5d-432c-81b6-8cb2acf8d66e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "99d090a4-c873-4357-a43b-c5546b27f2a7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6c446f85-6a1e-411f-a1c0-bbbdf38be7ba", "count": 1, "frequency": 0.0003333333333333333}, {"name": "223d7680-178e-4b82-a0eb-1bc7f92e9aae", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c2db84c9-156d-46ad-bc7c-8fea5d86c2b1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b56094d2-2dae-4254-9c68-88e4bb16b58f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f09d5d6b-039d-4b5f-82d3-66f36bfbc72b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a737c68d-7375-4746-9225-40bb33c2a226", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e48b709d-8a34-4e32-ad49-cc75c357e4c3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6c99b97c-5425-4f46-8187-b20f7b9dedec", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8b834a2c-f3d1-4a9a-a973-273273f2f080", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ec2260c3-0b8e-44f0-a547-8efb5a147628", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cb1fb1b0-b98b-4f32-b3ba-3527f37c92bd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c2eb44a7-b154-45c1-b284-670e323ff182", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2b8a37b5-85ee-4e3d-a842-9c4121c5a640", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1709f0d8-2035-47ea-b823-1cb6e065df26", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b65aba6c-1291-4797-b44e-88d0437a8018", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9b59303e-61b1-42f1-be9e-addee0a35d09", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ce9811f0-a3ec-460a-a37b-b5c2409e472f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "023f4e64-b1b5-47e8-bb52-e9fd9347c3c7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a9ad26e8-6b4b-4ad4-8e98-be931f738305", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f85de4b7-5817-4e99-8913-d7c65f23b6b0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2a965e7b-8139-4d9f-ba67-2e3b2fe7dd15", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8c940b83-6171-4dab-bece-7a993722af07", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b9906e6e-4851-458e-ae58-eb4b8f415f82", "count": 1, "frequency": 0.0003333333333333333}, {"name": "500268d4-aa5d-414c-9b02-104050da04bb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3bc8b74d-3a88-4da1-bb90-8394fbf0cd30", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4b3cd9be-44f5-4594-a9ed-b642d5b3c796", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0d75a40a-9241-4f5b-b1a3-c8fcabf0691b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7e80ec2f-b240-4e14-bb3d-08a37323fb45", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6efe923e-79f2-4422-8b8e-3f52c7f203d4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5d9407d3-f68f-48d4-a4c3-ff91892d41bd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d22631ef-ab10-4fc9-ba88-a50f7145e37f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1387d402-a9f4-4192-9e58-93676623b6d6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1c142a4c-4ac5-4007-93e9-a3c78825b758", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1220752f-ccf9-4814-8a11-aba913213098", "count": 1, "frequency": 0.0003333333333333333}, {"name": "78ee4ee7-ce6a-4e4b-85a3-7b8939e90581", "count": 1, "frequency": 0.0003333333333333333}, {"name": "abba5b2c-f87d-4461-93c8-54a5935a6eb3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d58e7a86-9e4c-46e7-850a-b4d06e73ff4f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "79a63d6f-0615-47d7-9a67-87b95df7164a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "770884e3-bf39-475a-932f-9cfab75acf8f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1f300950-7c0d-4440-b060-2fadf10f57a4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6646a34c-4491-44b3-86c2-01414f1188a0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "835f62d7-4124-4842-a47e-51aba839c1bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "129ef008-4c7e-4521-8eb0-d3cef41a8a92", "count": 1, "frequency": 0.0003333333333333333}, {"name": "99278dfd-c52e-43bd-b8a0-bf154d406c80", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8f0cecec-4f44-4f3a-a9c2-aea4cd10bf48", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6f963068-7542-4167-af55-8c4fd9529f38", "count": 1, "frequency": 0.0003333333333333333}, {"name": "111d1233-3cb3-4361-8bfe-b3f4fb3df135", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7de42bd0-5c91-494e-be73-565522151066", "count": 1, "frequency": 0.0003333333333333333}, {"name": "11389981-23cc-47d6-b86e-858b317b2e43", "count": 1, "frequency": 0.0003333333333333333}, {"name": "766b931c-8adf-47d8-bf14-f9c9fe0c69ac", "count": 1, "frequency": 0.0003333333333333333}, {"name": "53e467c3-258c-4983-8c47-c77895c46104", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6aef58b4-abb0-4c79-b398-7cb979973447", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cd8dc602-1d7e-4e9b-a309-33bdf47ab02a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4d603f16-cc67-42b0-8bd0-a75dc06d30ba", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f4d1f3ed-7f48-4a6f-acd6-325c22efccb2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d03ce083-7a4e-44b9-b4f2-abe29814f7fb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7fae350a-0fa3-4c03-858a-a5e0b45c1da8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f527e33c-823f-43d4-81a9-a8ff4107de22", "count": 1, "frequency": 0.0003333333333333333}, {"name": "508b493b-a797-46d8-acbf-13481cafa9a8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "35511915-a36b-4d0d-8b51-c1bf0be17785", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7dc323b3-ed9e-477c-a9ed-54630020e899", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3828d5b5-eadf-4932-8ba7-283f9cbff959", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6ed1a782-5cd5-4e14-8520-be5fd542e52b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b8a4bf3f-a4a4-46ce-a951-b8e28fef34f0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bb9b8d09-17cb-4cd1-9640-2354714457ed", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3cce3dca-c184-4d82-87f1-02b3e52006a8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "80b0edec-3084-4362-9f6a-a21c2c201ef7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "21353aab-30ee-406d-8d63-d1ebeac77622", "count": 1, "frequency": 0.0003333333333333333}, {"name": "03697064-db1a-4050-b02d-0b55681c7b4c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ee00a64f-6ada-401b-aa18-fa09ca9b3a28", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b98b75f3-afe0-4326-b249-22b58b2d8464", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c23f63b4-5014-484b-be43-c536c71ad62d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d992278f-587b-48b9-b8f5-daeb53ccd70a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "47707cd1-b218-446e-81ab-70cc3faaf4e3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2ce4b37a-9431-461b-a171-601dd4ab032e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "26b5ab7f-930d-409a-aa8c-25f81166fa63", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5ffaab35-47d8-4eee-83e2-f1b0e91b5e58", "count": 1, "frequency": 0.0003333333333333333}, {"name": "57b43b37-acec-4aaf-8af2-f454aff9134d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "766c1418-144e-4535-82d6-f3964412929a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "42f82be9-caca-477c-81fb-7254eac0cc86", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f01a8e92-6fec-4338-b5c3-eec40c6a899f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "52740c0d-646b-4e9b-ae91-63dacb78c370", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eb07f960-1aa4-4137-a872-f2ba4b6da6a0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "47c9e7f7-826c-4e2e-aeb3-f420183acb34", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f7d67b16-2217-4ad2-a106-75612cbb7ba4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eb80096c-a440-4ae1-8f18-e56bcceda434", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7554e1ba-7160-4057-b896-28e892cc1f2d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3e6d48b3-9f68-4a7a-8da1-8a14513e03bb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ffaac8c4-a565-4862-a3c9-a3a3602914a2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f00fa313-a849-4e1c-9546-44f24922a490", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0e263473-abda-4f69-a1ec-6112a152397c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aee33e9f-27ca-414c-857c-e85c9a7b68f3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6f319fab-ff4e-41c8-9f95-63e7ef37b0df", "count": 1, "frequency": 0.0003333333333333333}, {"name": "07315e74-10a2-4e6a-b3a7-9dc42d79f845", "count": 1, "frequency": 0.0003333333333333333}, {"name": "60ffea7d-a130-416f-8b56-0d533883670a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "844c6775-2623-4ee9-8066-ffbfd90cca85", "count": 1, "frequency": 0.0003333333333333333}, {"name": "21b8541e-26f7-4423-9ba4-b942d4a90265", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ad80eaf3-d8c3-40a1-85ac-3b2efc26d610", "count": 1, "frequency": 0.0003333333333333333}, {"name": "efdf195f-aec0-4c92-86fe-fdad7ac6a2ba", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8a6b22bd-3ca7-400c-a717-db2cc91c1ff5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "00056bef-4f5a-461a-ae69-bc3c1a79d98c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cdc1e5c4-cab6-4f82-9b81-fe680c4ebdb5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6f309b48-c62f-40c0-9f1c-23a69cf0a41c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8add18b1-9a56-4ed0-8a41-692c5fa93b3d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5254bd9a-d0c7-456e-8f8a-370d66198952", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e2d3238b-48da-404a-9731-63cbe7e154b1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e1ec396f-cec8-4a79-aecc-7d34730b5be0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "04b3bc96-c431-40de-b5d3-4cee6d2b86e4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4af8fa32-8f1b-4d7b-b30e-ab1398bfc731", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6fec3a5e-d59c-4edb-88dd-b01b6dc46ba7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e592fdbb-671e-4977-bba8-19eb3816ca56", "count": 1, "frequency": 0.0003333333333333333}, {"name": "47416cb8-c688-45ed-a54e-076df34454eb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "01b014d7-3e40-4ff0-8d70-794b3cbd25d8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f7267c55-d024-4723-8704-516b01a57799", "count": 1, "frequency": 0.0003333333333333333}, {"name": "85cd79e8-db7a-427c-b66a-a2b856bc2112", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d4d588dc-c0de-407a-a3e7-3d2f700cbe65", "count": 1, "frequency": 0.0003333333333333333}, {"name": "66b980b5-1f9e-49cd-8aa4-8e0b11811ffe", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d4f70a93-1b28-4052-bb85-7509e8b393e7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b3cdcec1-a5a5-4783-87d9-015524805e50", "count": 1, "frequency": 0.0003333333333333333}, {"name": "92e96e18-9a92-47f7-b736-bd2c9b156f36", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3489dd75-a581-4c2a-93cc-dd93991c1025", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2e54bcd3-67b4-4c68-8306-4e4e06c7958e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5eb55201-d8c5-4e80-b83c-0505a55e87e4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2044ae15-1c0c-481a-8a6c-707cf17f3e66", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3c7cdd98-5240-41ca-bfe2-b9cd1cb99eda", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3f2d98d4-6cb2-4195-b121-e04d6ebeabc0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d99accf7-62a1-4421-8a7a-643f1961f068", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a63a2b00-d676-4f87-8fc8-1a7de4b0d4e1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c4394114-2e9f-4c7c-97cd-671173f5f6b5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c28f19f4-ff5c-4e5d-9f13-19b116485644", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f61494e1-c952-4a1f-b1e0-b71c9bb82e65", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8f4bbc38-97ec-4862-8da1-3562d605b6d6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4bdc042c-0988-4713-853d-d65e32e77286", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fda2ac70-f7b6-466d-b0f1-c81a3e7f2dbf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5cd1870c-8929-4d5f-836a-b2008ec1bfd5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "af1cabe4-790f-4912-ba93-5072e83987a3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0edf0448-eb8e-44c0-b772-20e2b18404b1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "46000d53-5dc1-457a-96f4-aa954ce1aea8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c3b48a96-7237-41b0-9474-668a0e435ece", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a77814cf-2d6e-4c00-ba77-5c65bda6997b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cebe9691-3482-4066-afe6-fa114d0ff357", "count": 1, "frequency": 0.0003333333333333333}, {"name": "03200395-c058-43f5-ba33-3eb0c6037947", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6953d09d-3227-4ecd-b368-4dfa886c8f12", "count": 1, "frequency": 0.0003333333333333333}, {"name": "95b07f57-d5b7-48b1-83de-11ef5b499207", "count": 1, "frequency": 0.0003333333333333333}, {"name": "00c53bc7-588f-4bfc-aee0-5fde1b2714fc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "52d52e48-1a0a-4be9-bada-85075ad31f86", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a8209df8-d704-4a0a-812b-fffcb8668d3b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2430c741-2a39-4c18-9145-8ea230f8ae84", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6ff1e4c8-d71c-42c7-a684-114744c65145", "count": 1, "frequency": 0.0003333333333333333}, {"name": "27040ac7-d6b2-42cb-bfc2-5639f06e676f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "423c44c0-ce77-42c4-a82b-57f26aff5370", "count": 1, "frequency": 0.0003333333333333333}, {"name": "01a9dba7-381e-4ab5-ae1b-248d6956d5dc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "37749277-25a5-4a68-bd9c-bba1c21c448c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fcebbbed-e6d7-4df4-9868-b99a95067e37", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7cf7ccbd-ec36-4cc0-bc97-e39e9dce3e78", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6e1dbeed-ef18-42ce-a595-463228ad7a43", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2ee87f71-4ef0-45e8-a564-b46a9c06ee98", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6e28bd75-15d6-49b0-a409-70cc7517c12b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2a96a8e6-d42e-4208-8913-42c4d384de18", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f6fba9ce-360d-4b34-aa81-650d3af5d8d5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1e76a2b4-8053-4c36-a436-a586faa7485f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a7ea4cb7-ec86-485d-99c1-d5757d86cc07", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8cc5e32d-c685-41a5-983e-7871d2f67d72", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ec270f76-361e-40a9-a167-fbdaa16d0fbe", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9eed8542-4278-4664-8333-c53489aec307", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2b8803cf-2265-444e-aa8c-bbc4dbee90de", "count": 1, "frequency": 0.0003333333333333333}, {"name": "37c8c1e7-61dd-492c-8334-4f2d9f51de9e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6ae39c81-4275-4079-a697-bb9f196ac32c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7eaac090-d5c7-4768-a022-25f45b213cea", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9981235d-d6a7-40cb-8f15-4cadf29bde19", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a8e9b3de-13ba-4bab-801c-6b381662302c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f44592d0-856b-4f37-8ee5-81f795a49456", "count": 1, "frequency": 0.0003333333333333333}, {"name": "98b64ddf-2cd1-4ec7-8e79-4ff5d9f57537", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ea4b99ce-be8f-4cb1-af30-bb7ef249497e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "55f00fb2-b6b3-4065-b922-f23b466954c9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ca278679-eef7-424f-9bfd-928f384723ac", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a52333e2-0b37-4b32-9d7a-4f0c877289cb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "09692dfa-23a0-4910-b666-a0fafec18c46", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9be0accd-2f58-4c11-98b7-351b2de26a21", "count": 1, "frequency": 0.0003333333333333333}, {"name": "56ad1569-4bb4-41f4-ae07-e335ef69c3a7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f5dcea2d-c82f-454d-857a-cd8af3d3278b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d4317720-c2d4-4edb-950d-50b5ce5584d4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9cb2d921-30e5-4725-b621-566785552c93", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e91ef008-b4f7-4f98-8b51-85b83d45f9a0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "decc222d-c931-4cfb-a480-8b4abf266cbc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "20ec2c64-a7e0-475f-ad58-d4437677b5e5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "83c697a1-127a-4433-abae-18b8b319b3b3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "229b4eaf-795e-4538-b453-c4cc160c78ac", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5dfa2d0c-da1b-499a-a675-239943e7de68", "count": 1, "frequency": 0.0003333333333333333}, {"name": "744cfb4b-49c9-4fe4-828d-dc3546359e5e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "15a5c1b3-510f-4d7f-b3b5-0e9750acea5b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eff6659a-88cf-4eed-9976-500c32c51e0b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5c327695-2380-4d4d-9905-b387f9ca2d4a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f79313df-663b-4632-beb1-5f529554e6bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "699619f2-1982-4f0f-83c3-e89edae4509a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fa85774c-17f7-4ce2-aa2b-08d77f2507cb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b0f687c7-df8c-4fb2-a54c-87b284e604b7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8a01bfcb-d753-4553-8eab-e2f4a54c5c2d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c149e2be-bc5b-44b2-8f1c-d8b60dffd9f2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8fba0003-98a6-4683-9736-a7c2ff8b5970", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9c200a30-a64a-4f35-861d-ccbd32a24827", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e09e1572-69ef-4f75-8a70-32d27a70efb3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe5523cf-1d5a-4b0b-9e7d-6ab94ddf781c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e5363cd9-4c74-4d31-984d-3844e41e9c65", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dd766a17-4128-481e-9fd3-7cb7e9e15b24", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b7eae9c1-ea7a-4b51-b610-9d6f1dbd2c4e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "96327734-2f57-4c15-80be-7e1e93af0e81", "count": 1, "frequency": 0.0003333333333333333}, {"name": "192a7a15-7ca4-4a10-ad37-05f3930e5327", "count": 1, "frequency": 0.0003333333333333333}, {"name": "65f1de10-6175-4b87-9316-02a8314f8daf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b478e96f-76c8-4aef-8d63-eaed0d82184b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5c993dbc-4808-4119-8bc6-28f8c874637b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cb5b2c46-8eac-4e0f-a18a-9ffccd493512", "count": 1, "frequency": 0.0003333333333333333}, {"name": "25e01e14-64da-4e5a-a3b5-4229795ef664", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1c323085-af91-4e47-b292-ac0843077597", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b937aa45-8bd2-4436-806c-5ed0a086702b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f913af78-11b4-4b53-ab4a-0565f69e1e17", "count": 1, "frequency": 0.0003333333333333333}, {"name": "192fce68-5ba1-49f7-a7f0-4265c3f24cd8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e67d028b-96f1-4e63-a53d-1f961a557830", "count": 1, "frequency": 0.0003333333333333333}, {"name": "00770747-5434-4352-ac7c-2577697d70be", "count": 1, "frequency": 0.0003333333333333333}, {"name": "612b8ed6-7b0f-4fa2-935e-1b58bbb38fb1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "873f397d-166e-4afa-adbe-8bc8b55a0f9d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6d5c8c94-f4fc-4920-844d-b3a35f7a985a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d1c5800a-950c-470d-9b8c-f018a22df33f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9e48bd70-6cc4-4f9b-85c8-d6aebf96f924", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aeeef04d-3df1-4bc9-b8ac-881f8984b106", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a24903f9-b6d2-4004-a2ef-94bc9a3086bd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f993219d-0961-411a-97af-29e5a7f0ae81", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0df5a2bf-9fc3-4632-881f-b8322a86a507", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4fe560a2-76ed-453f-a796-c0b16c759ee7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eb4d8cb5-adad-4c49-ae3d-d9634845585e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "04df3a1f-14de-4493-a142-be348e4c9ca8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f22d487e-ef09-4f24-89a7-676b777438b7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ff0ed107-43dc-44e9-8bfa-6529e2671883", "count": 1, "frequency": 0.0003333333333333333}, {"name": "79b67129-f245-4aa5-a344-f11e1631a6c6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f2f68e37-2b8e-4172-b627-7fc9414ff83c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9dbaa3d7-8cc9-4cd2-a269-1cf1bbc6be6c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f62186bb-08e5-48b9-a54b-16155734dc44", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2ab442c0-9287-443a-96be-3d1a5a3d5a9c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1a15c67b-15a0-47a5-a777-4818999b45d6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7608a1e1-1e73-4006-b6a8-41b19c59c661", "count": 1, "frequency": 0.0003333333333333333}, {"name": "12f72a1d-71c5-4359-8550-7fd46e2a88e2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b9b112a3-8b88-4691-a1b6-a0f2c138491e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8ff98a8a-c7de-4773-9507-255283e7d5ad", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7bc882af-2a21-4e53-9b89-250f8877593e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8105d111-4bf2-472d-9977-f3d22d2c8e86", "count": 1, "frequency": 0.0003333333333333333}, {"name": "044e2c24-65cf-4056-b6a4-12e285da96fc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "61964577-1ebc-4458-996d-a827626a08fd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f27fc3da-849b-46d1-ba72-22a78d93c595", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8cc5e055-7714-4bcd-9801-e03f9a3c42bb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9f9b5aa6-b9fb-4216-9b98-55af32584293", "count": 1, "frequency": 0.0003333333333333333}, {"name": "454a6fe0-1754-432d-b53b-401969e347d9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "190bc4fb-aed3-4c95-a9bd-9d5d44153081", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6326abac-69c7-43b3-a8fd-36f0068b5118", "count": 1, "frequency": 0.0003333333333333333}, {"name": "59d89260-ba3f-4cd5-a215-f46b75ccfdbf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "19bf119b-90fe-4dd5-a735-97a4502ece30", "count": 1, "frequency": 0.0003333333333333333}, {"name": "afd2ce83-16e1-4b6d-8de6-d1e279b31c5f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6f13357f-bf25-4a76-813f-6378ef8d6a97", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7f714c55-8ece-4f13-ad67-6a5e7a7467c7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "934569dc-3295-49cd-a396-4b42b176902e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "457ba7fa-6712-4fde-9152-7af8975cbdf7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "819cca31-7697-46d3-8f2e-c35c882a6a7e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fc3cdfa0-ae68-4b57-a409-c74a786b13e6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e7c70d8e-49ea-4bfd-b079-726f15516bf5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d0efbb67-e10d-4f27-8db9-f322c35d60c9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9bd9472e-07a5-4cbf-a1c5-b5950aa9216a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8ccc311d-8504-407d-b140-32b1a5dc07d0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "698b7df3-1098-4810-8af5-00fef9987676", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0cd90887-6910-4444-aefc-43c2e0c7c455", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5f6a032d-cc55-4f9a-8dac-a10172e01090", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8cb87338-6e1f-47a0-9c0f-bb60e672975b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b06dde2c-b27b-49c8-af52-460934a0b439", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dd06344d-6037-48b0-b5a3-8e2f9d48d000", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eea6cd94-f401-4560-9ff5-6758d6ebe530", "count": 1, "frequency": 0.0003333333333333333}, {"name": "411e9fdd-2df7-446d-8808-a61394a9c147", "count": 1, "frequency": 0.0003333333333333333}, {"name": "347b58ee-e4f6-4527-a089-314f1342d8b2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "57bc0a2e-6398-426d-8cbc-8b49a3f0a2ee", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2f948683-bd8c-4734-a19a-dfc531ac1da3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3fc590b0-e17a-4ef0-9acd-66e55d68fadd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aaed0717-c8ce-4b1e-84d0-86a85e6bb45d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "97587e6e-e4fd-42c2-8516-63936ffb465b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f2ab9933-d1bc-4f45-9487-829a8fc5ef76", "count": 1, "frequency": 0.0003333333333333333}, {"name": "56654b8c-1d70-480c-873c-015a9eb9b299", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0c4303f4-e0b3-4341-b47e-00f7f670fc5c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f6abe0bd-e150-4f5b-b92e-69f099a12190", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f946f9ee-c34f-493c-b835-c92b2df79cb9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c2153208-f1ec-48a5-8c3b-9a4d03ae2f18", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a0623423-0689-4693-b15e-072b168c8ce4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e606c738-b168-4edd-bd15-346567174007", "count": 1, "frequency": 0.0003333333333333333}, {"name": "49e29013-89ef-42a4-b8c2-01eb5a7c3d2a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ba7dc3b7-26a4-455c-91b7-fefadb59222f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b26d9c3d-e8e4-4d99-b28f-563a77074b2c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fae4c482-e8b4-4097-964b-218b9b7065d4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e1d9bc5a-39f0-47d8-b354-2428950f77ef", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1ed94323-e0f2-4e49-a7b1-d2df3a49f02f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e8835cc0-ffc3-4bfa-91d0-94b73a7e0cda", "count": 1, "frequency": 0.0003333333333333333}, {"name": "174db910-5d0b-4845-9227-c555e79449a6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "76a561a6-2b41-433b-bb04-7ab4087e2f03", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ed780d09-d472-4dd0-8883-915cc8795fa1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b8e9582d-7f4f-4fde-b250-f5b105a9e086", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cc1dbcdc-b357-4711-8c13-3feb5c034d78", "count": 1, "frequency": 0.0003333333333333333}, {"name": "76e9db04-423d-4dcf-8c7d-369517a37551", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5a6c07f9-1358-432d-922d-266acf687f33", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e5532007-5c6f-41f0-8c9a-4ff0e968b29a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "281938d8-a3cd-41b0-b338-de9aea0828eb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a23bdd10-a6fb-4deb-a0e0-1ed8d1aa3004", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e11268a4-3e61-4ce3-a5e6-a070bdd580ad", "count": 1, "frequency": 0.0003333333333333333}, {"name": "96cbacda-9046-409f-90be-e2e2031bf876", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5bd38bd0-636d-43b1-9948-b2aa53456d7b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "81dcb43b-d8bf-42ed-95d2-ff10cfe36468", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ec231abf-e228-4bb1-a020-cedd946e2a24", "count": 1, "frequency": 0.0003333333333333333}, {"name": "85fa7873-bddd-436f-b7b5-b37911b5c949", "count": 1, "frequency": 0.0003333333333333333}, {"name": "29971c3b-2436-4474-a60b-956c9be7edc2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4d44faef-40e1-4276-b18f-8d7ab1193923", "count": 1, "frequency": 0.0003333333333333333}, {"name": "38877fa7-07f8-48bb-a97f-fd4d0d59f3c2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0af187e7-058e-4c78-be00-c20abd9061fc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ba3115f6-4505-4566-8313-85c9902f8a48", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8a11c1ef-7a82-4378-b6e8-5d5c6f039876", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d9b3a150-6b83-4cd7-b43d-3c22905e0d73", "count": 1, "frequency": 0.0003333333333333333}, {"name": "757ef166-46f8-4bbc-8e39-04b8f98a4658", "count": 1, "frequency": 0.0003333333333333333}, {"name": "051154b5-cf48-4455-a289-e34cc9423854", "count": 1, "frequency": 0.0003333333333333333}, {"name": "89f1923a-10c4-425c-9060-f1ebdc911545", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b0dc944d-5ffb-4387-b687-5a8ea65492d7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3c8a5d38-4423-467b-bbbc-d7c2bf594283", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6ef1f5bc-15de-4a7f-89bb-f20ad72cea6b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a3ea8500-9a59-47f3-994f-cc8dc4fd3b77", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a0313d1c-6092-4042-927a-337302faa4cb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1597f8fb-7f8b-4b5b-a604-9b10cdab06f8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6c7d7fa2-68a8-4555-9ef3-c65c0035e4a1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "97d0c787-ba70-44ba-83d2-a755ea879515", "count": 1, "frequency": 0.0003333333333333333}, {"name": "888d395b-91b4-4ac3-983d-34bdf2176b25", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a581c1bf-be22-4d73-a7f8-fd1175425a28", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e79dc339-67e0-40bd-b8e2-571de7f28eb4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6c217ed9-9f83-4f67-9cdc-ae7bead4456d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4ff205c1-6439-42d0-b7da-201bb76d510a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "43d2e492-6adb-4854-a3af-c9596f86d376", "count": 1, "frequency": 0.0003333333333333333}, {"name": "208fa363-6c4e-46dc-bcaf-6e82d8f89a45", "count": 1, "frequency": 0.0003333333333333333}, {"name": "84f7eba4-d314-4975-8f59-461fbbf0e9f8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "557981a3-4716-4081-9563-aee63adb5821", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7d6709fb-a9cf-4cac-9ebf-cc732128e0e8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "667412e6-38d1-4581-8136-56990403b69e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0e6cf968-c99c-4a5e-89da-f41e8bf036df", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1168a588-9642-4734-9cdc-72ed2622b09b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ef545651-7d56-4dab-84e5-c41e893df114", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c86b855d-bc1e-4045-aa1c-8420a901bd6a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1901e306-28d8-4d1f-92d6-76e6613cffd4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ce621aa4-a03e-4810-b435-9743a4e6496a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "12a6bc3e-330a-479f-a9f7-9e1566a4e190", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2e57c84f-f215-4d5a-aad3-c5a770fe002d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b5057cf8-7c56-4038-af1b-fb30a1a04ec8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1cbd48ca-4551-4da5-a470-9848a18c6272", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d304c29a-b334-49fc-928c-efb034c95f7b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b3e191ec-44b3-4ebe-b0dc-d9a30248e8eb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6626d9b1-107b-46af-b0a0-b48709580633", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bb032ad9-a86b-468b-984d-952aa525c5ed", "count": 1, "frequency": 0.0003333333333333333}, {"name": "04aef1eb-1499-42aa-80b8-1d71a5e22351", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fdeddada-8425-4ee9-9273-36be79b289d1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "04b3e61c-5e29-4b0a-9590-e00945242db1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "652ef73c-48d5-4e2c-9da9-a6bb779dde7e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5cbd1caf-9553-4cbe-993a-d5606f9ed584", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cef23642-4874-43ee-8f5f-d669b7bf3642", "count": 1, "frequency": 0.0003333333333333333}, {"name": "93709ebb-d9d0-4e82-997e-a1674875701f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "95a91501-5a17-46b5-8250-93cb9cc530e5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7d68c7fa-dd6f-43d4-9f1d-881c2b2c0103", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e86bd3ff-2d07-4afb-9698-d069165de5b1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "534e8992-a3f5-4f2b-9504-fad0ba0123cb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "663e5a0b-9047-43fa-9d91-87339e8135ed", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a74e72d5-8e9f-4fd2-bbc9-147c4d843a99", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3eb28b11-e85e-48aa-a6f1-f250cec1589c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "470ac1d7-2c52-4ee7-bd43-b4b1eddba56c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1552c496-aa34-480f-b2e9-2cc2fcb5030c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "66e96488-8f73-451f-a266-c75ffc9a709a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7d83384e-f83c-499d-8f56-a74eed607f5e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c81925dc-49d2-4396-95cf-9d6c2907ae3c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "30e70294-e261-4f33-8e84-36a83b5baacd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "801b6727-69ee-4a90-b0f9-208aa6dfb07a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "94a27f7c-d915-4657-9886-79f3b4df79cf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2877d05d-176b-4705-922f-ef0eee6d37e4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e0f34ff3-8a40-43c9-88aa-816ff2f9efc7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dfb95b2c-5146-4609-8d2d-0f30efa1cc2f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d8feda05-09cf-4b82-bf4b-aa99da14bd0b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "84b4f287-ae73-4ed9-ae45-d6d3d0617b04", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c35990eb-8aa1-4a36-84b0-72a58fda7a8c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f4ac2928-0146-4bfb-8028-edc49d193866", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2f938bc0-99ea-4373-9aa3-3df4dc367919", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e8559a05-f90e-40a6-874a-9707bea75a2c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6226514a-ca33-41fa-aa7f-0c438e435f0d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bfab55a8-f82f-4e36-a411-d40c75015f79", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c6bfc8f3-bdc0-42ae-b8dc-d6ff4f8ce6bb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e00a724b-bfcf-4714-b965-647350eb251c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "21207a5c-3553-4b5a-9927-793f21af6b77", "count": 1, "frequency": 0.0003333333333333333}, {"name": "767ceb38-301f-42ce-8f1a-c44f8545130d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e93bda4f-9bea-4532-a90a-472be0d55245", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b7e3b325-0e78-4a6f-9bc1-f0bc219ced37", "count": 1, "frequency": 0.0003333333333333333}, {"name": "afabd39c-bd66-4d69-81a0-b8894436c620", "count": 1, "frequency": 0.0003333333333333333}, {"name": "88dd84d1-bd2e-4c16-b700-7e3b96e32c75", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8e605187-1807-44ea-9690-de5db95dc76b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d2365a05-a486-4171-8556-1ac77b219b31", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9271fbf4-65ba-45d2-b3b1-e39e56eb8435", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e981d1b6-cf35-45f0-b406-11582ddfcc8c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1546df4d-0c1b-4b7b-840b-66cf9c4cf549", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c573b825-a563-44cc-99f3-a37f97a49429", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bd4e3035-739d-4bfa-8202-d6746074607b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4b171acc-3de0-40dc-be3e-1f6921ac2c9d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7e413c8e-1954-40c3-98e5-bd2de7d023f7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ae1b3fcf-9a2e-4142-a7ea-fc0039fb0aa0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c0311653-1e92-42c6-b8bf-7643b6c7388d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "01a9168f-fbb9-46e4-acfd-c1be174a9373", "count": 1, "frequency": 0.0003333333333333333}, {"name": "53e9ae0d-7880-4d63-8f5e-b85c00579d73", "count": 1, "frequency": 0.0003333333333333333}, {"name": "95a6652c-9dd7-429a-a2bb-508bc5c04eec", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1f754e94-367a-46bb-ad4a-614bf9adb012", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0193c731-e089-4379-b990-2338e3e2e602", "count": 1, "frequency": 0.0003333333333333333}, {"name": "efb06a49-e2a2-4dae-ac46-4c604d3de94f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e2218c84-eae1-4a46-a8ba-a145776b4179", "count": 1, "frequency": 0.0003333333333333333}, {"name": "18fa6634-7d0b-4326-ad16-6eeba0ed8eee", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c2796596-c534-46fa-96fc-2165593831b7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "85af95e9-2bc6-4f95-920e-502691c6a405", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1118aaca-f93e-4184-946d-42f723199a15", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bec344ff-94c0-4575-b949-e84f2d114a7b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "048eb5d7-2b18-4c13-9f9b-f95343a6c113", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ee0f9431-d3cc-47c4-bebf-7c7e888eef16", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0aa43e09-f9c0-4536-8b9d-078568d3dd6a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "00ea8b69-dbbb-4fac-aa7c-42317ab28ff4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2aa47758-7350-4a73-ae57-4deafff2c41a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "adceb887-07c2-4e38-a23d-f40d8de066e5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "48ef540a-c579-401c-9ed5-0c5512b5a4f5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b77f15e9-da6a-4ca3-a913-2a8362538a6b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "157f7454-dc5f-432d-94d6-6b61568e3b16", "count": 1, "frequency": 0.0003333333333333333}, {"name": "82ee39da-8e73-4db9-b96d-61797556387b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e7355fae-9c69-4b00-b4f6-13771a96a199", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d08bbeb6-fc2c-45b5-9bef-3eef2aae983b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6c9e00b5-1250-4583-9d9a-b866810d030a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "28d23672-5682-4512-96ef-01ade704d940", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c507f45f-8592-43b7-b767-035a042d0072", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e102f22b-ef22-4c32-9c43-223c582f958d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5ae77db7-0e8d-423d-b9b6-db152e4db241", "count": 1, "frequency": 0.0003333333333333333}, {"name": "31840ca3-9931-400f-9880-cb208ecc9b6d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8a5d6578-cda0-4721-89cb-6692153ce45f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a5aaf6b4-bd6b-4649-8308-484b8419c3ee", "count": 1, "frequency": 0.0003333333333333333}, {"name": "92dfe55c-89ca-4179-89c4-b9de8d0deb55", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bb9d299b-fa7d-4dc7-8d28-f9a255a7d53e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1ee55e43-6271-4583-8a06-8b592a9fd79f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8b308285-9f5e-43f4-aa67-e0207fa48275", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b08d11fd-9d68-4784-a3fc-2809b697f5d4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5134556f-52d2-41f3-86e2-b10ad2026c18", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3b4e6592-b7fc-4915-ac39-8bf5d92f07fe", "count": 1, "frequency": 0.0003333333333333333}, {"name": "478595dd-6078-4cb3-9409-1509963ad107", "count": 1, "frequency": 0.0003333333333333333}, {"name": "01cb71a3-4c08-41c3-9333-ae6aaa345fe6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f3155e1a-0e0f-46e8-8b53-d3df167f3a4b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ef63ca48-c071-476a-b76d-7ab06ea05ca5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6cd04808-0066-40ae-8f9b-01a440571c95", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8e50b6b5-b108-4481-af1b-10d284c7621d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7ffdc28b-3828-4fda-adad-dca5643b88b9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "12329bf2-d60f-40e0-9488-64435b7adb12", "count": 1, "frequency": 0.0003333333333333333}, {"name": "827dd63d-524a-4123-97ae-3a730958197f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "294338fd-2d6e-46ec-8d64-c165e53b7afd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "66fb7222-9360-4aca-85bf-fa584a1b59ae", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2d3eade2-dcea-4ce2-ab05-036ff9df6682", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a7e455c3-0482-4d52-a625-14666c1052e1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f169e2fb-96d1-46b9-8008-a23f3c7cf22a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "049bb8dc-d564-44e5-81e7-7ab97255b544", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f0f91cc2-981a-42f8-b8f9-b0650992ca6d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ed1a271d-d0d1-4348-8250-164017aff122", "count": 1, "frequency": 0.0003333333333333333}, {"name": "35ed6fbc-b014-463d-90be-534751d856a2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cca8c70b-a5c4-428c-baae-b33ccfe00eb7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6ee12d2b-e15c-4b35-be8d-d19126b55047", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e17014d0-a884-4068-9484-668be9794196", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9b71f3af-b8d9-45f0-af16-1f37a8f38a54", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1e8e3c13-c9e5-4acb-a406-70fd714412fc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "120a2a0e-4157-4b13-9b4c-8ea96d9e07c9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6cebae39-31b5-43ab-b173-5ff76ba0d200", "count": 1, "frequency": 0.0003333333333333333}, {"name": "76117dcb-85c2-4ef6-8e71-cd3da60a39a9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b6ba2cf2-6fc2-422f-aa39-a9a71569b11e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f3416b49-8345-4c0a-ab57-6882d1ba9e2b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "69f6f050-596e-4455-a26c-b57fa9c8557e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a79ca1fc-ce43-4a26-882c-b3d6f7586ba5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c9d29a5d-ddb1-4fe8-b8c5-1e73bf48828c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a97daa98-9ec9-4481-9207-44f871a985fc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d5fc0608-8e66-4495-a620-9f8ec09c398a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dfe6e6ee-719a-4fb7-85f5-d3ce7c1d8fb9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b3736d7b-b0ed-41de-bda7-e4282fda22d4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7153fc7e-f1e0-4712-a9a6-d16281a59571", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9cd1d2b4-0262-4b42-9488-d4fe51194fb0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "57c7fc2f-12c1-4047-842d-c622052ca121", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dd7563e8-c4a9-40be-bd21-7102fef95200", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2e0f7b71-69db-4d10-afda-19266a154c2a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "04b549e9-2b2f-4873-bd56-ca2c4904f7b0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7c35f5d2-b7b7-4667-8490-45bc3eecd3d5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1b81126f-6616-40ce-a430-bc1290e347f7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "03807873-ae3c-4e71-aca8-62480ebea1a9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a1438582-9845-408f-86ab-1c6c246a6655", "count": 1, "frequency": 0.0003333333333333333}, {"name": "71bb23d3-33fc-43f1-960e-ddd3db83b8b5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4860aa0f-0e1a-49b2-af17-24774f282565", "count": 1, "frequency": 0.0003333333333333333}, {"name": "58a85328-4639-4bdc-aa22-aeb2bafd7c8a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "98752b81-cbd0-4d90-945b-eb178ff6a2c3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6b9b0023-dfc1-497c-ab21-5119a87231bb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2a4a0d8c-369c-4038-84d7-d4585a778183", "count": 1, "frequency": 0.0003333333333333333}, {"name": "24759f89-c56a-434e-ad03-fb525f4eac13", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1469cc8f-b8b5-4818-a521-6446ff8da6e1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "52163814-c01f-4a1d-82ae-0e89a13cdbbd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "81a94b9c-3a49-47a9-ab5e-584186d121d2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "572e49b8-6fbd-4b39-9c09-376537830dab", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bf118836-40a7-45ff-b9b9-0dead703c2a8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c78ed265-8fef-459e-aa72-786ae7fcf0c3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "45ae59f6-9612-4e08-b124-dc9b5883000f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f63718e1-d7fb-427f-a0e4-4d2cfa313ca4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "df8370b4-fb93-4b11-8933-18d94c6c36ef", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a1d59b85-74b1-4fe5-8592-1ec4b96a728f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1ff2eb72-9d1c-4cd4-a46c-92615097766d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "47a510ca-4856-4ee2-9adc-7afaafcfc5de", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5d399d90-f7bd-43c6-9368-8de0d101ffee", "count": 1, "frequency": 0.0003333333333333333}, {"name": "867437e8-1370-490c-8008-ce66c1c481d1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8db557f4-5aac-4f78-8637-b6830278bb57", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8af306bb-3673-4aaf-aa33-7fda89185fbc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0944ebd0-075e-46c2-bbc8-cb0e3be89cb9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ca18897c-0ef2-4a8a-b382-c67d16aa32d4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "31d12148-8935-47c4-bff7-3b4e0d7c23e2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "179182f2-115c-45ff-b304-301dc953ca6f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "467ac584-3743-4a2f-94fa-f90e518f4fa9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "546a2a70-a1fc-47e9-8837-eef1b98f568d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e23d73bd-0c3e-4cd1-b46b-c46f384a1961", "count": 1, "frequency": 0.0003333333333333333}, {"name": "133bc857-4410-4260-832f-08e175e69622", "count": 1, "frequency": 0.0003333333333333333}, {"name": "560c36d0-b0c8-4480-8a29-6484a738f285", "count": 1, "frequency": 0.0003333333333333333}, {"name": "89fa5eaa-e8e9-49bf-bfe7-aef0e97a39ab", "count": 1, "frequency": 0.0003333333333333333}, {"name": "338e3aea-0e34-46bd-988a-e6f90223b528", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e7542112-7249-4152-92bc-acacf35ee1b2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "70472da8-900b-4ee5-aea4-f759d1272c31", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1f5f153f-6b51-4955-94c5-9b0659621545", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9acfd331-703a-4b91-95b2-bde0f90d370a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1155d1fd-dd72-4445-a997-fd2ecf74512e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9faa050d-5762-4640-bdb1-17e6656928f8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9aff940f-9f6f-4de5-8f40-382c349bef89", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7480cdd4-365c-43ae-aacb-963b61cc8183", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2de45121-0608-40ed-a54f-44f291da39bf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "08a39723-7f95-4fb5-951c-8ef492cc50a0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b4ed2249-c817-4d49-8080-6192cd26209c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ea9a683d-ec6a-4a47-99ce-4dacbd0ad42a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b4dfa660-87d7-4646-87ac-a1b84b98a75b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8eb36304-88cc-4a7f-9612-b3e083a50081", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a5d2f5b5-28c9-431d-bd82-33ceb09ea2f4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ef51f123-955c-4106-8efb-f5c2619c5531", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a50b936c-385f-4530-8fe3-4053c409df47", "count": 1, "frequency": 0.0003333333333333333}, {"name": "abcedc55-2c4e-483c-af45-723e3d39b904", "count": 1, "frequency": 0.0003333333333333333}, {"name": "980e785f-f0bf-4f45-88de-d6d2d68a1ee6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eaf55ef1-bfab-469c-bd8a-c36fcc315a31", "count": 1, "frequency": 0.0003333333333333333}, {"name": "434b1c94-b302-4faa-9836-56fd5fc372f6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "671d9638-cd9a-4f7e-9fe3-0200cfd8482e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8d3f3492-95d8-4f80-a1be-99183eb1e28d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "23a64f5b-76f0-4964-960e-45d58f58694a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f771a43b-4281-40f2-91d6-8b8414b8bb6c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2ea769ea-d372-4895-af35-60698b4824a9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e113ae70-db70-400b-9cc3-c7e3bbf25a65", "count": 1, "frequency": 0.0003333333333333333}, {"name": "750702dd-3eec-4a5e-896c-77de51f3bf63", "count": 1, "frequency": 0.0003333333333333333}, {"name": "88804486-cfb3-4dca-aa84-59bb0345d4de", "count": 1, "frequency": 0.0003333333333333333}, {"name": "449d2d34-8a74-404f-90fe-a1f4e502ece6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e3e3ef3e-dbba-4b2d-9327-2216995331c6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "021cbd59-a568-40ab-a918-cb2ca88e2507", "count": 1, "frequency": 0.0003333333333333333}, {"name": "de2cc1c5-28ab-4ec8-be9d-4acda7e691a0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "df8cb45e-db5b-43e1-897d-7d725b0f1ab8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1d4ba2f1-7944-49ae-a53f-843a0e989b45", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1ad3a414-a498-4492-aee9-64e5e24ad6cb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fc5d0355-780e-41b1-801c-0db714ce38aa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dd235d03-b828-4d25-81c7-8791366a37e5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "156fead7-3982-4a73-9c15-89f443245a0c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "59620874-4540-4b64-9f18-d226fd647f01", "count": 1, "frequency": 0.0003333333333333333}, {"name": "61560237-dfcb-4a64-83cd-ae7335852be4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e817cfe1-dacb-4960-a894-36dc8ff055e2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aac99acb-8eeb-4780-bccb-7b492f78ec84", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d82d627e-6603-4a39-9ef4-f2ef0b19409e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3cce5c50-c582-4e91-b951-900f36bb01c1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b5c2f502-05f3-44f6-9f2e-9d6f4a832d64", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9338f3a4-6243-4db5-8e55-d9ea4334dfd5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c5cefa6d-bfaa-4ee1-9f12-b90b5e782680", "count": 1, "frequency": 0.0003333333333333333}, {"name": "382ba1c0-afdb-4e08-bb5e-562773814ac7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1c2a1ad8-f6a0-425d-a72e-c48200f8855a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5647e1a3-ebd5-4f56-b138-8a7096f4cd5d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f58c1f58-d7c8-43b9-9283-35c95f33b5ef", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7d736921-5922-4492-8c40-8633f63dca56", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e83b7b13-9387-4793-aca5-79f6ea60eee6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "94265c22-d5af-43f7-936c-0ab6010fe05a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5376b0d3-dc82-4b74-ae25-0ad38718e52a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "301c484d-b19a-4a65-9924-889c877d15c4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b897cecb-12e1-4447-bf35-7f73cdf0cd4f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cd3fc55e-1de5-4875-9056-de1b55ffe59e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "64d7baf9-ae29-47c8-83a0-a8937a9e38eb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "abc5560d-d1ed-4c36-a438-2e015a4ba8b1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "18495531-042f-4314-8a54-62195e7a3a35", "count": 1, "frequency": 0.0003333333333333333}, {"name": "32d3b79a-2c47-4918-9e7a-38a54a2b6a40", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ff913cc6-dc16-4a95-a307-543ac928aba8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4ac4f5ad-a99b-492b-8a63-7ceadb1c3ffa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e2e6b2a9-4e43-4958-b21a-4c608913d5e2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a227a60b-bd9e-4b78-8ce5-3c849031d71c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5cb94929-8441-4df3-85ef-a138fb162eec", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d515055a-b310-4b84-a403-fcf3a323736c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5b279e33-7143-49d0-abd7-e4af2b5c2cbd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9177df40-d156-43bb-81fb-148841456fba", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d6c42023-a511-492e-9994-21993624a9d7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "684bbc7b-c152-48d0-8c9b-c16896236ff5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4e5aaed8-1d02-4f33-8d65-3bdc173dec06", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ffa5ccce-218f-4463-8af1-6cdcba7c7852", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7df09aab-7ea6-4f79-933b-8d3a01e9ecca", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9e4516db-0a68-48b2-885a-496a98085b76", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f5968603-eeae-4913-9831-910eda771dae", "count": 1, "frequency": 0.0003333333333333333}, {"name": "20565850-6e0d-438c-9e76-c5b8658bfe7d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "00ea0843-0ce0-4921-b1a9-25916c966055", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a8102cba-85fe-46ec-abcb-e8b79dc607eb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cc8fffb6-8c2e-49cf-a057-81c6197fe42e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "304e8b7c-0d1a-4a95-8d31-49c257c1b5b8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cc470ede-cb9a-43b5-ae3b-c467f352f674", "count": 1, "frequency": 0.0003333333333333333}, {"name": "47064c3c-6b9e-419b-87f3-0a75ea50dccb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "93818c85-4ce8-4c8c-bc0a-cb9fc75a3674", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4e9263b3-15ab-4b41-9b6f-19bb5ff52c09", "count": 1, "frequency": 0.0003333333333333333}, {"name": "50a00d5a-5683-4459-ac4a-d92f607fbf28", "count": 1, "frequency": 0.0003333333333333333}, {"name": "378c4739-7c94-4d9e-8223-17d6a5a892fe", "count": 1, "frequency": 0.0003333333333333333}, {"name": "36c96a37-e1c0-4adb-9d32-d57778c5ea7a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e0833258-7a13-4a68-bf30-e31d7be28517", "count": 1, "frequency": 0.0003333333333333333}, {"name": "281a43e8-f02d-4d00-9fdb-93ab26a46dd2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bf78b293-37ee-4f92-b30a-8fffc9b408f5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bc51dc4b-9e95-455d-9bca-fb048709dd82", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dd4d6c91-ae6f-433e-b660-6d1be4b2c50f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "28c97875-e855-4b19-836a-2bf7b381f10c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d15054e9-292c-4faa-9363-f3396fa4d266", "count": 1, "frequency": 0.0003333333333333333}, {"name": "19d44c24-4574-4d40-9c31-65294556f54d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e99585e5-613e-438c-acf3-46be3738fe81", "count": 1, "frequency": 0.0003333333333333333}, {"name": "27841885-d7f4-4a13-81f2-19e02a7b9990", "count": 1, "frequency": 0.0003333333333333333}, {"name": "217b39d9-a456-4410-9aa0-6774099912c2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8d8684bc-6010-4fdb-a37f-b0ea34548343", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0a52ebd2-b6e3-4119-bba8-18fd34e442bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6eb1173a-d7c0-4782-98b7-7117d488155f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f35842c4-70ca-44a0-a153-874e20127d24", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f9e602e1-8538-435a-878c-e6a9b8faba87", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4814564b-bdde-4543-8015-4c39770e1123", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3b3df993-a416-4bbe-9254-f8d48178531f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9fa0e742-5a8e-40b9-ae4b-7fa5bd120751", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e9d30fc6-c898-4471-bd3b-b67702b0b523", "count": 1, "frequency": 0.0003333333333333333}, {"name": "422f70b5-2379-433f-8f16-158babe91e61", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5f575c8e-5472-44ea-bac3-3d25942f796f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3960d516-2cc6-4bd4-86b5-475684bdf658", "count": 1, "frequency": 0.0003333333333333333}, {"name": "74f0e496-34b5-4c54-a147-e022d634a697", "count": 1, "frequency": 0.0003333333333333333}, {"name": "902a0354-6096-4702-9e07-0c277e0d6315", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1bc6d104-10eb-45d1-aa21-ef52b4b18372", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ba05e345-351c-4c16-9dbd-f7fea2e46dc4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "203330de-7e46-4b5d-91ff-d5310fcf69b5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "76bc98eb-9d65-450b-88b1-aff70370875f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7538765d-a3d6-410d-96db-e10a8171efa3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d4c5b902-e478-47c0-abd7-4fb2a1482e58", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8638efd5-fb77-4280-9dcc-5e508d163dd2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "931bf6b2-d35d-411f-9a3c-2b218078f094", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d63caf98-09e5-40a4-98fe-11d74fbf2598", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a923f9c7-3ed1-4e81-b187-07a992bc5d4a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "681bb2f1-4b61-4471-b6af-43e59a37726d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2395cd1a-22ba-4ae3-9ee0-ce2c4bb6e8b2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1f46bdbb-64c6-4c70-805b-c3fab1b08c46", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fdf72199-4f52-4ef8-9bbd-35c81cf90b3c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "37107b07-73e6-4ed0-b575-bed50883de79", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fcbce417-c5a3-4276-b89c-4ef63195752d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3a069552-0e58-4dfb-b8f3-07a612b96727", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6b692a87-4066-431d-be88-bfa932ee57e2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "414d030f-2cd3-409b-8c0f-be506445d083", "count": 1, "frequency": 0.0003333333333333333}, {"name": "544beedc-d303-4755-9fcc-0d7691585cd0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d0f6183f-5e79-4a35-a2e7-48501e7f34b4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "84583804-5d94-4fe5-86f9-c530a44d4769", "count": 1, "frequency": 0.0003333333333333333}, {"name": "811e3809-7f8f-4196-9c1b-622d0e9fa508", "count": 1, "frequency": 0.0003333333333333333}, {"name": "35869b0d-b327-4f21-b144-a0be7c8e3c88", "count": 1, "frequency": 0.0003333333333333333}, {"name": "501fddc6-8d56-43c8-b845-df97252c5dea", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0189ce3b-888e-4962-8ea5-6e00d0a8ce79", "count": 1, "frequency": 0.0003333333333333333}, {"name": "536df51d-2886-43c3-8b2d-d478c9d9a54c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ffe4972f-466c-4760-9fa0-4d987335e7f3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "410075cc-6c16-4c7a-91bf-331ccaffee09", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4f452b9a-2ef9-45b1-8744-2fb5c094d01b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "deda150f-94b1-4cb5-9ed4-fc93ccc10fa4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "78129c5f-5757-4243-90cf-58154853b1fc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "964e1db4-e2d8-41b2-83c1-314f5a67316c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4e9893f0-4a90-4fdb-ac76-0ab866046f57", "count": 1, "frequency": 0.0003333333333333333}, {"name": "906e9847-1af5-4747-82df-90b03e504fbc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f64e22d2-7458-4123-8f95-25f1d4ba7224", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e44419ba-66ce-48fd-af29-adcfeeceb4b1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1dde61b4-e1a0-4e94-9f3b-b61449cea4c2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a8c422bf-5574-46ef-acf5-8878952861f5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d5b3c857-41ea-4916-89de-98494084309a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "454ee3ae-ee65-43ec-9960-042030cb516d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5b63feaf-0d71-401d-bb4b-795e84ebf439", "count": 1, "frequency": 0.0003333333333333333}, {"name": "55d7ea05-7bfe-4c73-a74f-cc0f8a3904e8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "641686d8-b8c0-4fb5-ba21-d5e647f1e1df", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c4b05283-1fd2-4ebb-a8a8-00d10b76fae3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4ca07fdd-e2ab-472f-b800-21bdf3241043", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b2df6777-5f53-403b-8022-b12c47db22e0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b6581da3-8ede-4734-ad8c-ac6e70b49f52", "count": 1, "frequency": 0.0003333333333333333}, {"name": "08474939-912c-421a-9661-a1adc1ef6dc4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "43af4c20-c872-4bdd-ac1c-2156d29e4099", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a8b76ab7-90b5-4ead-a6d1-09b7e298712b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "feffa97d-0578-4876-9032-f794f83dd94e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f3319620-9a4f-45b6-a496-5ab19bee5d1f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0122a317-36c2-4446-b3c9-2d2ae4a90b5a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c04a4d64-f72c-4aa1-bee2-9aa2b457d6ae", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c6e8e3b0-c8be-43b8-b953-44f066c2324f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "119c190d-d191-42dc-8299-1b779cecac13", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ffc39fd2-f6db-44ae-b0d3-9909a6e821de", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7ff2012a-1790-47ca-b4c7-0b5238530a6a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5606f46b-c225-4dce-ae04-c9e9af1cb2a8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e4ab4064-1835-400b-ba3f-fa224b63a98a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8e8bd9d0-180e-4f9a-b371-d40cbd8ee902", "count": 1, "frequency": 0.0003333333333333333}, {"name": "63163421-b450-439c-949c-2d7539f78ab2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "20aaf6b1-f026-4a8e-8936-e45363b5604d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b60c78df-eba6-4e04-aec8-6603d07b8717", "count": 1, "frequency": 0.0003333333333333333}, {"name": "428d3e1c-4051-45fa-98bb-0ac0a70ee9e8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "817ce5dd-775c-40d3-b720-a88f83de0ee1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "65cad1d4-417e-4e69-98ee-460b7eacc2ec", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a1cf09ad-2f2b-456e-b820-399cc4befe5b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3ed6312a-3e9e-41a3-8021-a4241bcfa388", "count": 1, "frequency": 0.0003333333333333333}, {"name": "52bab283-94ce-4df3-9a81-5ac0ae337c66", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3b66369e-a773-46d6-a2d9-f4e9c685b00b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9cd2423e-309f-44c9-ab9c-7d802e3094eb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2a02bb3d-9204-43df-8dbd-1d331a790c30", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7e1da884-0ea9-472f-af0d-733a4f4573cf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a1d70cc8-1b2c-4b00-ae74-5d686363395a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7934e2a3-94c7-48d8-98ce-393f97e1da99", "count": 1, "frequency": 0.0003333333333333333}, {"name": "462aee69-b847-4c2d-9a10-5cd236a5577b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0aa5b0a6-d53d-4b6a-abf9-1f619a292fd4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d6590950-4eb0-4434-909b-966de3300a30", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8d283597-f9e6-4daa-9589-996fb4bd0c45", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e04add79-f3aa-4601-bcda-dde6729dfdc8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fabd173f-43fc-459f-8f8d-310729d215f9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1e53cc11-96fb-4b32-9bf8-fcba26d401ac", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d726f4b4-6d39-400b-97e3-3584ecb906bb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1ec3e190-db07-47c9-bafd-c68abe32d68f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1ac33cde-e163-4cd3-86cc-ffa718e3a4fa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2851abbd-964b-44e0-9821-a6610f57e1dc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2a7a7e02-f601-4798-acab-7e279c991e75", "count": 1, "frequency": 0.0003333333333333333}, {"name": "376bd2a8-cafa-4b9c-98a1-6ed27d1b957b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7325781e-3154-4551-bc87-3bce880ad97d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe15e145-a5f5-4438-beb2-c42b3071e0bf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d0b5491d-67e0-42c4-a886-1c9ee88fc67d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bb7f3e59-b3f8-43ef-8fac-4d001adf53e2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0fc41076-ad39-44d0-a625-1234721d4dcf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8160c187-4084-4bd3-8bab-1341a7dfd548", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1b1c7740-1e9c-4b91-9f86-4cb0480b95d9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "235bd0c6-e6de-4a60-b85f-ed312b14293d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0f54d827-51a1-48a4-a38c-40d09122c962", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a21cb064-0784-4014-9946-0c77ddfc39c4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c6f2081a-da11-4659-94bd-baf51a77d68f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5ba6017b-a5af-4967-b4c6-124051455035", "count": 1, "frequency": 0.0003333333333333333}, {"name": "02bf27c8-05df-4498-b4dc-14eac76c3771", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d1963be3-9afc-4a1a-ba46-ab1c14e00210", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7c8c0853-ec7f-4385-b96e-3ed5176aa1c0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "23e52d10-a4b3-4e2a-a1e8-50dcd7a2d6bf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dca4267b-15c3-4efd-a0b5-fabd7c2b9002", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c6a66d98-1a03-4d04-81d9-21f4baae8a2e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b7a22b65-ed2f-4371-a603-48dd9c3f80a7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dad72648-8662-4340-9452-761ade9336e8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e88fa60a-dd8c-4a85-896f-2ed873414a77", "count": 1, "frequency": 0.0003333333333333333}, {"name": "81bab64a-7a06-429e-b8b4-72bb92949711", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b1c80057-a699-40ab-b7f4-d6299e109903", "count": 1, "frequency": 0.0003333333333333333}, {"name": "31ea29a6-85e1-4737-ba76-ce63761e03e1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fa69905f-7221-41e0-8144-5caf5252c3c2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2ac104d7-970e-4e25-999e-8bdfb52d91d8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "56774431-8e4a-4f6f-9a11-f2e2a65fff2f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4aeac043-b990-494b-98c2-97845be13d32", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e199ef00-5e94-4791-923b-ad2ed7d7cf27", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7f837c80-e4d5-4c81-bc49-08f1cf7abf38", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bbeca4f3-45ea-43d5-9b8d-9eff2b4f0c44", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c1f870fd-1abc-46a6-acfc-4b67caa017d3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "46dadb33-a2fe-422c-81ed-d47c508fb3e3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0211dd92-1e1e-4069-b369-0281eb7ae937", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9e2fde97-743d-4ad8-9238-47d4e336941d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e4637a1b-e787-419d-ae3e-373691f2a4f6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f4e03339-f050-4b38-a4a9-25bc95fd5a36", "count": 1, "frequency": 0.0003333333333333333}, {"name": "31a2227c-c3d6-4d19-b2cc-062ac1a18589", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5af21dc5-b0bd-487d-bc1e-ba046e0ce45b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eaccec7e-35a9-48e7-a05e-8e9738fef003", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9ff3aedb-18e6-4529-ba35-9609087cb5a9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "492456ee-becb-4eb7-b56e-9d5646070638", "count": 1, "frequency": 0.0003333333333333333}, {"name": "65af8cec-3ec1-4a6f-a8e8-8212f600deb7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fa4b8d59-9402-40f0-bf02-b18548862fd5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9d5cea9c-d61b-4192-99a4-57fcad5ed599", "count": 1, "frequency": 0.0003333333333333333}, {"name": "be8cc93d-6f21-40e7-b73f-6bf1f86a3709", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e386595e-2fa6-4106-9b64-41b49f12cd82", "count": 1, "frequency": 0.0003333333333333333}, {"name": "45b24d5f-c72a-42da-b481-96748606ea6a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5853df33-13ad-42ae-b96a-a80d99901f2d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3d246e60-db5f-4fa1-810a-b790006569af", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5f9f729f-19ff-4a6b-a7cf-337595b6e381", "count": 1, "frequency": 0.0003333333333333333}, {"name": "99e9e0de-b09f-41c8-8f58-b3b75f7d6af9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f77ea3e1-6782-4d02-8cae-77367ef01c1f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bd9e9c18-7537-46d8-b100-69ccae7a6900", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a0b4d688-051c-4eff-b1ac-d00d55892989", "count": 1, "frequency": 0.0003333333333333333}, {"name": "872e9af5-bc5e-4979-a2ba-363c1cdadb85", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aa9c6e2b-8154-4bcd-8f39-4f41c67d03fa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "68b0f7bd-002e-4e50-90cd-af5becd3a525", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b333c47b-6aad-4df2-8baf-c93145770062", "count": 1, "frequency": 0.0003333333333333333}, {"name": "60172276-70e7-4fab-b379-3563c3005281", "count": 1, "frequency": 0.0003333333333333333}, {"name": "409898b5-e5dd-4a62-a70e-3b882f100883", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4e3c8c3d-5daf-424f-9dcd-cf09ae8e38bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e4346f1a-2fd0-4fe9-a8cc-6f26d4029b93", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e7993241-4e1f-4687-ba2b-92a874607593", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1c790e6c-d43f-41c1-a46d-381d402ef5d4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f053a80e-6313-46b6-a1f3-e7ae6422bad4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe0f53e4-33ce-46dc-b4be-e9f8421b2204", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fab8eec8-f018-450b-9ce3-3da02c715fbd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "517c5ea3-0c54-4768-88fc-c6ebb2cc0721", "count": 1, "frequency": 0.0003333333333333333}, {"name": "06e81714-dc33-4f3e-8053-bb0468f95700", "count": 1, "frequency": 0.0003333333333333333}, {"name": "23e3864d-470b-4972-b818-c04b2b76cf43", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6c42015e-3162-4f17-a73e-3ed21a6818cd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "46605ace-d2ef-4773-8aea-a6b6958f3694", "count": 1, "frequency": 0.0003333333333333333}, {"name": "37f288a3-8839-4c55-83a0-4f4f19fc0da5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e173b005-190c-4292-907b-c1acb2483933", "count": 1, "frequency": 0.0003333333333333333}, {"name": "81def689-7ae8-4f69-9e7d-dbb7fb94514e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b36ae835-a782-41bd-ae8b-afcdbcf41c77", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ca545bdc-17b8-4fce-93bf-f2e045405e0f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "13a617a9-990e-48ea-b25a-a243456c4d69", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1781efba-1b35-4bd6-87b0-c0d008cc2409", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a071d4c4-f775-4169-9993-af9b25b52021", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a81f0924-5a47-4b6e-8579-6e4dc65327de", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bb98f0c2-e652-4012-94bd-07967f70ff2b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9f428bfa-83f0-4fa2-9624-656861826ebd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5c55cc33-0768-4a4d-ae00-8f239649f6d9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f21a2d2e-b14d-4ee8-a37a-38a7a44c13b5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a149b69b-a6ac-4d8d-85e7-93e2bd3a8c4b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9ab772b4-dab0-48fc-829c-a7e495dc5875", "count": 1, "frequency": 0.0003333333333333333}, {"name": "76720f66-ff97-4ca8-9273-10c6e8f4499c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "67de338b-5339-4b57-85bd-ddb6c5ce5620", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eca77e18-99ed-4680-a964-674cf112e416", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe3aae66-ff3b-4fec-8e36-33cc448d666c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "89da7eb4-bce5-4104-ba69-e3a0fdd8b652", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6b541e96-5b69-4e53-8ebe-6f0e692f2161", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b212206e-5cdb-4cbe-a14b-43609aef289e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "16accce2-c242-4b30-b17f-44fdbd3d0d86", "count": 1, "frequency": 0.0003333333333333333}, {"name": "979a713b-3054-4e8f-af8c-cb3b0baec2de", "count": 1, "frequency": 0.0003333333333333333}, {"name": "da254e1b-0de6-417a-bed0-910099bb7c48", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9d7c2148-8cee-4f7f-809a-be1cf7418e4e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "917982db-3f3f-4c8c-888e-a4d0d5937eed", "count": 1, "frequency": 0.0003333333333333333}, {"name": "73e4fda5-2e4b-4633-bb14-5ba68a7cd1c0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f1990bd1-2d47-4b3b-b620-7fb0c73a7262", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d45be484-fd20-4b53-860a-82cdf8a58bd7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e40a7a85-1c14-4b46-a6bd-7e6b5829f429", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ce7f14e1-e5f0-4025-92ca-46ece82f553b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a0d58e1b-95c5-4a11-9967-998550639105", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d0ea59b4-2587-42d9-9cdc-5a572022dc7b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8630b0dc-8df9-455c-ae22-81e7b91a75c0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0040272f-d011-45a3-a828-9f4cd5dd0e56", "count": 1, "frequency": 0.0003333333333333333}, {"name": "85c53144-68a1-426d-bc65-e38083f65e98", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8235c187-3d03-45e2-9019-680670fe5a25", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b79c1af8-daa3-4494-83a8-d1f430144176", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1a63842d-b0d5-449c-be99-d982e3524d6d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "585a16ac-ebd1-4fd1-a83c-b05e3ee11ff8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "87dff61b-66b1-410c-a7ad-a968b03d9812", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4a60b046-63ac-4857-9ec3-85ff493636ac", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6f3cd4ad-c661-485e-858b-21167f9f2a96", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4a132126-80d1-4c81-8dcd-136a12570a34", "count": 1, "frequency": 0.0003333333333333333}, {"name": "91783bc4-dedf-491c-b1c3-15b53b2d7dc9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "55290f45-2260-440a-a857-12a033e43654", "count": 1, "frequency": 0.0003333333333333333}, {"name": "07080a6a-9707-49b9-8a79-68fcdd1fc72e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c352c7bb-8f67-48cf-a92d-066ae6eb32b9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1e361703-589b-4985-9098-f4a00fe38ced", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9a864d7c-3b6e-4933-bc67-a9a79366d0ca", "count": 1, "frequency": 0.0003333333333333333}, {"name": "89a3b4be-c442-4bc1-bea3-9363e95f5af9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4d8c863f-e8c7-4779-b599-b53c477d6a24", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3d81ea53-a501-4d8a-90e5-d7c4b090c590", "count": 1, "frequency": 0.0003333333333333333}, {"name": "03791501-606b-4e3a-a8fb-5d9f35c19425", "count": 1, "frequency": 0.0003333333333333333}, {"name": "166029d6-8a13-4b19-b660-8f1fda156bed", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5837ed9e-7547-4d59-9321-a5589a80338b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "66ecc71b-b9bc-48f8-969e-59df5cef8a53", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a54182c7-ca24-491a-b4a8-ef4cb98c666c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "66d2f9a6-4150-4847-9e7e-aaee25778269", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1040cdde-947b-4ac2-9181-48f093896197", "count": 1, "frequency": 0.0003333333333333333}, {"name": "51163814-6590-45dc-9e0b-f64f2b3bbd6e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d1aa2de5-fd99-4375-a8a4-5c3f6677f842", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6201fb3c-19c9-423c-93e9-9db373e4c95a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0317629f-0707-4665-ae46-09f13b6f309a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1e33c2cf-38be-4746-87f4-acd0da63cc99", "count": 1, "frequency": 0.0003333333333333333}, {"name": "01d05d15-8d34-4451-97d5-99dff5ee9217", "count": 1, "frequency": 0.0003333333333333333}, {"name": "92447926-4757-46b4-aee1-2c3f4dc25f05", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8cdaf0e2-df06-4b0e-ac40-89de8a8b8c95", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b02e645b-6052-4910-9956-68fc801b5895", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c536c2ef-c927-4a32-86fc-448c960db175", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f0d3ebc8-23f5-40fc-b7ed-26cb07505b36", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dc3aa320-919f-40f3-a811-6d58e3ae0c4e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "da8cd844-9410-4d4a-91cd-0e7bdb4eb584", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5662bd42-0c67-4923-99b3-c0725ecd2e93", "count": 1, "frequency": 0.0003333333333333333}, {"name": "09bfa000-795f-424c-bf2d-b56d89e86a61", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2c454f7b-e7e9-42fe-9630-f283e16fe7aa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cddc3470-403f-4467-b223-ec618cc4d717", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e4b2da97-1135-4843-8d6b-1b58869e97b1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2d8039ea-133f-4de9-a218-1a6e1f3deb8f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c0144359-cb80-4480-8ab9-2cb2e62a5937", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e0b33761-e11d-4660-ba90-0fa46d59fb46", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4c16e8e1-cd51-4de1-9783-12eb4060f3b8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4f87870d-75ef-4969-b698-929e83f0da81", "count": 1, "frequency": 0.0003333333333333333}, {"name": "06e1c44d-a68d-4c80-82fb-527474350c9f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "da856cc4-370c-4634-b0ad-1b0fa9216490", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e9fac1f5-76a7-49c3-a1c0-7ff79b601a5b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eb73d47f-4ac6-4c0e-8345-7d5e0d7b490d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7ea3510f-3322-4472-a348-01ebbb0f772a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "87cfa9e9-4de7-49df-9f60-3e787574041c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b7ab3ee0-6b26-4b9a-9ee9-ebdd7221b8e5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a64e752a-9fe5-4c87-8545-f139977391ad", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a182f583-72ec-4398-a3e7-d6c6f0d23da7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "970c022d-5116-4f31-9433-63955dbe2733", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5bc02ea1-ad76-43ab-ba2a-97b7471681e5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2a42fee8-6932-4d0c-8968-7113efa42cc4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1ddb2b2c-5265-4f3f-975b-8b00572a5fb3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "85142f39-d044-4938-b113-17040e3d5e40", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8b659407-2c0b-45b2-ad1c-d92081df8c93", "count": 1, "frequency": 0.0003333333333333333}, {"name": "54a02904-4405-4178-bec3-f996e060f16b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "49454d72-034c-4d7c-a06e-565ae13c3405", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1ea0f605-b775-4cd7-8306-8e414c04459c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "574380e4-f3ea-4c18-8a2a-4583e15ab159", "count": 1, "frequency": 0.0003333333333333333}, {"name": "87f90f31-7789-450d-9506-6cfecd022f43", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c32b581c-dcc0-4746-bdca-2ae015d11817", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6cd5cc48-a219-4b15-bc3a-fae3bfd44488", "count": 1, "frequency": 0.0003333333333333333}, {"name": "71eaf1ae-c853-4ef5-a044-d3de5b4c42bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a1c4de49-85f2-419d-be7f-0db04c0b449b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "78cb9632-9104-4152-a2dc-bbac0baac142", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fa4614a7-731a-473b-9bd4-2e0c6f9343c2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "969a8703-5382-4aca-9b08-4277710befe6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7086a266-ed89-4b4c-bda3-f966caf2d43b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f3d70eb4-7e58-4931-8c68-4f10a54e391d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6134aca8-7730-4f12-a828-1417c9b72e61", "count": 1, "frequency": 0.0003333333333333333}, {"name": "380e5c03-1ded-4733-b748-62871f6c7e55", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f1cb9eeb-a1a8-4c9e-aa49-b116355ac57f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "253503bc-1cdc-48d2-97fb-a03fc56cf007", "count": 1, "frequency": 0.0003333333333333333}, {"name": "73bd107c-b237-4fc6-9b66-6aae3159bad4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bd7a8052-429f-406b-b578-cc853cf1f962", "count": 1, "frequency": 0.0003333333333333333}, {"name": "de0b36d8-334c-4811-825c-20de4199e5fc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "24626362-c79e-46c3-a0e7-0b08ecb758b5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7d5a0bb1-ece0-424a-8dd1-08d7599e2682", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c3a31448-8900-4ea5-8bc0-de616e11c0f0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2f9e62dd-d351-47a3-958f-a09e2fbf96d2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "91fdf4a9-95b2-47f5-9647-769543da89e4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c492af16-56aa-4c69-83ac-e4ead5e56a2a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b4e25ef8-9ebb-4d53-8aec-5cb771280954", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8870e208-5655-4b74-97e5-5bbee55124be", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8a291114-9531-402a-9495-465a87d41d61", "count": 1, "frequency": 0.0003333333333333333}, {"name": "860b49ce-e33a-4143-bd7c-4effcce5ebb5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "932e6d92-5d72-422c-be7a-63f5d9fa9652", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6881300f-3eff-4231-a95f-89a8d6bf16e7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "92dd0261-55ae-4d2d-b7f2-4b455546a69e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9f9b5398-e285-4ded-b00e-e305368358af", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e36b071c-4c98-4a18-bd9b-41d3da2aae41", "count": 1, "frequency": 0.0003333333333333333}, {"name": "48ca5ce2-9b9b-4235-9801-f0ce86f94ffd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "949c7911-6a7a-4637-bbd5-79289e4345a1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cab03a39-dce8-45b2-a146-6c9b3db0be44", "count": 1, "frequency": 0.0003333333333333333}, {"name": "47441121-3909-4c62-8f41-265f6cc94912", "count": 1, "frequency": 0.0003333333333333333}, {"name": "406d4965-0864-4761-8a4b-0d74a5c6cb36", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2a745eec-6b83-4955-926f-a1de3233e787", "count": 1, "frequency": 0.0003333333333333333}, {"name": "899fdbee-edbf-4f32-8d1d-24408fd5219f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3e46a26e-4705-455f-851c-396370090519", "count": 1, "frequency": 0.0003333333333333333}, {"name": "27182d0b-ce53-4df8-9247-44f776a76781", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d3047c57-95e9-4a33-ab32-19e4548849d4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d252e3ce-4578-4191-9789-e1ec135e0607", "count": 1, "frequency": 0.0003333333333333333}, {"name": "06d5a3ee-c6f4-4457-99b2-421bb29e248e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f2504899-4033-4188-989f-093f6d6066de", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d6e7d5a7-e8e5-46ba-95aa-60f677f615fa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f0175aaa-40c2-4f1f-bbe2-c7beecc2b503", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e34ccfb5-db93-4c86-b730-4d6125b5f9a5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cd411b37-b471-4f4e-987e-e8372f301b11", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a8ac64da-cf6b-40f1-816e-076544ef0c42", "count": 1, "frequency": 0.0003333333333333333}, {"name": "23d84e3f-1675-48d2-b43c-9be418bf31b6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e675ebcb-f9b5-482b-b523-061ca588f758", "count": 1, "frequency": 0.0003333333333333333}, {"name": "60e0e0f1-1976-45a4-833a-9400cf1540ee", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c9bb3af7-8c12-420f-ac9d-275f19aa885c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ba163542-8817-46f4-95c1-41391b36a6e4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "813028fc-f70a-4037-8538-f8395806ff4b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "07c4525e-a31c-4e8a-a914-e4b7933c916a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0405121a-c018-4de4-afce-7229037c2a1e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1f4f81a2-a3b9-424d-a779-5437cb48e373", "count": 1, "frequency": 0.0003333333333333333}, {"name": "18563cd6-4fa9-4448-9cd7-b26866647ee3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "962b1c7d-2730-4d4f-a04a-b7a1492a0b65", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c7ddcdcd-4c76-4531-b0ad-95c3b4fb630c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f664d8b5-6549-4562-b643-74839df7b848", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a29759a6-a9a9-4ba4-b060-ec9479a323fb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fa062c44-746c-4f69-97be-92d0a7831a45", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0f609cea-8de1-4d6f-9291-a6bbded46775", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5b7eef4a-8d47-478c-b961-23b2d083f711", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3622e645-eda3-4e04-92a2-78b1b48cee0b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "17cd34a7-0821-4c29-9792-6f780019248a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "79a6b731-2158-495f-85cb-67e8232bc674", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d271688a-aac3-43e4-a6fb-043a70407f7a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6e1fa6d5-50a9-41da-af39-3e97196ffa23", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7b7602de-3167-4570-be18-b38e88704ad6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b3fad185-fa1b-4cc9-990f-1ba7f03a6950", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7fdd6250-f958-4875-a767-3142cf05b695", "count": 1, "frequency": 0.0003333333333333333}, {"name": "73576b96-dd09-4a9c-9b85-fdf801de0c48", "count": 1, "frequency": 0.0003333333333333333}, {"name": "23152505-5489-4853-90cb-e527c1eb7692", "count": 1, "frequency": 0.0003333333333333333}, {"name": "61ff26a1-dc2b-46e0-991f-3a8fb60b4c6c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "04f76b51-6284-4540-af55-bd912bcc2348", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f735eb91-0219-4472-a4ca-33b2629ee4ba", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f9ad9344-797e-4fe1-89b0-a456bd859b19", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2bf1b2a3-f89d-4b4a-910b-8473b9a89c79", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bef415d6-dc2c-4655-9e2f-7382e3f73fff", "count": 1, "frequency": 0.0003333333333333333}, {"name": "541f8399-dcf4-4e39-a41b-e14c848a6d28", "count": 1, "frequency": 0.0003333333333333333}, {"name": "19b3cd96-f875-4b09-b989-bf09cf83a4c2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9dd823cf-3ccf-43d8-a1b9-b588aff678fc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3e31fb76-74b6-41c9-bda0-d2ab71993a04", "count": 1, "frequency": 0.0003333333333333333}, {"name": "578c2083-1ae5-4453-9964-3fd2de4bb2c7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c1fd8db6-b71c-4dd6-a8d1-73acb09282de", "count": 1, "frequency": 0.0003333333333333333}, {"name": "07736c07-a5a1-4379-a693-074096e8a786", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3cc24471-7c33-49da-9cc0-01e12d1cc306", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3c2f2399-dd8b-4cf5-997e-7d5914937d66", "count": 1, "frequency": 0.0003333333333333333}, {"name": "252ddc08-4f14-4d43-8134-ddd0a33bacad", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2d163f22-2029-459c-8b78-98614e1b4f3b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8fc4c8fa-896d-476c-b452-995807fc74f3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9d2f4072-05f4-4740-b4d8-5191a486c10a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "41561542-d256-430b-b661-5d9f2e6e0d86", "count": 1, "frequency": 0.0003333333333333333}, {"name": "07264c07-ff36-4f47-aa6d-ce469ac6a3eb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7204c8e9-75f0-4327-99e1-f2d2522e62da", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f2f3e5a8-c2ae-4359-a5fb-00498d549531", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0f3a20eb-bc34-4ae8-a8e7-31f354ff374a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "74a488f5-0fc7-4de8-88d9-160c55946fa5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6c84d86e-0307-49b8-9c33-96406c40ab10", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8b01840e-9085-4239-8e94-2c8862d57295", "count": 1, "frequency": 0.0003333333333333333}, {"name": "81d0da60-3ced-4014-8c3f-eee254b77ff9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8ebda992-ce47-40cc-bd35-46302f4fddfa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "384fb45a-9c71-48f0-a9ec-205dce2c12d1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "67064ec6-4eae-42d5-b546-7d2617ae0f03", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0d8fd80a-44ee-443e-9692-1b0d1bd54590", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fb384f22-62d1-4b4b-bfcf-6e75523d47fd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1879ad06-c1a1-4935-b774-af7efd68759c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "04f77d7f-ee55-4349-a62c-b3bbfaf6fb84", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b3e54525-8902-4044-a9d6-44ba1ffecc32", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5b9f4254-3c29-4852-8340-3216f1cc4fae", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c7cd864e-6f71-4854-b06d-67c81c8b619d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "31d9eb81-c84d-472c-8ddd-297f9328c092", "count": 1, "frequency": 0.0003333333333333333}, {"name": "46ec7c5e-6c9f-4204-9ad6-3d07400941b8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9fca7bc4-80dd-4615-a0c0-0058b303dc29", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f9e39502-dd79-4075-a3e3-83b48d2363e5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9c06d3dc-e8ea-49d2-b64b-f09e3289d541", "count": 1, "frequency": 0.0003333333333333333}, {"name": "87859457-b0d7-46ba-9fab-dc19a7bf70a5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9319b19f-1a6a-4abf-b8b2-6b4fda37a1b8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a0567ba3-32a6-46ef-96e0-87ab120f2f95", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ed7ed833-dce2-4640-b1dc-2cb47b6bba0f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4cc0aaac-775d-4960-95fd-8e1e0e7d8a10", "count": 1, "frequency": 0.0003333333333333333}, {"name": "24086f7d-1e6d-4bcf-bdb6-e9f664deef4c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "074b74e3-149d-4234-98d0-d8988aec33e9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "06e8c439-f2f3-4e34-a16e-51c64398a64c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "87355fae-075f-4150-b385-b83056822ad8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "58eb451f-1fc6-4294-a263-036c03eae8b3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1eb9bae0-8157-4b96-86cc-81af4926817b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "42824f7b-fe82-402e-94e5-a81b04e7c80f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d47072d6-1ee6-498a-9ef2-54e2c372c778", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0e6e9312-6bc9-4d31-ae37-e18bf3fc6103", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2d4b21fc-d2a5-4192-a57e-73892d36107b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0a4fe661-8903-4f3c-a7e0-548f2ec9bf77", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a4f24ce4-8f54-4804-ae5c-cf8aec59acfe", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f387f696-7c3b-4177-9fbb-b0a4a6c71c0b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dd06b921-282f-48df-8455-72bc8c39e8e6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "65476745-9ab7-40bb-ba09-e736adef6f44", "count": 1, "frequency": 0.0003333333333333333}, {"name": "18567fab-08bb-4b45-affa-c12f4d1d5ad6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dc53297d-e0ca-48aa-b1f6-0308ca759159", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e1df411a-3feb-49d9-b4d0-1b795cd3ec0b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "198f8a1b-bdaa-4f9d-859b-00a37a642006", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f9607e71-eda8-407d-a328-2c2c2faf1502", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a5fa5511-6044-4669-bff9-9f6228714a48", "count": 1, "frequency": 0.0003333333333333333}, {"name": "457a7238-6c3b-4350-81bd-d941235d4381", "count": 1, "frequency": 0.0003333333333333333}, {"name": "74148d76-21a2-4195-87a4-140a50d00efb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "924653a0-7af4-4b39-981e-3cd1cd589ffd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a81c3eb4-c996-4eac-8773-d80e9572c364", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5e01958a-a77b-4102-bccf-977e39c4eb16", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c15982c6-4066-446c-9b00-d9da2d33142b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "11e7b091-3f9b-4f9e-b0fe-467af796077b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "17e04229-56f0-4059-b972-6966b9aa3fef", "count": 1, "frequency": 0.0003333333333333333}, {"name": "57276744-7ea6-46a3-8b0c-bc4745a08bfc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cde73d3f-c87e-4f9b-beee-6ab9da5ce7d7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bc2bff1d-2b6b-4711-8421-98bb07e562f9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e6b73f7c-ad77-41a0-93ef-dd2585ad95f8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2485b423-2b49-4c71-b47a-e9115636583f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "329a38e2-6f37-46e8-911b-8c1c0cad547b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "68c8dc44-2e69-464a-9ab8-9549c604f7c3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "44fd4705-9581-4873-a99d-fb684f0a5bc2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "86d72f74-0d04-41c0-8384-14916e8228d9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6ae39a25-cf52-4491-a42c-a02208d84e33", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a6d744cd-1346-4888-be35-6017f07891cf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "699fdb46-41bb-4ba7-8b3f-e4fd71f26432", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5644012a-0953-4c33-9024-38ba48636c3e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1f76f5e1-2abd-4c43-acc2-8eb99a5860d3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5e56cef6-30cf-45b9-90b0-82de5baf9196", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f2e3dec7-26e3-4cc8-aa4d-452081305d14", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5854a145-37c8-4433-ba3d-c28a2e0560b4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5472d465-eaa4-4c4a-ab9a-f12530f78d00", "count": 1, "frequency": 0.0003333333333333333}, {"name": "be0d7d5e-cf2c-4a15-aa3b-763ea8cf0dd6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e76ea2ea-cf51-400c-98ee-8be49d1734ca", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d01d4b87-2e0a-409f-be55-f147607b7b31", "count": 1, "frequency": 0.0003333333333333333}, {"name": "238fef10-2cd9-4219-bc00-1b1a2da38f57", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f67256d3-be06-49a2-92f4-cf10ab24d7f5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9b20f23a-ac08-4850-8557-ce9488c3c252", "count": 1, "frequency": 0.0003333333333333333}, {"name": "64ef5483-1bf7-495f-a979-af340f9c17c8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a804649c-ae5b-4efc-810e-800234323d16", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3948a1f2-fcbb-4301-be56-f94a619cedfa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eb046ba8-ec57-48e8-9c8c-803bf8b88758", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9f54f954-c4fa-4dde-997c-db49e4b2ccb3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b9da3987-4a21-4af0-8975-317a58d9068c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b946ecbc-510f-4fd2-8fbb-2d6ac330c000", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fb10751c-83c0-4bd4-925a-1714275ce75d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1053d364-6501-40c2-b783-ceb0485f1a20", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ffd087df-4907-4bb6-b1bc-c131fac48636", "count": 1, "frequency": 0.0003333333333333333}, {"name": "03482901-c83b-4516-890c-a1ff31794f1e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "24c1e956-4e43-46e9-84b7-65d8b64e6fd8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6fd99e3a-76c8-4afc-b793-f6fa60a1cd3d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dec49529-9482-49d0-95bc-031e5a65e54e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "31bd37fe-a948-42cb-a439-2e70a69b6ede", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d1279e46-cd4f-4663-8074-c48e14a7002b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5a872ab1-e05d-4a39-8cc8-71326eceda3d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e7a0a0d1-c643-44b4-ad00-c62d96227729", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c358e0fb-de35-4062-a660-42c15dc72f01", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0d6175f9-03ca-4e64-8f29-f9cac5674177", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bd17e688-2d1d-461a-80ea-bb73f2975fd4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0bd95a4d-6857-4b82-a48b-0fe02082a938", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eba68109-6ac6-4576-83c2-46580c3ae2a5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4f2cd7b0-6733-47dc-911a-1b1dfbce151d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1d3c8c6a-5e7c-4de3-ae6c-20c0cadb5942", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cf866821-1dd0-496a-84a3-ed10222b5f56", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f72b0d65-4951-47cc-9569-b968ab5b4252", "count": 1, "frequency": 0.0003333333333333333}, {"name": "04a2c25f-0a9b-4ed6-bcbe-0afe5b54af71", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cbd4177a-bbd2-4ca3-a917-9f7a2cda972f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "436ec568-845e-4bc5-9776-e62fd2638e5a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eebd1d47-8af2-4aea-acc3-96b59bfe63cc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "88094ffa-951f-40f9-b883-e925e6c84c72", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c7ce50c0-ece3-4494-90a2-95d371622ecd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a4b54a6f-1eee-4963-9a65-c386d1b57026", "count": 1, "frequency": 0.0003333333333333333}, {"name": "febed28a-c116-4d92-a40b-6172536790d3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "19550a54-7528-4522-b1f7-88887fae8a3f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "12b7ae0a-f6a6-4061-b4b3-8b864ed900dd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b48d0396-2d68-4b40-893e-6a242a89dbd4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4c58c0fc-8882-4c20-9c22-3b2b47afeb2c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "71dd794e-5991-452f-9bfb-5abfd7cadb0a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fb087703-77db-488f-8d3d-c91b631dbc82", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8c3c6350-0195-462e-bfa0-28f4a95d7574", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8eaf720e-d164-47b0-90bb-b395d5a166a0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d5004df6-6dea-4a78-921c-7b6b5806004a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a38ff1f8-bf73-40c8-9551-19eaf1cf68d9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "88fa5968-bdd7-4bdf-9b19-4e1bd988d2de", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4f5c183e-ed59-40b1-b0a3-fd35d0a52473", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5e3ec000-483d-499b-b455-01c6588688fc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "05487c58-1afa-4bb0-b004-eade1046e9d2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b6ea685c-02a0-4cd0-9527-a504ef733fe2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3760db3c-399a-4764-b6ce-e6dccf6975da", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aa9bec5d-95a2-4174-9608-afe430d9c306", "count": 1, "frequency": 0.0003333333333333333}, {"name": "109e8d7e-c2e8-4a8b-8da6-bd9bd875a273", "count": 1, "frequency": 0.0003333333333333333}, {"name": "baa3d61a-c8c1-458d-88b9-b8f81ccab3f5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "14713b2b-4961-456e-9f5e-f600b41a6d36", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c074f4d6-f6e2-4519-b321-c8316c7f42a9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aeafe3e6-2bc7-46d7-9cb5-8b5429b23d26", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0ad1e676-500c-4aa1-81fc-e5bf292fec5d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2e50eaf6-051a-49be-8c22-bffba5bbce59", "count": 1, "frequency": 0.0003333333333333333}, {"name": "668e5ab1-bf2c-452c-a66d-d0c690033a50", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a9ccd6fd-4cd2-4085-a91f-e0d0e42a01f8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "074099ea-077b-4582-ae35-9d34d1afe1bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "41eae818-3ad2-4f4a-a9dd-0b205a2d97f3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f74b439c-feef-4161-92f9-6711322acc32", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9513f756-247d-4c59-9683-548b54a744db", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3c34fe88-9459-417a-a48e-ce0732a9661c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a688c445-caa0-43b9-b66d-21b414bee2bf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cb430185-f935-40a4-9195-3e14ab595fd4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c049c4d5-3e85-4e6d-b377-a8e5e42f6957", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aa8e6e9b-99e3-4ad6-853f-f593d5bea98d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8b0078c2-f908-493d-b792-3f3a8ec0911c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d228cbbf-6657-4534-9d10-066210778ea3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a314b4e2-31bb-4022-897d-60550482c68c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7905017e-aba6-40fd-a77e-6200e1b844ee", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a674f35e-f104-4b6d-b640-62abd8e67c38", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4d108a1f-3c6f-412f-a13b-c2bedf6b75db", "count": 1, "frequency": 0.0003333333333333333}, {"name": "026978a0-9527-41fa-80b1-1b942fc3d0a8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3dfedca7-6358-4f56-b4be-d7f702808465", "count": 1, "frequency": 0.0003333333333333333}, {"name": "12433f95-16cb-47a5-ba7f-b4bd393739f4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "31b53c52-80da-4501-9e42-ec8e3566da31", "count": 1, "frequency": 0.0003333333333333333}, {"name": "54a93b87-da66-4be5-bb07-080db712ae49", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f41601dd-73fd-4653-8f36-394d6fe05536", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d3af5af2-d0c2-4f6e-bca0-15659256b8ad", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b251f5e1-d865-44a8-9a57-9ef728e708db", "count": 1, "frequency": 0.0003333333333333333}, {"name": "14003930-7bed-405f-97d0-06a4dea230ed", "count": 1, "frequency": 0.0003333333333333333}, {"name": "729ad740-5e09-4681-9bbe-f2caa46bc5b5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7d153fec-5765-4a80-bb72-5bf82a1473b4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b301bde9-2be3-4f50-bddf-90b57f3c0af6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "80d99525-b854-4585-9362-c1505c659a23", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f906796d-d8c9-4f5e-bcb5-2298952e7fbb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "19c8dc77-9d3c-46f6-bcb3-14ce65dae6dd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "210497ac-fda4-4059-ad2b-2696cb0fd119", "count": 1, "frequency": 0.0003333333333333333}, {"name": "37186351-0b1f-4679-9a3b-0e429c9ecb4e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a87cdd17-ffc7-41d3-b436-213acd092502", "count": 1, "frequency": 0.0003333333333333333}, {"name": "74ee1be6-a571-49d4-8a4c-2ce16ff8a14d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a686fca3-f158-4470-a193-897e6b2ae018", "count": 1, "frequency": 0.0003333333333333333}, {"name": "528a81e3-a7bc-4764-a66f-59371f4bad11", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1285b869-7715-46c3-a5eb-e35ce7097059", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c22bfdc9-1e6e-4dcb-ab96-6b0eaae4d530", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4e572a0f-b310-43cf-8d3e-134328b4bc81", "count": 1, "frequency": 0.0003333333333333333}, {"name": "527cd349-feb1-45cb-b049-40f9fa564552", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c1bf9437-1ebc-4809-8dd2-df024c8ac342", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c3dcf20f-c5a7-41ac-9c7e-99980cecbb6e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a77576df-c1a7-4599-8c65-d57caac1cd0f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cdc312e9-d577-4d68-ae75-c6951c8ac87f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c093bf59-df24-4a4e-a61e-717d4a21b316", "count": 1, "frequency": 0.0003333333333333333}, {"name": "05d2d6f3-5879-47fe-9186-885254c872b1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3a9a50c5-13e0-4300-8126-2a75dd18b584", "count": 1, "frequency": 0.0003333333333333333}, {"name": "436d6f25-3d32-4422-b1f3-7a052413deef", "count": 1, "frequency": 0.0003333333333333333}, {"name": "15977234-8bad-4ebd-92b1-329de5e749a3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6467c8f4-e210-483d-89a5-951a77fbb462", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c710edc5-4cc4-48cd-a1b9-e07fcec40000", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dc6365ff-71be-4d02-9454-013e34c6fecd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fafe214a-7d20-48da-8928-3ae70237abf5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b1754eaa-1dac-46ea-a10c-b87669cf4283", "count": 1, "frequency": 0.0003333333333333333}, {"name": "393775e0-f32c-47d4-807c-70ba8829bb86", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dd5eb775-843e-4547-a703-434b2844ec3a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e1db10a0-7a9d-4bd6-910d-3c409e4c613f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe94d477-e459-4029-8653-ece571eab226", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e6279f2e-7e33-4543-82ec-9738fb399b90", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9e005133-a18c-4659-b187-db5feb5f8d1f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b46864f4-1706-49a1-93a2-681a3fb15d9e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "70586cb3-e207-4549-8e57-7d2cfa0d71a0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b367ce00-eafa-4df6-a449-0208b8abdfc1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2cf3d0eb-d74b-4ad3-95a9-180ba731c166", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f182ab74-9a2e-4f88-b5a4-3c9323a5f98d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c56afc82-0dd0-441e-9ec4-529d473d49ed", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c5db543c-da9f-4fcf-90c4-1205eefeb693", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e1398554-0373-4d1e-9f93-035003274571", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cfaa0659-e7c4-4d4d-bfa5-085d7c67c296", "count": 1, "frequency": 0.0003333333333333333}, {"name": "19c3c6c6-d01f-42c0-888e-6d60fc6c73ff", "count": 1, "frequency": 0.0003333333333333333}, {"name": "51f500a3-8f26-445d-b790-4e4c182d6489", "count": 1, "frequency": 0.0003333333333333333}, {"name": "55dbac87-8a31-4ab9-a450-d67bbcfba63e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c29c81ff-c6ed-4026-9c60-ac0e7d75564a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4bcd2320-5dd8-47c3-af09-d7e51a0e659c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bf6527e5-23d1-4951-9db4-2c41d6967abf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a1461c6e-8fc4-480c-807d-db78d9b5409f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ec409cf8-e40b-4d77-a47b-a24c1ec22203", "count": 1, "frequency": 0.0003333333333333333}, {"name": "06d84638-2604-4105-abd7-2df659467bcf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7077c289-c289-4c79-8ee5-63a962e903f1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8e54077d-802b-419c-acfb-0adb871fa5fe", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ea30ad85-5ee2-417a-8d94-c8c94561a58b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4aa81c9c-68af-4132-b0cc-4e8fb85809fc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ecf3f361-6fae-4138-bef3-83f201381996", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7166fd6d-f91e-440d-9cc7-bde5c042189a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5ed3c51e-973d-434e-8408-b642e94e0d41", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7b1b29af-de04-4e05-aef1-055e4c72e1b4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "90aab517-fc98-44cd-b17d-ddf0ed63aa52", "count": 1, "frequency": 0.0003333333333333333}, {"name": "081cf97d-2189-4b28-9bdf-059336d08259", "count": 1, "frequency": 0.0003333333333333333}, {"name": "58c729d0-bdd2-4b9c-9ffa-5ffaf653837e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "76763526-80ae-413d-83ed-c985a693edfe", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5835b008-0ef9-47db-95eb-06a19649708f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ef0e1e63-ecf5-4765-b552-7f2edda4a94d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5a2f790e-8cb2-479c-9c4d-50f44d0c6bef", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f2b98f9e-ff9a-44d4-9bf1-2e478e494cfd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0315393c-10fe-4de9-b577-c55c58c4a93a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d6906292-3f38-4c22-b57c-f855efb9acc5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aac3294e-7c32-464a-bb35-e6ee04f7f1d6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ebe23ddf-3783-4c61-8d00-52ff0f5a977f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "02c7f0de-4e90-4f90-bf02-e24e73b5ec54", "count": 1, "frequency": 0.0003333333333333333}, {"name": "156c2bb9-04e6-4856-bc59-45c4cdd83d0c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4d523fcd-a8c7-4b37-bfe1-890df8011302", "count": 1, "frequency": 0.0003333333333333333}, {"name": "56598f2a-3ff8-44e7-afdb-f45ba4486fb6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3a6074d2-b42f-4853-aeac-d164d36baad2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6927a4c9-2e2b-4d58-b03d-dc62404aa345", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9e2f7339-5818-43fb-904c-591d3f7c732e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f976b02d-da4a-46c5-9437-bfe1197afe64", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b97da780-0591-497b-97f7-f3b40f9faabf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aa530c69-ee6a-455e-8bf0-469fc60d4704", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3764ff73-e4ae-4f8d-93d4-0c8c9f7f4e4f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "540e3f30-4850-4a0e-9c89-c79544165708", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1baa05e3-7657-491b-8033-3ac324ad74a0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7022c419-385d-4464-8188-e7e1d27ade58", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0f03a62d-1894-4ad3-bf27-775633170807", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b594e39e-d5ed-4715-b89b-1e27e2379b49", "count": 1, "frequency": 0.0003333333333333333}, {"name": "159a13cf-6fc8-4d68-aa12-61b6f8b3c3a8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3b1357ff-85d7-4fe7-81b5-85d6a1e8765c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "abc983e2-8ba6-4452-b7c5-cbc64b7fd628", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fa0d37fa-e3c6-468e-a183-1e5c633b9cde", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9fa7ff0f-3ad1-4727-b877-d74a2559bb90", "count": 1, "frequency": 0.0003333333333333333}, {"name": "346fec01-76aa-4987-ae9f-28a7b0c5777b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b9b68d96-0f65-4f7a-bde9-a0cf0b882980", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b6b84c4f-faee-44d1-9763-bd611b928b18", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3e6ce9bf-536a-4847-976f-c233da2e3d10", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9b9f3666-65fa-4ee9-9558-71762d580d19", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5a901007-1339-4e47-9dc1-777c2b99932b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "732b6765-dbdc-4c99-825e-503f331f0840", "count": 1, "frequency": 0.0003333333333333333}, {"name": "83ffa0d8-da42-40a7-a3d9-ffa350bfba13", "count": 1, "frequency": 0.0003333333333333333}, {"name": "431b722a-9bb5-4e2a-a034-ee1f2cd4ad71", "count": 1, "frequency": 0.0003333333333333333}, {"name": "537a0cf9-dc8c-40a8-8e92-61c972cd5369", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f10631a6-07cb-4084-bb47-a405079807ea", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d839c399-dcab-45bb-b3ff-fcdca13b6296", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a3a3cbf2-49f8-46cc-9b1f-4d9da0457da6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "989de47e-bb23-41b6-ab19-4010730c1536", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a6c3f2c7-cab1-4a14-bbe2-ef6a821ea9f4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9f2efeba-aa80-4251-9162-15fb595980ee", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ca17102d-71f9-4f9f-a52b-4c9cc98308e8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7c04081b-00e2-42c9-9ff4-7459d7e5cd7d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e334d3c8-a763-435f-8086-c9c05bda2ea6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "56a72b55-d88c-4c3e-846e-dee0e3974896", "count": 1, "frequency": 0.0003333333333333333}, {"name": "827e03de-68a8-4522-9e1c-d01a38280601", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2b382138-1270-44af-b805-b1d9ccedaac1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "221f0424-d238-4f99-b7f5-64fc3a0ed069", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bb73c1b6-d2d4-4124-9ba0-6a542024b5dc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a3932dd3-72a0-4e60-bbfb-4eabf7d8633e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "97df7ebf-ed3c-402a-b680-6f64f8cdbb90", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4879ccd2-254a-4da8-8dd2-1b2e6850ef21", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5d14c598-6eae-4ac6-a697-6095679b0add", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e6a510a4-32fd-47ad-a53b-3dc8e8f58595", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3bffbbeb-0824-4090-adab-033b5d75188a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "28a02261-5bda-4935-9fb5-36229e1087dc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3d504c60-e4a5-4496-9e19-31f00571b990", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3a61b1a5-ba6a-4b28-947a-ac6fac26f38d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7fa60c00-c096-4470-b63a-c6896447a9e7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "87c89ce3-7786-457a-8881-bd8ef7fe620b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "596175ae-fb23-47d9-8ae4-3633235a9e27", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d50c83cc-220d-48c5-a7f4-8351a23aebf5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "994de0ec-b32e-4a08-a507-e8111fe79be4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "29586f24-c7fa-498c-afab-9fa64c62da18", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aa68a506-1041-4b0c-a1b1-44fde33dd082", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c69ba6f3-9fd0-49e2-b029-7c42be7c5a0c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a1c34bb5-a52e-4dad-bcdd-9019e12a3d32", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1fea7173-17f6-465b-bfd3-bffe45f718f1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3df275d8-1c58-4ef3-8e92-ec970209f85a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c82e9eed-0284-400a-99f7-fa2c1a49cca2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2127bc34-b7c2-4dd8-9579-908d879d186f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7597ae2f-479e-40a2-ad75-db4f8e10e755", "count": 1, "frequency": 0.0003333333333333333}, {"name": "470aadec-d478-43f9-9e60-099fce0a5bc6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7ae8ff63-7a0c-4232-8b69-184db061811c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d95adaf4-b55f-4d40-837c-7740071e5cae", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2575b406-3d08-4809-805b-bc0adeeb5846", "count": 1, "frequency": 0.0003333333333333333}, {"name": "23940558-e33e-458b-93e4-e4b7a830a405", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3d8654bf-eed2-49ed-abe8-d10a1c4b9853", "count": 1, "frequency": 0.0003333333333333333}, {"name": "759bdaa2-5597-4ac0-9867-f1f7bdef1e32", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bd28967b-5abb-4fcb-b3b4-07a2949f7cac", "count": 1, "frequency": 0.0003333333333333333}, {"name": "efbecd50-a311-4c93-815f-d6e0da904a5e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6c7f9a68-4aa5-4aa6-be59-f7328a830ae9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f032c3a2-c6ff-4944-8343-2d1e63790e41", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7b6d36ff-052c-4f1c-9919-2a3a7a4dceb6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "783cf286-4d4a-4415-8ca6-3dcd4ec85a24", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a67b5c94-1280-48c1-ae21-e58e81142771", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b59b29eb-84ab-423c-9463-7a7dcb64449f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1c48a143-6c76-49ec-876a-e6dc736a54aa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ce2f5476-118e-42ef-b31b-1b9b05bf2b16", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b6c372f7-741e-4e86-91a6-332d9b17253e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "22facd46-2efa-4039-897f-a639a30be820", "count": 1, "frequency": 0.0003333333333333333}, {"name": "31d5240b-8e5e-4730-8252-0c009f9a0a7b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a5a0d7f2-6b7a-4c55-8546-063831faead3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d73af8e8-6633-426d-a20a-8c435bd01dc0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "384f81cc-28f1-4482-9cde-f96ac37d85e3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6c7ea6bf-d55e-4d0a-9ed0-8be6258d3ba2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e7625dd3-4821-4ab2-a32b-d337f6921ffb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a7b86049-b0fb-4fb6-b723-497d02e663ea", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1cf4d463-8791-40c0-a27e-a7a8110a7fe6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c67b15a5-b725-49f3-8638-916edc3add7f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "537fd813-d243-4a33-9230-f5234a758f5e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "26c6beb5-fe67-4cab-8ad5-f90dd15c1387", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fcb9cc1d-09a7-4594-8ba7-25a08e7bcb51", "count": 1, "frequency": 0.0003333333333333333}, {"name": "29e7dcb4-e651-485b-9b3e-2db8a56c2547", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ae954f36-ae66-47b2-9049-c7974c72072f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "84fb5f25-80cb-405e-a35e-b3bb4dc7d66f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cb1fcb74-9456-4b7c-9734-e3d3691401e7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c2ef4880-7571-4eea-a561-56259b7122b4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0bd7156c-8890-42f5-b4d9-4b2c228335cd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a37a6b13-9969-4344-b99e-94c63708a612", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0d6c92bc-2df4-4da9-8daf-a76629120fa1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a6094a7f-7f49-4739-b5b4-9a0e3a55836b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eb08052a-eb3f-4247-a531-6497d7e1f29b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "81d83712-6947-4ab8-9802-50afcbc460e3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e94a6f61-535d-43e2-b857-fcb15f0444c3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b1603124-b7e2-4a58-9602-2df42c3ce27a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f8305295-1764-48ba-8d53-282a363eb259", "count": 1, "frequency": 0.0003333333333333333}, {"name": "27361a99-1f8c-468f-82a1-c610520e78d2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cf561789-5d93-4331-8701-27de0aba1628", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9315e069-9cd5-4007-ae1a-32d51529a0c9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ab44782f-cd02-4c43-b856-45737235bb60", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8c8c8f05-aca1-4ac4-b672-ce411e837701", "count": 1, "frequency": 0.0003333333333333333}, {"name": "93b6a588-18a7-435d-a17c-68c4d7ced348", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe16a7e0-f809-47ce-942d-dd14cc8a883e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6f1baba9-c476-4f72-9153-fceb2d2a4d85", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c353dbc0-94da-44f3-92ce-6b250b46542b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "33a2036d-9c79-4980-b572-13206e53f508", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aee9e52d-64ce-4dde-9caa-7ee2235c1093", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ef41c408-e6ca-47a3-9953-c1c7e2317f11", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f8c6db45-e09e-427e-9be9-e5d6a0a183f3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "83f16f24-25fc-4334-85d4-68bc0d0c6355", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f2405ba4-f57b-42d5-bfad-aa74d2b54dd9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d3a57590-bc56-4e9c-8c1d-90abec9bc0d3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3dc40a52-5b3a-47c9-a2fb-0ad49098d9b9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8c85c270-ae98-4073-9d24-d4afc12f950c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "68c62b10-ff3d-4cc8-b913-0cde817c092a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6557fef0-2846-4b50-b839-5517e74fbd4a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "caea2d86-9dd1-4cf2-9b67-61bb47c67b88", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cdee9833-e009-4963-aca1-15feb2d396a8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5ea4edfe-295a-469c-a784-a6ebf3581685", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1a7f8468-dee3-49a5-b25b-35594f457a52", "count": 1, "frequency": 0.0003333333333333333}, {"name": "11ac57ef-da11-4ef0-9526-a92863522b0c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8585e359-d6db-4d08-8bf7-acd7c74a0f7c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "df5e8936-3048-46ed-9222-03c61e520e8c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dc764915-1640-4abc-b2c3-416a4a4aa413", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d7e02c50-7de7-4de2-894e-fcedbe9a7b5f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cd8a1cab-e15c-423a-bcf7-21124670ba1e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2f0ea19d-e6f3-4866-866a-67c393d7ac78", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f34e32b0-2d23-49f9-992f-1b1e4575dfd1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a6965d5c-fe83-4b29-a69d-99aa8eec4f15", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5eec0669-1f0b-49e5-817e-4a6193fa0dc9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9a6ffd7d-e735-46bf-98b4-d969f79360a5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ea92d715-a626-4ca6-a3c5-e687f5afda2f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "196d4cfb-209f-4d48-993d-097b354fad36", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1369e80e-bc5a-469b-9d30-8e2547cdb9e5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c8bb1d5d-a009-4af4-852a-f3789b7a1ab7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fc4c2652-a83b-4331-b075-be23ba22dede", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cfd7268f-c219-48fd-81ba-54773648fc9b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6656fd68-816a-4dbd-b563-87838f0e45bb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "333b3e05-95fd-4763-96aa-a80187071999", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5fb0bc90-8da8-44b8-8cba-b72c53658d92", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b86e5550-549b-4112-afa0-8f948ee50496", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fb9a9c98-ae88-4689-ad66-de879289ece7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "41adbd8f-1d33-4310-9c87-d3f09bbdd0e3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e7f0b94e-deba-41a4-be5f-4d3152fdbd6d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "040c7500-d312-4747-afba-3f9676c85473", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ae46d58a-3ba2-4623-a43f-154aded3e50d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ce1ed5ca-e9db-4101-a68e-b16978b1ba33", "count": 1, "frequency": 0.0003333333333333333}, {"name": "22f649f9-31ed-4a4d-b0f7-9a1497aa1b10", "count": 1, "frequency": 0.0003333333333333333}, {"name": "715f70df-645c-442d-bb56-18adb082b287", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3b22e5ff-3b62-42c7-9024-0d89861b6e51", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0a54b1aa-9b03-4cde-b57c-40614a68943f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "274d305b-d416-4aac-8ee2-b9b2888c2004", "count": 1, "frequency": 0.0003333333333333333}, {"name": "61477ecc-ac76-4a54-be61-56c5cfdc8662", "count": 1, "frequency": 0.0003333333333333333}, {"name": "80afbe0a-c3cf-4a68-bae1-a95b7e22cb49", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ff8d931e-8573-4dea-886c-64b8955f09d2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e7c1a121-8eb4-4851-9f05-ed5a1f9536a0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8f524389-b12b-4782-91ac-46920c6bab41", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2d31202c-d7e2-419b-b3f0-781a0e66eee8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2c314401-ec85-4029-9f75-5784bc8e699e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e98f51e8-cf51-4119-96bb-e29c03e8a80f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6f4423d4-f71d-41a6-8ef0-ee9a0c4c5235", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9aaf2554-bbf6-4c9a-9163-9099ffc5518c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5bb98c23-e761-4b8a-ad8b-8d5856877c24", "count": 1, "frequency": 0.0003333333333333333}, {"name": "18c79f37-7f82-4131-a15a-6ede0b135635", "count": 1, "frequency": 0.0003333333333333333}, {"name": "955400e1-1760-49fe-8456-34ba71a87267", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d160b979-5011-4c21-8acf-0826e1bb0b3f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0f99ec81-797c-4f8e-ae56-a80f01cf0385", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a5ef06e7-c424-413b-b4b2-3d6253498eaf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3abb8a9d-c4b5-47fb-bab5-7f8bb2abe02c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3dee13b6-78b7-47a2-b3a1-e5038d36bd4c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e9e71f0a-661a-4789-8a40-62f1549fc102", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e0e6f9b4-8b86-43f2-b474-c4ec85affcb4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "37a2b04c-85f6-45f4-9ee9-6e57054d64ea", "count": 1, "frequency": 0.0003333333333333333}, {"name": "158ce888-82b1-46b6-96d6-20e2452442bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a2aad552-cdf6-4e95-a450-c8f7a496c597", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a1b24315-fd97-4f0f-b68a-4b43e64c7a4b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0f84cf14-0177-4fa6-856c-1dc08834e027", "count": 1, "frequency": 0.0003333333333333333}, {"name": "13fdabad-a8a7-4045-8acb-0a8fea8a0e08", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f29c12ca-c57b-41cd-aa1c-9a5350678b68", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a34b4ef9-387f-46be-9853-9f5616f6e7e3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8af45fbd-f17a-4caf-a19e-3cf06d18ffa5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "72187f89-38e7-40df-aea9-cac3fe4b5745", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f165eaf6-b7f4-4807-a02b-9a4121e702d6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1d00508f-88fd-44c0-8855-d39e128ea511", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4d9d2e03-a05f-4e9b-8a0a-e2baeef90b88", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f8bd918e-070a-4ae8-b43e-c77aa9c2e5b1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "15eddef5-4834-4224-8711-d66838adcf1d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0bd128b9-9d14-4738-b553-8bc547ed952b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f9e17a8e-9220-4a91-a8b2-a35a74d3d2c7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c792e2df-f6f5-4cc8-b46a-5b92e045d95d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4f5f38b8-a6c3-4313-8826-a8f00b11b0f7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f25d8f1a-b3ef-4c9b-b410-4e7e5daebd7d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "45bae623-a97e-4ec9-a331-0b44216214d1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "71c85cab-07f7-4e23-8b9b-f7d0ea3bcb81", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0ab208a1-6e52-4863-b3bb-8ad34c5a833d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1b8dc752-a3c4-4a08-9404-15a4bf635ac0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a9fe598a-b355-4716-9d10-27d908aa44bb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bacbc040-0e1b-47e2-96c3-093941b787d9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "42707426-ce5b-4c1a-acb4-629e673007f6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "115be857-9081-45e1-b6b6-abfe01557faa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "25e51315-d9e3-47cf-aa58-8e47d7908e21", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cb418700-47d7-4897-99de-ddbfa1d83ddf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f623dc06-c322-46ee-b174-ec299553ca56", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cd17c4f3-8ebc-460c-a9a6-83dd2959f424", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3c373f7d-ac7a-4c42-bf15-05ac311cf9cf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d78a0f4f-af15-4e8f-bb3b-c6fdcf28dac0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bd000284-34ae-4f83-aee8-0e3d9030551b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "900ff441-d33f-44c2-b43e-a07719101fc3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aed88878-2bbe-4ceb-bc98-fe47f2109b19", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe024d5f-8c61-4bca-8dcd-28da774bdd23", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6287841e-f961-4bdb-acc5-0940175f5ee5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dcb41884-eeac-453d-bf9e-7ab57f8944e7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eec86615-3e4a-44b6-8277-78b3ca98f290", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a6fc9aed-a0f4-420f-9dfd-71838e65d5e0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b66aed0d-da2d-4e9a-9159-4ce6b2228506", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ffed247f-4c44-4c8a-86c7-2f2578cb2436", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ecaa3d6a-a5a5-4d25-b1c2-e50926b1d775", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2705dfbd-6637-4b1f-bf95-7a966e1743a3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f1d2c509-4a1f-4af2-9e36-1309d12fa2bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ef2e4838-dc7d-4482-9905-6cd0f237e052", "count": 1, "frequency": 0.0003333333333333333}, {"name": "42f15d1b-c94a-4812-b924-a499bb747548", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ed65a30e-b477-461a-a2a0-2693a757adad", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1ff08226-9955-4e97-85be-08c071767b69", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f012bb53-97c2-4515-8359-32d5d96119fa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "03e5ed5e-96ae-4da9-98d6-a51c0896683b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "078704c2-b873-4d5a-9516-23c5dc02d73f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ab496678-c3b5-41b6-a6b3-6e54ff905ffa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d5b6b98d-303b-45c1-8bae-0a2c6e5b68d6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d4b1fdf1-7e03-4b33-989b-11b9ec4443f7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "86d311be-fb6d-4988-bb3a-f9dea7ae8242", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cb712821-77cd-4c51-a055-af208368dc54", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ab98dfe4-7001-472c-ba37-632fe53e76cf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "34d3be17-f97f-41d0-8f05-217bc2de9a62", "count": 1, "frequency": 0.0003333333333333333}, {"name": "71bb1929-5926-4e73-a148-87a924b3df92", "count": 1, "frequency": 0.0003333333333333333}, {"name": "02f36dca-3b3c-42c2-976c-d46ecffcfbe5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e9230e83-6911-4fa4-be71-7ff3c9fe9777", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ecd22bf5-f6ad-4f27-b7d7-12a3ea9629be", "count": 1, "frequency": 0.0003333333333333333}, {"name": "88dd22e8-4448-4845-a3d9-87b04dc7d543", "count": 1, "frequency": 0.0003333333333333333}, {"name": "87f521c8-1ace-4549-91c6-78e7079a4702", "count": 1, "frequency": 0.0003333333333333333}, {"name": "08e100e8-4540-4748-a0c7-926478eab379", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a90cc0b0-9d80-49eb-b1db-106c3b4fc76f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d7d2676a-4c6b-482a-b6e3-4ba6cc6e81ce", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a72ddbb8-2e0c-4297-a190-8c2e9b32cd6a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d1c91ff4-2fef-42e9-8b92-a15b3dec56fa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9c4d631f-33c2-4277-bd94-2167559e2f72", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4b6f9748-b67e-47da-b098-a19f41408286", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ceb98e41-0c1d-4414-b9e2-5e84734fdc0a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a35d308c-0d31-4161-96fd-c48e395f48cf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2b700e13-a2b5-4e49-af94-16938a64e7dd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a0bfb29f-89bb-4fdd-bd6f-0dcd108186ce", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5c7cf9c1-732c-434f-9194-53315b2724d7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "69284bdf-9082-49bd-9ebc-93e063a8a182", "count": 1, "frequency": 0.0003333333333333333}, {"name": "43ad7a82-a5e2-4f29-a4fb-089c6507e8ca", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dd54c71c-562a-4cd2-8f81-b58356776af6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "66042c7e-2577-4699-bc12-8fdd1866ec92", "count": 1, "frequency": 0.0003333333333333333}, {"name": "84c57358-0012-4762-a2a0-e6539b88faa0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "32cb0d1f-3971-414d-b1e1-98483dc74756", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5701c9cb-d635-4a07-8bf8-d4552ef21b70", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ed2f5447-a2cd-48d3-83ed-d54578856534", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aabdb93e-939b-4ed5-8ba8-f2a638448d6f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6c6d8c37-0f79-4c63-b835-13452d095a86", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dca27c50-d042-43f5-8ec7-4599d94b1eb2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c063acfb-a436-40a7-83be-eba75899171d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0279792f-924c-4990-bfb1-a89605d15b36", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fa2b3cb0-474a-4ec1-8c56-09b3fcd5bb23", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9f8d2000-a3ee-4eed-8f28-e9ca406bcc48", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e7772376-acbe-4d88-b517-9194d50a8a66", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8866caf7-6cf9-47a0-a10c-3fd056d55528", "count": 1, "frequency": 0.0003333333333333333}, {"name": "58adc315-f156-4c9f-84d8-9fef7c7d232b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "701bcb08-2728-4467-afdb-eebef82542ca", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6395a61d-5865-4b77-87d9-2b7d5eb8b998", "count": 1, "frequency": 0.0003333333333333333}, {"name": "21086c72-ac7b-435b-a142-eacede2389d7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "42d7cd94-038f-4764-89f4-c8edfe5ed229", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ea5627ab-9297-4439-a7e9-3bb3ed23b281", "count": 1, "frequency": 0.0003333333333333333}, {"name": "191292d5-b9c3-471e-afe8-9616df4f1672", "count": 1, "frequency": 0.0003333333333333333}, {"name": "73844d4e-1771-441a-8575-a061ce9276cb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ae8cf805-5333-4ca0-81a1-e853a6a72660", "count": 1, "frequency": 0.0003333333333333333}, {"name": "787ddad3-851f-4182-96ba-69ce679c7cca", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6b95eb7f-fb92-455b-86b7-96cd9083c52d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d7f19854-d612-4fe2-9062-0321f0bdcdc4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f9f63d6e-d88b-4e74-a157-ee35a4610069", "count": 1, "frequency": 0.0003333333333333333}, {"name": "83262799-0c7c-49e3-8dbd-5a7a0a54d14d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "12ce2614-49d3-4627-a09c-429ef06008d6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bcc071fb-8b3d-4526-b433-07d4657c11b8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1832e170-2bab-45b2-bc63-217b72e2efe3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7103121f-f026-4eed-9af3-deb2e656f53a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5fb2cf87-a4b5-4e7e-ba5a-77bbba9985d1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a544f64f-c924-4cc7-91ea-f82bb1dfd7a7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e03cc6c1-236d-4fe6-aa90-ad39e4ff98c7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1e27afd2-f4fe-4a5c-a13a-79d75c4c0932", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7d9bfdb6-9fb5-437c-b162-5af26edc798b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e64a0d08-5d68-49ad-9e2c-5cdd9b372345", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3292b1cf-a976-4a70-a12e-6e4d51ae89a9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "661193dc-b4b4-422b-a69e-32dfd0012a23", "count": 1, "frequency": 0.0003333333333333333}, {"name": "31fea2bc-9452-4a38-a39d-eb301f5ae15b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2c78f787-0c09-48a2-82db-03ca2c60d74e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fd78adad-7773-4c58-9e99-f94ebc96b0d1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6e9a8233-cc53-4702-957e-00b51cab7fef", "count": 1, "frequency": 0.0003333333333333333}, {"name": "60d8a69f-b8f4-42b6-afb2-43785035ee76", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6ba5e99c-a091-49ef-98cb-28ff76685bc5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e3a344b0-665d-4f8a-ad0d-5dfece288883", "count": 1, "frequency": 0.0003333333333333333}, {"name": "09ef7db5-3ef1-47e6-a40f-2bfe5d3a865c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f69ccd6e-eb9d-4c4f-9fff-95f6dcd5d77c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c971f3d8-95ca-4e06-bde5-4d8328db9767", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9b1a7290-3b8e-4f14-9aac-2675e1585599", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5e46124c-33cd-4de6-ba26-f2ec2dc1a52c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f52168a4-81ff-4be4-99a3-77c66dd56ceb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7cbd0c42-c9f2-4bb4-9bff-daf2bc496940", "count": 1, "frequency": 0.0003333333333333333}, {"name": "216e6199-9bc0-4ab4-9beb-33aadd6376b0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b3207df3-ea4e-488d-b57e-484eea8d7d15", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2f6a7558-2695-4a6d-bd03-8d35d2375410", "count": 1, "frequency": 0.0003333333333333333}, {"name": "505cb758-1fd6-4c8c-ae94-c6f3baf1e47e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b75fc63d-39a8-4448-98c7-5fdd496e3958", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f93923ca-c142-4b9a-a8c0-aa7892c4c691", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e570650f-0edf-45ae-bded-5d7d942a5741", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3b8a2873-c63e-45fe-b0a9-a0532de69d31", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fa459bb0-23d9-4697-b978-d6b544daa651", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bb37c3ca-3ec4-4e47-93e9-d655d7324c41", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2041836f-a73f-46c7-b68c-9fd4095d91ad", "count": 1, "frequency": 0.0003333333333333333}, {"name": "db0c44cb-39f5-4d88-b88c-332800b9f54e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ceffce2b-ba4a-42ac-91cf-9a3ac495f212", "count": 1, "frequency": 0.0003333333333333333}, {"name": "54ad734a-d06c-4c33-86ae-63d19db5989a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fab9a34e-6070-48f0-be88-25c22586fa3a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "914b1ba6-618c-460c-9894-d5fb1cea9865", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3408917b-a3f9-4e78-b61d-e4a5ffa1b548", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a1e404c2-99d4-42f1-b99f-0ba6489d4c82", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ac44134e-aad0-48fc-a8e0-ec02438179ae", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d4adabeb-745a-475f-a790-047edd9ee743", "count": 1, "frequency": 0.0003333333333333333}, {"name": "90f8a531-5436-45ee-b351-f8f1a4411de4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0e36658c-be3a-4c4b-b8c7-459779b314e1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b71d9be5-8e8b-4820-aad1-0a9b1d01e16b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7ae302f7-3977-459d-a971-69ab0243be8b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a476c69e-3306-44cd-bb24-09d830763a81", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ced52249-c010-4b6c-9ef5-d7c4436f2ef8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2f8a0256-53bb-44ce-b7f9-0d682a2b9aa2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "76c38908-7515-4728-b6c6-7f5e51441eb4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe509949-b7a0-450e-ab61-f3b27d934849", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a3fee93f-3f83-40a0-8f83-12a841190674", "count": 1, "frequency": 0.0003333333333333333}, {"name": "78cb5fe6-f876-40be-b925-3f6ccd6c6dea", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bf4160fe-70e8-4a0c-81f2-b05dd635c254", "count": 1, "frequency": 0.0003333333333333333}, {"name": "59cafcd1-4411-4bc7-9b61-c5075f6ab6c0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "414ca106-0027-4ca3-ad35-2a52e84e2e4b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f7cbb045-585b-4a00-89b0-79499dd65aed", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f8d0c622-902e-4825-a670-ffe58d83decd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b73b3e5e-387e-4b62-bf55-ea941b7962f1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "902fd7fe-95f8-4e59-bf55-24422c7f14dd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4ab9bb67-1ad9-44a8-9648-a11ad777bdfc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "090d545d-b384-41cd-b9bf-bcc37eb29a10", "count": 1, "frequency": 0.0003333333333333333}, {"name": "13c80d65-0c74-4311-8929-a413a900e257", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a2270c01-da65-46da-a972-af8982fd367d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "13125c38-68ee-4226-86f4-6b30f70aa3b2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dcbbf90c-44cb-4127-8847-9cace2f2e807", "count": 1, "frequency": 0.0003333333333333333}, {"name": "efc70105-b33b-4f45-9fa3-1998c21a0e2e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4fb47a0a-0352-400e-8de9-9eb97544ef05", "count": 1, "frequency": 0.0003333333333333333}, {"name": "66ed546b-317c-44a0-995a-4a55f981ee46", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e292871b-4033-48f8-aa99-4ddbd9d66f14", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d80e4936-fd8c-4218-b08e-177a4e112fea", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b55671b3-4e60-45bf-9bc1-c6f22994a622", "count": 1, "frequency": 0.0003333333333333333}, {"name": "576f4d17-4638-4b26-b357-f2fc7c2bdb17", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0900dbaf-10d0-4029-9e50-5ef5956d387c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "760cbb9e-ac6c-48ce-af99-d354d3e0359b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "35f50db9-a41d-47b4-8f38-8f004dc8b14b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "acd23c32-3f75-42e8-bb37-7c3bb0baf471", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c73939f6-0dea-432f-951d-bded9d534844", "count": 1, "frequency": 0.0003333333333333333}, {"name": "408ebe23-9269-473b-95b9-d508d2f5db19", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d06815e2-f5e5-4ad5-82c6-0fa6080dfd57", "count": 1, "frequency": 0.0003333333333333333}, {"name": "100df048-912c-4721-ae2c-a1af4c8aaaf5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "19fa69da-0139-4744-b3b5-d67765da1150", "count": 1, "frequency": 0.0003333333333333333}, {"name": "45bad810-cfe1-43ae-8afb-9387d38b9216", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f39267cd-7f0b-4792-a984-fa1f37076842", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1341467e-3e9c-4921-9a50-f681bae40af7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5456d67d-5d3f-4c17-a26d-89bea1038f99", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5be963c0-d3ff-4e34-a1fe-58a17048b7d9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6aec5307-f781-4b46-9fc1-7c70ca8d6224", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2fa538a8-26c5-4945-ad65-ceb70cd45e90", "count": 1, "frequency": 0.0003333333333333333}, {"name": "331fde32-d4bf-485a-b798-1cebbb53a722", "count": 1, "frequency": 0.0003333333333333333}, {"name": "897be03c-99aa-4af4-b1bc-9530c0e1584b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2e154150-7f80-40e5-bb5a-8a1be29bad00", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f8b6ec60-0be6-4936-922a-6a2bf0b8707a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f55fd96b-031d-436b-8e03-5ce55f20974b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bb7d70e3-4858-4257-ac52-6b6edf62c35c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a54b0f5a-2106-4e32-b446-ed5b8eda9316", "count": 1, "frequency": 0.0003333333333333333}, {"name": "979049b9-8ab4-4187-a2cc-fede0d823fc1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "08611757-d853-4837-9e0a-a9751b6e48c5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3452f8af-4448-48ab-8957-54e3f8ac2393", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7a702df4-0b84-4873-b809-31b52ad621d7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f87bad76-bd8a-45a0-903e-4d878b5ccc88", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e5de943e-d785-4781-858e-4243b33b2527", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1579967c-7333-45eb-b185-53c291bb0cac", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f824e4dd-f46d-47e3-b5f6-084e2d73627b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e6f49a62-fa56-4f79-a33f-c26eaa8c8be2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "585b915c-2cf4-4922-8d55-cccd4a06000a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ddd48dca-df40-41a1-84d9-93e0a51f5fa5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "18aba0ef-8ae2-4c7d-a7da-de9504bc193b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "45f3ccbf-f93c-401a-93fc-fc0c50f534d1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d421068e-36b9-4f3f-ab61-f6a25ebd75f1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a9fd9a11-3b9c-4842-a128-c93b0ae924b6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2e4cdee1-3aed-450c-86d6-01475e70463b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "73216150-e94d-4a5f-8611-b565a5d66899", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b7a1505c-d4d9-466d-9673-c0bfba6ef520", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e18c6e39-3faa-4bf5-9725-99c82addcb47", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1d9295b3-8f3b-490e-8210-2063d8ac76a5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c8a2cecb-9e16-47e1-bcdd-8dab83a0de74", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e4e87131-cda4-4fcd-adc6-04f2d1d35e7d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5c746fa7-fa7d-48d1-8f14-e8c998f513f7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3db01cdc-36f9-4bc8-866c-f37a7e6e4264", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7630fa56-a23a-4c3e-b6fa-120b3f07e0b3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d77df3e8-a170-4479-b079-283300ea87df", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c57526d8-f488-4b21-b307-4dd65b65020a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8c642890-db64-4822-b45a-91bc9bc2f96d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f221d215-cde0-450e-a108-98e6e73a81b2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d30890d7-c51b-4447-9358-a282a98ebde8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ea0c521c-f07a-48a3-87d0-b141c42916c8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "31870414-8aa3-4b4c-ab88-9265c0e8f5dd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2d2f5a9b-f90e-469c-ba27-83f757b7e0e2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a26f7203-45cf-46c8-b801-9c4e79a1fd12", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b8b88aaa-4879-4a36-af4f-f26ff0f240b0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "af1895f6-6597-4fd8-9ef5-a6975088cda3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "22078e59-534e-4b4e-b9a5-fbeb869045a0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e4af439f-443e-421a-8727-7c58aa065761", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6c7e2709-0ea3-4644-9f61-2d2d23c6ee57", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a89faf6c-cb90-426f-bb04-d37ba6ae9dc0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e0a7cc4c-f07b-4937-a0c5-55952d3361e8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9a0377d1-2600-4268-8920-0bffc57387f4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2805b15b-482d-45a0-8f37-6527a048f7b7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f78f6a85-99ca-4d21-bf82-c62e6d95214c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c33474ae-5325-482f-a8fc-42fa3615b4fb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aa44c5de-6a62-434c-932e-3c68400a4d2b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "344ad802-3e3c-453c-9ad2-fe1e1e64265c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3ac925fa-dc06-4dbc-92c1-fa5dbdf7ffe7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4cbe06f7-ce92-474d-8fec-f24e34389735", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c2a2a8f9-de04-473c-bf59-a8ac92cadbd0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8ba5f925-2de8-43f9-85bd-97fdf4ceac5d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8d036a79-cea2-4acb-82ac-c6be67e3860c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2e41a50b-72fe-452c-b9af-7a506f7868f3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ea15d364-4995-4181-b657-0243054a435b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2b43f9ac-ebbb-4c8d-90f4-6c8803876211", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cad7c1d6-710d-4c47-a4fe-bb0394aebbbd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a7e8a74f-c9c5-4b7d-936c-39c927d3090b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5d1fd07c-0b7a-46ad-b236-f0b01a4cb766", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5c14384d-d392-4379-96fa-28cb1144fddf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e97be951-12d2-4a7e-bcde-bc97d299c229", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0990fc71-8715-4714-915a-015478250c3c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f42f1a6d-6763-4ca5-91ae-ecbfd690b9b5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "efbd6f46-b4b8-473c-9c0b-60b0b0ce4abb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1390ffc3-4062-445e-b356-57dc0ec58897", "count": 1, "frequency": 0.0003333333333333333}, {"name": "af2bd98c-cbe5-4d8d-ba19-536394ba01b7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "973e3922-5641-4124-9497-357ddae8475e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0a1800a2-92f8-4712-9c8d-95e136b7abc8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c069b228-5567-49a7-821f-53297daa3266", "count": 1, "frequency": 0.0003333333333333333}, {"name": "21b56a88-2822-4d09-a3e3-0c6b4f2e3df9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0c18ca0a-98eb-402e-a94e-5ab6df5ff593", "count": 1, "frequency": 0.0003333333333333333}, {"name": "52b6a6a1-b0af-468b-b6e0-14e87b355aa2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "645e7e68-5ea2-404b-b229-624a384ee359", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4022c00b-01af-42cb-a593-47576be40663", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cb3f37b1-a53a-4a77-8f67-bf561d0cbb1a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "021d4eaa-8b87-4c18-8b31-2aa62aea3a27", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c1742c89-3fd7-468e-b440-489bc94cd243", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fc83c5ff-0517-44fd-bf2f-99d50a3f82ff", "count": 1, "frequency": 0.0003333333333333333}, {"name": "56003102-6528-4f93-baf0-ca5f56fa5acd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a328c812-5c19-4338-a9d4-26a772beeb4b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "66236abf-4973-4fe5-a1db-7c87d28ff060", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fab5d52f-c73a-487a-8062-a6a28c1c193b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ff89b2a2-bc6a-486c-a153-5851ef447820", "count": 1, "frequency": 0.0003333333333333333}, {"name": "80fcd8ee-f8c5-44e2-b27d-90569833fbcf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "11e4b78e-66df-4e3a-854a-ecb3fa6845de", "count": 1, "frequency": 0.0003333333333333333}, {"name": "46d3e11d-15d6-48b6-b2cb-6f8f2338c2ff", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aac94129-531a-417f-ae9e-623227aea686", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5d00e781-918f-4121-93c6-0668d69d0757", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6cc639df-4278-4ee3-b6d5-a9578a18ad0c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d748618f-b6f6-43c6-8deb-3cd403b67e82", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6d6301da-7964-48a3-926f-e2e423acab1d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6ca2f5f7-81ae-4d2e-b2c3-fdd8a66bff16", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fcef2a9a-73d1-46a8-b37b-ae629b28a6c9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3f11294a-8271-4da4-a199-1b54ea82c479", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4d025872-afe8-4ce9-aa50-bda78931e67e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2ed42af1-4671-47cd-8045-d1e84588085f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "79f2cae6-5d84-4b8a-9930-d7b63cd3acbb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8df09223-7c0a-4ee6-bb87-eb995315311b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a1cb7869-acd8-4ac6-9a4a-b091caf451dc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d94129e1-cb44-464b-ba1d-849e587b3e43", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5e50e90f-ccf1-4d3f-a748-96d186e73f6d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6c63d0d6-da97-42b8-bbba-33f1807f789b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "03783369-0eb7-44ac-bf8b-1aa5bc075f97", "count": 1, "frequency": 0.0003333333333333333}, {"name": "48f030b2-9eb0-472c-bf88-4b222018002f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "87ff950b-3e8e-4d88-ab9a-ede1fbe4128e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9b0c2f95-8713-42fb-b543-f209c9b89893", "count": 1, "frequency": 0.0003333333333333333}, {"name": "21e3d662-13ef-4625-9ff2-31db1781f570", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8a3247c5-a14d-4ae7-a9e7-185bb7451131", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6aa91cb7-83a6-4ec6-95a7-6c11782ad2f5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9c7ab031-ebf4-4508-8dbc-ad540a479f32", "count": 1, "frequency": 0.0003333333333333333}, {"name": "678df5ef-04c3-4f1e-a328-3d91d83c5876", "count": 1, "frequency": 0.0003333333333333333}, {"name": "80be17c1-23c7-49d4-b534-540bc6f22068", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bd8eae4c-51da-4743-b87b-6160315046b1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe7d962d-ff07-46e8-af20-483af0621a67", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aa41fd43-fd7e-42e6-9b81-d12cc29de6f4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7bdf6d28-252b-4a81-9383-e5a9b4e802dd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "974e6b98-bef0-4188-93ea-67be0bf3667d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ad857b63-5387-4790-b7f5-cf7bc2f4647d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0c508222-df72-4261-8bc4-8fa20fdc8afc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "522c53ae-a15d-40db-ad57-bc00334ff941", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fcc9f460-7f41-4ddf-90e3-7c620f67297b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "770758ff-705c-4545-b04e-7d7d6dad51da", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5f1da8c2-7e23-424d-b1af-00628c654d23", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f593a1ae-86a1-4534-a181-e57f7b120e5f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2d0f6621-f162-42f4-ada1-3d13b37c39ba", "count": 1, "frequency": 0.0003333333333333333}, {"name": "752b506d-d70e-40c2-bf96-05583374dc4f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "39d1910c-6454-4362-8632-08bf5b78e51d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "44c3cfcd-81de-4a2d-a2ac-7fcf6a3317a8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e059ffa2-756a-43d7-b27e-ceec9312a669", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a09fe16b-8846-491c-824d-34d71822271d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bb2a694e-ee70-4da6-a7e8-c283532a8a62", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8ef6737b-53e4-4006-a032-524560da677d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bed7db8f-fc32-43da-816a-123f55c53a45", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7be883fb-eeb4-4e0a-a225-5485f90f45f6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e77e3b4e-7657-4ab6-9dbc-5dc2ac582870", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0803bc82-6eec-45a1-a550-11d5bc1be814", "count": 1, "frequency": 0.0003333333333333333}, {"name": "49fd3415-ffcc-4077-90d1-7ac99c5c39f0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dc167135-985e-4ee3-acd8-34332c4c20b6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9124660f-1ac9-4cd0-9227-0752b45b8005", "count": 1, "frequency": 0.0003333333333333333}, {"name": "294f20df-a60b-4077-a33f-874de931ed95", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f841a6bf-dfb0-4da5-bc75-dfcfafb85519", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aef285a0-2032-43e3-8161-208a6f878ed0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f7dacc00-ae4e-4c51-8780-c2bcf5b6ce47", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cbbfc291-6c61-4d4f-b1b7-abc348803984", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a404d1f1-50d9-4f2d-8814-fd164f23dbda", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8a48441c-8a40-4a9b-8467-53a6a47b6029", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a6dbfa66-581e-4016-b9da-0f24b28a27a2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5c2f9e3b-dce3-460b-aa6a-92b625a27aae", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f0cb5468-0add-45f9-b607-fc7f1c139ef7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c567c171-c799-4a42-a1a1-acc17c9af5b8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "06b9d750-b584-43b4-803d-c33b6fae676c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "46cf822e-debf-4ba3-8d6c-9a2f61e26bcf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "31526625-047a-4421-bd47-67ff257ff784", "count": 1, "frequency": 0.0003333333333333333}, {"name": "04d0949e-7fd5-4f58-acf1-03ec797dbc17", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8dc4140a-ee62-48ef-be75-49584a339f52", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d42ece22-e616-4509-ae07-72e249faf7c2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ccf26a28-d557-4d1c-8744-ec074ad98cef", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0d3dbe57-9e8c-45df-a081-0881bd2a2a89", "count": 1, "frequency": 0.0003333333333333333}, {"name": "66fb06b5-6420-4687-9463-4d67efc25812", "count": 1, "frequency": 0.0003333333333333333}, {"name": "64648a21-7a6d-4494-b5cc-163d02087df3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b262fced-89e9-427f-8ab8-347493fd77fa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0cd4f039-1d10-4a0b-9d4f-165ea9d8be2d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8a9f5198-85f9-4b03-849b-42e458094bc2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e39049ed-3860-4938-bfad-9be87cf2a201", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8a465c78-b05c-4012-93ae-133cfa0fc002", "count": 1, "frequency": 0.0003333333333333333}, {"name": "be822fd1-aa56-4df4-a96c-45f06c00c5bb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "015fd17c-0134-42f9-8f1b-cb12e0d9300a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1c68b719-1be8-4ac7-9010-28cf29bf8141", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eeb10754-7028-4758-b722-da4559bd212e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cd500502-8fc8-435c-9369-ba6055494ee8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe28c736-bd41-46f6-911e-2677d08bc4bf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "30abd8ed-ae5f-4824-998c-70fa6a7ae477", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e7758f9b-d810-48d2-8d7d-1c1afa7cd7e2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "08f6330a-42fc-41fb-8322-b5edae498af7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ecc2d867-bf0c-4774-9fc8-946dadd7a1f9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "26e9d521-b55d-47d8-b94a-6a43024124bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8f382f66-e51d-47cb-af02-ad75e85e5661", "count": 1, "frequency": 0.0003333333333333333}, {"name": "318d19cf-e888-463c-b244-ad92b69de6ed", "count": 1, "frequency": 0.0003333333333333333}, {"name": "11f716a8-618a-4796-a35d-463d0aee30c6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7af38de0-8f06-4a9e-a8a2-93e41926f751", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8ad4f456-64c4-48b8-ba93-2c0a77fd5e2c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7d21c035-66ba-415f-a922-5aa73869ad11", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4d03711b-b1b9-46d6-bb02-843c8aadc767", "count": 1, "frequency": 0.0003333333333333333}, {"name": "984190ec-3444-4f4d-afb4-486290ecab13", "count": 1, "frequency": 0.0003333333333333333}, {"name": "69b5b599-7254-4c98-9a79-ce0e0bf61ab0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "62f2c62b-dbc2-4abe-83c3-cfe25db9ece4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "76c39415-732b-48c2-87e9-6bb68d01e844", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe2f8443-b644-4ba5-a130-45336a0a04d6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "94b16b11-d429-4352-82fd-0a1df89a8dde", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9af9ee6d-f143-4854-b578-10526e078fc8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8f82ec03-94a0-40f7-ace8-66866d6d2dd7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9a1c1b9d-0b6e-4c1e-81cd-3b2f08b66ee8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ef4d380f-9913-4765-afa4-bef47a004e1f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9e213b58-cda8-47a7-9545-dce36dbdbb81", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6209b3d4-570e-459c-8ce3-218969880d8b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "72243ff0-d1a3-4277-ace2-f3ec0fabfd98", "count": 1, "frequency": 0.0003333333333333333}, {"name": "25838f98-49d9-49bb-8bb4-201702a449d3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9249e088-cb8d-4260-87b9-02d3ba3f8ecc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "994f3eb2-d045-48c1-b8fc-589a04e43a35", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2ff6543e-fd0c-49c2-a32f-ecea822b35b0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2802595d-ba07-481b-bc8b-501f120d3479", "count": 1, "frequency": 0.0003333333333333333}, {"name": "99055b4b-725f-42d8-841a-a0971407a032", "count": 1, "frequency": 0.0003333333333333333}, {"name": "27f34378-8110-44c2-ac94-2829a340df9a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "594ed983-3c2b-4af8-b16b-08a56e35c0b0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6bee78b1-5901-4737-adca-3caaf7169d15", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aa078a2b-ae8f-4f31-97b0-176209dcfb2c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c9306b3c-cea1-41f9-851f-7865b9b30142", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b1e44464-c450-4ab1-af96-7a53bff6bad5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "41f218d5-1252-49b0-a5f0-a02810a59d61", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dc27aa8d-24fb-48e6-9246-61a73d0d4e6a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7f80f191-3d33-4b1c-86f8-74618c4f4fff", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5798d6bf-21b5-4763-b98e-f6586f585744", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a5faa5bd-1226-4fea-9737-87b28f6247a0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b34307d9-62a0-4e71-9310-1991ec190c8c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "45d91260-6c28-4402-a3aa-678e9c63b153", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9090a2a7-c479-49c4-b4f6-53e37cdcf2c1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d2643913-36bd-4b11-805c-c6e2210a7a5e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0d95438d-8239-4ad9-a29a-238137619be9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0659a780-9e80-4168-9037-d622900a7adf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0c10773a-017e-4687-91fa-b99763ed3a29", "count": 1, "frequency": 0.0003333333333333333}, {"name": "125277ff-bd38-4cfa-9043-c700d577fe63", "count": 1, "frequency": 0.0003333333333333333}, {"name": "123b405e-d27f-48a3-8651-9edce93a67b9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d9e48893-1922-4619-94fc-df34b0a659f7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8ed54804-b53a-4456-99f6-e15321ec7b38", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1f656398-a877-434f-930a-6cbd1c5ec203", "count": 1, "frequency": 0.0003333333333333333}, {"name": "77a8f2f9-a21a-451d-8d58-806b8f0c4657", "count": 1, "frequency": 0.0003333333333333333}, {"name": "87bccda2-d53b-4b38-9ab7-e58939c958fd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "63e8957d-44ec-42f0-b85f-57750cd8ba60", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f0bb1324-042e-4926-9292-3f766d7ea6ca", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bde97b31-87f1-4df0-9abf-fd66935dfc0e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dc5404db-e67b-4b1e-8791-8c3cdefa0f44", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f94d0ac7-291a-4006-a386-970e309019b8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e965091a-a730-4dd5-9e1b-eb2546ce08fb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f1d69a85-ca5c-4b81-b0e9-c5047af79e19", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9925f3f0-13a5-402d-bb3b-de0ae47343d7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ee70dbfb-5753-401e-895b-6885a6351088", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0b1ce5a4-aac1-4749-84ae-21435c203142", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a5e2ec77-5b33-48d5-a158-1b60e7859624", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b4b24001-90f4-42e4-8396-3d43e5734c2d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "94f0f927-0f9a-425c-bbf0-0fa1e3a4899c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1b0631a4-9c3a-4bb1-9d8c-57a1a6cc617b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f5267248-53ea-441f-b689-5f1fc69c1a26", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ee785374-fe70-4fda-a22f-3829d0fa75bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4b23d85d-4643-4ec9-b79c-1ee15a1bd5e1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2d279a9f-c7e9-491b-9623-8d5ce5a9f73a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "600f4584-2a34-47d9-b8ce-c074d95d4fe6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a0e0ce6e-d0b5-4080-b14b-dbbdbab0c46b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "11419c99-b9fb-48d4-990e-c2e06bab932f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aa01f490-9a1b-4b36-8afe-d01765dded78", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c62bb7cc-183a-4c5a-b24a-b6d2295078ca", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ef84ee9a-44a9-46b1-92e0-31e98e0f0277", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6904db56-4f67-43b7-910d-bf93bb6876c8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0dfc875d-8ce5-4469-b791-b1a73766c425", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c505b348-2ade-48e3-9583-6f5159d587b1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f87ce91f-6eb9-4bf6-9f57-b436c36bb33a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "59ffd75e-3339-4020-9b1c-d3b21bbfbb77", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cc328989-13a0-4bce-a0aa-e6b6cd43dfc5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9d82abf5-4bf1-46d2-8d20-b564fdc1ce67", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ec811a44-5c2f-44dc-a93c-b7cac787b1e6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "381a0e09-b655-47ff-b06b-b52f7dab5892", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dd269476-955d-4bb3-970d-079247b1e273", "count": 1, "frequency": 0.0003333333333333333}, {"name": "efe88b65-2c19-41dc-8e80-76b4fe09fd10", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b3bfcdd7-c98a-416a-8836-7d64079b4310", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e2ddbbbd-c814-4c15-a040-c876c11de9fd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8bbc8f18-c351-432d-bd3f-0609f6e6caa2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "311eb9dc-4668-418f-862e-c630bc5fd3d1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "04d29419-a31e-4637-a690-cf52a16e856e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b8915908-e5c5-486c-a023-6dbcbd5c7231", "count": 1, "frequency": 0.0003333333333333333}, {"name": "18e3d1e7-5ba1-40ea-8a26-c2672b6e433c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1643bd76-b58b-4280-b69f-a578272713fb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a60a2aa6-dfff-40a8-a925-926c568c3a92", "count": 1, "frequency": 0.0003333333333333333}, {"name": "243fcc8a-f36f-45b2-888f-ec6711675695", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8b42222e-3dd4-4b89-94fa-7dcc739f10be", "count": 1, "frequency": 0.0003333333333333333}, {"name": "75b91520-47d4-43c1-92dd-a1506344e0e5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7cc64c7a-eb87-4da9-986e-b87c573f4e0e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3a9f563c-737e-49fc-8b56-c94a65ede429", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8764d24f-3c84-4389-a169-f41fbba2554a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7b257e42-1b5b-43ae-96f2-2b0f8770ccbe", "count": 1, "frequency": 0.0003333333333333333}, {"name": "36f2f3b8-73e4-468f-a77e-a23333c9d6f4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1b2a016c-d7f9-4593-8969-6bb00ec1356e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5cd15a84-4c3c-4905-801e-db36474a43bd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "af7fe427-f200-4839-9d1c-26f7730843fc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5e19373e-1ff5-4d5a-adff-67423928965f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b02417b4-1e90-4b5c-8478-04329df3a707", "count": 1, "frequency": 0.0003333333333333333}, {"name": "50360d96-a1a9-4086-8030-eccc3e9bbe20", "count": 1, "frequency": 0.0003333333333333333}, {"name": "193800e7-98b5-4b19-a039-df4f37821c12", "count": 1, "frequency": 0.0003333333333333333}, {"name": "61065326-293d-486f-955c-69edcdf0bb4f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c25d1a14-4b76-4c6d-ae77-2ce5365de465", "count": 1, "frequency": 0.0003333333333333333}, {"name": "767e8fb7-6301-4da6-925d-a6fc00393d4c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a0c82a56-8006-4af9-8018-41ec396727d8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d90532f3-acd8-4523-964c-a851f1b6f16b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aa189eed-44a6-4f76-a3dc-7fe5c8791d42", "count": 1, "frequency": 0.0003333333333333333}, {"name": "49bf0727-5ea5-4d76-b678-bfda6151028d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "591fc524-fe39-4828-b9e2-ee3b20cf5342", "count": 1, "frequency": 0.0003333333333333333}, {"name": "49dd1544-bc35-4d11-8ab4-3c3aeeb9a84e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2e6500c5-4c0c-4ea9-a015-0b3936cd5e2f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "49e1d1e4-406f-4cff-bc3a-db6947149386", "count": 1, "frequency": 0.0003333333333333333}, {"name": "32f14223-9728-4ef3-86ba-76aacb8513c4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b6cefae3-a492-4637-b552-58ef5cfe2e99", "count": 1, "frequency": 0.0003333333333333333}, {"name": "48ac88f2-0c27-4024-b626-d98052faf243", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5213c49d-00cb-4a84-8b02-efa35b22ac12", "count": 1, "frequency": 0.0003333333333333333}, {"name": "37db87a5-5127-4673-8dfa-74a70714ef9c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0cff8732-cd51-40de-9dd7-873cc87e60a3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a655ae5a-1bcd-4944-a4c5-048f4804b351", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e34b6558-c9da-4b97-9f02-a989dd5847d1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a68163dd-2c62-4b85-afe6-e31ddae48504", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d75d34f8-9847-49ca-a4f8-34ba7341977d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c3310694-62e1-46f1-a6f9-88540b171021", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f3e4cb5b-671e-41db-8649-bad6a92617be", "count": 1, "frequency": 0.0003333333333333333}, {"name": "302f8af2-58bc-4144-a6b9-a2091e49433c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "19e91119-305c-4cee-9334-5aa30a254fd4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "71720f13-82d5-4693-8ef2-13d144758f70", "count": 1, "frequency": 0.0003333333333333333}, {"name": "df959e4a-c3d7-4445-976f-1dc3c6f3ab72", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c7f64253-f36e-479f-b6cb-e2db550eb106", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eae288cf-ad5a-4e8f-81ec-88a673d1ef47", "count": 1, "frequency": 0.0003333333333333333}, {"name": "851c9e36-3ad7-4520-b0f7-7907579925dc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "62aad944-9773-485b-9b1b-f4d3040fe2f7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0b15fb8e-534d-4129-9140-f91356eb43fb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f0b1c5ca-eaf9-4ae1-b453-8de71cd5032f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a1f2b1f5-c6b5-4f49-9f0d-6e1f8f973857", "count": 1, "frequency": 0.0003333333333333333}, {"name": "435512f9-6d6f-47b5-9e95-f3c1104391c2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "487dc612-22cf-402d-8153-e1f4dc9b4674", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d9f01a7c-b596-4e09-b1c5-44d5b21ef77f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "486c4c92-5ce8-4125-9b57-4756361ade7e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e66ad3a0-a42e-4f0c-89ee-1ca10d35a276", "count": 1, "frequency": 0.0003333333333333333}, {"name": "87560106-e094-49b3-887e-0131052e7987", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7fa145a9-106e-451c-b0e7-03503f4221e2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d3e095c3-0b7a-4691-92e0-8ea03b399985", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bdf9e3e6-eaf8-4931-81f5-ccca464ab769", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a8af7128-06b7-44d1-b24b-ee60969b2e35", "count": 1, "frequency": 0.0003333333333333333}, {"name": "913be0be-3e50-4c55-898c-d02c4f6de8e4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6fbdde8d-b44e-4e39-ba07-4cdb321796bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "388d09c9-d175-4b4c-afd9-906cc8861f52", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f8cdd438-733f-40b7-8420-5007c88c5f26", "count": 1, "frequency": 0.0003333333333333333}, {"name": "72509b02-0d9d-4ffd-9f6e-0c6deca23038", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8919e44e-974b-4590-8ac6-fc6da4172af2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2889f503-c86f-4a8b-a7e7-2cf67a4ce69a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "16f7ec13-a183-4e12-80ee-a760d5034632", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4be3be89-682b-4796-93fe-104cd0d2f145", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aebe9e6d-279d-4335-8184-6c4bfcc9cb2b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4c6705e1-2b9a-4882-be2a-fa8bfd9ceba3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b9661a37-df4b-4644-8d8a-8080e5e00c4c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "218cfea2-ae42-4f21-a8ea-24e5cd40a100", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6f101249-38dd-4683-9a00-5b2af6a08dce", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e381593a-9dc5-48d5-a0d2-818361bca46e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3b8ff5dd-73cd-445b-b3be-89af629164d0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "25df1fc9-0ddf-4877-bc47-11e3626ee501", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eeb236be-8355-4434-ad09-c975a2a040d3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "07a02963-c24b-4528-a7cc-07f11224af13", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6318ddb6-5a11-4105-adc4-0dfabb6f8ae6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d21120bf-fb02-43ad-be5a-16ab228bb644", "count": 1, "frequency": 0.0003333333333333333}, {"name": "342a406c-41c3-4547-b96a-5f5ad976c76f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b94b6b2d-fbc5-4faf-a2a3-3904b125ffae", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e8148273-dd3c-4a41-9c2c-e4c3a40ffd87", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b2879916-9a3b-4fd3-b6c3-ba5cc05a0bf1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "99f4e99c-c5c5-43fe-948a-4e2862c26dff", "count": 1, "frequency": 0.0003333333333333333}, {"name": "45aa3440-5626-4a6a-9531-8652a71993f6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "266944ca-9f2b-45e7-910d-62cba1030940", "count": 1, "frequency": 0.0003333333333333333}, {"name": "687bc951-fd4b-4ef9-b48d-c53227932b2b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "640708ea-6b6d-4a3e-9ed8-54d4ad9eab01", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b77a27f1-fdc9-43c8-b42d-a057c4ab8021", "count": 1, "frequency": 0.0003333333333333333}, {"name": "65de6ab4-0277-4b8c-985e-ba810b6fe3f1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4978a23e-27b7-4a85-8753-d84371b25ce9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "accbe5ee-b250-47d9-ab84-416b7729b59e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "36d2087e-f357-46f7-baf6-2b52ebe43d22", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b75db7bc-ca9e-4275-93bd-8ac06138a154", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b553ef88-9ea8-4177-a5d3-ae7d2575b7f7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "04a1636e-b624-4ee4-85cf-b3752c7825d2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "449936d5-d57c-4b89-bdfb-a1aa08c5c748", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e27de516-aa13-443a-a299-8d767180e9ce", "count": 1, "frequency": 0.0003333333333333333}, {"name": "264515e4-15c9-44af-adeb-c7a05414afb8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "168d14a3-fe9c-4811-8f89-2ab61ea4e476", "count": 1, "frequency": 0.0003333333333333333}, {"name": "68b6109d-5bb7-4a98-9789-ec764bcaabed", "count": 1, "frequency": 0.0003333333333333333}, {"name": "88f41f49-0601-4438-9d91-0ba2f71c9502", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ed12e1a3-bc55-4b3b-b4a5-bc54c758e954", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e08a6a36-cebb-4fff-9fbd-6be71bb1f783", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8c63156a-1e84-4e5a-bd4f-483418229ee4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1e7c421f-d37f-4108-bcf2-0ae79cef5022", "count": 1, "frequency": 0.0003333333333333333}, {"name": "17d9c7a4-eca2-4599-a810-de819a408a5a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "efe96b24-8c8b-4f4d-ae68-78a199952f8f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7a68069c-8b7f-480d-992a-829fd12a3451", "count": 1, "frequency": 0.0003333333333333333}, {"name": "00ebf46f-7bb0-44d5-bcfa-875a7d57e56b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "de1041c6-b0b2-4977-8200-b5f6b3d86718", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b12ac784-9226-4bf0-bae7-e48ed2e69b11", "count": 1, "frequency": 0.0003333333333333333}, {"name": "98045d89-f99c-4ec1-889b-df66baeb2763", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6b8ba825-d69b-4531-be5d-6fe04266a4ec", "count": 1, "frequency": 0.0003333333333333333}, {"name": "68b346ca-3c73-4135-9ab4-35b38e4e1da1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6eb9b7f4-72a5-4d7e-81b2-86bfb5b67f7a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "636bdc3f-dfd6-4bca-9879-95b93ca0a0ef", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dfa4d631-1684-4d1b-a56e-ecb8c591951c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "50defa52-b446-4e8f-bed0-bdb6026e6f74", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aaa3eb9f-a3e0-4859-aa7d-e0ef9a2bd04e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "82612acf-2c74-474d-bcb0-8ff87ec6ab24", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e643fbde-e871-442c-885b-2f6c55e78d9d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "278c26c3-0fe2-417d-aaed-fde70ce446c7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e3b4007d-8043-490e-9a5f-9e92ea016854", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e45dabfe-3cd3-4424-9040-82ab1a6d32cd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b0014cc3-4fcf-4ac0-b2d6-8d6adc26f6f8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "677ab8f8-6387-4e40-be32-3c5ff8192a36", "count": 1, "frequency": 0.0003333333333333333}, {"name": "90031556-f5bc-41f1-84a8-39e67b0caec4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "663ef195-1a31-4c9d-ad68-9d03b02eb93f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b8f5dfa6-d132-47c9-8206-aa75e4073333", "count": 1, "frequency": 0.0003333333333333333}, {"name": "780bcc13-60bd-4f94-9e67-b11b9523c780", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1b8891b2-79fb-45f2-a165-9714ed359bd8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a11ad28b-6584-4605-929e-da1d113b00aa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5f15656c-8990-403e-b1da-b96858770782", "count": 1, "frequency": 0.0003333333333333333}, {"name": "304afc8b-f010-4102-bcb2-e5cdd252a566", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cb1464c7-8429-40c6-95bd-51f08641e259", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e13666d2-850f-410e-80ac-233446ce0c7e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8e3d1274-c3e0-4369-b359-d4ac039616af", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2f86466c-8d2a-4fbb-a083-477fabd71f82", "count": 1, "frequency": 0.0003333333333333333}, {"name": "12c83fd1-5be4-4d17-a17b-ad9eece6d89a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "08f2d173-bb9e-494d-b374-6dc52b411269", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2a38f069-39d0-4c90-bf4e-8a64e55d8490", "count": 1, "frequency": 0.0003333333333333333}, {"name": "50971f97-496b-4640-80d3-79d764daa618", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f426873c-26a1-4699-868f-ea66109e2313", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cddae94a-d789-4772-94ab-e7ea819d9724", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3564f039-e340-449b-9bf7-99f00277c9b8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "050a1d2b-f86b-4cc8-afcd-9d8eeb9edf16", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4a497d55-8c08-40aa-9f70-8dc9db666a24", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ad9b6bf4-c73b-42f1-9992-23fe95799c2a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe2e7ff2-7971-4857-8fd4-206b96c7a82c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6e6c651f-9b1e-45a9-9977-70844438007d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bface37a-6680-461c-a317-57149390f769", "count": 1, "frequency": 0.0003333333333333333}, {"name": "896b2fdd-a209-4ed3-b6c7-428010bbcba5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d9b2d48f-31d6-4e44-afbf-c75552787db6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "484fac9e-48df-4426-b495-030d7444a1aa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "08f81c18-d51f-4375-bf26-afb4084559ac", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7749cfaa-d583-4957-850d-b4160238459f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4b6530dd-65f3-4328-aa17-25260618638d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "67f43a3c-fa82-4190-984d-ef3e4790ce1c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f4ca2c26-bdac-499e-b40d-c987f8f0dd2f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "35bcc501-dbec-4fbd-8f4b-d2342b7fb1dc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3c24516b-00cd-43bc-8c7e-7a57af6489c6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "562e0c68-cbaa-4d40-8efc-1f0170ba7c07", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6b95bd96-a381-4f3e-ac4e-8961842b8a5d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "30699826-e5fa-434f-a691-b32cdac9e22f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6e0ab123-f31b-4545-b92e-0301c64930ae", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fa47e2f6-221b-475a-995c-b170f1d1da44", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9b6f6272-7000-410a-b493-537953f28748", "count": 1, "frequency": 0.0003333333333333333}, {"name": "462303fb-40d7-44f2-9330-7ac6bc13f978", "count": 1, "frequency": 0.0003333333333333333}, {"name": "896fd8ca-aeca-4620-bf71-5cc809197439", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eff9bc64-cfbe-475b-877a-d0e1508aac49", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4f2f1dc1-ab83-410b-b15f-5d21b2a4730f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bc9bdd08-614e-4488-a603-7e3a732287e4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aad0e951-1aa2-4827-b878-79e1e5f95415", "count": 1, "frequency": 0.0003333333333333333}, {"name": "406643f6-0f6e-4f07-992f-3c929c88a925", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cf32bb45-7f5c-4720-ac01-515d9cd1f7d8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "064bdb65-5aea-429d-82c6-143a718ac8c5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "946d2aae-d00f-4f7f-a8a5-548b354f5bee", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8e07d04f-bba9-46e7-8d0e-2bf2b8c5f22b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "61d036d0-ff14-4a4a-83fb-1dcf3417819a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c8c26060-99c0-4f47-bf13-e912c33f0c24", "count": 1, "frequency": 0.0003333333333333333}, {"name": "72043343-fccd-4c02-9686-c647071f89e7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f6885aca-38ad-4e67-844f-fea0b6e41b26", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ef81938a-9905-41c8-b0cf-2c54e0ca6e25", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0d3e2a24-2a97-4b7e-9f00-b2975bf735b5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2bf27403-39e4-482e-ab95-af3d01cc1514", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2fdea3be-d900-4b7c-ad08-5a9b452bc44a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3a5b2662-f4e7-4b9e-a9ab-6b6658292a00", "count": 1, "frequency": 0.0003333333333333333}, {"name": "503078cf-7ba2-4691-9f3a-766692d89c76", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c7ec27ee-c16d-4f5f-8041-1d3d75f940d5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7f341fce-2118-4327-a41d-dcbb53686258", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4af2b9b8-d0c5-456f-92ae-402129dfd61a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6b66ad6f-6dd0-4093-ba61-18b86c2e58be", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9fbb9315-5742-48d7-987a-df281e23cde6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cad6a674-a693-4224-a980-5e8cf69c6410", "count": 1, "frequency": 0.0003333333333333333}, {"name": "708369ae-7907-4f30-88f2-b98271b9e1bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "578a128a-2c35-4525-9e3c-58b9ad027054", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7a79b03d-d295-44e4-842f-057374d38eab", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dff68590-9777-43e2-93e1-88d2b93d902b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7f75f1a2-afe5-4824-8520-3fcbd8553ab2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1eb15cfd-44e2-4c46-8a69-91c8c5c7318e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1c17a30e-b696-4baf-9b7c-6c70bb5e662c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b8bbe30c-1498-4249-b7d8-eef2d51c021b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bee12976-d007-457e-9dd8-d5fe51a5d7f2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d958e960-b65a-4736-aa1e-41e03b79d683", "count": 1, "frequency": 0.0003333333333333333}, {"name": "64abff6c-daec-4467-95fc-e2da0f43b2a6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "70968a03-b7bf-4f9b-b7de-fd120cf25009", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4e3226b9-2a1f-4e84-a55d-51da88b17ea9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "97e99d06-6a80-4e59-8129-19b5121e0f21", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cee21841-3232-41f5-8247-d81548e32391", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b9c9bcf9-5226-4ea9-a53c-d4ca93a55fad", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a2982bb0-0e37-45d2-95af-7d8539d334c0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b143629c-c415-4efe-99b1-b7a0b689bd4d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "620ca1cb-c747-43b6-8e60-9c2e20d7641f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "73abeabc-78eb-42ca-b5a0-a386c2ca41d2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fca10f8c-0b84-46a4-baf1-f46e0e8f252b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "87618545-94b8-41eb-83ef-8f07f7195fe0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "30560a90-a70b-4fa7-b039-e86cd784b4d5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "04995d5e-b0c6-4887-ae06-5b731fc8297e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e5e84dd4-536c-4930-8551-f76137e65a41", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5b45f5cf-458d-4e08-98d4-370c2f69df30", "count": 1, "frequency": 0.0003333333333333333}, {"name": "98c5427c-bd04-48f5-8e34-89f66d2fea8c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fa2e500d-733d-4ec7-9203-3c33a3c7df6b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ed73cf41-d61c-402b-abbb-4207e545186c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6d9c362b-c63b-40ea-9667-0e1473a0b284", "count": 1, "frequency": 0.0003333333333333333}, {"name": "64504c52-fe5d-4c64-bd33-fa4fdb6dee9f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2b3f88b8-e8e5-450e-91e4-e3037330e055", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0313fa41-a05c-43b9-9c76-10b779970b7b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7fe3e4e3-c4cb-4ee9-a492-3c5f7a852bf5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "644f3da0-ad47-423f-8f59-f1c652093788", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1d89b7f6-04a6-410d-9ee0-4f24196946fa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b94c2f7b-3225-44af-aac8-aa98875508e9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d2470162-3851-485f-88de-61efc94dfd6f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "46d1a910-2a7f-47c3-817b-efc112d64f39", "count": 1, "frequency": 0.0003333333333333333}, {"name": "45a4be66-54ad-4f48-8d6c-c3357d71fc54", "count": 1, "frequency": 0.0003333333333333333}, {"name": "25d021bd-4a25-4044-b536-492081e08b75", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9023a156-ee7e-489b-938b-dabde225dc95", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5fee3755-926a-496c-bc23-b74c2258a3a1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e8b097e2-b926-45ed-9630-26f6eef59841", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bf9458f6-5aec-41e3-914b-3410ba9c81e8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "df0d84d2-23e9-42ae-a26e-7defa7ea0068", "count": 1, "frequency": 0.0003333333333333333}, {"name": "623706fc-b6e6-4fd2-ba7a-1b951af9188b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6535fdf7-0ff4-4dae-8594-6e7c19e4b7ff", "count": 1, "frequency": 0.0003333333333333333}, {"name": "85b7693c-263e-4571-ac44-b2d917f57931", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7ac19412-7915-4f58-913d-ba23c194ade5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f88d0e9a-7a5a-407b-b44a-41af49278cd7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "493f333e-e903-4f2b-a790-6e596499df51", "count": 1, "frequency": 0.0003333333333333333}, {"name": "230b7568-964c-4bc9-b08b-f7213c8828c4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0fda44d3-3dbd-45b8-86a9-528b18d98076", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9028101e-a826-459a-b6ed-4c811967936d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe8e2970-96d8-4982-86de-5110300a3860", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d391323b-d1a0-44df-9bc1-4a0a7df678af", "count": 1, "frequency": 0.0003333333333333333}, {"name": "57a9624d-574d-473f-bb7c-faf544af31dd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "74dbacbe-00c9-4739-8fef-d19683d5a7f5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d6759429-4415-4eab-9c8d-612365ed6d32", "count": 1, "frequency": 0.0003333333333333333}, {"name": "42386a7a-42bb-4d15-b70b-46fe2ac197ac", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a49e1623-dc77-4634-9ec6-e9d092a5a3d7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c2b4c474-4f5c-4359-b725-3b131515dc75", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5b391a84-c660-4ba2-9e41-c2b6f39bb2d3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6742073e-0ebe-4bf2-a427-acd249b0d943", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4f68359a-5e76-453f-9149-f48a26552499", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c1907eef-1d22-429f-bd06-2aed75c539a6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3ed8200d-149d-4836-8092-5877435b2b22", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2271059b-06f7-48b3-9038-e41dd1ab1201", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fb753cf1-3e87-4ec9-8e54-d62f97af1378", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9bdec8de-c306-42b4-a5bd-e8d09deb0e17", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ff2257e4-3a39-441c-a69f-1adcc612f019", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5f4097f5-8354-4ed8-95bc-529fc1f1dfde", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ea96de82-7338-4c56-ba04-249c4dc5f2eb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "30ab6ace-b79b-4203-83e9-6566d1659815", "count": 1, "frequency": 0.0003333333333333333}, {"name": "787d31ac-e3be-4273-81b2-cde47dfd4fb3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e573bf39-8f1c-4a01-9778-2b264377614e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a9bb7b9f-aea6-4716-b7f8-b62348c9661e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b76bf6cd-f661-4751-ae4a-6a12309a4f63", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ca56b819-9a53-403c-87c3-ebe8f66fdd81", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b59935dd-d62d-4359-8f82-f9d4e2f0efe6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "16b9e2d1-05c8-4a29-8a7b-cb3a60f69f71", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9450d62d-b2ef-4b95-99ae-9093c96392c1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d3d80906-3ffd-43f6-b04b-5bed66122a48", "count": 1, "frequency": 0.0003333333333333333}, {"name": "692c50c5-27f5-4928-903a-99af296329d9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5a04c132-9e38-421b-812f-e7030a16cc15", "count": 1, "frequency": 0.0003333333333333333}, {"name": "26be8682-328f-4caf-a08d-5aa99d2bfcf9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8d4501a5-d1d5-4aeb-9ff5-d8ef1f3b8f30", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6e577ad5-1c6c-4692-81b6-52039c1b06cb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "36751544-ecfa-46ff-8676-8c52aec15d6d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "45c7a059-923b-40b1-a605-30d9a08c446d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2df21b6d-bcf8-46d2-879c-b9f040064e16", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d9c71585-ea97-4f1f-a150-442ce0e2de3b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f6d64c3f-3d51-498e-a6a2-76924a77b35b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "33c699dc-6328-41e4-807d-b37d87533dd3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "202ad7be-a957-4186-bdcd-5b44d6c72331", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8f1816c0-2082-4200-895b-b83060526a87", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fcd84b15-14e0-48e1-af03-d3bec32e0888", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cfb3bdc3-27a2-42ab-bb17-591dace50744", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9c89803a-4628-4976-9d20-bed91f0e98bb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f2261727-0f9d-4121-9686-cce11c44f5c2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0a639e53-534b-4a74-b9be-ecd43688288d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5c347c79-08c0-4809-bae7-91e8da919329", "count": 1, "frequency": 0.0003333333333333333}, {"name": "97eb3e11-2d67-4969-ad87-15e2c09ad2e0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b232a7f0-be7b-4ee3-96d1-7652cf7cbaf1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c8d72b7b-9744-4390-9459-85d67ab61d2f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f82d16e4-fca0-489f-9682-7cb3ca844312", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f8c06980-9967-49fb-ac68-3b1cc05f3608", "count": 1, "frequency": 0.0003333333333333333}, {"name": "01384e2d-159b-4309-a744-432bbde49acf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "be9ddecb-e960-459a-b7bd-0d93389c8735", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b2d1c342-e504-4e69-abf9-960aa5ed3f4d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "20b2bad5-0b23-4bb7-b8a9-9aa6bfdac89c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f3011317-349e-4fb6-9138-8440a9a408ee", "count": 1, "frequency": 0.0003333333333333333}, {"name": "58f7f9cf-d64b-4c34-9a10-f62e2f1197f5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c86c78a8-4fda-4dc0-be02-26ac8d2ac244", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0f727500-3d33-4028-b5bf-0ba574a19387", "count": 1, "frequency": 0.0003333333333333333}, {"name": "43dee0d1-6c19-4a19-9e31-103f689498f6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe344827-1b4c-4e63-a1f7-782b421de828", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8b37e3cc-e639-482d-9504-45a6db1d1c44", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e98dfe4f-4a17-4584-8001-f6b135ea19ce", "count": 1, "frequency": 0.0003333333333333333}, {"name": "450c439a-f3ff-4573-8792-0899e549d272", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4712581c-0769-4b7f-8849-a1e13022ba89", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b1198198-7452-433a-a596-ce0ca20d96a3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aee557f6-0772-403d-a2e0-6eb978e41530", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fdd5a41b-9c6d-4ba2-b1d6-bcb9e4b8069f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2f5098a0-b6a0-4037-8c53-650de20aefd3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ae3d3cf7-8ade-41aa-83ea-ee3c132337d7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "09960ddd-8f81-46c0-aacc-a4a1ed74aa7a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a79ef979-3718-4b56-8432-4e3af2d79f6d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f980da26-cac5-4c8a-8f6e-47e1d6637b53", "count": 1, "frequency": 0.0003333333333333333}, {"name": "da78b7f7-1ee8-4324-b466-08c627b5a851", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c8d9b681-7ecb-446b-b3b9-e644d534a570", "count": 1, "frequency": 0.0003333333333333333}, {"name": "caddaf3a-e699-4c75-98d6-cdc919554bcb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2095abf5-3dd9-4791-a106-fa3624f79f32", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bc19497f-e33d-4192-8cd9-14cab95c59f1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bb189119-cc51-4a03-96b8-878e7b5867e9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "deb70b1e-920a-4acd-a276-aa2f1e2c3190", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e8a6f5e8-07b2-47ed-b764-59b4c4216a42", "count": 1, "frequency": 0.0003333333333333333}, {"name": "871a6d97-e017-42e5-b225-420f6f2d2136", "count": 1, "frequency": 0.0003333333333333333}, {"name": "402bbb82-3992-4e12-9ae6-06b2a1fb9ad6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7fa92251-abeb-4f5f-8de1-982b86fcf7c1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a6121b9f-8d50-46ee-ae26-453973c047c8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "98acda9d-33b4-4417-9e41-231fb0743970", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ed2af258-ec35-4e61-b376-f68cbacec7ca", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6aef0e8f-8d5f-4352-b3a5-3a14659280c4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f4ee4ca3-570f-4171-b8d8-e00a0fca2815", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1d8190ea-8662-477e-b7d1-9dd572191163", "count": 1, "frequency": 0.0003333333333333333}, {"name": "89964ded-f757-41ed-b53c-c2c468c90ac8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7b687131-53ed-4c69-932e-a3750dc76c68", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4bedac2e-fd30-4d63-b569-8f19864a2918", "count": 1, "frequency": 0.0003333333333333333}, {"name": "77512f1b-8db9-494f-ab86-359836d2b148", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0e5060a9-e418-46aa-8e87-5f959b5a39f4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5b832c59-bd80-4a72-a8d3-5df194759858", "count": 1, "frequency": 0.0003333333333333333}, {"name": "65a3ae72-4353-4ec1-9bf1-b85769867eb0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7f4d1a3a-7bd3-4388-8e29-84b0db39d8da", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a37e8591-f625-4963-ac83-3163eccf34a6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fc8d28a4-dd51-4394-99ca-174bcf961d3a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "70389667-8bcc-49b5-a0c3-4cc2739985ef", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8329b7b4-d2a0-4a85-9d10-73e7e2a3507c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ad3f2e98-713c-4499-825d-755f43da9bc0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9bb65f3f-e902-4d25-bc6f-7174b8659ab1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c136d676-65a1-453c-84e7-e9818e253c7e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6b8d6e7d-02da-4cad-8491-5c6d67e0033b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d5f5800a-cbf6-4927-ac8b-c3c0281f00b0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "965ec234-2422-478a-b673-f6eedce7b609", "count": 1, "frequency": 0.0003333333333333333}, {"name": "34da61cd-80f8-43ca-bb03-8d154cf9e88e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d5e7dec6-0ccf-4606-bf02-36fc8f3a8fda", "count": 1, "frequency": 0.0003333333333333333}, {"name": "82ea599f-a187-41a9-b339-c831b64945e9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d9d8f3dd-a6a8-4f6c-a373-2e7a3e5107ae", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cbd7ab00-a4d7-413c-a8bc-5a3469b691cd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "529faf37-7388-44b8-9c3e-e2b37aee518a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a040bb32-08bf-45e9-be4d-75ff8cffb06e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e8f03e30-11b9-4fb1-be43-d922831a7071", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8007f0f1-9d64-4ed7-a9fc-36146d56124f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3abad431-9c94-4106-ae12-bfede5d8fad3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ed836b63-96aa-46a9-ade8-6922b0127aad", "count": 1, "frequency": 0.0003333333333333333}, {"name": "212f111c-cabe-458a-95ba-d8f497a3224d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fd358ddc-819f-4c23-a550-e3bd72ac342a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fd8dd70a-4df7-46f3-b8b2-d1fcee7e5d07", "count": 1, "frequency": 0.0003333333333333333}, {"name": "de1910b0-1546-426e-a5a0-750b99f5c9f0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0fba7cb9-0c9e-4cd8-b980-771f2afbe5f4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "336a4dd4-7e7e-4dfe-b4f2-171ccb8365a2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "37173f05-1ff8-4b77-a9d1-ac3ea9d82741", "count": 1, "frequency": 0.0003333333333333333}, {"name": "40f0ef5f-5cea-4786-b86b-eac15708cd9e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e561631f-7064-4a0f-ac9a-c5b106ad84d9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "720e9617-9fca-4152-9876-eed905456926", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1b8ee69a-e8e6-4f16-ac50-83a8f907f7d4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b9e8aee5-bef1-4586-8c2c-436fdbd85e71", "count": 1, "frequency": 0.0003333333333333333}, {"name": "69c8f848-c722-46a8-8176-cbbbaaaa8acc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe6b394e-82ba-45eb-9a38-2d776c6b33e7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a66203ce-19a8-4191-a050-fc41ed9a064c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ba391f3a-3ca6-4e89-9e0c-bcef0f9d3fdc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "44762e23-b91d-4d5b-ac4b-af2554789a85", "count": 1, "frequency": 0.0003333333333333333}, {"name": "408e19ef-a279-49dc-bb90-2572a667453a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "26e1fa2f-fd45-4abd-b0ee-27c5a31d86c7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "97fbafb3-0710-45da-bf89-0f8287d77e7b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "19084017-27b4-4718-8666-9efb2fc4241c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "11faec88-6ab8-43e0-9844-0cf8a50ec0b5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "179da4c9-36d9-4772-a9c8-5ae21655c490", "count": 1, "frequency": 0.0003333333333333333}, {"name": "585fc920-a2d8-43da-9324-65e24cb15295", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a67040dd-7ea3-4dfc-a919-638d394edbbd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6ff15d11-f1c8-4cef-84e2-38a659f09021", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ac4b9263-39e5-40a2-8612-fd60115deb59", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a8d113ad-64bd-47e8-9840-8b9db70f6448", "count": 1, "frequency": 0.0003333333333333333}, {"name": "891aeec4-2e34-4712-a636-b49ef4f6834e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "124a7334-064b-454a-bc27-4008a84f12d3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "37c4575e-7aea-4d05-a712-04a79fb33f68", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8ffb954b-a58c-4fff-9d14-32ce3406a046", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dd693696-23c2-4c6d-94a1-047787f9b817", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ecdaa3c9-d030-4ba3-a1af-73ec9aae9280", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c1fec67d-1ae1-4b6f-96cd-0651ced6b723", "count": 1, "frequency": 0.0003333333333333333}, {"name": "214d40a7-8fbf-43f8-a7bd-bc0488eec789", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9ed107a7-d6cf-47fb-989d-cbfd1657e666", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f9b944e4-4cee-4381-8394-46395291961a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ac23d4a9-18f8-43dc-aac1-b7c0cbe4fa56", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b3eef46b-4d17-41d9-a1b5-f860bb420314", "count": 1, "frequency": 0.0003333333333333333}, {"name": "64891829-76fa-472b-a80e-a8951d32f90e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c3b36cc9-9680-493d-a678-9f772206c2b1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0c0b33db-22d9-40b5-8e54-afeaa4c907e3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "afc31f6b-bbdc-4107-932b-ef7167db6728", "count": 1, "frequency": 0.0003333333333333333}, {"name": "543930ef-9af6-4366-a293-9edc6c706fad", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6c10d022-338d-41c0-8d59-2ed0e5747c40", "count": 1, "frequency": 0.0003333333333333333}, {"name": "892f6a5e-618d-448b-bc01-c69951581b22", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8eb51481-555e-4d4c-8238-e8064c0d4058", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dc2a82c7-8284-424f-a75a-5db610ae209a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b0ee55b7-d02e-4890-929e-4cc00bfb6f6d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "089c243a-b152-4630-85e6-59fe3901e650", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c60015ad-f655-422b-8b8e-2cbe8d9422c3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6aad4698-8b7e-4c7d-a62a-2178b421f9ab", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0ae971e7-c3a0-4e23-af51-d1f6fb2c8b7a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "833cf1c1-1d2b-43a2-aec3-cda6f677602f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b3b56258-782c-4c19-a6dd-6118ac030139", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ecfd6080-120f-4eff-8532-3c4a186edfd9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f03791f3-153b-4b11-a940-e8586f89b5a6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f01d08ad-f19d-4275-80f3-b6355f8a4bb7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8840e000-47bf-4855-b58d-25d0bb983828", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5e7feb00-c57e-4286-beb7-d4abc47f5c56", "count": 1, "frequency": 0.0003333333333333333}, {"name": "644b4ead-89ea-463b-9d36-3755300e6919", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1163abd6-c609-41d8-833d-20151f562236", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2d9a962f-ac29-4b95-9be5-72e3f3684d38", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2258af2b-e622-405b-a2c1-b245e99eaaab", "count": 1, "frequency": 0.0003333333333333333}, {"name": "988a2b9e-7760-41ed-87bd-aab67ea45e91", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe8cc61a-796e-4707-bd99-471165d69e8d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d79d2378-c80e-48e2-bc0d-d37a43d4a527", "count": 1, "frequency": 0.0003333333333333333}, {"name": "352f18bb-c8a7-4170-a82a-31abeb3eb3a0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6952c569-8a0d-42a4-b08e-f8a2a9371d8b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2da66dae-463d-47cb-bede-9ffbd4253c5d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ae8ade31-7ad9-4838-ab2c-0a20407d37d2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cee424b7-df41-4ba4-ab48-dbafd32297a2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6b5e2005-d6db-4036-b53e-f8229b49b586", "count": 1, "frequency": 0.0003333333333333333}, {"name": "99ddc749-489b-452d-98e9-f78f368be6a7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bc0c4c43-91fa-4c7a-8cd5-44c093288fd1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "895b0823-6993-43a8-b03e-1835da596a0b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8076a6f1-6319-41a3-8dc8-5c288dfa367b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c3bc253d-64a8-4101-b76f-396234231337", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ecf87720-e638-48cc-8f04-a8f7d4859dc3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe976b8b-2aef-40d4-a75b-2ad337aa08ac", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f1852a89-0df2-4602-8d68-7a5c3fc4cd91", "count": 1, "frequency": 0.0003333333333333333}, {"name": "16434821-f263-4b51-8129-e888fc785642", "count": 1, "frequency": 0.0003333333333333333}, {"name": "23d7a2c1-24dc-4af1-9ae3-0bb4b2cce161", "count": 1, "frequency": 0.0003333333333333333}, {"name": "39f89907-cf1f-422a-a646-30f2099602dc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "617a00eb-fa0b-4099-9b91-2511a60fc485", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7aaa5d37-723e-4e95-885b-72c9d19430bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "76869545-0fd7-4cb7-964e-6352f5db0373", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c6c29f32-5fa0-49d1-8125-43a6a6f8cdc0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "54b3aaec-559e-43a2-a18d-651b3f96a0ea", "count": 1, "frequency": 0.0003333333333333333}, {"name": "517c5df5-3b43-408c-b456-9c980370e85d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "692584d5-73d0-4436-8e75-42993f0f9019", "count": 1, "frequency": 0.0003333333333333333}, {"name": "da42cc26-401b-4622-8731-bc15c11dad43", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e27cde94-804c-48d9-88c1-196b433bf6bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6453af5d-6db3-4aca-a07a-691c79cc3a40", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7e2e80b4-4c90-423a-ac8e-843a2e025af9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4c9a0a19-edca-46e3-a392-14032abfe7b4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e6cf8e9d-eea6-434b-8a39-64159a087685", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2db4031d-6493-41fe-a343-eb80354fb1ac", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9ea0cce2-9c55-4688-9fd6-f18cd35da64f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "347b333b-7a9a-41e6-ab37-7513c19422e0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "67f13092-130b-4efb-91f1-b87bee35a43c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "da01e928-420f-46b9-baa0-cf7cfaf40ba8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a23ab8bb-b4be-42dc-9680-7713bd6aec88", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a2d0476e-1934-4d5e-b098-56eafce1b1aa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ac187d17-e639-4d28-bbdd-14f282a124d8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5158cb1f-2bf9-4ed2-93c1-864c836568c8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "48d19755-a32d-42ac-99fe-3bc8871f70fc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3a7eb790-bb6b-4c7c-8bc1-1b677899e373", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dcadc558-ecef-49e9-8fa2-6a84ea5e8f45", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f4364f07-1322-494b-8403-74a08b41ff0a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "730e4747-a073-4d61-9cdd-6ed8c48511b8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a613652b-b00c-4416-af0f-78a21e904073", "count": 1, "frequency": 0.0003333333333333333}, {"name": "36d2d912-83cf-443d-aaf8-e045398de859", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7a0337f1-e187-4ef1-bf7a-d994bc267ee8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4ea41ae1-eaf8-48e6-9583-3d1ff1187d02", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c9f9b035-4408-4a18-854f-bf249377d9f8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "78a4c16a-134f-43ee-afb6-aabe966969a1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d16b8099-be04-411c-b990-193ec18b35a0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "55c5f91d-6b49-43fe-803c-668b31bc850e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "17b3ffad-b128-4873-baf5-7d15daf01f9a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "198eb39e-cc6f-49f9-8eb1-0f10b540f8c4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3f22d74a-eecd-48e4-b02c-15c7085482e2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "05fac72b-b320-4a46-9724-88f1ef73d3e3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a63c7dce-e6a3-47bb-8694-9c9528f60d31", "count": 1, "frequency": 0.0003333333333333333}, {"name": "475ee306-2fb1-4f26-992d-216885269eff", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0eba5e36-67b1-4d6d-804a-0989aa3fe6f3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "30753870-a421-4ea7-b2a2-8b055ae4b69b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9d653d00-6f97-45f8-bbb3-82cf07a16054", "count": 1, "frequency": 0.0003333333333333333}, {"name": "16d64ec5-b31a-4513-8ed2-b369feae920f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c247082a-bf79-4920-9868-ef620cecbe26", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c2e2ea25-3e54-4a79-b6f7-45cb08063d65", "count": 1, "frequency": 0.0003333333333333333}, {"name": "32a09e1e-1a1a-4b11-a04f-b31592781d88", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bd296b01-6b8d-4b8a-acdd-e421d604e709", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d3148ba6-3809-41ad-9f3e-24b030a7801e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "00c7b68e-19c4-4042-8268-610470bae11a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a052c8cf-aad6-40bf-a713-29e678991194", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a7423697-32bd-4bb2-9ea2-9c1c3d466aff", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d0d5008b-a2cb-4676-82fd-1688ba57fa24", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0a8fa699-0478-46f4-bb6f-4d6585719cf1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "11641aa1-d6a2-41db-a61d-ad4d527a678c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "17adb970-0023-4a64-bb51-00273c73fe04", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2a8ba6c5-6223-42d0-b21f-9ad9e6551ee7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "945f0488-f4fb-4135-b8b3-79aa2b17ee7e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bc197735-ae02-44ee-8357-d1d5caaa8e59", "count": 1, "frequency": 0.0003333333333333333}, {"name": "55aae5e6-5471-4720-8f3b-9e99ff5912eb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "45e15309-5bf2-4e42-870e-ad7a204fa6ad", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9e0573a8-cd6b-47c9-a4fe-e25599c1b7c0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "66b35014-f830-499b-a1cb-0d0635386293", "count": 1, "frequency": 0.0003333333333333333}, {"name": "71eafbc3-9c3b-416d-b14c-f76301e65286", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2eb9beb8-d710-40f8-89a1-0f370df9eec9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "092fdd00-88b6-457b-8cc6-33e22bcf84df", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0200b03b-50a7-4a34-8645-1bea03bf5d3b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fac2eafd-a182-418a-8c1b-d1d466f8bf13", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ca6b4023-c067-4978-97f5-6aec667e35c1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "56d5c327-d235-4901-a26a-2184a21ebf25", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6ae2b998-0d75-4743-9572-6d179b72d76c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5eb67bb5-3175-474e-b0bd-03c25f34c08e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1bfec2f2-5afc-45c2-8c81-587dc516dfb4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "324c7d08-ac5f-48a9-9675-76217dfcb974", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e633ab3c-cd96-4a17-97d7-fcd91193a06d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f6adfe39-32ac-4e63-aad0-245f0ecf470e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d97b528b-86e1-4a2d-9296-e76948703b03", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6ab1b2bd-318c-423e-b702-66817d209918", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6e5afd46-1588-4945-8993-45cb4689081c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "383ed114-9a1f-448c-bd12-709ac627350b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "30199127-5f5e-41a5-a337-31a3e657384a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "96c06b55-5f2b-40ac-8030-6d80da33f330", "count": 1, "frequency": 0.0003333333333333333}, {"name": "43bffe63-7c3d-4e21-8389-b48412a0f1ee", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f5a7e148-5c90-43f3-bd28-62f419c1f46a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f4a957c8-90c1-429c-927e-fb4414fa0256", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eee056c7-abcb-485b-8566-457d95f86f8a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f0eab69d-ce69-4831-be86-db1aaa1d7294", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5e03f998-9eb1-4465-bb43-94c22249fa63", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9342fa0e-d4ac-4d65-8771-1e3021ce64db", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4c50ed63-cc24-4384-9dc6-b5789a880cd3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4db29d35-57f3-40f6-bd67-12c59147f9cf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "32a304e0-ddbf-401e-9015-6a41e615a022", "count": 1, "frequency": 0.0003333333333333333}, {"name": "81e3efb8-5391-4f91-a18e-0c92f31e5fa6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4f96c565-98ee-458c-ad6b-bb10c9192638", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eb77cbac-3a56-41c2-a603-c07b068ca3c6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c091a5a3-5434-4637-b8da-9047e4ea56e2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fc9be97f-c08d-49b0-a6a8-496bea65de8a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f1c61c7c-8cc1-4499-80ae-8b12e1c1b82a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "974e5385-419e-4fc9-80e8-52e008a35f6a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d8415b20-877c-4dfb-9ea5-b04b8a8d609c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4cbc0793-4eec-43f2-98d2-7bb60fd39c23", "count": 1, "frequency": 0.0003333333333333333}, {"name": "717794f6-0841-4b1c-b8fd-13b51e9a612d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "64764aee-9d4b-41e6-86ea-196053385258", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e9d184fd-6ef7-4750-a99d-13633e5cdfe5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7922f049-6d62-4554-ac16-75b8d37c0028", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ca39fa6f-fd3c-400c-a538-0447fa1d1bfa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "26b94461-e78c-4a15-b9be-081d03f13df7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a8406927-c9f5-4f71-b308-ffd4fe91e313", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1bb5eea5-7b39-4ec9-82dc-b04b4e146909", "count": 1, "frequency": 0.0003333333333333333}, {"name": "93df2dda-663c-48d1-97ee-751f7805b84a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "de72c98b-6a00-472e-bfbc-6fef9162b638", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8ad8e4e4-6fb5-49da-8e44-bcd601391f87", "count": 1, "frequency": 0.0003333333333333333}, {"name": "412a4664-106b-4272-803d-f37b836f2f38", "count": 1, "frequency": 0.0003333333333333333}, {"name": "58b0e143-91ca-4d53-9653-b27ab50506b8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4236e505-ae67-4a98-b7a0-5026fb838166", "count": 1, "frequency": 0.0003333333333333333}, {"name": "06958280-d71e-4f27-992a-36ca513a13c9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f20e350f-e8ec-45ea-b954-0c9fd9be73af", "count": 1, "frequency": 0.0003333333333333333}, {"name": "03aca3fe-a8cb-4bed-bfb2-2be90efb9b21", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bdea1785-a44a-4a48-a35c-6f920bfba7fc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bfb86bd5-785b-4d3a-875b-142ec0734ce2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b366b60b-e3bd-46ee-a27b-cb867fc0e10e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "de55327e-5343-44ea-9c3f-966086196d40", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9bee3bfd-6b87-4d07-840a-44dd23be8cc5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0a39e5a7-5e1f-41ce-8090-2440a67d3115", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b5a95f9f-b98b-4b8f-9ee6-3e1602408433", "count": 1, "frequency": 0.0003333333333333333}, {"name": "591ee45e-e810-446d-8aa3-7fba471a6401", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7339ea29-fc44-48bb-aae1-efc67fb9e976", "count": 1, "frequency": 0.0003333333333333333}, {"name": "38b868cd-b044-4a4d-ade9-17b41d2afd3e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6ef920a2-eb86-4ba9-9d44-afef14a92947", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1ca58080-2afb-4237-a3c2-15b004cf8042", "count": 1, "frequency": 0.0003333333333333333}, {"name": "727c2a33-181e-4850-a6fe-eaa8624afcc3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9145f8e8-a872-429b-8d2f-9a61a4c74284", "count": 1, "frequency": 0.0003333333333333333}, {"name": "82b625ab-cbb4-4a11-b7a4-b5b33a89de99", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cabf03e4-02d0-4368-978d-6f1fa9cd3c2a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "75e7a4a0-d5d5-4003-924e-15b83e133839", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c575a82a-4241-443b-9627-e244f98b8b6a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "06c35511-e5ac-4dc2-8f7e-56beb5ec4ac4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c88e12a6-0f60-4ed9-936a-e77509c899b3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0a189c0b-dba9-43e2-a621-e0ab3b77aa1d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ad4ca96d-9ac4-48b4-b26e-a65f72928400", "count": 1, "frequency": 0.0003333333333333333}, {"name": "990339c2-7175-4b4d-81ab-ccd23d50db35", "count": 1, "frequency": 0.0003333333333333333}, {"name": "441f5b87-4a16-4597-9d63-4a4ad91330d7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "871524c7-416c-4fa7-be7a-83b010e2519b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e49fc37e-06d1-4b62-9a69-848df3c8832d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7a0ec5ac-0b52-458b-b19a-e34f050cd7c2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a532be41-2b1c-4a33-bdde-408ae44e8e8e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f2b94cb6-3197-4bc7-9ad2-901e0f4c1386", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5e95da3e-50e4-44b6-abc4-c1f62e863e84", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a6e10c62-6edd-47a7-af6f-463f4cdacdf5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6018d07b-4a9f-49a7-a644-da32db723e02", "count": 1, "frequency": 0.0003333333333333333}, {"name": "174bf781-c046-4f87-88b4-79be92a207b5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f39c5309-9537-4d74-b48c-0ad775c4bffd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "092803a0-6bab-46ff-af5a-af0783bcba8d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "76b31bf9-5897-4342-8968-81ba8646077c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "33f76650-47f6-4067-b702-d1a00ed9a9d2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0cc80506-acf3-4ca9-a19d-754879c1f1c6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1fb04817-11e9-4e23-9d49-f6e15b61a63c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "90ce9f89-379a-4a3f-b66b-c15b6e6e735a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "819ee677-8245-42a8-8293-c33551ce3c99", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dc2b894d-5d49-4b0e-8e54-eb38f85ec81e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4a6a8fbd-c093-4595-b97d-59957bfec3ed", "count": 1, "frequency": 0.0003333333333333333}, {"name": "975e7d54-ec9d-47ee-a1bf-f6945c589531", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cfe36451-4566-44e3-9c0e-4a4731b148ef", "count": 1, "frequency": 0.0003333333333333333}, {"name": "51aed8b5-f8f5-47ed-8c1b-74c57dd24e2f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d1b42b7b-2113-44fc-8599-e2357d9fde49", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7b2e605b-3845-4e3b-af8e-7b1ae33e0933", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1dec458b-dac5-469a-bda4-ce2280f21b29", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f9d0496b-179a-43ac-bc6a-4f61b873ce35", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cda1f69e-47a0-4fb5-9bc8-34abb0527ec9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dae3a372-ad21-431a-aff2-6e2d31a84847", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0214b2d4-d2e1-4eb9-8f03-f19f011e4382", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e604532b-f33b-41e9-a5be-2363f3ff399b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a53dc230-14c2-4b69-bbfb-1529cdcb439a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5154d113-6d49-428c-bb20-88dcb6c60429", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5432da66-6850-4cca-a4cf-0f3f9c67d9df", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ab45976b-84b5-4bd7-a4b6-21deecfb7125", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6b54085b-d9d3-48b7-b4e5-59107ec7a165", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a114cedc-905b-4f16-906a-8e6736ff3feb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "73d286bd-37a2-4c04-af99-6f6953a85521", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6acbe858-2f23-4738-af98-035bdbee67de", "count": 1, "frequency": 0.0003333333333333333}, {"name": "758e3a2f-4564-4ce9-a52f-d7b44363c26e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "afbf39ba-6168-4b48-a299-8539289de6aa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5a53bb17-535c-447e-8406-3da2f235db18", "count": 1, "frequency": 0.0003333333333333333}, {"name": "97a50e2b-bbc0-496b-9238-1a0a82d09a75", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dd13b88f-860f-4dce-8578-b10fd5eb0c93", "count": 1, "frequency": 0.0003333333333333333}, {"name": "63eaed60-9aa1-4e31-a695-52b4d8306f49", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0b132021-28fc-4918-8715-990149c20c59", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0bf8c953-18f3-4ff0-bb22-6c93a206a986", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d3d848b6-793b-43db-9b76-f6844c2615bb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "53202f0a-94fd-4276-9180-01b08c0a125c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f0a53722-a857-4d66-8c93-d75b83861e3a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "21cba954-8d50-4b63-aedb-1566da4674d3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0a68bd24-2574-4b4d-9b04-1a9104f7f590", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3774aba2-c9a1-4ca8-81da-6eba47a83553", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5094f020-7c18-40a4-af81-1ddc48cfb5b9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bad2ab8d-a7fd-4516-bd03-82a622fbbfc2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6b22104d-b64b-4220-bd8d-08e7e334e661", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1171a361-bd6c-4962-a12c-68bf8f28ce75", "count": 1, "frequency": 0.0003333333333333333}, {"name": "93d56a9b-2694-4464-904b-aa30a0c52114", "count": 1, "frequency": 0.0003333333333333333}, {"name": "931cddc1-5180-4339-bca0-f7c9893cd0f5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ddb22694-0731-4f15-a497-aa794c8f9736", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9805cb5b-cde7-49f7-8641-60e58d28c247", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6a9ce616-998c-417e-b3d7-7d4d83bbff71", "count": 1, "frequency": 0.0003333333333333333}, {"name": "43cc5108-4728-4e44-9828-39fba329a7e4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "546c2a60-979d-40a1-9038-eae359f13737", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f3a65766-355e-4609-8fe1-1af976fbd7ef", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4c4990ec-7514-4be7-af38-564e957b81e6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ce333c4f-49f0-4e2f-bc4f-c5a0386f2d11", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2264dbe4-8bbf-4d3e-b0ec-dc674cede234", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7d3e0d79-3dd5-4789-b322-fdda7530dfd5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1383c235-75d2-4abf-8468-aa716a0e20a0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1cda0316-af5b-4703-ba38-3f6052854887", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e744e803-f367-4034-94b3-cb3581dd2e50", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f144578b-651c-4bdb-81c3-8ed88a94f1ff", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fb3d0601-6ae7-46c2-9834-fd9314a3ae48", "count": 1, "frequency": 0.0003333333333333333}, {"name": "30be22e1-f360-477c-96b4-959712fa1fbb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2c41331f-ecda-474d-9bfe-452aa781c723", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5e8210bd-0065-4ebd-9d6e-d952dab463e3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2f86569d-7082-44c5-aa16-6d02dc1a6abf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c3c23e04-5801-42cc-bfcb-385f33eb5570", "count": 1, "frequency": 0.0003333333333333333}, {"name": "42cfc85c-8cd5-4676-80c9-7724a17c310b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e1a7df3a-e2e5-46c8-b1da-a72a9d52f424", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f5103460-2979-4eda-8e31-f65fda340828", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4fd205c7-fc51-4f3a-837a-59a4370ab1e5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "70dfb201-1030-47ff-b74b-850e79a1850b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "83bf422e-722e-4099-be83-1e181755f04f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bc989c66-0c97-4908-b76b-0e32c978eb1f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a3912e2a-2d7a-4813-9e19-95a1568db9f8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bf8a8ead-50b7-48f9-98df-8f6a5edeab38", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2ddb80d0-f80c-460b-a435-c59920c47578", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9a8b6977-04cd-4b02-8ac9-98552c548ded", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2712fc5d-7fa2-4b65-9e80-ca833bd83296", "count": 1, "frequency": 0.0003333333333333333}, {"name": "92686223-2745-4226-8ba5-0b2eba9635ca", "count": 1, "frequency": 0.0003333333333333333}, {"name": "46c1b656-8e54-48bd-8215-e460a697951b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9ed5428b-986f-4c33-9352-00ef5eb21bd6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9509f2a6-9eb2-42b5-a4ba-e5ce1423c5ae", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d1db3926-bc3d-4409-9e00-a4d2768b3aec", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a6f03398-8104-44b3-8739-6fca6636f665", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b6280bb0-32ad-41a9-b37a-03c45b829f2e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "253ee1e5-8696-44d6-ab20-3e55846cbf25", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d0cd0670-0285-437d-bb11-baf06a5c6fa1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ffd40795-1c39-4ec9-b5e2-9aac111abbfc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f9fcff29-d248-4a3b-a80f-82b23e0ea6a6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9df48ed3-87bf-4048-9ac9-d3eb0bcd5a8b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "16ebd53f-70fb-4af1-9c0f-c501db90d3d0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "495aa9c1-56f2-4e79-b8bb-fc2f611eaaa1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "86984be6-fae1-47db-9a1c-0e9c7b6f562a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5fe4d1bc-a000-43d7-a0d7-78f21787154a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "52c0cbdb-419c-4035-9ffd-51ac7f951d2e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "acc2e43e-be72-4d61-b7cd-64b76e835bef", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7a917f69-762d-49b3-9d9a-6e0ded19fe9c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1eda5d5a-e327-404e-9d37-e8f156dc40f6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "96a2dda9-9fb5-4304-a143-34effeb14760", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4a576f0b-43f0-4eb7-a148-588cfdd5c79d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5cbc757d-80a4-4235-bb8e-6723c4360c1f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b85abaca-581e-4988-8392-03460b3aa5d5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bece1919-42ca-417c-b674-818d9ef25f2c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6921fcf1-fcef-4bd1-8332-23e284052073", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e536fc8e-ea77-4ccb-84e0-a09e429e58da", "count": 1, "frequency": 0.0003333333333333333}, {"name": "26ecb212-f1a0-4fc2-99cf-ea34d6f2c755", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3e80c80b-f801-4d7a-b232-ea5022c18703", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d1f5d64d-d707-475d-ad27-0f9d6208a45d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cdf0bf0f-85a2-447a-b7a8-2ace656ac60c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "412ba90c-c987-4837-a083-c98ade8ef1bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "375b2cbb-3657-4c6b-9585-5f4ff0a78620", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ad074032-ab40-426a-a840-2b3a80b071bc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c3df59a1-c473-40fa-89ef-053074aff64b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ed18e5f9-bf13-44b8-8463-417561429d63", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9e8f8de9-13d7-464e-a722-fc44376517fa", "count": 1, "frequency": 0.0003333333333333333}, {"name": "43a908c2-2754-46e5-be65-99af05e9f0ee", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1f6a155b-0baf-4e76-a28f-386ed682ede7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "56f92e36-2754-4252-a5f5-247274f7abcc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bafb22b5-83dc-4e67-bd95-9141c4ad1ca4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dbe81a3e-5254-422b-b73e-0e5c421130c8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f9bd11be-ae6e-4463-9726-086335d7b38f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eb1c5b47-4091-4eaa-8d72-f75d33045466", "count": 1, "frequency": 0.0003333333333333333}, {"name": "49e8d7d1-9db3-4dcc-ad54-f67201ad8fa5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7be8a6b0-f801-4c04-9528-b05ffbe9cc3a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1f0fc69e-1d75-46c9-b81f-bee7691e2966", "count": 1, "frequency": 0.0003333333333333333}, {"name": "187b3689-adea-4423-ab0b-c1991b7e8478", "count": 1, "frequency": 0.0003333333333333333}, {"name": "432b1d50-aa44-416a-82cd-2a6fc6408a4a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e6e7d504-be15-4d07-853d-1cb9ff361a89", "count": 1, "frequency": 0.0003333333333333333}, {"name": "da192a7c-3b5d-40d7-aae6-e9acbaa9a68f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "08de6760-1077-4b39-b4a8-19e0a947e409", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d3f4b852-9554-4eec-9e69-00bf430a8132", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0ad8350c-116a-415b-ad2f-99b242566ede", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3d430be3-9bd0-4d72-a31f-2ffb11053a43", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7426a22c-09e1-410b-86ab-303d45f4d3af", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1e9d10e9-7eac-41a6-aebc-6078f0eda95b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8d833c1a-85d1-42b9-a65e-e28b44fc1b97", "count": 1, "frequency": 0.0003333333333333333}, {"name": "52455674-9c12-42f3-a32d-46830f1f21c3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "33088e72-88d7-4249-ba3a-8e2c7807a72d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "51afeb6f-8804-48e3-b67f-9e97e9e922e4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7c378a96-8323-4aed-a5d4-6d54f6ff1a7e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "acc2374c-1673-4fcf-95e3-798952834be9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1dcb1e87-5152-4bf6-8871-67ff89525d00", "count": 1, "frequency": 0.0003333333333333333}, {"name": "037a1ae7-7e22-4af7-9cbb-4204b7c90d31", "count": 1, "frequency": 0.0003333333333333333}, {"name": "32df9dd3-2974-4df8-b35d-eae31e8c7298", "count": 1, "frequency": 0.0003333333333333333}, {"name": "97635fd5-45d7-49fd-8916-b912279a5479", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b6d282f4-f314-4788-b490-0828a4602afb", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ef197f25-5730-4dbf-b6ef-bde2a91fa99a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7f8ac37c-1ac5-4781-ad9c-99932192a1c8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "131b38b2-561d-4cbc-a74c-55108b8298d6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a5448150-2d40-4947-af55-2c2b11d84675", "count": 1, "frequency": 0.0003333333333333333}, {"name": "57afed67-066f-451d-b28e-6ef316ddb49a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "29bf1739-b562-4a23-a92a-50987441b175", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9adb871f-89e2-4aff-a0b2-0e844d32e597", "count": 1, "frequency": 0.0003333333333333333}, {"name": "da8b1f9e-9a53-4c5d-8ea4-d1b657e86423", "count": 1, "frequency": 0.0003333333333333333}, {"name": "45be9c9d-0e20-493c-b29c-22ff425d88d4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6fe48e01-d5ce-4341-b217-6b9ce543999c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aaf7c7d2-e656-42d3-bca1-5ea2712bcb3e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2d528394-63ab-43ac-a4a9-07975429b7b4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "23afd38c-0acf-453a-a64c-130cfc3d17f5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c61abbed-135b-40a8-b79f-ea11e1afa3e2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d9c5c601-876c-4d01-93a4-e3f7236118de", "count": 1, "frequency": 0.0003333333333333333}, {"name": "088f9535-d6a5-4450-b527-cbc16ed22028", "count": 1, "frequency": 0.0003333333333333333}, {"name": "282bb565-7417-4944-959b-8539a17397b9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cc9ce5d6-5637-456b-8f96-85f6ce4aca2f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "acc99f2f-9b74-4fff-b113-b912da8dcaa9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c5ab6059-9350-4030-b36c-e40a9c48069a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c77c4a91-d6e1-408a-b3dd-261236c0f1e3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ad0d9149-d762-4731-8fd6-b6d3d7726328", "count": 1, "frequency": 0.0003333333333333333}, {"name": "42c30e94-af5f-4aa9-8643-e926091a2db5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1df7714b-0469-413b-9666-c1152c049dbe", "count": 1, "frequency": 0.0003333333333333333}, {"name": "01d4540a-71ae-47cb-88b0-cda18f7aebd6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "480c8345-e143-4ecf-b405-41a9dd24bf57", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6e31c2b2-4b4c-40d9-ac6f-8561e305c86d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d04b4d46-9ba8-435e-9c6b-3fcdee6b39c9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ceb2c205-bedc-402f-991b-7a7308831e83", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3a06b452-d25b-41a8-bfaf-db8cfff8a12d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "579254d2-d380-4731-b67b-3665989cc624", "count": 1, "frequency": 0.0003333333333333333}, {"name": "6fc1889d-e438-4892-bb12-de855e8a41fd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "370fa28b-6b4a-4f19-bb65-995968db6a0d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "29d73958-47a3-48f4-aa4e-1c5498440e69", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8d2c8cb1-69de-4a96-b995-e59f8e58f933", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1d7e3313-585a-49b3-8314-0712ff09eee6", "count": 1, "frequency": 0.0003333333333333333}, {"name": "be69866f-3ebc-49bb-b782-2cc18ce27907", "count": 1, "frequency": 0.0003333333333333333}, {"name": "561a0420-a2d6-45a0-8909-56346a836c27", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fee8dc70-3990-48ca-90f8-930f678a1d28", "count": 1, "frequency": 0.0003333333333333333}, {"name": "0fe13d74-15eb-4748-a1c5-51a0332fcbf8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "663ef7e2-1277-4b48-b64c-21539380864c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fdf60c0e-cb91-4f2d-b278-cd9e7a081d29", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2d532658-263e-4757-bc1c-b6c22710597c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fc648d28-5525-4e8d-bd22-afaab4096a14", "count": 1, "frequency": 0.0003333333333333333}, {"name": "cd33c28f-787b-4c4b-ad42-b31c8b4bdcc9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "16ff75fa-5a97-4812-bb39-de8c99323f82", "count": 1, "frequency": 0.0003333333333333333}, {"name": "433734ff-fe0c-41a9-9747-4e1076fdd575", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ce57501d-dad4-4d0f-bca4-c7c1216e0b81", "count": 1, "frequency": 0.0003333333333333333}, {"name": "69dc0051-bf16-4a9e-b0a7-a469e87d7292", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e47b2a1d-c7a0-40fc-9695-45d1cbf74946", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2eb7b763-21a5-4ad8-99d7-cddcfc26cebf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e476452d-fee9-4de0-9a43-289ee5b2570f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4bcb4b02-5f5d-4841-867f-1c23f8ef3b01", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7448ff9d-eb0c-482f-a0e7-09e749e38008", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c25d7543-99fb-4771-bac9-68b4d52f3a61", "count": 1, "frequency": 0.0003333333333333333}, {"name": "beb61432-06aa-4ed1-a58a-2bdeb97c40ea", "count": 1, "frequency": 0.0003333333333333333}, {"name": "78fbef74-6996-43d8-bc76-35eee7b63336", "count": 1, "frequency": 0.0003333333333333333}, {"name": "044ce56e-7a4f-4489-b051-0c761098e763", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4fc1d7d6-0d9a-440f-85cf-802f6aaea3d3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d0c0f409-135d-41af-812a-d847bf9214c9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a8f54550-ac95-435b-9222-10518a1542ff", "count": 1, "frequency": 0.0003333333333333333}, {"name": "83c438dc-91dd-4f34-bf20-0eac28ba82d8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f0c543ec-5103-4e28-a4ec-f8072e4374e0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "979dd0fb-504c-45ea-b719-fd81298d0c14", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5f74d331-531f-4970-a3eb-3775070f5886", "count": 1, "frequency": 0.0003333333333333333}, {"name": "83796137-8e51-4763-9da6-67772668f55c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "704689a5-c407-408c-a4d9-ce78bbf07552", "count": 1, "frequency": 0.0003333333333333333}, {"name": "eb0dba75-4763-4d1c-9391-543ecb7f9f49", "count": 1, "frequency": 0.0003333333333333333}, {"name": "bd0c68a6-979b-46ed-8fea-ff1acff5485b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7bb2588a-73d4-47fb-8912-c0f1bb8c7387", "count": 1, "frequency": 0.0003333333333333333}, {"name": "abed941d-4250-4843-aff8-0db16a89b95e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1805cb54-672f-47a7-a302-ba7d1133fbaf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c2b6cefe-a273-45ca-99f4-2f628db15047", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3cd0f89a-186d-46af-8c53-3fef51a7493a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "a4e7b834-b215-416d-a147-e7b8cece9432", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ca2043a5-1a8e-42a2-a8e1-aa3f561a693b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "40fc38fd-7f38-4061-9194-aeac74093c4f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "13e0dd43-326c-4b95-919b-5e55e9e90f41", "count": 1, "frequency": 0.0003333333333333333}, {"name": "12defd66-5dee-4c66-a68b-c24637d5d86b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "aaea6c18-9614-4cac-a087-8db6a359a13b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "28222cbf-dca9-4ac1-92a9-8e4b3d32f76f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "81f25661-b9df-4b0d-9552-f3afab6b89ba", "count": 1, "frequency": 0.0003333333333333333}, {"name": "36ba9024-61ef-49c3-9b6c-262b2e12c786", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe61c58a-7e46-4cc4-909f-8752a92202b8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b882c726-40b6-4933-b968-015e46ce4cbc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ba47c6ad-488a-41e3-acd0-13282ba25569", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9507ea14-203f-4462-88f0-e4e6560ecf0a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e023389b-079b-4d1c-bed1-6ba09b72a182", "count": 1, "frequency": 0.0003333333333333333}, {"name": "877b4036-656c-4920-8af7-bc5813ceaa70", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3d642198-03f2-4545-8406-d4fea78e267d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5b5c22c8-4ba7-46fe-8f45-2a8657be07b0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1a567463-bfba-48c2-8610-8d804aa5e4d3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e61ddcd1-3c16-4e5f-9aee-978d54ab2ba3", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b1afb4b3-3570-449d-abc0-926cd68bf5e8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "50c0a367-ff8b-4b03-a7b4-ccaefda60d0a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "890fead6-9b42-4a71-b1c2-63402ec6f287", "count": 1, "frequency": 0.0003333333333333333}, {"name": "45867942-ae15-4d36-ade8-3bbdc65dc51e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f9e3b2ef-dcc9-4da1-b31d-be8ce6ce2e8f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3f402533-53ed-4901-9ff1-1e4833a1b56c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "83577010-eb56-4786-96d0-24894041c04f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "30c9605e-cfb9-46ae-90b6-20c976c53977", "count": 1, "frequency": 0.0003333333333333333}, {"name": "768cbe29-5b81-4702-b732-3195a92c1b5b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4c6bec23-874f-46b7-8e87-faa02d48bed2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b9cef447-99e7-461f-ac79-528cd2e9ab0b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "dcc748f1-226b-4b0a-a781-a5137797aaca", "count": 1, "frequency": 0.0003333333333333333}, {"name": "06ef7eca-8201-4655-bcbc-167cce5c39cc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9e8060c0-5fe7-47ca-a02f-9e3e73be7978", "count": 1, "frequency": 0.0003333333333333333}, {"name": "66647ec4-ac61-4a43-a0aa-32e105673c7b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "403aa3c7-849b-4e7c-980b-089379716b8e", "count": 1, "frequency": 0.0003333333333333333}, {"name": "e4fbb269-d232-4e7a-9ef3-a94282d04ddd", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3c4f2108-7306-4f9f-9ea9-43d678f1d5a2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "95981fc0-4708-423f-9629-e21201947a05", "count": 1, "frequency": 0.0003333333333333333}, {"name": "b351eb10-00b7-4bca-a847-bbcaeb53714a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "ee931b70-0552-4256-8b1f-72db03772fd2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d8dcd2f1-8f11-449a-a041-33de961bf4ef", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f64f19e7-f8a6-4740-9732-77b623210bbe", "count": 1, "frequency": 0.0003333333333333333}, {"name": "71592893-09f0-4c3e-8d6c-df701be764d2", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3921e131-a119-4ef9-9fa7-222a8c49d680", "count": 1, "frequency": 0.0003333333333333333}, {"name": "71366873-a653-4898-8c88-28bd03c6c1e1", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4a9f25db-c72c-4ea6-b8ea-418324668a53", "count": 1, "frequency": 0.0003333333333333333}, {"name": "97622f71-060d-4f6a-b9b4-635a1d5881cf", "count": 1, "frequency": 0.0003333333333333333}, {"name": "42c447c1-aff8-42be-b541-5f58851434a4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fe898d01-c189-45a1-b912-e5bb626e5154", "count": 1, "frequency": 0.0003333333333333333}, {"name": "5bb798de-7d58-4702-90ad-5c77708909f9", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c8f217ca-5b6a-4fdc-a807-b069639a888c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "52224c20-d656-4556-93ba-4aef41147fbe", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8d94c2e5-a68a-4699-b31e-59117cc72c69", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3764f5d5-8706-4921-8a31-084ecb14f5d5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "d5966fb7-7970-490f-b48b-6768718bc074", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1b5c58fa-c19d-4e6e-bae7-ddf219826ec8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "8a33e71d-8949-4571-91be-c3ac77c6f00b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fa151fd5-ea05-45d9-bc8e-2309e649c807", "count": 1, "frequency": 0.0003333333333333333}, {"name": "844105d3-e7a6-47a3-95b6-21e97fe331f8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "7467e928-9110-41a3-8fce-b165027d7b3a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "98e7593f-5dd2-4c02-aa35-ac1d2d1d6be8", "count": 1, "frequency": 0.0003333333333333333}, {"name": "041a324c-3e44-46e4-a386-ea17ea60d9c7", "count": 1, "frequency": 0.0003333333333333333}, {"name": "20177ae6-326f-49f4-adae-c14500688b17", "count": 1, "frequency": 0.0003333333333333333}, {"name": "1d7bd6c4-7b80-4143-86d2-29ef030869ea", "count": 1, "frequency": 0.0003333333333333333}, {"name": "2d513f3f-04ae-4ae5-bbd9-611b5140915a", "count": 1, "frequency": 0.0003333333333333333}, {"name": "25780ce3-7412-4a63-9092-fa841987e687", "count": 1, "frequency": 0.0003333333333333333}, {"name": "9944bfea-9d5b-4ece-b1e9-64ffbaa28f64", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4159b838-1b99-4d23-83d9-760c19a3d7f0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "14f42472-3fe9-4440-8878-922d02d3b389", "count": 1, "frequency": 0.0003333333333333333}, {"name": "fb120693-c777-4a3b-b7a6-7545607cdeb4", "count": 1, "frequency": 0.0003333333333333333}, {"name": "378b2988-553a-4bb1-87c7-c37c86f40adc", "count": 1, "frequency": 0.0003333333333333333}, {"name": "83799c18-fb97-496c-a2cb-8bf8001f793d", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f421bf3e-9c45-48a9-bd7f-ed6c2cbf7591", "count": 1, "frequency": 0.0003333333333333333}, {"name": "489e0f17-d45e-4c38-bc4e-29703176cb6f", "count": 1, "frequency": 0.0003333333333333333}, {"name": "81971c02-540b-4ae4-a9d3-7dcf398d0e9c", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3c8bfa3e-ca84-422e-9291-5b25be19f381", "count": 1, "frequency": 0.0003333333333333333}, {"name": "c9b8cb56-5e3c-4ba3-9cf1-57226aa5c772", "count": 1, "frequency": 0.0003333333333333333}, {"name": "514e388e-0eda-447b-8998-2e8d0a5714df", "count": 1, "frequency": 0.0003333333333333333}, {"name": "38c7d788-43cc-44f5-befc-1b1447dff629", "count": 1, "frequency": 0.0003333333333333333}, {"name": "925b87f3-fdd9-45cc-a525-55d67a407824", "count": 1, "frequency": 0.0003333333333333333}, {"name": "764f94c8-15c8-491d-afd7-5909f8efe806", "count": 1, "frequency": 0.0003333333333333333}, {"name": "52a0b717-f313-4fb5-a70a-7c374d9c1841", "count": 1, "frequency": 0.0003333333333333333}, {"name": "87bf7059-5851-40ac-b496-cf1338528c05", "count": 1, "frequency": 0.0003333333333333333}, {"name": "32c8565a-6a39-41db-af85-9112e87a5d1b", "count": 1, "frequency": 0.0003333333333333333}, {"name": "3152b395-70ff-4a38-a68a-df04330eb8c0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "764fdd91-99e2-49ad-9d1e-162c0f02b9c0", "count": 1, "frequency": 0.0003333333333333333}, {"name": "61401eef-d91a-4344-8a5c-9616b0098e57", "count": 1, "frequency": 0.0003333333333333333}, {"name": "4066e41a-15cc-4490-875f-0778b2ef43f5", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f81a9364-d663-4df4-9b92-95ac8130db04", "count": 1, "frequency": 0.0003333333333333333}, {"name": "f248ae0b-1b60-4a00-aed6-87edda56d69b", "count": 1, "frequency": 0.0003333333333333333}]}], "class_metrics_prediction": [{"name": "0.0", "count": 2402, "percentage": 80.06666666666666}, {"name": "1.0", "count": 598, "percentage": 19.933333333333334}]}',	'{"numeric": 8, "datetime": 1, "categorical": 10, "n_variables": 19, "missing_cells": 408, "duplicate_rows": 0, "n_observations": 3000, "missing_cells_perc": 0.7157894736842105, "duplicate_rows_perc": 0.0}');
INSERT INTO "reference_dataset_metrics" ("UUID", "REFERENCE_UUID", "MODEL_QUALITY", "DATA_QUALITY", "STATISTICS") VALUES
('90b91dbf-6359-48e9-9afb-dfed81cfc295',	'd8cb36a9-2f8b-4e45-bab0-aeaa259a9f46',	'{"classes": ["0", "1", "2"], "class_metrics": [{"metrics": {"recall": 0.940983606557377, "f_measure": 0.9487603305785124, "precision": 0.9566666666666667, "true_positive_rate": 0.940983606557377, "false_positive_rate": 0.019548872180451128}, "class_name": "0"}, {"metrics": {"recall": 0.9223300970873787, "f_measure": 0.9359605911330049, "precision": 0.95, "true_positive_rate": 0.9223300970873787, "false_positive_rate": 0.0226928895612708}, "class_name": "1"}, {"metrics": {"recall": 0.9747191011235955, "f_measure": 0.9559228650137741, "precision": 0.9378378378378378, "true_positive_rate": 0.9747191011235955, "false_positive_rate": 0.03745928338762215}, "class_name": "2"}], "global_metrics": {"f1": 0.9473116117849983, "accuracy": 0.9474226804123711, "weighted_recall": 0.9474226804123711, "confusion_matrix": [[287.0, 10.0, 8.0], [9.0, 285.0, 15.0], [4.0, 5.0, 347.0]], "weighted_f_measure": 0.9473116117849983, "weighted_precision": 0.9476325810346429, "weighted_true_positive_rate": 0.9474226804123711, "weighted_false_positive_rate": 0.027123725541715216}}',	'{"class_metrics": [{"name": "0", "count": 305, "percentage": 31.443298969072163}, {"name": "1", "count": 309, "percentage": 31.85567010309278}, {"name": "2", "count": 356, "percentage": 36.70103092783505}], "n_observations": 970, "feature_metrics": [{"max": 77.0, "min": 29.0, "std": 8.989662679306678, "mean": 54.4, "type": "numerical", "histogram": {"buckets": [29.0, 33.8, 38.6, 43.4, 48.2, 53.0, 57.8, 62.6, 67.4, 72.19999999999999, 77.0], "current_values": null, "reference_values": [3, 27, 110, 124, 123, 191, 195, 143, 44, 10]}, "feature_name": "age", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 55.0, "perc_25": 47.0, "perc_75": 61.0}, "class_median_metrics": []}, {"max": 1.0, "min": 0.0, "std": 0.4707898693493682, "mean": 0.6690721649484536, "type": "numerical", "histogram": {"buckets": [0.0, 0.1, 0.2, 0.30000000000000004, 0.4, 0.5, 0.6000000000000001, 0.7000000000000001, 0.8, 0.9, 1.0], "current_values": null, "reference_values": [321, 0, 0, 0, 0, 0, 0, 0, 0, 649]}, "feature_name": "sex", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 1.0, "perc_25": 0.0, "perc_75": 1.0}, "class_median_metrics": []}, {"max": 4.0, "min": 1.0, "std": 0.9352381804560581, "mean": 3.174226804123711, "type": "numerical", "histogram": {"buckets": [1.0, 1.3, 1.6, 1.9, 2.2, 2.5, 2.8, 3.1, 3.4, 3.6999999999999997, 4.0], "current_values": null, "reference_values": [63, 0, 0, 165, 0, 0, 282, 0, 0, 460]}, "feature_name": "cp", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 3.0, "perc_25": 3.0, "perc_75": 4.0}, "class_median_metrics": []}, {"max": 200.0, "min": 94.0, "std": 17.650827375565537, "mean": 131.55463917525773, "type": "numerical", "histogram": {"buckets": [94.0, 104.6, 115.2, 125.8, 136.4, 147.0, 157.6, 168.2, 178.8, 189.39999999999998, 200.0], "current_values": null, "reference_values": [32, 138, 217, 234, 182, 79, 44, 26, 11, 7]}, "feature_name": "trestbps", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 130.0, "perc_25": 120.0, "perc_75": 140.0}, "class_median_metrics": []}, {"max": 564.0, "min": 126.0, "std": 52.69134866285254, "mean": 247.09896907216495, "type": "numerical", "histogram": {"buckets": [126.0, 169.8, 213.6, 257.4, 301.2, 345.0, 388.79999999999995, 432.59999999999997, 476.4, 520.2, 564.0], "current_values": null, "reference_values": [38, 233, 342, 211, 118, 10, 14, 0, 0, 4]}, "feature_name": "chol", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 240.0, "perc_25": 211.0, "perc_75": 276.0}, "class_median_metrics": []}, {"max": 1.0, "min": 0.0, "std": 0.35470966150347844, "mean": 0.14742268041237114, "type": "numerical", "histogram": {"buckets": [0.0, 0.1, 0.2, 0.30000000000000004, 0.4, 0.5, 0.6000000000000001, 0.7000000000000001, 0.8, 0.9, 1.0], "current_values": null, "reference_values": [827, 0, 0, 0, 0, 0, 0, 0, 0, 143]}, "feature_name": "fbs", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.0, "perc_25": 0.0, "perc_75": 0.0}, "class_median_metrics": []}, {"max": 2.0, "min": 0.0, "std": 0.9925134415753175, "mean": 0.9783505154639175, "type": "numerical", "histogram": {"buckets": [0.0, 0.2, 0.4, 0.6000000000000001, 0.8, 1.0, 1.2000000000000002, 1.4000000000000001, 1.6, 1.8, 2.0], "current_values": null, "reference_values": [488, 0, 0, 0, 0, 15, 0, 0, 0, 467]}, "feature_name": "restecg", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.0, "perc_25": 0.0, "perc_75": 2.0}, "class_median_metrics": []}, {"max": 202.0, "min": 71.0, "std": 22.629822434698863, "mean": 150.1381443298969, "type": "numerical", "histogram": {"buckets": [71.0, 84.1, 97.2, 110.3, 123.4, 136.5, 149.6, 162.7, 175.8, 188.89999999999998, 202.0], "current_values": null, "reference_values": [4, 17, 31, 85, 106, 158, 261, 210, 83, 15]}, "feature_name": "thalach", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 154.0, "perc_25": 136.25, "perc_75": 166.0}, "class_median_metrics": []}, {"max": 1.0, "min": 0.0, "std": 0.46774278578190454, "mean": 0.32268041237113404, "type": "numerical", "histogram": {"buckets": [0.0, 0.1, 0.2, 0.30000000000000004, 0.4, 0.5, 0.6000000000000001, 0.7000000000000001, 0.8, 0.9, 1.0], "current_values": null, "reference_values": [657, 0, 0, 0, 0, 0, 0, 0, 0, 313]}, "feature_name": "exang", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.0, "perc_25": 0.0, "perc_75": 1.0}, "class_median_metrics": []}, {"max": 6.2, "min": 0.0, "std": 1.1537582166146962, "mean": 1.0146391752577326, "type": "numerical", "histogram": {"buckets": [0.0, 0.62, 1.24, 1.8599999999999999, 2.48, 3.1, 3.7199999999999998, 4.34, 4.96, 5.58, 6.2], "current_values": null, "reference_values": [491, 150, 128, 78, 63, 33, 16, 4, 0, 7]}, "feature_name": "oldpeak", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.6, "perc_25": 0.0, "perc_75": 1.6}, "class_median_metrics": []}, {"max": 3.0, "min": 1.0, "std": 0.6154625622431994, "mean": 1.5876288659793814, "type": "numerical", "histogram": {"buckets": [1.0, 1.2, 1.4, 1.6, 1.8, 2.0, 2.2, 2.4000000000000004, 2.6, 2.8, 3.0], "current_values": null, "reference_values": [466, 0, 0, 0, 0, 438, 0, 0, 0, 66]}, "feature_name": "slope", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 2.0, "perc_25": 1.0, "perc_75": 2.0}, "class_median_metrics": []}, {"max": 3.0, "min": 0.0, "std": 0.9314538266162146, "mean": 0.6509926854754441, "type": "numerical", "histogram": {"buckets": [0.0, 0.3, 0.6, 0.8999999999999999, 1.2, 1.5, 1.7999999999999998, 2.1, 2.4, 2.6999999999999997, 3.0], "current_values": null, "reference_values": [577, 0, 0, 200, 0, 0, 117, 0, 0, 63]}, "feature_name": "ca", "missing_value": {"count": 13, "percentage": 1.3402061855670102}, "median_metrics": {"median": 0.0, "perc_25": 0.0, "perc_75": 1.0}, "class_median_metrics": []}, {"max": 7.0, "min": 3.0, "std": 1.9326135774303514, "mean": 4.697819314641745, "type": "numerical", "histogram": {"buckets": [3.0, 3.4, 3.8, 4.2, 4.6, 5.0, 5.4, 5.800000000000001, 6.2, 6.6, 7.0], "current_values": null, "reference_values": [540, 0, 0, 0, 0, 0, 0, 57, 0, 366]}, "feature_name": "thal", "missing_value": {"count": 7, "percentage": 0.7216494845360825}, "median_metrics": {"median": 3.0, "perc_25": 3.0, "perc_75": 7.0}, "class_median_metrics": []}, {"type": "categorical", "feature_name": "pred_id", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 970, "category_frequency": [{"name": "72ea7041-8485-454d-8c24-b7717f5dea45", "count": 1, "frequency": 0.0010309278350515464}, {"name": "44a3cdd9-7c66-46dc-90f8-223f7177ff3a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2cdf32a2-8998-4b12-ba30-a1f5d737978f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a5894176-edf3-4583-b25a-4128d29a3895", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fc79082d-651a-4a6f-bc68-83bf90a09b9f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "01e5da3b-3b87-4cdd-86f5-623afcc63561", "count": 1, "frequency": 0.0010309278350515464}, {"name": "071ad8ce-4754-4c25-a7dc-0e9ff6b0ded0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a9d49483-9de7-4727-bda0-b1d62a1d691f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "83458477-9598-4ad4-882b-dd1886fcc555", "count": 1, "frequency": 0.0010309278350515464}, {"name": "56074744-3cfa-4636-baf2-6a9e4c509eb3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f49959c0-3d2f-440e-9a66-c7c2fe4fc1b2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "16c404a4-1e98-4e80-9aba-4ac7dca2898a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d912b793-5f43-4bc6-ab6d-cf5ecea41d5f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "08832648-7f21-442c-b622-3cd5828e25d1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c9496489-20f7-4aee-b504-c66bf1be17a2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1f90e8de-e24b-433f-a43b-e74300410067", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a3bcc267-baef-4dd5-b54a-2c1e5e177839", "count": 1, "frequency": 0.0010309278350515464}, {"name": "038e94e8-1b1b-497e-9a9d-79aeaf81aa2c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e0487acc-4c16-41f6-a6d0-3c14f32e790d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bf16382a-8a2c-4eba-9571-bd52f95731f2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b05b18cd-4f9c-436d-89bd-f949cbb8065f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "32c0f770-9bc5-44cd-a452-66c93cca64ff", "count": 1, "frequency": 0.0010309278350515464}, {"name": "90aaaa61-6801-4f54-a9cc-6ab1e5cdff97", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9ee37ab4-3861-466d-b9aa-ff46d1ec32e6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2ff50b12-0b62-418f-ba01-30269be4df0b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "79f15d9c-15cc-4796-b2fc-c42577ff2370", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2189d357-060a-41e9-9d7d-0836f69a559e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2867d83c-1777-40d3-a962-05a927b3912d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f2526e93-7956-45b5-9d27-19d603512052", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cd4f8bdf-0e27-4210-9d47-158059284bde", "count": 1, "frequency": 0.0010309278350515464}, {"name": "001e108c-9f9d-4b0f-9011-4252179c6387", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d1c059a5-b696-498a-9770-5a2093ddd4ba", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b809cabf-b3ee-4809-8768-c631912ddcc2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "efcecc29-e5cd-4247-b9a3-daf7ed4137cd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6c33cb64-fae4-4911-9bd1-2a6b42fd17bc", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8960f50e-1742-489d-bf69-d183fee7fa50", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9fef0ea4-13dc-4bb2-ba92-65b6c761343b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "01fe8a10-2ce3-488f-882f-e5ab1657dc0f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6951e480-bb6c-4589-8569-48fac41aba11", "count": 1, "frequency": 0.0010309278350515464}, {"name": "57d7167a-62b2-431b-896d-82ec05d25a37", "count": 1, "frequency": 0.0010309278350515464}, {"name": "191a14c3-383e-466b-9641-12b6c1215979", "count": 1, "frequency": 0.0010309278350515464}, {"name": "08ca8573-c2d3-4b48-b9d0-6735f15711e3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9ddb0b55-9621-4c54-b5b3-c1b070d0e962", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d0b22f97-79fa-4ba0-8f51-ebe95b069973", "count": 1, "frequency": 0.0010309278350515464}, {"name": "476b4997-b91a-41b5-9154-f5ca003c5f67", "count": 1, "frequency": 0.0010309278350515464}, {"name": "09e33b45-5894-4685-a914-3e8c73930303", "count": 1, "frequency": 0.0010309278350515464}, {"name": "af4f5cd2-bb72-47da-9e40-c9fc4ab2f422", "count": 1, "frequency": 0.0010309278350515464}, {"name": "321ddde6-d5d5-426d-b527-7ba9132ccc4c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6dd020a9-0508-4a96-bbf6-3c37a292cba5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "86bd3b50-1b22-4e94-9853-4205460530cd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "64c3c872-338f-4db1-8ef0-fd7d13f5875a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4fc21eb1-727b-4448-94a7-abf66c14599c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5b3943f1-1bfa-4128-b0fc-ed9da1162343", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c25299a3-6710-42ee-a53f-9582f46c1409", "count": 1, "frequency": 0.0010309278350515464}, {"name": "980a155a-c4aa-471c-a727-ddfd6586b5f5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b3c5f105-a1fd-4787-bf9e-85a97fbaeb8e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ee2df239-1f12-44eb-9615-94655cf651a0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "88d4d88d-48d4-46b9-bcdc-25376e71e54e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "20186eeb-1eb3-4209-b4a9-30d6fc375e76", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f7a787a8-70e3-48f3-a318-988ce48fa79f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2d8b7b17-9525-411e-adb9-5c8f78d2aadb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7d640d19-eaee-4b4e-8e3b-3471c4df115b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3aa8e0b0-7e58-487e-8d93-abf11440b994", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6efd959b-bb9b-461c-8e5f-78a2fedf2d13", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7f382ff3-e76c-495d-b0b2-c69c4dfd6122", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9e4c2690-899f-4de6-9101-e3b31911fd62", "count": 1, "frequency": 0.0010309278350515464}, {"name": "de748d1e-70c7-4497-86a5-441e2ea28e3e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2b26700d-6260-41f5-8f2f-fff3fd2e3107", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c409f938-cc94-4ca6-9c2b-a3f509ba0f84", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6864c17c-ca6f-4afd-811e-ac7c30b0e201", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fbbfdea2-1ecf-4d2f-ae6a-dfc2e676a80f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5570842e-d617-4843-8f44-49104dfa9751", "count": 1, "frequency": 0.0010309278350515464}, {"name": "362f847f-9baf-4094-8e45-4eb539e23000", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3d3a0049-bbee-4807-926e-6cff5ae61662", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cc0f3dd9-3cbb-49e8-a848-4d9105ab3eea", "count": 1, "frequency": 0.0010309278350515464}, {"name": "78c276df-2aae-4bb4-b546-3bd238b13961", "count": 1, "frequency": 0.0010309278350515464}, {"name": "57004bb4-6134-41cc-be3d-c5811adcb19b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fd1a2adc-b4ad-4d5d-8e2b-b0d93c019bc3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cb3554b7-57c1-47bb-8ec0-49395946fea7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "79b47b5a-b75c-4d1d-a042-4e036b2e4c6a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fa2f8ead-2c49-4bde-bc20-e19caf3218aa", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c52a39d3-5910-4d8a-87d4-4fc1dae69945", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fea78c8e-583f-47fe-a0cd-bc786ee72c61", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d0c935bb-78ca-4a90-a66c-592d1a4eba4c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ae540363-3700-4cf3-a2b7-4ae8bd7641d3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "16afcad1-ad6a-4dc1-82ec-fcb70cb62cad", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f2d232c0-dc1f-4ac7-9cb7-e07d90103e8e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1201432b-5746-4aa5-bb38-ba53fbd76bbf", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a6b803c5-e650-4f66-abe0-2784e815de9c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5253a2ff-40e9-492c-a615-039591359e84", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2c9c48fe-0269-476d-beeb-b30804f6f2bb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "87add252-5309-405e-9cfa-909c2722ac22", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7fe26dcd-1c1a-4525-b186-5131e2b43425", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1bc7a329-3c1a-4541-90c0-924e7ad97a9e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "63eea96e-6446-4348-8028-548efa864f66", "count": 1, "frequency": 0.0010309278350515464}, {"name": "20fcb796-45d8-4e19-98ca-cb932c37a273", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e874086f-b23c-4752-b7f6-b737af3ce250", "count": 1, "frequency": 0.0010309278350515464}, {"name": "871e5dd7-a4c2-4a3f-a3c7-2c36de237b42", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9cf3073e-040f-410b-ac02-75151e214a90", "count": 1, "frequency": 0.0010309278350515464}, {"name": "63021d8c-fee1-43a3-b512-4a362b53437d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9d8cb0f3-a858-4460-8db0-3d939d7cd735", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c570d9a7-9fe0-488a-b23a-90b6f9ff94da", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e7220512-d1a4-4bc8-8242-9f7a649d15ac", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bdbf289a-fee2-445d-ac96-2d67c651337d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "67ba9c49-d01c-4eb6-adac-e4a4196e56e8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "49a56b15-d745-47b3-ad75-dd8f51164da4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "de7b2e2b-83b1-4a74-ae0d-866431168673", "count": 1, "frequency": 0.0010309278350515464}, {"name": "50bed522-786f-4718-94f1-1c4b0ef0f243", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cc39695b-f08c-4041-9c5f-2426ff89147c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4da8fc2f-1609-4403-b41c-81dff017f77b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3c61a078-1a6a-4966-808e-46310cdc0efa", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e8a319e0-fe6b-4c03-9c9b-a87d95a06a19", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3b8be28b-5ab7-410f-8b2a-5e0245675a8c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b2bca82a-7d2d-452e-9ef2-a51ce8d32025", "count": 1, "frequency": 0.0010309278350515464}, {"name": "13dcf702-4e85-4d5e-b8bb-b2752d7dee65", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c820a3ca-b62c-4b82-b5bd-8c829e9ea4ce", "count": 1, "frequency": 0.0010309278350515464}, {"name": "19d5ca63-cea3-46ab-943f-65584be8a9ce", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f4706649-5cee-4db5-8f83-d586880d632a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4a7893cd-5c9f-4361-9538-b43cb9473d4b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f2aeb128-e82a-4b64-bd9d-e547f59ba747", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9f9f4868-e974-4b46-b3c7-ba8a7c6310a7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a37c569f-3922-4690-b793-e1d246bbb23b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cdac416d-734b-4a04-ad06-0f6b25f5060d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "547d1b8b-418b-4db3-b886-a0163f864e39", "count": 1, "frequency": 0.0010309278350515464}, {"name": "004ba09e-0e77-49e5-bd48-cfd07c916e8f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0a5832ea-094c-414a-be9c-f69c546aaeb8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a7e41ef4-6b6c-4a8a-ab0d-65f8fe7d8bf6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e04a8203-5c92-4db9-b8c0-3d34455b71b8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "47e1db7d-14d6-42e9-8ceb-506d1736b685", "count": 1, "frequency": 0.0010309278350515464}, {"name": "72659644-29e1-4434-9fbc-d3fe4a8704ca", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e89487da-0d35-4bfe-9d7e-f5f37bbb12d0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "def64383-488e-4c1d-80a7-6a11002948a4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3e7c7bb8-fdfa-4f6a-b679-a570a525b8c1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3c08aa62-09cd-4be4-bf96-7997cb3fc5b3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0e933446-5de8-450d-b0c2-1c5f9422956a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ef8cfb80-02aa-4e15-8a59-7949f6f124a3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bdac74c3-f243-4fa6-ad4d-76ed5d1f9a83", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b6660884-c09c-4cb9-b3c3-fe91819022e8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3962d105-2fee-407b-ae0b-18bc59fa474e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d7c450d5-f8f8-481c-ae22-25d20ce89909", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f740987a-0ecc-430c-8e70-2d264f94cdc1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a0782a3e-9103-4d9c-8a2b-74c85a5b8491", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c21b1c93-fa5c-4cb3-b91e-c421b7dae550", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6504dbaf-0c57-47ea-87f9-6976c9b5f2bd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "73d0c13a-1025-4338-b49b-89b193ae0472", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7edbba4a-3307-4dba-aab9-d162edc38326", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d6166cb4-be87-4700-a22e-099a4882e16c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1605cc21-d69c-476d-b046-1db96488d26e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a8e96b4b-9199-4577-ad56-827d235b168c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b07bc631-ab2b-48b3-a88f-b45cd2a8f266", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8ca1f396-bd95-431e-8ffb-736067077688", "count": 1, "frequency": 0.0010309278350515464}, {"name": "69cab016-74c4-4520-9b78-4cb4356b9e9f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "25c653be-d637-4702-9061-bb59c7018d0e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3c9c8115-764f-4fc0-8cae-6ad005e5401d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "60b9cc60-df78-492a-a113-4c404d4ff8ed", "count": 1, "frequency": 0.0010309278350515464}, {"name": "18be07d8-bb11-456f-9cec-f1ada2789504", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5930344c-8ea5-492b-8d74-2017518b405f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7e0c8ff6-cef9-4ef4-bdde-8a8138b9e25b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4e086c45-35aa-4d2a-9d4e-3b503f8687a2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1aad99da-c191-4070-b07a-057fa861cd47", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a988b709-1c54-4aac-be10-ff0309f2dce0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5ae51d15-6d2f-4633-a7e5-06735653361f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3f3248a6-48bd-46d3-bd75-0a6daca3981d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d4fd6fd5-7f7f-4f90-b40a-a0659c23f8da", "count": 1, "frequency": 0.0010309278350515464}, {"name": "89e4c340-6ed3-4c4f-bc00-102e924fd867", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c7721ad5-8b26-42db-9392-a209e6c8c618", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8516d798-ad86-40ee-9098-e6983f7fc0ed", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a2fb3d4d-8e9e-435d-a81d-72ef86fa512f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1a4c2bdb-0ccf-491d-a806-829115d42261", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1c56c2ed-b685-47c9-9260-d00dfb8097e8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ca25d576-62da-4222-900e-0917fb1c14b9", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8195146f-d8b8-4d03-89e9-f1b99584cd07", "count": 1, "frequency": 0.0010309278350515464}, {"name": "327325e5-fba9-44c9-a932-300120e7e504", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1872359b-69f1-492e-8c3d-b9832a4b833f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3a19829a-0ba1-43fa-b4ad-03cedb605bb0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "324b0b6b-35c1-4928-b858-7afc26539bb7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e2b83824-5a36-408f-ba59-6db123dd3391", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9cee05a0-3f48-4e3e-802d-9eac2fbe133e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ff1ef01c-f3a1-420b-9f73-700fc2b33487", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0a8755a9-3e58-4a5c-a082-09d27dfacb93", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bd5cb719-0878-4a78-8244-df31c55156d1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "185e88ec-99f5-4c96-9582-40efd0ab0d81", "count": 1, "frequency": 0.0010309278350515464}, {"name": "177e568a-977d-41ee-9e93-001481858155", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6eb20805-2293-4e75-b41a-ebfcf007a447", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8566ea6b-38e7-45ff-898a-b15569a369b9", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3a214975-fa70-4c1e-80a3-9b05bb331afd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1d2ea695-b999-4b86-be3e-cfef05d87115", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2cf3ae8a-6633-49fb-b6bc-e161b2e6bae3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e293d7a3-a956-442f-a0a1-ec03f8814fed", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ac7ea53b-c0c1-45c2-b7fc-172dc03b0481", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a2635749-d47b-46cb-88fe-571eeca1ba0d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "58e7e7fb-0ba1-493c-9aea-c8185c058f86", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ee16199a-9a4e-4b49-98ae-19b7871289a6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f769b7ae-418f-4c40-870b-a2ece380d486", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f1497301-f8a2-4959-8e7e-114f943fb4d2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ba6049d7-2a3d-4d43-973f-39e279976d98", "count": 1, "frequency": 0.0010309278350515464}, {"name": "53ba2359-1d3c-4837-962f-11899df6b1e0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f5a5a1c7-1803-4995-848c-e3e42765c00e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "495c6e18-7220-4451-ae78-7252dfd7e05a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e23b8a3c-bc6e-4948-9a99-f411232b9c85", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ff42eb41-101c-4f22-974e-57c84d0282b9", "count": 1, "frequency": 0.0010309278350515464}, {"name": "57aa7dae-b593-4a69-9579-19c6db289216", "count": 1, "frequency": 0.0010309278350515464}, {"name": "69894507-523a-43f0-a36a-7b19cc4661ac", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d27b8615-4108-4d50-87c0-e4d78b3ce2c8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3131278a-3587-4d48-8923-cf1243ea8025", "count": 1, "frequency": 0.0010309278350515464}, {"name": "564521b1-ee10-4b0a-a0c1-bf2d9119d12d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cdf8e5ff-98d9-4246-b82d-d797356670c0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "94b543f4-e53f-4591-9b85-82c0f1be869a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "674a438a-c03b-4b1f-902b-3ffd0865cd38", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b3af2910-829d-46a9-af7d-bae76bb2914f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d5fed6fc-c8f7-48c4-a300-702c27d18368", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1079f5d4-34fa-44ba-aac8-19b02e079693", "count": 1, "frequency": 0.0010309278350515464}, {"name": "262048fb-6d32-4227-a99e-d914a44fa1a0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4aa78903-cba4-4eeb-9bea-bb7c4f433fba", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5431504d-234e-4945-89e5-ac7928ccf61b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f40a2aef-8b55-4868-9c50-efd53bb02876", "count": 1, "frequency": 0.0010309278350515464}, {"name": "64012954-82ce-43fe-a127-cfa9e79caffd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c27def69-6e39-4cc0-a8f2-4b20e56897fa", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2cedde38-f5c7-4464-883c-5ad6ff1ddab1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9287c5c0-e524-4913-9649-de0349c639af", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cf40f9a1-c061-45ab-963b-981bc137dd94", "count": 1, "frequency": 0.0010309278350515464}, {"name": "385c6f24-aec2-44f5-8f42-677c8bad3f5e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d4fb4f14-28fc-47ed-9a1c-c6222c9b950f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bac2ccfd-d4c6-48fe-b8e6-f269b071c1d9", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f12e024c-b4e5-49d0-8bc5-727a4c2bb629", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6aaa0f2b-dcac-4cef-aed7-7362a6983c94", "count": 1, "frequency": 0.0010309278350515464}, {"name": "861d7e73-ff12-4100-82f4-e976a893f8f2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "034db340-bb51-4df0-9fb8-1cb4df1af10a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "59cd0499-b5b8-49d4-bcd5-d5d4b7f2f459", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cbf45ed3-3166-42b9-b9c8-28acb6465f56", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d508c1d4-9035-4bb1-af3b-38e5f4ab52fe", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7020bf36-3ad8-4726-8a5a-d853daba80f1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c9d0c644-4323-4b12-9ac4-d32503f59f70", "count": 1, "frequency": 0.0010309278350515464}, {"name": "55a08f50-e437-4aee-adeb-7e78090cbaef", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1e98af83-be7b-4682-b64f-40bb7a7e787c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f3c97f4c-2751-47cb-acfd-0bdc4d931907", "count": 1, "frequency": 0.0010309278350515464}, {"name": "923c2213-df03-4a70-9ab5-a1f4751dbfc6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0d9bba00-b1f3-4e0f-b64f-78c8662dc32b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7ba7177c-7632-4704-9d25-3ec04ef15c0b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8cbb2378-858a-4269-b4fc-8abea992f5b6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7db7a321-9301-4a57-90c8-d7ad0925add6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "dcbcf140-69c5-4e70-9b6c-b5fc0c8bdd13", "count": 1, "frequency": 0.0010309278350515464}, {"name": "63b19a8f-8b63-4d87-935d-49dee1603521", "count": 1, "frequency": 0.0010309278350515464}, {"name": "730e1d8a-d093-41f8-adf2-3e3cbedfa9fc", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c8bea062-e2f4-4dac-9d0f-2e8453ad808a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1a62d843-2c01-4c2a-b500-bec428a2e761", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1b40c7de-7d50-4cb6-b297-0b16221ee12f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1ecf7a98-a516-42ea-9266-eb9d83d3cdb9", "count": 1, "frequency": 0.0010309278350515464}, {"name": "97b2a809-6c85-4afa-92fb-c8548473c224", "count": 1, "frequency": 0.0010309278350515464}, {"name": "60e5cbdb-bac5-4093-8c27-9d8e026a390e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f1aa0f4e-057f-40b7-b0e0-24c0da8744c4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3a00aaf8-1de9-4bbd-ab07-1cbe4ace76b2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "073cb243-36d3-42f4-85a8-e29e5e8cf073", "count": 1, "frequency": 0.0010309278350515464}, {"name": "deb0c368-fcde-46b8-8888-9ea098133dfc", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cbd38894-fc9c-410b-b41d-6c72cd8cd4aa", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ac2fcd84-e920-4792-9436-8043486cf87a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c16ef7e7-4a8a-4020-a692-e973500c8982", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8eb53d05-861c-4a8b-a95e-bfdee1644340", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5e0434d9-d3d1-4e09-a77b-569bc32dad83", "count": 1, "frequency": 0.0010309278350515464}, {"name": "03160223-3a85-4aaf-ab9c-269e812726ca", "count": 1, "frequency": 0.0010309278350515464}, {"name": "577126df-3ff2-47f6-8a29-af7ab5a33e84", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f007c6ad-4de9-464b-a330-2dd1e1f36382", "count": 1, "frequency": 0.0010309278350515464}, {"name": "708ac1e8-b966-4990-b9dd-67422d2ccc17", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fbad12e6-9d0f-4ce8-97a6-b0064d1f79cd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "70aaa905-9648-415e-a3cd-4615dcac0fdd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "aa179326-64f9-4876-af2a-eaab3e8d77bc", "count": 1, "frequency": 0.0010309278350515464}, {"name": "41b4a38a-47a7-471a-80d1-2ca2fd142928", "count": 1, "frequency": 0.0010309278350515464}, {"name": "341c65b9-4319-49dc-afde-07de07057957", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7875d364-7504-4829-bb5b-7966d6605708", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a224288b-6b00-495b-91e6-57db30c758bd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "75ddca54-326f-4b2e-8179-1c258d76c729", "count": 1, "frequency": 0.0010309278350515464}, {"name": "84dcbb2f-143b-4889-b428-6118ca5a78a4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "03725740-e257-4fb0-a621-0f2110f906b5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f293492c-48b5-4b60-ad09-04ce7014a7b5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "be1841a3-4081-4643-bfef-d8491a54f382", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c35a5691-a3ef-4844-a4a2-a701952f755a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ef01a043-f007-4373-a090-b6a5329a0cf4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "62abef78-7cad-4777-8cfb-6652c9cdba70", "count": 1, "frequency": 0.0010309278350515464}, {"name": "651d484b-da9b-4799-94d5-827c49edf3f3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5833772e-680a-4934-a618-756e42267e50", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8624d9f3-1d49-4938-880f-d10a4a691995", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cebba7f7-8ff5-4507-92d2-e46ae6c7f020", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c970670f-310e-4a41-8267-a37552799800", "count": 1, "frequency": 0.0010309278350515464}, {"name": "59765b0d-4f86-4004-aad8-a112688b2386", "count": 1, "frequency": 0.0010309278350515464}, {"name": "dcca7e13-a754-43f4-8a70-2a979f0e7fbb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "dfaf3dcb-6286-4cef-83bf-5f0c268b1950", "count": 1, "frequency": 0.0010309278350515464}, {"name": "11f670ee-9a13-4a4e-945b-4187b4e525a6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bae13222-0000-4f90-9717-1bf5a24790ca", "count": 1, "frequency": 0.0010309278350515464}, {"name": "06ea62d3-c812-4651-a97f-eee09db4aa34", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5bfa2094-093c-4b68-a122-0ed243518f58", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3a6d0a54-21f0-4993-965e-560a150e1b66", "count": 1, "frequency": 0.0010309278350515464}, {"name": "05e3e786-129b-4d37-9408-57bdcc15a573", "count": 1, "frequency": 0.0010309278350515464}, {"name": "09414604-02cb-4892-a021-9a259cfa35e0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6d19c76e-1385-47eb-93a3-7d337abe41f6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ee9d8241-f88b-4335-91a2-fa9fa3f145a8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c4a8fff5-96c5-49ed-934a-55f76361b176", "count": 1, "frequency": 0.0010309278350515464}, {"name": "90f58155-00fc-4e85-90b5-7d406cd52c7c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a57a5272-4176-4fd5-a0e5-35484fa72ee2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9122352c-a96e-4362-a142-a1ac20195cc0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f6dec506-5d44-4184-ac9c-ce69ebb8bc5e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8d86b087-83bf-4178-b02c-870781c997c3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b3d49b6d-319e-45b5-9a2e-f8dc036e9505", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e089b3e4-caf6-47e0-aaed-781615a88ebe", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d4fb0056-58b8-4c34-9e70-9227634e596c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cc952328-0197-4fcf-a81b-fb9d3b12d21d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5ccf5492-666f-41e8-a49a-078199f9a05e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "97c1ce78-61c1-4c4b-ba17-22ec3d4efe85", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0c262753-4447-44fc-af0e-662783af6838", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3efaa6cc-e7d2-47a8-9203-8f720d5b57d7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "612a808a-ac68-4582-8587-6a6768d5df84", "count": 1, "frequency": 0.0010309278350515464}, {"name": "79eeb2e5-d3a9-4c57-80d6-e1fb6b98acf3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6c1ebb1f-2489-4868-a27d-4a8f2a9a1ef3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a513db8f-50e7-4243-9fde-9fcec02c6824", "count": 1, "frequency": 0.0010309278350515464}, {"name": "eb6f9d46-b1a2-4ac8-9484-c83aca1bb5d4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "aa0ab243-d694-48ef-85a3-e44a57ea3933", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fef1ff2b-caea-4b0a-9cec-bd32a66f340a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f542a274-ab97-4317-a8f5-1e04eb1aef61", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0a9014b9-e255-4b67-a9ba-7bf6a20a5959", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4e27b6af-f4e8-47c7-87f2-a5f328e64621", "count": 1, "frequency": 0.0010309278350515464}, {"name": "906c4c2d-f75f-447f-aac3-55b6bbb9dedd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "93cdc4bd-db85-4083-a1de-a83e361396d6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "148e1e9e-b766-486c-ba0d-90604e980e60", "count": 1, "frequency": 0.0010309278350515464}, {"name": "37610c49-d881-4324-80cd-1c964f033ece", "count": 1, "frequency": 0.0010309278350515464}, {"name": "37b0c58f-97a5-4bc3-adf7-95cc721d3b80", "count": 1, "frequency": 0.0010309278350515464}, {"name": "836ad905-4c92-473f-b5df-9d2424e428ef", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7174d55f-9c90-48c2-8af8-52237afd5271", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6457fd02-30f1-480a-8c51-d0c3a4a15c8c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "dce19c43-e699-4d28-bc18-3629754519c5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "28cb38a3-7c09-49cf-917c-e1e5a2cee4c4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0f604bd0-5c76-48dd-a7c6-ea2a59494bc9", "count": 1, "frequency": 0.0010309278350515464}, {"name": "62dde4a3-21a9-47e7-bd09-8c95fa71c23f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cfc71f6b-3731-49ab-a43d-db6dd736c71a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c15e4f8b-27fc-400b-8733-56575768e2d4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5b32afc9-e220-459d-a2a8-7ef48f64d8c1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "11a41718-3282-4452-ae8c-acb476bf8d39", "count": 1, "frequency": 0.0010309278350515464}, {"name": "26c7e7f3-42e3-4935-b535-106f975c5d9f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f7fe8661-e3b0-484d-ad03-c443406752ef", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d0c4fed6-a44e-4a5e-bdd2-6a23c6383eda", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9a818d53-600c-4bfb-918b-1ce37a529208", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e188f58e-4ca9-43ce-b2dd-a381b16371ce", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e687902c-88f5-4ee8-8feb-b67e9c792b4c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fcaffdf4-0210-49c1-bec2-2608da609841", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fada9c3e-5907-4273-9498-f153e7620fa8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "04788c1d-9ef1-4460-9b85-33449bf43b01", "count": 1, "frequency": 0.0010309278350515464}, {"name": "07c214a5-1569-4019-8bb0-614f93f4308e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b8a00307-51d2-48cc-a186-adfd0820825b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "859ac4db-7190-4301-90f6-1faee46af00e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b7b7efd3-90da-4d22-8339-445011c46cd7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "79af1650-5b98-4f26-9bce-056c1115796f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f0d8fd9a-d1ad-40e0-bab5-6889c46a95d7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "31cf5c5d-a303-4d2e-bf30-88a94210d569", "count": 1, "frequency": 0.0010309278350515464}, {"name": "848dafa8-4f0d-4be2-b343-812333ebe865", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bad07ac7-3ed4-4c68-a305-5ad20b9bea6d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3353d4ab-c682-47ab-acc3-aae35807291e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a266ebde-5c83-444b-9816-f37d1bdd54fc", "count": 1, "frequency": 0.0010309278350515464}, {"name": "93a7fc89-1c32-4c6d-8019-35b506c26630", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c0f94885-9da8-40d2-aa88-eaf36c94bedd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bcf56f7a-94da-4884-9ef2-3ce8e7ec270e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a7e4376b-a401-4731-9961-c3708356448e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d4449115-ef02-4b13-b8a5-c32e3cf4cc59", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b4a467a0-8aaa-4f0f-b3f6-ba2d38523461", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cc3222d5-ffdd-4a69-b4b6-98362987b4fe", "count": 1, "frequency": 0.0010309278350515464}, {"name": "70a2069a-23a0-4a7e-b3af-1dba33bd24ce", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3bf1e4ba-4143-49d1-a108-14f08969b19b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d0eb6b96-f0a4-4f64-8929-6f55455e73bb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "58b5d26a-5396-4565-afb8-6df993d3de8f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "25e76dc7-bb16-4438-a698-fbc0e80d0389", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8a6667cc-bfc9-479d-8066-ecfe23934a8c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d7b83a18-1b36-4d8d-aef0-e37326c6923e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3bf4484a-f371-4ae1-9d22-a8434943fb22", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e4aff590-07d4-4759-ba00-f137799e9884", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4791a1ee-b4ed-40a0-b038-d5f5a089a991", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a630e438-75e9-4193-9a5b-2de936e88b95", "count": 1, "frequency": 0.0010309278350515464}, {"name": "59d7c563-40dc-4e8f-acd7-402759c32658", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4abe9994-05fe-4cc8-92b8-f003e2d32e2f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6a67658d-e2b5-4a47-a7a8-8b70b74d854a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8c9829c0-7a08-4b7d-a686-6510ecb5bfc6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a400513c-eb6f-4bd4-b6f2-148636796e15", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1c29713b-123b-4bff-bec8-cd534b0a8b85", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1a6bddcd-95e4-4e22-a200-090ec05a1765", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ed80eb1e-6bde-44fd-885d-1139705d5a41", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a76fb33a-7481-42db-b37f-60592fd70017", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8008bb3d-e143-4658-b5bd-36ddd554148a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "48b09621-5994-4205-9fba-ad3576d67862", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3a25c798-87df-4c4d-8862-02441d2703c7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4ef030ed-0c11-4bf3-847c-6f03762a4629", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6bf3f14d-a63c-4684-ba50-9cefe4242dab", "count": 1, "frequency": 0.0010309278350515464}, {"name": "397c89c6-67af-499a-ae99-a2896a978532", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6233fae8-8615-44ab-9b2b-7c12badba0eb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e002e213-50cc-4289-8393-0b9663cb2a87", "count": 1, "frequency": 0.0010309278350515464}, {"name": "340132ef-9f13-4cdc-b329-b826e027e135", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d67b20ee-5b1f-4aea-9096-f6d1c0cc1aa5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "316bdc1a-3896-42e9-aed6-e2180cab7e92", "count": 1, "frequency": 0.0010309278350515464}, {"name": "121f2f1f-e7be-4ba3-9ce3-43e1095d5167", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1b770a01-de92-480c-a492-fa9b434bbe13", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4566a527-8dc2-4117-b1a0-71c4d79a92a6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "dc6a34ec-347e-404c-baaa-9856516785df", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4b50171c-dc38-4ac8-9a53-717486015da1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ea0f6d6e-15f1-41bf-8854-1b8d72045ca3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "54ea66d0-1ddd-4bd5-bf9b-322fbdb65e60", "count": 1, "frequency": 0.0010309278350515464}, {"name": "29a9d378-ef19-48bf-ac04-e27c236d0781", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fabf1b7d-7382-46c4-9c23-26544b865243", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ed3a9cf1-d019-4b7b-934b-0c08945e0ecf", "count": 1, "frequency": 0.0010309278350515464}, {"name": "16de25f1-9ee3-44ba-9f8a-15282302ea16", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4eb16d6d-683e-4af7-ac7e-3067f8ee0d6b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fbb8e2cf-d37a-47b7-ae58-a88de7153906", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5c6bce9e-ca08-4459-b73f-5f93b7e3bfba", "count": 1, "frequency": 0.0010309278350515464}, {"name": "86aff462-ad7d-4693-a242-1de7a9c72230", "count": 1, "frequency": 0.0010309278350515464}, {"name": "78a814c0-638e-4e1b-a8a9-65572a4ba3de", "count": 1, "frequency": 0.0010309278350515464}, {"name": "963d8e81-eafb-4a7c-8533-1b16edff46f1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ab71b7b1-ab46-4baf-9e11-2af881fed311", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b20f8ed0-a1e0-428b-86ed-2220b1e25066", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ab1759eb-63ec-4ee0-b4b0-12614849be00", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4c88fad9-93db-43e1-aebd-9b10648e471c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ed267fca-524e-4119-b85e-577907fddfeb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "79d76336-91db-4ed1-9413-781814db87a7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e0482e74-4470-4494-9e9e-fd1965321f08", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0b81b2e6-fd10-40e5-92ed-35506fa62808", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4f711be5-7980-4f15-b0b1-71ccedf6f5b9", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e513b45e-7680-4941-8790-a09d98a4039f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0a0519d2-7b0b-4003-b0b6-1e5f39b6907b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9bbb9d44-14ef-4230-bf30-66e21c4be580", "count": 1, "frequency": 0.0010309278350515464}, {"name": "91779aec-5ce8-426d-9154-33f44d6fa202", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2a2bcc7e-0357-453e-a2a5-c92a3a4790f6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d001ede0-a06a-4885-b075-ccec6c25bb4e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "21c01113-6e7e-4bb0-bf88-70e0d679e134", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b918621a-9f4d-41b5-9a30-25c4a94b7dad", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2a13c3ad-9ed8-43b3-9acf-50cd0cf69004", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3db94afa-df57-4215-8ed0-13671a2975c1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2952167c-aacb-4d06-9b2e-95db3c8331d8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7a9b9ad5-41d9-445e-9762-9902763db6dc", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ec6ceb78-61f8-4d43-b22b-a52877aceefc", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2eb2a375-688c-4044-be39-82f1fcdbcf6a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1c7a8b3b-a34a-4178-acd9-1d6a6011e8fb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8184b544-48f4-45ac-aabc-d569cdb47b55", "count": 1, "frequency": 0.0010309278350515464}, {"name": "12942df0-d4de-4993-9fb2-5d1552f91ae4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "306e4929-58bb-42fe-87b1-7ccc09095bdf", "count": 1, "frequency": 0.0010309278350515464}, {"name": "40949e4f-b19f-4c23-9626-a2309dba8351", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e938a08d-6389-4a28-8aab-fc9005b407a5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8c16164b-050a-471a-a565-2229acac7b67", "count": 1, "frequency": 0.0010309278350515464}, {"name": "086105ff-d5eb-4742-8e68-f89d86181b83", "count": 1, "frequency": 0.0010309278350515464}, {"name": "048cfa35-38d5-42a1-a9ff-49be2bae6cd5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c1025c17-2208-449e-9022-49269784458b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "958a6251-4dad-4ded-aee9-69840cbf8e68", "count": 1, "frequency": 0.0010309278350515464}, {"name": "82539d62-20e8-4276-a095-2ebc47cb307d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c4f656e5-a23c-4302-b146-b92c2e3cdc53", "count": 1, "frequency": 0.0010309278350515464}, {"name": "27abe18d-2687-4926-86ff-e5ab04dae51f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ba160592-8c93-470a-8ba4-f43869a3f317", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6354303c-fc43-415d-83a6-097624e33190", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8dde886f-ee17-4461-858f-0c12e7ed83ce", "count": 1, "frequency": 0.0010309278350515464}, {"name": "429d3455-29c6-45f4-9224-4bd9f0559a78", "count": 1, "frequency": 0.0010309278350515464}, {"name": "dcb783ea-9f33-4a36-87c6-713e97a777f6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c6042d90-25d7-41e3-848c-9f6ee018c932", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3bf89bd5-f085-416e-84b0-34fce9bd05ea", "count": 1, "frequency": 0.0010309278350515464}, {"name": "20774d58-4db8-41b5-969f-f61be51d716f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f1811315-ae81-4040-9737-4d058a9aec0d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5cb97353-0366-4eb7-bbd9-31e71f9f549d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "76ac5ced-5b31-4785-96fa-ce0178881b83", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bffff0ff-9cd1-4edb-977f-de63f0275692", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f939f0e0-cf85-4e8e-88c2-167a92758251", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5b3ac90f-366d-4a5a-a483-96e67f2a87ba", "count": 1, "frequency": 0.0010309278350515464}, {"name": "48c853e1-288d-4868-a545-6ea3b2749216", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b546d736-a21c-4ba4-9cfa-6e4e8e0fb8aa", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4666d289-9481-4b23-b5c1-eb82f5949c9f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b6ed6837-a28e-4c22-856c-d81fd1249b18", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c397964d-d960-4fbd-9b4d-1eb9c3c9609e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d3d50fe5-45ab-48e0-bb3b-59bba5a34912", "count": 1, "frequency": 0.0010309278350515464}, {"name": "67553d71-8286-44bd-8c3c-50aafcfcc74b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a2066f6b-15e4-4a14-933f-49c6349a683e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "218919e3-42f2-4be1-b52a-13c1283d5ef7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "27a953c0-11f7-4f4a-b419-83aa29bd0adf", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cc1fa260-0939-4b95-9f90-fbb0e022c585", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3fe05f0c-0ac4-4c35-9e8d-b0961b29234e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "43ace007-b160-499d-a56c-5b54ce97c01c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c7677abc-ce06-4fe2-9e91-06abcccb3a2b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "be44fcb0-3e47-4295-b7d4-f57212c678c9", "count": 1, "frequency": 0.0010309278350515464}, {"name": "33ed4fd2-887f-4267-bc0c-8f87824365a2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "646b69bc-922d-4844-bdd6-cea4cf295ab7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4c328ff3-b874-4d00-b1ac-84f8a738d029", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9403e970-b1a5-49b2-ad68-fd87f3d27223", "count": 1, "frequency": 0.0010309278350515464}, {"name": "70bd4081-28a1-402b-8f55-f3e323a0f7bb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "011d1313-4202-4a76-ab06-a367cf0d056d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "16663415-4faf-4060-bf96-d3d6d19f8d89", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c49b4e57-7bee-49ca-ac72-85b73dc6ab58", "count": 1, "frequency": 0.0010309278350515464}, {"name": "dd0feb7d-d251-4ca6-89be-dead284dcf16", "count": 1, "frequency": 0.0010309278350515464}, {"name": "40fdaf2b-25fd-42a6-9039-da7c055bd406", "count": 1, "frequency": 0.0010309278350515464}, {"name": "034cbf7b-c724-4cbf-90e9-9766e455a48f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "12c20b50-c4d0-4f19-b032-203ff2a81e14", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2a9ba922-0162-43b4-bf4a-438d4b85c45f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b178c96f-807e-4aa0-9f3a-619e42567c5c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ba6c57a6-9c10-4a06-a550-b9d8bd6b9643", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4dc1bac7-bb87-4075-aa5e-8611b4dea424", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2964f2f7-a7a4-4cae-ac62-3aabaf807b3f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ff7ab58d-7b87-44c9-be4b-e9367e608fa0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1c932f92-9d55-4816-a41b-8ea66ed54eb7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7e574151-d996-41c3-93b4-e63a85fa0de3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ffd7968c-28cb-4867-89d0-0169fdb5fcab", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bf938df8-a155-4bf4-8f4a-31ffd23d5e25", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1b038f19-544e-45b7-b92f-a77db776b008", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b93ce1d6-b8b6-4f63-8efd-eb0b3608081b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7aebc052-8b2b-4647-860c-03490cf86263", "count": 1, "frequency": 0.0010309278350515464}, {"name": "20a09c21-a947-4f85-b07e-3e7eb088ddc1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "26b5bd58-16aa-4920-84e6-edcf9c63cdf5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "04f607d5-0e89-461d-b656-1319df548a81", "count": 1, "frequency": 0.0010309278350515464}, {"name": "df4df958-ae07-4537-a8b9-2bcf4fe723dd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e54141d6-5465-4a5a-95d0-e223dee8a9ec", "count": 1, "frequency": 0.0010309278350515464}, {"name": "faceed8d-b777-4ac2-af6c-669625addae8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "393fa782-6303-4788-a76c-8d123708fe1b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "00c2e80d-b6a9-496d-bc86-72f178ec84bd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "300692bb-06fe-46fd-9d33-16ccb7314879", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7734e54f-2546-41ac-95d2-24b67695fc12", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e6c22bc5-55e2-48a9-8053-6e4b878486e3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "264f1a19-b23a-4094-9031-86260082096a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3bae6eed-34ad-4432-be3e-efdfcd7d4289", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a368e0a8-26ce-4deb-90c2-dc5452a243a7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4752245f-4744-4293-9a87-c4d72127a51a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1c1140f5-b98f-4fd4-9b95-0fd407af7445", "count": 1, "frequency": 0.0010309278350515464}, {"name": "13094d7c-9394-455d-ac45-286f034f0982", "count": 1, "frequency": 0.0010309278350515464}, {"name": "758d28a5-cd35-43e4-9743-29b0add9923a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cc4f30ea-125a-4f1c-b0e7-f47bdc4d8a84", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d6e7830c-0d10-4e54-aeb8-147639500482", "count": 1, "frequency": 0.0010309278350515464}, {"name": "181c302f-39ee-4566-8b4e-a3983d526b04", "count": 1, "frequency": 0.0010309278350515464}, {"name": "373ab232-92be-4334-bfec-a87237cfc0f8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "30b14d34-38dc-4fb1-a147-816a09493189", "count": 1, "frequency": 0.0010309278350515464}, {"name": "eeb91983-92fe-4b24-bd50-a1b79318d60d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "75a0e999-9b72-4b9c-853b-c66c95287b86", "count": 1, "frequency": 0.0010309278350515464}, {"name": "29186eea-da55-425a-857e-a0c93e137349", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5b181448-246d-4a0a-9ce3-b4197279a5a3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fb82476c-9458-420f-8d25-64e9ff105317", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7f991edc-0ee8-4337-ba23-1bdc298a3a3a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ee1cb963-4c00-46f6-beb0-2bf5a9cd2d37", "count": 1, "frequency": 0.0010309278350515464}, {"name": "de89ef3c-545f-46d6-ae26-bcc680f7f00b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0d5a4355-b276-4888-8a28-0f1b98efed11", "count": 1, "frequency": 0.0010309278350515464}, {"name": "31aaa9f6-c102-4663-8af8-e61cc59a7919", "count": 1, "frequency": 0.0010309278350515464}, {"name": "99878627-74dc-409d-955a-8fadf5313407", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9c858efe-098b-4a03-a01b-bc30f641e907", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a4711708-c4aa-4de9-818d-878d1d0ce858", "count": 1, "frequency": 0.0010309278350515464}, {"name": "346bfcb5-8c5f-4ffe-9791-df707cfd7d92", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ea2cea98-6100-4c15-a764-8ee85aefcfce", "count": 1, "frequency": 0.0010309278350515464}, {"name": "256cdaba-ac80-4b65-b65c-b2f5f0f7aec4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d05e0a39-a15f-4588-9d6d-d4ba642be509", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a0849447-569d-406e-bf2e-c0506ce25b57", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9133c3a1-bc48-4653-9526-e78f14ba3adb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "594fad46-1684-41c1-b0d9-472e24f1cf03", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ce485888-0bf6-45e5-ac23-a0314b1a1b26", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fd160a28-c4ed-45b2-ad34-321bbf013146", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ac109977-195b-4490-9411-8006869d2fce", "count": 1, "frequency": 0.0010309278350515464}, {"name": "23519ced-a9a2-4225-8dba-6b2327c37fd6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8f687a0c-47cb-4e92-abc5-5a6c90258621", "count": 1, "frequency": 0.0010309278350515464}, {"name": "642d7d43-8273-4605-9961-f1997a555956", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f2ee92c3-f436-4b1c-9cf7-49cbd2c11cc5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6f333d1c-dfe0-40c5-98a2-451b32f97ae4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b4e3ebbf-7876-44c6-a7d3-f0c482b92fd9", "count": 1, "frequency": 0.0010309278350515464}, {"name": "da91f7c1-daa0-4b2e-afd4-90008d0616bb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "37a00914-f530-40d4-a21a-fdac87a3ae16", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b4528f2c-df8c-46f4-a8c2-95a8fdb3832a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e7ce7c86-42da-42bd-9aeb-615d4856f7b6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6a25f224-ea53-44d7-893a-7e3b2016bebb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "95c8c760-ab5f-453b-9ab8-13ef9a2d2779", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9262811e-1ff6-4a73-8e46-ee1dad6f016a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4cc68b04-8fd1-4e7b-be56-50e32f7f3681", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c812caa1-11fe-4f42-bd83-efdb4912bfc3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9ce14e88-c20f-4a4b-8ff8-651cdc70e83d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e5d3cad4-9b3c-4b67-a64f-78c85ec746e5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9f0733d6-2bc2-4d2d-948e-9f6646f5c924", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e57c4775-bbe8-46ab-9c3c-15cea30ce5fe", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c0f2d38a-0706-4843-a533-3996672a8e08", "count": 1, "frequency": 0.0010309278350515464}, {"name": "60b2959a-d007-4330-b22d-a7d96d469979", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5afd5163-6a34-4771-baea-4270e7c17439", "count": 1, "frequency": 0.0010309278350515464}, {"name": "90d3c80f-0fe0-4ab2-905f-c12efaf9afa4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cdbfac0b-018d-46e0-86b9-36e490fc14ab", "count": 1, "frequency": 0.0010309278350515464}, {"name": "747a0995-c71b-4e6b-8392-d65ed1eec927", "count": 1, "frequency": 0.0010309278350515464}, {"name": "93cb8496-2b4d-4afb-aea4-cc31ebbefe68", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7b5fefe8-b74b-4cb8-aeb7-ec0483141658", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d4f7ea2c-ad96-4233-9488-6e5cb421a279", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a22d76a6-007e-4a38-992e-3d260117c2a4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "96bfc9ec-2eb7-4013-af46-b8aec9f46e9c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6fa31e98-e5c7-420a-8f19-7a4cebc091ef", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b20c6cd9-3271-42d4-a58c-84ebd06978c6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9e7b73c1-784b-4f3d-aae6-63a49630f42f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "77715c0d-686b-45ee-932d-cfbdbea3b0d2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3ada12d6-35dd-438a-9d5b-84009e96e9f7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "42b9347f-bda2-4f94-835a-6efed681f3b5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "36b32fc2-314b-4cb6-9b01-c149a2a30738", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3fb93d84-51e9-476e-86a1-4614900bbce4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4d3e138d-0d26-44bd-9a28-81aacf81340e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "029eb352-b2d8-4446-83ed-62839fa4d7dd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fa4dc7a5-85d0-4afa-88c7-d181d358dee2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0bb84903-d97f-48d3-bb5a-24fbbfc20408", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ef0d9ce2-00b9-4dd8-93c2-82e920c8e8c0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "71676023-cf24-4700-95dc-87e263a2b36e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "00c37360-abd9-4b64-922e-63053d740775", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b0e42015-83d6-4cfe-ba6a-1a248f61b379", "count": 1, "frequency": 0.0010309278350515464}, {"name": "731b9194-a23b-4320-81c9-9fa00e8e881b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f94a9126-463c-4f38-af39-ff06fec45c23", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6c23161f-ecb3-4809-a5b6-5e4b92c30717", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3dcacd89-c1a3-430a-9710-107506a6b895", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bf5ae21f-83bc-4e10-9110-0195b26fcebf", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a77a8d60-3bd3-467f-bd4d-b0198cbc0903", "count": 1, "frequency": 0.0010309278350515464}, {"name": "71eb567a-54a7-4225-9538-2eb5a772cc0f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9332c140-c6e2-4b62-a3e2-16d0236c1d51", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1ea14cff-9843-47e6-9884-12e785d123f3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "eaba3e61-0f21-406b-b17b-39d2119a14fe", "count": 1, "frequency": 0.0010309278350515464}, {"name": "33eb67bf-c8e7-440a-98b4-aa12b667f7a7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "31f3e581-e94b-488f-9a60-7f335fd92a08", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9e099549-be6c-4c18-8e17-bfdca8a9dc8e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5383ef97-6bcc-4b68-adb4-4868c8414284", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d2af95a9-40a1-4d1a-8727-27cdd800c850", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7013c762-191c-4d9c-a113-699a1e1b81a6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d40a65cc-0606-4c5c-88eb-78c8fc965fbd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "65cc4462-4115-41a3-ab26-66494688ef72", "count": 1, "frequency": 0.0010309278350515464}, {"name": "97055bad-e529-428e-80c5-2bfe42362576", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c5d3e132-a21a-4857-8708-9f584df2b0e1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "13d57c8c-925e-4dd4-b200-3581e1db259d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6c89ddad-3f59-4f6c-9fbc-8d2adec032a8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "315ca5d1-1378-4a8f-a233-4816653ee94a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "27d8122b-2f62-44ef-89c0-d26fefbe6d81", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6a9fdf27-9ebc-4705-b96c-6b01dbfff6c0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fdb8a459-70d2-4954-bb5d-b2c901c0f5e2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1cf551e9-0e2d-4780-88b4-83fb188657ca", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f258c78d-3cd1-4102-b60f-824dc96e2aad", "count": 1, "frequency": 0.0010309278350515464}, {"name": "60d751ee-5574-47f8-a34f-7f33cf2d135b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a4fd0bd3-75da-4ec1-8dc4-2eac9b6009a4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b087f6ae-6cbe-48e2-b88b-66dea4e8c759", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b40cc49b-d402-4e9d-b99a-2a9a8d2217c8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5b114529-eaed-43ca-8103-ca15ec1c0714", "count": 1, "frequency": 0.0010309278350515464}, {"name": "072d5278-a500-415b-830c-08c11a10d57f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2175188b-e023-43cc-aa37-105aacd88ac1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6024ca71-7f15-4069-ae66-2e9d8606a054", "count": 1, "frequency": 0.0010309278350515464}, {"name": "14bea1d9-d9de-4276-90ab-41bb658c14e5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "97330b45-52a6-40b7-9afe-3c7a211afead", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bee8bd2e-5323-43eb-a249-b8d9b0a02f6d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f0d8347c-a41f-4d8b-915c-710ded532541", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3ab8bf65-0323-44b4-bebe-1812d102be0e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d63514ac-f506-455c-91f2-d37f03871451", "count": 1, "frequency": 0.0010309278350515464}, {"name": "26895a33-1774-4d93-8cfc-333ddfd1868e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a8962616-ecf8-4062-ba54-e16f4e87d337", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3ea6a8ce-15b3-45a5-8542-51874d3f0fbd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e653105a-7f89-47ea-83cb-00ff04d81493", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ccbe5dea-951c-48de-a230-2f6e0ca99f3e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "74017303-b597-4fb5-b2b4-da5a71930075", "count": 1, "frequency": 0.0010309278350515464}, {"name": "801e054b-8a4c-4f44-a150-b0328da372b4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c558c6af-4976-486a-88f8-9857fa8e9c0c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bff25f5e-8a95-43ad-91b9-cbc217db2178", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bda360b9-b286-4840-85f9-a580405a80a1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1559e4c7-d3f8-42d6-8bde-234bcfb51d81", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c10903d4-034a-45ff-82d3-dc916dc0dd12", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cdef13ed-9e55-414b-966e-2ceb666b994a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f59b32a7-0b5c-44b6-b62b-8dc4ec9b1f3a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bc6b7840-ff33-47da-b207-273853939ba6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2efcc168-fd80-43fc-adaf-8ff4f700b382", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7da131c5-c11f-4e9c-97b2-93e8167f8f4e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "11b38c79-a950-4513-b693-1f512a01e246", "count": 1, "frequency": 0.0010309278350515464}, {"name": "65e0c9be-87e2-49e4-9b3c-ef4efd989924", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ca0156db-27d0-4efc-99e8-51b8d2c33825", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7106627d-47ed-48b9-a068-204a6972fc37", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fab5d354-c391-4cbd-abf8-0d9d47dd70ea", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b2ce4fbc-fab3-4d52-b87f-16b3cdac977d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "34684f8b-ebb7-4878-b5d6-f876676dc400", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fe2174cd-08a4-4d07-8902-7a46707fff47", "count": 1, "frequency": 0.0010309278350515464}, {"name": "311c32d5-95c5-445d-9df5-6f935d104256", "count": 1, "frequency": 0.0010309278350515464}, {"name": "33a193b4-bd63-445c-98ab-d88288c05b74", "count": 1, "frequency": 0.0010309278350515464}, {"name": "29587f97-39b0-49ab-8146-90a9934f6304", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f14b7ca5-f6f0-49ce-af96-606ba6bb0cd7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "265d8eb3-f0bc-4801-8c41-d7d8a2adb1f8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7f5d9e00-e35e-4031-9075-c8eccfea88f9", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7557aa5c-1b7f-42bb-8ddf-bf7f20309bc7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0862af96-569a-4eff-a5da-98bf9f51e198", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6c13371d-1e16-4741-9966-44ad9be963d1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "25072e21-a7ff-4475-b761-d187f3c260fd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7de8826d-93f8-4782-bac2-06f0dab54fd6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "606bd7c0-d743-4e01-9122-96b68b229ea4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "243a0642-5f66-4fd8-afbb-9d6109af6c02", "count": 1, "frequency": 0.0010309278350515464}, {"name": "15248778-7ec4-451f-be08-e937ce771c2b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f8adda52-2b80-4569-ab28-ae14ef703b94", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9cc1b6b3-d9b3-4f17-89e7-9334e267da87", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e255ad8b-e5a7-43cf-b916-32b88abe2912", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b2ee5ab0-fb81-49f7-8e36-d9ad33b6821a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a92aee87-a873-4dd5-ab60-cb399976e42d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "077db170-2d39-4759-a611-173810dc495d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0d0f8037-671d-4e2f-92a8-31e4ec01ad73", "count": 1, "frequency": 0.0010309278350515464}, {"name": "834209eb-8b83-4a08-97db-3748c644881c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "89c0793b-f179-45cd-804a-2b48cd366f47", "count": 1, "frequency": 0.0010309278350515464}, {"name": "dec86e64-d02f-414f-8bdf-cc93f6d51070", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4a80e7bf-a9e5-421d-bb5c-91ab87f1eb69", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ed38b5c2-3eeb-4e90-906c-0ffb079d70b2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f9aba256-a022-40a5-b3da-c88c88d3a6ab", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4a23a14a-7ddf-481c-affc-9befd9796448", "count": 1, "frequency": 0.0010309278350515464}, {"name": "807bca8d-e16e-476d-bac4-da74067738be", "count": 1, "frequency": 0.0010309278350515464}, {"name": "297b1434-e1f5-4ffe-a1d2-b0c52958f31f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "db6cc08f-d43d-4816-b827-eed01d1a9bed", "count": 1, "frequency": 0.0010309278350515464}, {"name": "91ed1e41-6fb7-4873-a81d-d465d718ae06", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d3224aae-dace-462b-b96e-f9b336df1631", "count": 1, "frequency": 0.0010309278350515464}, {"name": "229effdc-b81e-49a7-90e5-88039d5d0613", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ea6166dd-1c8a-4e16-94ca-25b3b7c90b87", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2760d151-50e9-41ea-b7c1-7fcc2117a6ed", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1e7f9ecb-0ada-4bc2-8036-3f01029b0c21", "count": 1, "frequency": 0.0010309278350515464}, {"name": "31950e69-6778-41b9-8e15-68eda6193cc8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "465194c3-21e7-4f4b-a61d-daa0083c2f98", "count": 1, "frequency": 0.0010309278350515464}, {"name": "29c40616-7868-4540-b5eb-c8d338c3cf39", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a698ff3d-b92f-4945-b400-818bfb3b4ff9", "count": 1, "frequency": 0.0010309278350515464}, {"name": "594fc707-cc18-47ea-b829-7a581cf83337", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9a8be555-cd92-4a2f-a112-1061621a93a8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c55e6a6b-c92f-4b30-8272-a668ba9010ff", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f5cb1f6a-dffa-40a4-be5d-212d139769b3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "58897cb7-931f-4645-865b-14e79673c963", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6aca7139-3680-4221-b580-f2dcf93313b5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b0695e4e-ecad-4008-824a-ac4a8d76c964", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e201a8f8-7e36-40d7-babf-3adc3fa7ab7c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c5618f7b-f181-48e6-99fb-136d589e5faa", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d153fc3c-58fe-4421-ac8b-7cb778efe273", "count": 1, "frequency": 0.0010309278350515464}, {"name": "505c5406-ea43-4169-91cf-dd6144197fda", "count": 1, "frequency": 0.0010309278350515464}, {"name": "34a94644-9f0a-4c74-a679-463ea903b2b8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "dc2a3775-9209-4923-8a79-7c922ab3d483", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2923548b-b665-4b9b-89e1-501ca495e459", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0cae9643-9f38-4098-9b36-d2ab9ad1fa2e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "81283e9a-15a9-47d7-a5c3-3ad128a7a26c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a111e278-f847-4029-906a-1d1ea82e484f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3137c522-9d69-49b2-b5b4-99702dab86c8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1e33f5a1-15d2-4d9a-b701-49a5a1871ca1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0f9ab8fb-c425-4237-9f28-72b8e86ff120", "count": 1, "frequency": 0.0010309278350515464}, {"name": "171645be-2971-4345-b043-16d168ebdee5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2510ec71-0eb5-4a69-8478-143028ec3d4a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bfc6983e-709d-44a2-a1a9-d1cda4e325da", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0516e281-e1c0-47ff-b97c-0b2be25f8cff", "count": 1, "frequency": 0.0010309278350515464}, {"name": "42304060-6df2-4bff-a325-b084479a8f12", "count": 1, "frequency": 0.0010309278350515464}, {"name": "768fcc8d-3e46-4606-8ada-7df664483f7c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e36b84bb-087d-4b5e-bb1c-9fa97f1ecfed", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2771d1ff-b23e-4550-8eed-c760136937b2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "57fd5a93-5e21-45d3-93d0-f8b3a58663e6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fef8f7fc-7dc4-4229-92bf-e7c4b38853f4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6258d876-750d-4d9c-948c-0062c7b0ef89", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ddedec9d-875c-4995-b145-30e5fec9037b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b0acfbb7-8ca2-4c8a-9ae1-0b33862e3973", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d3a8fbe6-eb95-4c92-8142-c3531be49a68", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c6deb7e2-0e2e-4153-96ec-fa8c0d293a94", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c63228fc-093e-4378-8fdc-1e9b644330f6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2260457d-60b0-469e-a975-1537520fce7f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "731406e6-186f-4a4a-88e9-6de784337f45", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d47a8fea-aac3-4f6e-86ad-cb74e5dccedf", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9f315f87-ea81-45a6-ae37-680d28d7794c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ed65c698-304f-4d69-b8ba-ed39f996582f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9ea7ddf9-8224-4cb8-b552-cf0b6d6a89ab", "count": 1, "frequency": 0.0010309278350515464}, {"name": "137917d3-4d82-496b-a0ef-d04900618483", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c9d83d37-bc59-4fcd-a4ef-7435a862ddc6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c45d10ad-d187-40ac-8d1b-bead79f1030d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7f99bf79-0375-4645-ba20-fe043379c0f4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d2678e3a-1b93-464a-acaa-db25956e1e6b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1e24e8fa-a6d6-4449-99f3-738ecaacecaa", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a534279e-eea0-4d8b-a981-4dd76b0a0d4e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6c3bff62-919a-4b0d-943f-ecdfd3db44b7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "dd020333-74c8-4689-a724-5bf7949105f6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8354b371-4bdd-4b16-baac-75435ac88c56", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3cdeb4ee-b28c-4b2b-8312-426f4b88d58e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "718d3290-a2b5-45ea-8f68-ce19143f3348", "count": 1, "frequency": 0.0010309278350515464}, {"name": "dfaa91df-d5b6-4de8-acd2-bdec166113fd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "be28c5a3-f4ea-4330-b089-ed00111e4afd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d945fba9-149a-4fd9-9e72-fb57b984e08c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "47001a66-3655-46a2-aae3-59f60409fc8c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "51bd65be-23cc-46c8-8de0-a5dc939056c0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6258a636-2b89-4afb-ac05-e534dbdda53d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "90d33955-3ea1-4794-83b0-8d1bc4ad4434", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d9a87d5c-b551-41d0-8093-57145d706f47", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fc471437-98b4-4337-b0ce-3724fbdc513a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "16db4bb3-3a0a-4416-9b46-046ec0beb03c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "905930f6-d58f-4509-af82-43030870235c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0b3fbee9-95d0-4b46-b4a7-293238389575", "count": 1, "frequency": 0.0010309278350515464}, {"name": "90b891a1-b03c-470c-90f6-bdadfee185b9", "count": 1, "frequency": 0.0010309278350515464}, {"name": "763709c4-9f52-4dfc-a572-b156cf899d6c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "013c2baa-e129-4a89-abaf-8853df40c524", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9852f977-3580-4fdc-95c0-b861f9e6e7bc", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ff833659-78b7-4013-844d-3fad3ceee2c3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bca0c4df-511b-4a01-ab39-1636b63db4d0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6d64e584-c8cf-40c3-89b9-22c0bfe44e56", "count": 1, "frequency": 0.0010309278350515464}, {"name": "adbc0172-c2ca-4634-9d56-ca50bd072b11", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4edd4eb1-79c6-4479-b1d6-a0e6e86c8f48", "count": 1, "frequency": 0.0010309278350515464}, {"name": "78c7cd99-88a5-48b3-95ea-937a2bf638ce", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0803a054-8b83-4205-a347-a5cdf7b8c2c5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d7df548f-151a-4300-8d7f-ab3b4006a303", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fe4d2630-2446-4974-962e-c4e9c9e3d343", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4c8dccc0-e146-4d67-8d79-4e1e92338caf", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1aeed8d2-2809-462a-88b8-bc992a1a4139", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c535b3bd-f584-45a6-97c0-bb30af488ac1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "81b768ec-bb8b-4680-8b8b-61a764da0676", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b0ded6c6-ee49-47ee-b590-1bee8447c4d3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4933b2f7-3587-4832-b36c-e0b6e68247d5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "06d61a49-057c-4e0a-b1a4-c82b305b30fe", "count": 1, "frequency": 0.0010309278350515464}, {"name": "34e9d646-099b-469d-a244-e86034b46947", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0b6d5cc2-98e4-46ab-818f-86b81a09cd98", "count": 1, "frequency": 0.0010309278350515464}, {"name": "426f56a2-0378-40c4-8c7c-fb0d6f6972f7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e12afd0c-a153-4181-aa56-05bdc2658d05", "count": 1, "frequency": 0.0010309278350515464}, {"name": "513a92db-1b97-46da-9642-8817c7903d91", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f1bbb4e9-c261-4a8a-8525-4149ab5e97a8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9ac5081f-d3cd-4e4b-a31e-658dbda25640", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9ee5af55-0195-4fac-91bf-8af7e73fed1d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bc21b962-b4f7-486b-b945-4d9785f6cbfc", "count": 1, "frequency": 0.0010309278350515464}, {"name": "52443ff6-97bc-4e03-8c10-82d652f37495", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ff8ba70f-526a-4489-bbd5-216f88b0e5ad", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d4dd92c9-d3e7-4b3c-ba58-6b39bd295ac3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2e7cfc6d-105f-44ad-9f3b-d735c6e0bf20", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d879a5f4-4968-4d5b-9243-e5db311ec033", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0c3e3b93-754a-4d23-be2a-809fe07df2cb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2a19f463-fbe7-4a53-8f92-a8b81cb356bd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "62f25c4d-9c31-4fd6-9a2d-b300f681e906", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f0319730-76f4-43fb-b81b-e03a4dbe425c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a37093c9-b723-452b-95f9-915a3faf0fcc", "count": 1, "frequency": 0.0010309278350515464}, {"name": "38a1d3b7-b0b4-4648-8c16-c8e3c7ad13a8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7ef8f02d-dd49-4574-af1f-004f86e4c56b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "94343c19-b99e-47ae-a5da-099c1289582b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9d877247-64ef-4d27-8e93-cc02c49763c9", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d40c39da-35eb-4040-9a6a-37d0090ee8e7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "219198d9-45fb-4e68-9979-b6f11032a320", "count": 1, "frequency": 0.0010309278350515464}, {"name": "77afa043-d35a-4d36-86a8-ccf103681ae3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "60d751e2-ce87-48fc-b025-52a2a66fe658", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b0006c57-1d5f-46a5-bc1b-465120f90b7f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "41e92bd4-dcd8-4130-b830-9bf6d2c009a0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9511d872-7e3e-415b-89c2-14f2f7f6d405", "count": 1, "frequency": 0.0010309278350515464}, {"name": "55bdee3b-b272-4960-af75-0e41a7dff375", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9a4d9bfe-12f7-4464-a1f1-444b2f76efa1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "49c27251-11ca-4414-a90b-aff94f039694", "count": 1, "frequency": 0.0010309278350515464}, {"name": "10891b0d-e448-4980-a6f0-8b0d91585e53", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d64f8bf8-35a5-4b2e-bf70-5196f69661ab", "count": 1, "frequency": 0.0010309278350515464}, {"name": "60389316-b37c-49a7-9b2d-470bc79271c9", "count": 1, "frequency": 0.0010309278350515464}, {"name": "18c03700-b3b3-4998-8817-629f78b6641b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bdd114b3-c473-479e-8c1d-918151fb375c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "69880d74-7af5-4bcb-8271-b0149843e197", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7dc2682c-a4af-4dc5-b061-5a6490313f68", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6efea647-fecd-443f-a940-8fecc4b57611", "count": 1, "frequency": 0.0010309278350515464}, {"name": "18802b36-e4e5-43ab-a231-bacabe476c9f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "be431e5a-c7cb-4df3-b8ef-fb6c624a33cd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fd86a3e9-eb49-4c99-b5a9-a44e33537884", "count": 1, "frequency": 0.0010309278350515464}, {"name": "497f59f0-8e64-4e84-807c-f69c6ab91226", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8128c1b4-39a6-4ea6-a9c3-b70e20fa59ba", "count": 1, "frequency": 0.0010309278350515464}, {"name": "51caa5db-7a69-4ee2-8231-2ac65d7d9860", "count": 1, "frequency": 0.0010309278350515464}, {"name": "567e44ba-4ca1-469a-97d5-52980ca7c080", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fba6b665-2f15-450b-933a-07c6c818e7fc", "count": 1, "frequency": 0.0010309278350515464}, {"name": "df50d7c3-a991-4bb0-98fe-eeec8b6dcdc4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "518fb0e0-4d57-4c13-9488-3ac8029a81f4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9ccd422b-fc48-44bc-929d-8a397f8b7f50", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e5abb911-a3ae-4c15-88a3-386538c03704", "count": 1, "frequency": 0.0010309278350515464}, {"name": "642f8669-d493-4666-9179-cad61a364a45", "count": 1, "frequency": 0.0010309278350515464}, {"name": "91fac4c6-16fd-4a1f-b9b2-72ba94096279", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6bb6699f-538e-42dd-abf5-3f5f920a7378", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b605dca0-ccad-4b62-9367-6e50c25f6206", "count": 1, "frequency": 0.0010309278350515464}, {"name": "80cb7b19-81a5-4926-b087-6576f3e0ceee", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6f464b91-bf54-4725-8c2e-ed7ad0484bce", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8f8501d2-6cb6-4f9c-9f0b-3a820a3f0fb7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0655d84a-a1cd-4304-adac-dbb45bb05509", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e5a1c115-a0b7-4c23-9561-2ce650a1fef9", "count": 1, "frequency": 0.0010309278350515464}, {"name": "56af9435-db19-45e3-bc02-23fb6c1da974", "count": 1, "frequency": 0.0010309278350515464}, {"name": "58c30c3b-599c-4c82-80e1-857fcee82bc5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "12353bc1-d48b-43fc-8826-ccf0b29baf82", "count": 1, "frequency": 0.0010309278350515464}, {"name": "73ebc29e-a462-4a3b-9613-5ca2e714b28e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f8d618f5-bd99-4e8d-95c2-d8a1c8abfa8b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6cdcb7b9-1843-4566-81ac-ddfda3cb810c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "02b489a7-9417-4883-b20f-8e16aeb6ff35", "count": 1, "frequency": 0.0010309278350515464}, {"name": "53078d09-659e-49da-ac58-67c2cbfc1107", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fa2f45cd-befd-4cf9-8a22-64a93cafe5eb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b1240c61-a8cc-4efe-b805-6a99dd8f6e5b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "66d83050-c558-49ff-b722-c79164342ac6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7b4f70d9-c230-4e61-9bb6-6fbe3b162a6a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "33fc491a-ba36-4410-ad4d-22934c506148", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d9c90833-f255-4d40-80d3-b5bc0893e6a3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "14a01a87-5942-4384-86c9-d25a3b346705", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d5aeb2af-8895-4260-afb0-fab274f1cf7a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c3a6e7cf-710f-43a1-a9f5-c4fee23b8f2a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cce79a0a-3bac-4a67-b207-65bdce447f85", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6c5983df-9d49-4adf-bdfd-a82985ccd360", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1275722d-fa8a-4500-84a9-7debb3253f34", "count": 1, "frequency": 0.0010309278350515464}, {"name": "133048f4-6ed5-4322-80e3-a0540062f8c1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "343b98cc-c275-48de-9346-5531ff1312c7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "55a2ac0b-ec8b-4b64-b57b-c5d3e165241e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2090f547-98d5-45b0-abf3-d97c7c5350e5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "13807b81-351b-4555-bdbb-c40d47355980", "count": 1, "frequency": 0.0010309278350515464}, {"name": "25eee4df-70ae-4e16-a516-74d81ba6e131", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e6e92e0f-85fe-43df-8966-fdd879de3c48", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f86be2f8-c4b7-4271-8f45-bc14dfdcc326", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f58cad19-20d1-4edc-b8e4-1913b8b04828", "count": 1, "frequency": 0.0010309278350515464}, {"name": "52e35278-f5f4-40a2-8fa3-031c351dff21", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b5c77122-983d-4c1f-b8ee-2047a022000f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "c2c63d97-ce21-41f1-b537-ecc69ca82a04", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d02c2e9f-b13a-464a-8cd2-792da16604c2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "6b175207-52b1-465a-97cc-36f2568139bf", "count": 1, "frequency": 0.0010309278350515464}, {"name": "214192e5-c81b-46bd-81ea-6cd4f67b5a72", "count": 1, "frequency": 0.0010309278350515464}, {"name": "45f0d186-d93b-457a-8f26-eed4be484264", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e51a9e08-46b7-478f-bb8e-779dd42bc500", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f637f291-1a6b-46bf-a1ff-841faaeb2f6a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "21082f02-1071-4ca8-a183-8dcfa91d2a33", "count": 1, "frequency": 0.0010309278350515464}, {"name": "0e5724c0-53a4-4a2e-bfe9-f06c0f5fe38e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "95255638-d250-4123-a77f-c5129961c8be", "count": 1, "frequency": 0.0010309278350515464}, {"name": "eaa617fc-654f-40fb-ab1d-f4e2f7a1d3d5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cad16b33-d07a-4cec-bd08-f21513db48bd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "31f247e9-bb42-426a-b241-be1e3d3c0633", "count": 1, "frequency": 0.0010309278350515464}, {"name": "508c9047-5b39-4d23-83ff-becca26a04c5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4e38628d-79f4-4b7f-9a49-5d614c02b2f0", "count": 1, "frequency": 0.0010309278350515464}, {"name": "95b500ac-60f1-42ff-8e1d-a5b2089931a3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "04481868-101a-4d80-b9d0-76b165b5662d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1c9df450-dccb-4efc-9916-00098f7caf2d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "35d11bca-2ffe-44f4-b761-f54a735276fb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "79dc4f9b-c029-4e53-83c8-7acc24b88c12", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1bdc44bb-19e4-4441-a389-b08499b50a91", "count": 1, "frequency": 0.0010309278350515464}, {"name": "acc50ba6-46e4-46ff-8af9-0ca38746ad9d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5bfd0a2c-ba27-4ea9-87d7-df11f996ea81", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3966326d-ef8d-483a-90d5-be3ad2314ed8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "470f1303-3d6f-40d8-9411-f3a18581aafd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "dceff64a-04a2-4e31-a8ec-a3c9218302b9", "count": 1, "frequency": 0.0010309278350515464}, {"name": "fc6b2725-b969-46d3-9b49-b1b7d072e418", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bbf68380-1203-4179-85a1-510edfd3bc86", "count": 1, "frequency": 0.0010309278350515464}, {"name": "42d9f270-937c-40bd-a1aa-6da7dbc280dc", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3a3b540c-2209-4dbf-863d-af22bd22f6e6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "02a753ce-a49a-4030-bd9e-7b82453919bd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "27b450e3-da08-4ba8-a86d-16f717dc162e", "count": 1, "frequency": 0.0010309278350515464}, {"name": "53a2144e-aea2-49da-95b6-0c5104cfd961", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8f0b0a49-2a1d-445f-afd1-66512e7f1c65", "count": 1, "frequency": 0.0010309278350515464}, {"name": "40fa97f4-8405-49f8-ac32-933e8bda32d1", "count": 1, "frequency": 0.0010309278350515464}, {"name": "7a042875-1ea8-465f-9687-adbdcd60281c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3a51e144-1009-4747-9096-ea9e2d27118f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f8f1bb67-0c7a-4af9-bb7b-f1a8ae64c632", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1fbae188-6b14-4082-b5a6-8118d13108f8", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8547d159-9d20-4273-bd52-beffd5ef6c41", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4f571714-eb97-4ff3-9b1c-592d8612f283", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4a857b99-ae3b-401c-aded-01375506a798", "count": 1, "frequency": 0.0010309278350515464}, {"name": "ef0c9558-ef67-4f1c-8f9f-9055b9ebd8b7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5bbc3b70-f9d2-4b8a-8867-0a80209aeb8a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8713cd96-d050-4abb-b0f4-f74d089373b5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "054aa40c-50c4-4da6-87a6-5346dd7224be", "count": 1, "frequency": 0.0010309278350515464}, {"name": "603115c2-e0ab-44e5-9b38-c1cf0ab1eda5", "count": 1, "frequency": 0.0010309278350515464}, {"name": "45b0899c-814d-4c90-b9e9-0710de64b37b", "count": 1, "frequency": 0.0010309278350515464}, {"name": "905ae077-39c7-486c-bb67-e3c0f92fc108", "count": 1, "frequency": 0.0010309278350515464}, {"name": "72f13cbb-ed70-4c17-b246-2ef6516c40c2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "689cb96a-4471-477b-9b45-1d4faeea642c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "96f2a455-800f-40a4-be4d-37e4c90c4067", "count": 1, "frequency": 0.0010309278350515464}, {"name": "38298551-0b7c-47b1-bcb4-3111e774a218", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a128fc79-865e-4826-a64b-ca9c24d2d8e3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "d547449d-e069-49a5-8c98-7504b196934c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "461ac6d1-d9de-4001-a555-64520924f036", "count": 1, "frequency": 0.0010309278350515464}, {"name": "aa4f7742-7053-469d-ac81-e837818c3486", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b3241106-9532-4daf-8e8d-645c310aacbe", "count": 1, "frequency": 0.0010309278350515464}, {"name": "43061512-b8cb-4f51-a679-85e95f0704f7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "1e6d1a41-7a8a-4e22-aa6a-5de8255662fb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "901235f2-4713-40d7-afaf-4ee093c7bf15", "count": 1, "frequency": 0.0010309278350515464}, {"name": "b5782a4d-6aab-4487-b23b-0d48c3b8a96f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f6c0a461-e9c2-43dd-bbf5-559fb72439bb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2c107f55-069e-41d9-b8f4-5340bb63967a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "79d5c8ff-f66e-4093-b81a-018bdc9600d2", "count": 1, "frequency": 0.0010309278350515464}, {"name": "3eba6829-7617-4846-90b7-b46731e3a59a", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e0dd20a1-5aa1-4ff8-b04d-55e4522b9a21", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9209d0bd-688f-4c6f-aec2-df7ab6c05017", "count": 1, "frequency": 0.0010309278350515464}, {"name": "84d08618-87b9-4797-9977-247a040df17c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "9070fd17-7c6a-47a9-a59f-e743dc20a6cb", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2c70073b-5f76-426d-b87d-241aa5657919", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f9b13be6-891d-4bd1-b865-b428d6c73437", "count": 1, "frequency": 0.0010309278350515464}, {"name": "4abd64d4-d21a-4116-967a-fb94741648e4", "count": 1, "frequency": 0.0010309278350515464}, {"name": "05b46daa-8224-4a61-8626-b72a710d5cbd", "count": 1, "frequency": 0.0010309278350515464}, {"name": "eef9e053-f00e-4efd-93cd-d896e008f764", "count": 1, "frequency": 0.0010309278350515464}, {"name": "474bdb05-33bd-4f4a-b473-c796c129ffb6", "count": 1, "frequency": 0.0010309278350515464}, {"name": "5a015e88-f5a0-4011-955d-8f44f495de92", "count": 1, "frequency": 0.0010309278350515464}, {"name": "f0ee6421-a6bc-4c22-b47f-168e8933197c", "count": 1, "frequency": 0.0010309278350515464}, {"name": "bdb9d8e8-fd06-41c6-acb9-7236748273ca", "count": 1, "frequency": 0.0010309278350515464}, {"name": "577813ed-e17f-4b2d-abfd-74b83ef77656", "count": 1, "frequency": 0.0010309278350515464}, {"name": "e29eb61e-e9ad-4982-b6e7-9d72a0d384b3", "count": 1, "frequency": 0.0010309278350515464}, {"name": "91dfab70-b80d-4853-af8a-783a87c8a0ba", "count": 1, "frequency": 0.0010309278350515464}, {"name": "8c2b29f4-fff4-41a3-ad5c-63d6e88d5819", "count": 1, "frequency": 0.0010309278350515464}, {"name": "483c78b7-c5e6-4881-a776-855b92b67a10", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a430d837-092d-454b-a606-2a5fac9d4c40", "count": 1, "frequency": 0.0010309278350515464}, {"name": "42ce6ec1-f144-4491-9580-ec78b40c192f", "count": 1, "frequency": 0.0010309278350515464}, {"name": "097abe8c-7149-4254-8b79-410eb728d2ff", "count": 1, "frequency": 0.0010309278350515464}, {"name": "2d34028f-f6d5-4117-a748-560e6f7dbd9d", "count": 1, "frequency": 0.0010309278350515464}, {"name": "a3a08f5e-7723-411a-9083-134961e1e5c7", "count": 1, "frequency": 0.0010309278350515464}, {"name": "cf79afc9-e850-4371-b43b-ae9c96054005", "count": 1, "frequency": 0.0010309278350515464}]}], "class_metrics_prediction": [{"name": "0", "count": 300, "percentage": 30.927835051546392}, {"name": "1", "count": 300, "percentage": 30.927835051546392}, {"name": "2", "count": 370, "percentage": 38.144329896907216}]}',	'{"numeric": 15, "datetime": 1, "categorical": 2, "n_variables": 18, "missing_cells": 20, "duplicate_rows": 0, "n_observations": 970, "missing_cells_perc": 0.11454753722794961, "duplicate_rows_perc": 0.0}');
INSERT INTO "reference_dataset_metrics" ("UUID", "REFERENCE_UUID", "MODEL_QUALITY", "DATA_QUALITY", "STATISTICS") VALUES
('82932cc7-067d-46ed-b765-137ac37c0637',	'6ae1390e-656a-45aa-acd4-6f6b38e6acf4',	'{"r2": 0.5846200997960207, "mae": 1.9473369239976062, "mse": 27.478755236385403, "mape": 32.80513741749641, "rmse": 5.242018240752831, "adj_r2": 0.5834981252756619, "variance": 66.40816713170544, "residuals": {"ks": {"p_value": 0.00000000006407496755400643, "statistic": 0.40783961699581084}, "targets": [11, 2, 2, 17, 27, 13, 7, 18, 0, 13, 18, 4, 22, 13, 0, 27, 24, 13, 16, 16, 24, 13, 19, 13, 8, 3, 12, 6, 6, 4, 24, 5, 26, 12, 18, 27, 12, 11, 18, 3, 1, 11, 0, 27, 2, 26, 11, 3, 8, 11, 17, 26, 14, 13, 22, 11, 13, 25, 26, 24, 11, 4, 12, 4, 7, 14, 21, 16, 8, 16, 18, 19, 0, 20, 22, 17, 11, 10, 5, 16, 24, 6, 12, 11, 14, 23, 27, 20, 24, 23, 22, 0, 15, 26, 5, 9, 22, 25, 23, 17, 5, 21, 19, 25, 9, 27, 19, 7, 24, 3, 27, 27, 10, 12, 15, 13, 4, 23, 4, 25, 19, 4, 19, 4, 7, 9, 19, 16, 7, 20, 21, 12, 21, 19, 20, 21, 2, 20, 9, 6, 27, 9, 22, 23, 9, 7, 11, 27, 22, 27, 10, 27, 5, 25, 27, 25, 12, 9, 22, 26, 17, 17, 26, 22, 10, 1, 15, 12, 17, 25, 2, 26, 20, 10, 21, 17, 9, 2, 24, 13, 13, 21, 11, 23, 14, 8, 24, 18, 20, 9, 25, 11, 18, 21, 2, 13, 2, 7, 12, 0, 10, 17, 12, 17, 20, 5, 25, 2, 15, 21, 16, 8, 27, 24, 11, 24, 1, 6, 9, 7, 2, 26, 8, 26, 12, 16, 21, 21, 2, 6, 18, 4, 21, 5, 10, 1, 19, 13, 19, 12, 21, 9, 21, 19, 23, 4, 16, 14, 18, 26, 0, 4, 19, 11, 6, 0, 21, 23, 13, 19, 14, 15, 16, 24, 10, 12, 14, 23, 2, 16, 22, 10, 17, 7, 5, 25, 16, 6, 25, 20, 2, 3, 13, 3, 6, 25, 1, 10, 0, 11, 2, 24, 0, 11, 25, 6, 10, 12, 15, 20, 2, 4, 24, 13, 13, 8, 12, 4, 24, 14, 21, 19, 20, 14, 2, 15, 7, 17, 16, 24, 16, 14, 0, 26, 4, 1, 27, 2, 1, 13, 24, 25, 4, 11, 25, 24, 18, 25, 15, 24, 15, 19, 26, 17, 26, 26, 10, 19, 17, 8, 20, 6, 6, 22, 13, 22, 0, 10, 24, 5, 19, 2, 16, 6, 19, 15, 20, 20, 7, 17, 23, 14, 4, 23, 3, 26, 25, 14, 26, 18, 2, 23, 19, 8, 21, 3, 26, 1, 10, 11, 13, 8, 18, 10, 22, 27, 17, 20, 21, 2, 12, 2, 3, 26, 10, 2, 6, 24, 24, 26, 13, 8, 18, 13, 24, 18, 11, 12, 20, 14, 14, 21, 19, 4, 24, 9, 24, 1, 5, 21, 23, 15, 4, 8, 7, 7, 19, 11, 7, 10, 6, 15, 10, 15, 22, 15, 18, 6, 5, 19, 1, 21, 20, 2, 18, 1, 8, 2, 27, 7, 20, 17, 0, 19, 13, 15, 4, 26, 11, 12, 17, 23, 7, 15, 8, 16, 8, 12, 2, 19, 10, 24, 17, 11, 4, 26, 14, 7, 0, 22, 26, 11, 17, 26, 19, 16, 9, 11, 19, 24, 1, 7, 15, 2, 5, 16, 21, 27, 22, 2, 8, 17, 7, 2, 20, 8, 20, 21, 13, 0, 21, 11, 9, 18, 13, 18, 5, 13, 25, 19, 6, 27, 15, 12, 2, 2, 5, 21, 5, 0, 18, 19, 24, 7, 18, 23, 15, 13, 3, 4, 1, 13, 19, 17, 26, 11, 0, 16, 25, 24, 11, 8, 11, 26, 5, 5, 2, 0, 25, 2, 27, 15, 18, 5, 18, 1, 9, 6, 5, 13, 5, 1, 18, 18, 25, 14, 10, 18, 27, 23, 21, 24, 13, 0, 14, 2, 25, 25, 12, 16, 20, 1, 3, 1, 8, 3, 20, 2, 9, 3, 0, 0, 14, 1, 26, 20, 18, 21, 19, 24, 11, 12, 18, 24, 13, 8, 6, 12, 27, 1, 26, 20, 7, 7, 27, 14, 7, 17, 1, 15, 8, 10, 3, 27, 10, 10, 2, 12, 12, 16, 3, 14, 0, 11, 1, 5, 12, 24, 0, 24, 17, 13, 2, 19, 26, 17, 15, 8, 7, 6, 23, 22, 1, 7, 5, 7, 25, 5, 20, 20, 15, 4, 18, 13, 21, 5, 19, 5, 1, 6, 27, 14, 24, 1, 26, 26, 2, 27, 13, 11, 7, 23, 27, 22, 6, 10, 24, 1, 12, 24, 25, 20, 17, 6, 24, 12, 20, 8, 3, 22, 9, 14, 8, 12, 21, 23, 15, 14, 22, 27, 22, 0, 4, 25, 6, 15, 13, 5, 11, 1, 26, 27, 12, 11, 11, 4, 19, 25, 10, 25, 12, 9, 12, 6, 11, 15, 13, 22, 2, 4, 18, 14, 0, 5, 21, 17, 3, 22, 11, 19, 4, 10, 0, 10, 14, 7, 7, 23, 25, 6, 3, 25, 0, 0, 5, 6, 20, 9, 23, 17, 5, 21, 4, 24, 7, 6, 1, 11, 24, 23, 4, 8, 7, 7, 22, 19, 3, 0, 21, 25, 15, 8, 14, 20, 2, 27, 10, 5, 7, 22, 22, 19, 2, 20, 14, 18, 4, 21, 24, 6, 5, 9, 12, 26, 1, 6, 4, 10, 23, 24, 10, 13, 23, 25, 18, 13, 5, 3, 19, 0, 24, 15, 9, 23, 4, 26, 10, 14, 13, 7, 20, 18, 24, 0, 4, 10, 0, 25, 13, 19, 26, 7, 24, 27, 25, 20, 10, 18, 16, 23, 1, 17, 23, 27, 5, 17, 8, 10, 27, 9, 18, 2, 23, 1, 14, 3, 23, 7, 18, 21, 9, 15, 7, 0, 25, 10, 7, 22, 10, 10, 21, 1, 1, 14, 27, 25, 16, 4, 27, 15, 9, 10, 9, 5, 14, 26, 7, 4, 18, 6, 3, 8, 5, 12, 16, 1, 26, 12, 9, 14, 7, 25, 26, 9, 19, 9, 22, 16, 4, 21, 21, 12, 8, 1, 3, 16, 0, 10, 16, 26, 24, 21, 26, 12, 18, 15, 7, 12, 1, 9, 1, 6, 16, 18, 7, 10, 24, 7, 20, 16, 14, 10, 18, 27, 20, 15, 23, 1, 26, 16, 12, 18, 5, 14, 16, 4, 4, 25, 12, 2, 9, 5, 0, 2, 13, 26, 14, 14, 5, 10, 22, 15, 0, 13, 27, 9, 19, 16, 0, 7, 15, 16, 18, 22, 8, 17, 26, 6, 21, 11, 0, 26, 18, 5, 1, 8, 3, 1, 16, 16, 9, 7, 13, 4, 16, 3, 25, 0, 0, 0, 27, 13, 0, 11, 11, 22, 17, 5, 27, 3, 14, 26, 26, 13, 10, 8, 10, 20, 27, 2, 13, 5, 25, 14, 27, 17, 8, 7, 24, 27, 24, 9, 27, 1, 5, 16, 11, 24, 2, 27, 11, 17, 3, 12, 20, 0, 9, 7, 14, 11, 22, 20, 26, 6, 1, 21, 16, 18, 12, 23, 23, 22, 3, 25, 21, 15, 10, 16, 18, 15, 27, 22, 22, 22, 7, 13, 27, 15, 16, 15, 10, 4, 1, 19, 24, 23, 17, 26, 6, 22, 9, 19, 8, 4, 12, 12, 5, 10, 13, 4, 8, 7, 17, 2, 17, 16, 15, 14, 19, 8, 2, 8, 27, 23, 25, 27, 24, 17, 15, 13, 2, 18, 6, 12, 11, 4, 8, 12, 3, 5, 10, 8, 12, 15, 3, 1, 27, 16, 10, 12, 0, 24, 26, 26, 26, 7, 11, 17, 1, 11, 14, 18, 24, 5, 20, 13, 16, 12, 4, 10, 22, 21, 19, 24, 13, 18, 6, 11, 5, 12, 9, 23, 1, 24, 1, 8, 0, 14, 17, 11, 15, 26, 1, 22, 27, 14, 5, 9, 4, 1, 9, 17, 1, 13, 24, 22, 26, 26, 19, 7, 14, 10, 15, 24, 4, 15, 7, 0, 13, 12, 26, 20, 27, 11, 21, 7, 14, 16, 1, 21, 23, 12, 6, 6, 22, 10, 26, 8, 6, 25, 24, 19, 4, 0, 26, 22, 16, 8, 0, 18, 17, 16, 13, 21, 8, 10, 0, 0, 14, 10, 2, 18, 3, 27, 1, 10, 6, 26, 4, 20, 24, 5, 2, 11, 12, 0, 26, 15, 20, 7, 13, 18, 3, 6, 23, 27, 3, 10, 16, 9, 11, 6, 6, 6, 11, 23, 22, 25, 18, 12, 0, 3, 15, 5, 7, 25, 18, 18, 18, 26, 22, 2, 24, 5, 19, 17, 21, 9, 26, 18, 26, 18, 2, 14, 3, 7, 14, 14, 11, 22, 25, 6, 19, 22, 14, 4, 20, 21, 2, 26, 7, 8, 18, 6, 13, 12, 6, 19, 10, 1, 6, 1, 1, 26, 18, 1, 23, 7, 11, 27, 19, 18, 13, 0, 16, 25, 9, 9, 22, 24, 25, 14, 18, 18, 23, 13, 15, 16, 26, 9, 19, 6, 23, 4, 12, 18, 22, 1, 15, 23, 3, 5, 2, 17, 27, 9, 6, 10, 24, 5, 5, 19, 8, 1, 27, 2, 20, 11, 7, 23, 27, 0, 12, 4, 3, 1, 4, 6, 20, 26, 26, 0, 8, 3, 10, 24, 19, 21, 17, 13, 25, 22, 22, 14, 25, 2, 7, 0, 5, 11, 25, 25, 21, 17, 1, 3, 22, 3, 0, 4, 7, 26, 3, 12, 6, 24, 21, 24, 21, 27, 18, 17, 14, 22, 6, 22, 5, 3, 26, 8, 7, 7, 24, 9, 18, 1, 26, 10, 1, 10, 8, 11, 9, 11, 19, 22, 6, 20, 18, 20, 19, 13, 5, 22, 19, 2, 16, 16, 12, 0, 27, 12, 10, 13, 7, 5, 9, 4, 9, 9, 22, 23, 26, 4, 18, 11, 4, 10, 21, 12, 25, 8, 19, 7, 2, 17, 0, 4, 1, 27, 7, 3, 16, 26, 16, 4, 23, 12, 24, 25, 11, 19, 12, 12, 6, 22, 8, 3, 20, 21, 11, 5, 12, 2, 25, 10, 6, 13, 12, 26, 16, 3, 18, 4, 24, 19, 5, 23, 13, 2, 16, 16, 1, 14, 0, 22, 2, 10, 19, 2, 17, 3, 8, 3, 17, 14, 8, 1, 14, 26, 6, 23, 21, 27, 12, 8, 11, 14, 12, 6, 18, 25, 24, 6, 23, 0, 13, 9, 22, 7, 24, 25, 18, 25, 25, 2, 19, 9, 25, 12, 16, 10, 5, 3, 8, 0, 5, 18, 4, 23, 17, 11, 21, 0, 20, 9, 1, 8, 7, 12, 25, 26, 2, 1, 7, 5, 9, 13, 9, 13, 21, 19, 19, 18, 4, 27, 20, 10, 8, 6, 7, 10, 26, 8, 11, 17, 18, 11, 11, 2, 1, 13, 21, 5, 7, 0, 16, 22, 17, 20, 9, 22, 17, 20, 25, 16, 15, 27, 17, 4, 22, 21, 11, 0, 15, 4, 6, 3, 26, 15, 12, 9, 17, 26, 17, 16, 25, 5, 2, 16, 16, 9, 18, 4, 14, 13, 4, 14, 26, 26, 2, 8, 24, 8, 9, 26, 0, 18, 17, 23, 12, 5, 24, 19, 17, 11, 12, 0, 27, 11, 26, 3, 15, 27, 26, 4, 19, 18, 13, 27, 1, 1, 17, 24, 20, 17, 27, 9, 21, 11, 20, 5, 1, 15, 1, 4, 20, 2, 2, 5, 15, 8, 14, 8, 12, 4, 11, 2, 19, 23, 13, 7, 12, 25, 25, 6, 1, 6, 25, 20, 0, 24, 14, 27, 9, 5, 22, 9, 5, 16, 23, 0, 25, 14, 14, 23, 1, 21, 23, 12, 23, 14, 16, 9, 24, 8, 17, 20, 11, 1, 1, 4, 17, 23, 9, 3, 12, 3, 12, 10, 7, 10, 4, 10, 17, 2, 21, 8, 21, 24, 8, 18, 22, 8, 26, 7, 6, 2, 18, 10, 10, 11, 6, 4, 16, 17, 0, 21, 4, 27, 3, 1, 4, 8, 16, 27, 13, 17, 27, 7, 6, 2, 3, 24, 14, 15, 10, 16, 8, 19, 21, 12, 5, 2, 1, 6, 1, 7, 2, 3, 22, 21, 20, 3, 14, 19, 8, 10, 27, 18, 24, 7, 27, 19, 27, 15, 19, 3, 2, 10, 0, 13, 23, 10, 15, 8, 15, 21, 26, 12, 15, 3, 12, 9, 3, 3, 23, 16, 19, 4, 18, 6, 20, 25, 10, 27, 3, 27, 9, 13, 24, 25, 13, 17, 13, 27, 11, 13, 0, 14, 13, 1, 1, 19, 17, 26, 13, 24, 20, 5, 8, 10, 3, 13, 16, 5, 18, 1, 22, 2, 2, 0, 25, 6, 20, 2, 17, 10, 24, 27, 19, 0, 8, 13, 19, 8, 6, 3, 19, 12, 20, 7, 17, 25, 17, 19, 1, 9, 4, 4, 12, 10, 17, 14, 16, 20, 1, 25, 17, 5, 11, 12, 17, 19, 5, 7, 27, 6, 18, 16, 26, 27, 17, 9, 0, 18, 9, 12, 0, 27, 26, 21, 11, 3, 5, 16, 26, 15, 5, 21, 16, 12, 13, 13, 21, 0, 23, 13, 6, 2, 4, 13, 14, 17, 8, 21, 11, 3, 4, 3, 20, 11, 5, 23, 3, 14, 6, 7, 17, 0, 21, 11, 14, 1, 4, 22, 2, 16, 3, 17, 0, 4, 1, 15, 12, 6, 7, 10, 19, 22, 13, 26, 14, 20, 18, 17, 17, 11, 15, 11, 20, 8, 7, 16, 24, 1, 13, 8, 12, 5, 8, 25, 12, 4, 24, 19, 22, 18, 23, 21, 7, 4, 22, 24, 22, 17, 20, 2, 19, 8, 8, 27, 9, 0, 11, 10, 19, 10, 0, 0, 11, 6, 3, 13, 13, 26, 12, 15, 13, 14, 10, 27, 13, 7, 24, 6, 1, 3, 6, 24, 2, 22, 23, 9, 10, 27, 16, 23, 0, 21, 7, 15, 20, 9, 18, 19, 17, 11, 0, 6, 4, 8, 18, 7, 6, 25, 11, 21, 21, 16, 2, 27, 19, 17, 20, 18, 24, 15, 22, 20, 11, 5, 21, 21, 12, 11, 23, 11, 27, 7, 0, 4, 4, 10, 15, 19, 14, 2, 5, 4, 21, 11, 1, 27, 8, 7, 16, 19, 17, 18, 5, 17, 22, 18, 3, 9, 24, 23, 10, 20, 22, 0, 8, 8, 2, 25, 23, 15, 22, 15, 25, 17, 19, 20, 27, 26, 20, 9, 23, 13, 20, 17, 27, 27, 5, 16, 14, 13, 11, 3, 20, 20, 24, 25, 25, 14, 18, 20, 12, 5, 2, 4, 2, 8, 16, 15, 12, 10, 13, 0, 12, 13, 4, 7, 14, 23, 10, 11, 6, 27, 16, 16, 20, 15, 4, 4, 7, 22, 1, 3, 14, 9, 7, 3, 18, 0, 8, 27, 9, 18, 21, 9, 26, 6, 22, 19, 25, 18, 14, 5, 9, 18, 15, 18, 24, 9, 9, 2, 13, 19, 21, 3, 14, 5, 27, 6, 14, 0, 8, 12, 23, 13, 24, 3, 19, 24, 10, 27, 22, 14, 23, 0, 1, 3, 18, 5, 22, 10, 8, 5, 22, 4, 2, 3, 7, 15, 27, 18, 9, 14, 5, 13, 17, 14, 11, 22, 6, 27, 13, 7, 11, 24, 15, 17, 12, 9, 20, 6, 23, 17, 15, 6, 18, 20, 25, 0, 22, 11, 17, 11, 7, 10, 1, 3, 0, 6, 4, 10, 2, 25, 17, 1, 26, 18, 17, 6, 26, 20, 18, 7, 19, 14, 5, 22, 10, 22, 22, 27, 10, 0, 4, 16, 10, 1, 21, 15, 14, 22, 26, 10, 23, 20, 9, 18, 27, 0, 7, 26, 23, 21, 18, 25, 25, 1, 9, 18, 9, 11, 22, 16, 26, 21, 15, 7, 15, 6, 4, 19, 2, 14, 17, 6, 22, 27, 8, 18, 7, 14, 20, 11, 25, 23, 10, 26, 4, 3, 6, 1, 15, 27, 23, 9, 10, 9, 5, 8, 15, 4, 10, 3, 17, 15, 2, 4, 11, 12, 10, 26, 17, 0, 13, 1, 8, 27, 2, 20, 0, 13, 8, 1, 25, 17, 10, 0, 10, 15, 21, 0, 9, 23, 11, 12, 17, 2, 19, 23, 13, 5, 18, 18, 1, 20, 8, 1, 8, 25, 7, 6, 14, 2, 5, 26, 10, 7, 14, 2, 11, 12, 22, 15, 1, 15, 24, 15, 8, 5, 26, 10, 17, 25, 16, 13, 14, 4, 8, 27, 1, 16, 4, 21, 23, 9, 7, 9, 6, 7, 24, 17, 15, 17, 12, 6, 16, 7, 19, 26, 21, 20, 26, 13, 14, 2, 1, 2, 11, 5, 13, 27, 3, 8, 24, 0, 24, 19, 9, 2, 21, 9, 10, 12, 15, 14, 17, 17, 0, 25, 14, 6, 21, 24, 21, 3, 5, 19, 26, 19, 0, 9, 12, 14, 5, 7, 11, 20, 7, 8, 18, 10, 11, 6, 17, 15, 24, 26, 18, 0, 13, 17, 2, 3, 6, 18, 11, 8, 26, 11, 14, 26, 14, 18, 11, 27, 4, 15, 10, 23, 13, 17, 20, 1, 26, 3, 1, 19, 6, 7, 3, 11, 22, 23, 18, 26, 27, 5, 15, 23, 11, 5, 0, 19, 17, 18, 21, 10, 9, 27, 5, 24, 12, 8, 9, 26, 18, 18, 21, 5, 15, 15, 10, 10, 12, 12, 10, 0, 23, 12, 25, 22, 14, 1, 12, 7, 14, 26, 25, 0, 16, 13, 22, 2, 15, 22, 17, 2, 16, 8, 7, 16, 20, 12, 26, 7, 8, 2, 17, 5, 7, 21, 19, 2, 1, 14, 27, 18, 4, 5, 14, 23, 27, 26, 16, 26, 19, 22, 25, 0, 25, 11, 26, 3, 13, 1, 1, 24, 26, 7, 6, 14, 24, 26, 24, 16, 26, 0, 16, 26, 18, 22, 21, 7, 6, 1, 5, 14, 18, 26, 19, 6, 12, 7, 24, 15, 16, 20, 9, 3, 19, 18, 0, 6, 3, 9, 21, 10, 24, 13, 8, 5, 12, 2, 1, 20, 10, 24, 3, 25, 1, 11, 22, 12, 5, 8, 21, 4, 10, 26, 17, 12, 19, 3, 16, 4, 15, 6, 22, 14, 3, 3, 10, 27, 6, 14, 18, 4, 6, 14, 11, 21, 4, 1, 10, 20, 5, 9, 26, 26, 3, 8, 15, 27, 1, 16, 19, 15, 11, 2, 5, 6, 9, 22, 12, 25, 12, 22, 7, 10, 14, 13, 1, 18, 2, 19, 0, 20, 3, 14, 13, 0, 1, 21, 0, 15, 27, 17, 8, 23, 14, 11, 6, 5, 26, 26, 1, 15, 21, 2, 0, 9, 19, 2, 27, 6, 15, 24, 17, 23, 15, 16, 0, 23, 24, 9, 9, 8, 9, 9, 12, 18, 13, 8, 24, 4, 14, 21, 11, 17, 12, 8, 5, 19, 25, 22, 13, 26, 22, 13, 16, 11, 0, 7, 17, 10, 16, 21, 9, 0, 21, 22, 26, 2, 15, 25, 26, 3, 16, 9, 14, 0, 26, 9, 24, 13, 16, 0, 25, 18, 17, 17, 13, 27, 10, 13, 10, 0, 13, 0, 14, 6, 22, 3, 9, 15, 4, 16, 2, 4, 23, 22, 18, 23, 15, 1, 4, 18, 11, 24, 6, 27, 12, 11, 1, 11, 5, 1, 4, 5, 1, 5, 9, 8, 1, 2, 8, 10, 22, 23, 20, 26, 3, 13, 26, 12, 2, 26, 9, 13, 8, 1, 17, 3, 0, 8, 24, 25, 3, 20, 19, 17, 4, 26, 1, 21, 8, 0, 7, 17, 24, 0, 23, 1, 5, 6, 6, 2, 27, 25, 26, 23, 4, 11, 3, 9, 8, 11, 26, 4, 21, 6, 10, 15, 22, 6, 14, 5, 26, 22, 20, 20, 3, 24, 15, 0, 19, 15, 22, 27, 2, 17, 22, 8, 2, 18, 15, 19, 8, 12, 6, 5, 17, 3, 5, 6, 8, 10, 16, 6, 5, 16, 20, 9, 17, 5, 3, 9, 18, 2, 4, 18, 5, 7, 7, 15, 10, 20, 4, 24, 20, 4, 13, 1, 8, 6, 26, 6, 11, 11, 24, 4, 14, 4, 3, 26, 7, 19, 11, 6, 0, 17, 25, 12, 24, 25, 3, 5, 15, 5, 25, 2, 17, 1, 16, 25, 25, 21, 13, 15, 25, 5, 0, 25, 4, 25, 24, 6, 2, 17, 0, 8, 10, 25, 12, 9, 11, 13, 7, 26, 23, 8, 3, 1, 26, 8, 22, 15, 21, 25, 27, 21, 21, 13, 3, 9, 19, 12, 27, 12, 9, 5, 1, 19, 21, 23, 20, 24, 6, 1, 3, 12, 2, 22, 27, 13, 22, 5, 1, 20, 6, 8, 12, 5, 27, 6, 1, 1, 0, 13, 22, 8, 21, 27, 19, 26, 22, 22, 4, 1, 0, 26, 24, 14, 11, 0, 4, 19, 3, 7, 13, 23, 9, 26, 13, 10], "histogram": {"values": [20, 31, 73, 122, 106, 2754, 104, 58, 42, 32], "buckets": [-27.0, -21.7, -16.4, -11.100000000000001, -5.800000000000001, -0.5, 4.799999999999997, 10.100000000000001, 15.399999999999999, 20.699999999999996, 26.0]}, "predictions": [11, 2, 2, 17, 27, 13, 7, 18, 22, 13, 18, 4, 22, 9, 0, 27, 12, 13, 16, 16, 24, 13, 7, 13, 8, 14, 12, 6, 6, 4, 24, 5, 26, 12, 18, 27, 3, 11, 18, 3, 1, 8, 0, 27, 2, 26, 11, 3, 8, 11, 17, 26, 14, 13, 22, 11, 13, 25, 26, 19, 11, 4, 12, 4, 7, 14, 21, 16, 8, 16, 18, 15, 0, 20, 22, 17, 11, 10, 5, 16, 24, 23, 12, 0, 13, 23, 27, 20, 24, 19, 22, 0, 15, 26, 5, 9, 22, 25, 23, 17, 13, 21, 19, 25, 9, 27, 19, 7, 0, 3, 27, 27, 10, 12, 15, 13, 4, 15, 4, 25, 5, 24, 19, 4, 7, 9, 13, 13, 7, 20, 21, 12, 21, 2, 20, 21, 17, 20, 9, 6, 27, 9, 27, 23, 9, 7, 11, 27, 22, 27, 10, 27, 5, 25, 27, 25, 12, 9, 15, 26, 6, 17, 0, 18, 15, 15, 15, 12, 17, 25, 18, 26, 20, 9, 8, 17, 9, 2, 24, 13, 13, 21, 11, 23, 14, 8, 24, 18, 18, 19, 25, 11, 18, 21, 2, 27, 2, 0, 6, 0, 10, 17, 12, 26, 20, 5, 25, 2, 15, 21, 16, 8, 6, 24, 11, 24, 10, 6, 9, 7, 2, 26, 8, 26, 26, 16, 25, 21, 2, 6, 18, 4, 21, 26, 10, 24, 19, 13, 19, 12, 11, 9, 21, 4, 4, 4, 16, 14, 18, 9, 0, 4, 19, 11, 6, 0, 21, 19, 13, 19, 4, 15, 1, 24, 10, 12, 14, 23, 2, 17, 22, 15, 17, 7, 5, 24, 16, 6, 25, 20, 2, 20, 13, 3, 6, 25, 10, 27, 0, 11, 16, 24, 0, 11, 12, 6, 10, 14, 5, 20, 2, 4, 24, 13, 13, 4, 27, 4, 4, 14, 21, 19, 20, 14, 2, 6, 7, 17, 16, 0, 16, 14, 0, 26, 0, 1, 26, 2, 1, 13, 24, 25, 26, 15, 25, 24, 18, 25, 15, 24, 15, 19, 26, 23, 26, 26, 10, 11, 17, 8, 20, 6, 6, 22, 13, 22, 0, 10, 24, 5, 19, 15, 20, 6, 4, 15, 20, 20, 4, 17, 23, 14, 4, 23, 16, 26, 25, 15, 26, 18, 2, 23, 21, 8, 21, 6, 26, 1, 10, 11, 13, 17, 25, 0, 22, 27, 17, 20, 21, 2, 12, 2, 3, 26, 10, 2, 6, 24, 24, 26, 13, 8, 2, 25, 24, 17, 11, 12, 4, 24, 14, 21, 19, 4, 24, 24, 24, 1, 5, 21, 23, 15, 4, 8, 7, 7, 19, 11, 21, 10, 6, 15, 10, 15, 22, 15, 18, 6, 5, 19, 1, 21, 20, 2, 4, 1, 0, 3, 27, 7, 20, 17, 1, 19, 13, 15, 4, 5, 11, 12, 17, 23, 7, 12, 8, 16, 8, 12, 2, 19, 10, 24, 6, 11, 4, 3, 15, 7, 0, 22, 26, 11, 17, 26, 8, 21, 9, 20, 19, 26, 1, 7, 15, 2, 5, 16, 21, 27, 22, 16, 8, 5, 7, 2, 20, 8, 20, 21, 13, 0, 21, 11, 16, 18, 13, 18, 5, 13, 25, 19, 6, 27, 15, 12, 2, 2, 5, 20, 5, 13, 18, 19, 24, 7, 18, 23, 15, 13, 3, 4, 1, 13, 19, 17, 26, 11, 0, 18, 25, 24, 11, 8, 11, 26, 5, 18, 11, 0, 25, 2, 27, 15, 18, 5, 18, 1, 9, 6, 1, 13, 5, 1, 18, 18, 25, 9, 18, 18, 27, 23, 21, 4, 13, 0, 5, 2, 25, 25, 1, 11, 20, 25, 3, 1, 21, 3, 20, 2, 15, 3, 0, 1, 14, 10, 26, 20, 18, 21, 19, 24, 11, 12, 18, 24, 13, 8, 6, 18, 27, 8, 26, 14, 7, 7, 27, 14, 7, 17, 1, 15, 8, 10, 13, 27, 10, 10, 2, 12, 12, 16, 3, 14, 0, 11, 21, 10, 12, 24, 0, 24, 17, 25, 2, 19, 26, 17, 15, 8, 7, 6, 23, 22, 1, 7, 15, 7, 25, 5, 20, 20, 15, 4, 18, 13, 21, 5, 19, 18, 1, 6, 27, 14, 24, 3, 16, 3, 2, 27, 13, 11, 7, 23, 27, 1, 5, 10, 21, 1, 12, 24, 12, 20, 17, 6, 24, 12, 20, 8, 3, 22, 9, 14, 8, 12, 21, 23, 15, 14, 22, 27, 22, 0, 4, 25, 6, 6, 13, 5, 12, 1, 26, 27, 9, 19, 11, 4, 19, 1, 10, 25, 12, 19, 12, 6, 11, 16, 13, 23, 2, 4, 18, 2, 0, 5, 21, 17, 3, 22, 11, 19, 4, 10, 0, 10, 13, 7, 7, 23, 12, 1, 3, 25, 17, 0, 5, 6, 20, 9, 23, 17, 1, 21, 4, 24, 7, 6, 26, 11, 24, 23, 9, 8, 7, 7, 22, 8, 23, 0, 24, 25, 15, 8, 14, 20, 2, 27, 10, 5, 7, 5, 22, 19, 2, 20, 14, 22, 4, 21, 24, 0, 5, 9, 12, 26, 1, 6, 4, 10, 23, 24, 10, 13, 5, 25, 18, 1, 5, 9, 19, 0, 24, 15, 9, 23, 4, 26, 27, 14, 13, 7, 20, 18, 24, 9, 4, 10, 0, 25, 13, 14, 26, 16, 0, 27, 25, 20, 26, 18, 16, 23, 1, 17, 23, 27, 5, 17, 8, 10, 27, 9, 18, 2, 23, 1, 20, 3, 23, 27, 18, 10, 9, 15, 20, 8, 25, 10, 7, 22, 10, 10, 21, 1, 10, 14, 27, 16, 8, 4, 27, 15, 9, 10, 9, 5, 14, 26, 10, 4, 18, 6, 3, 8, 20, 12, 16, 1, 26, 12, 9, 14, 7, 25, 5, 9, 19, 12, 22, 15, 4, 21, 21, 12, 11, 1, 3, 16, 8, 10, 16, 26, 24, 15, 26, 12, 18, 15, 7, 12, 1, 9, 2, 6, 16, 18, 7, 10, 24, 7, 20, 16, 26, 10, 12, 17, 20, 15, 23, 2, 26, 16, 12, 18, 2, 14, 15, 4, 4, 25, 22, 2, 9, 5, 0, 2, 13, 26, 14, 14, 5, 10, 22, 15, 0, 13, 27, 9, 19, 16, 0, 7, 21, 1, 18, 22, 8, 17, 6, 6, 21, 11, 0, 3, 13, 5, 1, 21, 3, 1, 27, 16, 9, 7, 20, 15, 16, 0, 25, 0, 0, 0, 27, 13, 0, 11, 11, 22, 17, 5, 27, 15, 14, 26, 26, 13, 10, 8, 10, 20, 27, 16, 1, 5, 25, 14, 27, 17, 8, 7, 24, 27, 24, 9, 27, 1, 5, 16, 6, 24, 2, 2, 11, 17, 3, 12, 20, 0, 22, 7, 14, 11, 22, 18, 26, 6, 1, 14, 16, 18, 0, 23, 5, 22, 3, 18, 21, 26, 10, 16, 18, 14, 27, 16, 22, 22, 7, 13, 27, 15, 16, 15, 14, 4, 6, 19, 24, 23, 6, 17, 6, 6, 16, 19, 10, 4, 12, 12, 5, 10, 13, 4, 8, 7, 1, 5, 17, 16, 15, 14, 19, 8, 2, 24, 27, 21, 25, 27, 24, 17, 15, 13, 3, 18, 6, 15, 11, 4, 7, 18, 3, 5, 10, 8, 12, 15, 12, 19, 27, 16, 10, 12, 16, 24, 26, 26, 26, 7, 24, 17, 1, 11, 14, 18, 24, 5, 20, 13, 16, 12, 4, 10, 2, 21, 19, 24, 24, 18, 6, 11, 5, 12, 9, 23, 1, 2, 1, 8, 0, 16, 9, 11, 15, 26, 1, 18, 16, 14, 9, 9, 4, 1, 9, 17, 1, 13, 11, 22, 26, 27, 19, 7, 14, 10, 15, 24, 4, 15, 7, 15, 11, 12, 26, 20, 27, 22, 21, 17, 14, 16, 1, 21, 13, 12, 6, 18, 22, 10, 20, 8, 6, 25, 24, 19, 4, 8, 26, 22, 18, 8, 0, 18, 17, 16, 13, 21, 16, 22, 0, 0, 14, 10, 2, 12, 3, 27, 1, 18, 6, 26, 4, 20, 24, 5, 2, 21, 12, 0, 5, 15, 20, 7, 13, 18, 3, 6, 23, 27, 3, 10, 16, 9, 22, 6, 6, 6, 1, 23, 4, 25, 18, 12, 0, 22, 0, 5, 7, 19, 18, 15, 18, 26, 16, 11, 24, 5, 19, 17, 21, 9, 26, 18, 26, 18, 2, 14, 3, 7, 14, 19, 21, 22, 8, 6, 19, 22, 14, 4, 20, 21, 2, 26, 20, 8, 18, 13, 13, 12, 6, 19, 10, 1, 6, 1, 1, 26, 18, 1, 23, 7, 14, 15, 19, 18, 13, 8, 16, 25, 9, 9, 11, 24, 25, 14, 18, 18, 23, 13, 15, 16, 26, 19, 19, 6, 23, 4, 12, 25, 22, 1, 15, 23, 3, 5, 2, 17, 27, 9, 6, 10, 24, 5, 5, 19, 9, 1, 6, 2, 20, 11, 7, 23, 27, 0, 25, 4, 3, 27, 15, 6, 20, 26, 26, 0, 8, 3, 1, 13, 19, 17, 17, 13, 25, 22, 0, 14, 25, 2, 7, 0, 5, 11, 25, 25, 21, 17, 27, 3, 22, 3, 0, 4, 22, 26, 3, 15, 6, 5, 21, 12, 21, 16, 18, 18, 14, 22, 6, 22, 5, 0, 26, 8, 7, 17, 24, 9, 10, 1, 26, 10, 1, 10, 8, 11, 9, 11, 19, 11, 27, 20, 20, 20, 21, 13, 5, 2, 22, 2, 16, 8, 12, 0, 27, 12, 23, 13, 21, 5, 15, 4, 9, 22, 22, 23, 7, 25, 18, 11, 11, 10, 21, 12, 25, 8, 19, 7, 2, 17, 19, 4, 8, 27, 7, 24, 16, 26, 16, 4, 23, 17, 1, 26, 11, 19, 12, 12, 6, 22, 8, 3, 20, 21, 11, 5, 12, 2, 25, 0, 6, 13, 4, 26, 16, 15, 27, 4, 24, 19, 5, 23, 8, 10, 22, 23, 1, 14, 22, 22, 2, 10, 19, 2, 17, 3, 8, 3, 17, 14, 8, 27, 14, 26, 6, 23, 21, 27, 12, 8, 11, 14, 12, 6, 18, 25, 24, 6, 25, 16, 13, 9, 22, 7, 24, 25, 18, 25, 25, 2, 26, 7, 25, 6, 16, 10, 5, 3, 14, 0, 5, 18, 4, 23, 17, 11, 21, 0, 20, 9, 1, 3, 7, 12, 21, 26, 2, 12, 14, 5, 11, 13, 9, 13, 21, 19, 19, 18, 4, 27, 20, 10, 8, 6, 17, 10, 26, 8, 22, 23, 18, 6, 11, 13, 1, 13, 21, 5, 7, 0, 16, 22, 25, 1, 9, 22, 11, 20, 25, 16, 15, 21, 16, 4, 22, 21, 20, 9, 15, 4, 6, 0, 26, 15, 12, 19, 17, 26, 17, 16, 21, 7, 2, 16, 27, 9, 18, 4, 14, 21, 4, 14, 17, 26, 2, 8, 24, 8, 9, 26, 0, 18, 17, 23, 12, 5, 24, 1, 17, 11, 19, 0, 27, 11, 20, 3, 15, 27, 26, 4, 19, 18, 13, 27, 1, 1, 17, 24, 20, 17, 27, 9, 21, 11, 1, 5, 1, 18, 1, 11, 20, 2, 2, 5, 15, 6, 14, 8, 12, 16, 26, 2, 19, 23, 13, 7, 3, 25, 25, 6, 1, 6, 25, 20, 0, 14, 14, 19, 9, 5, 22, 9, 5, 11, 23, 0, 25, 14, 14, 23, 1, 21, 23, 12, 23, 14, 16, 23, 5, 12, 17, 20, 11, 1, 1, 4, 7, 23, 9, 25, 0, 3, 12, 10, 7, 10, 4, 10, 17, 2, 21, 8, 21, 1, 8, 18, 22, 8, 26, 7, 6, 2, 18, 10, 10, 11, 12, 4, 16, 17, 0, 7, 4, 27, 3, 1, 4, 8, 16, 27, 13, 17, 27, 19, 14, 2, 3, 24, 14, 15, 10, 16, 8, 19, 21, 26, 5, 2, 1, 17, 21, 7, 2, 3, 22, 21, 20, 3, 24, 19, 8, 10, 27, 18, 2, 7, 7, 19, 27, 25, 19, 2, 2, 10, 8, 13, 12, 10, 15, 8, 15, 21, 26, 12, 27, 19, 12, 9, 6, 3, 1, 16, 5, 4, 18, 10, 20, 25, 10, 27, 3, 27, 9, 13, 24, 25, 13, 17, 13, 27, 11, 13, 27, 14, 13, 1, 1, 19, 17, 26, 13, 24, 20, 5, 8, 23, 3, 17, 16, 24, 18, 1, 6, 2, 2, 0, 25, 6, 20, 2, 17, 27, 4, 27, 19, 0, 8, 13, 19, 8, 6, 3, 19, 12, 20, 7, 17, 25, 10, 19, 19, 22, 4, 4, 18, 10, 17, 2, 19, 20, 1, 25, 17, 9, 11, 12, 17, 19, 5, 7, 27, 6, 24, 16, 26, 27, 17, 9, 0, 18, 9, 12, 0, 24, 26, 21, 11, 3, 5, 7, 26, 25, 5, 21, 16, 12, 21, 13, 21, 0, 23, 13, 12, 2, 22, 13, 14, 17, 25, 24, 5, 3, 26, 3, 20, 11, 5, 23, 3, 14, 6, 7, 17, 11, 21, 1, 14, 1, 4, 24, 21, 16, 3, 17, 0, 4, 1, 15, 26, 6, 7, 10, 14, 22, 13, 26, 14, 20, 18, 17, 11, 11, 15, 11, 20, 8, 23, 27, 24, 1, 13, 8, 12, 5, 8, 3, 12, 4, 24, 19, 22, 18, 23, 21, 7, 4, 22, 24, 22, 17, 20, 2, 19, 25, 8, 27, 9, 24, 11, 24, 19, 10, 0, 0, 11, 6, 3, 25, 13, 26, 25, 15, 11, 13, 10, 27, 13, 7, 19, 6, 1, 3, 6, 24, 2, 22, 23, 9, 10, 27, 16, 23, 0, 21, 7, 15, 23, 9, 18, 19, 17, 11, 0, 7, 4, 8, 10, 20, 6, 25, 11, 21, 21, 16, 18, 27, 20, 27, 20, 18, 24, 13, 14, 20, 10, 5, 21, 6, 12, 11, 23, 11, 27, 7, 0, 4, 4, 10, 15, 19, 14, 2, 5, 4, 21, 11, 1, 27, 8, 7, 16, 19, 17, 18, 5, 17, 22, 18, 3, 9, 24, 23, 10, 20, 22, 23, 6, 8, 2, 25, 23, 15, 23, 15, 16, 17, 19, 20, 27, 26, 20, 9, 23, 13, 18, 17, 27, 27, 5, 16, 14, 0, 11, 3, 20, 0, 26, 25, 25, 14, 18, 20, 12, 5, 2, 4, 2, 8, 16, 15, 0, 9, 13, 0, 22, 13, 4, 7, 17, 23, 10, 11, 6, 27, 16, 16, 0, 15, 4, 4, 7, 22, 1, 18, 14, 9, 10, 3, 18, 8, 8, 27, 9, 18, 16, 9, 26, 21, 22, 19, 25, 18, 14, 5, 9, 18, 15, 18, 24, 9, 9, 2, 13, 19, 21, 3, 18, 5, 27, 6, 8, 0, 8, 12, 23, 13, 18, 3, 19, 17, 10, 27, 22, 8, 23, 0, 1, 3, 18, 1, 22, 17, 8, 5, 22, 4, 2, 3, 7, 15, 25, 18, 20, 14, 5, 13, 17, 14, 11, 3, 6, 27, 13, 7, 11, 24, 6, 17, 12, 9, 20, 6, 23, 17, 11, 6, 18, 20, 18, 0, 22, 11, 17, 24, 7, 10, 1, 3, 0, 6, 4, 10, 2, 25, 21, 1, 26, 18, 17, 6, 26, 20, 18, 7, 19, 14, 5, 22, 10, 20, 22, 27, 10, 0, 4, 16, 10, 1, 21, 15, 14, 22, 26, 10, 23, 20, 9, 13, 27, 0, 11, 26, 23, 21, 25, 12, 25, 1, 9, 18, 9, 11, 21, 16, 26, 21, 15, 17, 18, 6, 4, 17, 2, 6, 7, 6, 22, 27, 8, 0, 7, 14, 20, 11, 25, 23, 10, 26, 4, 3, 6, 1, 2, 27, 23, 9, 5, 9, 5, 2, 15, 27, 10, 3, 17, 15, 6, 2, 11, 12, 10, 2, 21, 0, 13, 1, 8, 27, 2, 20, 0, 13, 14, 12, 3, 12, 10, 0, 18, 15, 21, 0, 9, 23, 11, 12, 17, 2, 19, 23, 13, 5, 18, 18, 1, 20, 8, 1, 8, 25, 7, 6, 14, 2, 5, 26, 10, 7, 14, 2, 0, 12, 22, 15, 1, 3, 2, 15, 8, 5, 26, 10, 17, 25, 16, 13, 14, 4, 8, 27, 2, 16, 4, 21, 6, 9, 7, 17, 7, 7, 24, 17, 15, 17, 12, 6, 0, 7, 19, 26, 21, 20, 26, 13, 14, 24, 3, 2, 11, 21, 13, 27, 3, 8, 24, 0, 24, 19, 9, 2, 21, 12, 10, 12, 15, 14, 0, 17, 0, 25, 9, 14, 21, 24, 21, 3, 5, 20, 26, 19, 0, 9, 12, 13, 5, 7, 11, 20, 7, 8, 18, 10, 6, 4, 6, 23, 24, 26, 18, 0, 13, 17, 2, 3, 6, 18, 12, 8, 13, 17, 14, 26, 14, 18, 11, 22, 21, 15, 10, 23, 13, 21, 20, 1, 5, 3, 0, 0, 9, 7, 4, 11, 22, 23, 18, 26, 27, 5, 15, 23, 11, 23, 0, 19, 19, 18, 21, 10, 9, 27, 5, 24, 12, 8, 25, 26, 18, 18, 19, 5, 21, 15, 3, 10, 12, 12, 10, 0, 2, 12, 25, 22, 14, 7, 12, 7, 8, 9, 25, 0, 16, 13, 22, 2, 15, 22, 17, 2, 9, 8, 7, 16, 20, 12, 26, 7, 8, 2, 20, 5, 7, 21, 19, 2, 11, 2, 27, 18, 4, 5, 14, 23, 20, 26, 16, 26, 10, 22, 20, 14, 15, 11, 12, 3, 13, 1, 1, 24, 26, 7, 6, 14, 24, 26, 24, 6, 20, 0, 16, 26, 18, 22, 21, 12, 0, 10, 5, 14, 18, 26, 23, 6, 12, 7, 24, 15, 16, 20, 9, 26, 2, 18, 0, 6, 3, 9, 21, 10, 24, 13, 8, 5, 12, 2, 1, 20, 10, 24, 9, 25, 1, 0, 13, 12, 5, 21, 17, 4, 10, 26, 17, 12, 19, 3, 16, 4, 15, 6, 22, 14, 10, 3, 10, 27, 6, 14, 18, 14, 6, 1, 11, 21, 4, 1, 10, 20, 5, 9, 26, 26, 3, 8, 16, 27, 5, 16, 19, 15, 11, 11, 5, 6, 9, 4, 12, 25, 12, 22, 7, 3, 14, 13, 1, 18, 2, 2, 0, 20, 3, 14, 13, 0, 1, 21, 10, 15, 27, 17, 8, 23, 12, 11, 6, 27, 14, 3, 1, 2, 21, 2, 0, 9, 10, 2, 4, 9, 26, 24, 17, 23, 15, 16, 0, 23, 24, 9, 9, 8, 9, 9, 21, 18, 13, 9, 24, 4, 14, 26, 11, 17, 12, 8, 26, 19, 25, 0, 13, 26, 22, 13, 16, 11, 16, 7, 17, 10, 11, 21, 9, 0, 15, 22, 21, 2, 15, 25, 26, 3, 16, 9, 14, 0, 6, 9, 24, 13, 16, 0, 25, 18, 17, 17, 13, 27, 10, 13, 10, 0, 13, 0, 24, 10, 22, 3, 27, 17, 4, 4, 2, 4, 23, 22, 18, 23, 15, 1, 4, 18, 11, 10, 6, 21, 12, 11, 1, 11, 5, 1, 4, 5, 1, 19, 9, 14, 1, 2, 8, 10, 22, 23, 20, 26, 3, 13, 26, 12, 2, 26, 9, 8, 19, 1, 17, 3, 0, 6, 24, 25, 3, 20, 19, 19, 24, 26, 1, 21, 8, 0, 6, 17, 24, 0, 23, 1, 5, 6, 6, 2, 27, 25, 26, 23, 4, 11, 3, 9, 8, 16, 26, 4, 21, 10, 10, 15, 22, 6, 14, 5, 26, 22, 20, 2, 23, 24, 12, 5, 19, 15, 22, 27, 2, 17, 27, 8, 15, 25, 15, 19, 8, 24, 6, 5, 17, 3, 5, 6, 8, 8, 16, 6, 5, 16, 20, 9, 17, 17, 3, 9, 18, 2, 4, 18, 2, 7, 7, 15, 10, 20, 4, 24, 20, 18, 14, 1, 8, 6, 26, 6, 11, 11, 24, 15, 14, 4, 3, 26, 7, 19, 11, 20, 5, 17, 25, 24, 24, 25, 3, 5, 10, 5, 25, 20, 17, 1, 16, 7, 1, 21, 13, 15, 14, 5, 0, 25, 4, 25, 24, 6, 26, 17, 0, 22, 15, 25, 12, 9, 11, 13, 7, 26, 23, 8, 3, 27, 26, 8, 22, 15, 19, 25, 27, 21, 21, 13, 3, 9, 19, 27, 27, 12, 5, 5, 5, 19, 21, 23, 7, 7, 6, 1, 3, 12, 2, 22, 27, 13, 22, 5, 1, 20, 6, 8, 12, 5, 27, 6, 7, 1, 0, 14, 0, 8, 21, 27, 19, 26, 22, 22, 11, 1, 0, 26, 24, 14, 11, 0, 4, 19, 3, 7, 13, 23, 9, 26, 13, 10], "regression_line": {"intercept": 2.8227418911402906, "coefficient": 0.7942363125434776}, "standardized_residuals": [0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -4.180782318115234, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.7790306210517883, 0.015982456505298615, 0.015982456505298615, 2.305126905441284, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.305126905441284, 0.015982456505298615, 0.015982456505298615, -2.08240008354187, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.732840895652771, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.5882685780525208, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.7790306210517883, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.2269723415374756, 0.015982456505298615, 2.1143648624420166, 0.2067445069551468, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.7790306210517883, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.5101138353347778, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 4.594271659851074, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.5420788526535034, 0.015982456505298615, 0.015982456505298615, 2.6866509914398193, -3.7992584705352783, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, 0.5882685780525208, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.258937120437622, 0.015982456505298615, 0.015982456505298615, -2.8454482555389404, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.9378277659416199, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.3513168096542358, 0.015982456505298615, 2.1143648624420166, 0.015982456505298615, 4.975795745849609, 0.7790306210517883, -0.9378277659416199, -2.654686212539673, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.036210298538208, 0.015982456505298615, 0.015982456505298615, 0.2067445069551468, 2.4958889484405518, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.3975065350532532, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.654686212539673, 0.015982456505298615, 1.3513168096542358, 1.1605547666549683, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.7008758783340454, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 4.0219855308532715, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.7008758783340454, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.654686212539673, 0.015982456505298615, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.990020513534546, 0.015982456505298615, -4.371544361114502, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.9236029386520386, 0.015982456505298615, 0.015982456505298615, 2.877413034439087, 3.6404612064361572, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.258937120437622, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.7790306210517883, 0.015982456505298615, 0.015982456505298615, 1.9236029386520386, 0.015982456505298615, 2.877413034439087, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, -0.9378277659416199, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.2067445069551468, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.2269723415374756, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.7008758783340454, -3.2269723415374756, 0.015982456505298615, 0.015982456505298615, -2.654686212539673, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.4958889484405518, 0.015982456505298615, 0.015982456505298615, -0.36554163694381714, 1.9236029386520386, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.7790306210517883, -2.8454482555389404, 0.015982456505298615, 3.831223249435425, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.732840895652771, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 4.594271659851074, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.7790306210517883, 0.015982456505298615, 0.2067445069551468, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -4.180782318115234, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.1285897493362427, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.5420788526535034, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, -0.7470657229423523, 0.015982456505298615, 2.877413034439087, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.5882685780525208, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.36554163694381714, 0.015982456505298615, 0.015982456505298615, -0.5563036799430847, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.7008758783340454, -1.3193517923355103, 1.9236029386520386, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.0681750774383545, -2.2731621265411377, 0.015982456505298615, 0.2067445069551468, 0.015982456505298615, 0.015982456505298615, 3.0681750774383545, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.8454482555389404, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.654686212539673, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.6866509914398193, 0.015982456505298615, 1.5420788526535034, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 4.0219855308532715, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.5882685780525208, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.1143648624420166, 0.015982456505298615, 0.015982456505298615, 4.403509616851807, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.1143648624420166, -0.9378277659416199, 0.015982456505298615, -1.7008758783340454, 0.015982456505298615, -0.36554163694381714, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.654686212539673, 0.015982456505298615, 2.305126905441284, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.3193517923355103, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.2067445069551468, 0.015982456505298615, -2.4639241695404053, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.36554163694381714, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, -1.7008758783340454, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.7790306210517883, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, -1.5101138353347778, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.831223249435425, 0.015982456505298615, 0.015982456505298615, 1.732840895652771, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.1143648624420166, 0.9697926640510559, 0.015982456505298615, -4.5623064041137695, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.1285897493362427, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, -1.7008758783340454, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.1285897493362427, 0.015982456505298615, -1.3193517923355103, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.7992584705352783, -0.9378277659416199, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.2731621265411377, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.36554163694381714, 1.9236029386520386, 4.403509616851807, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 4.0219855308532715, 0.2067445069551468, 0.015982456505298615, 0.5882685780525208, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.4958889484405518, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.732840895652771, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.5882685780525208, -1.5101138353347778, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 4.594271659851074, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.305126905441284, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.2067445069551468, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.4958889484405518, 0.9697926640510559, 0.015982456505298615, 0.015982456505298615, -3.2269723415374756, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.7790306210517883, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -4.753068447113037, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.9378277659416199, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.1143648624420166, -3.7992584705352783, 0.015982456505298615, -0.5563036799430847, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.258937120437622, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.4496991634368896, 0.015982456505298615, 0.015982456505298615, 2.305126905441284, 0.015982456505298615, -1.1285897493362427, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.2269723415374756, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.7008758783340454, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, 0.015982456505298615, -1.7008758783340454, 4.594271659851074, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.036210298538208, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.1285897493362427, 0.015982456505298615, 0.015982456505298615, -3.7992584705352783, 0.015982456505298615, 2.1143648624420166, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, -1.5101138353347778, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.7008758783340454, 0.015982456505298615, 0.015982456505298615, 1.732840895652771, 1.5420788526535034, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.5563036799430847, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.8454482555389404, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 4.0219855308532715, 0.015982456505298615, 0.015982456505298615, -0.5563036799430847, 0.015982456505298615, 0.2067445069551468, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.5563036799430847, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.5101138353347778, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.2731621265411377, 0.015982456505298615, 1.1605547666549683, 1.9236029386520386, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.5882685780525208, 0.015982456505298615, 0.2067445069551468, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.1285897493362427, 2.877413034439087, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.831223249435425, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 4.403509616851807, 0.9697926640510559, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, 0.015982456505298615, 0.015982456505298615, -2.08240008354187, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.3193517923355103, -2.08240008354187, 0.015982456505298615, 0.5882685780525208, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.2731621265411377, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.654686212539673, 2.305126905441284, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, 0.015982456505298615, 0.015982456505298615, 4.785033702850342, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.3975065350532532, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.3513168096542358, 0.015982456505298615, 0.015982456505298615, 2.305126905441284, 0.015982456505298615, 3.4496991634368896, 0.015982456505298615, 0.015982456505298615, 1.3513168096542358, 0.015982456505298615, -2.08240008354187, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.2067445069551468, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.7470657229423523, 0.015982456505298615, -0.9378277659416199, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.1143648624420166, 1.732840895652771, 0.015982456505298615, 3.0681750774383545, -1.3193517923355103, 0.015982456505298615, -0.36554163694381714, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.0681750774383545, -0.5563036799430847, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.036210298538208, 0.015982456505298615, 0.3975065350532532, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, -0.5563036799430847, 0.015982456505298615, 0.015982456505298615, 0.2067445069551468, -1.1285897493362427, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.7008758783340454, -3.417734384536743, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.036210298538208, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.831223249435425, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.08240008354187, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 4.212747573852539, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.36554163694381714, 1.5420788526535034, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.7790306210517883, 2.1143648624420166, 0.015982456505298615, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.4958889484405518, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.8454482555389404, 0.3975065350532532, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.08240008354187, 0.015982456505298615, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.9236029386520386, 0.015982456505298615, 0.015982456505298615, -2.2731621265411377, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.5101138353347778, 0.015982456505298615, 0.015982456505298615, -0.36554163694381714, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.5101138353347778, -2.2731621265411377, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.5101138353347778, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 4.0219855308532715, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.08240008354187, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.9236029386520386, 0.015982456505298615, 3.4496991634368896, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.6084964275360107, 2.877413034439087, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, 0.5882685780525208, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, -1.7008758783340454, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.9378277659416199, -1.891637921333313, 0.015982456505298615, 3.258937120437622, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, 0.015982456505298615, 0.015982456505298615, -1.3193517923355103, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.5563036799430847, 2.305126905441284, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.5101138353347778, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.1143648624420166, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.3193517923355103, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 4.0219855308532715, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, 0.015982456505298615, 0.015982456505298615, -4.943830490112305, -2.08240008354187, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.732840895652771, 2.1143648624420166, 0.015982456505298615, 0.7790306210517883, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 4.212747573852539, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -4.943830490112305, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.8454482555389404, 0.015982456505298615, 0.015982456505298615, -0.5563036799430847, 0.015982456505298615, 3.6404612064361572, 0.015982456505298615, 2.305126905441284, 0.015982456505298615, 2.1143648624420166, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.5882685780525208, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 1.5420788526535034, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.1143648624420166, -3.990020513534546, 0.015982456505298615, -0.36554163694381714, 0.015982456505298615, -0.36554163694381714, 0.015982456505298615, 0.015982456505298615, 3.831223249435425, -0.5563036799430847, 0.015982456505298615, 0.015982456505298615, 1.5420788526535034, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, 0.015982456505298615, -2.654686212539673, 0.015982456505298615, -1.1285897493362427, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, 0.015982456505298615, 0.015982456505298615, 3.6404612064361572, -3.990020513534546, 0.015982456505298615, 0.015982456505298615, -1.3193517923355103, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.6084964275360107, 0.015982456505298615, -1.3193517923355103, 0.015982456505298615, 0.015982456505298615, -3.990020513534546, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.9378277659416199, 4.403509616851807, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.9236029386520386, 0.015982456505298615, 0.015982456505298615, 1.5420788526535034, 0.015982456505298615, 0.015982456505298615, -2.2731621265411377, -1.7008758783340454, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, -1.5101138353347778, -1.1285897493362427, -1.3193517923355103, 0.015982456505298615, 0.015982456505298615, -4.180782318115234, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -4.943830490112305, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.36554163694381714, -3.036210298538208, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.3193517923355103, 0.3975065350532532, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.1285897493362427, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, 0.015982456505298615, 0.015982456505298615, 0.7790306210517883, 0.015982456505298615, 0.015982456505298615, -2.08240008354187, -1.3193517923355103, 0.015982456505298615, -0.36554163694381714, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.08240008354187, -1.1285897493362427, 0.015982456505298615, 0.9697926640510559, 0.015982456505298615, -2.08240008354187, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.5101138353347778, 3.6404612064361572, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, 0.2067445069551468, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.7008758783340454, -1.7008758783340454, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.5882685780525208, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.7790306210517883, -0.36554163694381714, 0.015982456505298615, 0.015982456505298615, -2.08240008354187, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.5101138353347778, 0.015982456505298615, 0.015982456505298615, 1.732840895652771, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.4496991634368896, 0.015982456505298615, 0.015982456505298615, -1.3193517923355103, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.6404612064361572, 0.015982456505298615, 0.015982456505298615, -0.5563036799430847, 0.015982456505298615, -1.3193517923355103, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.3975065350532532, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.2731621265411377, -2.8454482555389404, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.732840895652771, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.9236029386520386, 0.015982456505298615, 1.5420788526535034, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.654686212539673, 3.6404612064361572, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.9236029386520386, 0.015982456505298615, 0.015982456505298615, -4.180782318115234, 2.305126905441284, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 4.403509616851807, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.1285897493362427, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.6866509914398193, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.2731621265411377, -1.5101138353347778, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.654686212539673, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.08240008354187, -3.7992584705352783, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 4.212747573852539, 0.015982456505298615, 3.831223249435425, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, 0.015982456505298615, 0.2067445069551468, 0.015982456505298615, 0.015982456505298615, -1.5101138353347778, 0.015982456505298615, 2.1143648624420166, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.2731621265411377, -3.036210298538208, 0.015982456505298615, 0.015982456505298615, -0.5563036799430847, 0.015982456505298615, 4.212747573852539, 0.015982456505298615, 2.6866509914398193, 0.015982456505298615, 0.015982456505298615, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -5.134592533111572, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, 0.015982456505298615, -0.7470657229423523, 0.015982456505298615, -3.6084964275360107, 0.015982456505298615, 0.015982456505298615, 3.0681750774383545, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.2269723415374756, 3.831223249435425, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.3513168096542358, 0.015982456505298615, -3.417734384536743, -2.4639241695404053, 0.015982456505298615, 0.015982456505298615, -1.1285897493362427, 0.015982456505298615, 0.015982456505298615, 2.305126905441284, -0.5563036799430847, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.1285897493362427, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.5882685780525208, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.732840895652771, 0.015982456505298615, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.5101138353347778, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.1285897493362427, 0.015982456505298615, -3.417734384536743, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.2269723415374756, -0.5563036799430847, 1.1605547666549683, 0.015982456505298615, -4.180782318115234, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.08240008354187, 0.015982456505298615, 1.9236029386520386, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.36554163694381714, -3.6084964275360107, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.654686212539673, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.036210298538208, -2.08240008354187, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 4.212747573852539, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.2269723415374756, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -4.5623064041137695, 0.015982456505298615, -2.654686212539673, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.2731621265411377, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, 0.015982456505298615, 0.3975065350532532, 0.2067445069551468, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.5563036799430847, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 1.5420788526535034, -2.4639241695404053, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.036210298538208, 0.015982456505298615, -0.17477957904338837, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.3975065350532532, 1.5420788526535034, 0.015982456505298615, 0.2067445069551468, 0.015982456505298615, 0.015982456505298615, 2.877413034439087, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -4.371544361114502, 0.3975065350532532, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 1.732840895652771, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.3975065350532532, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.4958889484405518, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.831223249435425, -0.36554163694381714, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.305126905441284, 0.2067445069551468, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.5563036799430847, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.831223249435425, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.8454482555389404, 0.015982456505298615, 0.015982456505298615, -0.5563036799430847, 0.015982456505298615, 0.015982456505298615, -1.5101138353347778, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, 0.015982456505298615, 0.015982456505298615, -2.8454482555389404, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, 0.015982456505298615, 1.3513168096542358, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.7790306210517883, 0.015982456505298615, -1.3193517923355103, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.3975065350532532, 0.015982456505298615, -2.08240008354187, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.6404612064361572, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.732840895652771, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.7790306210517883, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.3513168096542358, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.3975065350532532, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, 0.015982456505298615, 0.015982456505298615, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.3193517923355103, 2.4958889484405518, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.2067445069551468, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, -0.5563036799430847, 0.015982456505298615, 0.015982456505298615, 0.3975065350532532, 0.015982456505298615, 1.5420788526535034, 1.9236029386520386, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.4496991634368896, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.4958889484405518, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, -4.371544361114502, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.7470657229423523, 0.3975065350532532, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 4.594271659851074, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.1285897493362427, -2.08240008354187, 4.212747573852539, 0.9697926640510559, 0.015982456505298615, 0.015982456505298615, -1.5101138353347778, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.1143648624420166, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.305126905441284, 4.212747573852539, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.258937120437622, 0.015982456505298615, 0.015982456505298615, -1.5101138353347778, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.0681750774383545, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -4.180782318115234, -0.36554163694381714, 0.015982456505298615, 0.015982456505298615, -3.036210298538208, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.5563036799430847, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.258937120437622, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, -1.5101138353347778, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.2067445069551468, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, 0.3975065350532532, 2.1143648624420166, -1.5101138353347778, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 2.4958889484405518, -1.1285897493362427, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, -3.2269723415374756, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, 4.0219855308532715, 0.015982456505298615, 0.2067445069551468, 3.6404612064361572, -0.5563036799430847, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.417734384536743, 0.015982456505298615, 0.015982456505298615, -0.36554163694381714, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.036210298538208, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.3975065350532532, 0.015982456505298615, -1.1285897493362427, 0.015982456505298615, 1.3513168096542358, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 4.0219855308532715, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.1285897493362427, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, 3.258937120437622, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.3513168096542358, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.5563036799430847, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, 2.305126905441284, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.3513168096542358, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.732840895652771, 0.015982456505298615, 0.9697926640510559, -2.654686212539673, 1.9236029386520386, 0.015982456505298615, 2.6866509914398193, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.9236029386520386, 1.1605547666549683, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.9378277659416199, 1.1605547666549683, -1.7008758783340454, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -4.371544361114502, 3.258937120437622, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.1285897493362427, 0.015982456505298615, 0.015982456505298615, 2.1143648624420166, 1.732840895652771, 0.015982456505298615, 0.015982456505298615, -2.4639241695404053, 0.7790306210517883, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.3193517923355103, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, 0.015982456505298615, 2.4958889484405518, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.7008758783340454, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.4496991634368896, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.3513168096542358, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.258937120437622, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.3975065350532532, 0.015982456505298615, 0.015982456505298615, -4.180782318115234, 2.305126905441284, 4.403509616851807, 0.015982456505298615, 2.4958889484405518, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.732840895652771, 0.015982456505298615, 4.403509616851807, -0.5563036799430847, -2.08240008354187, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.7008758783340454, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.9378277659416199, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.990020513534546, 0.015982456505298615, 0.015982456505298615, 4.212747573852539, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -3.036210298538208, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, 0.9697926640510559, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.831223249435425, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.891637921333313, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, -3.417734384536743, -0.36554163694381714, 0.015982456505298615, 2.305126905441284, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.6866509914398193, 0.015982456505298615, 1.1605547666549683, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.654686212539673, 0.015982456505298615, -1.1285897493362427, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, -2.08240008354187, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.3975065350532532, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.36554163694381714, -3.7992584705352783, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.2067445069551468, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.9378277659416199, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.4496991634368896, -3.7992584705352783, 0.015982456505298615, 0.5882685780525208, -0.9378277659416199, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -0.9378277659416199, 0.015982456505298615, -2.4639241695404053, -1.3193517923355103, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.2731621265411377, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.3975065350532532, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.2731621265411377, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.5882685780525208, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.654686212539673, -0.17477957904338837, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.08240008354187, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.654686212539673, -0.9378277659416199, 0.015982456505298615, 0.015982456505298615, -2.2731621265411377, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.9697926640510559, 0.015982456505298615, 0.015982456505298615, -3.417734384536743, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 3.4496991634368896, 4.594271659851074, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.1143648624420166, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -4.5623064041137695, 0.015982456505298615, 0.015982456505298615, -2.654686212539673, -0.9378277659416199, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -4.943830490112305, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.3975065350532532, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -2.8454482555389404, 0.015982456505298615, 0.015982456505298615, 0.7790306210517883, 0.015982456505298615, -0.7470657229423523, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 2.4958889484405518, 3.258937120437622, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.1285897493362427, 0.015982456505298615, 0.015982456505298615, -0.17477957904338837, 4.212747573852539, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, -1.3193517923355103, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615, 0.015982456505298615], "correlation_coefficient": 0.7927527098984378}}',	'{"n_observations": 3342, "target_metrics": {"max": 27.0, "min": 0.0, "std": 8.13468562910742, "mean": 13.311190903650509, "type": "numerical", "histogram": {"buckets": [0.0, 2.7, 5.4, 8.100000000000001, 10.8, 13.5, 16.200000000000003, 18.900000000000002, 21.6, 24.3, 27.0], "current_values": null, "reference_values": [383, 355, 367, 244, 379, 331, 252, 326, 331, 374]}, "feature_name": "ground_truth", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 13.0, "perc_25": 6.0, "perc_75": 20.0}}, "feature_metrics": [{"max": 0.815, "min": 0.11, "std": 0.11996106131818803, "mean": 0.5239631956912026, "type": "numerical", "histogram": {"buckets": [0.11, 0.1805, 0.251, 0.32149999999999995, 0.39199999999999996, 0.46249999999999997, 0.5329999999999999, 0.6034999999999999, 0.6739999999999999, 0.7444999999999999, 0.815], "current_values": null, "reference_values": [25, 58, 142, 287, 415, 679, 756, 729, 227, 24]}, "feature_name": "Length", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.54, "perc_25": 0.45, "perc_75": 0.615}, "class_median_metrics": []}, {"max": 0.65, "min": 0.09, "std": 0.09893461403964572, "mean": 0.4078171753441052, "type": "numerical", "histogram": {"buckets": [0.09, 0.14600000000000002, 0.202, 0.258, 0.31400000000000006, 0.37, 0.42600000000000005, 0.4820000000000001, 0.538, 0.5940000000000001, 0.65], "current_values": null, "reference_values": [37, 82, 164, 311, 439, 702, 786, 611, 190, 20]}, "feature_name": "Diameter", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.42, "perc_25": 0.35, "perc_75": 0.48}, "class_median_metrics": []}, {"max": 1.13, "min": 0.0, "std": 0.042571701686148974, "mean": 0.13969329742669004, "type": "numerical", "histogram": {"buckets": [0.0, 0.11299999999999999, 0.22599999999999998, 0.33899999999999997, 0.45199999999999996, 0.565, 0.6779999999999999, 0.7909999999999999, 0.9039999999999999, 1.017, 1.13], "current_values": null, "reference_values": [822, 2499, 19, 0, 1, 0, 0, 0, 0, 1]}, "feature_name": "Height", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.14, "perc_25": 0.115, "perc_75": 0.165}, "class_median_metrics": []}, {"max": 2.8255, "min": 0.008, "std": 0.490236305823789, "mean": 0.8275391980849786, "type": "numerical", "histogram": {"buckets": [0.008, 0.28975, 0.5715, 0.8532500000000001, 1.135, 1.41675, 1.6985000000000001, 1.98025, 2.262, 2.54375, 2.8255], "current_values": null, "reference_values": [515, 631, 667, 659, 474, 234, 95, 47, 15, 5]}, "feature_name": "Whole_weight", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.796, "perc_25": 0.4405, "perc_75": 1.150375}, "class_median_metrics": []}, {"max": 1.488, "min": 0.0025, "std": 0.22260527035091748, "mean": 0.3592796229802513, "type": "numerical", "histogram": {"buckets": [0.0025, 0.15105000000000002, 0.29960000000000003, 0.44815000000000005, 0.5967, 0.74525, 0.8938, 1.04235, 1.1909, 1.33945, 1.488], "current_values": null, "reference_values": [633, 857, 752, 626, 315, 91, 39, 21, 5, 3]}, "feature_name": "Shucked_weight", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.3345, "perc_25": 0.1865, "perc_75": 0.503}, "class_median_metrics": []}, {"max": 0.76, "min": 0.0005, "std": 0.11011605711248769, "mean": 0.18081373429084396, "type": "numerical", "histogram": {"buckets": [0.0005, 0.07645, 0.1524, 0.22835, 0.3043, 0.38025000000000003, 0.4562, 0.53215, 0.6081, 0.6840499999999999, 0.76], "current_values": null, "reference_values": [662, 813, 812, 598, 291, 118, 40, 6, 1, 1]}, "feature_name": "Viscera_weight", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.17, "perc_25": 0.093, "perc_75": 0.254}, "class_median_metrics": []}, {"max": 1.005, "min": 0.003, "std": 0.1384781817640769, "mean": 0.23805400957510472, "type": "numerical", "histogram": {"buckets": [0.003, 0.1032, 0.2034, 0.3036, 0.4038, 0.504, 0.6042, 0.7044, 0.8046, 0.9047999999999999, 1.005], "current_values": null, "reference_values": [630, 820, 858, 640, 272, 86, 25, 7, 3, 1]}, "feature_name": "Shell_weight", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.23, "perc_25": 0.129625, "perc_75": 0.327875}, "class_median_metrics": []}, {"type": "categorical", "feature_name": "Sex", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 3, "category_frequency": [{"name": "F", "count": 1064, "frequency": 0.31837223219628963}, {"name": "M", "count": 1208, "frequency": 0.36146020347097546}, {"name": "I", "count": 1070, "frequency": 0.3201675643327349}]}, {"type": "categorical", "feature_name": "pred_id", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 3342, "category_frequency": [{"name": "cac1a771-7b30-45c5-b9ff-1cce2ab61f2e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6d8d36da-186a-42c9-a498-5ec8e43e7177", "count": 1, "frequency": 0.0002992220227408737}, {"name": "75560e38-aa76-41b2-aa31-f30e2fae6fac", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ab1cc764-cd77-4538-bff2-3c0ac9652e01", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f6522c15-d232-4e0e-aeef-6c22de7ee987", "count": 1, "frequency": 0.0002992220227408737}, {"name": "53007596-d0e4-4729-9dca-134198cc3688", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bcef135f-a1c4-4bb0-8304-be1ffc3d8a97", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6290171e-a155-408a-8f12-13bbced1b65e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f108bb12-3ec9-4b4e-869b-9bb3861b1f51", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fec35310-9490-46b5-b940-8d6a05533a5b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3c3945ed-c5a0-425f-9d7f-2df1ca958f8e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "091fdf6b-55fb-4544-bd74-c859b572f752", "count": 1, "frequency": 0.0002992220227408737}, {"name": "276ac546-591a-4268-bc80-fe5e65105ac8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ea85689c-2c1d-4043-871a-77f71ba4c454", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8b178e44-7b56-4ec5-aa47-61e2796868cc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6a3daf27-6999-425d-9f2d-b770e74a9e89", "count": 1, "frequency": 0.0002992220227408737}, {"name": "98c0954a-afec-4e13-a084-9c9f4ca2b4d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dc409868-8cc4-45c3-9d2b-9ddb3627e4f4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "df486b55-7029-4eb9-8620-5e4b0b2130f2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "49523280-2f9a-4dbd-94b4-292d72eac7c5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bb4d4604-f6d6-4536-aaa5-5f1257d07871", "count": 1, "frequency": 0.0002992220227408737}, {"name": "697769eb-6ce4-4d5a-848b-1098b2630384", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f4c2efdc-b984-4730-9f18-5d6e1e0f11cf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "56ffb7d8-65d2-4ae5-969c-de50db611ea7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "304bf05e-4469-4d79-adcf-6fb4fffdd2b5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "340e19b9-fb36-45a8-bb10-93578fcaa6b6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d11db8d3-e3a3-46d6-a5f1-ef78c647d5f5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6fbcd378-bb4e-4492-a46d-cf061b1b4efb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3a11c0ce-2b9c-4961-b479-62377544acef", "count": 1, "frequency": 0.0002992220227408737}, {"name": "db8a45dc-fec9-4fe4-880f-f7abc05d7fc0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "58ff369d-2815-4ff5-9258-9543d5734711", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9a9deeb3-e6c7-4399-803b-790c8bf2e3c2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "329a6a75-b8fd-4a72-9aef-17c94f66682f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e0102e7a-b46a-4e34-abb3-4e087b98ac8f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6f5938cc-96ed-4c67-b4e5-d7f0cfdc8104", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cbda5b01-5dc0-4800-b927-5abe5bd0f5d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "785650b4-ef45-4f60-9a8c-1f41fba7f71d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0e7b9e2e-c9e6-4997-a4b7-149f8e5cae73", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1809bf61-c245-4c04-ab7b-4fd12ce3a10f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4d2cb8f7-5c35-470f-a04c-ccb2f384c096", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b9498088-b1b2-4d24-a842-3f176555a550", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c7b2a845-1f6d-4de1-812b-5dff025c8518", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3855f9f1-8400-4185-b450-56e68c54052a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "49d3f282-a0bd-481b-922a-ef3902655e57", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ab219081-e208-4c8a-906b-7ef808535d53", "count": 1, "frequency": 0.0002992220227408737}, {"name": "75b6fb8a-d43d-4642-846b-bdc61cb52eae", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fad6d67c-4343-43d6-9280-7c0a130e729f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e7794cc2-2bb4-448a-9fef-45f4ae28959c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c962855e-aa8a-423f-a273-c6409f26294d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "07ccf513-4886-4301-b148-186a778d5be6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5adb3f1a-c92e-48c6-aa4b-44c633ec6869", "count": 1, "frequency": 0.0002992220227408737}, {"name": "013fc87f-272e-4ccc-9f44-a0338960c38f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1e867599-b04f-414a-ae88-dab51ed038d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "90a5d4d0-d286-420d-96bc-05aba08ddf80", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c3ee09a3-764e-4c03-8b10-9ded12e0dcf0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "df52ccff-17a1-4ecf-b41f-0ef6bafd834a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cdffbc38-1988-4ca0-bd5f-63c46de8b43d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8a7885fc-eec6-4d61-b500-4d62e48bf611", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ab93ce99-171d-4a02-bbab-cb444d74e1d7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "916a1f84-6435-4d90-adfc-80329d6f5c59", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6c5ff404-40bb-4462-b358-0481bab28417", "count": 1, "frequency": 0.0002992220227408737}, {"name": "81ec33ec-e741-49bd-8705-03891d725f43", "count": 1, "frequency": 0.0002992220227408737}, {"name": "58f378e9-3095-4885-9019-1b41bdd27cc3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9cab721e-9742-44a6-8b6b-f4324f05a89c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0eec752e-9faf-42ed-82d7-faaf927514ca", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8e1a60ae-6e15-4974-a9fa-a509e81c8028", "count": 1, "frequency": 0.0002992220227408737}, {"name": "16d43f0d-24b5-4a60-b938-664ed20caa21", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e3fadfa1-5b74-4821-91bd-a51fe6883b13", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ec08233e-3d71-4e82-bcbb-2de8b2db6e7d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0c63f600-924c-416b-aad3-f0d46ef36543", "count": 1, "frequency": 0.0002992220227408737}, {"name": "aee2fe41-7ef8-4f14-9bdf-bd3229a9e8fe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "88e4ccbe-66fd-4e22-af7c-97ba7fcfb91a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5d3ca857-5604-4913-aa3f-7242ee37dcf0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ac44fd4c-8981-427e-ab21-6f9ba566138d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "449cdb44-250d-45c8-89f3-3674682238ce", "count": 1, "frequency": 0.0002992220227408737}, {"name": "746629a7-388a-4824-b467-2e76dabda4a4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3f4d43f3-b81b-4d19-80d7-86a27675badf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4967380a-617a-4f5c-a10e-9f99da39c913", "count": 1, "frequency": 0.0002992220227408737}, {"name": "39dbf4e5-6c42-4130-ac8e-607fabd4fef9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ab1c98d5-fddb-4e8e-8a92-d6cd8e0c999a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a8b38a94-aa84-4813-8790-c4edb0b2343c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f5590591-d250-481a-8b79-0045d5cff477", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9660c4f6-328c-49cf-bb8e-c1ae944230fa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b93f9cca-a115-4107-a6de-9ac35b62008d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "09067fb7-823e-4019-b6bf-2e18ae461380", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c17a6495-9223-4a66-bb62-0567fb322ac1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "baa317e3-8f46-4a51-99ff-923f16cc2875", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0f522416-243a-43c6-83cb-6b8fef57cc67", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0bbb7d2e-0eed-4463-b0a2-1a9ada22e10d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9ae77e6a-e81d-4283-a42e-fcf092df528c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "000073fe-aa9c-4d75-804e-aff9cec0754f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b527a95b-0188-4cdb-b158-a90ee4cf4054", "count": 1, "frequency": 0.0002992220227408737}, {"name": "479a46f1-4e4c-476e-88dd-72ce041aeafd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d23553cf-e645-4680-b996-7f2b4ac6e0f1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d38e0be3-e679-4256-9970-82af93e2c19d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d5406560-ee23-434c-b263-c8b36fe8e726", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c61b1384-54aa-4570-9717-75700ba840d3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7f111381-e098-4567-8ed1-56d9b155b03d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "71bf0562-b119-479a-a845-3931dd617874", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c599fc17-fafe-489b-830d-8c7f1a2e6f80", "count": 1, "frequency": 0.0002992220227408737}, {"name": "421b0bf9-7d52-4ef8-bd80-14b7e2fe3599", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8648ddeb-3f13-4ffd-907e-b750c2ffddb1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4667e07d-bd42-4c20-a0a7-1cd0fe7ce62c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2701c5fe-1323-42b8-9947-b3b8753cface", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c34598e5-4d19-47cc-a627-358f08316a57", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5739db73-9623-4f17-952e-2688cafeac57", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1ea5c0ea-88b2-4a7f-9a1b-1ec49541c8b6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3ecfaeeb-d3f2-4535-a9af-980662158a28", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6262ab3e-30e8-4517-bfce-d77318850e70", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dc9841cb-f476-4bb1-a10e-33c195428636", "count": 1, "frequency": 0.0002992220227408737}, {"name": "feaa29a0-eb90-4bfe-9f53-edd8777f0072", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7bc4d2df-c7d8-48c3-ae93-0b1d3f5c3ad0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0e9db6ae-86d1-4757-b13e-36e972edaa0e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fa962120-2fd5-4a46-a6a6-229c34dbed5f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e043e41b-4fe0-4a13-9e01-97e05aab546b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "944f0510-9bb3-4bdd-aae4-a11fedddf907", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8dc1b354-e901-4d96-aef4-22d4c9a7de9b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e0054203-53a4-4944-81f6-c9aae20ffc96", "count": 1, "frequency": 0.0002992220227408737}, {"name": "69db0ad9-5128-423a-803e-5a1f39f7f10d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "972d0dfd-766d-43b4-860c-65d58838adc0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0d8981f1-7b58-478f-b5cb-24caecd3be13", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a3e32a11-b218-4c00-868d-8d5e729a246e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "536a3484-cc71-434f-89e5-530d16918660", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2997bca2-421d-47ba-85ce-38cfe8b3b741", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2e883922-e816-42ec-88bc-4c0eb5609c3e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "45d858c6-8592-4573-83a8-f9d42b1fc6b3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8d6cb309-6afe-44bd-8bed-11f35f9e5ea1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b9558948-5aeb-4b9a-99dd-4f387088723a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cc480b16-d1a2-4490-a8a3-449d6eb2f529", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3ea58628-837b-4fb5-bbc2-4b5784145ec7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "36359d1b-c124-491b-918c-1487949b90e0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ad6acb9f-9e01-49a4-abb4-e72dba60ab18", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8384a4d0-8757-4f3c-9a3a-79ae488a7bfe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "038b7123-fabf-4c37-a5fc-4acb8f4aa910", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dd711497-fa0a-4b4c-8fb8-8ee8d2bb29d6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "47d416a3-4ed9-4d99-a3dd-012e83c63893", "count": 1, "frequency": 0.0002992220227408737}, {"name": "97a890d6-03aa-4d57-aa0e-8209e8aac01e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c7374ed0-f1a9-46ad-abc9-dba88d436784", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8a9bfd8b-a888-4588-ba31-ea06a442b865", "count": 1, "frequency": 0.0002992220227408737}, {"name": "adc6c25b-41f6-4d25-8396-1cdf7b1454c8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d402f735-ffcc-45ab-a7b2-eaabe5cec1bb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2da7fd46-5591-4baf-a095-da3c8635f3dc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "abd30e97-fee2-4cbd-8907-c4c1d6632b97", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0fda2590-3ff3-4a7a-80da-e899b3f99d0a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e181a70f-27ea-41ce-bf2c-6b74919aa188", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a7938919-2a24-4a39-b1d0-0e68a96b1272", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4a413908-f526-4055-845c-ea857518bd34", "count": 1, "frequency": 0.0002992220227408737}, {"name": "528ab5c0-728a-4a09-9d20-9674da020f2a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "359e85b7-c46b-4257-a57a-3c32dea8e26c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4c688dbe-b8e6-42c5-863a-92f436d333a3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "54599019-b003-4662-9e4e-40473fd9ddf3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8f6f8242-c7ef-4477-b44b-d9be922238dd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "50d7118a-30a0-4e67-a6d6-911ea641de03", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c29c361f-1690-495e-bb1a-7ca774743f7b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "025606cd-80eb-4ef2-ae15-2bfe66d8c5eb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a2691e28-f0d4-4162-9210-4fb637ad6fc1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dcafec9a-f246-4654-b67f-e28bb07726d5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d25874a4-b210-4e5f-8040-52cb2d167434", "count": 1, "frequency": 0.0002992220227408737}, {"name": "55944551-6a3e-4e7c-b66f-d27f0f32edda", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f8e2b3bc-ad32-4e06-ba0e-bc9ec3da93d1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0f987d10-2b73-4e5f-93bb-c729acb5465b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d6454b90-1e1c-4acc-b07e-5022ec3e38e2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5c178eb6-955b-44df-9266-3c40dd47084e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3074dae3-c529-4f3c-9d97-af453f85dab5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3f97a211-46b8-4971-81cc-d31270bd8434", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7e9d2ad6-41df-412f-a72b-036e0b7dd41e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4c7808f3-9cda-4648-916d-dea4367cdd59", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a41fff95-18fd-4e51-91eb-1a14c711a912", "count": 1, "frequency": 0.0002992220227408737}, {"name": "aa481bb1-8433-4833-9f62-aaa58e9b0239", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f60e2ae8-4f6c-49e5-aa95-4e6626cad7d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2ac12200-d7d9-4237-9c4c-e5b4dad7d22c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4640514e-3b5a-4ed0-bf49-2a874af3eeb7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1f5b09b2-217d-49f1-ad44-c7beeb30e6a7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "239975a1-5624-4b19-a412-e2736b64f752", "count": 1, "frequency": 0.0002992220227408737}, {"name": "76979d2a-be26-411f-b05a-f3f482d93a2c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "667337b9-b323-457c-b51e-7461d62cf508", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d652c8cf-95fd-479b-97b1-f92c76633236", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fc72cc18-da99-469a-ab00-76d4dcc60d48", "count": 1, "frequency": 0.0002992220227408737}, {"name": "334ffc49-0469-46db-8a97-247f5cc8bd32", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4b45cab4-012f-45d6-a8aa-698812dce45e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "36b7b9ea-fc67-4a2b-9877-311ab95e90aa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3e6ac13e-40ab-4ab3-a583-fd4db3f3ef30", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6a58de97-5c12-4deb-982d-a0e3f9c5a291", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6b28440d-f732-4d80-9d59-1e0411532d9b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "12f43194-c346-496a-a664-9257649cc730", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ad5505de-eba6-4a64-b818-2740929ef58c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a6f3c79d-63ad-4672-af64-048f5cae7a77", "count": 1, "frequency": 0.0002992220227408737}, {"name": "96001421-59f1-4767-8ebd-69863e6a841b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "da4b9c80-ba51-4323-af80-f5c38bacc824", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f1d9a2c4-48b9-4406-a709-ed9a6e2870b2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d0a2a283-a79c-4839-8c7d-13e7e13e9c0c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "224ecdc9-ed87-41e1-8eee-2b586385250a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ea8e3603-e2b7-4848-b992-c2a9d09e8b43", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f9fdc102-e32e-4a4c-8e7a-4ac6bf1d9e12", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f6d0505a-c91b-43bb-b12c-2995db71a5cd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "47bd6163-0e72-47df-83b1-e7eee1952394", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e2226845-7398-4a3e-bb2d-3aa6e6239ea4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c9fbe824-91d0-4573-a7df-993afb4635e5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "50516f0c-5183-4eb2-83ba-6f4a9b23c3f6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f615b8e7-5d8d-404f-a7e6-a7146d975425", "count": 1, "frequency": 0.0002992220227408737}, {"name": "85684a5f-94eb-4e4a-b6bb-c0c61d067087", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8440211e-0581-4cfd-9f62-fc6b24de3df1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f7519d22-5e16-4ef5-822c-807787dbd5b6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ce67de1a-0b45-4c1e-80b7-1a5688ad06b4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bd0822cf-80e9-49a3-9a8f-c52d4d3b9e65", "count": 1, "frequency": 0.0002992220227408737}, {"name": "59b81e04-74e8-4348-88bc-8ee102dde5b4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "51a979c3-e116-4c3a-b5eb-e601aecfa65a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1fc94787-a36c-410e-9995-a2e49420cd90", "count": 1, "frequency": 0.0002992220227408737}, {"name": "316374ef-fbe8-43b6-8223-44774fe41c7f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "db3ae7c6-5569-4f95-88ad-68ed116012de", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8e46513e-bbbf-4757-85cc-10c7f589bc4a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "929bf858-f742-4180-aa32-8cd088ea18bf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8ed3d58d-082f-46e6-b740-5f03654baa69", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1d5324f5-c43b-43f7-9634-cf78c5f9194f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e4705f32-be2b-41b2-9c93-c55bd78d2421", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ef602385-de70-43e4-ba42-e60a6bc2c75d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3b9e7a9e-425a-4da1-b936-d511ff6cdd1c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f6f8170f-1d56-48a3-b762-60a06cdd636c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "df85ae43-26bc-4930-a311-5a22ab37a90a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "701cc047-a2ae-417e-8c3e-178d42b8327d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "40432883-c54f-41c2-9fbd-05a7e8536fe9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "85297110-f060-4ef3-9996-15b2c6ecfbb4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a03dd41a-9b54-4094-ba07-82a844eb1d7f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e1d6d46f-e2a6-4549-b08f-6d0b70bfd966", "count": 1, "frequency": 0.0002992220227408737}, {"name": "681f445e-fa87-42e4-a345-0dbd4a3ccb5e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "185c7c2c-3d0e-4391-a6df-9bb352b06189", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c484125c-da89-44cf-ab38-714b9ae6c81c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "be0ec5c6-456b-4cf5-88e4-2c18e421d68f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9c7df3c5-74a0-4b70-8f01-760a24268ea9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "32e7a155-75bc-47a0-ac55-2840428952ee", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ebdf40da-bb35-4b55-8bc0-b01ef1e4eafc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1138c25b-aa92-4de2-94b4-4ea843bd5bf7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "92cf8ed5-1e16-4171-9c00-87b7eb780296", "count": 1, "frequency": 0.0002992220227408737}, {"name": "df548d45-f6bb-4ee5-b79d-0501a2e9266f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "43958da4-e2a6-4133-99ea-a9f1630ad132", "count": 1, "frequency": 0.0002992220227408737}, {"name": "003671f5-8dec-4924-ab49-20716242e6bc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6c20c5c9-6f6f-4a9b-93c3-b65f83ff4715", "count": 1, "frequency": 0.0002992220227408737}, {"name": "29b202c7-46f6-4cd7-93f6-0f497ed209cc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "820521e2-a337-4144-b208-0e0a90ea497b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3fc6648b-e34e-406d-92df-d3d6a8b2584e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cd3e30a2-a5aa-448f-a89e-cd2f121426c7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8a5f0457-7fb4-4007-b343-a504d5fa8098", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b8b79bc7-fa33-4929-b376-f36c6f8c480e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "62ecf733-558a-4cc5-802b-ab9588d39361", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6b866391-9ac0-4700-b2d7-495a6db788a7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a2937331-3ef2-4ead-a8ae-18ecc3f0469d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1a7cb61b-eec3-40db-b139-5f9172dec301", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ab19ca99-232a-4adf-bf3c-242822d50255", "count": 1, "frequency": 0.0002992220227408737}, {"name": "028006a3-1b6f-4cc1-a6c9-d10cc327be9f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "523034cd-47a4-46f4-88f3-113a7428b45e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ab1c374f-9743-4f74-9f16-f43c71921376", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b4082e08-b8c0-4397-89d4-91ab5a6eb7eb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "86e9b27a-4727-4391-9e9b-8aa94d2fa1c9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "75555aa4-30f0-48d7-9732-b6df1271f823", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0bc42276-1050-4ca2-b5b8-d47441d4d427", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7634270e-b7ba-4500-9d4e-29e3805bc198", "count": 1, "frequency": 0.0002992220227408737}, {"name": "42c1d776-1f4c-4b80-9f4c-da0653e4bb63", "count": 1, "frequency": 0.0002992220227408737}, {"name": "544550a9-3835-49b3-9891-ed16714e7bb3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "28bca4a8-51a7-479d-911a-000b3b531dbe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "02c40d5c-0dd8-4abb-9de5-8dbb275834fb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c02df63e-40f4-4112-961d-7d483108f219", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c8c172b6-647c-4274-9211-0b37751d82c1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8d7c62fe-45c1-4526-811e-de9a265352b2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "da7c8716-c5c6-4144-ad40-bcabacc27371", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4931ba6a-fa01-41b6-96fc-1944eaf6078f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8d8734a0-6349-4a38-8422-dce5a5bf253c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b5f5a80e-8713-4ec7-8f3d-b23f40f6cb67", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1cfd259b-54c9-4f08-b495-d8c4b4f4fa00", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b46225b6-9e93-470b-9a16-87cd17a7c368", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9d1299a3-0e8d-4837-af52-5493fa74d017", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e824101f-b002-44aa-9cd8-f6be4476f0b9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "13c01858-d4d4-40d6-b1ed-46102020b040", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1c354f62-922e-4116-be1e-dd0bbfa6180e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "352a0040-1600-43fb-8a99-4caa660d058f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a7c9a353-c2f7-4e89-9edc-ed9b1f3905bc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "78e55cd6-9ae6-4bc9-9ff2-9583867d12d7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "22769f8b-d5a3-46b2-a20c-994a2272bb19", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9719408a-4021-46a1-8352-4fef931e0240", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d1391cca-c331-4f10-a85b-081896a0f2ce", "count": 1, "frequency": 0.0002992220227408737}, {"name": "82dfc376-3c23-4479-971e-02d3265c94df", "count": 1, "frequency": 0.0002992220227408737}, {"name": "539731fb-9e1f-45ef-8673-6e25579d6fd0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "47247969-2193-4cc6-a8fa-51619741e032", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e3e1a00a-8935-4d69-a9fc-0ba46cdeb6f0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "038ae8d9-06bd-4af6-ba46-1e54eda24201", "count": 1, "frequency": 0.0002992220227408737}, {"name": "982f80d1-d49e-4196-b50c-86f4f8227ebf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "22a4f27b-83f5-46e3-b3e0-57f3cb21c3da", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c2187a32-07f7-488a-8154-c9ca0fa44187", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0bc908b2-740e-46b0-a0f1-acb7f8f1f480", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9cac67e5-fec3-4b58-bd06-135984ee0097", "count": 1, "frequency": 0.0002992220227408737}, {"name": "80c2996a-26be-4f70-b972-b59a2443fb76", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6267b7ce-4ce3-4d93-b97e-5091813584a3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "324939c6-6c85-4c68-8c73-f2076f84bc3b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "acffb092-780b-456d-a62f-fc9a078b9ca2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "68b2ae38-8366-41ee-b2ab-8a44c942092d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "16798899-0ab5-416b-afb0-6e3fa907ab09", "count": 1, "frequency": 0.0002992220227408737}, {"name": "47b7753c-d309-46e3-83a1-1c57fcde3f8e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cd94d732-10bc-4bc3-866f-7d3b13dd88b9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f30e7307-bac4-4a08-b219-dcb2adaf591f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2a374917-48bd-4674-b9b6-bf515a4410b8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "345769c4-3e2e-4637-ae7a-80bf6bbc8f25", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b1671c4e-adaf-4de0-83ed-46f98770be9e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dffd40bf-55c4-4713-a908-273c5b24929d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a89c9335-10e2-4c15-8e24-ebf9d0b1de4e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cd0c521a-fa97-4372-8876-ba9ef9cdf252", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ba4d40f5-51ea-45a1-b328-8831527c28fc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "78fee551-6fce-4a78-ac7c-a8d2af70ebe9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "912cbcc0-9484-4c27-add1-ef64378bf05e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6244d7fd-8d94-4408-823c-ed3c08520acb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "46514c6a-f4f8-4502-960e-e7679ce9d6fb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "50ccf95a-6a04-4306-94c2-ae24ea7d93c4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "be144c8a-0c3b-4d86-87aa-ecfd60c3779d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2bdac6ae-2c6c-4d55-934c-434b40eccc78", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0835c86d-f580-4261-bacc-621506be2d3d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "623c624b-62ff-4669-92d3-3879688d25e0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "433d435b-f927-462c-a6dd-417f15d2db14", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c4825d51-5350-444a-9207-cdd30b2c33b4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6de3f2ce-ada8-4187-8d74-f2d62e5cfe24", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bef63d15-4d9a-4c15-acd5-7f93e9f4988f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fb1f653d-69f5-4e4f-baf9-a09013ff9ba7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "07ba2a9c-1d5f-4585-bc2f-daf3c6090173", "count": 1, "frequency": 0.0002992220227408737}, {"name": "307e6ee1-c957-4350-8f67-d14d9ab379a5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bb10588f-6579-41ae-b107-e3d29877099b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e28936c3-b740-4bed-9004-f78414d694c7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a88c6c1c-d476-434d-8815-1967fada5f6a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "79d0f175-b241-41b5-9895-8211beb0d6c4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e0dc7834-2bd8-4225-83d6-97ec62709457", "count": 1, "frequency": 0.0002992220227408737}, {"name": "20712be7-8223-4a79-acf4-f62c27188cb7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "689ded63-16d9-4185-945e-7d789a6f45b5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2dbe1467-9600-4db6-be82-22a4ab84d924", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5a8f9751-5419-4530-a659-515e6be43291", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3c4dde7d-85b1-42a5-bec5-083c0ec23137", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7348fe45-7d29-435b-97ea-cd3e3780898e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fedfbd70-8f57-4a5b-a798-2a154090cb4c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "008668b2-facc-44be-a633-9e102bc03a68", "count": 1, "frequency": 0.0002992220227408737}, {"name": "871a5aa5-f31e-48e2-93c4-7c4f828fedb5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "55be401e-370a-419a-bb2c-f9e0a7269fed", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b4c2db1a-2eb4-4b8b-a50d-eef2e9ba6395", "count": 1, "frequency": 0.0002992220227408737}, {"name": "22a797f2-af23-4844-8ec5-f477037fd413", "count": 1, "frequency": 0.0002992220227408737}, {"name": "72b3408c-5f22-40de-a5f2-8a670c9d3dc6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "999095c2-ac45-477e-9e3b-193945d2f6cc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "859f410a-9c42-41ec-afb5-32dd562a0a2d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8b0c1b3b-97d2-4729-aeba-1a88b14cb3bc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ac5442bd-75e6-461e-afce-a0164e0a6815", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3cee6a22-8ab2-4886-9b0c-e253268a397b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "94e0bd54-e7df-4bc3-860c-e970a018080b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cbb4d71b-2448-4b7b-8abd-af7a7effc238", "count": 1, "frequency": 0.0002992220227408737}, {"name": "08347a80-8941-41c3-9326-6934e841e423", "count": 1, "frequency": 0.0002992220227408737}, {"name": "777fe3d6-2a9a-4cd8-a8fe-8f5aa6269135", "count": 1, "frequency": 0.0002992220227408737}, {"name": "455282ba-5ec1-431a-86e0-05d0d37e980d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "395ffd2a-0fe4-49bc-83d2-169239a62c52", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f87b1038-49e1-4219-8210-0f3a8489f7de", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7e516b16-8e22-4dee-9c92-c80719ea77ab", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3d2d1ab1-b20b-45c1-a887-3e1f7cd2c885", "count": 1, "frequency": 0.0002992220227408737}, {"name": "afe9a3aa-a94d-4e9b-b627-88d5c7d14c8b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "231ea627-ceb7-461a-9faa-500ce200b8bd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6b10d2a3-f36e-4b97-b896-0e01beb16eb0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b84615fd-73b8-48d6-9cb4-68a77b5d5806", "count": 1, "frequency": 0.0002992220227408737}, {"name": "35fa0812-7ace-4e88-a042-2e25d7fa4874", "count": 1, "frequency": 0.0002992220227408737}, {"name": "06c65588-8af2-4af2-a720-2bef159e1801", "count": 1, "frequency": 0.0002992220227408737}, {"name": "18fd5751-340f-44aa-a3ea-f335e4ec697d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3cdc7ed5-957e-44d1-bd4b-e32da53b1694", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a1af3845-daf4-40f2-bbc4-ea288c78bd34", "count": 1, "frequency": 0.0002992220227408737}, {"name": "553366e5-a193-41fe-8a9b-4e4871827d6a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "59f465de-1caf-4e0c-bf7a-cbd23659c5ca", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a45eee93-d971-4322-9867-cbdaa83cbc34", "count": 1, "frequency": 0.0002992220227408737}, {"name": "850dfc43-8a43-4211-993b-15281191acda", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a17d35d1-10e4-479f-bde6-12042ffed319", "count": 1, "frequency": 0.0002992220227408737}, {"name": "71eeb2f1-07d7-40bf-acda-11126c21b3f0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8508163d-38c9-474b-838a-370f1a222020", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c078d9bf-8dce-4f68-862b-03f999bac041", "count": 1, "frequency": 0.0002992220227408737}, {"name": "57f6b559-45d8-4014-9ff3-d856c6689f14", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0dd43f38-f683-4229-959d-c21960ce8397", "count": 1, "frequency": 0.0002992220227408737}, {"name": "58692662-aac2-45c8-8376-4e1bac75b563", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0b6c5761-b15b-4f1d-94c1-6aa875e4d1b3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2b8b7d8d-ac7f-485b-993e-8306d8f12ecc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bd5dc379-c909-4499-b824-cfd644bec9b2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a6bd4d38-d984-4684-bfc1-a634ad30cb8b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4d74975c-6009-45e9-bf3a-61022049cbe6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "51bd2b49-185e-4a2b-b9ac-b1bdaba2def3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dc1004df-8809-4997-b5d9-b3ecd958c169", "count": 1, "frequency": 0.0002992220227408737}, {"name": "47ab625b-eea2-479d-872f-3917e2589f52", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bf309c63-1806-418e-bfd9-0afef4188bfb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0b0c27e6-66e8-46c7-add4-9fe9274d0704", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b4d9547c-b1f8-4a84-b403-3c63fb271ec6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "164eb86b-82e8-4195-a1f0-e98fe6757abb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5a536e1d-7c3d-4fca-936c-4ecbd06d1973", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8ced049d-8c60-4ae2-9502-93852301728b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5d9ffb5f-f3e9-4f7e-88c2-992626aa8967", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0e69d94e-d14e-476a-a4f3-5d12f601ff5e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a983d8c3-b8a5-499d-a471-ee91b4382783", "count": 1, "frequency": 0.0002992220227408737}, {"name": "188755d9-4518-4927-b7f6-c0b29304b10b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d8ff3d6c-80e5-49ef-8a9b-f1a65dfbec51", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d7e46621-be93-40a6-8119-81faa25c12ec", "count": 1, "frequency": 0.0002992220227408737}, {"name": "db3f1e43-ef18-41bc-9c65-efcd686b9451", "count": 1, "frequency": 0.0002992220227408737}, {"name": "90f24c55-38ce-44ad-9e2c-deb025e1c6a3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b47bbf6c-f94a-4316-be9c-d116caaf7edf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5735d0ee-17f9-4c15-88c7-a6885328b77e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "860f578b-2fca-49c9-ad62-26edc5841e2f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "df75b631-f142-47ad-b5bd-62e2ef4f10ea", "count": 1, "frequency": 0.0002992220227408737}, {"name": "eb465c7b-334e-4498-b304-a15c041ea6b3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5d92bc1e-696c-451b-96ff-2acd6594e939", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1c5f64ef-e37c-4254-a284-1c2ab73748a7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ea6ba2f6-c768-49a7-833f-a0d85583f90f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a6e77472-d006-4aef-be86-af30c4e9b73d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3dcf31e6-d72e-4573-bacf-405d8e24dde2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "749557c9-ca93-4d32-8a1b-d8fca0de9572", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d72c2025-0393-48e5-adc6-dc47fc1fe06e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f1492521-d782-4b45-a7e2-6d941c0a605d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0f49de1e-3b3a-4404-970f-91350abaf912", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e6bb35a9-bdcc-4fb2-92db-0f43998635f1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2348a2c1-f149-4e15-86cd-2752d958cfba", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c31b89e7-3d15-4016-a9d3-ec50b1745383", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5b6b7c99-a16b-4263-b915-4dc7ff52de60", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6aee4b5b-160b-4220-beb7-2033e559ce0c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1fb1103a-bf6c-4e79-a392-771679aec5fd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "167001d9-7aa8-4711-8bb4-25935f847533", "count": 1, "frequency": 0.0002992220227408737}, {"name": "84ee79cb-3c13-42a4-bdbd-b854a520124f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "09cce02d-f22d-42f1-aa44-3825935f3d79", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8f64fb6c-f803-4540-aef6-227de58586c5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b2538352-effa-490b-a7a0-141e6a2dee39", "count": 1, "frequency": 0.0002992220227408737}, {"name": "50015314-ec16-41aa-870f-a33324b7eb39", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7b50b62d-7634-4a6c-9509-1827fd2e1c9b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "404b4fa8-cb10-4b00-aeee-14bdac140338", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b106045c-778c-4249-b114-588fc3fc5690", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3cb6447d-0663-4a21-be47-f795221a0f69", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7f8cb36b-9d21-46d4-95b7-6c1361fa8c2e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c14749d4-195e-437b-8434-8cc2d56a7605", "count": 1, "frequency": 0.0002992220227408737}, {"name": "77154e21-b1d8-4f49-9cc2-d9092ac706bb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9d69d439-6a7b-4f17-8eb5-5c677f899517", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f05c53ee-1063-43a7-8271-b7e3b2366419", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e696ba77-908c-4dc2-8a21-30f793aabdc9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0b8e37c1-3435-4728-87e8-0bbfca65f9bb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fe5e00cc-71cf-44cc-8ce5-9df3afffdf14", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5c9f9095-fe6a-4254-ac7f-c7057a1b45d9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c29e43e6-a14f-4e21-bc65-77c5abc8fa82", "count": 1, "frequency": 0.0002992220227408737}, {"name": "73c31d8f-6db3-4337-b882-548fba601cc8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f632c62b-5422-4d56-851c-f2d2ff8ec95e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2a60e105-2a61-409f-a34e-e7cf7bf4ca20", "count": 1, "frequency": 0.0002992220227408737}, {"name": "33b10ca0-18ec-4fee-8a11-ea40e312d6cc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "afd7d363-daf4-4b05-ac66-0d1b97d7dfd4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1afc16dd-23ff-473f-a9c6-17abab802004", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ab0f82bb-2a28-48dd-a6fe-9dbe1decf403", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bbd5ad42-77fd-4340-81ef-2842a9fe6f1c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "125323bc-6ef0-425b-922c-9fb74652b3b9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e1a03f1a-2af3-48a3-8609-ea64589ed376", "count": 1, "frequency": 0.0002992220227408737}, {"name": "db653c08-1bb9-4cd8-b3b3-5a553699d5a3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e416e7bb-86a4-4f1d-b2d5-4a6d31d55205", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2c0bdf9c-7c82-4709-86b2-f748c9948f2d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e5aa6f4c-5f1b-4cd3-95b0-9db1e68c8290", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3f19d1ec-cedd-45b7-a136-c4a9af980d2c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f805f365-5612-4613-85ce-935b7a19396b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ff5acc25-6e0d-4b1b-8099-a4b39d684c13", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c66f1dc1-3268-45e5-9b0e-a6d5eab90281", "count": 1, "frequency": 0.0002992220227408737}, {"name": "83fff75b-c083-4217-879d-97bbe242d435", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7844d764-de34-4f3d-b111-a34cdb024678", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f098ca38-2f06-4015-81f2-c2ab3e13eded", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7ab3818b-73f4-4797-ad6b-d64509343e7c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "68faa51a-0910-4832-9a82-6d39147b14e0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "900a534f-80f0-4c8d-93d7-332eb97ad9f4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7c3872c8-f2f2-40c0-acda-deda49322b52", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a914f76f-73b5-4731-902d-0a434a1a25d7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c94e7064-38ae-486a-a48d-668e382d0bf3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e1330fa8-4cff-4e05-92f2-665624f13cdf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "be06be59-24ab-4c44-a2e0-aaeb6826ffd8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3ed96c83-bc53-4fc6-8cec-e1c6982cd3a4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4550148b-6f2b-42f5-a8a8-a6bb57934084", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8685bb94-fedb-47f6-b2f5-0da97ebfec48", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c8d382af-d098-4fb3-9d19-b7f05a97e953", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b1804a09-c4e1-49b5-9caf-db9173cc3b13", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f2d8809c-a744-470d-a15a-b100cf3c1edb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "da791e1d-588a-426b-b599-1018546ac8a7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "930c9b28-afe0-4a96-90ae-9bcc1188adad", "count": 1, "frequency": 0.0002992220227408737}, {"name": "85567305-a6d8-4373-9fb9-e46f7659e72c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fa5229bc-ee80-4b92-a4d2-224e162a0ea6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ef2f7e09-65a1-4075-ae4b-f35af6e58f40", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3b4f384d-bb24-474b-8442-2b1ad566d554", "count": 1, "frequency": 0.0002992220227408737}, {"name": "111528b2-78e4-4464-97ae-60c2428516f4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "706c102a-ea1c-49bb-94fa-41392dc55d0a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2821661f-2416-4411-a54f-6349c68505bd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "01d89133-d168-4134-90b9-7e890874fef7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3c11b2a7-6437-4fe3-a5de-ab99af5b5f5a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ee393254-0bed-4ef8-80f9-5953a3c15e2c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "536eac68-ff2a-416d-aa60-93d8b6342d71", "count": 1, "frequency": 0.0002992220227408737}, {"name": "18c8caec-e951-438e-9130-75070fc66574", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0825804b-4bb5-4168-819d-c591a06a95f1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c65a5871-120e-43ec-98b9-a28eb1ae4070", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8cca3d8b-10ec-48a6-87a4-29edefc19a5d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "95eecf06-2dfb-4ed6-8fc4-2470d35c8ce3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "20005bfc-3876-4ff2-b4cc-5fb290293862", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dd829d75-5f23-4085-89bd-d6c4d8dd222e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5ad98838-e197-4849-b872-c5ad59e72e2d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e26b00be-e592-4b52-b7d2-ee6ae375ea65", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8c5f8c1d-d56e-4492-bdee-3d87bea4bb50", "count": 1, "frequency": 0.0002992220227408737}, {"name": "56cddf14-0ee9-4880-abd0-5c25742d154b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9775202f-1987-4995-bd7a-3fd8c4a13055", "count": 1, "frequency": 0.0002992220227408737}, {"name": "32c0310b-fda5-4d36-a2e9-9cbd1fc87375", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4b4da12c-9189-4518-a1d5-25847851622a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "01d46ac1-ad31-4750-a986-2be1910fc983", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ed3b8a7a-d36e-4d1d-bee0-1508077b2a84", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8c4a9bec-f80f-4207-bed3-d3d3e8bd2eba", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2e10f436-fce0-4ac8-850d-1d7d98c269a4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c167e1b9-5990-4389-9ced-8694a750d815", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dca738a1-05aa-4713-92de-483ade5f84cc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6ec684d2-a0b3-419b-94b8-d044b799ccfe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4b6a472e-a124-40fe-832d-71422eb47671", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c654528d-00ce-4134-b524-b0939b0f9673", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d047131b-c74d-4525-9f45-a7676742e27d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "de4fcd1f-7916-4c4a-87ec-c4d8e85884e0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3816eb2e-fdb1-4a9b-823e-95f6a19a129c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e2b81645-6d57-4259-91b5-996067e690f3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "93ff0f7a-9bb6-4c5f-a9a8-d9224c15a096", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7a40bbc7-40d0-4a57-aacf-82c507dc329a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e1ce4c86-13d5-49c4-8820-eb83e956fca9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0d748f96-1290-401b-906d-dff4cfb1f0d5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "17a32525-361c-4dfe-a85b-12ad249bb55a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "959ae0fd-6ba8-4f05-bf59-4bc8d82da4e6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7c1e93d6-cc9c-455f-8213-17747ff55b26", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d34adeb4-fd43-485a-9354-edd2c23713f3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2d7368ee-e793-4fe4-a6de-dd619addb941", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d8ba4188-077d-4d9d-8a34-09dd3578db77", "count": 1, "frequency": 0.0002992220227408737}, {"name": "633ee62f-3d1f-41f7-bc55-964c6098a6ec", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a216dfa0-6aad-4a61-86df-65d50b56ed4c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1366c770-43a6-4f9a-aab4-f4baa9bd26ef", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7ad50cda-e895-4302-bb59-359e1dad35b8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fe98fd98-72e8-4386-8843-00cbd66e88db", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1c392483-0908-4e47-8732-553fcaa47184", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7ecc2e30-5265-4feb-acd1-76d98782b177", "count": 1, "frequency": 0.0002992220227408737}, {"name": "11a21978-7632-4c02-92c5-444f3a61a230", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0424f360-d486-4c05-949f-3c4017fbb095", "count": 1, "frequency": 0.0002992220227408737}, {"name": "756898d5-acfc-4251-aece-077ef0fb994c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5b5dd807-fa60-4a72-96af-a39b39d22839", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d7b68475-3ac9-42a9-ace9-15cffdb153c9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d1572d5d-41d5-4ba9-954b-fb12bc23a57c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8f21ab72-5a88-4cac-bee6-54f9c38fafff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2a46da1e-9e95-4cb9-b499-6cbd16c055a2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "668d26b5-edbe-47a6-9961-4f5d3cf5f7ea", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9d82947d-fc13-4b16-9111-943f6f5d8a33", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3162c081-3af5-42f9-a81f-95f0bfe9b000", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bcbd5f16-699e-4bbe-b8d3-e7d824164511", "count": 1, "frequency": 0.0002992220227408737}, {"name": "591ee3b9-2a4e-4eb8-8f7b-b62287ad55b4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b13d47e8-3ef6-4b01-86eb-af6191705193", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bde361fe-f050-4a06-b977-d60881148579", "count": 1, "frequency": 0.0002992220227408737}, {"name": "63ef2c0c-cdec-418a-85c2-776806b1f057", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6c6a073d-e42b-4dac-a8b5-de955dcb892d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0fe276f0-ad27-40bd-9a25-09311532d6ea", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5896f5fd-1b43-43bb-95a9-73af8f186005", "count": 1, "frequency": 0.0002992220227408737}, {"name": "09a02917-f918-489c-ab1b-1e467336336a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4a59e3cf-6c8f-4c69-947f-f44a07302a5f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7c1782e3-dfc9-48a8-b9eb-5209dfb20ebc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3187139c-4de0-4052-97f9-cf7bba82be14", "count": 1, "frequency": 0.0002992220227408737}, {"name": "39bc9ed6-6600-45af-b272-feb6146123e7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f00ae638-54e4-4be7-a6c7-8b4fe8dbc6ce", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ec08b462-15a9-4134-9f94-4cc58dbd261a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ff894390-e731-4e99-aea6-635613336ddf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c2dfe914-9cd0-420f-93d7-e1b4af5187a0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dd1d4207-75af-47cc-95b7-798bea29a256", "count": 1, "frequency": 0.0002992220227408737}, {"name": "37c88ea1-8228-439b-b9b6-111e4339f855", "count": 1, "frequency": 0.0002992220227408737}, {"name": "25f4529d-5f53-4d30-b8a6-8ab7015b7e40", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ad1bd2b2-e368-4e9f-87e6-d5d06eb172c0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "91f978e3-a4d4-4b0e-80ac-2c29e71874eb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d13ffc82-4217-48aa-94fa-f61110af5c45", "count": 1, "frequency": 0.0002992220227408737}, {"name": "216b6dfc-f662-4ad9-a404-6d0730f0292b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dbfaffca-dd2e-4a25-85fa-a5c088babb5b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c7c853b5-2f0a-4a5c-9a01-843f859190af", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5ccc03e2-2b32-419c-a76d-759fc1431e96", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a8ebba03-c555-4b3b-a233-ee9387a0adc4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "399a3a5b-38cf-437d-a3bd-dc6ab7a4154c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b4baa143-0f62-45d3-9f88-0bace261f3ed", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2f9f5f62-db6f-437e-b591-68092145f18c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d16cda58-9c37-49f5-89cb-e537652ffd28", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0bd3e91a-902e-4d84-bcdf-f2a2bc2f3467", "count": 1, "frequency": 0.0002992220227408737}, {"name": "728880ab-7453-4da8-b89c-f27d3317396c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "42f8dc39-7b16-4e6c-837b-89fab67ff8ef", "count": 1, "frequency": 0.0002992220227408737}, {"name": "90d72b41-7c35-4e99-bb18-b58daf67eb9b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d81fdc10-e6c7-4793-9034-dd5c63efeb00", "count": 1, "frequency": 0.0002992220227408737}, {"name": "caafc2b8-544a-4a29-8eaa-7e2425c7c417", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bb55149a-41f1-4225-9d92-935e3196f002", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b14579a2-a156-44c1-b783-4d8804e44971", "count": 1, "frequency": 0.0002992220227408737}, {"name": "edd8f69b-10ac-42c8-83e6-287bd8b33214", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d3446d6a-a2e5-43f1-b868-726c72f2b96f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dc0c23fd-06d4-40a2-85c0-8b44666233e4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c27e1731-2403-4d13-950c-58ccc659dc8a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "deb5819e-e044-4746-9e3f-63478b1fa48f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "847b950f-d157-46e6-91ab-f019f3aa1a15", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f831cc72-445c-482c-9219-a0730f70160a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fae9e46e-ad17-43dd-b2c7-3e42e1d4f537", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9f13bef6-cdaf-46e0-895b-0f27dc83ae17", "count": 1, "frequency": 0.0002992220227408737}, {"name": "51fc626d-0949-4e84-b649-1cddb060bf28", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e8ac852f-76bb-48e0-bd31-571c5d4e6759", "count": 1, "frequency": 0.0002992220227408737}, {"name": "301bfd7d-f9b4-46b9-94e8-0a5b3549a36a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3790eb52-4213-45cd-85ba-106b24c2732b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "caa795fe-7e7d-4bc4-8e21-7d45da839ffe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c47cd971-8c75-4ad1-93e3-60344c57cb59", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8f6b6e1a-2a6a-4ab0-8084-2c5ecde4eb24", "count": 1, "frequency": 0.0002992220227408737}, {"name": "47bd52e9-d136-4565-9604-335652546c1a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c8532312-294b-4381-89a4-f489d714d531", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b45ba655-c9e0-4cd1-aefa-2d9bcf00c293", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9f595c66-9a06-4f7f-a2ec-cf1b8ba61e68", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e8dde62a-76c6-43dc-aebd-ab4ca02be32d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c19c7b3f-ea6b-4671-829f-243821b7c0a6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5d8df1b9-7e45-4726-bd8a-4b6e0c672dc7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a5701c6c-a86e-4ae7-9261-be0838a70860", "count": 1, "frequency": 0.0002992220227408737}, {"name": "61bf9095-d883-4ea0-a0c5-1fcec77145c6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "af7f5fbe-3e4f-491d-a701-d5e9ea8b1702", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bb856e74-27b5-416c-bdad-d53ca98c59e8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4437df6d-d614-4cd9-bedd-8bbe6ff29e8d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b5eca57d-e105-4ba4-946a-e2fd50c534d1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bf540f20-fbdb-40c4-94d3-ce9a9c0643c2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f9ab2952-f97a-40a6-ad30-bc1578cffb88", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ff8846ec-ed2e-4138-bac0-11857889a706", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e6d1085a-edf7-446c-be0d-0f4c24abd311", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0bb4e916-2f15-4cb9-9d57-c3f9cd0dccef", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c88afb19-9781-4ffe-a8e4-e7697a266d24", "count": 1, "frequency": 0.0002992220227408737}, {"name": "307a6f86-a24d-4a7f-8307-ba2033a91cf3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6876c628-e421-4ef9-ae1a-b7bfa3b60096", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4afbaad2-10a2-4dad-9559-7f57e625fc4e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "db13506a-45a6-44bf-8cd7-098bc60f3c0b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ccd9d5d3-927f-48ee-aa5d-d44228f74246", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4779be58-7b1b-488f-8ea2-3cc0b1787b9b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "125b61ec-3a5e-4c06-93da-6050ab823a0c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "98061c48-1f25-48cd-b4cc-beff821e02e8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "789de834-8e4b-4803-9f44-89aabdd5a903", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1adadb8a-3375-4e2b-9f22-9a3566695f5e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "41a84050-772a-492e-beed-7567c3ed1ef5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "91cf42b9-0ad3-4d30-9aee-523e3a916e42", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5e1a450d-c905-4552-8023-1f87b27f102d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a2a7f06c-67f0-41ec-81f3-fe4d5fcfc27c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "96616320-4d32-4420-9fee-463cd01b0f56", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a4b2b535-cc9c-45bb-8108-f8f444c59a76", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ec7bd10b-2b9b-4306-8a79-3233590dc631", "count": 1, "frequency": 0.0002992220227408737}, {"name": "364d2283-c257-4cbf-9025-9ca78bb7c1ef", "count": 1, "frequency": 0.0002992220227408737}, {"name": "af3c7380-54a7-4ed6-82c4-68bb39ca9609", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c6f90c62-2c91-45d5-8f5d-d859f602037e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e838dae9-8981-43a9-88cc-90bc27693c8f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "60f71893-fd51-4d3f-848b-0351b6d51eb8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b69895a0-2229-4bba-8315-0ffecd760d94", "count": 1, "frequency": 0.0002992220227408737}, {"name": "12ee3e0b-348c-4431-a20a-f7958c6f749c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ff765ed2-ec16-4960-919e-626c0a4f86cc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bf38e692-5dcf-4693-90b8-d3b62514acfd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "923f083e-4db8-441f-bbac-635a03d7d022", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6d47ada1-6973-4446-8498-74e8143991fb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d4491f19-e67e-42f1-a2c8-84ed446ebe5f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1e2c4c37-3ec7-41df-8772-717c02e3d2bd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "87efadda-1250-469b-b9f7-c36fb56c75dc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6a14f2a8-0f7e-45d2-8ce6-bfdbde9bd4f5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3bd7ddaf-6996-4bce-a3ca-fd9734e0359d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "66206e28-0c60-4d62-bac4-31e6fb9fb1de", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c8730052-3908-42a7-a6bd-bb9ff072d797", "count": 1, "frequency": 0.0002992220227408737}, {"name": "761c4941-8a6c-4336-bb87-c418b258ba4c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1d3e4cd0-ec7b-41b3-b018-a04980dd1c5f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "903bf285-3472-4568-8239-63622009c473", "count": 1, "frequency": 0.0002992220227408737}, {"name": "219f0533-2020-4dd7-9879-1c6e3c353791", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0afd7a91-0d00-4d51-af57-1ceecc30b524", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d78e5715-abb7-4f25-9c49-d1598018ab1b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e6a191de-3cb1-448e-9a02-2b59586c388b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "594274a4-3a46-47cd-a5b9-6a0d4b0f7bdb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "608cac71-651f-451d-87d8-7aff8de79150", "count": 1, "frequency": 0.0002992220227408737}, {"name": "863bb8e2-a931-40ff-9bab-ae32d6d81b3c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2c8c83e3-b1ad-4cd5-ab91-08781326687f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8e9eb5e5-a1e3-46b9-8502-0f3223c0e585", "count": 1, "frequency": 0.0002992220227408737}, {"name": "11cbc77d-6214-4aa1-8245-ee057e958e40", "count": 1, "frequency": 0.0002992220227408737}, {"name": "95f097c1-0366-4711-82cf-c0770efe1484", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6239b8cf-8c2b-4617-8ca4-045f8c229dc3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8db2d57f-8635-4d9e-a77f-a54e041f13d8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b80a697e-74e8-4ce6-bc55-a1083be87f0e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e0e0370f-61d2-4b96-bdfa-e0b3aa76abe8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "45cec4e9-ac7e-4569-8270-27c1118d8d01", "count": 1, "frequency": 0.0002992220227408737}, {"name": "06394739-7bfe-4d48-b7b3-19c7c0c5f301", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9a9a9326-d7e2-45b9-99aa-3ecc333a084b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "68609811-ce08-4505-a8ce-0050d73c3156", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ac5fc5d7-ccf7-4f42-9dcd-57f99d72db4b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5b6ac1b5-b175-49cc-bf3d-5f74552d6b65", "count": 1, "frequency": 0.0002992220227408737}, {"name": "44d11f35-27ed-4dd8-ada9-203cb1f5745a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "79eab3c1-5336-42c1-b5f6-81d253414c1d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c499be8b-23d1-48f4-87f8-3b020641003c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "34e4450c-6bc8-442a-a8ed-7ea95f6025cc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a22b1dc7-f73e-45ab-b7d8-17875830a9cf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "20052c7b-2ff9-43ac-99b2-3e09402be71a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0405198d-c8b2-4e31-b71f-e16384a2c3b6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9b0fa5fe-fde5-4ca1-a351-b7d390532769", "count": 1, "frequency": 0.0002992220227408737}, {"name": "af3dca0d-edc8-465f-a998-708ad4cb4b97", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4772a6e0-178d-4aaf-b039-56c77b2807b9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3cd00680-660d-4614-bda2-88e799c9564a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1740b151-6a51-4467-ad3e-ab9097b2e3fe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "779a3471-0b0a-4214-bd47-220159d0947e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b3b67545-fae3-4a18-9034-31c425bbccd1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "80a2bf68-a2dc-4e5b-be3e-5b3c45694b43", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dfac22c3-de6d-4951-9bb7-4a2d8f616bd9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f3a50fc0-df82-4005-9b03-d8c585dfd036", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8b037fac-3394-42bf-abfa-793798b1170c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0866b6f5-affb-4a12-aaa1-4718e2b519ea", "count": 1, "frequency": 0.0002992220227408737}, {"name": "521c1cad-61c5-4a00-aaf9-d528c9bd5b3a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d36a28e0-01fa-4d76-a330-1d7bc9c09708", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1d78e467-72ec-47e5-8b42-817d9ba0c13f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9e02b465-65bb-4a01-8e25-1816e51300af", "count": 1, "frequency": 0.0002992220227408737}, {"name": "917a3c7c-02aa-4efc-962d-5758b507d5bc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "731ffefd-e1db-42a3-835b-3420297f4037", "count": 1, "frequency": 0.0002992220227408737}, {"name": "045e73ad-3e0c-447d-ad15-c0aab140e318", "count": 1, "frequency": 0.0002992220227408737}, {"name": "52813052-9d75-46f0-adac-05d7172c84a9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f6510a67-fa8e-4d18-a026-8358544b6a7b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "adbcf5f7-c7cd-41ac-97cf-3a4c961a99ce", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1a2fe13b-d1b3-4d10-8306-fbd17ee554bb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4ec683a9-d673-4503-add4-db82bcfdd67a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "30074814-d610-4c71-b34a-f263dc7a3d91", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4861f4de-6c01-44d7-a003-be69b5149b76", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e8b62b0f-8d45-4e97-88d0-e4122612f101", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4297abbd-2c0c-4907-8aed-1ceb113d2f3b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0b50c873-e593-4c10-81a0-5041f104e354", "count": 1, "frequency": 0.0002992220227408737}, {"name": "87692b86-54f6-4fb7-aaba-960b704cb57a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b4fdeef6-505e-4614-8872-c0ebd9a088fb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f66c29c3-3b67-498d-a10d-04f294c53a0a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "aab34488-85bd-489c-8597-c293198b5acc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7da783e6-fe89-4e74-8cb0-1adb5433a386", "count": 1, "frequency": 0.0002992220227408737}, {"name": "56fe93ea-d75c-4c4c-9fb8-3485f04c17f7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f92c47a5-7ceb-40b9-9ba8-402023dfe154", "count": 1, "frequency": 0.0002992220227408737}, {"name": "581918b9-e73b-46d3-94c4-55fdd5cf88fe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bda248e2-df50-44ea-aa72-72be00ffa113", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3bb6beb8-2162-479c-b09e-60a424b8bbdd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a03e7b15-19a8-40e8-8c7c-0ee8d3799e09", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b32ec4f0-7b1d-4368-b732-25ddf7396514", "count": 1, "frequency": 0.0002992220227408737}, {"name": "70ec7910-b8d3-4911-b975-113f31772389", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e7b7977c-fc71-4bd2-83ea-1537eb7f8498", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ee3a852f-10e6-47af-8a62-42d7eecc5892", "count": 1, "frequency": 0.0002992220227408737}, {"name": "069a8f01-9301-4859-91ad-9ccc6ccc0cc6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7f053f17-37f6-408f-8d0e-840bb979a9ad", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2058fe8e-dddc-41a4-8795-9f9785c767c5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "24b58460-7db2-401b-84a3-5209f5a2af49", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bba1c16a-bed7-4262-8436-b119f3e95438", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3b62d108-d2b7-4b92-8792-043de942b83c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2b35e8ec-f1b7-4baf-bef9-135d90b186b1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ae866247-0826-4772-a2c3-236367497ae8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "db66faff-b12f-4aae-b080-d26e1d22defa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "55868bb8-b599-45fe-80d9-70090f7f5a5b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "15a78187-1c2e-42ef-821e-811e04808d2b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9d312e37-db45-4ca5-b719-a37f558c6d60", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dda409de-1c6f-499f-91a1-20e92a19c759", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ce279150-9351-48b0-b986-0b237bbd8780", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bcec9d3b-6ca9-4c41-96b4-8060fa4e8b9a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "999b50cb-e19d-4843-9df8-c20977cecf28", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e3bef048-71e2-4255-8ed5-ecdbb4bf9f0a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "09ebe441-27ae-4b75-b736-6cea00ecc2d3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a507fe91-02bb-43c0-9e26-4f016b410ce3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0f369c72-674b-4c45-945f-e94ba328fdd3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "00892876-d63d-4170-81f0-820566475bd3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0a9bd6ae-27f8-4de9-9e08-8bac7e67b529", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e8c6c07f-f937-46f5-90e0-a064fe0184c0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4155cff4-4e9b-41ef-871a-3563871b9f17", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bfe369a0-d568-47c8-a3c8-2ae127598bb0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "848c2779-01c2-4349-958a-76bb58ee859f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0eead96b-7be8-472c-9f18-4e470bc3f365", "count": 1, "frequency": 0.0002992220227408737}, {"name": "19a61575-65ec-4d73-9c97-f2f5f78f82ef", "count": 1, "frequency": 0.0002992220227408737}, {"name": "41a95851-d69a-41a9-a205-dea0083c3a08", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e8c7214c-73cf-458d-ae1f-e959fbd3fa4f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2dae1384-ad24-44db-9985-f373d238118b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "00e9ce95-52a0-4e3c-99ba-41a838841a41", "count": 1, "frequency": 0.0002992220227408737}, {"name": "20a16467-0c17-45a4-99b9-300506e57a06", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bf1528dc-cc71-4c90-a2ab-9f4658413b94", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7bfede8d-1ada-4318-afce-353dea2af53d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "81c7d2f9-6ba6-4d4c-9706-c267bf6ef3b2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9336ba22-9ccb-4e12-9be8-6ed0c55ca767", "count": 1, "frequency": 0.0002992220227408737}, {"name": "df7a1c58-c5e2-4e32-aff6-11ec60132264", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bf82e7a7-89ac-47ed-8e5c-99ae12448c45", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bee485a8-9a7b-4e9d-a350-38eda4adf3bc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b68a150d-10fa-4216-9a92-40f273f9520f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "da072d1a-4392-46cd-98ef-639bfe7ffea4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "10e1524a-0d2e-43cb-8f38-1ddb3dbf25ee", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b4efd56f-d583-4293-a1c2-7f09c306ee3f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ded98d4d-381a-4301-92b5-adda2f9bd1ff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1952ccba-72a5-4dd2-85e7-d2631f7ce25d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b2413a54-1ea7-4e51-85cd-6f4c7f9188ed", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7e2d5ad0-4bbe-4bd7-a636-df2d0a43c0c4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "66ab64b4-6ef0-497b-9706-1166b91ae5d5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "72cd37dd-f889-4976-a524-e31a30d77c09", "count": 1, "frequency": 0.0002992220227408737}, {"name": "347b2f7b-8292-4b30-af49-6593ccae4085", "count": 1, "frequency": 0.0002992220227408737}, {"name": "86ba7ad7-211d-4780-b453-5c7bf19b7899", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c10dc1ab-4991-4bd2-9265-decf9a0e4025", "count": 1, "frequency": 0.0002992220227408737}, {"name": "48b06e7b-845a-48cf-9aea-e1f0bded8eff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1acbe1d4-0752-46e2-834f-036e17702903", "count": 1, "frequency": 0.0002992220227408737}, {"name": "46cf7d53-f3ac-4d5f-840b-c346633a20cd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1b6f71d2-1359-4795-a5e9-97a2fb9c010e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d26b99ea-c4ae-40a9-bacc-be09a692247c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ec593fbc-7838-4e6f-95be-370090b9c15c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3d4dd5e2-f90b-4563-9c6d-c4fcddf69c90", "count": 1, "frequency": 0.0002992220227408737}, {"name": "73863497-f7ce-4936-b201-c3bb6a498b5a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "157e72f5-2974-4a3c-afcf-42989dd59d90", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b9f8a79e-9d0b-488b-8dcd-de2ad746e831", "count": 1, "frequency": 0.0002992220227408737}, {"name": "23279415-b720-4a0e-ad51-21f6db3f80a6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bc35fc5a-4584-4aff-9023-5ba107a7ad51", "count": 1, "frequency": 0.0002992220227408737}, {"name": "920d98d0-765a-44b5-857f-1fed9f25c5f5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "47f93312-8644-4e52-8c6e-c39c97712e14", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c57a3953-e782-4ddd-b02c-bd49d6505c64", "count": 1, "frequency": 0.0002992220227408737}, {"name": "43d1d9af-c569-43bb-8d09-5148fd373607", "count": 1, "frequency": 0.0002992220227408737}, {"name": "356e3fe1-27c5-4f0c-b372-90c45a906ea5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d8e5157a-25c2-44d1-b951-3c7a5c819ede", "count": 1, "frequency": 0.0002992220227408737}, {"name": "82a2e254-82ab-4039-8d06-e28c49729eff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "258f78cb-7b86-4b44-aac4-5ddc8ac4d42d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "91126bf6-a28d-4e6e-ac4e-9e001507338c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1d6443e1-43b1-49e7-955d-9d7d2898aaf0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "64807c92-dd75-4265-be25-7f3cfbdff1fd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e1358d43-ac0e-4cc9-a192-12b2974d92f3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "699b8fa6-3cbb-46d5-9dea-712bafd424bf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9177355e-1587-4020-8f36-d0710d40018a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "084ad0a3-e809-4cbf-bfe9-776b5f14fe16", "count": 1, "frequency": 0.0002992220227408737}, {"name": "025c2a83-19d3-4524-962a-f1e4ec32725b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "75121d36-b81d-4707-90e2-d87f1db35fe0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ac2d0c8a-d2e1-4b16-8304-f31642d8b26c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cafff49c-c021-4e63-99f0-259f140b2db9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3ebe7a89-db27-4da0-a0a6-5e12f20328b9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "792924c6-e01b-43c1-9ff8-9d00cd099255", "count": 1, "frequency": 0.0002992220227408737}, {"name": "904bcfec-4935-46f2-83e6-17cbe8c15748", "count": 1, "frequency": 0.0002992220227408737}, {"name": "77766837-9360-418f-b2a5-bcb33c10efe9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "542f0501-a47a-4f45-82a2-8b9c1769102f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c10fa24e-febd-45ba-b80e-4532a0a27bd1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "29946e8a-a03c-4902-bfb8-ccd218bf7992", "count": 1, "frequency": 0.0002992220227408737}, {"name": "05935a7f-07d8-4ee3-b141-282ea3ae0a75", "count": 1, "frequency": 0.0002992220227408737}, {"name": "efa269d8-6051-4d87-b979-53a053565e77", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c18343e3-d38b-4c03-9f1b-12e25322848d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0b883411-0b25-4a73-82c9-3e3753c6eaca", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6217cb6c-4d4e-4d00-91b7-105dbbf28743", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bc2f167e-0e09-4a49-8e29-935194515705", "count": 1, "frequency": 0.0002992220227408737}, {"name": "947a393e-c485-4073-93d7-1ba6023c340c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3f497ff4-39fa-4efa-b173-296691731807", "count": 1, "frequency": 0.0002992220227408737}, {"name": "af1a0e59-3671-4147-bcfb-606b23cddce1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e2699a18-c17e-48c1-aeb9-eb25581d08c5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "31d04e22-4f61-4e93-b1be-c80a372f428b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8a46e3a5-8e12-44ad-88fa-22c60befe2e4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "81c577cb-5f25-411f-8365-0c354b4163da", "count": 1, "frequency": 0.0002992220227408737}, {"name": "375fd248-484e-4690-b8ab-ea00bddd3951", "count": 1, "frequency": 0.0002992220227408737}, {"name": "864981d7-54ea-4ab1-9678-f43d362623ff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7652f44c-9a4a-4ecc-85f2-224a447117db", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2ad949f3-15c3-41e1-b960-8945dd84065e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b79fcc1e-c9b1-4b55-89f4-82d3f7503fc8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "726c3d95-558c-47fa-9c9a-d82bc6aa62af", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d5afde14-fc03-4172-8215-b7990cd73a3a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e1fec4dc-cce4-481a-b6ad-06857d5fec08", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2fc4c1fb-5e40-4e7d-bf27-bb7f4f6c1a0b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1de7091f-707b-4fa8-8282-ca00916f247a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8c1436a2-1420-4d91-b328-cf5be4fcecc6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d63a47a6-7f7b-4762-8cf0-b5264088a292", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dbf144b5-4712-4cc3-b38a-18f45adeeba7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9712d94e-476c-4204-ac44-63a90268c017", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d815667b-70a7-4e6e-9eb8-b91dad000ce5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7c35eefb-0db5-49d2-8b1d-53de3fcbd661", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cdef231f-b5c0-4442-a670-23e3efe22e7d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3ebc395b-7264-4a77-ba24-3ccc51563989", "count": 1, "frequency": 0.0002992220227408737}, {"name": "aa84991f-064d-44e2-9cab-408e05659edd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b5ddb9ff-6a63-4493-aaf0-527f5126713f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b5a603a4-31f0-4342-b868-8e4579c0e0fa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "947a4800-c8a8-4e2b-a8f5-b1bb186ba6bb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "daaee5be-91fb-44fb-bed5-a3834eb8098c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b32fbc76-c79d-4138-a7db-02108f50f5b2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fbf0835b-3673-42a2-bc12-3556a7f0e8fb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7b3f9837-dab1-40a3-bfd0-680c9594cd91", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d8a4adeb-9b5b-474b-b43a-9cc38a4f8dd8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "97408916-dc58-407f-baf8-7caee96db12c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0afb8556-9ab1-41b9-90c4-1490c7a53f8e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "44a171fa-8663-4311-9036-f2f56b496c9b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "655f8367-6422-472b-8f59-6b19a56b2b99", "count": 1, "frequency": 0.0002992220227408737}, {"name": "92c0f0cf-36e0-4218-8cb8-96f135f4dd2b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "26892a99-dea8-419d-ba65-1e4035b6df3b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a2108608-9c8c-4a45-9988-9e172a3c1080", "count": 1, "frequency": 0.0002992220227408737}, {"name": "536539c6-ac3e-4889-83c2-62aed308b667", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ba9238c1-17a5-449e-bf01-0af05334b27a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fc1ed832-838f-489e-bd7d-a8bc293a54a0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "82f785c7-5de4-40fe-8ba1-157f91a190b0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2788a2c0-4c94-4220-8eaf-feca5171c417", "count": 1, "frequency": 0.0002992220227408737}, {"name": "764514cc-d62a-4d73-8eda-54a05eadfab3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8b54ce17-3da5-4a97-af98-c69620275330", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2777fbf0-2c92-4e98-8e7b-539699c42473", "count": 1, "frequency": 0.0002992220227408737}, {"name": "64766ea5-4793-420e-8ead-5a2c6fdd58e9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b5fd9d6d-f4de-4dcb-a2d5-c37ee1aeb80c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f560904c-2f1a-47c5-9197-5bb6b0116b9c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9ac2f952-60e7-471f-83cb-adedfc249214", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d9196abe-f5f8-4b6d-ae0d-ff2097da150f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5db7561a-9dcf-461f-8a36-12add43ae9cc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a2e2099a-e1a1-44f5-8a6f-0765ee7a56e5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d10d4d5b-121e-4c9c-9ee9-e3849dd7f01f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e7703c35-e2cb-464d-94b2-bf855a06d175", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b4a6fe70-e010-44ba-9059-7e8ac1b70f45", "count": 1, "frequency": 0.0002992220227408737}, {"name": "40d66d3b-1ead-487d-85f2-da5fcde663b2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cafc26b7-c255-4c43-9e3a-cd2bbc9691c1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "216575a6-a766-4c94-a364-a8b9ae2a4d47", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ac5814ec-fc30-4c88-805c-41a63391c939", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6e4e0abd-7a0d-4614-af06-80073bda40d7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "21115d8d-da13-4f1b-93ce-97f8334ca6fa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d30760aa-3913-44fe-b65a-a97f393c11d6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ba24db27-6666-4825-82ba-6edf51778a89", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f3fe7fc6-ac30-46fc-af51-7fa831d4fa9d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "31caf6ec-dd9c-4409-8f0a-f5b912ccd0be", "count": 1, "frequency": 0.0002992220227408737}, {"name": "884d5b60-6167-4906-abb6-074480916b63", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c7ac04c8-2739-4d2d-8b60-3c49675dedc2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4acb334f-5376-4dae-b3f0-4f53d92a9e2e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3a1bfc61-88f0-4d14-8635-f746c8cd2168", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2ce88fed-c05c-416e-a141-a16b9b50cf32", "count": 1, "frequency": 0.0002992220227408737}, {"name": "000b36fa-cdf6-42f7-8ef0-5cb0643330a5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2acd0f23-e199-41ae-b777-6b24536b4dde", "count": 1, "frequency": 0.0002992220227408737}, {"name": "200dc754-c60c-4d81-9d97-b8b5bc6eed5d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6cb59fbf-b835-4468-b17e-40025951bb8d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1fee5762-ff12-4aef-9c96-002ace62baa8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "38bab66c-0bee-4538-bf53-7b4f7d6b0321", "count": 1, "frequency": 0.0002992220227408737}, {"name": "eac58b52-2b6c-46b2-bf8b-e2dbea25e61a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b4377f1c-ed87-42c2-a01a-462c7b2e8684", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5c025bb4-e446-4b9c-b610-014e57600130", "count": 1, "frequency": 0.0002992220227408737}, {"name": "adadf789-1e06-4916-b0f0-bfef8ac2e140", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6043295b-5aa4-43fc-b464-c3d745b1ccb3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7df50934-af13-487a-a3f0-d4df99845a4f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e040cf73-5699-4f05-b5bf-65058b7e3771", "count": 1, "frequency": 0.0002992220227408737}, {"name": "afb477aa-53ec-48f7-9c1e-fd9e8fe43565", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1ad46366-a063-44fb-ae49-0b2dc932bec4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "329d1cf8-2854-4fee-a0d5-352d455dd3f6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d5356559-f46c-4a98-a1d9-47fc2652a87d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "88d325bc-da24-4990-831f-3b1b4c3d0f06", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c823bf36-83fa-4623-8f82-c3eb90d0a76b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1e43caa2-8bd5-41d2-a6c7-1c0b110ae431", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1279bf55-985e-4bde-abff-a1c5531eacc6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "39fab2df-1445-4d6d-9f16-c9e8e978d51b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "55725844-895e-4c0b-8101-eb84e576ee23", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0f77737b-7fa8-45a5-b33b-92af3189ee5b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4e8857c3-3e40-4e1c-bf53-8c3a251c319e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2233d5dd-a1a6-4dea-9612-254c82236937", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4117c245-8aec-4e41-ba96-5462e38b9549", "count": 1, "frequency": 0.0002992220227408737}, {"name": "529c1f8e-c1b1-4b20-b0f8-97dd45febf0a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "445e6add-5bcc-4777-adcd-3d894bae5e2e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "30a7bebd-ef19-49cc-ae65-50be91e0ddde", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9128ad2e-6afa-432a-8881-d30e274dcbdd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "56706b12-402b-4551-9713-48a5fbb959f0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d8f76e13-6751-474f-b9e1-07031a5e2af4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "245dc1fd-edc6-45a1-8337-0cf30aa696b8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "10f4e366-0adf-4b43-b5b9-e0dc011a6dcd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "93f8db8a-884a-4dde-8fb0-a3e2a7d27832", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8315c2bd-ff11-4216-97ba-5e5e8a441716", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d1a3e837-cfa6-4364-b308-2c3b481c0a49", "count": 1, "frequency": 0.0002992220227408737}, {"name": "11426ecb-4178-41b2-a513-2e44086e2986", "count": 1, "frequency": 0.0002992220227408737}, {"name": "89679992-fd31-4a52-a45f-6e3f79234857", "count": 1, "frequency": 0.0002992220227408737}, {"name": "15e0434d-30dd-4101-a282-bb4f4040689e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "29abda97-d61d-4194-93ef-2112e58f77b8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "08414326-7fb5-4f11-aa8e-baefe8181912", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1cb63f8a-45e2-4381-b8fb-b6a24276f477", "count": 1, "frequency": 0.0002992220227408737}, {"name": "da0ae95d-c2e1-493e-8120-4747b18f77f7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f65d2f80-6073-4cb3-ac62-251bfbb7bb09", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7cce02c7-117e-40d7-8b62-f9abf64d1e44", "count": 1, "frequency": 0.0002992220227408737}, {"name": "724b5828-3c40-49b6-b37e-9fb537797144", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fac11860-94c6-43d9-9ad2-d3f381b4f19f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7669459c-e0dc-420f-912e-82b5637f4f9f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "64f3e252-c9e8-450f-8419-e385395eaa16", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2f4e14ad-6b0a-4c5f-b7ab-062a4b150483", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5795e1dd-3b01-451a-9ec8-2afbf5c72417", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f609f407-ba1f-4af8-8ed7-8af6b146b877", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a4cbfc30-5ccf-4a0c-acae-7d5e22b9b6d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f6e07e73-d018-4832-ac62-14c2bc70c46e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c372979a-0ccc-4f17-96ee-128d9e906564", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6b9983ce-fd2e-4956-9f42-6837bb60d91b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "efdfcbe4-f4da-4c26-b32d-a017789be0ad", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dd77d588-7e53-4bc1-bc54-8c6540fe7247", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1b31c5ae-e6fd-4a0a-93cc-e7a20e0bd2e0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "da712516-ad15-436d-8ec0-c98787d667e2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c5865d29-ab32-4444-9333-d81efb7362b3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "57cae2dd-ed4c-4f9c-aeee-565401cac327", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cc9cb598-f598-4f4d-983c-c74ee0466d2c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dfee7d94-9d76-44c8-b5c3-777749ac8c87", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3681e037-6aef-45da-90f7-510c68259549", "count": 1, "frequency": 0.0002992220227408737}, {"name": "37c2a1ab-fe2a-4d96-a329-6f365e2a42ce", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ab896bd1-1a0a-4c7d-a2a1-4ec1dc73a119", "count": 1, "frequency": 0.0002992220227408737}, {"name": "96611f98-3dff-4889-9f70-0967049d8e3e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "da5d65b5-d575-4510-a689-08fa5e709a1d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "38fac99b-b3e4-4b59-9464-45541af8e2ff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "81767437-3805-44ac-84d7-5bf4967adf1a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9be9b041-7476-43d5-a8a5-25e1c0758376", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c657b959-0011-426a-adb8-dd5cabed7098", "count": 1, "frequency": 0.0002992220227408737}, {"name": "60b5d0df-fcf4-48dd-92f5-37680fc45898", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c402eb9b-ecbf-4a06-acf5-ca068706d648", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8af9a108-c0a0-4cde-bb1f-710a4f1bafe5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "450a22f4-006d-4ff0-9faa-3d589da56290", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2267ceb8-6012-4459-8c45-e7bacd5989f7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "15469445-3334-4a0d-a11e-77ef6e516de2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "67fde6e1-9879-4d63-a28c-67add2d6b867", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0bbdd185-978e-42c2-abe8-75f508b4f088", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a6a66b83-de17-4c4d-afc1-fd1b598c160e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b8502dce-e8ba-4239-a934-0da93647cca8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ae97782f-9bd6-4ed5-b981-9e39a3c0afed", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7ffea2c3-b352-4dc6-a6ef-0211209823ba", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8acd4b1e-5f69-4e43-8b61-284f6fee605d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a6699805-35b7-4aec-bebb-d382fe67863d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "18cd60f8-5147-4750-91d1-d64fcfaf2b6b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "de13def6-7ee9-4bb7-bf04-f72a4579d1c7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e56f9ac1-b7bd-483d-bbe7-0ac8108ebfca", "count": 1, "frequency": 0.0002992220227408737}, {"name": "60b76dec-9c5e-4df9-b251-8d8e1b16cf11", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3de24713-d35a-4904-82c1-4492cb51404e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d285e9af-123b-479b-817d-7a3ca6b3e50d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cdb3eed2-49c5-4d0b-87db-ba6d18c4ac11", "count": 1, "frequency": 0.0002992220227408737}, {"name": "895cc153-db8c-4e13-864c-d7fc5fe567c6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "57902d16-5837-4deb-ac9b-f330d3e825f3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "be4f7e2e-6afc-4557-b9c9-81162346a1e5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4ca7d0b4-bd45-4c1c-99d8-aa71013ccc7a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5fb7a69e-7ec4-4a87-9156-a69f478ed760", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c623f6c2-ec2b-4e92-9be8-493081160615", "count": 1, "frequency": 0.0002992220227408737}, {"name": "db4e519b-2145-4fbd-a59d-aab767b600bd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "14714769-2e2d-439a-b17f-31af739abcfa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6465cdc3-3eee-463e-b6d7-2c1c583119ec", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e7fe8ca7-1d3c-49df-9b6f-59349c890d38", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9278365e-9dba-44d9-893e-39599f50d750", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e44d19ac-5a4c-4fcc-a8f6-febb4c668810", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fd303486-4749-4be7-9c1c-d3797aa9c7f3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cfbd6314-2afa-46a4-84b9-25588e5f9c27", "count": 1, "frequency": 0.0002992220227408737}, {"name": "715d1db4-8751-47ae-af20-fbc5c1063b46", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e1cba486-f737-4525-b314-1d32574faa7e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4692ad6f-43d4-4765-9621-943bf10a54dd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3aa23fae-a3fd-4c74-8f0f-b134d18087ca", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0148e7eb-3447-45e8-89aa-a901af77ff9c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a2ee03e0-ae40-4eb6-8a3e-3b686b86bb34", "count": 1, "frequency": 0.0002992220227408737}, {"name": "08b32770-9b4f-493c-b279-69a18e41be40", "count": 1, "frequency": 0.0002992220227408737}, {"name": "22e22f33-d5d5-4ac9-997e-d2b580493345", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b917c2e2-a2e1-4850-86f4-ea1b242a2f28", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ef39a58b-c787-4fc3-bc94-2e17c0d24f3e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "659f9166-5117-4141-a176-97c2837fc3d9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d8d0f7a5-742a-429f-a49c-9b30de9fadeb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5d808e37-2c57-47c4-9911-ce981d4f4611", "count": 1, "frequency": 0.0002992220227408737}, {"name": "afc2e861-e8cf-46c9-84b3-614a3284abf8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "92451a93-f2b8-4c18-af92-a6f0dc1dfa69", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2ee49d83-c37a-4fda-b3fc-7ade41c482df", "count": 1, "frequency": 0.0002992220227408737}, {"name": "da531584-418a-4fb8-9f0b-cf6323dadefe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5a7a0cb7-eef8-4906-baec-e3f1d94f6131", "count": 1, "frequency": 0.0002992220227408737}, {"name": "396c5be1-792b-417e-9dc2-903af14a5e7c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "42df1cdc-3678-4a9a-996e-8a7b0e32666b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "855a0652-6b94-4982-b999-38dcea5ef260", "count": 1, "frequency": 0.0002992220227408737}, {"name": "417f6966-f405-4e36-a26e-39685e24c7ac", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0a2bf480-4308-42b2-9b0e-d5d0c864fcb3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2b1bba02-42b2-433f-915b-0c6f3d8e1a0c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "167672cb-fd4d-4072-97b8-cf61e124bf60", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a11df66c-9143-4b50-890a-ff04ad9a9d57", "count": 1, "frequency": 0.0002992220227408737}, {"name": "40ea120e-1ed3-4eca-a54c-01a0f4a8a2a0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7c2f6240-b641-4d98-9da5-e60e5cce67ae", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1be1831b-09fd-4464-a553-ee4a89788759", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0705a7de-a63b-44e9-b83f-77fb26f33716", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5bca4afd-f061-4cda-8f03-3697cad4d048", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bc6949f7-a937-4a6f-a19f-41310f46e8e9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f1fefd2f-84a2-462f-8635-5356dfd7bd7d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "91ceee96-508a-4fcd-8063-bcfd7cdf5906", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7015f289-3e50-4198-b832-a3c6d38a60e4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1dd4041b-2e03-498b-b950-a4bf7837fd30", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f56e206f-3d3f-485d-89db-a9c128d46258", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4d8852f3-dc12-4cc5-a440-6f5c99c05ce0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "79aefc88-f6f6-424b-97d6-5454c6f4b4c4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9f4f5ff7-a77f-4be1-9fde-f4702c1d2a6d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c14f452e-a7a7-4135-8492-bd372a9dcf3c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e5e05c89-21cf-4f51-9ecd-8c9ae4201823", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dad7bc40-0e50-40ae-bb6d-7e4db99214ba", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4e2b97e6-421a-4e82-99d8-a9a35cc0f288", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d68f5381-bfee-4569-9fe4-a6b78cf59934", "count": 1, "frequency": 0.0002992220227408737}, {"name": "19d4e8d3-b406-41c1-9c7c-2a1d0db9183f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "43c858af-157d-4675-be54-42d77470f6d6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "57810d60-6849-4de4-9bb3-efd0c98bb63e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bf78ad03-4694-4037-8e26-3efcee5b7cff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e0051e50-22d9-403a-bc4e-ce06bcbb5618", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7dc03079-97fc-4b3f-a05b-6541fae38591", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ebba5d5d-46a1-4dd4-8513-424d7c6cdb3e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dd0287e0-0a77-4d39-bd95-88cf0ac36704", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cabd5f38-3367-4106-a468-fb60f2e802af", "count": 1, "frequency": 0.0002992220227408737}, {"name": "64593a4b-98ba-4b58-a3f3-64622bc846ea", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a94610da-d86d-48eb-9192-e366a65a3507", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5e9312c6-06ff-4d80-9a36-609f0bebc62b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "55287444-012d-4ee8-ac40-dc81f760fcdb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "de8e00be-4b95-4a46-b920-ac87eb7bf993", "count": 1, "frequency": 0.0002992220227408737}, {"name": "90d8b9dc-967a-4695-b4c2-889c70858df0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c49400f3-4008-4834-97fc-5f9549458e5e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e03162ea-84b2-4fe9-a67f-e8aadfa36b98", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d9a0d3e5-c861-4e3c-b87a-6b63dcb4ae41", "count": 1, "frequency": 0.0002992220227408737}, {"name": "95338103-bacb-4aa8-ba51-057affd5232f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b0892719-3d9a-490b-8b43-7278983677c2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d45b826c-d2cc-42f9-9af0-3bb949c8e798", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ee64642e-24f0-41cb-ad50-02b59ddf1748", "count": 1, "frequency": 0.0002992220227408737}, {"name": "287fb997-3bf0-49b0-a014-000acbe11722", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7d1a83f9-49ff-4a8c-bddb-177118973a6a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "469eb24c-429d-4832-ab33-a2c00e127a70", "count": 1, "frequency": 0.0002992220227408737}, {"name": "554b9830-9ab6-4dd5-95e4-4dae6eb97fbc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6e1fa530-c0be-477a-aade-4c5b368e9b51", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cd04243d-d613-460a-9718-2403e9255084", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fa30239c-6286-4a1d-86af-093b6a26e2e9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6c388c66-2f15-45ee-9a4d-ac0b9c8ee985", "count": 1, "frequency": 0.0002992220227408737}, {"name": "93d2b8c0-b8d5-4ff8-bc00-9a33c9708c42", "count": 1, "frequency": 0.0002992220227408737}, {"name": "58d72cff-6ab4-4cb0-a874-79d18d95e7fa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "55fb8a5e-202b-47ef-b33d-06d2dd223705", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0f2fb968-c074-4ec0-a244-a1a5d7e74b0b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "69d03a33-ce80-40ab-973a-4bff1dcd7835", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e345e980-09e8-4497-a795-3380a3cbb07b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "39cdb20b-1a74-44ca-8155-114e8ea62a3d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1fdb84da-0b1d-4a15-b30f-4d7a17d0429c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4575c0b6-409c-4492-a70d-3dea1951ec84", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b91ccac2-30e5-4d85-ad77-1143af5a4aac", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0a8db515-6358-4a0d-aa30-708dc89dfcd1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0b1f4d1a-3183-4689-a50d-46b5bc96fdc4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "552ebe93-d3e6-44fb-93bd-4277a479defe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "49cc9233-88fa-408c-8e62-dfaf5d3cd993", "count": 1, "frequency": 0.0002992220227408737}, {"name": "115dd529-bc92-4311-b1ef-27b680a07cbe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "76ae328d-4c05-476e-a9a8-f35d5dad073e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8f5b72c3-46e8-45f5-a567-58812660ea29", "count": 1, "frequency": 0.0002992220227408737}, {"name": "728adebb-44df-4623-91bb-3fa24fda5e9f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "29b5c9eb-1f52-4ce6-92f1-489ea91a6776", "count": 1, "frequency": 0.0002992220227408737}, {"name": "653ad073-909b-45c1-883d-0ea2b8ab1da2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4ca37a7a-1500-4f0d-b86b-4ae6b5de3840", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f9d3d80a-3c89-40ee-bb8e-b611ccd8cf50", "count": 1, "frequency": 0.0002992220227408737}, {"name": "47e91499-0d13-491e-8b2f-3cb9c90ff4e1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fca825d5-3e43-4ad0-ae12-bb43368c8606", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6f59ddb3-3e19-45ec-9006-ed8443bbdf68", "count": 1, "frequency": 0.0002992220227408737}, {"name": "210e8e9d-ca7b-4314-a2b1-165587f2a69e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6c0f19e0-505d-4615-ab62-1c9e61ec1f12", "count": 1, "frequency": 0.0002992220227408737}, {"name": "06fb8bfe-8ea7-46ab-8a12-329f3ffcbefa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3a47ff75-f895-444c-a285-6667d53b5f78", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7b4d1959-c53e-4000-8afc-ce901e4f7969", "count": 1, "frequency": 0.0002992220227408737}, {"name": "976d3f99-c235-45c8-87cb-ff3879e93dd6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4e22a057-0833-4aab-a3f5-144ac684432a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "167bb71d-7f5c-4539-87bd-16f1ebd114f6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "69b1f659-4643-4bb4-995a-2ebcebae8cb8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d7772ba2-803f-4827-b286-8136d77db5ec", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bfa8fb46-4841-41d0-86b7-574d96b415a0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "699aeba4-40cb-4e13-a6c5-c2a04fd19449", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d17c715c-5a10-4b12-815d-e5172c9aaabd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "87ea90fd-29b0-47d8-8318-64c7a4f6fdd4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d9100bee-0318-4778-8fcb-da8676a492a9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cd887376-c994-4807-b429-05aaa7bce61c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9fe939a6-d3c6-4c05-82aa-e477fc318993", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4d7f1d44-f713-496f-a423-ebd9b908e181", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fa4c61d5-bbf0-41fb-8a6d-2bd45078be21", "count": 1, "frequency": 0.0002992220227408737}, {"name": "05997590-0f0a-49bd-b097-f9a483f6acc0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "74994f6a-c78d-4fb4-a6f5-d1404260e88b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4c5cbd7b-fcff-41e3-b692-4605d7483446", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3df10282-30bb-413e-b91b-f528e9daceed", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2fef1ce7-c2ad-4fd7-b843-df676848ba4f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fe859f16-116c-4920-9f27-9ede2cffbe2c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d0eefe2a-a39d-47e5-a0b3-b2a5f16f068b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "25de0248-c053-4c91-b90c-ba03a0ad78b2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "76c0a531-3af8-4dbc-aef9-eb39a73e94ca", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0c6189c2-f2bd-4edb-93f7-5717f1c028ad", "count": 1, "frequency": 0.0002992220227408737}, {"name": "55d3e7db-5572-42ce-ad5c-58679d63e247", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dec42488-3f53-408f-be8f-9dab354565b0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fdf75a41-8fa5-49e4-aafb-c55988252a60", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7b7c2deb-1fc9-4696-8680-483e5b7b03ae", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b8a494d3-6bef-4b98-8a93-fa635df17343", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dfa21c4c-178e-4f85-9503-52009d5c4287", "count": 1, "frequency": 0.0002992220227408737}, {"name": "af681af2-ff33-4048-9bf9-861a8256ce9f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5a6adf6e-cb73-4783-a223-a2e6304676a8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b1e8111e-35fc-47a2-be79-81c671cfc5a5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bd702189-5e0a-4452-ad34-2fdd79faa00e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b767d9e9-fce2-4dfd-9de9-dfea570372ca", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b78396d0-461f-4982-aafe-74c7a8d83027", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2f222107-6475-4c10-80f9-58f777423380", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7ea019ff-c98d-40fc-9cfc-78a964213e4a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fd1d76e4-e12c-4509-9d20-77208783877c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "40799e0c-6b99-45e5-b6d1-0ed4dd3ef881", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dcfc96a7-0ea4-4708-a7ed-f1131f82c323", "count": 1, "frequency": 0.0002992220227408737}, {"name": "80aca0bc-7768-41e5-b370-8f79a5448fb0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0617f060-6474-47de-88cd-d83c65d4d835", "count": 1, "frequency": 0.0002992220227408737}, {"name": "43a5c6eb-bf77-4cd8-8df9-ec2a5c244dd9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "580a3b37-aefe-4f33-8792-34d575ac5434", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f761dfab-ef7d-4898-abbd-eeb84c82dbc8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d4709059-15cc-45c9-a39e-8c963f5b4355", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c352169a-db91-4609-ae68-cc57db932cd2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f9dfb98d-a480-468e-8ad4-56ecf3cb1f28", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3d31af4c-5fd6-4c97-8e10-c0439a351003", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5de43a5d-19af-4ccd-b8f4-db41d193c920", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a75b6564-39a5-4f41-9432-692524548c02", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7a9fe264-cbdd-467d-a97b-fa1903d64a20", "count": 1, "frequency": 0.0002992220227408737}, {"name": "10da0a63-9816-4cd4-a3ca-f64511c63a5f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3a6ffc4e-6747-43cf-96ed-32727f3be192", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dc2c68dd-80c3-4d80-9440-5cd290b0bb4e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "654a5a16-fdd0-456e-8891-4e12e9ea2c7a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c921c1c0-e7a6-4673-bfa3-b183a7ca57fc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f0f67748-53d7-4b1a-a113-82c8d7c17284", "count": 1, "frequency": 0.0002992220227408737}, {"name": "57dba063-f441-4830-b97c-70bf09185aa2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "95d4c74d-4b2b-4114-9a8d-a12ae9cf891a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4abae4c0-47c9-4a1f-b0cf-8308fb6bfd50", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e12c5658-b12a-4819-96f5-391b684f4232", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b2b0123e-dcba-4105-b435-60873887e704", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9d0aae23-4aec-4422-a373-4c776bb74139", "count": 1, "frequency": 0.0002992220227408737}, {"name": "87d589d4-74bd-4cd4-9c7d-9442955b822f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "75520f4b-121e-42ea-bbbc-147788f07cd1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a9186c79-79d9-4abd-8b82-3d0fd40bf6b4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d81e9afb-6f54-4d64-9d6d-3560c41aa1bf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "60ca374b-6531-4ada-a53d-c37ceba79746", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6ccf5da9-079f-4b70-9e89-a5ed5e71001c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "45a47478-a811-4eeb-b667-e4b2f32b2e04", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ac1b6e19-3ac8-4718-b7ed-0a0dfda2eb33", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c4f07657-c722-481d-8db2-7e6b93bdb86a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ee7caa4c-6ac1-41e7-9425-6e2f1ac7edbd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1b1cb8d9-d7db-4388-9923-2dad4c0fe9e8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a46a9818-ffa5-4679-8b57-3ec5d243f9fa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d94271c8-e6ea-4e5b-bcc7-2a97d7fd9e8a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "724e55a3-380b-4443-86a9-430864fe2493", "count": 1, "frequency": 0.0002992220227408737}, {"name": "794276e9-2426-47e2-ac8d-4ee5043c7ec2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0c5f53a5-474c-4ee9-aa2f-3d4d948ab9e1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0ac7a0ee-a90f-4dc0-962e-78fd72125ed0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f8e8ab86-f710-49d9-9a0e-9410c8e8abe3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5a5ad8eb-08c3-408a-80fb-e2acb46068c4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b73c0982-e230-469f-acb0-5c6160a33a2e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6f353aa5-5f2f-4a56-ae8e-cb52f3619588", "count": 1, "frequency": 0.0002992220227408737}, {"name": "28a7fa29-5521-4bdf-bc50-6ca10fc67d76", "count": 1, "frequency": 0.0002992220227408737}, {"name": "643ea256-221d-4c7e-b606-3317cde6ac8b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "59a6cf77-ba9d-44a0-be9b-2ae8c29656ba", "count": 1, "frequency": 0.0002992220227408737}, {"name": "63b8bae7-585a-49bc-a274-1bcb51024353", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7ff51d39-3d6a-4e6d-a4e9-1bc71c3fe4e7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "babc43e9-793f-4bef-8322-0273830822cd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e3840585-caf6-46f6-abe0-8e906ca794ad", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b372b0f0-5a1a-40dd-a294-e35ee38ba0c9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a9d3a44a-d468-46f2-a74e-e78ec3371b01", "count": 1, "frequency": 0.0002992220227408737}, {"name": "61751ac6-793f-475e-bd2d-34dfff6176ed", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4c26e23e-cff5-440c-aece-75be64b6e20d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d0afc06c-3b41-47a3-a595-2c1a5752c33d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "825bcada-9a44-43e5-9cdd-4b04e6693212", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ed877c12-d521-41a2-9cac-5b5aeef9b8fa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c5c63b99-d6c5-4b71-9a33-5851850513af", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f18d9ce5-1a6a-4da4-b5f4-9abf95d459cc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "98930ed2-e156-449c-9b85-ac9385bc682a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "686c5906-018b-44f7-b59c-146c336ce2c3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "21c7a80e-0eeb-402b-b2bd-56a5bf7549b3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f8a55e97-9670-43dc-80e0-f9b28bc88cc7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7d79c384-aa58-4a97-bbaf-8eca8c326b8d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "adef7675-1309-43d2-8093-9731833832ef", "count": 1, "frequency": 0.0002992220227408737}, {"name": "30f3c4e1-a254-424b-8004-256b24a77e72", "count": 1, "frequency": 0.0002992220227408737}, {"name": "526f227e-7ebd-4076-888a-232df146f38f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8badabe4-d93a-4779-a8c0-9e673e175248", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e78fbe0b-76f4-45ed-a1e3-61d789011a3c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d9cc9d66-0eca-49cd-9795-bac9fa1ba6e4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "585a5c52-4dd5-48d5-852a-fbc255c8b935", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c4dce8c6-01e5-41c1-8593-1504d21f910b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2662964d-e172-4d7a-82c8-814b34d02857", "count": 1, "frequency": 0.0002992220227408737}, {"name": "26beebec-6215-4e70-b989-e6bedb8293c0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5978b38c-c55f-4dca-88c3-b409a4250d52", "count": 1, "frequency": 0.0002992220227408737}, {"name": "843fd492-84c7-4b96-96b7-2a4003b8ab6b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "890f5bdf-de31-487c-9e72-c20f880a039d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a7dd4580-c860-40cf-9505-3ecfab26f5ef", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fbb996f7-4324-4197-b834-c5fdf5af8ba9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "450a2f32-e884-4adc-9d0d-abbf1dabeb6f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f251ffab-908d-4ac8-b49e-d5b00c77ece8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "65eee39c-4c8c-450b-8544-4b510d027ae4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "721e6420-6086-4444-b1be-222404bd1194", "count": 1, "frequency": 0.0002992220227408737}, {"name": "82ae067d-df08-42b8-8cd3-4bb3f4c8d440", "count": 1, "frequency": 0.0002992220227408737}, {"name": "437540fd-48a6-4810-a817-eedbc3939bfd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1e129394-9331-4cca-b4c1-19649f010642", "count": 1, "frequency": 0.0002992220227408737}, {"name": "172554f4-d5e8-45bf-ae5f-4f6452883ba1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0e16ac23-9fae-4a85-befd-8f3f66575576", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5d351291-a6fe-4dbe-a80d-21311f8c74ef", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a0be4bd1-982f-410f-802e-4ac7ff7ffa84", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cfef5e3b-fa6c-4d0f-b7c0-e3b2c7bdc4a0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "518328f5-9f8c-41f3-8209-89f52ca65a22", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1d0c1543-6111-4831-bdcf-a616cdd6e4ee", "count": 1, "frequency": 0.0002992220227408737}, {"name": "663df7ce-0ce5-48c6-8428-e7452c85fe42", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cc12f757-aab0-43fb-87ac-8d9224d3361c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "58e38a1d-a39a-445f-94b8-3d515c8c2bec", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dbc44826-b2ad-420b-8d6a-9fbfc2870061", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f8416ef7-1b24-4b75-909b-5f4a2a09b50b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2e6ef8bd-5069-4fe3-90fb-84403c7de47d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "672527ac-88ae-42c7-bbc9-93af642a2922", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3a7c4172-c9d7-4b32-8f85-42accd30f32b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0484088f-d6ad-4628-bc59-c76ee2d0c269", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dbed851b-d619-404e-ac88-7b8ea103a6c6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b435f747-11ca-40f4-8c4a-dff5ccadd18b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bf209560-a76d-43b8-a767-2b4440096c0d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "289309a4-5982-4f81-a5e2-8edc9125a351", "count": 1, "frequency": 0.0002992220227408737}, {"name": "25793108-017e-4dbf-ab14-ce38357a48fe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "481a2939-56be-45c8-b217-8dc00b5df604", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a2aa2fb6-7d21-4c4c-9c03-07ae8dad9747", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f2e5fe45-54f1-4a54-8304-ca9fbe4db140", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c44f72cf-b482-4eb4-bcbe-ea0175a0ad00", "count": 1, "frequency": 0.0002992220227408737}, {"name": "54a23780-0d7f-4443-a84d-af75ec0a73a8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "db32ff52-67c4-4ab9-9282-38c0a1f46455", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9fddec39-8574-429a-9f74-205e3a6020f8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "28602b92-51bd-4fe6-93a2-bc0bb733ec9b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4bbc4c01-29b2-4a46-9785-1f61203488f6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e02d9558-5e42-431b-8c40-9fa0f5e598e6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f0ce0890-88da-40fe-abaf-759e0f3f6d85", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5d93a8ec-94a1-40ba-8884-1c946034e100", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b3d8614e-adc6-4a6c-85e7-dd6a325bb95e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e6b2a57e-2e75-49e0-ac5d-f6a0833cd026", "count": 1, "frequency": 0.0002992220227408737}, {"name": "98195fc9-99b2-4bcf-b8dc-cec2fdbef9bb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fb5551b6-6ac4-4d95-997f-42136635e144", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e6fa80e7-3f6f-40cd-b63c-ade869d809f6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c538d173-0969-461e-a936-2b4c1dba338d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "49aa91ec-328d-4bb5-a77d-47091e154361", "count": 1, "frequency": 0.0002992220227408737}, {"name": "448cf76f-4488-4be6-8243-f295dc7f83aa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cc519f77-699e-420f-96ff-951190645cea", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f4330e6b-bd76-4ba0-a137-a615453287ec", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0bae2547-c7ed-4954-ad43-b27fbdcded09", "count": 1, "frequency": 0.0002992220227408737}, {"name": "96ab5c27-3e2c-4a5a-b15e-4df20ff5732a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5d6e0374-7bd2-47b7-a97a-eaff5697cc07", "count": 1, "frequency": 0.0002992220227408737}, {"name": "67d46c6b-3665-45e5-bb43-b12803778be5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b51ce1a8-089d-498d-b943-bbbdb4ed3d7f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ced781d8-d3c8-40e2-b46a-c718efeec6d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0b623cc0-3906-480b-86e5-bc2a498a17cf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e1cf2ed7-cb44-461a-9dd1-ab9f0e2608a0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3a744a0b-a2ba-4d89-afe0-5232c61b8b5d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e699a97e-4227-4901-a630-6246ff2e9a1b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3f1afafb-1de9-4e84-bd07-ee77b25cd178", "count": 1, "frequency": 0.0002992220227408737}, {"name": "016ec881-03b9-4ae1-92da-bbd5c62fcec4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1acd3f21-a535-44f7-a553-60f1c0c3aff8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0946f96f-1c1d-44a0-9a72-12076344d4c3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d7074e62-b342-4511-948a-e198f3747f81", "count": 1, "frequency": 0.0002992220227408737}, {"name": "74e25fd5-fa58-4693-9d86-e9d9237bcd96", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ec7a5556-9d06-421c-81f6-45bcf3a7baa5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "67301728-c7f1-400e-b9cb-993a7a97f13f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0be08b4d-97e0-44cd-9fa7-6d474789a811", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e7091096-a3ca-40ad-8b8d-8b848a39909e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1e9bd806-0093-47ae-b8a2-69aceadacee8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0393e0ef-ec8a-46fc-a918-032aaae25fc0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0076bb14-f6a0-4127-9d81-89d33c23e011", "count": 1, "frequency": 0.0002992220227408737}, {"name": "65da3dcf-3662-49c9-9096-83711da2f0eb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "125581c8-9450-4164-be68-1549dacab948", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7702dbda-5522-4535-acc9-977258ee39ff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2aeeab4e-f9a9-44e2-8cef-c67c6b56e19b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f6bc19c7-e783-4c98-b93e-a003ad1d2904", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5070cb23-adca-4778-a3e3-602e99979ba0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "160666e7-59ba-432a-900f-6aec68a266b6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "14164fb6-851f-4b34-b929-f517a0873cd7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0c660180-7b67-4a6a-93bc-71dd4e742f68", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a1aa5c3e-c1bf-41d5-bfb0-98a34e7e6ea0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3a905eac-04fa-4f60-b0dc-756445779e3a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6441984c-a04b-4ddc-b1f0-ad9dc58e5b87", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bea7eb55-f781-4ce3-bcfa-6aa8c7afe9f0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ce9c0413-9f3e-4b80-98ce-6fd4c0287af0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7eab199f-4324-49e9-a8da-58f6921291b6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7fd98fa6-a204-4a00-a0ba-e102e1e7a6df", "count": 1, "frequency": 0.0002992220227408737}, {"name": "258fb27a-edf3-458c-963a-e47e3d2b75d9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a479eed6-f45e-4a9a-ba78-b2e242be2435", "count": 1, "frequency": 0.0002992220227408737}, {"name": "35a45808-b428-4b96-8962-86a723b1ad75", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4de1b65f-8d5e-490b-a4a9-0385788eac54", "count": 1, "frequency": 0.0002992220227408737}, {"name": "536875b2-f752-4f92-9ae7-d26023a354fa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "34f3c037-2e78-4b3b-9da6-e0042d2e7b2b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c92d6848-69c7-4f26-8b00-7b18dd5d2a03", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ecea8bf0-543a-4b91-aa80-489bcf2b3683", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bd05d662-4ea6-475b-a0e7-f806a067e93f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2e3a29ca-14e0-481f-b2cf-f36647e4163c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c06ae840-43ba-4246-bcb5-cff12becd4c5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "51abec97-dad7-4e27-b820-f425b11fdbfa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e1fea010-e942-43c0-b2f0-59a449237c56", "count": 1, "frequency": 0.0002992220227408737}, {"name": "86a98c86-7028-4054-a947-8d0d6449d042", "count": 1, "frequency": 0.0002992220227408737}, {"name": "52caeb65-9b02-4a14-9360-4382dc837d84", "count": 1, "frequency": 0.0002992220227408737}, {"name": "763f0c89-6f49-414b-b916-10cb78a204f2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a5c72617-d689-4fc3-b090-b4cc4a4ede69", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7a43d1c8-325d-441b-b592-576084424dbb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "77c5ba08-8bfb-45f4-8093-e330ca7f788a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3142ef6f-d31d-447d-921d-cf636039aab2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "15dd0cac-c810-4ec6-a706-1d4903d7fe4f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e627a0bd-dad7-460c-a70b-805d24d53f93", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3f923ccd-eee6-4553-b073-c62f7d51f1ed", "count": 1, "frequency": 0.0002992220227408737}, {"name": "56dde393-7d60-4e28-90c8-5e29520d6843", "count": 1, "frequency": 0.0002992220227408737}, {"name": "25900b01-4f20-429f-97dd-0263ee7f154c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4696cd40-91ea-41e9-9d0e-c9f9ea366a94", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b77410c6-0986-4972-b78c-9e6b74096a96", "count": 1, "frequency": 0.0002992220227408737}, {"name": "48ab2714-3ff7-43f8-8097-8af7394ee95e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b774ae80-ace6-4ef3-a6cc-d2ac66b34cd8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4f063356-7fc3-4767-848e-997255a3e57c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cc494f82-2f12-40ed-bea5-1785be35bb1a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3483a003-2f94-4262-8b8a-9f8c73a0cba3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d7348944-8506-4475-92cb-16f85a2fb5f4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6ec1d3c7-f4b0-4e5a-9525-a383c112f2a3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "053b62c4-79b6-4bc2-a9a2-7904d1a0d3ea", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ba2d1b16-78f9-4edd-9114-f9441504492f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "599e9703-201a-4c77-ab64-8ad5063a87c7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e6337bfb-dedc-44ba-ab07-17f553804a3b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "63c9272f-f2f9-4819-85d5-bc816928862e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4e172763-bf6a-4918-912c-fa419bf657d4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fbf0023f-cb96-4e21-9af0-6c621750a1f5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "54bbea23-9a12-4e1b-b68b-8f66c99f3c2a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4ea6c146-b58b-4395-bbee-fa1fe53dc860", "count": 1, "frequency": 0.0002992220227408737}, {"name": "03f995ff-5b05-4a9c-a0c3-2ebb75c34359", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cafa773a-6720-4ad1-9e11-567883fe04a4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d1fa72a2-5905-4663-aa85-4430e4835372", "count": 1, "frequency": 0.0002992220227408737}, {"name": "454fae4e-4f8f-4e7a-ada5-d9b809e0f4e0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fa4737ab-caa2-45f3-acfc-518daab16193", "count": 1, "frequency": 0.0002992220227408737}, {"name": "44485d56-63c6-4970-b333-ab13728780c1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "79a47474-3e66-4bb6-b5da-29054c62dc93", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1a0e215a-2996-41d6-a1a5-b30d73aab8f5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "84388ca3-6c9e-4196-a20b-27dd49ba3a9d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b4413d85-bc1b-4536-9640-137fb6159d63", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ba4b4ba7-73be-4d21-b5be-55ead6ef61fe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5ffbf9e5-cf4b-418f-be76-2361cb111d0d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "02a84d58-56b1-4262-aaa5-8b9d1d8a2996", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f8aa8fd3-1785-4731-87ec-a802baaa3086", "count": 1, "frequency": 0.0002992220227408737}, {"name": "36cd98c4-f9b6-4307-8732-e1a7fbb08f1b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9b8d83c9-a316-4626-b28d-c219fd04b02e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "401ef36d-50b8-4982-b7b7-c7a5607ea418", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9970cbf9-61d4-4a4e-8ff0-245a60bdf6f0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ff6e575c-4d0f-4c82-bdd0-c0fccf2030b4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f7ce131e-1106-4ed1-8b5e-b47705cf20ff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1472ce7c-386b-4764-97b6-04aa985d37f3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "079c4b56-90b1-42d1-ace4-430532f0f9ac", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c5cd32ca-fbe0-4ff1-a96b-2bb097130535", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b7b222a7-cbfd-4173-a0f1-c2892c0dc59e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "868bf1e2-199e-48d6-9a38-f552002dfc6b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2889d394-6407-4391-8ec4-ea03210d237b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1ab447b4-1c5c-4e4a-9539-3e0011e20881", "count": 1, "frequency": 0.0002992220227408737}, {"name": "020e183f-c844-4c2d-82b7-076c51de4232", "count": 1, "frequency": 0.0002992220227408737}, {"name": "273f0f36-290a-4598-9957-7ef24111dc17", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a50063ae-e9a6-487f-b215-da1acfb60b41", "count": 1, "frequency": 0.0002992220227408737}, {"name": "84f53295-aa80-4ccf-883e-3b18e5cb57cb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "39fa9d85-9942-4cd2-a88b-bfab5c327159", "count": 1, "frequency": 0.0002992220227408737}, {"name": "17e042de-4471-4380-8ea2-6c0b952681da", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9131a419-1486-40c1-8063-528d7269b97a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "60e5ed93-6d1f-44b6-b0be-b7f702d78368", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4188d0e5-8e3d-446e-ab11-574547efec4c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ef4ea115-b514-48f9-bdd2-9a5990713810", "count": 1, "frequency": 0.0002992220227408737}, {"name": "52b533e2-3f6d-4b36-8fdb-ce88f33dba6b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0e881e76-390f-48eb-841d-6d5d85659c5b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "673f3cdd-d575-4050-bb8f-3fe3b18b45f5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1b737abd-6af3-432d-afb3-47f86087eaaf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "360be8fd-1ba2-43fa-8d32-b9f8928efd10", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b3609bfb-35da-49b4-9da0-1bbf4b970dd7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1f2f2ac5-d6c5-4f20-9c8e-4c61f8514961", "count": 1, "frequency": 0.0002992220227408737}, {"name": "508bda2f-bf34-4374-a4d4-5b9f64b50833", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5aeab019-157e-4723-a8cc-07d83243d2c0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b54193bb-6c8b-4e22-8e5e-2ad4eebc1bb6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4dc8706f-c1be-46a7-b1aa-a214782cde46", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2ddda2b5-6c3e-4afc-b4e4-d579c46e5222", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0d9aea88-8a07-4879-8f74-7df8fc5b6b8a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2951cc2f-f095-4688-9d18-aae67ddad897", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c2c81a42-d852-409e-96ec-e258737f7907", "count": 1, "frequency": 0.0002992220227408737}, {"name": "644526e5-bacc-4e9b-add3-d5c6a60db2fc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8ce020b7-eaed-4898-851b-a582d1853749", "count": 1, "frequency": 0.0002992220227408737}, {"name": "780c2352-625e-4588-84cf-7d4afc417588", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5a6ffb75-039c-42ee-8c48-5fd8063c780b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d02f82e8-b6ed-4ef9-bd03-464e355ead86", "count": 1, "frequency": 0.0002992220227408737}, {"name": "44f17dc4-c29e-4ab5-8557-caede840cfbf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7ddc4ce4-f835-4fc5-b7e1-880b02a519a3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b484c6ba-36f7-4f0f-a6b8-46c8c8c5cbc6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "767cc4e5-7909-43e7-9da9-41768321cf49", "count": 1, "frequency": 0.0002992220227408737}, {"name": "04ec992b-efd5-40dc-bb60-395571f6605b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d2fd81cf-b67e-4769-b84c-1cd2b296f78a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "541ff1d3-0bd6-43c1-80f8-c9b8f1bc4018", "count": 1, "frequency": 0.0002992220227408737}, {"name": "73d70409-eb55-4d77-8a06-229b4076f0aa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0f72d582-e302-483c-925a-27c304bf2ecb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6b2f0510-f3af-4f65-a27a-56f1de627576", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bf3ef4f2-1983-4926-8620-68f89b6d33a1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e68de9d0-338d-49cd-a91a-de74a2df9cae", "count": 1, "frequency": 0.0002992220227408737}, {"name": "517ce5b0-75af-444c-9547-567e13dcbd5b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c1ef66d3-42b2-4004-9cad-d314b1a9b39a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b23505ed-eda7-422b-9609-0e97cdd0a5db", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c33f7ca8-bd65-4d73-bb0b-ac0c5d330049", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5f1c69c7-898e-4524-8309-fbcbf10ae154", "count": 1, "frequency": 0.0002992220227408737}, {"name": "acfd1102-e93b-4417-9a5e-9889ead7c74f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dac42e35-d1d8-482b-8e3c-245f6f436c7c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1dc3ade2-d2c7-4cf6-abef-9587278a5175", "count": 1, "frequency": 0.0002992220227408737}, {"name": "afa04915-0db1-4497-93e8-f463c616762a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "900afb5a-6e2f-4745-b563-6e501fa98a97", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e9cc20db-a92b-48f7-9493-c1ac59d81792", "count": 1, "frequency": 0.0002992220227408737}, {"name": "59ab6a8f-6c26-44c2-8295-961accc74d4d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "57fcc5a1-87c9-45c9-a159-df91ad65e216", "count": 1, "frequency": 0.0002992220227408737}, {"name": "432f4216-f999-4469-9f5e-c419f683e30c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d6217de8-7cb6-4962-a1bd-af65cf3c9e15", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b21d0447-871d-4490-b395-9b3d75e00531", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c803c682-6566-46df-a858-8e4630e6fdf4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "76727c7b-1cd5-45b3-a31a-fb22f37aad3a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5ae40234-2ab5-481c-a223-c782a74db697", "count": 1, "frequency": 0.0002992220227408737}, {"name": "366569f5-ab8c-4e90-a77b-239e7d0f9372", "count": 1, "frequency": 0.0002992220227408737}, {"name": "62a90ba1-b986-4c04-974d-cd412d625e4c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e2e397a5-2624-450c-bf48-f9c2508d321e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "afb143db-7067-44ec-a1b6-dc6e43194372", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b63fcbd2-69b8-49d9-bfef-347484528b9f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ad2de38a-5e71-48ad-ad35-0e86aa9989ba", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3cedb82b-6eb1-48e8-a44d-4c8e6055e15b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "223a7f0f-eece-4169-94d0-d4a34733163c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "07bedbbf-ccdf-491c-bab8-ed69e3a527cd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a4c6c341-d9a1-4543-b2e2-4cbc85ce19fd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c26d5edb-7fe9-4ecc-8e30-d6fa10a3e490", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cdb71780-a432-4c3f-9abf-798e6b903f6e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c15c476c-b801-4d95-974a-49d7b9974603", "count": 1, "frequency": 0.0002992220227408737}, {"name": "885e51e1-27dd-44e5-b215-73261dee02ba", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a8dd1f20-30c8-47b8-b6e6-36bf8c3f5019", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b6a72a65-1a06-4fb9-81c0-b369eabe2d73", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f6bd84bb-7f31-4f5a-b874-70d9578a2662", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6b488237-8b53-4f09-9b1d-242bd24c17aa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "11713a59-5940-498e-a00e-67046222147f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6a42081d-3e83-4ff7-b193-91bdbba7ed3d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1148b2f4-f818-4e1b-a149-6c70dff1b5b4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4acd985a-4e8b-4e3a-9b54-1966bbcd29b5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cb9fcfe1-fa2f-4932-9638-6c5331ff0eaf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5cb9c9cf-5d13-4467-921a-01dc98030084", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1d7e3f6b-b72b-4baa-899d-2a6abb238851", "count": 1, "frequency": 0.0002992220227408737}, {"name": "97ae47a0-ba5d-44a8-8ae2-d131f3b8244a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "45ea4db6-e65a-4c2f-b425-2ac487787a25", "count": 1, "frequency": 0.0002992220227408737}, {"name": "31a2a74c-d106-483c-b933-4d5e5f4a1cc8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b565ef74-1264-4581-8d2b-c8a09d22a6e0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bfffb1a9-0153-433a-a9ea-ae7709e5d1b0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "79b7e200-2572-404c-952c-dc8d1f00762e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9b328e50-c532-4a59-8113-e8dd67f65612", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e9b18040-da72-4e1d-b91d-63ef41db6ed8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2477f509-a201-4d98-94e0-fe4ae3f7c23d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "90f80bd1-8630-4c12-8b97-50905fa818b4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "017ae042-52ff-4c34-85cb-8bd6ee5028d4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bcf61c6a-bf59-4e9d-b4be-f606ef789268", "count": 1, "frequency": 0.0002992220227408737}, {"name": "811221fe-a990-41f7-9467-4c671a964574", "count": 1, "frequency": 0.0002992220227408737}, {"name": "937be86a-515d-49b3-9224-75cadde65721", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f9a5eddb-9fcf-455a-a76b-c97aaf23b8f9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dae3c0de-8802-4407-9616-6b55e3462bbf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ffc71d44-36e5-4e4f-954e-d03a107f71c5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b5115736-b351-476f-9216-9ecd526f358f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1b1d5dd6-b8f4-4445-8ea9-74f211c74ecc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b234cfe2-9710-406d-bf8a-31007dfc3827", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bc4aa5b2-cce6-4a7a-8670-41c3458dcc88", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f29f1889-db58-4b31-8a80-fa1624cf9366", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ae2eb14d-5a46-45bb-a283-158553b66ee6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "15f52696-f09a-4f35-9394-f5ec57b62b49", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f83526be-9cf4-493f-96c4-62da4d3a082c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f8cc0d99-dda1-46a5-82bd-5c81ea2a3afd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a736e38c-4dd9-47fc-ac37-1e3b80e875f2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "49f92f43-2cce-4915-bf69-d18692cac460", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9c2b11b7-9d2a-4694-8e33-9a2cf06b6f6b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6b51bf6e-d4bb-4540-814d-4e4ddaa45ab9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7012628a-7280-4cab-b9a2-79d8ac1f4433", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1284d890-c527-42da-ac39-27f362c68edd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d7f799cf-7e7c-4d49-baaa-47c7a5787626", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4ef8819f-025e-45aa-b567-867bba87ba30", "count": 1, "frequency": 0.0002992220227408737}, {"name": "182c7d39-9764-480e-a289-b4100f8c52f8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0ba022ed-7507-41f6-ada2-e12241e4fe0d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "691a9583-0a8e-47b7-b460-680f36a0acaf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "54c72367-81bd-4f75-b7e9-5cc69be080ce", "count": 1, "frequency": 0.0002992220227408737}, {"name": "57039e57-d783-44d0-ad48-31709513ec95", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f4d74e80-cdab-4c0a-b21e-cf7fbc302169", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a1f4c835-05e8-44fb-9e44-c268d34916d4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1055fa0c-0a6c-485c-80ba-50a42b40b4e8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6f2783f1-da48-4252-aa19-5ee7c2c111ef", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fca1294a-bab7-448d-9525-3d8dac5e1aa6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "33280b6d-0782-4e9f-9c27-ef26b3a33b4a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "27baae59-6bd1-40a5-b880-f85e3070cc0c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "da2ff69d-2026-4407-908a-c793d5c8215d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e0260386-0552-4862-a475-dfba53e41a05", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8eae6f4f-c54e-4766-b285-ea12d1215925", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b95c0423-9b1e-4b3d-9d9a-7e44e94d6b31", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0d394f69-053d-4562-a0ec-55dab687d163", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f020d02e-108d-4261-9298-147cfa6d853e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c7b3fd93-19cb-4655-9a82-459098f35b79", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9fffe381-7658-46c5-a0c9-84182f9fbeaf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bb201e59-ddcb-42cd-9a65-e82d6005de0e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f03e4473-c7f8-4a12-825b-b842e9de1fef", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b60b5e07-8ef3-4677-9aaf-91a93e3f406e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d0c4ff06-9303-428a-8cd8-f1e02f48d0fd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bddebbb4-d67d-4e48-865c-b421e77ee6d1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b1e3ae55-b42b-482c-b0a5-f7df4ab1e628", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ecb37081-6a66-44a5-b411-766caece6ef2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ae00e218-5f3e-4b2a-a3fb-37fe7dc29b83", "count": 1, "frequency": 0.0002992220227408737}, {"name": "962e263f-98db-4cac-be76-f53e63d74484", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a1fe2b81-dff5-418d-8c7b-0410869126af", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a6246c7f-5241-4d0a-8080-c3a25ac5797a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "68a86cae-29ec-4f5e-b251-837fc110aced", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6d9c9824-6d54-4602-941f-2ad0d8ee92c8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3f62ae9f-27a6-42f1-9f0d-d55159d0c883", "count": 1, "frequency": 0.0002992220227408737}, {"name": "410cb437-c3bf-47da-b902-5f62fd2ad5ec", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2bda65d8-fbbf-490b-9c67-c3370aa19204", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1a650a32-131d-4619-bacd-4fe959517096", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f2c7a15d-85f6-4bb2-958c-db5c65e7be5b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "da42fdfb-a8f4-4786-99c5-8bb28c065a85", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ad5bd0f5-e0bc-4779-83c8-e841a6553ed8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "be4e58a0-c33f-4bfd-905c-23f79fb034b2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a0f2ba67-5830-4130-ae16-7c71ed571156", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f97a248f-d562-4285-8381-68d02674145a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a759e721-5d07-43f3-9ce9-34932a7d2622", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5390684d-6bfc-45df-b3cb-4023e430fd8d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5a59906f-9a4c-4519-b28d-35af1bae1ec8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "24b56351-a8f7-48b7-9fce-272b87d6165a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7c31d9dc-636b-42a6-aa6c-2b17f1c49aab", "count": 1, "frequency": 0.0002992220227408737}, {"name": "75e45cac-9bf2-4b05-865c-1107f07cc112", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9ab7ed63-d5e0-45fa-ac16-8522472f2c6c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6867e401-9b48-46f9-9407-0828647b19ba", "count": 1, "frequency": 0.0002992220227408737}, {"name": "87820d37-15cf-4277-b071-43c75b147306", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c7a3b7ad-2972-4f04-9c2f-155d15fde495", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4fe7fd0e-cbff-48a7-b5dd-dd08cf1d0382", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2d41449b-b55e-44ed-8758-75843c80d6b9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3dedbd19-2d94-48ba-a297-85ac2c9b26e9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "57d9039e-49da-4848-bb74-8e0c49936169", "count": 1, "frequency": 0.0002992220227408737}, {"name": "872e4dce-b8ad-41b8-889a-abc7ffd042ab", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8909ac45-7da6-4933-a97e-0351e7dbf7f6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "96f380d8-4cc1-4662-a6a2-9d3874c6688c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "56aeb321-aaa4-4ecd-b0e8-2f439bc1fdf3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2ae58b02-bcd0-4de7-b88a-ed5706a6f98f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "acc636b1-3032-49ce-8aec-f89563521935", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fed64f4b-e332-4234-8786-2560bb2b1b9c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "51dc9a61-2f58-4b7d-89f5-52fb383c2525", "count": 1, "frequency": 0.0002992220227408737}, {"name": "eff1b407-47bd-4e00-9949-cb83d4a82058", "count": 1, "frequency": 0.0002992220227408737}, {"name": "aef97a09-a06a-4936-8cc7-94f6855ada0c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "90fe816e-2062-4343-9f5a-88df10e1cafe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "34b60e06-c652-4b87-8768-1d692175e88a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "02deb6be-c2b7-491f-a1dd-3a7f1ff9cc0d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "333258c3-a6fd-4dde-a6c0-dd9e8654dbaa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fafd2da3-d42e-415e-83fe-9c06685aceb8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4cf36061-7c8a-49e9-acc7-b7a2bcb031d8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fb00cb01-391d-484f-8f1e-ff22094ff61e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "93ad98cc-a089-45e4-886e-840c0e3b2b02", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c94ec66e-0d8e-4640-9792-0607264e141d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "36368331-a724-4c2b-b571-9faf8d9dac89", "count": 1, "frequency": 0.0002992220227408737}, {"name": "65e3c82a-35dc-493d-845a-abbac8dcd459", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7138466e-c1f6-434a-b1dc-c352adb4d9dd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8d925605-a87f-450a-80d3-b48eff45488b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "38945f0e-399f-4fae-89bb-16f5b70f48ec", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7e3b41e1-60cd-455f-86a6-63175e1fe59d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b0d7a284-f953-47d6-b301-380b38c96515", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9c66b4a8-6183-45b8-b7ce-9a841222ac54", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ccf07bfa-ebcb-4839-b80f-942826288a54", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9ca2aa79-a0e7-46b8-b2f1-65df36bf1904", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2447655d-5871-4c19-bfd5-9d1d15ce9970", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5fc1c83d-9c08-423e-84d4-dbab2e005103", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c35cada6-d2b7-462c-8cca-fb21707d5fa6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "20c9ee29-cb19-487f-a9c5-77a592cc370f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f5d95c1a-d6e3-48e4-b733-b334951691d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "20d1c3d4-143d-4e57-a224-8956f32065e8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d665996a-fa5d-4602-a73e-3fe24ddde473", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0a06e6d8-8afc-4e54-9063-6eae8a1403fa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ded80efc-eddc-40d4-8efa-aac645049a76", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fad5ad08-1203-47d2-b782-e6e4337c59f1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "370fc77a-6d06-4b9b-9370-c48ea6bafdde", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c529e7ff-8002-4dea-9275-f3e7930f9982", "count": 1, "frequency": 0.0002992220227408737}, {"name": "12687d80-3184-415f-845d-43d92311a382", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a0b683d7-62e6-4e0c-aada-6b9a50d6458f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e2f62626-8b9d-413b-b57e-4f07b71b2afb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5ad59e5f-9c22-4ede-89f3-e6a5256f227d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dfb50905-00ab-49ab-b3dd-2c1cf0099fb1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "75ff4ffa-9f29-4a47-a13b-10387590f0a5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bfe97f69-9637-4a6f-8145-c790b2c939b9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "97ae1142-a51c-488a-adfc-097c82112b07", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5049c03d-5c7d-4aa9-8ad1-638a761ba7b1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "64e6e870-468c-45ec-9e7c-8bafc7ff6af0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3ae29a56-8310-48d8-b51a-57a84516180c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "163067ef-1b1a-4883-8f58-7d6b4db1d32c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b3c0d6dc-4392-4efa-8385-6eaf10d9aea0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6c2fb891-1621-4c02-9510-ceed35ffa69a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "af93a44c-7fed-4813-9551-fa4347fe63d6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "85f3430e-e546-4b52-a2e8-925721310694", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b1d39ab8-d2ff-49a8-9b0c-d7ba99ea2628", "count": 1, "frequency": 0.0002992220227408737}, {"name": "add86af2-5366-41c4-8d35-3112ad4c9904", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b33277b7-fbe2-40aa-9bde-5f36533660ed", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c26938e2-3321-4870-916f-160a5ad13441", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b306246a-acab-4bfc-a13a-ca2ce37da14b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "10742944-c06f-4ce1-a5ea-1a7cfee10f58", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2991a6a1-f60d-428e-92f3-77190736e4ea", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fc9c2069-7b86-4840-b5c8-87dbeb387ced", "count": 1, "frequency": 0.0002992220227408737}, {"name": "afe406bd-bb6a-4a87-8bc0-e783caae09e3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "005dad7d-3b10-474e-aed1-1851f56b13e6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "06308a6b-c67a-4ed6-a056-1d145123f97f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cd035b14-a8a9-478a-a98c-d1aab28a7090", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a24d5772-4955-403e-8cdc-5e17028521fb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ddbe5d08-1a5a-4e82-bcc3-87c7403a8a64", "count": 1, "frequency": 0.0002992220227408737}, {"name": "52c758f2-f729-41d2-9d4d-49b635c93773", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0ab60cb7-5e64-4584-98bf-6b74ff3f1dd6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3ced055c-6cbe-4e05-ba99-8345f69e924c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d23b39c7-7f36-4c81-a916-5b27a5bf3b91", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d766160d-a769-44da-8212-143ab9e28029", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bd96acb4-6a74-4ceb-a25b-8ec9df1d1c8c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "36d92d34-f770-46fe-8b9d-dcad4b04b841", "count": 1, "frequency": 0.0002992220227408737}, {"name": "313a6c4b-e3cc-46f5-a2b7-687b48e90790", "count": 1, "frequency": 0.0002992220227408737}, {"name": "41fee56e-d5df-4f50-9de3-4ceb9d1a08a8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "81f313ca-3212-4a20-8296-4294b9da33bf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0709cbfb-276e-4186-98cc-0d4618438af0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5b306cb0-0125-46fa-8167-5f7e7295f3d1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e79805c5-ec0e-4056-8091-8db54b4c14c3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "83f2fd04-f2d8-4747-ab5b-972103416d8e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4cbb1d95-d9f5-4000-a92c-bc9c76cb99b6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "de62d450-e9f7-4f2e-bd69-c77b99a350c1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f85340d8-7e6c-4bd4-b89b-1916e0890037", "count": 1, "frequency": 0.0002992220227408737}, {"name": "76bc8794-5757-46ee-ae59-cd643662aea9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3b8928e0-662e-4606-a73a-e8e512ca23b4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "38c934d9-fd05-4372-8e1a-d3dd33c004f2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6dc97543-a127-4439-94a7-7d55963d50bd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8b273c0f-1874-4e28-8c56-50afbed00441", "count": 1, "frequency": 0.0002992220227408737}, {"name": "07d357c3-5819-4b52-a5fd-a12779a4afb5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c0cfa4a7-cc3e-4ed3-b347-4efb8992c98c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "29f533a4-ef9f-4165-8e00-9e912150c66f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bb62f4b6-714e-4cb8-aa48-ce9fc1063516", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fd7137e8-599d-4173-98aa-23287345a74a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d5defe0f-77f6-4689-adb6-922073a80923", "count": 1, "frequency": 0.0002992220227408737}, {"name": "413c4fed-f9f8-414e-9b54-8a1f2b33824c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cba41e8d-fa04-4f0f-906e-024b76afaaf7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9138b181-4c7f-462f-955d-02f3c4b46ec5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f34a774b-3269-4119-ab06-6352fae312a8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "97f59590-a39f-4194-b568-9dc6adebd664", "count": 1, "frequency": 0.0002992220227408737}, {"name": "54aafb23-b647-44c0-8f3c-758addd3a2fd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9cacdf71-91c9-4719-9ed9-d28a1a07c88c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2959ae6a-24e5-4723-b7f4-55241710dc7b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7096bb52-a087-49a9-8864-1fe40773a554", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4121915e-7303-41a6-a12b-b8915e614901", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6e3e5680-200b-4abb-a510-7b10dad71e1c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8cff558f-0b4a-47b9-8eb1-c66063b211cb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "274456de-efc0-4fd5-9d73-e3055d521f38", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bcabfc6c-99ab-4ab5-8fc6-450437df1caf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "415333db-c501-4a78-a49e-07387bc27839", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d170ee30-62e7-4729-a4d0-6a75211892ae", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5d5911c0-d0d3-4cdf-9700-f61ae908c06c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0b60d686-d0cf-4868-b73f-0d762f53dc58", "count": 1, "frequency": 0.0002992220227408737}, {"name": "68d6db75-f8b8-4101-b351-91d80de34541", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d70f91cc-058b-40ee-880e-e0c0ace2d0c6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ad0e1ff8-e051-45a1-b2af-b2c9748f1c63", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d6be4bd2-d8ce-4824-8c21-0e68cd22986e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "64d1a9ab-74b1-4e93-a3d6-ab476df430af", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5273846f-0d50-443d-aaeb-086b4fc323ca", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a492261f-84d2-4866-8957-70753beacf85", "count": 1, "frequency": 0.0002992220227408737}, {"name": "60fe8347-9097-4418-aee7-36b7913e4ea1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3040b9af-faf1-46cc-a43d-9869bab0c582", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d584465a-23e5-4037-8b72-e791d76ac8fd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "28168135-77e1-4f85-bcb9-17387916db25", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cf3f74e0-f7f6-41f4-80fc-696b3b28b906", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5217b51e-5bcb-4395-95d0-6e013fdca9f1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "aeadf55b-d480-4d95-88b2-1c0b0a448925", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2b6aea9f-1d84-4324-8530-7c7d5689f2da", "count": 1, "frequency": 0.0002992220227408737}, {"name": "75db66a7-bf09-4691-b2b3-9617ef871565", "count": 1, "frequency": 0.0002992220227408737}, {"name": "42d4ea3e-04bf-4778-bcd7-c1ff50541686", "count": 1, "frequency": 0.0002992220227408737}, {"name": "61d3d5d9-a697-41fe-a49b-8dbba5303065", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8f2504da-10f9-4c48-bfac-6b0c086cd002", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6a019fa1-b35c-4754-b1b9-407df632de37", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d084b65c-22ce-42e1-be90-03c6e086b780", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5dc50932-c441-449a-8650-7b561fc78142", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c7484dd9-a25a-4929-b05b-553ba2697d65", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0bfdd36c-e069-4f32-8766-974a245f11f6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e3ab5cd1-59f2-432d-a2b8-5bf67387cd31", "count": 1, "frequency": 0.0002992220227408737}, {"name": "040b8893-f270-46e1-a637-3c41cc90e943", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a2ad29ae-50b1-4886-ae3b-17613fef2977", "count": 1, "frequency": 0.0002992220227408737}, {"name": "05efd7d8-20e6-4abb-848e-76f78c599e98", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3e08ed4c-a451-4308-8e65-836581c30e07", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cff73677-84fd-4e51-b550-7cdc3998117c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ded3eb43-8063-4030-a5dc-e1e48f6da374", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c13a2a64-4f80-479d-8458-6f6652d79891", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c1bbcb86-f980-41aa-92bf-e32c7906a620", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dc4f6f82-8c9f-4f0d-924b-b81916d4ba6d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8b772d2a-2bad-4022-8bd9-91afac02c758", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3aee17f9-7fb4-4987-a074-dad033ca758c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "87b16c81-513a-434a-b0ef-01b96dbeb627", "count": 1, "frequency": 0.0002992220227408737}, {"name": "257bc815-282d-4161-ae5d-ac90460b9729", "count": 1, "frequency": 0.0002992220227408737}, {"name": "58800fd4-0a94-4755-a5b5-e741222b4f63", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8dc4d727-d883-45b5-bc88-17708b7e9760", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7dfffe04-d176-4ca8-ad11-4945e026a66d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "043a2cfb-fd2b-4723-95dc-6097008fadf2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dea78098-5ad5-4d2e-a7a0-10bcef2a123b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "116c31dd-1f0b-48a7-b2b0-26323dbb51cc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d83391e8-f4fc-4b6a-a851-597bff53ef17", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cd69a31d-c4b1-40d1-a1cf-22339a5fa043", "count": 1, "frequency": 0.0002992220227408737}, {"name": "97f6b7cb-8e54-4834-947c-e67aec56b2cb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "445a78b2-67a4-4b60-b49c-e52d64b8f8c9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "127d717e-8cdc-462a-9ae4-2c52898a1028", "count": 1, "frequency": 0.0002992220227408737}, {"name": "23271347-dd1f-4a3a-8828-97b5fa8145f8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "42ffe57a-957a-43cb-a28e-256c7a451401", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0d52f28f-ab3e-49aa-83ce-b949f5766b92", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b7d6256b-0ec5-4b00-9341-0bd6aa19d167", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a111f10d-1a4f-4ba4-a222-9bd7fbac3b1b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3c4397db-15b2-4a5a-92fa-997cdb78eb13", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b8d4a352-2d11-4f24-a2f2-42c50ef6e787", "count": 1, "frequency": 0.0002992220227408737}, {"name": "512adb08-a932-4188-8a84-989dc1c4903a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "185e63b7-ff20-474c-9932-92ac4290b36a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "69f20d2c-f0b0-453f-9915-9daf631cdfd3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7fbe05c6-a797-4dee-aedc-00889a24a052", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b3241541-2b6c-40e5-b0ec-c8f587296e46", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d7ae052a-30ff-48db-b22f-ac264eb3e27c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "26646d1a-8b7e-47c8-a346-2ce32700c2ca", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a20a8ea6-6007-4ccf-bfd5-28f4f81676e3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2712875a-aea3-4b89-b9e5-e6dea7171f69", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6704e6f0-829b-43f1-8d5f-e675df01f619", "count": 1, "frequency": 0.0002992220227408737}, {"name": "236fc0c9-7210-4a9d-943a-962257dea70e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c24fe66a-a9cb-4ce9-be45-94dc73fb2be1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1f65857c-09ca-4fbc-adf2-2140802e38f6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1b7c3cd0-92eb-462d-b429-7a69886af504", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f09c331a-2aef-44dd-bbd3-9d1a154c3571", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e52e75b9-c105-4459-9a8a-c31b94409701", "count": 1, "frequency": 0.0002992220227408737}, {"name": "097819da-63c9-4b5b-b5b6-c657a18a5a48", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f8dc12bd-a6eb-4ea4-9d6a-37f337133926", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2b085166-2116-4bd1-9f99-0f8105b7d5f9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5d1c3f5b-e7f2-4999-9a63-5b12fada75d3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c5556814-5cfe-4cb2-8a72-634f7d6705f9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c363d63c-3720-463d-8cb0-cdef0152e9d9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "62a92f8f-1972-4fdb-9b2f-f1980677aa8d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "824a4056-56ad-4218-a083-d73a184c6440", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4a76c99c-c63c-4ef5-9a8e-af08301c436c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "209057e5-66a1-4779-86a4-89f41ab53863", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d9ba5690-74c9-47f1-be73-023be6aad8d9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ff3cf641-0b37-40b8-8945-7c611ed8d540", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7441a72d-1e93-4e8a-885e-a92326b2a1d5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ffdfc835-1c62-47d4-8f61-22b0b511b835", "count": 1, "frequency": 0.0002992220227408737}, {"name": "feb83a6a-e1d8-45a3-882c-bfa214fcb3e3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e0116f70-5994-444a-bfc4-882b82973ce8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "32ea1367-6397-4a6e-85d7-25c2425ba2f9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cd819cc9-0ce0-490a-9044-6e1288bc27e5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f416d616-f07e-4757-91be-31040066cdf7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ce83a307-d486-403c-a3c0-cd5233927f6d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a0e29e9e-cbe1-4d32-a297-b0f3a99ce334", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1297482f-7c04-4e31-8595-6d5aecf402a1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4d354cbe-3093-4ea7-9d89-3eeb03a0c578", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c101f368-0582-429b-b181-ed54230771e2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f143908b-afd6-4851-9b2c-71ebec08af04", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8cb184f2-ff72-4566-93bc-924db8c2dd88", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5a59621a-3209-488d-9b90-5c8d05bfc11f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6fabf347-687a-48b0-af17-d9d6d1018c08", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6c31229b-2c78-4c27-8c3a-86dceea45bca", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e9e1ad95-e738-4120-bf73-521ffa26b53b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6a34d77f-df7e-4c8a-8538-5ae1bce75546", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4b629a71-c552-413a-bea0-ff022048360a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1e361837-b3bd-4b4b-9958-5c6e8d632b8b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "50ab64d0-2a42-406c-a58b-77df8846b811", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d1bc441f-9174-44ef-bd71-c486cb4baa03", "count": 1, "frequency": 0.0002992220227408737}, {"name": "27aa7a27-6724-494d-a122-722c5aaf3f44", "count": 1, "frequency": 0.0002992220227408737}, {"name": "deb4baa4-817f-4db2-a8d5-edde1d703b4d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "52cca6d9-f00b-4b09-a747-e25d1dc90b71", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f2dec0f5-2f03-4e12-a558-bc5e72228ec1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "08cdd6cd-654a-40d6-a6d6-085f80c77c1b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ea1f4645-429c-4330-8c48-e33271239432", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dc5ed10a-1ef7-4e64-9971-f243bae49cb9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "37354280-4eea-439a-bc75-2c3783300360", "count": 1, "frequency": 0.0002992220227408737}, {"name": "50f2ea53-9102-479d-be98-d2ea7cb0676c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "68ff0089-9be7-40c9-a347-7caecca77ed2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2afa4d13-6f4b-48f4-8e3f-21f4d8b4b4f0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a8783f29-554d-44bb-bebe-3b85e96ff358", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cd884f98-be49-4838-a3e7-ad0cc0f75c87", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a7a0b5b7-cea5-4898-9e47-70f92b43c1dd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a35cdef6-b697-4691-b39c-f75cf8f3910b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1da43ae3-da4e-4cb5-a8de-c276c0857162", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7a775862-84c4-40c4-908d-6649d63b8204", "count": 1, "frequency": 0.0002992220227408737}, {"name": "344d9c01-d7e6-449b-88ba-fb8e79718d8d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4d7cbfcf-0fbe-4614-92c5-fe2535d4f9cc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f7ddeec3-fea8-4527-9156-44d8a943572c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0fba7f47-2c19-41dd-91cf-6c52bc337e37", "count": 1, "frequency": 0.0002992220227408737}, {"name": "68c9d651-fb23-4e02-aaac-a2205eb2dcbf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6c54b0b8-f618-468d-9a76-b953dc164a8c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "451d8680-e4f1-4058-8ca6-a5ccf49d3dfd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "af8170b2-7926-4abb-8cf2-a1285fe875dc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c3b0764e-0ed0-4ed8-9507-b935bdbe07ec", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ba3043f6-14d3-44d1-a09e-cb39c428ff57", "count": 1, "frequency": 0.0002992220227408737}, {"name": "af11af3b-5e8c-4352-9f69-b25017608ccb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9400e11f-857c-463f-9c36-e6c8a7c79a37", "count": 1, "frequency": 0.0002992220227408737}, {"name": "01712f14-9b6a-4812-9d24-d5c86682eb0e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "884dc095-4fd7-4039-ae6d-709ee9e962f4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6207fbd7-2e8d-4ae4-8add-edba681b56be", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5ac5c831-0135-4e20-9fb2-17a86cdabe84", "count": 1, "frequency": 0.0002992220227408737}, {"name": "877d4bbe-25a4-4f23-89e7-b7544379415b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bd5f38cd-538e-4552-a0eb-09d6dfc969f1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "495501af-afea-4b91-a3d7-89df8021b354", "count": 1, "frequency": 0.0002992220227408737}, {"name": "79807009-ec1f-4936-947d-abf3b5d4a84a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d6cf20a3-7017-4d95-a1ea-61d682b1fee0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c8ff5661-224d-4e69-b01d-8e7a2ee0e412", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ce27432c-c86c-40a0-877e-11f0cda5b372", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2ecd82dd-f1ba-4b7d-9536-744ab15e035f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2a6ae383-068f-4206-92c0-bf1817efbeeb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4f352025-32af-4109-ac46-da19a1cded98", "count": 1, "frequency": 0.0002992220227408737}, {"name": "75eee31f-02a7-41b1-91e1-9a19c1d7ff59", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e333dada-2859-42e5-bb62-4893c9ddbe0e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a8cfb1c2-08b3-4895-8025-9619e3619a98", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b501ffe9-3e1e-4eec-b051-be043ffddbd6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "079424ac-f272-4a78-b5ec-80a4655ea3bf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "527e4dce-1554-41ab-ba10-341f61c23e89", "count": 1, "frequency": 0.0002992220227408737}, {"name": "79cbdf9c-98b2-4867-bff1-f731c47cc851", "count": 1, "frequency": 0.0002992220227408737}, {"name": "89f1c21a-22dd-453b-a679-48abde38da5f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3a2ca2f6-205b-46be-8511-47790bbda001", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8d41c9bb-19f5-42fa-99ea-705bd48f30b1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3f52b8d6-a6af-47d4-9283-e139681c565a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a8fdab3b-4058-476a-8a32-be000ad84fca", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6bcb6a54-ae0a-49d0-b96f-337a4140802f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "63f27055-15b3-487a-983a-628428f52788", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1dd83449-b0c2-4360-ba3b-eee0db17cf04", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3d2aad1e-970d-4125-8d25-dbf621b7241d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e654b0fe-4d4e-4112-8f3b-4f582f08aee0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b8e347b2-b1d5-4472-9b68-3feeee631ac4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "36d9f3e8-7524-4b42-a7a0-d2818a8488b2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6a96f037-15b5-477d-a46e-c6f77c9280a1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "94080f64-f682-4522-a39f-7316beeb8f38", "count": 1, "frequency": 0.0002992220227408737}, {"name": "547331ae-0d25-4720-b5b4-c8528ec0200a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c06a4a47-cfdb-4096-94d9-60b2a8ec793a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7e23b3fa-ed9b-4810-8b64-7d7cbd617c48", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ca1e6101-04a3-4863-9364-8700353892df", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d80bcb08-8a0e-47a8-ba00-acce6346fa5c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b10d7d8d-bcd7-4487-b4fb-4ecb9c03fbb2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7dc8b183-4c3a-45af-8591-bacca60fc110", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f4d221be-d893-43af-869a-1fc600288ab4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ad52f469-1bb1-4b29-8b23-6b2925bf6bd3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3334a296-8488-416b-ac2f-a1bf73374e67", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4a25b05e-5871-4559-9d36-378f8656724e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6b1709a0-e911-4ca8-a375-4838a5d0abb5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d55f6c3a-2d02-4dbf-aeab-0ca360c7028b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "46dad644-ac81-4ca8-9807-7197a2056858", "count": 1, "frequency": 0.0002992220227408737}, {"name": "63f73fc8-1dfd-415d-91e3-03065b309578", "count": 1, "frequency": 0.0002992220227408737}, {"name": "77dcd593-7fef-4a4a-a7c1-ecf1c01799cd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "19854898-6003-4760-8375-047d944a42e2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "05ea8f8b-af6d-4bdd-8daa-ccd61751a371", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4dfdd965-89d2-480d-a2bb-ab76e90cc6ad", "count": 1, "frequency": 0.0002992220227408737}, {"name": "413efb6b-9b9a-43a2-9111-7693b5cdfa79", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4ec9be06-f859-403d-9c46-0b178acfacce", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6b673c0f-73bd-4a83-96d0-bfb664a74103", "count": 1, "frequency": 0.0002992220227408737}, {"name": "469fda0a-30e8-4428-841a-d4f278f466dc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5120937a-a914-430c-a5bd-8939ac5b20ed", "count": 1, "frequency": 0.0002992220227408737}, {"name": "29dcfda6-653a-4b89-88b1-ec3f4758bf1a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f09739d5-ea02-4b0a-bba6-9e45501d8957", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1236449d-70fa-423f-baec-3070e4287459", "count": 1, "frequency": 0.0002992220227408737}, {"name": "72942851-7895-459d-b880-3db6a49558a7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fac2ee4c-1ce6-44d0-9774-8e2600f1f4bd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "adfb8268-d4d8-4de9-aa2e-3abf2df76661", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7038feb5-d15f-4602-b6c9-bf8ca790750d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "82297530-4b73-4e29-bf01-7d613836ef99", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ae209922-6c81-4738-a96a-836116efdbc8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e20bea0a-173c-4867-806d-b62997789b69", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ac612d70-73e6-4a5a-bd7c-65efddee41f9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e2d741f6-fd67-451c-987b-4f77ac9259ad", "count": 1, "frequency": 0.0002992220227408737}, {"name": "767e3ce0-3e74-4d44-b13e-b8247717c635", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bfd00728-9bea-48b7-b685-637a6d14e40e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fd04632e-d6f3-4ab8-b9f0-7c3f2b49c49a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "84acf088-cf9f-4172-af05-aba570b098a0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7cbcc0c8-8ff0-4afb-8045-40c0d48f6c54", "count": 1, "frequency": 0.0002992220227408737}, {"name": "276db8e4-208f-4946-a38e-ac791c3767dc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "59e4d5a7-0ec0-4613-8ae1-c2a561c0bafa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bbfc2063-d246-4543-99fc-4073401e4722", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cecc90ec-1ad0-4d09-bd70-4457f0af9462", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bdad082e-47a2-4076-a762-96b64f7f9e24", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7b21a727-19a2-480e-b314-092beefa0bfa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5c60a9ea-17e4-4db0-a47c-775f1aec1a95", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4be5c2da-b023-4d17-bc5e-23c37bec6395", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b5983ed8-2415-4853-b950-5d34ec6d7175", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7e2270b3-5f19-435e-8337-333af08d20c0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c656eaa2-0f3a-44d7-9da5-fd1620d64296", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1e00fc81-96e8-4791-a472-e6d304b79c42", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2a570f9c-c2c4-4ad8-816b-7b1d18ff5c3f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b0ad51c8-b544-4a8f-baf1-b624d203a802", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9a65b78a-fada-4e0e-ad0f-f8d213c82316", "count": 1, "frequency": 0.0002992220227408737}, {"name": "326deaa3-b485-40b8-afde-e94110b745b1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b867cdbf-aea3-4ff0-9da0-0e96f2ee503b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "53b10363-7cba-45d7-b2a4-09929cd410ed", "count": 1, "frequency": 0.0002992220227408737}, {"name": "234c714e-b909-400f-9955-3416f150bdd2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1808a839-25fa-482d-800d-1cceaf102af3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3c708891-da60-4541-a1b3-8cdcf328d719", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7fac1c16-6187-412c-991c-20f916a642aa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2db68755-6713-42d0-bdd8-0d79e0aad4a9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bb768a44-584b-47ac-9137-d73cad5695ff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a9c48fa5-7f7a-474d-b490-daae9ed1f467", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ebf65635-2618-42a7-ab4d-631fe8c55b72", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3f4eaecc-ed84-4cde-b7ed-63e395039c4f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0de79682-849f-435a-91bf-081ef8fe5e0c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4e252182-097e-422a-84f1-1153650e3e33", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9433bd6b-6ef3-4127-8023-0e8dcdb6c226", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3e8afc54-428d-4cf2-83c7-5a2f46a9eb72", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ed3c1d67-f78c-43bd-b53d-906fea3cbe70", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b49b063f-90fb-43a1-bac6-4524d52caaa8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "139ea360-40d3-4824-b0d3-a2c98e49668b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e1e16abb-7c0e-4a85-b318-d23bc27e0990", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f34886ac-513a-46c1-bb47-97c04abbfa1f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "19494ab3-836a-4db3-8ead-87cd8d2caef3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8c5ddaa5-4cb7-4aac-9c4c-5d9caed80b3f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8069cdb8-085a-4f1d-8d1d-13d97056aa73", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f4f816a8-8aa1-469a-9e55-29d9ba44a30f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f944a31d-ecca-4c1d-8f2a-1ff2f0a07ddd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5b13e138-76c0-4ffd-b1a2-574bf1d84f41", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dc642fd8-df47-4798-9734-2c97201f6533", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f02dbf31-7666-4721-a1a8-a0cc40f209c1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "82f2c71a-5f29-4085-9a89-29217457615a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c15700fb-aa12-4e8a-9908-6e4fc631f086", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9309183e-ece4-4ec1-b07a-f7f16e549c12", "count": 1, "frequency": 0.0002992220227408737}, {"name": "663eebfb-4ed3-4922-a973-cc9c21ab32bc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8dcdd6e4-e008-498f-8d18-b3f6340407b9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f78d4c8f-6a04-49f9-a853-bd04f4f94522", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6f0dec60-e0e3-42f6-b400-2088148ef0d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5528216d-abf2-4141-8f52-fbbccc3de1fc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7c78d1fa-553b-4c25-9f36-51397caec130", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f7de8eec-1ede-4ca5-b45c-67f83f9ccb80", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b780761c-e0f6-4895-a1bc-0f7c9354be64", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fa398f74-6d61-49c1-99f8-26ad2c4d5c08", "count": 1, "frequency": 0.0002992220227408737}, {"name": "19026048-7ae5-4b18-b66b-46ee60313235", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9d7b53bb-17f5-43cb-8ada-a20211955452", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0a34d4cb-2d88-4e62-802c-6ec8f720ff9b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b646ce3d-b2b4-49a5-9f0e-468f56fcf048", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4a7b6481-d018-4758-b344-33cbc83e498a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a153c7a7-d2f0-4300-90d4-d70384c8a6e5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "004bf212-0add-4f3b-9f38-de4425fcffac", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3f97be39-cdf5-4d6e-93fc-b245fbed730c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e9eece1c-34af-4606-b106-be3bdae21a05", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9f0e4b2d-0baa-4c57-b108-68722023fa2e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c60557d9-2ea9-42cc-8fae-7da955fdfdd6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "834e550b-54bb-411f-983a-e0c17d62e420", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2fbd7e19-28f7-4e1b-8b1e-9dcf5649275b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c3c155ed-a5d2-46b1-ac53-bd0836f6133f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d1854b4c-fee0-4c69-86cd-0295b1f8a7cd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1f23a48d-b941-43ef-b71c-b2e60ac86872", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fdd66517-2e85-48ce-bcc8-6ce8d3da33b1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "40bbb0f6-34e2-4161-a0ce-4ebca8f70b67", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9cf679ab-4361-472d-aec4-708857a3e3fe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "97e22d52-d55e-43fd-ad79-cef41d12e915", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8085d1ef-f98c-43c0-9eb0-1d8f54ff94f8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4946f4a1-9260-44f2-bfaa-16458dbb49a4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "045dbd7d-25bd-40dd-b554-13bec56531fc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ef74e5d9-27c6-4e8c-8b46-e80011b8fb9f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ea5f196c-010e-426a-a884-4427a33e67fe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d7050f2a-15e8-4ac8-b409-5c3d142e7122", "count": 1, "frequency": 0.0002992220227408737}, {"name": "94aea0a0-b2a3-443f-b007-f83a929d47a6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "91d81b57-1457-4ab5-9df4-99a4b294db8d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0ac09676-5c4e-4820-a705-5e52e9bc8997", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2a65e3ff-50c3-40d2-987c-a67e9572ab9e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "93be3532-fd97-4dcb-9494-a68a4bed16ae", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ed6a8820-c395-4a9d-892c-a64d74b46c1b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e8fd1ee7-b41d-43ee-897b-40e474ca53c7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e4cde52c-1172-456f-9183-347132fafbe3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "84a2b6f8-023d-4e56-8880-1d77aa0b9d79", "count": 1, "frequency": 0.0002992220227408737}, {"name": "517b8dc5-7adc-4a75-89e4-7ca848291bf7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cac9a08f-1dd5-4e24-9a51-a4bd75adf50e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "048715cb-7d4d-4194-b673-bcd77ed29046", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6eac2887-4caa-4370-873b-f4ebe123410e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a8da252d-b360-4bc6-ba9a-5e6971d4c4c8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9f13c023-8b54-452e-b6d5-da3b3be40c84", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3984a03f-99fe-4ec0-b5e5-4fb096f5c64d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f63fbc88-39da-483d-8c6f-acb2c9c63a49", "count": 1, "frequency": 0.0002992220227408737}, {"name": "63a03e81-1ef2-49b8-b9b5-796eefa76447", "count": 1, "frequency": 0.0002992220227408737}, {"name": "70999586-e360-4aad-86d2-9cfbd0e932db", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f341cd66-c79e-450a-bc5a-b5cd7fdfa038", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c49d889c-d9c9-46f0-a299-ed45c5527423", "count": 1, "frequency": 0.0002992220227408737}, {"name": "edb5d8af-eda7-4e80-92d1-410289b34e0d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fd3a9cbd-c99e-4734-bdc3-857f06a30901", "count": 1, "frequency": 0.0002992220227408737}, {"name": "42d6fc29-496a-4efc-8b1e-6dbab6ed5173", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8971578f-cd4c-472c-904d-e5deca13b130", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c23dcf41-7907-4b4c-9028-c0817356c690", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0048d74a-236d-4047-9e2f-6169faf7a66b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "06418379-625e-41e9-bcdf-ba040fc5fb2c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5d5a3adc-6c65-4313-8fe5-5990f94f52c4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8f52984d-bc6a-40de-8e2b-fae37eac914d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4d34dd28-81e4-48e3-8b46-400cee7ead6d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fd487a45-d9a0-4414-be79-052abf87845a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9d42ac4f-8ffd-42df-9088-26242109dc62", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5463d623-def7-4360-a4bd-b722847f8491", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6dd1fee7-fa03-4689-9650-8dc21f1868f2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "91bba12d-7737-4121-8d5f-3aa60581b6b1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8b3e3101-e06f-4a64-bbda-35c4e451c08c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "34ae8ad2-dbce-44be-a885-294f6e4fe351", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7b544629-fdc2-4b4e-b2c3-6697ee51078a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7eeaf2f0-0632-4374-821f-8a5f0dc1f9ab", "count": 1, "frequency": 0.0002992220227408737}, {"name": "42529067-f9f1-4c0b-ac0f-83a7403f6e57", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7e670b3b-8afb-40c8-af82-db5b809d8424", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b2ec05a2-0162-452c-b263-11702cf2dce8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c05d1a81-b36a-4275-a0df-2b788be4898a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1f881688-c1ec-442a-b8c0-accc2af10c38", "count": 1, "frequency": 0.0002992220227408737}, {"name": "da66988a-bbfe-4be1-b833-f38e14c46050", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4aa97a8b-46a4-4fc0-94da-ff0158e5fd16", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8a26432f-eabb-4508-beb5-be78719d0fed", "count": 1, "frequency": 0.0002992220227408737}, {"name": "762af44c-6844-4d09-af3e-5371ae514d61", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9991b29c-6556-47d4-9e02-6c3429a037f4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d596169d-2cea-4e19-bac1-bf5dc260cba5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8ed50e49-7ce6-4c99-a4de-587eb423b900", "count": 1, "frequency": 0.0002992220227408737}, {"name": "38b4b474-29bd-46bc-a85d-2a595f7e2a59", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ef8cd89d-4f40-44af-bbc8-e0269f18c036", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0dea527d-e1f7-4da2-9066-dff8bf85b0cd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4f2b3783-0cd0-468d-b3eb-3e13370088a3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "152b0c3c-805b-420f-8160-727286f3a0a8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "197dcde4-6a31-4098-8846-79b83451013e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ba9e62d9-495f-45b3-aa0b-0c885327a22e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4cb84721-b794-4a35-8103-f6e744d22d00", "count": 1, "frequency": 0.0002992220227408737}, {"name": "55f71809-242b-4a58-a6e9-c5b898ac21cb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "79df8246-211f-4a1a-ab27-b72fad674fa8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9958ded6-6589-4d9a-b6d3-5917562016f9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "266c4134-ffd8-4907-b8d3-40db05dbfef7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "94e73f3e-4cc0-413b-a49d-d77548fec91e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c6ec76d6-232b-4f9e-844c-603f2f5ca9c6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e79b603e-6db7-40a4-963b-fb71d6a21fd4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a223fd65-9235-461d-9949-03dc398660b5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d97efadc-eae2-494e-ae99-726148e03740", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4c3a00f3-a5fe-41a2-8f00-107f2b3e16d7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "094b1138-b8c4-437e-8503-3b3fa6f54f33", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4f4edfa4-c5ba-4d28-bcee-c45b7fd637d8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "eef2b3a0-2f7f-4949-b88e-6624b0d3b09f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "de2aaec0-7c4a-4c68-88cc-95e051150f9d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "edb72b04-7a61-4c63-936e-978a9faa3d2c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "44ff99eb-801d-44e0-a54e-a20319ce69ea", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5ea4de17-70a2-423f-8166-97333915d6c9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7d3b83de-67f9-4c77-b24a-8096881a6896", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7152b172-fa6e-4371-a6ec-fd056d39046e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c6c45d28-a000-4f44-8b1c-8d01dd40e197", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a70c66fb-fdc2-42c4-9565-a09655dbb597", "count": 1, "frequency": 0.0002992220227408737}, {"name": "095fb1c3-3139-48ca-8023-5f4c96d08e3e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "230d2dbe-3df8-419c-9b1d-0f8c2b3d5091", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5f043aad-7f4d-41c5-b22b-282cf170c76f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2c0047df-6d3e-46b4-a3c0-96c572dfaab7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fa2b7dda-e578-404c-b3ac-522da3539410", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c6013ea0-c5d0-49e9-b447-70935b612572", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0841e094-f93b-4891-b337-bc88be78b2bb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4918f403-9e26-4f74-b836-dd5b9e9f6126", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c6c4fad3-2cb7-4733-9438-8c95c3488086", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9c5b765a-0b4e-4798-89ef-3d0ace8500e2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bf83ea80-6e2b-47b3-83be-2d8704cccbd7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2787aa38-329f-4016-a834-a3cf4fb3c906", "count": 1, "frequency": 0.0002992220227408737}, {"name": "19b2cc9a-14f2-4e14-a0a7-c824bc217ae5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cffd149c-d18b-42ef-8429-1f5627c3474c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c4e05a3a-2b35-48b6-83f1-c8f54677cb1c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "489cba28-4adf-4198-8689-9bca4342a358", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5c6274ff-1fb7-48e1-a33b-06cd3fbe396e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "00566157-ccfc-499d-9ecb-dcc7bf7836cf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9e4a9a97-c3df-4eb2-b354-f54fb0e3597d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "be8db5e0-84d0-46c7-bba1-69ba8539ba25", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0f37ed52-0862-4620-aebc-f2e55e2693ae", "count": 1, "frequency": 0.0002992220227408737}, {"name": "46d810dd-a59f-4118-8875-7caefe5dc2a6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5eb3cff2-972f-4cfe-94c8-711764ed4d6a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ea18c469-f301-496c-b00f-4c7c5eebdb32", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a8d9392d-0838-4651-9377-3f51b7fd0c7f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f44662a5-3e95-40dc-a20f-15a37354ac60", "count": 1, "frequency": 0.0002992220227408737}, {"name": "58e22a63-8452-4077-b8ae-76da9d286012", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5252f956-9074-448a-8024-535edbf276d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "35ac61fb-a8c0-493e-b1d7-21b34369b03d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "05b45764-8db3-478e-a080-4a848e0eff86", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cd494a0f-8ebb-4029-a5c6-5084ca2bf1d3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d0327ab6-b7ed-4f75-bac4-192c4f26b4e8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2a84c196-0dcc-4212-a659-a966632a5928", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0d64411e-0f09-4975-93b9-a0a15f6751fa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "74515871-3a83-45ff-9ee7-59fb6340cb75", "count": 1, "frequency": 0.0002992220227408737}, {"name": "da0b4698-e9e7-4138-8475-cf759e08369f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1b622ac9-0e7b-44f0-9cbc-6cb567636d7d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "907ea51b-de4d-4334-89cb-7e2c87fd0b85", "count": 1, "frequency": 0.0002992220227408737}, {"name": "951e97cf-e3c1-4579-b002-3e4653c5978f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e849ea25-997f-41d4-b9a8-f3e76670ed18", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4bd63c40-0371-4b58-861d-8be99094567d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "594fbaea-139f-4b64-abe1-6cfbc12a974d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ab18db9e-85ab-4f9c-ad2f-52503dc68d5b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0bbe14a5-905c-44e2-a3be-1a15544dab43", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f2c744c3-5955-4519-b268-59904670f9a8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4a9e305e-e903-4091-b11d-80cdaa3dd53b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "035037dd-398e-49a6-98b4-7a0b6c61db6f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "aa634231-5e96-4a19-a2b9-8084b184b00e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fee51c21-b3b1-43f6-97b0-3c2f21076abb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a5da557f-3cff-40c1-ae61-9e8e169f4d11", "count": 1, "frequency": 0.0002992220227408737}, {"name": "979ba56e-578f-4233-8ae0-b7ad68cc4b1f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b86df18b-2477-4d86-a499-8d50f0e9a05c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6f6729f8-0197-45c9-a5de-28181f2417cc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d9795eaf-4201-46e9-a213-63d8cd1c1322", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b8e44f93-0217-4cc6-9d6a-69c761e64155", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1183cc68-5ee4-41cb-b299-71432aa5122d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6110ddcb-048c-4797-8b10-6f1f3111a29b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "84a493c7-158c-4e3e-825c-1673033f415a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cf2ef2dc-8126-49dd-8c72-b40d7be2c9c4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a10fdc0a-31a5-4341-8fa6-308a9d76645e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4a131c4d-4ef8-4039-9a98-e846bbf3768d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "38681b9b-e03b-47c4-813c-1cec8fee94e5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cfa3d87f-4ffc-45a6-b458-7aa903cb7ccd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "173166cb-b4ad-4a05-affc-061699934360", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9ceb9bae-8856-43c0-842a-098b23773793", "count": 1, "frequency": 0.0002992220227408737}, {"name": "65dd0f39-51d8-4e8e-a475-56631e22cfe8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8d5b50da-c923-4216-b5ed-896ae13bfff0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ec18778f-b365-453c-bed9-9ae4f56242d7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8ffbb4ab-60d1-42d8-a787-4414a3b219d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b131194c-c317-4f43-855d-b61d1ce83237", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5bd9366c-38d6-441c-ab9f-9bf226181b0f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "46b6ac29-fd59-4134-a107-e9033d772df3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9178647c-117c-4725-83fc-8948c869476d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ffd6b771-ea39-493f-a0ac-ccfbe7cb74c6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ce3e71c5-8665-4b81-8e22-b50600a8caf5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b6a41900-4249-4852-b8e9-5a490fc85ee6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "68daf8c1-b7e2-4767-b13e-38207551aef8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2268987a-29d7-438d-bc94-c13330cea9c4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "64311b92-6061-4688-8e8d-b1f492aa727f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "62712f89-17a1-402e-9d4c-edbffc7cd731", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e8e824cc-7c33-4793-b1bc-2687429b2dd4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f740c0da-8f08-46e9-9241-4f8eff8cdde6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8046ad64-b7ee-405f-a629-3f9cae17ea0e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f12e140c-ef74-4e8b-b942-fa78d39cef50", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cd0e3738-a68a-42ba-b8f0-cc0e86cf9f0f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d9604c91-50a8-4eed-b4b2-a7d36c3baa2c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b15154a2-7c67-4b83-8875-72f090102053", "count": 1, "frequency": 0.0002992220227408737}, {"name": "852cb468-c4ab-4506-a31d-4b6e99ef6299", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5c702c54-772d-42ad-8f91-1f2aef5190c0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "04fae1a4-5fe4-4c8a-8c27-6df71b661263", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8bd3a201-f9f9-474e-a740-7580a3743c49", "count": 1, "frequency": 0.0002992220227408737}, {"name": "049fdd93-d3db-496f-b276-1ddbbf057648", "count": 1, "frequency": 0.0002992220227408737}, {"name": "292e8537-36b7-4dc7-ab5f-ca5357c6114d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "07d53fa2-4e78-497f-92f9-e605e083cf94", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c85d59e3-8ba8-4569-b794-7a99fb03e94b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4ea41984-efcc-47f0-a36e-1a2bf595e8b3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "27490566-7677-42a6-ad51-e74100dfb0ff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4017d770-331a-4590-b8ec-e439e34119ff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "27506a62-a4be-41d9-9bc5-c8efe230cd9f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a6663742-d39d-417f-9ece-14fc03279298", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4fcacd8a-8c8e-46fc-96fa-85370442366a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6a3b3f34-770c-4bb8-9b28-27afff475fe9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b69364e9-f779-42d8-81e8-205ce3f96f0a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "99a629ec-a982-4ac5-9c5d-eb432610ce98", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a86fe826-ab90-40f8-b052-a79e86cf9b38", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7f125a02-1d05-46ae-83b7-9b7806844a6c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "698c905f-7b8f-4bf5-9d65-0fdce09f8464", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f5478a9a-8eb5-4c80-b754-de0ff17efb59", "count": 1, "frequency": 0.0002992220227408737}, {"name": "474dc910-5a01-4be3-b878-e942826b15e9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dfb6a098-4cb6-4d49-89d5-334a0a4bddaf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9324fc18-d868-4b7b-978a-11c0c8eedc04", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5db9b704-027f-4d92-ab86-4b89494edb80", "count": 1, "frequency": 0.0002992220227408737}, {"name": "99688a2f-e476-410e-99d0-83f842c083e2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d76f0af9-9303-4f5c-af99-24b2b06ca17c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "735970a8-b921-4b42-845f-754ce3a30aac", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a901e622-1e33-493b-b2ec-67b34bd07f0d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9b6eb0c9-6f18-4da1-9b8e-98bebb6d74cd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "db47337f-540c-4ffd-b091-a1bb3a63fd4c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "147e85e9-b216-401f-8d89-f382cf6eb1b3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7fadfce0-0aaf-45e2-abb9-aa581e3852aa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "672044c6-439e-46a7-9d3e-0801c66d77df", "count": 1, "frequency": 0.0002992220227408737}, {"name": "87b1a43b-45de-43f9-994a-8266ac74ab56", "count": 1, "frequency": 0.0002992220227408737}, {"name": "49404ba6-ce95-4542-903f-d056268e9994", "count": 1, "frequency": 0.0002992220227408737}, {"name": "80141911-0b6d-437c-8688-320fbe35dd88", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d1398940-23ac-461d-bf91-d7fbd63edb55", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9f5c96b5-304b-4b60-bbea-4ebfd2a068b0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "749ee983-db47-4612-a92c-f051e48473d1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9403b331-0626-4e9c-83e4-72e05824a1c5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "90e69449-3e76-4903-a5d1-e053d7d4a52f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c142b808-40b0-4cd5-ac9d-c33e04128b12", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5538606b-342b-4853-b6af-798d968f8c3c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0cd458d6-504f-4629-bd0e-8635b3bbc1ce", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d7125223-779f-4d28-b381-bbcd19d63d45", "count": 1, "frequency": 0.0002992220227408737}, {"name": "158d81a4-d019-48dd-9d0a-d283668216b0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "747687ca-5819-4dd7-af5a-46a6a42aaae9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0c3f0ead-f86a-460f-a4eb-a570921d7735", "count": 1, "frequency": 0.0002992220227408737}, {"name": "481038cb-4e28-4311-84c0-64919c42d8d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c1e1e795-dc74-4f3d-805b-5457fd4abbac", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a178a6c0-deb4-40b5-b5cf-5f0a815842bf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1cbf53ea-6322-4164-a00d-b0f28d9e173a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0037ba21-b09c-455b-a3c3-e7807aedf776", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5dd5c99b-5d12-4b18-84c5-462f573a4d3c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "696ec81f-49eb-40f9-b851-231fc088d784", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b5a21bcf-2ac7-48f8-b120-9d696541ee4e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5a8d69ea-5a45-46b0-9be4-dc88dfadbf5f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8cad09d5-c66f-467f-8abc-60521ecd9d24", "count": 1, "frequency": 0.0002992220227408737}, {"name": "76d499a2-98f9-408d-bcab-bae4202871af", "count": 1, "frequency": 0.0002992220227408737}, {"name": "96ce0a38-6ce7-4aae-af47-5f4d3f3796f8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "150237b8-0da9-4cfb-9f68-250ef94a1564", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f307bddd-9b74-4563-8ed8-59ac1ed2da8a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d9687498-df72-4e14-835d-509a61990002", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2802bf19-1571-4d9f-bab5-46be066b69d5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "38ed7baa-364d-4cef-9cc0-d4ec3fa945e6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4111c9e3-f12a-4e0d-93be-524692c567c0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3df9a26a-060e-4621-aac6-e5cf3121e04a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "282db85e-1617-48a6-b29c-4d42a3960dc8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fc17cf86-e5a9-455d-82c9-e406fa2cd4f1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "519ac26f-854c-43df-b245-2d74d900f267", "count": 1, "frequency": 0.0002992220227408737}, {"name": "533bf09d-4dfb-465f-97f0-a78f41aff186", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9334faeb-8467-4692-8684-3859438fd699", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b9f53ff5-bcf8-4457-bbd6-9abeb98dc985", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5be5d531-4cbd-4d6a-b4e5-5d83256e844d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b53c7f53-facf-4f62-ac1f-03843ea616a6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2bb84a50-6f0c-42c4-a937-7b499f77c1f1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "864a5b55-142e-4b7b-b178-daa51188dea2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "72e1f668-91e5-4a87-be27-1ac14d5e7f40", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9a260beb-9910-4c98-8378-2c293856a64b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0a79d868-a2cb-4e7f-8f75-cb47ec484ea6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "292677d2-db5f-4ce8-9114-72103c5e63df", "count": 1, "frequency": 0.0002992220227408737}, {"name": "731272d2-0b4c-4b6d-b89e-407590795526", "count": 1, "frequency": 0.0002992220227408737}, {"name": "64ec83af-b2d0-40ec-8cdf-814f0cdea2a4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "888ab13a-678f-4984-b715-cb0e27bfb18f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3233fe5e-9364-4b5e-9465-c7e4a1b35684", "count": 1, "frequency": 0.0002992220227408737}, {"name": "28ad7e60-8e8e-499f-a7a9-86192388cab0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fbed88bc-bb23-4d67-9aa9-00907bf8bb91", "count": 1, "frequency": 0.0002992220227408737}, {"name": "be1ba4e6-b979-491c-87cd-11d2c739c331", "count": 1, "frequency": 0.0002992220227408737}, {"name": "61fef8c6-5d8d-40d3-8a8d-0ff49428a9d6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d53271d8-8e94-4ed4-9d9a-2422ca3e43e4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "74735604-470c-4fdf-b7d0-23450d3e9334", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c00a652b-c045-4961-a53a-cceffe920b5e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "aaf5d010-3f3e-4bc0-a1b5-a6197894cdf6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fb0d2483-789e-4ac8-b2c4-6578a608a347", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e1ba4318-c899-438b-8c79-7981417f11a3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1fbb89d2-5d68-4db5-8a25-2a62688e4598", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0705682f-4305-4b4b-a098-7296064316fd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "085688e9-7563-44c7-a2a0-0f741e252093", "count": 1, "frequency": 0.0002992220227408737}, {"name": "86b292b6-0aa3-463f-bc70-ada396cf71c5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9dc459a6-7c2d-40ca-918e-d6d852cf2b94", "count": 1, "frequency": 0.0002992220227408737}, {"name": "289b1fe9-7473-402a-98f1-a139ee24b362", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c5ec4690-bdef-4212-8710-0136cdccd3a3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d38df5c0-1672-4bad-a1c3-c72a1e67aebf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "84c64c92-ec18-4345-a98b-05f41ee5bb83", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5e26e5c2-08d9-4c7f-9cd4-6ab3ac440bbf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cb6115ee-7b56-479f-b899-845145220298", "count": 1, "frequency": 0.0002992220227408737}, {"name": "27fc1582-06d4-43e6-be24-5eb7ab7df4c8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a388bf93-6e82-4e63-ba7a-b628f64eefcf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7d17b440-5646-46be-969f-577f2e8492a1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2add17a3-b4d4-4df9-8d0b-550e8b98e4d2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d040b1e6-a7a7-4bda-bc5a-59012f3ff770", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a3b73e05-49f9-447a-b5d0-b4dc9a1710e9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1c54b1fd-703f-48be-8626-cc5d23ebc2c9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f414d495-864a-4d52-b9de-f57ee1eba598", "count": 1, "frequency": 0.0002992220227408737}, {"name": "16a64f54-273b-4f01-818e-6b7bb06d5c6b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b78acf9b-2842-43f0-a007-69b20b5db477", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f2ff9a2d-911e-4633-8412-ef3ac6a7cdb3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "563748b5-fbdc-4c99-a330-2cf54f51c961", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7ff593ed-143c-4abb-89c5-0dc71b61dbdc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d82fbcfa-0eda-40ed-a5d5-f3f502b49420", "count": 1, "frequency": 0.0002992220227408737}, {"name": "97a38ff5-e9b8-43e3-ab08-8b40c59132a9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6cdebb76-ed7f-470e-ad38-44772bb9b394", "count": 1, "frequency": 0.0002992220227408737}, {"name": "333bea3b-b59a-463f-962e-ada685ed3ee5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fddebea8-2032-4c3c-9456-32319d8ad284", "count": 1, "frequency": 0.0002992220227408737}, {"name": "27de2a41-6add-4e1f-8e99-fbebded13249", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b5eb049e-cf6a-44d7-9fd3-6f9043ad9686", "count": 1, "frequency": 0.0002992220227408737}, {"name": "74049ec6-a844-49d2-ae20-d612518cd4b3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "434b1e97-7f76-44da-9478-8876640639d4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "56d1f327-f8bc-4473-a5f6-e7e73a72072b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0785fda4-da0b-4cf1-9c01-b0f64a890421", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a2a44b7f-9d5e-47e8-9659-4636218dc9b8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a61fc89e-ea3d-4067-91c5-88af3cd8b5bd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "de4ac5dc-64e4-4013-be0e-2b265d534bc3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8e4af2ca-d4f0-474e-937c-6db10e8615de", "count": 1, "frequency": 0.0002992220227408737}, {"name": "87e1e0c3-d193-45b6-b67c-23a1b9dbc7b1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "51b635f6-e437-43dd-a050-b65ff4d33e67", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4e6a1794-d9dc-4886-8e7f-20e4b61ab6a0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "317aa4d0-b31d-4829-9572-d24656f88578", "count": 1, "frequency": 0.0002992220227408737}, {"name": "387e48d2-636b-49e5-9842-d23082268752", "count": 1, "frequency": 0.0002992220227408737}, {"name": "accc943d-6957-40a6-aa92-fe1aeae3e4f5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9c360eb0-8437-4d77-8138-b2d4c32c62ec", "count": 1, "frequency": 0.0002992220227408737}, {"name": "eb12b88d-7ff1-44e0-8ff7-522fb3fd89c0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "97fbc7b0-9342-443d-980f-c4535909ce4e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "832190f1-e196-4716-8ded-e0fb17c50d86", "count": 1, "frequency": 0.0002992220227408737}, {"name": "331f6f6a-a492-41fa-8062-3c4971a4baac", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3ee6149e-f31c-49af-bc34-82cd4413ba4e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "48fe265c-30d2-4e11-9978-f2a83a11309b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5ab301e1-01d4-4172-8654-6f4071f4b971", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b6a5a31d-1c17-4c42-9b8e-2545aa29d70b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ebd5f61a-23f9-4bd3-bd61-2de871fc5a4b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a0f887ff-0f35-4f51-ac9c-9e8598d7b6c5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4f701168-b7ae-4ae4-9806-b1ee68521471", "count": 1, "frequency": 0.0002992220227408737}, {"name": "977ad74e-b48e-4742-af7b-bb4affc3ef6a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "18dd68ba-8194-4dd1-a6ea-27325e5eb6c2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "65b8dc15-9e4a-4e24-ace5-6f5d2a5d7243", "count": 1, "frequency": 0.0002992220227408737}, {"name": "649dff68-55b6-4c9c-87c2-a89c44277ad8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ee618dbf-301e-4c0f-b485-c0eb56ff64b8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "88319d23-68fc-4a4c-9936-a7fd2885aa61", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2e8b8634-d29b-4ab0-934f-e914608477a4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "138d2365-c2d8-4175-924d-4c92fa2554db", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8fc5d6f7-f0bf-4c21-971d-000757436d6b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3c47fd5b-46b6-425b-b125-0d25efcba435", "count": 1, "frequency": 0.0002992220227408737}, {"name": "95a425eb-3237-465e-99e7-dd3c91a04976", "count": 1, "frequency": 0.0002992220227408737}, {"name": "37ea5de9-6281-47ed-8ba2-b3e0f824d809", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9bf79c38-fbea-4394-b159-08f261e20602", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fb5dd644-0a36-4bab-b890-277283fbf7a3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "36ce4bdf-36f7-4154-a6fd-a40a1a4ab381", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7ad5ff63-4595-458c-8c04-abb0182f5777", "count": 1, "frequency": 0.0002992220227408737}, {"name": "41a4dc86-0f4e-47b7-a678-375cc291801f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9d49aaba-79b2-4df1-8d04-ecc13ca9bfc2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7b301f64-4683-4987-bd73-d6bf55aab28c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "084758d1-dcc7-4fc3-85f0-42a08d28d117", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4f090824-ad06-4577-9f65-ced1e6c03ed7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b9026e92-01df-4839-985b-198c1a20de60", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c865c5bd-aa03-43ed-83d4-24cb0d56a159", "count": 1, "frequency": 0.0002992220227408737}, {"name": "91b0ff1d-1eda-41f7-b34e-d77f1d26da7f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b4402692-a95a-45f9-8f9e-6455f22d6a8a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "62709742-da02-491b-b3f4-31a332c9d224", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2ae4d7cc-6e32-4920-a0f4-f8cd18f7f946", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e16c8b1a-bf05-4e6f-806f-46f1dd1743df", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0bd227b0-79d0-4444-be8d-23b6f2dbf3ab", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8928204d-08e4-4614-bcab-f0079f687680", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e3d66f1c-28bd-4946-9f21-094a35f726a0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e208b0af-f107-4abd-8337-80888eadc0a6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "377d2f86-b6b9-4e6d-857b-42347dc7ee58", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cd559f2d-df9d-4330-a16f-669dd49549a1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b1dc453c-11b6-4ffe-a63b-04ba9b56ac06", "count": 1, "frequency": 0.0002992220227408737}, {"name": "783a47fd-ca0f-48f8-ae89-de8faf3db835", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d06c4bbb-b9a5-4155-8122-f3b2ede72bf2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "12ca6923-8e27-4b31-a58c-6c38ea0e0266", "count": 1, "frequency": 0.0002992220227408737}, {"name": "51dbb700-b7bc-4cb1-a22e-39972e8ba26e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2b3fe79c-32bb-4834-a496-1b4453b1f434", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4eff69cf-ddca-4aa6-a756-d0b3e354faf6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "edfc2dc7-8464-47fe-bba8-62d93d4104b5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "597923c7-c69d-48d0-bcf3-4d3207fd223e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "49cb5c07-b915-4056-bf17-640ad439fe03", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b3a3cae5-0e80-4ba2-b8cc-45d51dc1efca", "count": 1, "frequency": 0.0002992220227408737}, {"name": "544d7dbe-b44f-45bc-9ab4-39599f431eba", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8b2dc261-506d-4071-9f98-78ac04b57aea", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b807d193-4b6f-4cc8-9f97-6fdec0a91e03", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d07e07fc-e662-4ceb-9587-d6cfd2c4cf29", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d1ef60a8-a025-4aff-8b5c-b61508202447", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c27c9a07-ba3b-4e1d-b0ab-efc4110acd20", "count": 1, "frequency": 0.0002992220227408737}, {"name": "902f7fda-c268-44e5-97f3-44ab5e3dbb58", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3d41044b-467f-4f6f-b048-aabef6c4752d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4ef007e8-0879-4ebd-95e4-f70666f781da", "count": 1, "frequency": 0.0002992220227408737}, {"name": "317bb51c-fff7-4b3e-bf23-4749488ae743", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d32db476-a4e7-49c9-8bde-d8eba0e6fff2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "55e06738-7dad-4caf-8b26-6f2a7e06343d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "197013c7-a77a-475b-82b5-661bba3ab623", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4fcfdf96-4eaa-403f-99b2-42ee91a8dbf7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0003608d-6bfe-4714-b528-858bffb5a82d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ee4fb2e0-b2d2-49b5-ac1d-4dfa986a6d33", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e3cfe38d-5171-4f10-a74a-3318efe5c8eb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ec85a717-1d4a-46be-85d2-ca13332d5702", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3aa36639-7d5f-442b-aff3-f5b3c73b740d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b5bf040d-4414-4dda-8592-32de99cd781b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a6dabcca-bd3e-4fc0-a712-d566bc279329", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a75343c1-e065-4ca2-a0c5-a0c8acc255d5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9a834f7f-5467-4295-aab6-d9c5291002e8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2a05a8b7-f4f5-4184-9ef4-ae63e8bbea58", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c83cfbf9-cfa6-4a29-a640-b7af3aae1a23", "count": 1, "frequency": 0.0002992220227408737}, {"name": "180d3488-78db-4905-a286-7b681449032b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c169ce12-7c57-4a42-ac00-84f321788878", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f97cfc47-9a2f-4a02-bf66-0f8eaa45c4c6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6c0ab955-59e8-4dff-b1a0-4e9709916e7e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1c3f9e8f-8502-4a00-8a47-c27b6b6f8ec2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "777b7617-26f6-4533-ad2d-62fdb2662153", "count": 1, "frequency": 0.0002992220227408737}, {"name": "18b68234-0ecc-4cff-9ce1-5ae88e7b421b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7ac6c54f-fcf6-4dce-a90a-6a33929b0834", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b092aac1-fd71-49db-a7ce-5a9eb9971a80", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3ce3cc61-32fc-45c7-90c4-cd72cbda62a6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cf5b0a88-7384-474b-9478-01a9fbb1020a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cb789d8c-f6c4-4905-bfe1-d76356601c27", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5b7588a2-7525-468f-ba5e-a3ded012346b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "93c6190b-bc59-4ddf-a2d3-a14a068eb110", "count": 1, "frequency": 0.0002992220227408737}, {"name": "df5ff750-ddeb-4fb3-9680-b960b395467e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8e6c267a-0d56-4ca0-8703-a96dfab60d24", "count": 1, "frequency": 0.0002992220227408737}, {"name": "29c7c8f8-dd9f-4653-830b-506a81d100cd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8f8bc6a9-60fd-4fcb-8784-230e06c4215b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6aa12fc3-653d-4d63-8247-31bfb4fe3a37", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b29af962-ca98-43f6-826c-29b68c89ed9e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4891c26e-2ad7-4186-ad5a-0268fd2bd9b9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7393ab60-a93f-4b9f-87ef-4f9f288f5322", "count": 1, "frequency": 0.0002992220227408737}, {"name": "77c565d4-7c85-4f18-8822-dd04a8d8a793", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cbfbd9db-3080-4560-a552-cf5615f225ee", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8e5f70c6-cc5c-4a55-a361-0c8181a34228", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1bdffc57-661d-4b9a-a155-163a56456119", "count": 1, "frequency": 0.0002992220227408737}, {"name": "84c5cc8e-72a9-4c18-a8ad-9d87f5153cdf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d68df315-75e5-4803-961b-f2fe36cb8cf8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9f6876ea-0349-462e-b6f8-a264aaa35643", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1be34fea-c627-49d8-972e-04340dff3a09", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b262d318-bf1f-4ace-8a63-9044145137e8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5b50ed89-c80d-434b-a146-4189965fd43b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0cb4bfd8-828e-4889-85c5-549735842866", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7b105bc0-0cdb-4a26-b13b-74ee8b447574", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9811e7d6-93cf-409e-8884-73bc907d6917", "count": 1, "frequency": 0.0002992220227408737}, {"name": "425d16f0-cba9-4c78-a949-46ef1bd1274a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5bb43f94-3c72-46ab-aa77-32392a330e75", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5143fc68-6c99-411c-9ec7-8c29dad88005", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d1ba7e0d-65cd-4232-a0bd-a23c07ed6fe8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b2c7b0d0-2cc9-4e92-948a-1d9ca1a74bcc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "99ec8f9e-1623-49b2-8a8d-3d2c6c877401", "count": 1, "frequency": 0.0002992220227408737}, {"name": "93dc8077-2ec9-4447-a344-5ed30127209f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "45e19571-7c77-457b-8a63-d5c356f58be8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "88191688-578e-4214-9255-0e52dfe6f114", "count": 1, "frequency": 0.0002992220227408737}, {"name": "65c459d2-2398-454a-bcbd-8ff0ae541f7b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7b34b343-023a-47e2-986b-903bd58b1af3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "98d801a7-d2c9-474b-a6d4-f25bc10c78f8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9c8c559a-bcd9-41ae-ae6a-ba231ff66e8a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "35833c57-e9ae-4563-81ca-d5031eaea093", "count": 1, "frequency": 0.0002992220227408737}, {"name": "72f042ba-a2e2-4340-84d7-43300c9745c0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2b331cff-7867-4bc2-ba32-d2eda070ac15", "count": 1, "frequency": 0.0002992220227408737}, {"name": "996b5aec-b842-425d-9891-7c6de2da17ae", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ac73da1d-6363-4ca3-8e1e-7993a8484c8a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f9946086-62e4-45b6-b611-2765ee4c9822", "count": 1, "frequency": 0.0002992220227408737}, {"name": "416013a2-5a2f-4408-8073-d042b597c869", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fd219c46-3bbf-4350-8be5-d13a13d252ef", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d9df5c02-4621-466a-9677-85188143e8ee", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b2506e21-3d01-44bc-bddb-7f4afe3de047", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5773c150-b9e9-4979-b70f-a3a2cd1889a6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8cdc9c91-2763-410f-bc4d-544589512d70", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3984d669-a128-4974-8205-ca71f386116e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4abfe563-f670-4ea5-bdc0-6bbdcba8e169", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2336140e-8ce9-4a4d-9f8a-4760585601a4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f4a5f12e-cb41-49dc-bdaa-5289b5c00552", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f2b85713-18d1-417a-a41e-ba45e6b7292e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f3b87f34-69d0-459f-ac58-c778d1e5e951", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d8c70b53-1f6a-4340-9383-41c85241b857", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cfebb527-0a01-4112-847f-e7d42c172e79", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bbd47317-f746-4790-ad9e-975fe4b007d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "11dae114-945f-4015-9d8b-1201a66322b9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8e86a1c0-69d1-432b-b558-5f16b2268db8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8f4ea8ab-8c55-4ad3-b8fe-d415d9ebf975", "count": 1, "frequency": 0.0002992220227408737}, {"name": "056d20ab-be96-44e3-8124-157f3186f6b5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2cb8c700-b819-4144-92e3-f45211642986", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6813d296-ff58-4ba9-8c39-6d96432002ee", "count": 1, "frequency": 0.0002992220227408737}, {"name": "02b3e17b-b4eb-419a-940d-8b91a35924bd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6dd84aff-0e13-400b-b457-aaa8ffa0bc55", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3e1d1613-7df0-4f9c-9fc1-6791d1781344", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6e720e41-d1aa-4a3a-bfc9-441c9de27e99", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e8021986-039f-46ba-a05d-112ce28342e6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "390dfc9d-72cc-4452-a2eb-12f281ac19da", "count": 1, "frequency": 0.0002992220227408737}, {"name": "928f40dd-99f6-44bb-b334-56e4bf349f39", "count": 1, "frequency": 0.0002992220227408737}, {"name": "67c2d037-294c-4977-87eb-6f681a650594", "count": 1, "frequency": 0.0002992220227408737}, {"name": "809e645b-8d28-452b-9a6a-165041105204", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c04a9bf3-0be4-4554-946d-863af1dc8fbc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3b07e07e-b5b7-4b0d-8e5d-8e60b1e384c4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "64a97057-f626-4a3c-9c03-05410d90d1a5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c9d5d811-51fb-496d-8181-ae37d86f72a0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fa15b976-ffd9-40d7-b2ef-11c8b72449b5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1397a61a-941b-4474-8195-ad30b60a4493", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e89ca50d-ed67-4d45-9b0e-3eaf1d12b096", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1c97adfe-5588-4de7-b6ab-07d156e1d7d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "060b1e35-1f46-4d77-aae1-0219eafee94c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9e172d0b-cf74-46e3-a3a7-d5de09aa8eb0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "47f55116-224c-49b1-ab26-784350423653", "count": 1, "frequency": 0.0002992220227408737}, {"name": "447133d5-8161-4043-96d6-9d365c9fcf2a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "60e083eb-42ad-433b-a3ae-8f441bdf0197", "count": 1, "frequency": 0.0002992220227408737}, {"name": "68643d95-5c2e-4ec1-bba0-afb810e5c3fc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8803e868-7ea8-499e-952e-eacd106d07d5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c9ecf435-9bb7-43f3-a817-3fb5156bf125", "count": 1, "frequency": 0.0002992220227408737}, {"name": "62a14a8f-a17f-4d56-91ca-bd1fcd79c48a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c8a4c3f2-138f-47d1-938a-696109e6be29", "count": 1, "frequency": 0.0002992220227408737}, {"name": "475c2636-3ef0-4a9d-ac98-bea0968ee39d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e25ae9f8-e9d5-4b50-b3a7-57afb899bef0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "13c22024-312b-4a79-a7e9-17cacb35f9a9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9151da6f-6bcc-4e7d-9bd7-06b2850a291a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c5602c82-e3d8-4e74-9d45-bf248d95f265", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f0528f2c-d9d3-4eba-b41b-e5608f451bc1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f0f1eb3d-ad2a-44bb-a9be-935986cedc2e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9f624f98-3a32-4a41-bc30-79ad72b95cf7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d27d3726-ec75-4bf3-a3f5-cb5fd9f5ee6c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "77e88788-51f4-4cf6-84dd-3ea0205f667f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c84b6785-5744-47e2-b0bf-0b1129c6ace2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "de942312-7117-49b0-8078-4b34d308db04", "count": 1, "frequency": 0.0002992220227408737}, {"name": "eef2c8f1-1b0a-4440-a0d8-7e47827980cf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d00cd604-aa7b-4196-8006-c984a433cf53", "count": 1, "frequency": 0.0002992220227408737}, {"name": "11b92ed9-25a1-4cfd-ae69-35f22c45b165", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9bf4a9c9-0fee-4879-bf73-d79968ea16ef", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ed02cc66-76b3-481c-a537-837e8a9b707e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2cb579c1-4896-4ad7-b683-dfcd57f4c782", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5faf6f3e-2572-4101-9271-1223ad61ebd8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "02da6987-e1b4-4e2b-a056-c61721a83e48", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8f0bcf5e-b6f2-430f-a37f-b4a9aa8b7f5e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f9d8ad16-6c9a-40fb-8e45-1309b04faa91", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e6fc9ab3-1028-4da9-ac77-5d2a883ad27b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4d8bd06e-9f93-4011-940a-eeece163c0b0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2356e7f0-b18d-45fa-ba1e-f1d32992893e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7d7f49c0-4f1c-44b4-93bf-5eec81aa36fb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "22623ad3-491c-4ade-a52f-edf1d25a0e09", "count": 1, "frequency": 0.0002992220227408737}, {"name": "01a728af-96a1-4053-b1ac-55d04d39654b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8c5ce615-1137-46ff-93f3-ef449e65c258", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b9a973e8-a8d8-4c88-9d0f-2faf76d49d94", "count": 1, "frequency": 0.0002992220227408737}, {"name": "92a45168-20d7-4b19-a0af-230503306f75", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e5fb62d2-7a1c-430b-affb-70a5df9a0faf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "48b03597-dcc1-4204-bcaf-015bc0c77912", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1e6a9ccd-203e-470d-8968-2a875210e476", "count": 1, "frequency": 0.0002992220227408737}, {"name": "19d87737-bbd1-4e51-ada1-f5a261bf374d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9bf79cba-3b03-464d-ae13-475a03643b78", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a46ce89c-f249-4596-9d2f-760aaf46d645", "count": 1, "frequency": 0.0002992220227408737}, {"name": "94f56af7-507f-4e6e-9f95-e52ec85d7c68", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ec0992e2-52e4-4f6c-a8d5-807e41ea8002", "count": 1, "frequency": 0.0002992220227408737}, {"name": "86be59c4-ac14-4653-8b28-f757809b4872", "count": 1, "frequency": 0.0002992220227408737}, {"name": "be52acca-83a8-48c3-8b87-c0eb43233576", "count": 1, "frequency": 0.0002992220227408737}, {"name": "14a532d7-aeb3-45b7-aad8-1bb46b22b0d6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7d6fb398-801e-468a-bccf-edd9de1ed6fa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "323b2d59-a4a6-4c30-b305-59e8d166e47f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dc744d38-c5b4-4286-bd21-5f1c6e59d401", "count": 1, "frequency": 0.0002992220227408737}, {"name": "62aced22-a4b0-4d26-be0b-d3c6d8e62ed8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "02dc31bc-b323-457c-b8b3-9a4bb29bfe28", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6c981e33-a257-4787-b1c9-5b21bacacf41", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6693571a-79a9-400b-bccb-4c3abcd12147", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6d241170-b5fd-4d75-98a6-b668e919b520", "count": 1, "frequency": 0.0002992220227408737}, {"name": "15009920-fd16-45da-bb96-061f8077a4f9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3171a452-f431-4166-b0b4-aab1f3a07562", "count": 1, "frequency": 0.0002992220227408737}, {"name": "43f20fbe-ce99-4b87-b06f-897d47b85ce4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7fc93326-84e1-49d7-9ba8-5a968bb3fcd6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e33097a7-5cc0-4160-a0f6-4a911edbd318", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d1a3596a-f75b-4e40-aa51-98a178667919", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3e34c826-1ea2-4b85-9cd3-246c33f1b2f3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5d468714-90ed-44b7-ac8e-d59b8c3db619", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9fdd9711-223f-4342-9433-db0f141a632f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6dc1ea2f-db01-4f2f-a642-01b87d283c5f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ef7f2019-8e6f-4a8e-95a9-2b734d24b7ee", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b8fe2fd5-1005-4fb6-93a2-7cb7c03b6099", "count": 1, "frequency": 0.0002992220227408737}, {"name": "af2b4f2c-d223-41e6-bb62-b13e0bdebbd9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "021cec5e-2025-4a1d-b36b-911dbee4ba7c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a0a8857e-ddf1-43a8-b4c9-dabe692e43e9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ecc40edb-af8f-4157-a731-2cbae499480f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1992fe0f-4634-482b-97b0-620f0fcf85ae", "count": 1, "frequency": 0.0002992220227408737}, {"name": "94b4e5e0-d782-4862-bc9d-e25279730209", "count": 1, "frequency": 0.0002992220227408737}, {"name": "013e915d-b5a9-47b3-9f85-b6bd01d2ebb8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6f8895dc-03df-4640-92da-d2b1094a52c3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3449b68a-97fc-47bc-b92a-6eb59ea76ffd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6574459e-cb2d-4f2a-90a6-0d437bf4864f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f0b4e666-587c-47a3-a88f-7fecafbf9822", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9dd84719-4bfa-423a-8760-d760f7e5d1cd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2a47bd48-8466-4e79-a2b5-fe5ad0fdd336", "count": 1, "frequency": 0.0002992220227408737}, {"name": "de41cb37-746f-4691-be67-b168226c321b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f6ed9abb-b030-489f-ad87-687cced6db7f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c6f15d2c-cd1e-4200-b2cb-2eb14657e888", "count": 1, "frequency": 0.0002992220227408737}, {"name": "001db53e-99b4-4235-afbf-3a294104ca54", "count": 1, "frequency": 0.0002992220227408737}, {"name": "78039153-da47-4f87-85ad-04e5ec79d7e6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3312562b-73f1-4925-a82a-eb474ab658ba", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4d23372b-5860-4bf9-b304-7475151986b7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7b2ce982-7adb-4fd6-bfab-6d498347494b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e3a4bf91-7b5d-4a86-af5b-cc30afb08cd0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7408e2c6-da23-4449-b1b8-61ec3fc3e726", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f74e782c-8de1-44dd-8d6e-2d70e8fc52a4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "28b17aca-8380-4933-b5a2-aee7803a9902", "count": 1, "frequency": 0.0002992220227408737}, {"name": "67780fce-e5cf-4b8e-9996-908f3b50410d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7b50417c-8cb9-4606-a773-dc7440d95e9c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5d1e6132-9f86-4399-8340-4683aa97010a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "35cb2b17-3be7-4e5f-b1ea-6410eef22df0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d8f6dc37-d485-41bd-9795-88eb0862ecd2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4a439d80-5c88-449b-bdd2-65a300cde865", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ecbd5b4b-3ff2-437a-b630-bf0b4e108fe2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f4ce88b0-dbe9-4c72-a344-002e12b7ddaf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "22072ca3-cdb2-48be-be5a-195eb6c34151", "count": 1, "frequency": 0.0002992220227408737}, {"name": "24635441-b5d4-4bdc-978e-e5de17ce0d85", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6d010245-1258-4cb5-b93c-618718142cc2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f7ab35a5-1e59-44b9-95ea-b6518dc322b4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c1636d64-d4a4-4324-ae24-dc91e6ef6a76", "count": 1, "frequency": 0.0002992220227408737}, {"name": "26588d6a-5384-421e-a11c-324f372e997b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "43c3971b-1429-46f6-b0f4-b77da163a261", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4c4ff526-59e2-4c0d-b4db-74ddb9270fef", "count": 1, "frequency": 0.0002992220227408737}, {"name": "173d6f0b-ae7c-4bee-b07f-ee795e592d1e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "63dd953a-e251-49d3-a1c4-17b0105effe2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4fb5ce75-8bfa-4672-9657-bace0e6bb14c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "87654499-e83a-480a-a94b-6ccddcc1e612", "count": 1, "frequency": 0.0002992220227408737}, {"name": "afe234e6-ecb5-469c-95f2-0a440c3cd14a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1cb3f619-d8b1-4c69-b010-4ae0d7f429da", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cc622d79-2b60-4e49-994e-b3ef89e2e486", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a0c33471-dd55-4f33-a4c2-425cd60c4aa3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "47659a57-e89c-4c3d-99ac-c2e35ccc69a1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a16429d7-9177-48ee-92db-27b070950e5b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a25d50cf-850f-4b51-880c-2a9e263d154e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4c63c3cb-3a77-494d-9c7a-f19e5d2d9597", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3829689a-0e19-4b1a-ae56-8bed22d60e43", "count": 1, "frequency": 0.0002992220227408737}, {"name": "281982e3-b5d0-477a-9c07-2bf858f2d8f4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e31f17d4-0b6c-4cfc-b31e-5e5543b5021e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8b46e099-3890-478e-88a6-afa3e3ce0d4b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "62140172-d107-457d-bcbc-47af1dec62d8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fd7fb9fe-fdd2-453b-a8ea-03b4622a3b53", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bdca4d4a-2f4d-4dee-94fc-4d6bb90c34ff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0ac514c1-bf9a-4bcf-a9bf-4dba27e46130", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3138c03e-16b8-425e-b272-834d2190fa40", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bc63f5ae-457e-4526-aa99-007ffd86062f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "49c8ac3b-0ac6-452f-be96-b457d0b5b4a2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "182f1a26-0ef3-448b-8048-b5d821e27186", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1533f75a-629a-4495-bce2-0b2e90edc75b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5f953d94-0f31-43b9-aa97-6dbb6b44ff89", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3f0962ed-3f86-48b5-a886-87df3ebaf97f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "644466e3-381d-41c8-a714-662b8f9f8a43", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b9e88a8c-c424-4a5a-ac91-88f316492583", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b465dbcd-5d65-4f27-80f6-7938ec2ac138", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f90c5d12-5e71-4dd4-b35e-db07cbd3d988", "count": 1, "frequency": 0.0002992220227408737}, {"name": "03337801-887b-4711-8584-0fa65d24c0ff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6d71216a-44b8-44cf-8034-610f51590420", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7552347d-e3c9-496c-bf68-fc39a67ee311", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0d3dba46-5e05-4a86-aa5b-45c808160c89", "count": 1, "frequency": 0.0002992220227408737}, {"name": "de3e6c35-21b4-46a2-8317-ec51b626e495", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d3dde3af-9be7-4e16-802b-4a9b93b29609", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0fd4c31e-1b7d-40c4-b957-279bb326263d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "77ea4322-4982-4c6e-9510-958330d5444b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "61292bc3-ba1f-4765-be04-ac3f2fc944e1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ecf097a9-b0bb-4574-a169-637360c30e8b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e03761a6-5ef9-4944-8ad5-ed2630657c0a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "386cf64a-a0a9-4781-a1db-1b5abc78d4c8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4746bf70-5a80-42aa-ad25-1eec1262daf5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7a03467f-767f-45c0-a36d-f29291031037", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6e93cbad-30e6-4ad5-a6f9-9a632a332f1f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "98132cf6-cbb3-4511-8a23-638bce0118d9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "18514531-4df7-4108-9fb6-4b68c5f8136c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f70e3285-ca2f-4b0a-ac9c-e5292744d2d5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b7290da9-2acd-4745-9495-a456b669f60d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "74cf30f6-7f11-4cbf-879a-5e12ad4c631b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6e5f6e71-5af2-4882-af42-4b1712a98dd8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bfc06689-3bfa-4eca-89cc-9a785e4e568d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "66ed27b1-8371-4217-ab7c-9907ff67eaf9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9d7655c2-a3a8-49b6-bff0-6bf0a6beaf33", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ea6f4438-2d59-4171-8866-c9ee07c02f12", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d467426c-8704-4fa1-ad48-d79a768cc513", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f92e7170-1910-43a4-bfbb-6033b1ef8bca", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f9001460-610c-457d-87f6-85a7eb3395f3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c40559ff-5582-4870-a609-9314b27632e2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "88bee756-97cf-4e9d-ad19-1bc216b6d6b9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d6a0773a-2401-447b-b374-a40c065a2133", "count": 1, "frequency": 0.0002992220227408737}, {"name": "79165d4b-923d-4cc0-a945-6bbf4ce3c3cf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "718d6cca-7174-4b31-896a-1747cda766f5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "12b30474-103d-42e7-948e-8c22baeaed91", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1e1c2670-2e0f-408e-8841-bfa5b43428c5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bad48cc4-5c48-4caf-9e1f-301ab86b95a1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "27a85ba3-f1ee-4cde-a7f8-962c27363fc7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ce6297d6-79fe-4f40-bac0-279d7dfc7f80", "count": 1, "frequency": 0.0002992220227408737}, {"name": "165a37b1-548f-4461-9e1d-835f914b5eff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3171c054-e412-41ca-b6d4-03d4406cde05", "count": 1, "frequency": 0.0002992220227408737}, {"name": "78e7f327-51a1-4a34-abec-5bbd4f859e8a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "01bb61f6-3f40-4b9b-b4da-30560faef9cd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2a2a8d98-ad24-4552-9b1e-5c9d07ee8163", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8e9b9132-ada5-4b88-9d77-98fc6f211c68", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2ac24b03-839e-4690-ac07-cea041011fbd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "959b3dc2-9803-45be-8067-1d5603189e90", "count": 1, "frequency": 0.0002992220227408737}, {"name": "eb4c786b-911c-4ba5-bb4d-5a33f3c4d148", "count": 1, "frequency": 0.0002992220227408737}, {"name": "489593da-64a9-40f4-aa2c-d1541ca726db", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6e84dd60-b10c-4319-bba0-b6414650607c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5902a2cb-1d62-478d-9425-444d0cb32f0f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "24139e24-fa7e-419f-b66d-2f364fb8ec96", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8db8c26c-0912-4b35-8347-2ed3533e872e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "08d31e5e-8e2b-4e30-8a15-e4781d86b2ec", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c8f7be4f-76c4-48eb-a5d8-ac7c60b2ca46", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d5c977a5-c875-4187-9900-9db008091fea", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b391cc60-fdfc-448b-8988-0294e34d9ae9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "240ef632-a92f-4d09-9729-07c592366eb0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "26443248-5e8d-408a-a8ff-b50fc196db81", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3579f6c8-6c48-47ae-8750-f095ff39a959", "count": 1, "frequency": 0.0002992220227408737}, {"name": "db09fa2f-54c7-49ac-92fb-b4695eec17e3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4983d8e7-64fd-41f4-a25a-ec61e25ef4f2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "101034ed-66cc-40e6-ba9c-ca2a38dff72b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4f0725d6-19d5-4604-98ce-e6de92aa6eab", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ab17c1dc-8598-405f-a2cd-36ae7a4a1c96", "count": 1, "frequency": 0.0002992220227408737}, {"name": "50f3a26f-469b-4f53-8046-9df9d65e569e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "835deaab-20d4-4b86-8be1-4a29a0e40c07", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cbb6851c-e8c0-4ab6-aa66-169ea4b1c5c4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5cbb4495-fa4b-4c9b-b790-da0d9a41883b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6a1e7e79-bcd2-4c7d-a87d-93200119c913", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f2799296-78ae-4c00-8fa5-700d3f412227", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c245c219-98bb-4df3-a573-713d18c81cb2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "70148d8d-b860-485f-9c93-9e2eb49bcabf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "54db99ab-8cd2-4b21-9269-d9ec74534a2f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8d882493-5c86-4b99-ae06-2f2b321102c6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bd92e385-1b00-49eb-8be3-e87138080b64", "count": 1, "frequency": 0.0002992220227408737}, {"name": "86f961f6-6841-48f3-8e84-5124e5169262", "count": 1, "frequency": 0.0002992220227408737}, {"name": "63ccfa70-8948-43bf-a570-58f72afa649e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2e36689f-a276-4249-8653-63ce066a06fe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1f8ab4cf-64f4-4bf7-8d70-fa4f15177cc8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f23f7f8d-d202-4f21-ad73-de6459c6b337", "count": 1, "frequency": 0.0002992220227408737}, {"name": "737fe695-e1bd-4b95-a535-1d5133151581", "count": 1, "frequency": 0.0002992220227408737}, {"name": "479e9704-18ee-4862-8c3b-ed73a3e20c6a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bb1d3f4f-1181-42e6-b6fe-4239ac0528fd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d388c345-18c9-4f34-8dad-0908e24469e1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ef3e2ea9-974c-4460-9eb7-8d87672ed1b3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9d209620-019e-42f2-a04e-78afb912c97b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fd719248-11d7-42a0-85bc-71ad8053e578", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cfa5e608-d308-41f3-9f17-092517c9dcb1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0dd99b23-09ea-4d0f-a395-a8f68f3b649e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0bffee5f-c4e9-4064-bc88-06201f4c6c74", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2421d88d-8d27-41df-adf9-aecf6af900d4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0a292398-ee74-4e74-8107-62fb5253bf57", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bdb23765-2344-4d57-867b-7eb31a3ed589", "count": 1, "frequency": 0.0002992220227408737}, {"name": "56b4f099-e268-4f0a-bd00-8a144c536596", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bf2b500d-2b24-46d7-a7c9-29efda3b5150", "count": 1, "frequency": 0.0002992220227408737}, {"name": "041d4cc9-032d-4c8e-903c-845778ba05e5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d8b9bbdb-1e47-401a-bda5-319a698f4ba3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "99c125f8-0337-4713-a8fa-aa10fa04f3b7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c7e95d8b-ec9a-4321-94a0-a0c2c97d7461", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c5e5b463-7f10-459f-b23b-42e21743a254", "count": 1, "frequency": 0.0002992220227408737}, {"name": "beeeeeb2-60f1-4b94-b325-fb31b27e4fad", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0b36e44c-d727-4ed8-a094-ee82b097bf2c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "60a2d650-0552-46f3-b4d4-3fd502a87857", "count": 1, "frequency": 0.0002992220227408737}, {"name": "643cb45e-064e-4ef7-9d4d-a79cf061cb8b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "121edcb4-f4f4-4fca-82d2-bebd8d38f24a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "52e62d30-dedc-47b9-bc5b-a4a7295af19a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f4ab0cfd-e5a4-4a6c-8e8d-b084a6850e99", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b52a58f5-7aac-46fc-9bf3-be2143bfde54", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7779951c-9d89-46bc-b1c7-1d08482da532", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bbd42116-0ab7-4913-8095-1802de30102d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2fbdf54f-2d5c-4b63-96a8-e00d3aa03555", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8507ca3b-c223-4b92-a41f-f2ec392f5581", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b71f3c1e-d171-4653-ac06-fbacfc7394cd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d6945eb3-1748-4381-85c5-9eda69605ce6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "41cd0578-4d0d-4ae5-a8bb-bb83dec08464", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8ce777f2-1670-4e55-a377-4b95167d2ecc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ed034aeb-172b-45c0-b69c-a9e3b5198f73", "count": 1, "frequency": 0.0002992220227408737}, {"name": "11bf1f2f-2d3c-49d7-a62b-e425913a022f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c6d54c2a-01a0-498b-b1fb-56beb4d0c919", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fc460563-46da-4fd2-9e87-78edd2c505c5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "51818b1b-d1ab-4c38-9fae-13a6c16c1b9a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "176ef56f-bd00-4307-9c2e-ced271649629", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d254f18f-c079-4cda-b281-04aa509b7888", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c8bd25ee-6b74-4f2a-b102-ea9f4a19ddcb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bdd15cf0-4809-44fa-b763-7f2133d031d2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0b7eeafc-c36f-4d2f-94b9-bd864002c57e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "eabcb76a-fc05-4409-90e8-3cfe9f880fa6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d09252c2-979f-430d-84f2-09495707dfd0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a300425e-4e8d-470f-8f81-0373c35c00ac", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7fffa0de-760f-4fc4-b707-afe887524775", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6ae4465e-3bdb-48dd-9370-a65d9fa345c2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a29fd9b4-9609-4693-9bc2-d460452a1f95", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b33db1d8-2989-41b3-b036-180b7071d990", "count": 1, "frequency": 0.0002992220227408737}, {"name": "70462194-ead4-4949-afe1-5027f822dc86", "count": 1, "frequency": 0.0002992220227408737}, {"name": "33dfba0b-5c57-450d-a6d9-964de5652280", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bd6db02d-b512-4e84-a66b-b03a1c67c736", "count": 1, "frequency": 0.0002992220227408737}, {"name": "07b933e3-17db-4bd6-84e1-1f996188473e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1fb14bbf-60be-471a-804c-546de5aa2ef9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4c552a0c-96c1-4746-b134-8805c09b74b7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ea514575-6be9-4426-8c09-3637dccbc853", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4b06147b-2433-4f02-be51-dc0a99f33eab", "count": 1, "frequency": 0.0002992220227408737}, {"name": "45ef54f3-5b8c-4b43-9798-fb0ab9453553", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7df90f66-46dc-4275-959a-6048c562c763", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a02610bd-5986-4e76-9064-a6834d247767", "count": 1, "frequency": 0.0002992220227408737}, {"name": "14490b81-4a0a-433a-bb50-26dbd7a3d662", "count": 1, "frequency": 0.0002992220227408737}, {"name": "323c74e6-4d0e-4d8a-a911-075256536b5d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2d49911a-c238-4cd5-8398-a2c84040bd3d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "625d4ef8-f13f-4151-bdea-d5fc14f4bdbd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cc3499fb-a6e3-4c2d-820a-7b7d25230d23", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1c1ed817-70ad-463b-8966-2efd7d8046f6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f560b441-cd84-4c12-a334-9671c4851905", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cdeb0abb-e948-47ba-a7ab-81e6fc5e8534", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a7b4d0ba-bedb-4ab2-8225-f89924c84ba4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "63cc0e11-fb5b-4e6d-800b-d31158b62d60", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0b4d795a-bd6b-4535-8566-38f0f758b852", "count": 1, "frequency": 0.0002992220227408737}, {"name": "161f8ddd-d359-4695-b9e5-aa3fa6bb3491", "count": 1, "frequency": 0.0002992220227408737}, {"name": "eb16ed5d-5ce2-4353-9261-ce850dc93b1f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0e416c0a-4a99-4534-82cf-2d72010765fc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "769b9451-05b7-46e4-aa72-ce89b09ce9c5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ac572fd2-6d6e-4c6a-bbee-c1e36ffb386b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fd63db1a-c8f1-4ad4-82ce-7d9f2863d363", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fefc62e0-d4df-4790-af23-7064609131ae", "count": 1, "frequency": 0.0002992220227408737}, {"name": "38761450-c66c-46f3-a4b1-6f8bc69075f2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ab858379-8010-4aba-827a-c50d6d231845", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4d31e3f7-27c9-4fa1-a629-e20c51cca741", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cfabad39-7304-4e2b-b361-10c0fe89f648", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1aadd8a0-f8c9-4643-931d-636c745b304c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "524f80fa-764b-4ee1-918e-1bc3baac5030", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3741a120-8d7f-45eb-b44f-7f188f2f1e12", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e3ba7355-95c1-45c4-bd00-77c00ad0cdb2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "92ed2255-b98a-4925-92f0-953e740613ca", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b830ae6c-20e2-4218-97cd-9cacd18654d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2ccf9e39-74b0-4575-83d8-19ef7f1bb645", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8544cbdf-864d-4063-ab58-61040dd242d8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d286a1cd-f6ad-4e93-b192-a37b79ad1b60", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e73e8874-9f00-4d78-ab43-9b6840172e38", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4afa9968-c364-4800-ad93-d2b5041e8f22", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fae14ba4-6fc4-4f92-9743-e68a3437980b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8fe69b79-cb60-491d-a5fa-ebadabb185ce", "count": 1, "frequency": 0.0002992220227408737}, {"name": "722c2a92-3747-42ba-b9c3-c4ad9acad198", "count": 1, "frequency": 0.0002992220227408737}, {"name": "de6de743-2ace-468f-8308-bf692e822994", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f7702676-2831-47dd-8c75-0faa64dcdeb3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "52f17344-675d-495f-9ea8-d90ff4ad758e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b1a07b6d-c0cf-4c28-a89f-6195143dc367", "count": 1, "frequency": 0.0002992220227408737}, {"name": "701d4ed6-2ece-42b8-99ec-863448f7a947", "count": 1, "frequency": 0.0002992220227408737}, {"name": "03ee86f2-f4e9-4bf7-9464-da5a635c67e1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e06612b1-f5c5-4501-8255-6395a710f7d8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "41c2ab05-1fc5-4dce-a541-df9fc555e45c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5f026ba8-bfcd-43bb-ae80-3c04de826a01", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1c451a63-21d8-4d65-8d7b-bbbd2d174d09", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d7fdcebb-4bc0-4f14-8ab0-096223ef97fc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bc46bd53-dae5-47c1-ac1e-5159b44f926c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "caa2ce52-6f7a-40fb-9e49-f94bfdf02814", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7b98c2a3-5826-443f-b54e-7bdfbb71b2d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "aa3c7e37-33fd-4749-a07f-c85f53e7a751", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9e8f8ecd-6e2f-43d9-9be3-972374deb87a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2c3608f7-e4ed-486c-8615-ae189e269799", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7f8a98e6-9c23-42dd-8b6f-51888067c4d4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "054f689a-8c1b-49e7-99e6-1fc32a4394d1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d812b394-e666-4742-85f2-c17807debfcb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "26a1b676-3d89-420a-bc5d-7c1f65654bb3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8b95582e-9633-47b9-99bb-5041d8340966", "count": 1, "frequency": 0.0002992220227408737}, {"name": "75042355-2976-460f-bc98-89fcb38850ff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b507b750-a974-4139-bf04-734cdac1173e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2b9f2722-1879-4584-82ac-9804de8f93c8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0eabc183-8009-4c2d-862a-f8e811fdf26c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7676f8f9-3e00-471e-8e6a-baf735315f3a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ea855faf-da8d-4764-a669-12185cb19efd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4d6e9306-a3f6-4338-b203-f03d7adec5d6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2c5e9a8e-3e74-4974-bb0e-813a7513d79a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5c1b9eeb-b1e9-4cd4-b810-1269497c45b6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9eca7ede-0a58-452a-81ba-dd33b0241fe8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e2a38f30-00a6-4341-974e-288cd1de0f90", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c5476fbe-da0f-4989-ac89-b02c6ce2f208", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e8d10098-fe44-43c4-9290-d7cedab51f39", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6fbbeff0-8964-484a-a7da-ee243269aa3c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0b2fc99c-c015-42a1-b65c-1214ae6255f3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b9e21efd-68bf-47f0-b271-8ce12268fea9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b72eaef8-5ffd-4375-9c8e-828fa6ab1434", "count": 1, "frequency": 0.0002992220227408737}, {"name": "34006e76-d99a-4193-a57a-ecb0cd224d41", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6dc4ef45-e190-4df1-905a-ad5a7b8c5b58", "count": 1, "frequency": 0.0002992220227408737}, {"name": "65fbf90e-7898-44c2-93f5-29dfb7dbc562", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c143882c-bc37-42ea-8c81-b46c1099cfe6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1cb0684f-6064-43a5-aea2-a7d41046b596", "count": 1, "frequency": 0.0002992220227408737}, {"name": "534e38c0-0a9b-4735-97b2-a963385d78fe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "87b824c0-c515-425a-a27d-c073f3384ff4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a58ddec5-5b0f-4ef5-9cb6-9527bd66d72d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7971b8bc-c776-41b7-b2bf-923fda04cb96", "count": 1, "frequency": 0.0002992220227408737}, {"name": "655f005c-f8a0-4eda-a5a8-b0b5ed35b926", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1481b5a4-80ca-4a51-a743-d357c522fb5a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9c1109d1-b42b-489c-937a-fff267994043", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2ca9af45-efe5-4683-b46d-94edaa961c5c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d9cf5046-7151-4ead-87ce-68c996e27cda", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e1f77591-03f0-447e-95fe-bae8f2d2cba1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e4c39881-36a0-4b1e-94f3-136d3785cba7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "def4ae55-e6de-4156-a4e0-153b56596262", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8b8cb80c-62d5-4b8c-9081-9fa675bff91e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "11876b5d-dcf8-44a5-9346-4832b44f9c70", "count": 1, "frequency": 0.0002992220227408737}, {"name": "86e91354-fe53-498e-95c0-09783d4e6726", "count": 1, "frequency": 0.0002992220227408737}, {"name": "567d1144-2922-4b47-be32-6b994dd5be08", "count": 1, "frequency": 0.0002992220227408737}, {"name": "44e88f94-487f-43eb-a1bb-c987166e2362", "count": 1, "frequency": 0.0002992220227408737}, {"name": "029baaac-0245-4585-8d3b-001197746add", "count": 1, "frequency": 0.0002992220227408737}, {"name": "856c6d83-729f-4a74-9ff1-d94411d3d58a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3a275068-15f3-4d98-9a4a-709ffab782ff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e1cdc082-5854-4854-95d9-5696c9c7be0a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d2902828-c03f-4c02-82ec-dea6fb6401fe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "758e4321-a69a-46ac-8a64-bb6eb6c28d6c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "89f6b57c-21a0-4d23-9ece-e60203ef2730", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4a6f9ffc-2bc5-42b7-a3b3-8bb82cc256d7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e974831c-fbb6-4404-ad30-6db07efaab8d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d988c2c2-77ca-4a99-9829-03906a72674e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ecaf9d8f-11be-48a3-a8a8-3eb5ff32cf9a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0254765a-8415-4e0e-b81a-9b76732f8e3d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7e20dfa9-7d4a-490b-8493-863cf8613676", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f12db39b-378a-4b80-9156-0411a73f20b4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f2fca3b7-84a2-41f3-b0f9-755590b63b68", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f28c681e-91b6-4d9c-9a36-725d7881d89a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "06ea5a6d-6a47-40be-a298-3b454dd35a4a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e73a98e8-1490-48ff-bb81-7aead212dae9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "76cf06b4-b3b5-4ddc-8599-a5112847e542", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7b1da287-d3f5-4d0f-b9c9-679eda04e4ca", "count": 1, "frequency": 0.0002992220227408737}, {"name": "50170ba6-404b-40ce-aa1e-ebc0fc34d415", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d469fa8b-023c-40db-8652-3191360ee2ac", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2aed6123-00d9-4470-a3e0-b7fbd19cc181", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e7e2686b-40dd-4862-bbe3-adc063d74ca4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f93850b2-99dc-48a8-a474-42ca584cd1b2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c2326448-2201-4c6e-a4d8-fc0609f0a5f0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5b42f644-5c3a-4d7f-b231-f2ca39f41958", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fac15826-9436-49c9-8f6f-f8e07e145296", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ada3770b-4cec-4f49-9428-231d093615f9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9e3daca3-a3cf-4cb6-a56c-964a4586ca17", "count": 1, "frequency": 0.0002992220227408737}, {"name": "61999481-c84b-47a1-9b97-7873a55ec6a9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5259fa08-ba4c-4471-bf6e-cb99194ba700", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a43e79c5-619d-40fd-b61c-f8f91805c8a8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f8073562-aa07-413b-bac1-e51b41fea017", "count": 1, "frequency": 0.0002992220227408737}, {"name": "106330a0-ba2c-47e8-bdd3-a0de04e39d17", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1b2dff1d-2908-4c10-b41b-4344dfa58a3f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a003ca15-f376-4aa5-9636-6558ff7397ef", "count": 1, "frequency": 0.0002992220227408737}, {"name": "595bf5d5-fe50-4f96-9f0a-e2ddd9e813e0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "351f2521-16d2-4dd6-a350-fa904e23bc50", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1886d4bd-7c91-4635-b6b6-5b4252e82581", "count": 1, "frequency": 0.0002992220227408737}, {"name": "705b9ad6-5f70-4b7e-a2d2-299ec83ff91b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4a19fe77-1acb-4ffd-b981-846fc20076ae", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0e4acb86-4a35-4e89-9a24-7d1e46dd2690", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c3b90ad0-acc6-429c-b904-46e68c0664e3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e8b56c31-ad6d-4fef-8900-f2b5e6b16474", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fc667ad9-49ba-4936-ad9d-5e76f73bcdda", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2fc29452-152d-474c-99ab-7042118c43f1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0391aef0-27be-403a-9fee-6baea10f1f1c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a1fae3c6-5398-44e8-9788-c276c22257f7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cbd0fe65-b813-44c3-aa59-ac824a4db8a2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "05a5d713-f257-4286-8240-cc5068550889", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c4ddc15e-a74e-4b16-8c29-b65d724c822b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "43ff0fae-7ef7-45c4-850d-e483a1db66cf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d3637b42-515a-4487-88da-ff17e5e5a72e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "af90b69f-ae5c-4aeb-8e5e-954e4b2c4487", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fb1994a9-6a46-4415-8322-1646b89ca7e3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "64df019e-2d06-4c3d-a22d-19a141ac4392", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e9b3de65-449c-4345-a3c1-62cd1cfbc22d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f5e7121c-0f7f-4208-9df9-b67418ab09a8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "27320629-9e12-41db-812c-36e91ba93427", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0791867d-06a5-4e11-b782-36a09d758be3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "448c4afe-0d4f-4f56-ac09-9e85d98a4971", "count": 1, "frequency": 0.0002992220227408737}, {"name": "05d0bee0-5a10-4144-95e3-e9f46165a5cc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "960c5ef5-9737-46b4-bf90-68a8e566cca1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "138d8d71-d560-46c9-bc72-53e65acb7ce9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f09c4bda-21e3-45d2-9800-a68bdb029be6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9e00dfe3-6cf1-48d5-88aa-4ebac70c8337", "count": 1, "frequency": 0.0002992220227408737}, {"name": "168a0957-3343-4194-8c69-d0cbe271af48", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b6f37deb-971b-4683-bd17-1f7f07e473d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f1071676-f29a-468f-b922-5a6f0381d6ed", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6f8ed91b-21ba-4809-8192-ccf6c3b7ba2d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d0b07431-2fb6-4abc-9cf6-3702811c9e35", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a1e99a34-f214-4f2a-94ae-eaabe660d45a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "af5feb17-61a2-4d7a-a2fb-6f7ee3fc9c0f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "30f764de-4267-4067-ad79-8af706f4e796", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f709c1cc-320a-4fd2-b3a3-465e35dd383c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "26081b87-73c5-4e55-b0a5-efc5d90fb4bf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f4e128f6-fe5c-4ed0-a17f-9728104c105c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cf3a355d-ec15-45cf-9c42-c22fe5e51fa9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "12c50a59-7289-41c4-9f2c-f2145373eb7b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7c242796-9b30-4190-99b8-528f05cb8ed1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ce772b82-95e7-4470-87f8-c0906de1c62f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7ff7e53c-a728-4a0a-b4ac-72ddb30d6247", "count": 1, "frequency": 0.0002992220227408737}, {"name": "986ac87a-0a32-4566-846a-c57b2205e2a5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ee793887-e99d-4785-b0dc-fa75735b700f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "983ce186-1298-461c-a5f1-207e1543f272", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6eeaf955-8dfb-4443-a598-261e1fb95b5e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "883e79c9-e579-447a-afa6-18dd15b981c2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "86f8abd2-9fb6-410f-a585-630cf369c1b4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3222b519-16c2-442e-a7e1-5495af0f1c09", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d32a8b29-3ae1-4ca0-b4e0-b82b0bc27de9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "caca40f7-664d-42d2-a0f8-6319d1f9c288", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ae2aa4c2-041b-4d68-9975-3d9e098febbc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8714de7d-3380-413f-a488-9f09638d9cfe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b2b42077-7d05-4a33-be5a-e91a4b9d9a03", "count": 1, "frequency": 0.0002992220227408737}, {"name": "33fcf5de-00ee-44f3-b324-35ac7ae03130", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0a572cf9-936c-4ea1-a00d-b7d45b70cf34", "count": 1, "frequency": 0.0002992220227408737}, {"name": "198755d2-ada2-4470-99ee-99b515d3a486", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2dd827f2-9621-4cab-9265-c846fa79255d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3901f271-301a-4391-b27b-bfaf28d8f7c7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "be291a13-20c0-43fc-ba71-67de1b354019", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e367fb98-f940-4543-8ddf-c0f26bdc94da", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6d10ac36-08f3-40cd-8211-eef905c567e6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f97cf574-5bb0-4c93-b056-0bdea06e4ebc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "aa3cc08e-aa20-4974-9a2c-88d036acfae7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "aa349671-8a26-4b84-9f4a-aa1dff640001", "count": 1, "frequency": 0.0002992220227408737}, {"name": "69074325-886b-4e71-a80d-71dd9f91b2ae", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8ae3afc3-076f-4d8a-8573-d7b39f2365a0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ac9cd0a7-c657-4fd5-8025-b661ca37c736", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d3e3bfd2-7dde-49c0-9af4-e2a399bbed03", "count": 1, "frequency": 0.0002992220227408737}, {"name": "31abadbb-3810-47eb-916b-c3903ae4d0d5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "639337f3-9e08-426f-aa92-01a09e007042", "count": 1, "frequency": 0.0002992220227408737}, {"name": "81b1b6b7-5f6f-428d-ae83-68cf7ace4170", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5d54556f-d842-4922-aca9-642e44f9bc83", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b01a4e4a-ce5f-4030-9ac3-ca4cd3f61201", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cb498dbc-9187-4e56-bcc3-8187e47e7618", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7d44091c-71ab-4f71-af48-0663984f7ffa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6ad3a1c8-8c4b-470d-8792-74b1f65138b9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8601bfe0-54b2-440f-bf77-50baad467d4d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c0879a83-a519-4014-97ed-164b847568a9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "18d30dd1-96e0-45cb-8e3a-11aba077e1f7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9a4ec51e-8c4d-4b84-97eb-3970aebd6e59", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d456dc98-e3c3-49f7-9b24-f9158a67efc4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b39ade12-04bc-4c38-9bb4-334ddbc88b17", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ee57e3e9-21de-43c4-8084-ccea96030957", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3d16b3f6-b213-41f4-ab3e-ad8b2bf54d8e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ae092c46-d6f3-4efa-a009-f6a2e96062ac", "count": 1, "frequency": 0.0002992220227408737}, {"name": "56d2cddb-07ba-4a4d-a83e-0cb88f7da731", "count": 1, "frequency": 0.0002992220227408737}, {"name": "41c414ef-d762-4a60-97fa-557379507594", "count": 1, "frequency": 0.0002992220227408737}, {"name": "21800491-02a6-4f58-a2d8-614f8b7cd8d5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "46ac34e4-be5f-427e-8d60-8ffa939b57d5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4ca6da39-d694-4737-8f37-4326db326b74", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ee4829f9-6ee9-42b1-bb5f-99b111494887", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d6ef62f2-a3fc-4e7b-8377-2a1361cb775c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e259932e-163d-4f7f-ac81-f6a96111d70c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f04f892c-c726-4c12-8bda-1a4f93d475f1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "970528e7-816d-4902-8d45-1d60d4dd0be1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3b245cb3-b9c2-44c3-959d-521734f464c6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "12c322eb-4d27-41a1-93ad-4af06efb7a09", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fe1b0f7e-4122-4f48-9198-d8d9afe3408f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d214331f-430f-4874-9149-b4f2d8ea7f23", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a7302cbe-cb5a-4fe6-80f9-d09290306707", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6265b1ce-d0eb-41b4-b1c7-82264b53b578", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d2bb2d87-670a-4aca-8eb7-ae5775b6f544", "count": 1, "frequency": 0.0002992220227408737}, {"name": "18ad8e0c-3eb2-47d5-8b29-8e6e8eecb0de", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8f293de5-4062-4cec-b09f-f353915227cb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5d314101-01d0-48ff-9c8d-2ca6a63ba880", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d998684a-d588-43db-887f-c06f584a720a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "91830aa5-7fbb-4ca7-b3de-a2dc5db0f7d8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "86ca643d-2cfc-4115-b5d6-265be89eebae", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c23c07e4-6843-4779-90dd-eb8ae88df0de", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3bf9a300-def1-48fe-a142-7c5dfbbfd80a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "11a43a2c-65d6-4f9e-9586-ce34dbb1fcbd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "76f39441-ffe5-4c80-95a4-09b2456b8430", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b0dd2d44-44b0-4138-8489-3dd0682d09e7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cde8b87a-2dab-439f-b379-ce245a8ac1ee", "count": 1, "frequency": 0.0002992220227408737}, {"name": "554cc491-5462-483f-a64b-a3359de83f67", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a72d138a-44cb-4bcb-8c87-9736c9cdf71b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6b9284e3-e46b-471e-8550-cddabe70fd88", "count": 1, "frequency": 0.0002992220227408737}, {"name": "444a8e7f-6993-4c10-a12d-46b52fecebd8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ae1314c4-8c24-4276-82af-80185d81ed9b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7eae885a-b0ae-4255-bf94-93b99fe7186d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "10fffb33-b908-4594-b073-80cce4a901e6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5693a228-0d0b-4fa6-9d44-1bdb4e4e0fc5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c2c0bf27-a1bc-4b4b-8db1-4e79bab0bac1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8fd230ad-b732-4dbb-8b90-5e5a6304ca3a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "07919926-c341-44aa-9dba-3c053b3242f9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "31667f22-a40a-4b93-8a2a-bf62d10c8641", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2c9b095b-3b04-4a64-9f70-383e45205593", "count": 1, "frequency": 0.0002992220227408737}, {"name": "25656b50-b328-4bb9-92f3-a67c89b9b32f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "267640ef-4f9a-4f26-bc91-42951e251e13", "count": 1, "frequency": 0.0002992220227408737}, {"name": "22dd81bd-faad-4441-9654-61c341b75455", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1466d84f-6cc8-4f35-bee5-e537c6f188bd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1cf71497-5569-4f99-bc46-2ba584d1dad4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6daa2fa2-7168-444d-af30-f85ccd28da57", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3e738693-1095-4934-9830-2509789bd9ea", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5cdfe214-c789-4902-a3ad-b50f18a6d614", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7ff095c8-2afc-4687-98bc-c4427b42c1a3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6db60fbb-8315-4520-892e-0aa1b3738429", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b805f302-6cab-4e67-98ac-ca18dbbfb359", "count": 1, "frequency": 0.0002992220227408737}, {"name": "60334fe6-221c-44c8-ab1e-c837239594b0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dc326773-a6e0-4161-8c28-65bfc94f8775", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5847e3d4-dc3a-438e-ae76-b7226e603523", "count": 1, "frequency": 0.0002992220227408737}, {"name": "353a1e2c-e4d2-445a-a151-06787d0791c5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1bc1720b-0bc4-4b94-98f0-dc37a4a474d1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dc2803d8-bf5a-46a0-adc4-f34cf192b0f1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "76a4e6a3-7eea-477e-aba1-06ec5c31f40c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "32455d08-c7c6-4bb9-a935-64f0abd7db8d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1d58b739-1546-4dcc-882f-bfb6645059bd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1023026f-082f-4bec-81ff-1f1d304ff558", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b60f7226-3dd9-47d8-a740-5a4c6fa780c3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d9fba30a-c4bb-45d8-b223-f2a331914ce3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1a322cf5-5063-4f05-9ad1-c8aac39c920e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f0addc52-4b21-4706-8639-a876d71e145d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "916c1d9f-cd31-4d24-84a8-560c5cd3746f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "de69e4b3-081a-4066-bd1a-aded45663aa6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "38966de1-84bc-4913-803e-c352a0cd8ab4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "18031730-9b98-4331-9ca2-223215679c50", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6d6ea37f-edf9-4f0b-aa74-7286991998ed", "count": 1, "frequency": 0.0002992220227408737}, {"name": "640e9d1e-8810-444b-98fe-156a7bbb2a01", "count": 1, "frequency": 0.0002992220227408737}, {"name": "651d091c-dd7d-42f0-ad44-2b30a78350a9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3fc2333c-f2ce-4a6a-a182-182e5e9a4692", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b6653f36-91e1-43fa-812d-904bcff13015", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d6f3dfa4-6816-4bae-a945-0ccdad2e9c0c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6ad8ea52-d51d-49e6-8349-0a66abaa23c9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "19bac2df-91c6-4c07-be18-4c4319e8f3d2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "68b002f8-5d10-49ed-9328-fc875eea31ee", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f4522efa-003a-49d6-8681-fe45b503fded", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d75fd8a1-4ef9-4388-99e8-5a8ac0929959", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3dc85c0c-18b3-46b7-a386-1e571ca925aa", "count": 1, "frequency": 0.0002992220227408737}, {"name": "721b1042-5d77-4d72-afa5-400745a63ee1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7c023b28-573f-4661-8a37-e46ce151060b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "52bfa021-8f34-49ee-b0cb-aa3e0b4ce259", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ba98fbf3-2c3a-4cdf-b379-6286c47db3cf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2227e348-8441-4826-b6ea-708c568bac67", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c552ccf2-6609-408c-b7c7-e3dd8325cc6e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "278d7b17-5bd6-428e-8199-950cd6027107", "count": 1, "frequency": 0.0002992220227408737}, {"name": "420c51b9-7c8f-4a41-a0e1-c6458cdf2e7f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "58675c4a-536c-48c6-9c62-5491eb0aa3e4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9a8c4948-6cdd-4467-910a-bb139c036cd4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "baccd303-652e-4435-a7e7-d5230fee56b4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bdbdd879-3ffe-4a09-8855-ac5161fafb39", "count": 1, "frequency": 0.0002992220227408737}, {"name": "51d99d7b-5cab-49c8-bf05-0070a7901fdc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ffeafd25-eec1-4a08-a72c-e67d54a4ac51", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f066c4b6-fba6-4bcb-ab4d-111f1f755a63", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8005b3c6-f50e-40ba-ba90-add99ef474c8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "33b8c090-227d-449a-8666-43ecc928dc57", "count": 1, "frequency": 0.0002992220227408737}, {"name": "421ae8a7-7ee8-43cd-b4d4-d886bd9c51cb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1b700a8a-d415-4b6a-b64e-e5b9f343f169", "count": 1, "frequency": 0.0002992220227408737}, {"name": "503c8568-a124-40d0-8cf4-75a190beb171", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a202aa42-f2a5-442c-90e0-ccf32bb0f15e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6907f5f2-a5b6-4694-ae1a-3157b29eca0c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e918712b-cf1d-47f2-8e15-f4d3445481f9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "be2a670c-6e86-478e-887c-ce85ab97c44b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f64d62b5-6f12-4fff-9e7f-c8e298698082", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d9c2d67a-be88-4428-8dd3-e6019ed068fc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "12ac11da-2e19-49a6-9f89-bcf39a34f685", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2c8327f7-186b-463f-ad6e-91d48129b37c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "57dbfdd9-19e7-45d4-93d0-a81ff3863bd8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4eaa6a36-6a24-463a-87ae-724e5f7ce14f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e9a69e19-e81c-45b3-83cf-ebfd32488817", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bff100e5-c3fe-4158-b8e2-15c49eed017d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dd056711-c8c9-47b8-a37f-085628a2f9d0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7c100fc1-5400-40c1-a332-29db5712a493", "count": 1, "frequency": 0.0002992220227408737}, {"name": "54fed31b-a936-4363-89d7-d78a922e8b8f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "902792f3-a541-417c-9859-d5f2656b3831", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1fe1a12b-6ae3-4fbb-a3b8-091ffc88416b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a7217f0f-3b3e-4965-bc35-d7c491911aa0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6df04518-962a-41a3-b8cd-a946c7a86d6c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d7f50ec3-7331-43b8-9d0a-224ae866f499", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a47d42f5-ef27-4915-b86a-c316b958b051", "count": 1, "frequency": 0.0002992220227408737}, {"name": "39d2735e-e168-40d1-859f-3c182045a2e3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "83c8980f-e009-4712-a00f-8e162fe646c0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6f3e5024-545e-4e37-9d85-49afd128f8d4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "57bd5e16-65c2-490b-88a4-6b2216f52196", "count": 1, "frequency": 0.0002992220227408737}, {"name": "272ee054-8e38-4177-9cda-2bd7976fee6b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "35d44add-455c-4e29-8f77-0192a12d28fb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ec34546b-0373-4135-8847-b6f7ad37d2e3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e9dff748-7d6c-4eb5-b9c1-d814fec67916", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e8562f65-e412-486c-8b7e-a2e3dbdfa2fd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "50bf5fae-b7a5-4241-b175-ada02e3dde88", "count": 1, "frequency": 0.0002992220227408737}, {"name": "aa663b59-9df6-46ed-b948-a5a495d9c3d3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "265e8b9f-5310-4272-bfe5-39bb3305dde6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6d4ae016-ed52-4c60-baa8-4645ebefffe4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7948fb5a-a9f2-4645-8a61-dd4545e2926a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8d31f7da-4288-41d8-bc8e-dfc0f11b6036", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b4bde6f6-d27f-4498-b53b-0f6b0e1a962c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "de7db8ec-5a8e-4b51-8ddd-dfcc85585547", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e993fe6d-8e34-4824-8558-8c289498b23b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "96cfbb00-34f7-4c79-96f1-c2439a7bf806", "count": 1, "frequency": 0.0002992220227408737}, {"name": "21e0040f-ec1a-428f-8d60-0a53882e0f68", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e53f3ae1-ce19-4c18-8418-3e1e4d6ff15f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ede157e1-07eb-437c-ba15-3f2b18656512", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7525d070-a5da-489f-9b6a-0cc94bd42f04", "count": 1, "frequency": 0.0002992220227408737}, {"name": "998300a0-601e-4b8a-b778-4fefbdb830d1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "eea511f1-d86e-4818-928f-1f4efe1d2b40", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0fb2b82c-3076-4c97-a097-057af52da7e8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bc1cbafa-b6be-47ca-9c3e-cdc526fe142f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "406b7829-5182-4cc5-bfd7-6279b31ca533", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0cd8f88b-71c0-4605-bbd6-252ad01240c0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2c16601a-058a-4f4a-8b2a-6fc3dca7ab9c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2c627a2a-b760-483a-a0aa-b5bc7715b298", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5bdf37d0-f567-4450-abdc-dc206fcea96c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4774fdcc-f1a1-4273-8f62-75ece0fb0075", "count": 1, "frequency": 0.0002992220227408737}, {"name": "181316cf-7d50-4a27-9150-97d715b77fdb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6f042880-aaf6-4c50-84ca-362fe32caa44", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4b3ead58-bec7-4a8d-a9fa-d63f2992fc9b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7f30ba5a-7cdf-49ed-b842-84501b0c309e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "50c0e438-c6e8-4db6-a2d0-9563df78ccfc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fd88eca6-2ac4-40e0-9d2f-f60877a2d570", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4876eb19-1698-4b40-89f5-58a05cd691d9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "791f63ca-8f44-4255-a1d4-13c427712992", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d2c80bcd-a459-47b1-ac32-12f8902a5407", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a78a1342-90ff-4fd9-b6d4-01e10c6bac34", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d0793cb5-5020-4467-8a18-bb08fd24b3e5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bf3be99f-70e3-4cf4-8b66-7a6298980fb2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d6819da8-569c-490a-8760-d552c17f1eb5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "32842864-8f36-4983-a35f-6cb43676bae3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ae3b8bfa-17cb-4f29-b742-88d6770f540d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fd617a71-a67b-4f1b-8f47-dd9ab8ff0f3e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ab3491bd-65b1-4fcd-9581-fb03509cce27", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0c566d8e-fd66-4ed4-a117-d0587dfd5c26", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7a9c3e64-d518-48f4-bb38-569bc27a4506", "count": 1, "frequency": 0.0002992220227408737}, {"name": "aace27a9-72ec-4789-bbf2-f2af2b5158ee", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cec80f07-b074-449f-9e42-c1131ea96095", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0ccab0ca-ba88-4298-b7ca-5fee7b36d734", "count": 1, "frequency": 0.0002992220227408737}, {"name": "de8b89b1-da5e-4690-9b77-3fa026bd7eb5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2284e0bb-bc0d-4d1f-83ce-c5fe4fd0fa0a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0dd51a2b-b939-4bbd-8351-7c818b176075", "count": 1, "frequency": 0.0002992220227408737}, {"name": "46926a5f-8557-44c4-8d53-10963af55cc6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fb58f1d2-70b4-4c5d-aa99-273334816ac2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9c016c04-6211-48df-bbbe-42bafa5dc013", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7b42aa3a-ba1c-4847-a797-04e7f29288ce", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8f5344f4-0312-4d92-b9cd-77e5b6309694", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e5f117a1-ad0d-47f2-a1f6-b2103109ae33", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b8d75cd4-f02c-43e8-9cbb-4b0c9cb394bd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0e6693fe-985c-4780-a3bd-d5f04a9c84d8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e3e663e2-96e6-4675-a746-4fbebb30e864", "count": 1, "frequency": 0.0002992220227408737}, {"name": "97e1f758-b715-4b47-bb11-29473c877282", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a46b07c8-868d-4acf-a92e-95ad0fbc45ed", "count": 1, "frequency": 0.0002992220227408737}, {"name": "45cc52a0-20bd-4184-91da-23065153efa0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cf8bbf27-8dfa-4ba4-9321-0637e4905f81", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d09b50d5-bbae-4616-8be4-813b5662c4be", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e8c9cbaa-7a02-4154-bf34-2cbc6906c008", "count": 1, "frequency": 0.0002992220227408737}, {"name": "285ae026-d8fc-4c99-8a71-c12704eaa1f6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a648a103-12be-4281-9c15-2280240fd624", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d118f127-de28-4479-bcfb-885687e65b67", "count": 1, "frequency": 0.0002992220227408737}, {"name": "52ae91f0-4b92-4f95-a6a7-921d0d4c1b28", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6488910d-b220-4176-bb84-eb67a92a1e14", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f2ab13f9-56f4-4988-92cd-f744424f6d91", "count": 1, "frequency": 0.0002992220227408737}, {"name": "81ffc144-21e4-4103-b730-1265deb9d879", "count": 1, "frequency": 0.0002992220227408737}, {"name": "57ca32c4-2040-4299-8847-fcf6a00ddaab", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dbb44dd8-42ce-4c8d-b27e-45c78beb97dc", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fd265d68-2f91-4ca7-b7f0-9d4b9295ae34", "count": 1, "frequency": 0.0002992220227408737}, {"name": "eb80eb3d-6b23-4262-b346-455cfb163ed9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "45b15a3c-2138-4068-b827-580e7bb00b22", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8cd7a543-940c-43f5-8bc8-888eb05c4455", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7fbf0822-c64d-4bf9-9969-72e13597ebdd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a11225f9-b12b-4049-9c84-3d055173c726", "count": 1, "frequency": 0.0002992220227408737}, {"name": "79edfdba-9b7c-4753-98a3-4e31c5c961c0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "16d37163-bdf8-4da6-b433-5a5b4a3cb527", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f9da308c-1f18-42d1-8733-362246936ee1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0e75c68d-ca7e-4e22-9c84-96882c7f56e2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5a901a39-7089-4be9-af6b-7bb5a8b77343", "count": 1, "frequency": 0.0002992220227408737}, {"name": "daca4992-b35b-4a0c-ae68-6b034f50a84a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "044c2e67-b8d8-4cfe-9149-f3c5e99faa9a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2fb39a62-2e01-43cf-bd47-ace6121a3b35", "count": 1, "frequency": 0.0002992220227408737}, {"name": "364b65ab-1fb6-4188-8fd6-c406550b7acf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d3743507-1f97-4fe4-b26e-af1ab6dfe220", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f3020ca3-5fad-49e2-b434-6d4eca343b8e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f2d687d4-91f0-44fe-99df-d85276fa42ff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cc444d3b-4d2e-417e-829a-4bec73b5ec98", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9f934a96-d6f6-427e-a8b0-a0110d2718c6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c52d6285-367c-4148-a9c8-a81366cb4fdb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "83afff74-4adb-4d1c-b742-62ceee58459c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "97c6705f-d6b2-44de-bc46-3ae6d3bcbe8c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c7ce70ae-d532-48d5-8776-9e37631a31a9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4ac4579a-a08c-43d9-b86a-febc13bc0b7c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1b68c4d3-a780-4830-b630-2d8a31dd8412", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1f666b78-0765-4d98-9fa7-a817cc5a7583", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cdd5269f-efdb-471a-b106-92dfcf24a17e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0117c3b0-3465-4bc1-9f82-8264ccb4fa03", "count": 1, "frequency": 0.0002992220227408737}, {"name": "816e00d3-902f-4fbf-86df-5c8d075cfa81", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5b1a86c5-99c3-4f43-861d-d9bdc68983ff", "count": 1, "frequency": 0.0002992220227408737}, {"name": "029bd5b4-0ed8-480a-8d0f-eacca8f36f4b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4d3ef022-4d7c-43b2-bd28-a4186b319f7f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b66dcbce-750b-4dcb-af38-a085053a6be0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7d81f314-ffc2-4ae2-a1d6-cfa78f96a340", "count": 1, "frequency": 0.0002992220227408737}, {"name": "33b73f7b-2bfe-4f36-8798-c514ab61d136", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5151424e-eae9-40cd-b397-46a44d830583", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fee79395-60b5-4316-a9ef-c4c45d9e8e01", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f1f24246-bfd4-46e3-8be3-cfacf2db8b1d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f1c8c756-d28e-4870-9ae5-f7f0aac47928", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c57436b8-d811-4ff9-9c55-b0426dcc55b6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4be60116-6f1a-421e-b258-a56d567bb16c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2d5d0dde-30ce-4c56-a282-880ac5407995", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a284f6e8-c69b-4a9c-9747-8907730bd95d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "df2b24f5-74e8-4e53-b4f6-009e13158734", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5afc166f-42d5-4671-8c86-f77557160ad7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a701ea12-bab0-4d51-9da6-ed398bbe8552", "count": 1, "frequency": 0.0002992220227408737}, {"name": "11acc416-b4fb-4676-8fa7-0925ec723d14", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dd817949-173f-4837-a5c0-d60bc78dd463", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ed57e481-53b7-4fbf-8ea0-256e5d73d9a2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8e39598e-40e2-4b58-8405-bcda064dc9b0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "493efe52-0ae1-4082-aeb1-cb3d6f3a94b3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7af4fb82-aab2-4378-ba3a-9348b3eb7008", "count": 1, "frequency": 0.0002992220227408737}, {"name": "93754a6a-e620-4ce2-9319-7fd8a6c9f04e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b5989369-0589-49c0-852d-9bac0c154156", "count": 1, "frequency": 0.0002992220227408737}, {"name": "71d80b57-8fa3-4f94-ba22-adceb00c81d4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f3670e6c-76de-403f-a0d0-933a0b32014c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7c537c29-a97c-44ab-9b65-9f02cb720968", "count": 1, "frequency": 0.0002992220227408737}, {"name": "00d9782c-6518-428d-8daf-195f0e0ff814", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5feab3c7-3ff0-4938-9026-cba1d45cf280", "count": 1, "frequency": 0.0002992220227408737}, {"name": "60b5c4e4-6b2d-42df-919e-7ac2b2f53e2c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "01603a3f-4bfc-4348-8e6a-9fc3ea847776", "count": 1, "frequency": 0.0002992220227408737}, {"name": "27109554-b59a-47e8-92a9-4bb7f9958653", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f6848e7a-a40f-4966-9bad-85c00f533232", "count": 1, "frequency": 0.0002992220227408737}, {"name": "59545653-e7ea-4b5c-9af3-5923bbc3a5db", "count": 1, "frequency": 0.0002992220227408737}, {"name": "116c0416-cab4-47d0-be0f-10b51cf8f93f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b9dd17bd-312d-4ac4-b3f7-d5a64523f981", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d5b68f35-0b52-4ac3-839c-c91b5a789670", "count": 1, "frequency": 0.0002992220227408737}, {"name": "712a8e27-51f2-4d16-8f41-fe93e87647f5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "56bed915-9439-47d5-a448-2690e22579c3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9f94bc46-28d9-421a-ace3-736ac91f4f4d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b731f2ee-e2ff-4467-b69e-1a126aa8a798", "count": 1, "frequency": 0.0002992220227408737}, {"name": "50a4515e-24f5-4347-b486-18f2dad009d7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5c66abb4-c2e7-4582-b90c-9f0ccf1729e3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bf7bd8dd-60ac-45e4-a448-c4443964a667", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4c18835e-7abe-412c-9be2-31e565149a71", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4bd3c642-b01f-47f8-98b5-8fa937501225", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3ef91f29-eea9-4577-b953-11aaae791361", "count": 1, "frequency": 0.0002992220227408737}, {"name": "67eb8a03-8abe-421f-8263-66b6017d7404", "count": 1, "frequency": 0.0002992220227408737}, {"name": "95101d97-e4d6-4217-bd51-e205fdcbf2e1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c7351482-3219-4bfc-8a52-b8d35f1105a8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "12232bd7-cd04-4040-ac85-5c377a5372ab", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c135ba3d-920c-4a87-8bac-fb429f2fbe7d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "93dc0f8c-6439-4834-93f1-abf0fb9c66e0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0f06ad90-9918-4f77-95c7-74942aafb7ad", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9e05fcc4-5ce5-4a0b-abb5-4b50b513ddd5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2c72bc24-f0eb-4618-8281-362ecf1b0a29", "count": 1, "frequency": 0.0002992220227408737}, {"name": "16ec99db-373c-4e11-a161-8a2604d1a874", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6486f60d-f88c-4f98-bec5-1e02589bb34b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "91aaef89-0551-4c2b-875b-2fa6079a0b7f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e7651965-a21d-4034-b1d5-fbcdc5da36f4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "130c13cd-17c8-4b25-8934-8df11e3960c9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "dc6e9462-abc7-4a75-9cd7-6df73a996d54", "count": 1, "frequency": 0.0002992220227408737}, {"name": "65b2fc08-2610-429f-9d9b-f597cc1dbf5e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b8f004b4-9295-43d8-88a5-c591a0c7ef93", "count": 1, "frequency": 0.0002992220227408737}, {"name": "741c09be-b052-4e1e-80ff-a6347c33b02a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7643a6e7-63f7-47fc-881f-34bd8400d95f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f41f3b27-a9e3-4ddd-b07f-0e0b40b51e8b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e812a000-d239-4508-a04e-2d003ad45ce4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bd347405-4091-42e0-b741-2dccc3cee32d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "34c46b83-1bd2-4d78-a23b-b3becf6537ea", "count": 1, "frequency": 0.0002992220227408737}, {"name": "146b6a25-ff2c-4d80-b7ad-04470d9322eb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e2d1228d-2ab6-4eec-8cca-62568e01e0a5", "count": 1, "frequency": 0.0002992220227408737}, {"name": "97195bae-eb97-415a-9d06-0684a36b5ac8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "bd7e9fa3-32ed-4c0a-b750-2f9d037751f9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e445bb0b-a3d6-401d-b4fd-8e240a8604f1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6ebb041b-72b3-4d38-b696-cb2e4cd5604f", "count": 1, "frequency": 0.0002992220227408737}, {"name": "082f06a9-4c44-4c18-adb2-8fe4698fecd7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a03656aa-5850-4e46-8aae-8cad038536b1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0640e81d-1698-40fa-974d-b59592d079cf", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c87bc285-96b3-49e7-b6c0-dff233b2da00", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3800f6fe-07b3-4d81-92b6-2f26f73ff32b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "44dd58e2-20ee-4eda-a825-1459bda45c61", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e7227c12-a176-4ab9-9b81-283cc5dc1885", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ad034c7e-541f-4d78-8213-468a5bddcef4", "count": 1, "frequency": 0.0002992220227408737}, {"name": "d43d4ce2-0cad-499a-b6df-6a860159ea84", "count": 1, "frequency": 0.0002992220227408737}, {"name": "0a5afd33-553c-4d31-8382-a5fa4825c179", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3e17b5d5-b03f-43c9-b500-6e5d43a60955", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e0a042c8-319c-42d7-8c95-38bcab279a88", "count": 1, "frequency": 0.0002992220227408737}, {"name": "826bd596-1287-4a50-9f97-bea5347de061", "count": 1, "frequency": 0.0002992220227408737}, {"name": "01de813a-be06-494c-9c1b-42627801610e", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9dcb98a5-d4a3-4c2e-87ef-4653ec201e54", "count": 1, "frequency": 0.0002992220227408737}, {"name": "a957ee57-a442-4fe6-b9a4-6f7b395c425a", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6db4f270-17d3-4fd6-aefc-5e4cfebbe816", "count": 1, "frequency": 0.0002992220227408737}, {"name": "8eeaeebc-b7e5-427c-a9ed-54bf6a0b5725", "count": 1, "frequency": 0.0002992220227408737}, {"name": "eb75f8d1-859e-4e5c-b7dc-b0c84b8bda72", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1d663686-5c9a-475e-a45e-c233c6288fc2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1980e190-c942-46ac-abfe-89719a5f7ec3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ca4c9d28-5ee2-468d-834a-4b73b7e7bc9c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c4fcb534-8885-4f7b-a439-092806b2deec", "count": 1, "frequency": 0.0002992220227408737}, {"name": "51f79694-89b0-498d-9393-78f79b74f5b6", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6c40753a-c389-48fe-bf70-6a38e558a019", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b6927b73-0c0c-466e-be92-71b7a4e902a1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "611a6997-b06a-4990-b8f1-bdcbd96ab5ca", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ee23a161-70e9-4dfa-b9c7-fdc04ff082c7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "2d295bdd-8f12-4fff-95a0-0995992b6c51", "count": 1, "frequency": 0.0002992220227408737}, {"name": "76a41417-4cb4-41c4-8530-ad028beeeec3", "count": 1, "frequency": 0.0002992220227408737}, {"name": "7578e7bb-8651-4531-b1e4-be2f763531a0", "count": 1, "frequency": 0.0002992220227408737}, {"name": "457cc65d-9391-4300-9945-2db15136bbcd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "4f37b7f0-190f-40bf-98ee-12eb063a6d35", "count": 1, "frequency": 0.0002992220227408737}, {"name": "e924f742-5c61-4f50-b15f-20e09ced95bb", "count": 1, "frequency": 0.0002992220227408737}, {"name": "fa10dc8f-dcef-4cd5-bbb7-d948156bffd7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "ba76b1d5-aaab-4a64-afb6-64ed1e10fcb1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "97df5b73-3997-4684-b49a-a75ef9f87670", "count": 1, "frequency": 0.0002992220227408737}, {"name": "b006384c-e0e3-4785-b27b-6f08802a5573", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9877661f-64b8-4cfc-82c2-908a5c69eb3d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "50f04b54-f809-4422-b90e-2d65b4ecc5cd", "count": 1, "frequency": 0.0002992220227408737}, {"name": "52a26f2c-4dac-4ced-9042-d1d4fb2414e8", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1099c73d-a832-462f-bd32-d2678830cbfe", "count": 1, "frequency": 0.0002992220227408737}, {"name": "1e4e68d1-5ead-445e-b012-424013ef5f91", "count": 1, "frequency": 0.0002992220227408737}, {"name": "5b972ddd-a345-4a28-9efd-f7fa0e5270e2", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f7554c83-86ec-4c75-ae08-e85ecc024606", "count": 1, "frequency": 0.0002992220227408737}, {"name": "cc1c4df4-fa87-4b33-8e22-3c2d5e2000ba", "count": 1, "frequency": 0.0002992220227408737}, {"name": "00646284-0f1a-49d7-bc0b-7a6e20fd92b1", "count": 1, "frequency": 0.0002992220227408737}, {"name": "3426a498-d642-47b8-adca-db8f14480592", "count": 1, "frequency": 0.0002992220227408737}, {"name": "9d085ed5-6c17-4590-b94e-2f757342a828", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f7048825-18f6-4c7f-ae32-405f1b03b247", "count": 1, "frequency": 0.0002992220227408737}, {"name": "6baab5ae-c9f4-4af7-b9c8-91a5b5c5214d", "count": 1, "frequency": 0.0002992220227408737}, {"name": "f20fc0d0-e722-43a7-92cc-e893b0b4d85b", "count": 1, "frequency": 0.0002992220227408737}, {"name": "41af1d70-77f2-4312-b993-4d8bb83bab6c", "count": 1, "frequency": 0.0002992220227408737}, {"name": "11f336a5-12de-4637-9f1f-c2b0edccdfc7", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c06b705e-10c1-4e5c-97d1-e287efa0a5b9", "count": 1, "frequency": 0.0002992220227408737}, {"name": "c4e8b82c-edaf-40ed-bb6f-93ded844df52", "count": 1, "frequency": 0.0002992220227408737}]}]}',	'{"numeric": 9, "datetime": 1, "categorical": 2, "n_variables": 12, "missing_cells": 0, "duplicate_rows": 0, "n_observations": 3342, "missing_cells_perc": 0.0, "duplicate_rows_perc": 0.0}');

-- Insert Current Metrics
INSERT INTO "current_dataset_metrics" ("UUID", "CURRENT_UUID", "MODEL_QUALITY", "DATA_QUALITY", "DRIFT", "STATISTICS", "PERCENTAGES") VALUES
('8854e786-938a-472a-9064-1a5c79b4b452',	'b73334fb-aac0-400c-9103-fe894e13bd95',	'{"global_metrics": {"f1": 0.8514711906036294, "recall": 0.6373983739837399, "accuracy": 0.8552, "log_loss": 2.370043829554028, "f_measure": 0.6841186736474696, "precision": 0.7382297551789078, "area_under_pr": 0.7879894114328698, "area_under_roc": 0.9084117228440152, "weighted_recall": 0.8552000000000001, "true_positive_rate": 0.6373983739837399, "weighted_f_measure": 0.8514711906036294, "weighted_precision": 0.8502099032173835, "false_positive_rate": 0.07374005305039788, "true_negative_count": 1746, "true_positive_count": 392, "false_negative_count": 223, "false_positive_count": 139, "weighted_true_positive_rate": 0.8552000000000001, "weighted_false_positive_rate": 0.29154167906665807}, "grouped_metrics": {"f1": [{"value": 0.8634920634920635, "timestamp": "2024-03-10 00:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-10 01:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-10 02:00:00"}, {"value": 0.7261904761904762, "timestamp": "2024-03-10 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 06:00:00"}, {"value": 0.9090909090909091, "timestamp": "2024-03-10 07:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-10 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 13:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-10 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 16:00:00"}, {"value": 0.7142857142857144, "timestamp": "2024-03-10 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 19:00:00"}, {"value": 0.819047619047619, "timestamp": "2024-03-10 20:00:00"}, {"value": 0.7912087912087912, "timestamp": "2024-03-10 21:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-10 22:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-10 23:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-11 00:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-11 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 02:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-11 03:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-11 04:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-11 05:00:00"}, {"value": 0.9090909090909091, "timestamp": "2024-03-11 06:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-11 07:00:00"}, {"value": 0.8000000000000002, "timestamp": "2024-03-11 08:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-11 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 10:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-11 11:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-11 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 14:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-11 15:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-11 16:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-11 17:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-11 18:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-11 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 20:00:00"}, {"value": 0.7142857142857144, "timestamp": "2024-03-11 21:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-11 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 23:00:00"}, {"value": 0.8634920634920635, "timestamp": "2024-03-12 00:00:00"}, {"value": 0.34285714285714286, "timestamp": "2024-03-12 01:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-12 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 05:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-12 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 07:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-12 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 10:00:00"}, {"value": 0.5523809523809523, "timestamp": "2024-03-12 11:00:00"}, {"value": 0.8000000000000002, "timestamp": "2024-03-12 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 13:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-12 14:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-12 15:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-12 16:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-12 17:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-12 18:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-12 19:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-12 20:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-12 21:00:00"}, {"value": 0.7912087912087912, "timestamp": "2024-03-12 22:00:00"}, {"value": 0.625, "timestamp": "2024-03-12 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 00:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-13 01:00:00"}, {"value": 0.6, "timestamp": "2024-03-13 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 04:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-13 05:00:00"}, {"value": 0.44444444444444436, "timestamp": "2024-03-13 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 07:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-13 08:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-13 09:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-13 10:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-13 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 12:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-13 13:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-13 14:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-13 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 16:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-13 17:00:00"}, {"value": 0.5714285714285715, "timestamp": "2024-03-13 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 00:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-14 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 02:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-14 03:00:00"}, {"value": 0.8000000000000002, "timestamp": "2024-03-14 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 05:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-14 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 08:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-14 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 10:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-14 11:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-14 12:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-14 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 15:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-14 16:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-14 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 18:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-14 19:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-14 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 21:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-14 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 00:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-15 01:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-15 02:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-15 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 06:00:00"}, {"value": 0.8507936507936509, "timestamp": "2024-03-15 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 08:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-15 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 10:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-15 11:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-15 12:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-15 13:00:00"}, {"value": 0.6714285714285715, "timestamp": "2024-03-15 14:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-15 15:00:00"}, {"value": 0.5428571428571429, "timestamp": "2024-03-15 16:00:00"}, {"value": 0.8634920634920635, "timestamp": "2024-03-15 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 18:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-15 19:00:00"}, {"value": 0.5952380952380951, "timestamp": "2024-03-15 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 22:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-15 23:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-16 00:00:00"}, {"value": 0.7912087912087912, "timestamp": "2024-03-16 01:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-16 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 06:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-16 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 08:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-16 09:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 10:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-16 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-16 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 13:00:00"}, {"value": 0.7142857142857144, "timestamp": "2024-03-16 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 16:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-16 17:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-16 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 19:00:00"}, {"value": 0.923076923076923, "timestamp": "2024-03-16 20:00:00"}, {"value": 0.7499999999999999, "timestamp": "2024-03-16 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 22:00:00"}, {"value": 0.923076923076923, "timestamp": "2024-03-16 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 00:00:00"}, {"value": 0.9090909090909091, "timestamp": "2024-03-17 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 05:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-17 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 07:00:00"}, {"value": 0.7912087912087912, "timestamp": "2024-03-17 08:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-17 09:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-17 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 13:00:00"}, {"value": 0.4155844155844156, "timestamp": "2024-03-17 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 16:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-17 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 18:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-17 19:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-17 20:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-17 21:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-17 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 01:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-18 02:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-18 03:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-18 04:00:00"}, {"value": 0.4523809523809524, "timestamp": "2024-03-18 05:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-18 06:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-18 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 08:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-18 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 11:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-18 12:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-18 13:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-18 14:00:00"}, {"value": 0.9090909090909091, "timestamp": "2024-03-18 15:00:00"}, {"value": 0.5904761904761904, "timestamp": "2024-03-18 16:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-18 17:00:00"}, {"value": 0.625, "timestamp": "2024-03-18 18:00:00"}, {"value": 0.9090909090909091, "timestamp": "2024-03-18 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 01:00:00"}, {"value": 0.34285714285714286, "timestamp": "2024-03-19 02:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-19 03:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-19 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 05:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-19 06:00:00"}, {"value": 0.7912087912087912, "timestamp": "2024-03-19 07:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-19 08:00:00"}, {"value": 0.7912087912087912, "timestamp": "2024-03-19 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 10:00:00"}, {"value": 0.44444444444444436, "timestamp": "2024-03-19 11:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-19 12:00:00"}, {"value": 0.8744588744588744, "timestamp": "2024-03-19 13:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-19 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 16:00:00"}, {"value": 0.625, "timestamp": "2024-03-19 17:00:00"}, {"value": 0.838095238095238, "timestamp": "2024-03-19 18:00:00"}, {"value": 0.923076923076923, "timestamp": "2024-03-19 19:00:00"}, {"value": 0.8000000000000002, "timestamp": "2024-03-19 20:00:00"}, {"value": 0.44444444444444436, "timestamp": "2024-03-19 21:00:00"}, {"value": 0.819047619047619, "timestamp": "2024-03-19 22:00:00"}, {"value": 0.838095238095238, "timestamp": "2024-03-19 23:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-20 00:00:00"}, {"value": 0.7912087912087912, "timestamp": "2024-03-20 01:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-20 02:00:00"}, {"value": 0.819047619047619, "timestamp": "2024-03-20 03:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-20 04:00:00"}, {"value": 0.8744588744588744, "timestamp": "2024-03-20 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 06:00:00"}, {"value": 0.4499999999999999, "timestamp": "2024-03-20 07:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-20 08:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-20 09:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-20 10:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-20 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 14:00:00"}, {"value": 0.625, "timestamp": "2024-03-20 15:00:00"}, {"value": 0.819047619047619, "timestamp": "2024-03-20 16:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-20 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 18:00:00"}, {"value": 0.8000000000000002, "timestamp": "2024-03-20 19:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-20 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 22:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-20 23:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-21 00:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-21 01:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-21 02:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-21 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 04:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-21 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 07:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-21 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 10:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-21 11:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-21 12:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-21 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 14:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-21 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 17:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-21 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 19:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-21 20:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-21 21:00:00"}, {"value": 0.8507936507936509, "timestamp": "2024-03-21 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 01:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-22 02:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-22 03:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-22 04:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-22 05:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-22 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 07:00:00"}, {"value": 0.7571428571428572, "timestamp": "2024-03-22 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 09:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-22 10:00:00"}, {"value": 0.8744588744588744, "timestamp": "2024-03-22 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 15:00:00"}, {"value": 0.6714285714285715, "timestamp": "2024-03-22 16:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-22 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 18:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-22 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 21:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-22 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 02:00:00"}, {"value": 0.8, "timestamp": "2024-03-23 03:00:00"}, {"value": 0.6714285714285715, "timestamp": "2024-03-23 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 05:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-23 06:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-23 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-23 09:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-23 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 11:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-23 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 14:00:00"}, {"value": 0.5952380952380951, "timestamp": "2024-03-23 15:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-23 16:00:00"}, {"value": 0.5666666666666667, "timestamp": "2024-03-23 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 19:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-23 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 21:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-23 22:00:00"}, {"value": 0.923076923076923, "timestamp": "2024-03-23 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 00:00:00"}, {"value": 0.838095238095238, "timestamp": "2024-03-24 01:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-24 02:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-24 03:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-24 04:00:00"}, {"value": 0.5523809523809523, "timestamp": "2024-03-24 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 06:00:00"}, {"value": 0.5952380952380951, "timestamp": "2024-03-24 07:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-24 08:00:00"}, {"value": 0.7272727272727273, "timestamp": "2024-03-24 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 11:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-24 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 13:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-24 14:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-24 15:00:00"}, {"value": 0.2, "timestamp": "2024-03-24 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 17:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-24 18:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-24 19:00:00"}, {"value": 0.923076923076923, "timestamp": "2024-03-24 20:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-24 21:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-24 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 23:00:00"}, {"value": 0.6333333333333333, "timestamp": "2024-03-25 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 02:00:00"}, {"value": 0.48571428571428577, "timestamp": "2024-03-25 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 06:00:00"}, {"value": 0.8, "timestamp": "2024-03-25 07:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 08:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-25 09:00:00"}, {"value": 0.5952380952380951, "timestamp": "2024-03-25 10:00:00"}, {"value": 0.4499999999999999, "timestamp": "2024-03-25 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 12:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-25 13:00:00"}, {"value": 0.8744588744588744, "timestamp": "2024-03-25 14:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-25 15:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-25 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 19:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-25 20:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-25 21:00:00"}, {"value": 0.8507936507936509, "timestamp": "2024-03-25 22:00:00"}, {"value": 0.5666666666666667, "timestamp": "2024-03-25 23:00:00"}, {"value": 0.8000000000000002, "timestamp": "2024-03-26 00:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-26 01:00:00"}, {"value": 0.838095238095238, "timestamp": "2024-03-26 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 03:00:00"}, {"value": 0.838095238095238, "timestamp": "2024-03-26 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 05:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-26 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-26 07:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-26 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 09:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-26 10:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-26 11:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-26 12:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-26 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 16:00:00"}, {"value": 0.8000000000000002, "timestamp": "2024-03-26 17:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-26 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 19:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-26 20:00:00"}, {"value": 0.8507936507936509, "timestamp": "2024-03-26 21:00:00"}, {"value": 0.838095238095238, "timestamp": "2024-03-26 22:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-26 23:00:00"}, {"value": 0.5714285714285715, "timestamp": "2024-03-27 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 01:00:00"}, {"value": 0.625, "timestamp": "2024-03-27 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 03:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-27 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 05:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-27 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-27 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 08:00:00"}], "recall": [{"value": 1.0, "timestamp": "2024-03-10 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 01:00:00"}, {"value": 0.5, "timestamp": "2024-03-10 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 04:00:00"}, {"value": null, "timestamp": "2024-03-10 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 06:00:00"}, {"value": null, "timestamp": "2024-03-10 07:00:00"}, {"value": 0.5, "timestamp": "2024-03-10 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 13:00:00"}, {"value": 0.6, "timestamp": "2024-03-10 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 16:00:00"}, {"value": 0.5, "timestamp": "2024-03-10 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 18:00:00"}, {"value": null, "timestamp": "2024-03-10 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 23:00:00"}, {"value": 0.5, "timestamp": "2024-03-11 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 02:00:00"}, {"value": 0.75, "timestamp": "2024-03-11 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 05:00:00"}, {"value": null, "timestamp": "2024-03-11 06:00:00"}, {"value": 0.5, "timestamp": "2024-03-11 07:00:00"}, {"value": null, "timestamp": "2024-03-11 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 15:00:00"}, {"value": 0.5, "timestamp": "2024-03-11 16:00:00"}, {"value": 0.5, "timestamp": "2024-03-11 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 18:00:00"}, {"value": null, "timestamp": "2024-03-11 19:00:00"}, {"value": null, "timestamp": "2024-03-11 20:00:00"}, {"value": 0.5, "timestamp": "2024-03-11 21:00:00"}, {"value": null, "timestamp": "2024-03-11 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 06:00:00"}, {"value": null, "timestamp": "2024-03-12 07:00:00"}, {"value": 0.5, "timestamp": "2024-03-12 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 10:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-12 11:00:00"}, {"value": null, "timestamp": "2024-03-12 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 13:00:00"}, {"value": 0.5, "timestamp": "2024-03-12 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 15:00:00"}, {"value": 0.5, "timestamp": "2024-03-12 16:00:00"}, {"value": 0.5, "timestamp": "2024-03-12 17:00:00"}, {"value": 0.5, "timestamp": "2024-03-12 18:00:00"}, {"value": null, "timestamp": "2024-03-12 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 22:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-12 23:00:00"}, {"value": null, "timestamp": "2024-03-13 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 02:00:00"}, {"value": null, "timestamp": "2024-03-13 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 04:00:00"}, {"value": null, "timestamp": "2024-03-13 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 06:00:00"}, {"value": null, "timestamp": "2024-03-13 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 13:00:00"}, {"value": 0.5, "timestamp": "2024-03-13 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 17:00:00"}, {"value": 0.5, "timestamp": "2024-03-13 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 19:00:00"}, {"value": null, "timestamp": "2024-03-13 20:00:00"}, {"value": null, "timestamp": "2024-03-13 21:00:00"}, {"value": null, "timestamp": "2024-03-13 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 02:00:00"}, {"value": null, "timestamp": "2024-03-14 03:00:00"}, {"value": null, "timestamp": "2024-03-14 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 05:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 09:00:00"}, {"value": null, "timestamp": "2024-03-14 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 13:00:00"}, {"value": null, "timestamp": "2024-03-14 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 16:00:00"}, {"value": 0.5, "timestamp": "2024-03-14 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 18:00:00"}, {"value": 0.5, "timestamp": "2024-03-14 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 21:00:00"}, {"value": 0.5, "timestamp": "2024-03-14 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 00:00:00"}, {"value": 0.5, "timestamp": "2024-03-15 01:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-15 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 06:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-15 07:00:00"}, {"value": null, "timestamp": "2024-03-15 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 13:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-15 14:00:00"}, {"value": 0.5, "timestamp": "2024-03-15 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 17:00:00"}, {"value": null, "timestamp": "2024-03-15 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 22:00:00"}, {"value": 0.5, "timestamp": "2024-03-15 23:00:00"}, {"value": 0.5, "timestamp": "2024-03-16 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 01:00:00"}, {"value": null, "timestamp": "2024-03-16 02:00:00"}, {"value": null, "timestamp": "2024-03-16 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 04:00:00"}, {"value": null, "timestamp": "2024-03-16 05:00:00"}, {"value": null, "timestamp": "2024-03-16 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 09:00:00"}, {"value": 0.5, "timestamp": "2024-03-16 10:00:00"}, {"value": 0.5, "timestamp": "2024-03-16 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 13:00:00"}, {"value": 0.5, "timestamp": "2024-03-16 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 17:00:00"}, {"value": 0.5, "timestamp": "2024-03-16 18:00:00"}, {"value": null, "timestamp": "2024-03-16 19:00:00"}, {"value": null, "timestamp": "2024-03-16 20:00:00"}, {"value": null, "timestamp": "2024-03-16 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 22:00:00"}, {"value": null, "timestamp": "2024-03-16 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 00:00:00"}, {"value": null, "timestamp": "2024-03-17 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 08:00:00"}, {"value": 0.5, "timestamp": "2024-03-17 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 10:00:00"}, {"value": null, "timestamp": "2024-03-17 11:00:00"}, {"value": null, "timestamp": "2024-03-17 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 17:00:00"}, {"value": null, "timestamp": "2024-03-17 18:00:00"}, {"value": 0.5, "timestamp": "2024-03-17 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-17 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 21:00:00"}, {"value": 0.5, "timestamp": "2024-03-17 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 00:00:00"}, {"value": null, "timestamp": "2024-03-18 01:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 04:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 05:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 06:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 14:00:00"}, {"value": null, "timestamp": "2024-03-18 15:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 16:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 17:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-18 18:00:00"}, {"value": null, "timestamp": "2024-03-18 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 20:00:00"}, {"value": null, "timestamp": "2024-03-18 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-19 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 07:00:00"}, {"value": null, "timestamp": "2024-03-19 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 11:00:00"}, {"value": 0.5, "timestamp": "2024-03-19 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 14:00:00"}, {"value": null, "timestamp": "2024-03-19 15:00:00"}, {"value": null, "timestamp": "2024-03-19 16:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-19 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 18:00:00"}, {"value": null, "timestamp": "2024-03-19 19:00:00"}, {"value": null, "timestamp": "2024-03-19 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 22:00:00"}, {"value": 0.75, "timestamp": "2024-03-19 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 01:00:00"}, {"value": 0.5, "timestamp": "2024-03-20 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 03:00:00"}, {"value": 0.5, "timestamp": "2024-03-20 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 07:00:00"}, {"value": 0.5, "timestamp": "2024-03-20 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 14:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-20 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 17:00:00"}, {"value": null, "timestamp": "2024-03-20 18:00:00"}, {"value": null, "timestamp": "2024-03-20 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 22:00:00"}, {"value": 0.5, "timestamp": "2024-03-20 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 00:00:00"}, {"value": 0.5, "timestamp": "2024-03-21 01:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-21 03:00:00"}, {"value": null, "timestamp": "2024-03-21 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 09:00:00"}, {"value": null, "timestamp": "2024-03-21 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 12:00:00"}, {"value": 0.5, "timestamp": "2024-03-21 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 15:00:00"}, {"value": null, "timestamp": "2024-03-21 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 17:00:00"}, {"value": 0.5, "timestamp": "2024-03-21 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 21:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 23:00:00"}, {"value": null, "timestamp": "2024-03-22 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-22 03:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-22 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 05:00:00"}, {"value": 0.5, "timestamp": "2024-03-22 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 09:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-22 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 15:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-22 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-22 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 21:00:00"}, {"value": 0.5, "timestamp": "2024-03-22 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 00:00:00"}, {"value": null, "timestamp": "2024-03-23 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 02:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-23 03:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-23 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 05:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-23 06:00:00"}, {"value": null, "timestamp": "2024-03-23 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 08:00:00"}, {"value": 0.5, "timestamp": "2024-03-23 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 15:00:00"}, {"value": 0.5, "timestamp": "2024-03-23 16:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-23 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 19:00:00"}, {"value": 0.5, "timestamp": "2024-03-23 20:00:00"}, {"value": null, "timestamp": "2024-03-23 21:00:00"}, {"value": 0.5, "timestamp": "2024-03-23 22:00:00"}, {"value": null, "timestamp": "2024-03-23 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 01:00:00"}, {"value": 0.5, "timestamp": "2024-03-24 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 03:00:00"}, {"value": 0.5, "timestamp": "2024-03-24 04:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-24 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 07:00:00"}, {"value": 0.5, "timestamp": "2024-03-24 08:00:00"}, {"value": null, "timestamp": "2024-03-24 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 11:00:00"}, {"value": 0.5, "timestamp": "2024-03-24 12:00:00"}, {"value": null, "timestamp": "2024-03-24 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 14:00:00"}, {"value": 0.5, "timestamp": "2024-03-24 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 19:00:00"}, {"value": null, "timestamp": "2024-03-24 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 23:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 00:00:00"}, {"value": null, "timestamp": "2024-03-25 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 02:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 03:00:00"}, {"value": null, "timestamp": "2024-03-25 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 06:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 07:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 11:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 12:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 15:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 19:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 20:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 21:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 22:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-25 23:00:00"}, {"value": null, "timestamp": "2024-03-26 00:00:00"}, {"value": null, "timestamp": "2024-03-26 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 02:00:00"}, {"value": null, "timestamp": "2024-03-26 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 06:00:00"}, {"value": 0.75, "timestamp": "2024-03-26 07:00:00"}, {"value": null, "timestamp": "2024-03-26 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 10:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 11:00:00"}, {"value": null, "timestamp": "2024-03-26 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 14:00:00"}, {"value": null, "timestamp": "2024-03-26 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 16:00:00"}, {"value": null, "timestamp": "2024-03-26 17:00:00"}, {"value": 0.5, "timestamp": "2024-03-26 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 20:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 21:00:00"}, {"value": 0.75, "timestamp": "2024-03-26 22:00:00"}, {"value": 0.5, "timestamp": "2024-03-26 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-27 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 01:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-27 02:00:00"}, {"value": null, "timestamp": "2024-03-27 03:00:00"}, {"value": 0.5, "timestamp": "2024-03-27 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 05:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-27 06:00:00"}, {"value": 0.75, "timestamp": "2024-03-27 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 08:00:00"}], "accuracy": [{"value": 0.8571428571428571, "timestamp": "2024-03-10 00:00:00"}, {"value": 0.8, "timestamp": "2024-03-10 01:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-10 02:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-10 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 06:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-10 07:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-10 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 13:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-10 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 16:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-10 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 19:00:00"}, {"value": 0.8, "timestamp": "2024-03-10 20:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-10 21:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-10 22:00:00"}, {"value": 0.8, "timestamp": "2024-03-10 23:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-11 00:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 02:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-11 03:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-11 04:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 05:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-11 06:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-11 07:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 08:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-11 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 10:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-11 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 14:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 15:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-11 16:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-11 17:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 18:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 20:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-11 21:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 23:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-12 00:00:00"}, {"value": 0.4, "timestamp": "2024-03-12 01:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-12 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 05:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-12 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 07:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-12 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 10:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-12 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 13:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-12 14:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 15:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-12 16:00:00"}, {"value": 0.8, "timestamp": "2024-03-12 17:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-12 18:00:00"}, {"value": 0.8, "timestamp": "2024-03-12 19:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-12 20:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-12 21:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-12 22:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 00:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-13 01:00:00"}, {"value": 0.6, "timestamp": "2024-03-13 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 04:00:00"}, {"value": 0.8, "timestamp": "2024-03-13 05:00:00"}, {"value": 0.5, "timestamp": "2024-03-13 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 07:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-13 08:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-13 09:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-13 10:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-13 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 12:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-13 13:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-13 14:00:00"}, {"value": 0.8, "timestamp": "2024-03-13 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 16:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-13 17:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-13 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 00:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 02:00:00"}, {"value": 0.8, "timestamp": "2024-03-14 03:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 05:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-14 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 08:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-14 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 10:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-14 11:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-14 12:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-14 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 15:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 16:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-14 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 18:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-14 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 21:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-14 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 00:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-15 01:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-15 02:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-15 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-15 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-15 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 10:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-15 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-15 12:00:00"}, {"value": 0.8, "timestamp": "2024-03-15 13:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-15 14:00:00"}, {"value": 0.8, "timestamp": "2024-03-15 15:00:00"}, {"value": 0.5, "timestamp": "2024-03-15 16:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-15 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 18:00:00"}, {"value": 0.8, "timestamp": "2024-03-15 19:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-15 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 22:00:00"}, {"value": 0.6, "timestamp": "2024-03-15 23:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-16 00:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-16 01:00:00"}, {"value": 0.8, "timestamp": "2024-03-16 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 06:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 08:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-16 09:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 10:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-16 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-16 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 13:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-16 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 16:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-16 17:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-16 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 19:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-16 20:00:00"}, {"value": 0.6, "timestamp": "2024-03-16 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 22:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-16 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 00:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-17 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 05:00:00"}, {"value": 0.8, "timestamp": "2024-03-17 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 07:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-17 08:00:00"}, {"value": 0.8, "timestamp": "2024-03-17 09:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-17 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 13:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-17 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 16:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-17 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 18:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-17 19:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-17 20:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-17 21:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-17 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 01:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-18 02:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-18 03:00:00"}, {"value": 0.8, "timestamp": "2024-03-18 04:00:00"}, {"value": 0.42857142857142855, "timestamp": "2024-03-18 05:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-18 06:00:00"}, {"value": 0.8, "timestamp": "2024-03-18 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 08:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-18 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 11:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-18 12:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-18 13:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-18 14:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-18 15:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-18 16:00:00"}, {"value": 0.8, "timestamp": "2024-03-18 17:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-18 18:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-18 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 01:00:00"}, {"value": 0.4, "timestamp": "2024-03-19 02:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-19 03:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-19 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 05:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-19 07:00:00"}, {"value": 0.8, "timestamp": "2024-03-19 08:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-19 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 10:00:00"}, {"value": 0.5, "timestamp": "2024-03-19 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-19 12:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-19 13:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 17:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-19 18:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-19 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 20:00:00"}, {"value": 0.5, "timestamp": "2024-03-19 21:00:00"}, {"value": 0.8, "timestamp": "2024-03-19 22:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-19 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 00:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-20 01:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-20 02:00:00"}, {"value": 0.8, "timestamp": "2024-03-20 03:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-20 04:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-20 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 06:00:00"}, {"value": 0.6, "timestamp": "2024-03-20 07:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-20 08:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-20 09:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 10:00:00"}, {"value": 0.8, "timestamp": "2024-03-20 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 14:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 15:00:00"}, {"value": 0.8, "timestamp": "2024-03-20 16:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-20 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 18:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 22:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-20 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 00:00:00"}, {"value": 0.6, "timestamp": "2024-03-21 01:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-21 02:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-21 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 04:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 07:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-21 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 10:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-21 11:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-21 12:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-21 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 14:00:00"}, {"value": 0.8, "timestamp": "2024-03-21 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 17:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-21 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 20:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-21 21:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-21 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 01:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-22 02:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-22 03:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-22 04:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-22 05:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-22 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 07:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-22 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 09:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-22 10:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-22 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 15:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-22 16:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-22 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 18:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-22 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 21:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-22 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 02:00:00"}, {"value": 0.8, "timestamp": "2024-03-23 03:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-23 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 05:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-23 06:00:00"}, {"value": 0.8, "timestamp": "2024-03-23 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-23 09:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-23 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 11:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-23 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 14:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-23 15:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-23 16:00:00"}, {"value": 0.6, "timestamp": "2024-03-23 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 19:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-23 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 21:00:00"}, {"value": 0.8, "timestamp": "2024-03-23 22:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-23 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 00:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-24 01:00:00"}, {"value": 0.8, "timestamp": "2024-03-24 02:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-24 03:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-24 04:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-24 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 06:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-24 07:00:00"}, {"value": 0.8, "timestamp": "2024-03-24 08:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-24 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 11:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-24 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 13:00:00"}, {"value": 0.8, "timestamp": "2024-03-24 14:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-24 15:00:00"}, {"value": 0.2, "timestamp": "2024-03-24 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 17:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-24 18:00:00"}, {"value": 0.8, "timestamp": "2024-03-24 19:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-24 20:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-24 21:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-24 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 23:00:00"}, {"value": 0.6, "timestamp": "2024-03-25 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 06:00:00"}, {"value": 0.8, "timestamp": "2024-03-25 07:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 08:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-25 09:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-25 10:00:00"}, {"value": 0.6, "timestamp": "2024-03-25 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 12:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-25 13:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-25 14:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-25 15:00:00"}, {"value": 0.8, "timestamp": "2024-03-25 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 19:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-25 20:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-25 21:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-25 22:00:00"}, {"value": 0.6, "timestamp": "2024-03-25 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 00:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-26 01:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-26 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 03:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-26 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 05:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-26 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-26 07:00:00"}, {"value": 0.8, "timestamp": "2024-03-26 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 09:00:00"}, {"value": 0.8, "timestamp": "2024-03-26 10:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-26 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-26 12:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-26 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 17:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-26 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 20:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-26 21:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-26 22:00:00"}, {"value": 0.6, "timestamp": "2024-03-26 23:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-27 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 01:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-27 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 03:00:00"}, {"value": 0.8, "timestamp": "2024-03-27 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 05:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-27 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-27 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 08:00:00"}], "log_loss": [{"value": 2.3248575873759916, "timestamp": "2024-03-10 00:00:00"}, {"value": 3.0418227291128317, "timestamp": "2024-03-10 01:00:00"}, {"value": 1.785515395632612, "timestamp": "2024-03-10 02:00:00"}, {"value": 2.14832462420225, "timestamp": "2024-03-10 03:00:00"}, {"value": 2.5391479404233914, "timestamp": "2024-03-10 04:00:00"}, {"value": 3.9273797659769385, "timestamp": "2024-03-10 05:00:00"}, {"value": 2.1026477103289074, "timestamp": "2024-03-10 06:00:00"}, {"value": 3.8267359989329215, "timestamp": "2024-03-10 07:00:00"}, {"value": 1.9192397469435034, "timestamp": "2024-03-10 08:00:00"}, {"value": 2.304994004714742, "timestamp": "2024-03-10 09:00:00"}, {"value": 2.5931534550474753, "timestamp": "2024-03-10 10:00:00"}, {"value": 2.106055845354621, "timestamp": "2024-03-10 11:00:00"}, {"value": 2.7351321845630077, "timestamp": "2024-03-10 12:00:00"}, {"value": 2.3007021709178925, "timestamp": "2024-03-10 13:00:00"}, {"value": 1.0493456507362373, "timestamp": "2024-03-10 14:00:00"}, {"value": 2.4421723374845077, "timestamp": "2024-03-10 15:00:00"}, {"value": 1.5576909098083729, "timestamp": "2024-03-10 16:00:00"}, {"value": 1.8327592671689537, "timestamp": "2024-03-10 17:00:00"}, {"value": 2.1749759940690363, "timestamp": "2024-03-10 18:00:00"}, {"value": 3.698828491494558, "timestamp": "2024-03-10 19:00:00"}, {"value": 1.068211945949243, "timestamp": "2024-03-10 20:00:00"}, {"value": 2.7530541474328807, "timestamp": "2024-03-10 21:00:00"}, {"value": 2.5724659282014, "timestamp": "2024-03-10 22:00:00"}, {"value": 3.4188543162055383, "timestamp": "2024-03-10 23:00:00"}, {"value": 1.8009246247264306, "timestamp": "2024-03-11 00:00:00"}, {"value": 1.6965790900535025, "timestamp": "2024-03-11 01:00:00"}, {"value": 2.2742167457413007, "timestamp": "2024-03-11 02:00:00"}, {"value": 1.5278811620692994, "timestamp": "2024-03-11 03:00:00"}, {"value": 2.3290969996808912, "timestamp": "2024-03-11 04:00:00"}, {"value": 2.4333002600286395, "timestamp": "2024-03-11 05:00:00"}, {"value": 2.4793276188037257, "timestamp": "2024-03-11 06:00:00"}, {"value": 2.565272320836534, "timestamp": "2024-03-11 07:00:00"}, {"value": 2.0207635251527307, "timestamp": "2024-03-11 08:00:00"}, {"value": 1.3099387389078672, "timestamp": "2024-03-11 09:00:00"}, {"value": 2.5097951843011677, "timestamp": "2024-03-11 10:00:00"}, {"value": 3.1884733246649843, "timestamp": "2024-03-11 11:00:00"}, {"value": 2.638093741188695, "timestamp": "2024-03-11 12:00:00"}, {"value": 2.4155210406500314, "timestamp": "2024-03-11 13:00:00"}, {"value": 2.497962718362142, "timestamp": "2024-03-11 14:00:00"}, {"value": 2.6699041080938777, "timestamp": "2024-03-11 15:00:00"}, {"value": 2.3487541998461143, "timestamp": "2024-03-11 16:00:00"}, {"value": 2.1314567093706254, "timestamp": "2024-03-11 17:00:00"}, {"value": 1.747376780548848, "timestamp": "2024-03-11 18:00:00"}, {"value": 2.1503104097436334, "timestamp": "2024-03-11 19:00:00"}, {"value": 3.7882709577984333, "timestamp": "2024-03-11 20:00:00"}, {"value": 1.5333305762671352, "timestamp": "2024-03-11 21:00:00"}, {"value": 2.8939781350974694, "timestamp": "2024-03-11 22:00:00"}, {"value": 2.3372943970314473, "timestamp": "2024-03-11 23:00:00"}, {"value": 1.4985178284207852, "timestamp": "2024-03-12 00:00:00"}, {"value": 1.6060773415362743, "timestamp": "2024-03-12 01:00:00"}, {"value": 1.8021496570591873, "timestamp": "2024-03-12 02:00:00"}, {"value": 2.48778860210023, "timestamp": "2024-03-12 03:00:00"}, {"value": 2.8882892308447867, "timestamp": "2024-03-12 04:00:00"}, {"value": 2.04113211086897, "timestamp": "2024-03-12 05:00:00"}, {"value": 2.6242170396203086, "timestamp": "2024-03-12 06:00:00"}, {"value": 2.9334636381042603, "timestamp": "2024-03-12 07:00:00"}, {"value": 2.1165512179871078, "timestamp": "2024-03-12 08:00:00"}, {"value": 2.0481780326299854, "timestamp": "2024-03-12 09:00:00"}, {"value": 2.761258844346333, "timestamp": "2024-03-12 10:00:00"}, {"value": 1.7736197865534329, "timestamp": "2024-03-12 11:00:00"}, {"value": 2.454271220735876, "timestamp": "2024-03-12 12:00:00"}, {"value": 2.043928784242215, "timestamp": "2024-03-12 13:00:00"}, {"value": 2.5923243325186416, "timestamp": "2024-03-12 14:00:00"}, {"value": 2.033595346765012, "timestamp": "2024-03-12 15:00:00"}, {"value": 3.0557408615858788, "timestamp": "2024-03-12 16:00:00"}, {"value": 3.480516916111081, "timestamp": "2024-03-12 17:00:00"}, {"value": 2.6623214392721204, "timestamp": "2024-03-12 18:00:00"}, {"value": 3.4934370330805167, "timestamp": "2024-03-12 19:00:00"}, {"value": 1.7847683860785641, "timestamp": "2024-03-12 20:00:00"}, {"value": 2.2529918456921663, "timestamp": "2024-03-12 21:00:00"}, {"value": 2.9662374243630447, "timestamp": "2024-03-12 22:00:00"}, {"value": 2.4375144865864296, "timestamp": "2024-03-12 23:00:00"}, {"value": 3.3314230124810087, "timestamp": "2024-03-13 00:00:00"}, {"value": 2.376301071192198, "timestamp": "2024-03-13 01:00:00"}, {"value": 2.659523072842073, "timestamp": "2024-03-13 02:00:00"}, {"value": 1.667917927724288, "timestamp": "2024-03-13 03:00:00"}, {"value": 3.101515681469053, "timestamp": "2024-03-13 04:00:00"}, {"value": 3.2407092681269254, "timestamp": "2024-03-13 05:00:00"}, {"value": 1.4783396420656567, "timestamp": "2024-03-13 06:00:00"}, {"value": 3.8526182508101683, "timestamp": "2024-03-13 07:00:00"}, {"value": 2.06743935179983, "timestamp": "2024-03-13 08:00:00"}, {"value": 2.2130341753953915, "timestamp": "2024-03-13 09:00:00"}, {"value": 3.1218355673923273, "timestamp": "2024-03-13 10:00:00"}, {"value": 2.9038985462518325, "timestamp": "2024-03-13 11:00:00"}, {"value": 1.5979318342503455, "timestamp": "2024-03-13 12:00:00"}, {"value": 3.553525288029005, "timestamp": "2024-03-13 13:00:00"}, {"value": 3.3303420958901833, "timestamp": "2024-03-13 14:00:00"}, {"value": 1.8314998432157785, "timestamp": "2024-03-13 15:00:00"}, {"value": 1.8099782292524074, "timestamp": "2024-03-13 16:00:00"}, {"value": 2.684676548722889, "timestamp": "2024-03-13 17:00:00"}, {"value": 1.173184942982454, "timestamp": "2024-03-13 18:00:00"}, {"value": 1.9363210620615476, "timestamp": "2024-03-13 19:00:00"}, {"value": 3.139769945187453, "timestamp": "2024-03-13 20:00:00"}, {"value": 2.8593763749995915, "timestamp": "2024-03-13 21:00:00"}, {"value": 2.8941118231354013, "timestamp": "2024-03-13 22:00:00"}, {"value": 3.104092252978454, "timestamp": "2024-03-13 23:00:00"}, {"value": 2.7476936183398655, "timestamp": "2024-03-14 00:00:00"}, {"value": 1.7645512017972858, "timestamp": "2024-03-14 01:00:00"}, {"value": 2.6940281967058834, "timestamp": "2024-03-14 02:00:00"}, {"value": 2.184955092346842, "timestamp": "2024-03-14 03:00:00"}, {"value": 2.8408482799211137, "timestamp": "2024-03-14 04:00:00"}, {"value": 2.540646957813795, "timestamp": "2024-03-14 05:00:00"}, {"value": 1.6194561739333462, "timestamp": "2024-03-14 06:00:00"}, {"value": 1.5346416150634075, "timestamp": "2024-03-14 07:00:00"}, {"value": 2.0255629884028337, "timestamp": "2024-03-14 08:00:00"}, {"value": 1.9649240957656715, "timestamp": "2024-03-14 09:00:00"}, {"value": 4.430716608693046, "timestamp": "2024-03-14 10:00:00"}, {"value": 2.6012988263256243, "timestamp": "2024-03-14 11:00:00"}, {"value": 1.2750708886185025, "timestamp": "2024-03-14 12:00:00"}, {"value": 1.5394393747738404, "timestamp": "2024-03-14 13:00:00"}, {"value": 3.872307653517023, "timestamp": "2024-03-14 14:00:00"}, {"value": 1.5803743380689552, "timestamp": "2024-03-14 15:00:00"}, {"value": 2.4847221125933925, "timestamp": "2024-03-14 16:00:00"}, {"value": 2.697542216746154, "timestamp": "2024-03-14 17:00:00"}, {"value": 2.1742023599628983, "timestamp": "2024-03-14 18:00:00"}, {"value": 2.676357349290958, "timestamp": "2024-03-14 19:00:00"}, {"value": 2.4223441573133937, "timestamp": "2024-03-14 20:00:00"}, {"value": 2.318359364546317, "timestamp": "2024-03-14 21:00:00"}, {"value": 2.709277619821005, "timestamp": "2024-03-14 22:00:00"}, {"value": 2.613858426670785, "timestamp": "2024-03-14 23:00:00"}, {"value": 3.3186201581438444, "timestamp": "2024-03-15 00:00:00"}, {"value": 1.2653759653710654, "timestamp": "2024-03-15 01:00:00"}, {"value": 2.4812040498818946, "timestamp": "2024-03-15 02:00:00"}, {"value": 2.1321169962518374, "timestamp": "2024-03-15 03:00:00"}, {"value": 2.654883312559317, "timestamp": "2024-03-15 04:00:00"}, {"value": 1.7889695009436248, "timestamp": "2024-03-15 05:00:00"}, {"value": 3.5130721115333303, "timestamp": "2024-03-15 06:00:00"}, {"value": 1.5992210492145393, "timestamp": "2024-03-15 07:00:00"}, {"value": 3.4074572985813476, "timestamp": "2024-03-15 08:00:00"}, {"value": 2.414016857069205, "timestamp": "2024-03-15 09:00:00"}, {"value": 3.094604858876369, "timestamp": "2024-03-15 10:00:00"}, {"value": 2.027089187857195, "timestamp": "2024-03-15 11:00:00"}, {"value": 2.6392818629165333, "timestamp": "2024-03-15 12:00:00"}, {"value": 1.947485075676736, "timestamp": "2024-03-15 13:00:00"}, {"value": 1.2776718502712876, "timestamp": "2024-03-15 14:00:00"}, {"value": 2.4592280975577654, "timestamp": "2024-03-15 15:00:00"}, {"value": 1.4931572878201063, "timestamp": "2024-03-15 16:00:00"}, {"value": 1.6006354112806058, "timestamp": "2024-03-15 17:00:00"}, {"value": 2.491965036951293, "timestamp": "2024-03-15 18:00:00"}, {"value": 1.8368776821776585, "timestamp": "2024-03-15 19:00:00"}, {"value": 1.428869028138611, "timestamp": "2024-03-15 20:00:00"}, {"value": 2.7531342263210687, "timestamp": "2024-03-15 21:00:00"}, {"value": 2.739710927775986, "timestamp": "2024-03-15 22:00:00"}, {"value": 1.0036904538988876, "timestamp": "2024-03-15 23:00:00"}, {"value": 2.158730090904193, "timestamp": "2024-03-16 00:00:00"}, {"value": 1.8965380931969882, "timestamp": "2024-03-16 01:00:00"}, {"value": 2.3289161416631154, "timestamp": "2024-03-16 02:00:00"}, {"value": 2.9040206160236934, "timestamp": "2024-03-16 03:00:00"}, {"value": 3.669720376302327, "timestamp": "2024-03-16 04:00:00"}, {"value": 3.9866477161657277, "timestamp": "2024-03-16 05:00:00"}, {"value": 2.4666623258148843, "timestamp": "2024-03-16 06:00:00"}, {"value": 3.260952767749599, "timestamp": "2024-03-16 07:00:00"}, {"value": 3.2922582694221147, "timestamp": "2024-03-16 08:00:00"}, {"value": 3.046404285810791, "timestamp": "2024-03-16 09:00:00"}, {"value": 2.199055831016152, "timestamp": "2024-03-16 10:00:00"}, {"value": 1.6930196624781264, "timestamp": "2024-03-16 11:00:00"}, {"value": 1.870262196386704, "timestamp": "2024-03-16 12:00:00"}, {"value": 2.6411389342307436, "timestamp": "2024-03-16 13:00:00"}, {"value": 2.267211993406382, "timestamp": "2024-03-16 14:00:00"}, {"value": 2.4303122339599024, "timestamp": "2024-03-16 15:00:00"}, {"value": 2.138403118906309, "timestamp": "2024-03-16 16:00:00"}, {"value": 1.2061418135607551, "timestamp": "2024-03-16 17:00:00"}, {"value": 1.6785600557666653, "timestamp": "2024-03-16 18:00:00"}, {"value": 2.2572358044955445, "timestamp": "2024-03-16 19:00:00"}, {"value": 3.104730376499627, "timestamp": "2024-03-16 20:00:00"}, {"value": 2.0102527989240713, "timestamp": "2024-03-16 21:00:00"}, {"value": 2.9328374988960952, "timestamp": "2024-03-16 22:00:00"}, {"value": 3.560020985917691, "timestamp": "2024-03-16 23:00:00"}, {"value": 2.091258676524356, "timestamp": "2024-03-17 00:00:00"}, {"value": 3.359193166995061, "timestamp": "2024-03-17 01:00:00"}, {"value": 2.226109599212356, "timestamp": "2024-03-17 02:00:00"}, {"value": 2.202584662628817, "timestamp": "2024-03-17 03:00:00"}, {"value": 1.6752811649758328, "timestamp": "2024-03-17 04:00:00"}, {"value": 3.10283428233583, "timestamp": "2024-03-17 05:00:00"}, {"value": 2.63605147655157, "timestamp": "2024-03-17 06:00:00"}, {"value": 1.7155208392295567, "timestamp": "2024-03-17 07:00:00"}, {"value": 3.495247695518787, "timestamp": "2024-03-17 08:00:00"}, {"value": 1.4873751858337603, "timestamp": "2024-03-17 09:00:00"}, {"value": 2.5770538815633737, "timestamp": "2024-03-17 10:00:00"}, {"value": 3.659997356047026, "timestamp": "2024-03-17 11:00:00"}, {"value": 3.0073566548851907, "timestamp": "2024-03-17 12:00:00"}, {"value": 2.4005247558561016, "timestamp": "2024-03-17 13:00:00"}, {"value": 1.9022464000309436, "timestamp": "2024-03-17 14:00:00"}, {"value": 2.340991899814328, "timestamp": "2024-03-17 15:00:00"}, {"value": 1.7041154338478688, "timestamp": "2024-03-17 16:00:00"}, {"value": 2.275188555930332, "timestamp": "2024-03-17 17:00:00"}, {"value": 3.2756380477658826, "timestamp": "2024-03-17 18:00:00"}, {"value": 1.6357410615427872, "timestamp": "2024-03-17 19:00:00"}, {"value": 1.9146709591460798, "timestamp": "2024-03-17 20:00:00"}, {"value": 2.1655367939127568, "timestamp": "2024-03-17 21:00:00"}, {"value": 2.3083015275745584, "timestamp": "2024-03-17 22:00:00"}, {"value": 1.6163770874960448, "timestamp": "2024-03-17 23:00:00"}, {"value": 2.03109194450177, "timestamp": "2024-03-18 00:00:00"}, {"value": 2.531238459974035, "timestamp": "2024-03-18 01:00:00"}, {"value": 3.2319538349137282, "timestamp": "2024-03-18 02:00:00"}, {"value": 1.8678297328786935, "timestamp": "2024-03-18 03:00:00"}, {"value": 2.1489033941735847, "timestamp": "2024-03-18 04:00:00"}, {"value": 1.4343717748612106, "timestamp": "2024-03-18 05:00:00"}, {"value": 1.3884532340389775, "timestamp": "2024-03-18 06:00:00"}, {"value": 2.467289872987056, "timestamp": "2024-03-18 07:00:00"}, {"value": 2.565063379112391, "timestamp": "2024-03-18 08:00:00"}, {"value": 2.300382875948015, "timestamp": "2024-03-18 09:00:00"}, {"value": 2.7477728677804367, "timestamp": "2024-03-18 10:00:00"}, {"value": 1.7173437723622798, "timestamp": "2024-03-18 11:00:00"}, {"value": 1.8960217039161245, "timestamp": "2024-03-18 12:00:00"}, {"value": 2.508849242864299, "timestamp": "2024-03-18 13:00:00"}, {"value": 3.2180284851064855, "timestamp": "2024-03-18 14:00:00"}, {"value": 2.8431236428704048, "timestamp": "2024-03-18 15:00:00"}, {"value": 2.010689122704796, "timestamp": "2024-03-18 16:00:00"}, {"value": 1.3400802632270288, "timestamp": "2024-03-18 17:00:00"}, {"value": 1.7335090298183944, "timestamp": "2024-03-18 18:00:00"}, {"value": 2.971015092266502, "timestamp": "2024-03-18 19:00:00"}, {"value": 2.0264823748455725, "timestamp": "2024-03-18 20:00:00"}, {"value": 3.4681306428408107, "timestamp": "2024-03-18 21:00:00"}, {"value": 2.6682288718589784, "timestamp": "2024-03-18 22:00:00"}, {"value": 2.9495263189871608, "timestamp": "2024-03-18 23:00:00"}, {"value": 1.7814842469973928, "timestamp": "2024-03-19 00:00:00"}, {"value": 3.3651327191219553, "timestamp": "2024-03-19 01:00:00"}, {"value": 2.1901273536056616, "timestamp": "2024-03-19 02:00:00"}, {"value": 2.4187878016915896, "timestamp": "2024-03-19 03:00:00"}, {"value": 1.5804551286350677, "timestamp": "2024-03-19 04:00:00"}, {"value": 2.089069964332994, "timestamp": "2024-03-19 05:00:00"}, {"value": 2.250809031770927, "timestamp": "2024-03-19 06:00:00"}, {"value": 2.3873746504522226, "timestamp": "2024-03-19 07:00:00"}, {"value": 1.9401197607664902, "timestamp": "2024-03-19 08:00:00"}, {"value": 1.3433083334520692, "timestamp": "2024-03-19 09:00:00"}, {"value": 2.6134246768865554, "timestamp": "2024-03-19 10:00:00"}, {"value": 2.574974558219228, "timestamp": "2024-03-19 11:00:00"}, {"value": 1.928308699081788, "timestamp": "2024-03-19 12:00:00"}, {"value": 2.395606522885838, "timestamp": "2024-03-19 13:00:00"}, {"value": 3.7984977974566987, "timestamp": "2024-03-19 14:00:00"}, {"value": 2.9891192333173158, "timestamp": "2024-03-19 15:00:00"}, {"value": 2.7365545901424326, "timestamp": "2024-03-19 16:00:00"}, {"value": 1.3421057593409762, "timestamp": "2024-03-19 17:00:00"}, {"value": 1.584650077263923, "timestamp": "2024-03-19 18:00:00"}, {"value": 2.9032412655143296, "timestamp": "2024-03-19 19:00:00"}, {"value": 1.820959025128001, "timestamp": "2024-03-19 20:00:00"}, {"value": 1.7182996764494742, "timestamp": "2024-03-19 21:00:00"}, {"value": 1.4696914010770337, "timestamp": "2024-03-19 22:00:00"}, {"value": 1.3176094668035634, "timestamp": "2024-03-19 23:00:00"}, {"value": 2.9580577749812655, "timestamp": "2024-03-20 00:00:00"}, {"value": 4.022383769354895, "timestamp": "2024-03-20 01:00:00"}, {"value": 2.5321699976467102, "timestamp": "2024-03-20 02:00:00"}, {"value": 2.238789501599041, "timestamp": "2024-03-20 03:00:00"}, {"value": 2.4291156566782224, "timestamp": "2024-03-20 04:00:00"}, {"value": 2.443562560945133, "timestamp": "2024-03-20 05:00:00"}, {"value": 1.8299195443111829, "timestamp": "2024-03-20 06:00:00"}, {"value": 2.030372488947172, "timestamp": "2024-03-20 07:00:00"}, {"value": 2.4062847930752134, "timestamp": "2024-03-20 08:00:00"}, {"value": 1.6567148643110663, "timestamp": "2024-03-20 09:00:00"}, {"value": 2.55956235441626, "timestamp": "2024-03-20 10:00:00"}, {"value": 3.3490140954305128, "timestamp": "2024-03-20 11:00:00"}, {"value": 2.48675985152367, "timestamp": "2024-03-20 12:00:00"}, {"value": 1.482624102414274, "timestamp": "2024-03-20 13:00:00"}, {"value": 2.2259446425519998, "timestamp": "2024-03-20 14:00:00"}, {"value": 2.0374507014167285, "timestamp": "2024-03-20 15:00:00"}, {"value": 2.4371628532765817, "timestamp": "2024-03-20 16:00:00"}, {"value": 1.8092953544735426, "timestamp": "2024-03-20 17:00:00"}, {"value": 3.4109796116843207, "timestamp": "2024-03-20 18:00:00"}, {"value": 1.9101710554628717, "timestamp": "2024-03-20 19:00:00"}, {"value": 2.1785374451573545, "timestamp": "2024-03-20 20:00:00"}, {"value": 1.9037549692062707, "timestamp": "2024-03-20 21:00:00"}, {"value": 1.6062643411173383, "timestamp": "2024-03-20 22:00:00"}, {"value": 2.4171824812310727, "timestamp": "2024-03-20 23:00:00"}, {"value": 2.122145943785064, "timestamp": "2024-03-21 00:00:00"}, {"value": 2.379672925169089, "timestamp": "2024-03-21 01:00:00"}, {"value": 2.2599332783039308, "timestamp": "2024-03-21 02:00:00"}, {"value": 2.23691971637078, "timestamp": "2024-03-21 03:00:00"}, {"value": 3.2553947530083973, "timestamp": "2024-03-21 04:00:00"}, {"value": 2.389562792622119, "timestamp": "2024-03-21 05:00:00"}, {"value": 2.321017981441795, "timestamp": "2024-03-21 06:00:00"}, {"value": 2.0307001691177047, "timestamp": "2024-03-21 07:00:00"}, {"value": 3.4331908945808585, "timestamp": "2024-03-21 08:00:00"}, {"value": 2.1905919287583853, "timestamp": "2024-03-21 09:00:00"}, {"value": 2.8887255977246498, "timestamp": "2024-03-21 10:00:00"}, {"value": 2.7059541947634105, "timestamp": "2024-03-21 11:00:00"}, {"value": 1.9248668517855192, "timestamp": "2024-03-21 12:00:00"}, {"value": 1.945302234992708, "timestamp": "2024-03-21 13:00:00"}, {"value": 3.7378117670997075, "timestamp": "2024-03-21 14:00:00"}, {"value": 3.145095727175734, "timestamp": "2024-03-21 15:00:00"}, {"value": 2.91400640032086, "timestamp": "2024-03-21 16:00:00"}, {"value": 2.496928466180987, "timestamp": "2024-03-21 17:00:00"}, {"value": 3.0868896606188323, "timestamp": "2024-03-21 18:00:00"}, {"value": 2.4046641783801994, "timestamp": "2024-03-21 19:00:00"}, {"value": 2.4266653592683705, "timestamp": "2024-03-21 20:00:00"}, {"value": 2.3759204923774893, "timestamp": "2024-03-21 21:00:00"}, {"value": 2.2299053012949037, "timestamp": "2024-03-21 22:00:00"}, {"value": 3.2223057433057463, "timestamp": "2024-03-21 23:00:00"}, {"value": 3.1962765622951985, "timestamp": "2024-03-22 00:00:00"}, {"value": 2.678931018504222, "timestamp": "2024-03-22 01:00:00"}, {"value": 2.5398655912080743, "timestamp": "2024-03-22 02:00:00"}, {"value": 2.6748554274407867, "timestamp": "2024-03-22 03:00:00"}, {"value": 1.9660890275467873, "timestamp": "2024-03-22 04:00:00"}, {"value": 2.428287628956039, "timestamp": "2024-03-22 05:00:00"}, {"value": 1.4959507158680492, "timestamp": "2024-03-22 06:00:00"}, {"value": 2.0148341733635675, "timestamp": "2024-03-22 07:00:00"}, {"value": 1.9255929103459763, "timestamp": "2024-03-22 08:00:00"}, {"value": 2.2990281892946363, "timestamp": "2024-03-22 09:00:00"}, {"value": 1.9846824828478653, "timestamp": "2024-03-22 10:00:00"}, {"value": 2.9759771870715803, "timestamp": "2024-03-22 11:00:00"}, {"value": 1.726303537051186, "timestamp": "2024-03-22 12:00:00"}, {"value": 2.536959695197939, "timestamp": "2024-03-22 13:00:00"}, {"value": 3.204266427890156, "timestamp": "2024-03-22 14:00:00"}, {"value": 1.9546836508256018, "timestamp": "2024-03-22 15:00:00"}, {"value": 1.985321467185695, "timestamp": "2024-03-22 16:00:00"}, {"value": 2.393955511429017, "timestamp": "2024-03-22 17:00:00"}, {"value": 3.0241980361321703, "timestamp": "2024-03-22 18:00:00"}, {"value": 1.283156208709721, "timestamp": "2024-03-22 19:00:00"}, {"value": 3.4717668659744407, "timestamp": "2024-03-22 20:00:00"}, {"value": 3.3177414468281783, "timestamp": "2024-03-22 21:00:00"}, {"value": 2.0035729719281794, "timestamp": "2024-03-22 22:00:00"}, {"value": 2.239744474669838, "timestamp": "2024-03-22 23:00:00"}, {"value": 2.762094337763102, "timestamp": "2024-03-23 00:00:00"}, {"value": 2.589035740520377, "timestamp": "2024-03-23 01:00:00"}, {"value": 3.3122709302694684, "timestamp": "2024-03-23 02:00:00"}, {"value": 1.379158159526483, "timestamp": "2024-03-23 03:00:00"}, {"value": 1.927679636362148, "timestamp": "2024-03-23 04:00:00"}, {"value": 2.8174306820197135, "timestamp": "2024-03-23 05:00:00"}, {"value": 2.0697484543899964, "timestamp": "2024-03-23 06:00:00"}, {"value": 4.06151003569351, "timestamp": "2024-03-23 07:00:00"}, {"value": 2.661484550474069, "timestamp": "2024-03-23 08:00:00"}, {"value": 1.4190345839236869, "timestamp": "2024-03-23 09:00:00"}, {"value": 2.828616691013659, "timestamp": "2024-03-23 10:00:00"}, {"value": 2.9039821524736547, "timestamp": "2024-03-23 11:00:00"}, {"value": 2.422372283954924, "timestamp": "2024-03-23 12:00:00"}, {"value": 2.065862812991474, "timestamp": "2024-03-23 13:00:00"}, {"value": 2.327636378803164, "timestamp": "2024-03-23 14:00:00"}, {"value": 1.756121425738936, "timestamp": "2024-03-23 15:00:00"}, {"value": 2.071263841645091, "timestamp": "2024-03-23 16:00:00"}, {"value": 1.5244236790223051, "timestamp": "2024-03-23 17:00:00"}, {"value": 1.8907245616126218, "timestamp": "2024-03-23 18:00:00"}, {"value": 2.2721656290819374, "timestamp": "2024-03-23 19:00:00"}, {"value": 2.094737770060018, "timestamp": "2024-03-23 20:00:00"}, {"value": 3.2788706579499634, "timestamp": "2024-03-23 21:00:00"}, {"value": 3.0626047497664697, "timestamp": "2024-03-23 22:00:00"}, {"value": 3.7011151328554, "timestamp": "2024-03-23 23:00:00"}, {"value": 2.845486182574133, "timestamp": "2024-03-24 00:00:00"}, {"value": 1.526788466508611, "timestamp": "2024-03-24 01:00:00"}, {"value": 2.0724728237773378, "timestamp": "2024-03-24 02:00:00"}, {"value": 2.986880356489936, "timestamp": "2024-03-24 03:00:00"}, {"value": 2.0120369078684295, "timestamp": "2024-03-24 04:00:00"}, {"value": 1.8021875141022565, "timestamp": "2024-03-24 05:00:00"}, {"value": 2.519694553992326, "timestamp": "2024-03-24 06:00:00"}, {"value": 2.5301115660858997, "timestamp": "2024-03-24 07:00:00"}, {"value": 2.401754294057516, "timestamp": "2024-03-24 08:00:00"}, {"value": 2.0951815492088475, "timestamp": "2024-03-24 09:00:00"}, {"value": 1.722430749599599, "timestamp": "2024-03-24 10:00:00"}, {"value": 3.064299255783526, "timestamp": "2024-03-24 11:00:00"}, {"value": 3.077146520769629, "timestamp": "2024-03-24 12:00:00"}, {"value": 3.085441178741578, "timestamp": "2024-03-24 13:00:00"}, {"value": 3.6726705275473583, "timestamp": "2024-03-24 14:00:00"}, {"value": 3.1594783829498176, "timestamp": "2024-03-24 15:00:00"}, {"value": 1.849485779739398, "timestamp": "2024-03-24 16:00:00"}, {"value": 3.0157088075662264, "timestamp": "2024-03-24 17:00:00"}, {"value": 2.6244886439992263, "timestamp": "2024-03-24 18:00:00"}, {"value": 2.2846050739493613, "timestamp": "2024-03-24 19:00:00"}, {"value": 2.4085381858407238, "timestamp": "2024-03-24 20:00:00"}, {"value": 1.6518845924235028, "timestamp": "2024-03-24 21:00:00"}, {"value": 2.4298680599968008, "timestamp": "2024-03-24 22:00:00"}, {"value": 2.823436922339786, "timestamp": "2024-03-24 23:00:00"}, {"value": 0.7338573430105205, "timestamp": "2024-03-25 00:00:00"}, {"value": 4.102669024189236, "timestamp": "2024-03-25 01:00:00"}, {"value": 2.359647875532506, "timestamp": "2024-03-25 02:00:00"}, {"value": 0.7561662387065687, "timestamp": "2024-03-25 03:00:00"}, {"value": 3.4671852254927673, "timestamp": "2024-03-25 04:00:00"}, {"value": 1.7016042104252966, "timestamp": "2024-03-25 05:00:00"}, {"value": 2.6740840578475145, "timestamp": "2024-03-25 06:00:00"}, {"value": 0.7275581167075503, "timestamp": "2024-03-25 07:00:00"}, {"value": 2.035689497783867, "timestamp": "2024-03-25 08:00:00"}, {"value": 1.6294673142341003, "timestamp": "2024-03-25 09:00:00"}, {"value": 1.8862551639752314, "timestamp": "2024-03-25 10:00:00"}, {"value": 2.567868637295258, "timestamp": "2024-03-25 11:00:00"}, {"value": 2.251971360988262, "timestamp": "2024-03-25 12:00:00"}, {"value": 1.9919194581858728, "timestamp": "2024-03-25 13:00:00"}, {"value": 2.430134260445589, "timestamp": "2024-03-25 14:00:00"}, {"value": 2.559197975394352, "timestamp": "2024-03-25 15:00:00"}, {"value": 2.5223131571721567, "timestamp": "2024-03-25 16:00:00"}, {"value": 1.7283118693012238, "timestamp": "2024-03-25 17:00:00"}, {"value": 2.4945786953794866, "timestamp": "2024-03-25 18:00:00"}, {"value": 2.883097190722662, "timestamp": "2024-03-25 19:00:00"}, {"value": 1.6004277191280807, "timestamp": "2024-03-25 20:00:00"}, {"value": 1.2815880616887434, "timestamp": "2024-03-25 21:00:00"}, {"value": 2.3694986309661554, "timestamp": "2024-03-25 22:00:00"}, {"value": 1.9406177078730806, "timestamp": "2024-03-25 23:00:00"}, {"value": 1.9543929646475107, "timestamp": "2024-03-26 00:00:00"}, {"value": 2.2352563032392956, "timestamp": "2024-03-26 01:00:00"}, {"value": 1.3924795393400722, "timestamp": "2024-03-26 02:00:00"}, {"value": 3.5220781920164157, "timestamp": "2024-03-26 03:00:00"}, {"value": 1.8693396293857623, "timestamp": "2024-03-26 04:00:00"}, {"value": 1.7733786378512137, "timestamp": "2024-03-26 05:00:00"}, {"value": 3.3835673766722283, "timestamp": "2024-03-26 06:00:00"}, {"value": 1.3799118988979726, "timestamp": "2024-03-26 07:00:00"}, {"value": 2.463589611627311, "timestamp": "2024-03-26 08:00:00"}, {"value": 3.0450758207002697, "timestamp": "2024-03-26 09:00:00"}, {"value": 2.4483396359084635, "timestamp": "2024-03-26 10:00:00"}, {"value": 1.804217635618395, "timestamp": "2024-03-26 11:00:00"}, {"value": 2.2323180724171134, "timestamp": "2024-03-26 12:00:00"}, {"value": 1.6826504315284414, "timestamp": "2024-03-26 13:00:00"}, {"value": 2.46602178369853, "timestamp": "2024-03-26 14:00:00"}, {"value": 2.4260524934282093, "timestamp": "2024-03-26 15:00:00"}, {"value": 1.7379903817423568, "timestamp": "2024-03-26 16:00:00"}, {"value": 2.0050348014501416, "timestamp": "2024-03-26 17:00:00"}, {"value": 2.519702875030393, "timestamp": "2024-03-26 18:00:00"}, {"value": 1.962267613651818, "timestamp": "2024-03-26 19:00:00"}, {"value": 3.0763142680313176, "timestamp": "2024-03-26 20:00:00"}, {"value": 1.7836486677934746, "timestamp": "2024-03-26 21:00:00"}, {"value": 0.7224284761899636, "timestamp": "2024-03-26 22:00:00"}, {"value": 1.7937523909483812, "timestamp": "2024-03-26 23:00:00"}, {"value": 1.8963317094645518, "timestamp": "2024-03-27 00:00:00"}, {"value": 2.5360558316160584, "timestamp": "2024-03-27 01:00:00"}, {"value": 2.247967649598452, "timestamp": "2024-03-27 02:00:00"}, {"value": 4.007212800514311, "timestamp": "2024-03-27 03:00:00"}, {"value": 2.018857211554958, "timestamp": "2024-03-27 04:00:00"}, {"value": 2.693796879386906, "timestamp": "2024-03-27 05:00:00"}, {"value": 1.084241357803686, "timestamp": "2024-03-27 06:00:00"}, {"value": 1.4203907187829612, "timestamp": "2024-03-27 07:00:00"}, {"value": 3.462652794614519, "timestamp": "2024-03-27 08:00:00"}], "f_measure": [{"value": 0.8, "timestamp": "2024-03-10 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 01:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-10 02:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-10 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 04:00:00"}, {"value": null, "timestamp": "2024-03-10 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 06:00:00"}, {"value": null, "timestamp": "2024-03-10 07:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-10 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 13:00:00"}, {"value": 0.7499999999999999, "timestamp": "2024-03-10 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 16:00:00"}, {"value": 0.5, "timestamp": "2024-03-10 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 18:00:00"}, {"value": null, "timestamp": "2024-03-10 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-10 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 02:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-11 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 05:00:00"}, {"value": null, "timestamp": "2024-03-11 06:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 07:00:00"}, {"value": null, "timestamp": "2024-03-11 08:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-11 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 15:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 18:00:00"}, {"value": null, "timestamp": "2024-03-11 19:00:00"}, {"value": null, "timestamp": "2024-03-11 20:00:00"}, {"value": 0.5, "timestamp": "2024-03-11 21:00:00"}, {"value": null, "timestamp": "2024-03-11 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 23:00:00"}, {"value": 0.8, "timestamp": "2024-03-12 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 01:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-12 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 06:00:00"}, {"value": null, "timestamp": "2024-03-12 07:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 10:00:00"}, {"value": 0.4, "timestamp": "2024-03-12 11:00:00"}, {"value": null, "timestamp": "2024-03-12 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 13:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 15:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 17:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 18:00:00"}, {"value": null, "timestamp": "2024-03-12 19:00:00"}, {"value": 0.8, "timestamp": "2024-03-12 20:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 22:00:00"}, {"value": 0.5, "timestamp": "2024-03-12 23:00:00"}, {"value": null, "timestamp": "2024-03-13 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 02:00:00"}, {"value": null, "timestamp": "2024-03-13 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 04:00:00"}, {"value": null, "timestamp": "2024-03-13 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 06:00:00"}, {"value": null, "timestamp": "2024-03-13 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-13 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 10:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-13 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 13:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-13 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 17:00:00"}, {"value": 0.5714285714285715, "timestamp": "2024-03-13 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 19:00:00"}, {"value": null, "timestamp": "2024-03-13 20:00:00"}, {"value": null, "timestamp": "2024-03-13 21:00:00"}, {"value": null, "timestamp": "2024-03-13 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 00:00:00"}, {"value": 0.5, "timestamp": "2024-03-14 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 02:00:00"}, {"value": null, "timestamp": "2024-03-14 03:00:00"}, {"value": null, "timestamp": "2024-03-14 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 05:00:00"}, {"value": 0.8, "timestamp": "2024-03-14 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 09:00:00"}, {"value": null, "timestamp": "2024-03-14 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-14 12:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-14 13:00:00"}, {"value": null, "timestamp": "2024-03-14 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 18:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 21:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 00:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-15 01:00:00"}, {"value": 0.8, "timestamp": "2024-03-15 02:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-15 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 06:00:00"}, {"value": 0.8, "timestamp": "2024-03-15 07:00:00"}, {"value": null, "timestamp": "2024-03-15 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 13:00:00"}, {"value": 0.5, "timestamp": "2024-03-15 14:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-15 15:00:00"}, {"value": 0.4, "timestamp": "2024-03-15 16:00:00"}, {"value": 0.8, "timestamp": "2024-03-15 17:00:00"}, {"value": null, "timestamp": "2024-03-15 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 22:00:00"}, {"value": 0.5, "timestamp": "2024-03-15 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 01:00:00"}, {"value": null, "timestamp": "2024-03-16 02:00:00"}, {"value": null, "timestamp": "2024-03-16 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 04:00:00"}, {"value": null, "timestamp": "2024-03-16 05:00:00"}, {"value": null, "timestamp": "2024-03-16 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 09:00:00"}, {"value": 0.5, "timestamp": "2024-03-16 10:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-16 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 13:00:00"}, {"value": 0.5, "timestamp": "2024-03-16 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 16:00:00"}, {"value": 0.8, "timestamp": "2024-03-16 17:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 18:00:00"}, {"value": null, "timestamp": "2024-03-16 19:00:00"}, {"value": null, "timestamp": "2024-03-16 20:00:00"}, {"value": null, "timestamp": "2024-03-16 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 22:00:00"}, {"value": null, "timestamp": "2024-03-16 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 00:00:00"}, {"value": null, "timestamp": "2024-03-17 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-17 09:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-17 10:00:00"}, {"value": null, "timestamp": "2024-03-17 11:00:00"}, {"value": null, "timestamp": "2024-03-17 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 17:00:00"}, {"value": null, "timestamp": "2024-03-17 18:00:00"}, {"value": 0.5, "timestamp": "2024-03-17 19:00:00"}, {"value": 0.8, "timestamp": "2024-03-17 20:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-17 21:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-17 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 00:00:00"}, {"value": null, "timestamp": "2024-03-18 01:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-18 02:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-18 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 04:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-18 05:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-18 06:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-18 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-18 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 13:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 14:00:00"}, {"value": null, "timestamp": "2024-03-18 15:00:00"}, {"value": 0.4, "timestamp": "2024-03-18 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-18 17:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 18:00:00"}, {"value": null, "timestamp": "2024-03-18 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 20:00:00"}, {"value": null, "timestamp": "2024-03-18 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 02:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 03:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-19 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 07:00:00"}, {"value": null, "timestamp": "2024-03-19 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 12:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 14:00:00"}, {"value": null, "timestamp": "2024-03-19 15:00:00"}, {"value": null, "timestamp": "2024-03-19 16:00:00"}, {"value": 0.5, "timestamp": "2024-03-19 17:00:00"}, {"value": 0.8, "timestamp": "2024-03-19 18:00:00"}, {"value": null, "timestamp": "2024-03-19 19:00:00"}, {"value": null, "timestamp": "2024-03-19 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 21:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 22:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-19 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 01:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 02:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 03:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 04:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 07:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 09:00:00"}, {"value": 0.5, "timestamp": "2024-03-20 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 14:00:00"}, {"value": 0.5, "timestamp": "2024-03-20 15:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 16:00:00"}, {"value": 0.8, "timestamp": "2024-03-20 17:00:00"}, {"value": null, "timestamp": "2024-03-20 18:00:00"}, {"value": null, "timestamp": "2024-03-20 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 22:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 00:00:00"}, {"value": 0.5, "timestamp": "2024-03-21 01:00:00"}, {"value": 0.8, "timestamp": "2024-03-21 02:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 03:00:00"}, {"value": null, "timestamp": "2024-03-21 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 09:00:00"}, {"value": null, "timestamp": "2024-03-21 10:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 11:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-21 12:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 15:00:00"}, {"value": null, "timestamp": "2024-03-21 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 17:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 21:00:00"}, {"value": 0.8, "timestamp": "2024-03-21 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 23:00:00"}, {"value": null, "timestamp": "2024-03-22 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 01:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-22 02:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-22 03:00:00"}, {"value": 0.8, "timestamp": "2024-03-22 04:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-22 05:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-22 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 07:00:00"}, {"value": 0.5, "timestamp": "2024-03-22 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 09:00:00"}, {"value": 0.8, "timestamp": "2024-03-22 10:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-22 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 15:00:00"}, {"value": 0.5, "timestamp": "2024-03-22 16:00:00"}, {"value": 0.8, "timestamp": "2024-03-22 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 21:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-22 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 00:00:00"}, {"value": null, "timestamp": "2024-03-23 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 02:00:00"}, {"value": 0.8, "timestamp": "2024-03-23 03:00:00"}, {"value": 0.5, "timestamp": "2024-03-23 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 05:00:00"}, {"value": 0.8, "timestamp": "2024-03-23 06:00:00"}, {"value": null, "timestamp": "2024-03-23 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 08:00:00"}, {"value": 0.5, "timestamp": "2024-03-23 09:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-23 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 15:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-23 16:00:00"}, {"value": 0.5, "timestamp": "2024-03-23 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-23 20:00:00"}, {"value": null, "timestamp": "2024-03-23 21:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-23 22:00:00"}, {"value": null, "timestamp": "2024-03-23 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 00:00:00"}, {"value": 0.8, "timestamp": "2024-03-24 01:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-24 02:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-24 03:00:00"}, {"value": 0.5, "timestamp": "2024-03-24 04:00:00"}, {"value": 0.4, "timestamp": "2024-03-24 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 07:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-24 08:00:00"}, {"value": null, "timestamp": "2024-03-24 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-24 12:00:00"}, {"value": null, "timestamp": "2024-03-24 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 14:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-24 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 19:00:00"}, {"value": null, "timestamp": "2024-03-24 20:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-24 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 00:00:00"}, {"value": null, "timestamp": "2024-03-25 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 02:00:00"}, {"value": 0.5714285714285715, "timestamp": "2024-03-25 03:00:00"}, {"value": null, "timestamp": "2024-03-25 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 06:00:00"}, {"value": 0.8, "timestamp": "2024-03-25 07:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 08:00:00"}, {"value": 0.8, "timestamp": "2024-03-25 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 11:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 12:00:00"}, {"value": 0.8, "timestamp": "2024-03-25 13:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 15:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 20:00:00"}, {"value": 0.8, "timestamp": "2024-03-25 21:00:00"}, {"value": 0.8, "timestamp": "2024-03-25 22:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 23:00:00"}, {"value": null, "timestamp": "2024-03-26 00:00:00"}, {"value": null, "timestamp": "2024-03-26 01:00:00"}, {"value": 0.8, "timestamp": "2024-03-26 02:00:00"}, {"value": null, "timestamp": "2024-03-26 03:00:00"}, {"value": 0.8, "timestamp": "2024-03-26 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 05:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-26 07:00:00"}, {"value": null, "timestamp": "2024-03-26 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 10:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 11:00:00"}, {"value": null, "timestamp": "2024-03-26 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 14:00:00"}, {"value": null, "timestamp": "2024-03-26 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 16:00:00"}, {"value": null, "timestamp": "2024-03-26 17:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 20:00:00"}, {"value": 0.8, "timestamp": "2024-03-26 21:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-26 22:00:00"}, {"value": 0.5, "timestamp": "2024-03-26 23:00:00"}, {"value": 0.5714285714285715, "timestamp": "2024-03-27 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 01:00:00"}, {"value": 0.5, "timestamp": "2024-03-27 02:00:00"}, {"value": null, "timestamp": "2024-03-27 03:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-27 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 05:00:00"}, {"value": 0.8, "timestamp": "2024-03-27 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-27 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 08:00:00"}], "precision": [{"value": 0.6666666666666666, "timestamp": "2024-03-10 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-10 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 04:00:00"}, {"value": null, "timestamp": "2024-03-10 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 06:00:00"}, {"value": null, "timestamp": "2024-03-10 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 16:00:00"}, {"value": 0.5, "timestamp": "2024-03-10 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 18:00:00"}, {"value": null, "timestamp": "2024-03-10 19:00:00"}, {"value": 0.5, "timestamp": "2024-03-10 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 05:00:00"}, {"value": null, "timestamp": "2024-03-11 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 07:00:00"}, {"value": null, "timestamp": "2024-03-11 08:00:00"}, {"value": 0.75, "timestamp": "2024-03-11 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 18:00:00"}, {"value": null, "timestamp": "2024-03-11 19:00:00"}, {"value": null, "timestamp": "2024-03-11 20:00:00"}, {"value": 0.5, "timestamp": "2024-03-11 21:00:00"}, {"value": null, "timestamp": "2024-03-11 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 01:00:00"}, {"value": 0.75, "timestamp": "2024-03-12 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 06:00:00"}, {"value": null, "timestamp": "2024-03-12 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 10:00:00"}, {"value": 0.5, "timestamp": "2024-03-12 11:00:00"}, {"value": null, "timestamp": "2024-03-12 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 18:00:00"}, {"value": null, "timestamp": "2024-03-12 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 20:00:00"}, {"value": 0.5, "timestamp": "2024-03-12 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 23:00:00"}, {"value": null, "timestamp": "2024-03-13 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 02:00:00"}, {"value": null, "timestamp": "2024-03-13 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 04:00:00"}, {"value": null, "timestamp": "2024-03-13 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 06:00:00"}, {"value": null, "timestamp": "2024-03-13 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 08:00:00"}, {"value": 0.5, "timestamp": "2024-03-13 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 10:00:00"}, {"value": 0.5, "timestamp": "2024-03-13 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 17:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-13 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 19:00:00"}, {"value": null, "timestamp": "2024-03-13 20:00:00"}, {"value": null, "timestamp": "2024-03-13 21:00:00"}, {"value": null, "timestamp": "2024-03-13 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 00:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-14 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 02:00:00"}, {"value": null, "timestamp": "2024-03-14 03:00:00"}, {"value": null, "timestamp": "2024-03-14 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 08:00:00"}, {"value": 0.5, "timestamp": "2024-03-14 09:00:00"}, {"value": null, "timestamp": "2024-03-14 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 12:00:00"}, {"value": 0.75, "timestamp": "2024-03-14 13:00:00"}, {"value": null, "timestamp": "2024-03-14 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-15 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 07:00:00"}, {"value": null, "timestamp": "2024-03-15 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 15:00:00"}, {"value": 0.25, "timestamp": "2024-03-15 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-15 17:00:00"}, {"value": null, "timestamp": "2024-03-15 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 22:00:00"}, {"value": 0.5, "timestamp": "2024-03-15 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 01:00:00"}, {"value": null, "timestamp": "2024-03-16 02:00:00"}, {"value": null, "timestamp": "2024-03-16 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 04:00:00"}, {"value": null, "timestamp": "2024-03-16 05:00:00"}, {"value": null, "timestamp": "2024-03-16 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 08:00:00"}, {"value": 0.5, "timestamp": "2024-03-16 09:00:00"}, {"value": 0.5, "timestamp": "2024-03-16 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 13:00:00"}, {"value": 0.5, "timestamp": "2024-03-16 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 18:00:00"}, {"value": null, "timestamp": "2024-03-16 19:00:00"}, {"value": null, "timestamp": "2024-03-16 20:00:00"}, {"value": null, "timestamp": "2024-03-16 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 22:00:00"}, {"value": null, "timestamp": "2024-03-16 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 00:00:00"}, {"value": null, "timestamp": "2024-03-17 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 09:00:00"}, {"value": 0.5, "timestamp": "2024-03-17 10:00:00"}, {"value": null, "timestamp": "2024-03-17 11:00:00"}, {"value": null, "timestamp": "2024-03-17 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 17:00:00"}, {"value": null, "timestamp": "2024-03-17 18:00:00"}, {"value": 0.5, "timestamp": "2024-03-17 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 20:00:00"}, {"value": 0.75, "timestamp": "2024-03-17 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 00:00:00"}, {"value": null, "timestamp": "2024-03-18 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 04:00:00"}, {"value": 0.25, "timestamp": "2024-03-18 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 08:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 13:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-18 14:00:00"}, {"value": null, "timestamp": "2024-03-18 15:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-18 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 18:00:00"}, {"value": null, "timestamp": "2024-03-18 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 20:00:00"}, {"value": null, "timestamp": "2024-03-18 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 03:00:00"}, {"value": 0.75, "timestamp": "2024-03-19 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 07:00:00"}, {"value": null, "timestamp": "2024-03-19 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 12:00:00"}, {"value": 0.5, "timestamp": "2024-03-19 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 14:00:00"}, {"value": null, "timestamp": "2024-03-19 15:00:00"}, {"value": null, "timestamp": "2024-03-19 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 17:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 18:00:00"}, {"value": null, "timestamp": "2024-03-19 19:00:00"}, {"value": null, "timestamp": "2024-03-19 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 21:00:00"}, {"value": 0.5, "timestamp": "2024-03-19 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-20 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 04:00:00"}, {"value": 0.5, "timestamp": "2024-03-20 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 09:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-20 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 15:00:00"}, {"value": 0.5, "timestamp": "2024-03-20 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 17:00:00"}, {"value": null, "timestamp": "2024-03-20 18:00:00"}, {"value": null, "timestamp": "2024-03-20 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 00:00:00"}, {"value": 0.5, "timestamp": "2024-03-21 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 03:00:00"}, {"value": null, "timestamp": "2024-03-21 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 09:00:00"}, {"value": null, "timestamp": "2024-03-21 10:00:00"}, {"value": 0.5, "timestamp": "2024-03-21 11:00:00"}, {"value": 0.75, "timestamp": "2024-03-21 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 15:00:00"}, {"value": null, "timestamp": "2024-03-21 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 23:00:00"}, {"value": null, "timestamp": "2024-03-22 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 01:00:00"}, {"value": 0.5, "timestamp": "2024-03-22 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 04:00:00"}, {"value": 0.5, "timestamp": "2024-03-22 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 07:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-22 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 10:00:00"}, {"value": 0.5, "timestamp": "2024-03-22 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 00:00:00"}, {"value": null, "timestamp": "2024-03-23 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 06:00:00"}, {"value": null, "timestamp": "2024-03-23 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 08:00:00"}, {"value": 0.5, "timestamp": "2024-03-23 09:00:00"}, {"value": 0.5, "timestamp": "2024-03-23 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 20:00:00"}, {"value": null, "timestamp": "2024-03-23 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 22:00:00"}, {"value": null, "timestamp": "2024-03-23 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 00:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-24 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-24 03:00:00"}, {"value": 0.5, "timestamp": "2024-03-24 04:00:00"}, {"value": 0.5, "timestamp": "2024-03-24 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 08:00:00"}, {"value": null, "timestamp": "2024-03-24 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 12:00:00"}, {"value": null, "timestamp": "2024-03-24 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 19:00:00"}, {"value": null, "timestamp": "2024-03-24 20:00:00"}, {"value": 0.5, "timestamp": "2024-03-24 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 00:00:00"}, {"value": null, "timestamp": "2024-03-25 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 03:00:00"}, {"value": null, "timestamp": "2024-03-25 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 07:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 11:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 13:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 23:00:00"}, {"value": null, "timestamp": "2024-03-26 00:00:00"}, {"value": null, "timestamp": "2024-03-26 01:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 02:00:00"}, {"value": null, "timestamp": "2024-03-26 03:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 05:00:00"}, {"value": 0.5, "timestamp": "2024-03-26 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 07:00:00"}, {"value": null, "timestamp": "2024-03-26 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 10:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 11:00:00"}, {"value": null, "timestamp": "2024-03-26 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 14:00:00"}, {"value": null, "timestamp": "2024-03-26 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 16:00:00"}, {"value": null, "timestamp": "2024-03-26 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 22:00:00"}, {"value": 0.5, "timestamp": "2024-03-26 23:00:00"}, {"value": 0.5, "timestamp": "2024-03-27 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 02:00:00"}, {"value": null, "timestamp": "2024-03-27 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 08:00:00"}], "area_under_pr": [{"value": 0.7916666666666666, "timestamp": "2024-03-10 00:00:00"}, {"value": 0.125, "timestamp": "2024-03-10 01:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-10 02:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-10 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 16:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-10 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 20:00:00"}, {"value": 0.25, "timestamp": "2024-03-10 21:00:00"}, {"value": 0.6625, "timestamp": "2024-03-10 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 23:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-11 00:00:00"}, {"value": 0.2875, "timestamp": "2024-03-11 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 03:00:00"}, {"value": 0.25, "timestamp": "2024-03-11 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 06:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-11 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 10:00:00"}, {"value": 0.25, "timestamp": "2024-03-11 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 14:00:00"}, {"value": 0.25, "timestamp": "2024-03-11 15:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-11 16:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-11 17:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-11 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 20:00:00"}, {"value": 0.6333333333333333, "timestamp": "2024-03-11 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 00:00:00"}, {"value": 0.29166666666666663, "timestamp": "2024-03-12 01:00:00"}, {"value": 0.9027777777777777, "timestamp": "2024-03-12 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 05:00:00"}, {"value": 0.25, "timestamp": "2024-03-12 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 07:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-12 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 10:00:00"}, {"value": 0.46111111111111114, "timestamp": "2024-03-12 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 13:00:00"}, {"value": 0.6625, "timestamp": "2024-03-12 14:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-12 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 17:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-12 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 21:00:00"}, {"value": 0.25, "timestamp": "2024-03-12 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 00:00:00"}, {"value": 0.25, "timestamp": "2024-03-13 01:00:00"}, {"value": 0.25, "timestamp": "2024-03-13 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 05:00:00"}, {"value": 0.21666666666666667, "timestamp": "2024-03-13 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 08:00:00"}, {"value": 0.25, "timestamp": "2024-03-13 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 12:00:00"}, {"value": 0.25, "timestamp": "2024-03-13 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 14:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-13 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 17:00:00"}, {"value": 0.8708333333333332, "timestamp": "2024-03-13 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 05:00:00"}, {"value": 0.9027777777777777, "timestamp": "2024-03-14 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 10:00:00"}, {"value": 0.25, "timestamp": "2024-03-14 11:00:00"}, {"value": 0.85, "timestamp": "2024-03-14 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 16:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-14 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 18:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-14 19:00:00"}, {"value": 0.25, "timestamp": "2024-03-14 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 00:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-15 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 06:00:00"}, {"value": 0.85, "timestamp": "2024-03-15 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 08:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-15 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 10:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-15 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 12:00:00"}, {"value": 0.25, "timestamp": "2024-03-15 13:00:00"}, {"value": 0.6222222222222222, "timestamp": "2024-03-15 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 15:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-15 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 18:00:00"}, {"value": 0.125, "timestamp": "2024-03-15 19:00:00"}, {"value": 0.6625, "timestamp": "2024-03-15 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 22:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-15 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 00:00:00"}, {"value": 0.1, "timestamp": "2024-03-16 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 08:00:00"}, {"value": 0.25, "timestamp": "2024-03-16 09:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-16 10:00:00"}, {"value": 0.6625, "timestamp": "2024-03-16 11:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-16 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 13:00:00"}, {"value": 0.41666666666666663, "timestamp": "2024-03-16 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 17:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-16 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 05:00:00"}, {"value": 0.125, "timestamp": "2024-03-17 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 09:00:00"}, {"value": 0.25, "timestamp": "2024-03-17 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 13:00:00"}, {"value": 0.5138888888888888, "timestamp": "2024-03-17 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 16:00:00"}, {"value": 0.125, "timestamp": "2024-03-17 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 18:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-17 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 04:00:00"}, {"value": 0.24583333333333335, "timestamp": "2024-03-18 05:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-18 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 11:00:00"}, {"value": 0.25, "timestamp": "2024-03-18 12:00:00"}, {"value": 0.25, "timestamp": "2024-03-18 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 15:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-18 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 17:00:00"}, {"value": 0.85, "timestamp": "2024-03-18 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 23:00:00"}, {"value": 0.9027777777777777, "timestamp": "2024-03-19 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 01:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-19 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 03:00:00"}, {"value": 0.7638888888888888, "timestamp": "2024-03-19 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 06:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-19 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 08:00:00"}, {"value": 0.25, "timestamp": "2024-03-19 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 10:00:00"}, {"value": 0.41666666666666663, "timestamp": "2024-03-19 11:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-19 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 13:00:00"}, {"value": 0.25, "timestamp": "2024-03-19 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 16:00:00"}, {"value": 0.7638888888888888, "timestamp": "2024-03-19 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 20:00:00"}, {"value": 0.24583333333333335, "timestamp": "2024-03-19 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 23:00:00"}, {"value": 0.25, "timestamp": "2024-03-20 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 02:00:00"}, {"value": 0.25, "timestamp": "2024-03-20 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 08:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-20 09:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-20 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 14:00:00"}, {"value": 0.9027777777777777, "timestamp": "2024-03-20 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 19:00:00"}, {"value": 0.25, "timestamp": "2024-03-20 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 22:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-20 23:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-21 00:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-21 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 04:00:00"}, {"value": 0.25, "timestamp": "2024-03-21 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 07:00:00"}, {"value": 0.25, "timestamp": "2024-03-21 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 11:00:00"}, {"value": 0.7638888888888888, "timestamp": "2024-03-21 12:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-21 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 19:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-21 20:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-21 21:00:00"}, {"value": 0.9027777777777777, "timestamp": "2024-03-21 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 03:00:00"}, {"value": 0.9027777777777777, "timestamp": "2024-03-22 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 05:00:00"}, {"value": 0.6625, "timestamp": "2024-03-22 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 09:00:00"}, {"value": 0.9027777777777777, "timestamp": "2024-03-22 10:00:00"}, {"value": 0.25, "timestamp": "2024-03-22 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 15:00:00"}, {"value": 0.9027777777777777, "timestamp": "2024-03-22 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 18:00:00"}, {"value": 0.1, "timestamp": "2024-03-22 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 21:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-22 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 03:00:00"}, {"value": 0.711111111111111, "timestamp": "2024-03-23 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 08:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-23 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 14:00:00"}, {"value": 0.41666666666666663, "timestamp": "2024-03-23 15:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-23 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 00:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-24 01:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-24 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 03:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-24 04:00:00"}, {"value": 0.5138888888888888, "timestamp": "2024-03-24 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 06:00:00"}, {"value": 0.29166666666666663, "timestamp": "2024-03-24 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 14:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-24 15:00:00"}, {"value": 0.29166666666666663, "timestamp": "2024-03-24 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 18:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-24 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 21:00:00"}, {"value": 0.25, "timestamp": "2024-03-24 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 02:00:00"}, {"value": 0.85, "timestamp": "2024-03-25 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 06:00:00"}, {"value": 0.9027777777777777, "timestamp": "2024-03-25 07:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-25 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 09:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-25 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 11:00:00"}, {"value": 0.41666666666666663, "timestamp": "2024-03-25 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 13:00:00"}, {"value": 0.25, "timestamp": "2024-03-25 14:00:00"}, {"value": 0.25, "timestamp": "2024-03-25 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 19:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-25 20:00:00"}, {"value": 0.9027777777777777, "timestamp": "2024-03-25 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 03:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-26 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 06:00:00"}, {"value": 0.94375, "timestamp": "2024-03-26 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 09:00:00"}, {"value": 0.25, "timestamp": "2024-03-26 10:00:00"}, {"value": 0.9027777777777777, "timestamp": "2024-03-26 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 12:00:00"}, {"value": 0.125, "timestamp": "2024-03-26 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 19:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-26 20:00:00"}, {"value": 0.9027777777777777, "timestamp": "2024-03-26 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 22:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-26 23:00:00"}, {"value": 0.85, "timestamp": "2024-03-27 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-27 03:00:00"}, {"value": 0.7916666666666666, "timestamp": "2024-03-27 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 05:00:00"}, {"value": 0.85, "timestamp": "2024-03-27 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 08:00:00"}], "area_under_roc": [{"value": 0.9, "timestamp": "2024-03-10 00:00:00"}, {"value": 0.25, "timestamp": "2024-03-10 01:00:00"}, {"value": 0.875, "timestamp": "2024-03-10 02:00:00"}, {"value": 0.8, "timestamp": "2024-03-10 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 16:00:00"}, {"value": 0.8, "timestamp": "2024-03-10 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 20:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-10 21:00:00"}, {"value": 0.625, "timestamp": "2024-03-10 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 23:00:00"}, {"value": 0.75, "timestamp": "2024-03-11 00:00:00"}, {"value": 0.5, "timestamp": "2024-03-11 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 03:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 06:00:00"}, {"value": 0.75, "timestamp": "2024-03-11 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 10:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 14:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 15:00:00"}, {"value": 0.875, "timestamp": "2024-03-11 16:00:00"}, {"value": 0.9, "timestamp": "2024-03-11 17:00:00"}, {"value": 0.75, "timestamp": "2024-03-11 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 20:00:00"}, {"value": 0.6, "timestamp": "2024-03-11 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 00:00:00"}, {"value": 0.33333333333333337, "timestamp": "2024-03-12 01:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-12 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 05:00:00"}, {"value": 0.8, "timestamp": "2024-03-12 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 07:00:00"}, {"value": 0.9, "timestamp": "2024-03-12 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 10:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 13:00:00"}, {"value": 0.625, "timestamp": "2024-03-12 14:00:00"}, {"value": 0.6, "timestamp": "2024-03-12 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 17:00:00"}, {"value": 0.9, "timestamp": "2024-03-12 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 21:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-12 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 00:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-13 01:00:00"}, {"value": 0.75, "timestamp": "2024-03-13 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 05:00:00"}, {"value": 0.25, "timestamp": "2024-03-13 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 08:00:00"}, {"value": 0.8, "timestamp": "2024-03-13 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 12:00:00"}, {"value": 0.8, "timestamp": "2024-03-13 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 14:00:00"}, {"value": 0.5, "timestamp": "2024-03-13 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 17:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-13 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 05:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-14 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 10:00:00"}, {"value": 0.8, "timestamp": "2024-03-14 11:00:00"}, {"value": 0.7777777777777778, "timestamp": "2024-03-14 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 16:00:00"}, {"value": 0.75, "timestamp": "2024-03-14 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 18:00:00"}, {"value": 0.9, "timestamp": "2024-03-14 19:00:00"}, {"value": 0.8, "timestamp": "2024-03-14 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 00:00:00"}, {"value": 0.875, "timestamp": "2024-03-15 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 06:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-15 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 08:00:00"}, {"value": 0.6, "timestamp": "2024-03-15 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 10:00:00"}, {"value": 0.6, "timestamp": "2024-03-15 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 12:00:00"}, {"value": 0.75, "timestamp": "2024-03-15 13:00:00"}, {"value": 0.5833333333333333, "timestamp": "2024-03-15 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 15:00:00"}, {"value": 0.6, "timestamp": "2024-03-15 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 18:00:00"}, {"value": 0.25, "timestamp": "2024-03-15 19:00:00"}, {"value": 0.7, "timestamp": "2024-03-15 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 22:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-15 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 00:00:00"}, {"value": 0.33333333333333337, "timestamp": "2024-03-16 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 08:00:00"}, {"value": 0.8, "timestamp": "2024-03-16 09:00:00"}, {"value": 0.875, "timestamp": "2024-03-16 10:00:00"}, {"value": 0.7, "timestamp": "2024-03-16 11:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-16 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 13:00:00"}, {"value": 0.8, "timestamp": "2024-03-16 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 17:00:00"}, {"value": 0.75, "timestamp": "2024-03-16 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 05:00:00"}, {"value": 0.25, "timestamp": "2024-03-17 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 09:00:00"}, {"value": 0.8, "timestamp": "2024-03-17 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 13:00:00"}, {"value": 0.75, "timestamp": "2024-03-17 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 16:00:00"}, {"value": 0.4, "timestamp": "2024-03-17 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 18:00:00"}, {"value": 0.875, "timestamp": "2024-03-17 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 04:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 05:00:00"}, {"value": 0.875, "timestamp": "2024-03-18 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-18 12:00:00"}, {"value": 0.8, "timestamp": "2024-03-18 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 15:00:00"}, {"value": 0.8, "timestamp": "2024-03-18 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 17:00:00"}, {"value": 0.7777777777777778, "timestamp": "2024-03-18 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 23:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-19 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 01:00:00"}, {"value": 0.5, "timestamp": "2024-03-19 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 03:00:00"}, {"value": 0.7777777777777778, "timestamp": "2024-03-19 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 06:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 08:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-19 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 10:00:00"}, {"value": 0.75, "timestamp": "2024-03-19 11:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-19 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 13:00:00"}, {"value": 0.8, "timestamp": "2024-03-19 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 16:00:00"}, {"value": 0.7777777777777778, "timestamp": "2024-03-19 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 20:00:00"}, {"value": 0.375, "timestamp": "2024-03-19 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 23:00:00"}, {"value": 0.8, "timestamp": "2024-03-20 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 02:00:00"}, {"value": 0.75, "timestamp": "2024-03-20 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 09:00:00"}, {"value": 0.6, "timestamp": "2024-03-20 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 14:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-20 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 19:00:00"}, {"value": 0.8, "timestamp": "2024-03-20 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 22:00:00"}, {"value": 0.875, "timestamp": "2024-03-20 23:00:00"}, {"value": 0.75, "timestamp": "2024-03-21 00:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-21 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 04:00:00"}, {"value": 0.8, "timestamp": "2024-03-21 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 07:00:00"}, {"value": 0.8, "timestamp": "2024-03-21 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 11:00:00"}, {"value": 0.7777777777777778, "timestamp": "2024-03-21 12:00:00"}, {"value": 0.8, "timestamp": "2024-03-21 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 19:00:00"}, {"value": 0.875, "timestamp": "2024-03-21 20:00:00"}, {"value": 0.6, "timestamp": "2024-03-21 21:00:00"}, {"value": 0.9166666666666666, "timestamp": "2024-03-21 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 03:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-22 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 05:00:00"}, {"value": 0.625, "timestamp": "2024-03-22 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 09:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-22 10:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-22 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 15:00:00"}, {"value": 0.9166666666666666, "timestamp": "2024-03-22 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 18:00:00"}, {"value": 0.19999999999999996, "timestamp": "2024-03-22 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 21:00:00"}, {"value": 0.75, "timestamp": "2024-03-22 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 03:00:00"}, {"value": 0.75, "timestamp": "2024-03-23 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 08:00:00"}, {"value": 0.75, "timestamp": "2024-03-23 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 14:00:00"}, {"value": 0.8, "timestamp": "2024-03-23 15:00:00"}, {"value": 0.875, "timestamp": "2024-03-23 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 00:00:00"}, {"value": 0.875, "timestamp": "2024-03-24 01:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-24 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 03:00:00"}, {"value": 0.75, "timestamp": "2024-03-24 04:00:00"}, {"value": 0.75, "timestamp": "2024-03-24 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 06:00:00"}, {"value": 0.6, "timestamp": "2024-03-24 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 14:00:00"}, {"value": 0.9, "timestamp": "2024-03-24 15:00:00"}, {"value": 0.33333333333333337, "timestamp": "2024-03-24 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 18:00:00"}, {"value": 0.5, "timestamp": "2024-03-24 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 21:00:00"}, {"value": 0.8, "timestamp": "2024-03-24 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 02:00:00"}, {"value": 0.7777777777777778, "timestamp": "2024-03-25 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 06:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-25 07:00:00"}, {"value": 0.875, "timestamp": "2024-03-25 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 09:00:00"}, {"value": 0.9, "timestamp": "2024-03-25 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 11:00:00"}, {"value": 0.75, "timestamp": "2024-03-25 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 13:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-25 14:00:00"}, {"value": 0.8, "timestamp": "2024-03-25 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 19:00:00"}, {"value": 0.75, "timestamp": "2024-03-25 20:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-25 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 03:00:00"}, {"value": 0.875, "timestamp": "2024-03-26 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 06:00:00"}, {"value": 0.9166666666666666, "timestamp": "2024-03-26 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 09:00:00"}, {"value": 0.75, "timestamp": "2024-03-26 10:00:00"}, {"value": 0.9166666666666666, "timestamp": "2024-03-26 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 12:00:00"}, {"value": 0.4, "timestamp": "2024-03-26 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 19:00:00"}, {"value": 0.875, "timestamp": "2024-03-26 20:00:00"}, {"value": 0.9166666666666666, "timestamp": "2024-03-26 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 22:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-26 23:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-27 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-27 03:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-27 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 05:00:00"}, {"value": 0.7777777777777778, "timestamp": "2024-03-27 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 08:00:00"}], "weighted_recall": [{"value": 0.8571428571428571, "timestamp": "2024-03-10 00:00:00"}, {"value": 0.8, "timestamp": "2024-03-10 01:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-10 02:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-10 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 06:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-10 07:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-10 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 13:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-10 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 16:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-10 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 19:00:00"}, {"value": 0.8, "timestamp": "2024-03-10 20:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-10 21:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-10 22:00:00"}, {"value": 0.8, "timestamp": "2024-03-10 23:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-11 00:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 02:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-11 03:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-11 04:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 05:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-11 06:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-11 07:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 08:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-11 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 10:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-11 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 14:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 15:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-11 16:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-11 17:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 18:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 20:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-11 21:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 23:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-12 00:00:00"}, {"value": 0.4, "timestamp": "2024-03-12 01:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-12 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 05:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-12 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 07:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-12 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 10:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-12 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 13:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-12 14:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 15:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-12 16:00:00"}, {"value": 0.8, "timestamp": "2024-03-12 17:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-12 18:00:00"}, {"value": 0.8, "timestamp": "2024-03-12 19:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-12 20:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-12 21:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-12 22:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 00:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-13 01:00:00"}, {"value": 0.6, "timestamp": "2024-03-13 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 04:00:00"}, {"value": 0.8, "timestamp": "2024-03-13 05:00:00"}, {"value": 0.5, "timestamp": "2024-03-13 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 07:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-13 08:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-13 09:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-13 10:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-13 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 12:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-13 13:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-13 14:00:00"}, {"value": 0.8, "timestamp": "2024-03-13 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 16:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-13 17:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-13 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 00:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 02:00:00"}, {"value": 0.8, "timestamp": "2024-03-14 03:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 05:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-14 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 08:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-14 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 10:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-14 11:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-14 12:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-14 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 15:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 16:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-14 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 18:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-14 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 21:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-14 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 00:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-15 01:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-15 02:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-15 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-15 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-15 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 10:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-15 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-15 12:00:00"}, {"value": 0.8, "timestamp": "2024-03-15 13:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-15 14:00:00"}, {"value": 0.8, "timestamp": "2024-03-15 15:00:00"}, {"value": 0.5, "timestamp": "2024-03-15 16:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-15 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 18:00:00"}, {"value": 0.8, "timestamp": "2024-03-15 19:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-15 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 22:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-15 23:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-16 00:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-16 01:00:00"}, {"value": 0.8, "timestamp": "2024-03-16 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 06:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 08:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-16 09:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 10:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-16 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-16 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 13:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-16 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 16:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-16 17:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-16 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 19:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-16 20:00:00"}, {"value": 0.6, "timestamp": "2024-03-16 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 22:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-16 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 00:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-17 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 05:00:00"}, {"value": 0.8, "timestamp": "2024-03-17 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 07:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-17 08:00:00"}, {"value": 0.8, "timestamp": "2024-03-17 09:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-17 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 13:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-17 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 16:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-17 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 18:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-17 19:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-17 20:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-17 21:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-17 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 01:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-18 02:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-18 03:00:00"}, {"value": 0.8, "timestamp": "2024-03-18 04:00:00"}, {"value": 0.42857142857142855, "timestamp": "2024-03-18 05:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-18 06:00:00"}, {"value": 0.8, "timestamp": "2024-03-18 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 08:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-18 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 11:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-18 12:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-18 13:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-18 14:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-18 15:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-18 16:00:00"}, {"value": 0.8, "timestamp": "2024-03-18 17:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-18 18:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-18 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 01:00:00"}, {"value": 0.4, "timestamp": "2024-03-19 02:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-19 03:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-19 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 05:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-19 07:00:00"}, {"value": 0.8, "timestamp": "2024-03-19 08:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-19 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 10:00:00"}, {"value": 0.5, "timestamp": "2024-03-19 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-19 12:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-19 13:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 17:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-19 18:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-19 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 20:00:00"}, {"value": 0.5, "timestamp": "2024-03-19 21:00:00"}, {"value": 0.8, "timestamp": "2024-03-19 22:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-19 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 00:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-20 01:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-20 02:00:00"}, {"value": 0.8, "timestamp": "2024-03-20 03:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-20 04:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-20 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 06:00:00"}, {"value": 0.6, "timestamp": "2024-03-20 07:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-20 08:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-20 09:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 10:00:00"}, {"value": 0.8, "timestamp": "2024-03-20 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 14:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 15:00:00"}, {"value": 0.8, "timestamp": "2024-03-20 16:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-20 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 18:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 22:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-20 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 00:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-21 01:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-21 02:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-21 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 04:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 07:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-21 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 10:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-21 11:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-21 12:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-21 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 14:00:00"}, {"value": 0.8, "timestamp": "2024-03-21 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 17:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-21 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 20:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-21 21:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-21 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 01:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-22 02:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-22 03:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-22 04:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-22 05:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-22 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 07:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-22 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 09:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-22 10:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-22 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 15:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-22 16:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-22 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 18:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-22 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 21:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-22 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 02:00:00"}, {"value": 0.8, "timestamp": "2024-03-23 03:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-23 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 05:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-23 06:00:00"}, {"value": 0.8, "timestamp": "2024-03-23 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-23 09:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-23 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 11:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-23 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 14:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-23 15:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-23 16:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-23 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 19:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-23 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 21:00:00"}, {"value": 0.8, "timestamp": "2024-03-23 22:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-23 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 00:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-24 01:00:00"}, {"value": 0.8, "timestamp": "2024-03-24 02:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-24 03:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-24 04:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-24 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 06:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-24 07:00:00"}, {"value": 0.8, "timestamp": "2024-03-24 08:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-24 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 11:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-24 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 13:00:00"}, {"value": 0.8, "timestamp": "2024-03-24 14:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-24 15:00:00"}, {"value": 0.2, "timestamp": "2024-03-24 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 17:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-24 18:00:00"}, {"value": 0.8, "timestamp": "2024-03-24 19:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-24 20:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-24 21:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-24 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 23:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-25 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 06:00:00"}, {"value": 0.8, "timestamp": "2024-03-25 07:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 08:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-25 09:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-25 10:00:00"}, {"value": 0.6, "timestamp": "2024-03-25 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 12:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-25 13:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-25 14:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-25 15:00:00"}, {"value": 0.8, "timestamp": "2024-03-25 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 19:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-25 20:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-25 21:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-25 22:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-25 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 00:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-26 01:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-26 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 03:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-26 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 05:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-26 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-26 07:00:00"}, {"value": 0.8, "timestamp": "2024-03-26 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 09:00:00"}, {"value": 0.8, "timestamp": "2024-03-26 10:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-26 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-26 12:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-26 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 17:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-26 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 20:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-26 21:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-26 22:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-26 23:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-27 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 01:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-27 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 03:00:00"}, {"value": 0.8, "timestamp": "2024-03-27 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 05:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-27 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-27 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 08:00:00"}], "true_positive_rate": [{"value": 1.0, "timestamp": "2024-03-10 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 01:00:00"}, {"value": 0.5, "timestamp": "2024-03-10 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 04:00:00"}, {"value": null, "timestamp": "2024-03-10 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 06:00:00"}, {"value": null, "timestamp": "2024-03-10 07:00:00"}, {"value": 0.5, "timestamp": "2024-03-10 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 13:00:00"}, {"value": 0.6, "timestamp": "2024-03-10 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 16:00:00"}, {"value": 0.5, "timestamp": "2024-03-10 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 18:00:00"}, {"value": null, "timestamp": "2024-03-10 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 23:00:00"}, {"value": 0.5, "timestamp": "2024-03-11 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 02:00:00"}, {"value": 0.75, "timestamp": "2024-03-11 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 05:00:00"}, {"value": null, "timestamp": "2024-03-11 06:00:00"}, {"value": 0.5, "timestamp": "2024-03-11 07:00:00"}, {"value": null, "timestamp": "2024-03-11 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 15:00:00"}, {"value": 0.5, "timestamp": "2024-03-11 16:00:00"}, {"value": 0.5, "timestamp": "2024-03-11 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 18:00:00"}, {"value": null, "timestamp": "2024-03-11 19:00:00"}, {"value": null, "timestamp": "2024-03-11 20:00:00"}, {"value": 0.5, "timestamp": "2024-03-11 21:00:00"}, {"value": null, "timestamp": "2024-03-11 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 06:00:00"}, {"value": null, "timestamp": "2024-03-12 07:00:00"}, {"value": 0.5, "timestamp": "2024-03-12 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 10:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-12 11:00:00"}, {"value": null, "timestamp": "2024-03-12 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 13:00:00"}, {"value": 0.5, "timestamp": "2024-03-12 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 15:00:00"}, {"value": 0.5, "timestamp": "2024-03-12 16:00:00"}, {"value": 0.5, "timestamp": "2024-03-12 17:00:00"}, {"value": 0.5, "timestamp": "2024-03-12 18:00:00"}, {"value": null, "timestamp": "2024-03-12 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 22:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-12 23:00:00"}, {"value": null, "timestamp": "2024-03-13 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 02:00:00"}, {"value": null, "timestamp": "2024-03-13 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 04:00:00"}, {"value": null, "timestamp": "2024-03-13 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 06:00:00"}, {"value": null, "timestamp": "2024-03-13 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 13:00:00"}, {"value": 0.5, "timestamp": "2024-03-13 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 17:00:00"}, {"value": 0.5, "timestamp": "2024-03-13 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 19:00:00"}, {"value": null, "timestamp": "2024-03-13 20:00:00"}, {"value": null, "timestamp": "2024-03-13 21:00:00"}, {"value": null, "timestamp": "2024-03-13 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 02:00:00"}, {"value": null, "timestamp": "2024-03-14 03:00:00"}, {"value": null, "timestamp": "2024-03-14 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 05:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 09:00:00"}, {"value": null, "timestamp": "2024-03-14 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 13:00:00"}, {"value": null, "timestamp": "2024-03-14 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 16:00:00"}, {"value": 0.5, "timestamp": "2024-03-14 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 18:00:00"}, {"value": 0.5, "timestamp": "2024-03-14 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 21:00:00"}, {"value": 0.5, "timestamp": "2024-03-14 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 00:00:00"}, {"value": 0.5, "timestamp": "2024-03-15 01:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-15 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 06:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-15 07:00:00"}, {"value": null, "timestamp": "2024-03-15 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 13:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-15 14:00:00"}, {"value": 0.5, "timestamp": "2024-03-15 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 17:00:00"}, {"value": null, "timestamp": "2024-03-15 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 22:00:00"}, {"value": 0.5, "timestamp": "2024-03-15 23:00:00"}, {"value": 0.5, "timestamp": "2024-03-16 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 01:00:00"}, {"value": null, "timestamp": "2024-03-16 02:00:00"}, {"value": null, "timestamp": "2024-03-16 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 04:00:00"}, {"value": null, "timestamp": "2024-03-16 05:00:00"}, {"value": null, "timestamp": "2024-03-16 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 09:00:00"}, {"value": 0.5, "timestamp": "2024-03-16 10:00:00"}, {"value": 0.5, "timestamp": "2024-03-16 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 13:00:00"}, {"value": 0.5, "timestamp": "2024-03-16 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 17:00:00"}, {"value": 0.5, "timestamp": "2024-03-16 18:00:00"}, {"value": null, "timestamp": "2024-03-16 19:00:00"}, {"value": null, "timestamp": "2024-03-16 20:00:00"}, {"value": null, "timestamp": "2024-03-16 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 22:00:00"}, {"value": null, "timestamp": "2024-03-16 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 00:00:00"}, {"value": null, "timestamp": "2024-03-17 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 08:00:00"}, {"value": 0.5, "timestamp": "2024-03-17 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 10:00:00"}, {"value": null, "timestamp": "2024-03-17 11:00:00"}, {"value": null, "timestamp": "2024-03-17 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 17:00:00"}, {"value": null, "timestamp": "2024-03-17 18:00:00"}, {"value": 0.5, "timestamp": "2024-03-17 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-17 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 21:00:00"}, {"value": 0.5, "timestamp": "2024-03-17 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 00:00:00"}, {"value": null, "timestamp": "2024-03-18 01:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 04:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 05:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 06:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 14:00:00"}, {"value": null, "timestamp": "2024-03-18 15:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 16:00:00"}, {"value": 0.5, "timestamp": "2024-03-18 17:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-18 18:00:00"}, {"value": null, "timestamp": "2024-03-18 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 20:00:00"}, {"value": null, "timestamp": "2024-03-18 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-19 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 07:00:00"}, {"value": null, "timestamp": "2024-03-19 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 11:00:00"}, {"value": 0.5, "timestamp": "2024-03-19 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 14:00:00"}, {"value": null, "timestamp": "2024-03-19 15:00:00"}, {"value": null, "timestamp": "2024-03-19 16:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-19 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 18:00:00"}, {"value": null, "timestamp": "2024-03-19 19:00:00"}, {"value": null, "timestamp": "2024-03-19 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 22:00:00"}, {"value": 0.75, "timestamp": "2024-03-19 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 01:00:00"}, {"value": 0.5, "timestamp": "2024-03-20 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 03:00:00"}, {"value": 0.5, "timestamp": "2024-03-20 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 07:00:00"}, {"value": 0.5, "timestamp": "2024-03-20 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 14:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-20 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 17:00:00"}, {"value": null, "timestamp": "2024-03-20 18:00:00"}, {"value": null, "timestamp": "2024-03-20 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 22:00:00"}, {"value": 0.5, "timestamp": "2024-03-20 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 00:00:00"}, {"value": 0.5, "timestamp": "2024-03-21 01:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-21 03:00:00"}, {"value": null, "timestamp": "2024-03-21 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 09:00:00"}, {"value": null, "timestamp": "2024-03-21 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 12:00:00"}, {"value": 0.5, "timestamp": "2024-03-21 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 15:00:00"}, {"value": null, "timestamp": "2024-03-21 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 17:00:00"}, {"value": 0.5, "timestamp": "2024-03-21 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 21:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 23:00:00"}, {"value": null, "timestamp": "2024-03-22 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-22 03:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-22 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 05:00:00"}, {"value": 0.5, "timestamp": "2024-03-22 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 09:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-22 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 15:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-22 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-22 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 21:00:00"}, {"value": 0.5, "timestamp": "2024-03-22 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 00:00:00"}, {"value": null, "timestamp": "2024-03-23 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 02:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-23 03:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-23 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 05:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-23 06:00:00"}, {"value": null, "timestamp": "2024-03-23 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 08:00:00"}, {"value": 0.5, "timestamp": "2024-03-23 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 15:00:00"}, {"value": 0.5, "timestamp": "2024-03-23 16:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-23 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 19:00:00"}, {"value": 0.5, "timestamp": "2024-03-23 20:00:00"}, {"value": null, "timestamp": "2024-03-23 21:00:00"}, {"value": 0.5, "timestamp": "2024-03-23 22:00:00"}, {"value": null, "timestamp": "2024-03-23 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 01:00:00"}, {"value": 0.5, "timestamp": "2024-03-24 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 03:00:00"}, {"value": 0.5, "timestamp": "2024-03-24 04:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-24 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 07:00:00"}, {"value": 0.5, "timestamp": "2024-03-24 08:00:00"}, {"value": null, "timestamp": "2024-03-24 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 11:00:00"}, {"value": 0.5, "timestamp": "2024-03-24 12:00:00"}, {"value": null, "timestamp": "2024-03-24 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 14:00:00"}, {"value": 0.5, "timestamp": "2024-03-24 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 19:00:00"}, {"value": null, "timestamp": "2024-03-24 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 23:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 00:00:00"}, {"value": null, "timestamp": "2024-03-25 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 02:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 03:00:00"}, {"value": null, "timestamp": "2024-03-25 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 06:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 07:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 11:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 12:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 15:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 19:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 20:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 21:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 22:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-25 23:00:00"}, {"value": null, "timestamp": "2024-03-26 00:00:00"}, {"value": null, "timestamp": "2024-03-26 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 02:00:00"}, {"value": null, "timestamp": "2024-03-26 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 06:00:00"}, {"value": 0.75, "timestamp": "2024-03-26 07:00:00"}, {"value": null, "timestamp": "2024-03-26 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 10:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 11:00:00"}, {"value": null, "timestamp": "2024-03-26 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 14:00:00"}, {"value": null, "timestamp": "2024-03-26 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 16:00:00"}, {"value": null, "timestamp": "2024-03-26 17:00:00"}, {"value": 0.5, "timestamp": "2024-03-26 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 20:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 21:00:00"}, {"value": 0.75, "timestamp": "2024-03-26 22:00:00"}, {"value": 0.5, "timestamp": "2024-03-26 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-27 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 01:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-27 02:00:00"}, {"value": null, "timestamp": "2024-03-27 03:00:00"}, {"value": 0.5, "timestamp": "2024-03-27 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 05:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-27 06:00:00"}, {"value": 0.75, "timestamp": "2024-03-27 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 08:00:00"}], "weighted_f_measure": [{"value": 0.8634920634920635, "timestamp": "2024-03-10 00:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-10 01:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-10 02:00:00"}, {"value": 0.7261904761904762, "timestamp": "2024-03-10 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 06:00:00"}, {"value": 0.9090909090909091, "timestamp": "2024-03-10 07:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-10 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 13:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-10 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 16:00:00"}, {"value": 0.7142857142857144, "timestamp": "2024-03-10 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 19:00:00"}, {"value": 0.819047619047619, "timestamp": "2024-03-10 20:00:00"}, {"value": 0.7912087912087912, "timestamp": "2024-03-10 21:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-10 22:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-10 23:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-11 00:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-11 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 02:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-11 03:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-11 04:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-11 05:00:00"}, {"value": 0.9090909090909091, "timestamp": "2024-03-11 06:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-11 07:00:00"}, {"value": 0.8000000000000002, "timestamp": "2024-03-11 08:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-11 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 10:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-11 11:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-11 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 14:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-11 15:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-11 16:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-11 17:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-11 18:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-11 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 20:00:00"}, {"value": 0.7142857142857144, "timestamp": "2024-03-11 21:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-11 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 23:00:00"}, {"value": 0.8634920634920635, "timestamp": "2024-03-12 00:00:00"}, {"value": 0.34285714285714286, "timestamp": "2024-03-12 01:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-12 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 05:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-12 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 07:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-12 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 10:00:00"}, {"value": 0.5523809523809523, "timestamp": "2024-03-12 11:00:00"}, {"value": 0.8000000000000002, "timestamp": "2024-03-12 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 13:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-12 14:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-12 15:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-12 16:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-12 17:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-12 18:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-12 19:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-12 20:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-12 21:00:00"}, {"value": 0.7912087912087912, "timestamp": "2024-03-12 22:00:00"}, {"value": 0.625, "timestamp": "2024-03-12 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 00:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-13 01:00:00"}, {"value": 0.6, "timestamp": "2024-03-13 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 04:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-13 05:00:00"}, {"value": 0.44444444444444436, "timestamp": "2024-03-13 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 07:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-13 08:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-13 09:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-13 10:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-13 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 12:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-13 13:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-13 14:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-13 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 16:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-13 17:00:00"}, {"value": 0.5714285714285715, "timestamp": "2024-03-13 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 00:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-14 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 02:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-14 03:00:00"}, {"value": 0.8000000000000002, "timestamp": "2024-03-14 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 05:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-14 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 08:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-14 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 10:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-14 11:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-14 12:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-14 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 15:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-14 16:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-14 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 18:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-14 19:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-14 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 21:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-14 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 00:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-15 01:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-15 02:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-15 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 06:00:00"}, {"value": 0.8507936507936509, "timestamp": "2024-03-15 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 08:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-15 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 10:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-15 11:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-15 12:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-15 13:00:00"}, {"value": 0.6714285714285715, "timestamp": "2024-03-15 14:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-15 15:00:00"}, {"value": 0.5428571428571429, "timestamp": "2024-03-15 16:00:00"}, {"value": 0.8634920634920635, "timestamp": "2024-03-15 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 18:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-15 19:00:00"}, {"value": 0.5952380952380951, "timestamp": "2024-03-15 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 22:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-15 23:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-16 00:00:00"}, {"value": 0.7912087912087912, "timestamp": "2024-03-16 01:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-16 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 06:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-16 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 08:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-16 09:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 10:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-16 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-16 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 13:00:00"}, {"value": 0.7142857142857144, "timestamp": "2024-03-16 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 16:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-16 17:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-16 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 19:00:00"}, {"value": 0.923076923076923, "timestamp": "2024-03-16 20:00:00"}, {"value": 0.7499999999999999, "timestamp": "2024-03-16 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 22:00:00"}, {"value": 0.923076923076923, "timestamp": "2024-03-16 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 00:00:00"}, {"value": 0.9090909090909091, "timestamp": "2024-03-17 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 05:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-17 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 07:00:00"}, {"value": 0.7912087912087912, "timestamp": "2024-03-17 08:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-17 09:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-17 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 13:00:00"}, {"value": 0.4155844155844156, "timestamp": "2024-03-17 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 16:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-17 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 18:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-17 19:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-17 20:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-17 21:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-17 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 01:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-18 02:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-18 03:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-18 04:00:00"}, {"value": 0.4523809523809524, "timestamp": "2024-03-18 05:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-18 06:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-18 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 08:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-18 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 11:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-18 12:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-18 13:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-18 14:00:00"}, {"value": 0.9090909090909091, "timestamp": "2024-03-18 15:00:00"}, {"value": 0.5904761904761904, "timestamp": "2024-03-18 16:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-18 17:00:00"}, {"value": 0.625, "timestamp": "2024-03-18 18:00:00"}, {"value": 0.9090909090909091, "timestamp": "2024-03-18 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 01:00:00"}, {"value": 0.34285714285714286, "timestamp": "2024-03-19 02:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-19 03:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-19 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 05:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-19 06:00:00"}, {"value": 0.7912087912087912, "timestamp": "2024-03-19 07:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-19 08:00:00"}, {"value": 0.7912087912087912, "timestamp": "2024-03-19 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 10:00:00"}, {"value": 0.44444444444444436, "timestamp": "2024-03-19 11:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-19 12:00:00"}, {"value": 0.8744588744588744, "timestamp": "2024-03-19 13:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-19 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 16:00:00"}, {"value": 0.625, "timestamp": "2024-03-19 17:00:00"}, {"value": 0.838095238095238, "timestamp": "2024-03-19 18:00:00"}, {"value": 0.923076923076923, "timestamp": "2024-03-19 19:00:00"}, {"value": 0.8000000000000002, "timestamp": "2024-03-19 20:00:00"}, {"value": 0.44444444444444436, "timestamp": "2024-03-19 21:00:00"}, {"value": 0.819047619047619, "timestamp": "2024-03-19 22:00:00"}, {"value": 0.838095238095238, "timestamp": "2024-03-19 23:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-20 00:00:00"}, {"value": 0.7912087912087912, "timestamp": "2024-03-20 01:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-20 02:00:00"}, {"value": 0.819047619047619, "timestamp": "2024-03-20 03:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-20 04:00:00"}, {"value": 0.8744588744588744, "timestamp": "2024-03-20 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 06:00:00"}, {"value": 0.4499999999999999, "timestamp": "2024-03-20 07:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-20 08:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-20 09:00:00"}, {"value": 0.7083333333333333, "timestamp": "2024-03-20 10:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-20 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 14:00:00"}, {"value": 0.625, "timestamp": "2024-03-20 15:00:00"}, {"value": 0.819047619047619, "timestamp": "2024-03-20 16:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-20 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 18:00:00"}, {"value": 0.8000000000000002, "timestamp": "2024-03-20 19:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-20 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 22:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-20 23:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-21 00:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-21 01:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-21 02:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-21 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 04:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-21 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 07:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-21 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 10:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-21 11:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-21 12:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-21 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 14:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-21 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 17:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-21 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 19:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-21 20:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-21 21:00:00"}, {"value": 0.8507936507936509, "timestamp": "2024-03-21 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 01:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-22 02:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-22 03:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-22 04:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-22 05:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-22 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 07:00:00"}, {"value": 0.7571428571428572, "timestamp": "2024-03-22 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 09:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-22 10:00:00"}, {"value": 0.8744588744588744, "timestamp": "2024-03-22 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 15:00:00"}, {"value": 0.6714285714285715, "timestamp": "2024-03-22 16:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-22 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 18:00:00"}, {"value": 0.6666666666666669, "timestamp": "2024-03-22 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 21:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-22 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 02:00:00"}, {"value": 0.8, "timestamp": "2024-03-23 03:00:00"}, {"value": 0.6714285714285715, "timestamp": "2024-03-23 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 05:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-23 06:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-23 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-23 09:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-23 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 11:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-23 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 14:00:00"}, {"value": 0.5952380952380951, "timestamp": "2024-03-23 15:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-23 16:00:00"}, {"value": 0.5666666666666667, "timestamp": "2024-03-23 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 19:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-23 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 21:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-23 22:00:00"}, {"value": 0.923076923076923, "timestamp": "2024-03-23 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 00:00:00"}, {"value": 0.838095238095238, "timestamp": "2024-03-24 01:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-24 02:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-24 03:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-24 04:00:00"}, {"value": 0.5523809523809523, "timestamp": "2024-03-24 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 06:00:00"}, {"value": 0.5952380952380951, "timestamp": "2024-03-24 07:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-24 08:00:00"}, {"value": 0.7272727272727273, "timestamp": "2024-03-24 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 11:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-24 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 13:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-24 14:00:00"}, {"value": 0.8398268398268397, "timestamp": "2024-03-24 15:00:00"}, {"value": 0.2, "timestamp": "2024-03-24 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 17:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-24 18:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-24 19:00:00"}, {"value": 0.923076923076923, "timestamp": "2024-03-24 20:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-24 21:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-24 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 23:00:00"}, {"value": 0.6333333333333333, "timestamp": "2024-03-25 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 02:00:00"}, {"value": 0.48571428571428577, "timestamp": "2024-03-25 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 06:00:00"}, {"value": 0.8, "timestamp": "2024-03-25 07:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 08:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-25 09:00:00"}, {"value": 0.5952380952380951, "timestamp": "2024-03-25 10:00:00"}, {"value": 0.4499999999999999, "timestamp": "2024-03-25 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 12:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-25 13:00:00"}, {"value": 0.8744588744588744, "timestamp": "2024-03-25 14:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-25 15:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-25 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 19:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-25 20:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-25 21:00:00"}, {"value": 0.8507936507936509, "timestamp": "2024-03-25 22:00:00"}, {"value": 0.5666666666666667, "timestamp": "2024-03-25 23:00:00"}, {"value": 0.8000000000000002, "timestamp": "2024-03-26 00:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-26 01:00:00"}, {"value": 0.838095238095238, "timestamp": "2024-03-26 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 03:00:00"}, {"value": 0.838095238095238, "timestamp": "2024-03-26 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 05:00:00"}, {"value": 0.8518518518518519, "timestamp": "2024-03-26 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-26 07:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-26 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 09:00:00"}, {"value": 0.7111111111111111, "timestamp": "2024-03-26 10:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-26 11:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-26 12:00:00"}, {"value": 0.7575757575757575, "timestamp": "2024-03-26 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 16:00:00"}, {"value": 0.8000000000000002, "timestamp": "2024-03-26 17:00:00"}, {"value": 0.8148148148148149, "timestamp": "2024-03-26 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 19:00:00"}, {"value": 0.5333333333333333, "timestamp": "2024-03-26 20:00:00"}, {"value": 0.8507936507936509, "timestamp": "2024-03-26 21:00:00"}, {"value": 0.838095238095238, "timestamp": "2024-03-26 22:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-26 23:00:00"}, {"value": 0.5714285714285715, "timestamp": "2024-03-27 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 01:00:00"}, {"value": 0.625, "timestamp": "2024-03-27 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 03:00:00"}, {"value": 0.7809523809523808, "timestamp": "2024-03-27 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 05:00:00"}, {"value": 0.8285714285714286, "timestamp": "2024-03-27 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-27 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 08:00:00"}], "weighted_precision": [{"value": 0.9047619047619048, "timestamp": "2024-03-10 00:00:00"}, {"value": 0.64, "timestamp": "2024-03-10 01:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-10 02:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-10 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 07:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-10 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 13:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-10 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 16:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-10 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 19:00:00"}, {"value": 0.9, "timestamp": "2024-03-10 20:00:00"}, {"value": 0.7346938775510203, "timestamp": "2024-03-10 21:00:00"}, {"value": 0.4444444444444444, "timestamp": "2024-03-10 22:00:00"}, {"value": 0.64, "timestamp": "2024-03-10 23:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-11 00:00:00"}, {"value": 0.4444444444444444, "timestamp": "2024-03-11 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 02:00:00"}, {"value": 0.8928571428571428, "timestamp": "2024-03-11 03:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-11 04:00:00"}, {"value": 0.64, "timestamp": "2024-03-11 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 06:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-11 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 08:00:00"}, {"value": 0.875, "timestamp": "2024-03-11 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 10:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-11 11:00:00"}, {"value": 0.64, "timestamp": "2024-03-11 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 14:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 15:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-11 16:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-11 17:00:00"}, {"value": 0.4444444444444444, "timestamp": "2024-03-11 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 20:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-11 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 23:00:00"}, {"value": 0.9047619047619048, "timestamp": "2024-03-12 00:00:00"}, {"value": 0.3, "timestamp": "2024-03-12 01:00:00"}, {"value": 0.875, "timestamp": "2024-03-12 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 05:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-12 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 07:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-12 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 10:00:00"}, {"value": 0.5571428571428572, "timestamp": "2024-03-12 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 13:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-12 14:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 15:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-12 16:00:00"}, {"value": 0.8500000000000001, "timestamp": "2024-03-12 17:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-12 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 19:00:00"}, {"value": 0.875, "timestamp": "2024-03-12 20:00:00"}, {"value": 0.9166666666666667, "timestamp": "2024-03-12 21:00:00"}, {"value": 0.7346938775510203, "timestamp": "2024-03-12 22:00:00"}, {"value": 0.8, "timestamp": "2024-03-12 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 00:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-13 01:00:00"}, {"value": 0.6, "timestamp": "2024-03-13 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 05:00:00"}, {"value": 0.39999999999999997, "timestamp": "2024-03-13 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 07:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-13 08:00:00"}, {"value": 0.9166666666666667, "timestamp": "2024-03-13 09:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-13 10:00:00"}, {"value": 0.9166666666666667, "timestamp": "2024-03-13 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 12:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-13 13:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-13 14:00:00"}, {"value": 0.64, "timestamp": "2024-03-13 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 16:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-13 17:00:00"}, {"value": 0.5952380952380952, "timestamp": "2024-03-13 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 00:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-14 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 05:00:00"}, {"value": 0.875, "timestamp": "2024-03-14 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 08:00:00"}, {"value": 0.9166666666666667, "timestamp": "2024-03-14 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 10:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-14 11:00:00"}, {"value": 0.875, "timestamp": "2024-03-14 12:00:00"}, {"value": 0.8928571428571428, "timestamp": "2024-03-14 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 15:00:00"}, {"value": 0.4444444444444444, "timestamp": "2024-03-14 16:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-14 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 18:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-14 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 21:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-14 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 00:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-15 01:00:00"}, {"value": 0.875, "timestamp": "2024-03-15 02:00:00"}, {"value": 0.9166666666666667, "timestamp": "2024-03-15 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 06:00:00"}, {"value": 0.8857142857142857, "timestamp": "2024-03-15 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-15 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 10:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-15 11:00:00"}, {"value": 0.4444444444444444, "timestamp": "2024-03-15 12:00:00"}, {"value": 0.64, "timestamp": "2024-03-15 13:00:00"}, {"value": 0.8095238095238095, "timestamp": "2024-03-15 14:00:00"}, {"value": 0.8500000000000001, "timestamp": "2024-03-15 15:00:00"}, {"value": 0.875, "timestamp": "2024-03-15 16:00:00"}, {"value": 0.9047619047619048, "timestamp": "2024-03-15 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 18:00:00"}, {"value": 0.64, "timestamp": "2024-03-15 19:00:00"}, {"value": 0.5102040816326531, "timestamp": "2024-03-15 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 22:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-15 23:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-16 00:00:00"}, {"value": 0.7346938775510203, "timestamp": "2024-03-16 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 06:00:00"}, {"value": 0.4444444444444444, "timestamp": "2024-03-16 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 08:00:00"}, {"value": 0.9166666666666667, "timestamp": "2024-03-16 09:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 10:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-16 11:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-16 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 13:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-16 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 16:00:00"}, {"value": 0.875, "timestamp": "2024-03-16 17:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-16 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 05:00:00"}, {"value": 0.64, "timestamp": "2024-03-17 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 07:00:00"}, {"value": 0.7346938775510203, "timestamp": "2024-03-17 08:00:00"}, {"value": 0.8500000000000001, "timestamp": "2024-03-17 09:00:00"}, {"value": 0.9166666666666667, "timestamp": "2024-03-17 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 13:00:00"}, {"value": 0.32653061224489793, "timestamp": "2024-03-17 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 16:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-17 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 18:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-17 19:00:00"}, {"value": 0.875, "timestamp": "2024-03-17 20:00:00"}, {"value": 0.8928571428571428, "timestamp": "2024-03-17 21:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-17 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 01:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-18 02:00:00"}, {"value": 0.9166666666666667, "timestamp": "2024-03-18 03:00:00"}, {"value": 0.64, "timestamp": "2024-03-18 04:00:00"}, {"value": 0.5476190476190476, "timestamp": "2024-03-18 05:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-18 06:00:00"}, {"value": 0.8500000000000001, "timestamp": "2024-03-18 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 08:00:00"}, {"value": 0.9166666666666667, "timestamp": "2024-03-18 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 11:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-18 12:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-18 13:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-18 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 15:00:00"}, {"value": 0.6309523809523809, "timestamp": "2024-03-18 16:00:00"}, {"value": 0.8500000000000001, "timestamp": "2024-03-18 17:00:00"}, {"value": 0.8, "timestamp": "2024-03-18 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 01:00:00"}, {"value": 0.3, "timestamp": "2024-03-19 02:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-19 03:00:00"}, {"value": 0.875, "timestamp": "2024-03-19 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 05:00:00"}, {"value": 0.4444444444444444, "timestamp": "2024-03-19 06:00:00"}, {"value": 0.7346938775510203, "timestamp": "2024-03-19 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 08:00:00"}, {"value": 0.7346938775510203, "timestamp": "2024-03-19 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 10:00:00"}, {"value": 0.39999999999999997, "timestamp": "2024-03-19 11:00:00"}, {"value": 0.8500000000000001, "timestamp": "2024-03-19 12:00:00"}, {"value": 0.9285714285714285, "timestamp": "2024-03-19 13:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 16:00:00"}, {"value": 0.8, "timestamp": "2024-03-19 17:00:00"}, {"value": 0.8888888888888888, "timestamp": "2024-03-19 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 20:00:00"}, {"value": 0.39999999999999997, "timestamp": "2024-03-19 21:00:00"}, {"value": 0.9, "timestamp": "2024-03-19 22:00:00"}, {"value": 0.8888888888888888, "timestamp": "2024-03-19 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 00:00:00"}, {"value": 0.7346938775510203, "timestamp": "2024-03-20 01:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-20 02:00:00"}, {"value": 0.9, "timestamp": "2024-03-20 03:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-20 04:00:00"}, {"value": 0.9285714285714285, "timestamp": "2024-03-20 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 06:00:00"}, {"value": 0.36, "timestamp": "2024-03-20 07:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-20 08:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-20 09:00:00"}, {"value": 0.888888888888889, "timestamp": "2024-03-20 10:00:00"}, {"value": 0.64, "timestamp": "2024-03-20 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 14:00:00"}, {"value": 0.8, "timestamp": "2024-03-20 15:00:00"}, {"value": 0.9, "timestamp": "2024-03-20 16:00:00"}, {"value": 0.875, "timestamp": "2024-03-20 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 22:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-20 23:00:00"}, {"value": 0.4444444444444444, "timestamp": "2024-03-21 00:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-21 01:00:00"}, {"value": 0.875, "timestamp": "2024-03-21 02:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-21 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 04:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 07:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-21 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 10:00:00"}, {"value": 0.9166666666666667, "timestamp": "2024-03-21 11:00:00"}, {"value": 0.875, "timestamp": "2024-03-21 12:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-21 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 14:00:00"}, {"value": 0.64, "timestamp": "2024-03-21 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 17:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-21 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 19:00:00"}, {"value": 0.4444444444444444, "timestamp": "2024-03-21 20:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-21 21:00:00"}, {"value": 0.8857142857142857, "timestamp": "2024-03-21 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 01:00:00"}, {"value": 0.9166666666666667, "timestamp": "2024-03-22 02:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-22 03:00:00"}, {"value": 0.875, "timestamp": "2024-03-22 04:00:00"}, {"value": 0.9166666666666667, "timestamp": "2024-03-22 05:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-22 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 07:00:00"}, {"value": 0.9047619047619047, "timestamp": "2024-03-22 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 09:00:00"}, {"value": 0.875, "timestamp": "2024-03-22 10:00:00"}, {"value": 0.9285714285714285, "timestamp": "2024-03-22 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 15:00:00"}, {"value": 0.8095238095238095, "timestamp": "2024-03-22 16:00:00"}, {"value": 0.875, "timestamp": "2024-03-22 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 18:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-22 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 21:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-22 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 02:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-23 03:00:00"}, {"value": 0.8095238095238095, "timestamp": "2024-03-23 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 05:00:00"}, {"value": 0.875, "timestamp": "2024-03-23 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-23 09:00:00"}, {"value": 0.9166666666666667, "timestamp": "2024-03-23 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 11:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-23 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 14:00:00"}, {"value": 0.5102040816326531, "timestamp": "2024-03-23 15:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-23 16:00:00"}, {"value": 0.8, "timestamp": "2024-03-23 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 19:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-23 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 21:00:00"}, {"value": 0.8500000000000001, "timestamp": "2024-03-23 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 00:00:00"}, {"value": 0.8888888888888888, "timestamp": "2024-03-24 01:00:00"}, {"value": 0.8500000000000001, "timestamp": "2024-03-24 02:00:00"}, {"value": 0.9166666666666667, "timestamp": "2024-03-24 03:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-24 04:00:00"}, {"value": 0.5571428571428572, "timestamp": "2024-03-24 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 06:00:00"}, {"value": 0.5102040816326531, "timestamp": "2024-03-24 07:00:00"}, {"value": 0.8500000000000001, "timestamp": "2024-03-24 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 11:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-24 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 13:00:00"}, {"value": 0.64, "timestamp": "2024-03-24 14:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-24 15:00:00"}, {"value": 0.2, "timestamp": "2024-03-24 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 17:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-24 18:00:00"}, {"value": 0.64, "timestamp": "2024-03-24 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 20:00:00"}, {"value": 0.9166666666666667, "timestamp": "2024-03-24 21:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-24 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 23:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-25 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 06:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-25 07:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 08:00:00"}, {"value": 0.875, "timestamp": "2024-03-25 09:00:00"}, {"value": 0.5102040816326531, "timestamp": "2024-03-25 10:00:00"}, {"value": 0.36, "timestamp": "2024-03-25 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 12:00:00"}, {"value": 0.875, "timestamp": "2024-03-25 13:00:00"}, {"value": 0.9285714285714285, "timestamp": "2024-03-25 14:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-25 15:00:00"}, {"value": 0.8500000000000001, "timestamp": "2024-03-25 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 19:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-25 20:00:00"}, {"value": 0.875, "timestamp": "2024-03-25 21:00:00"}, {"value": 0.8857142857142857, "timestamp": "2024-03-25 22:00:00"}, {"value": 0.8, "timestamp": "2024-03-25 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 01:00:00"}, {"value": 0.8888888888888888, "timestamp": "2024-03-26 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 03:00:00"}, {"value": 0.8888888888888888, "timestamp": "2024-03-26 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 05:00:00"}, {"value": 0.9166666666666667, "timestamp": "2024-03-26 06:00:00"}, {"value": 0.8928571428571428, "timestamp": "2024-03-26 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 09:00:00"}, {"value": 0.64, "timestamp": "2024-03-26 10:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-26 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 12:00:00"}, {"value": 0.6944444444444445, "timestamp": "2024-03-26 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 17:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-26 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 19:00:00"}, {"value": 0.4444444444444444, "timestamp": "2024-03-26 20:00:00"}, {"value": 0.8857142857142857, "timestamp": "2024-03-26 21:00:00"}, {"value": 0.8888888888888888, "timestamp": "2024-03-26 22:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-26 23:00:00"}, {"value": 0.5952380952380952, "timestamp": "2024-03-27 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 01:00:00"}, {"value": 0.8, "timestamp": "2024-03-27 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 03:00:00"}, {"value": 0.8500000000000001, "timestamp": "2024-03-27 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 05:00:00"}, {"value": 0.875, "timestamp": "2024-03-27 06:00:00"}, {"value": 0.8928571428571428, "timestamp": "2024-03-27 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 08:00:00"}], "false_positive_rate": [{"value": 0.2, "timestamp": "2024-03-10 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 02:00:00"}, {"value": 0.4, "timestamp": "2024-03-10 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 04:00:00"}, {"value": null, "timestamp": "2024-03-10 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 06:00:00"}, {"value": null, "timestamp": "2024-03-10 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 16:00:00"}, {"value": 0.2, "timestamp": "2024-03-10 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 18:00:00"}, {"value": null, "timestamp": "2024-03-10 19:00:00"}, {"value": 0.25, "timestamp": "2024-03-10 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 05:00:00"}, {"value": null, "timestamp": "2024-03-11 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 07:00:00"}, {"value": null, "timestamp": "2024-03-11 08:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-11 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 14:00:00"}, {"value": 0.2, "timestamp": "2024-03-11 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 18:00:00"}, {"value": null, "timestamp": "2024-03-11 19:00:00"}, {"value": null, "timestamp": "2024-03-11 20:00:00"}, {"value": 0.2, "timestamp": "2024-03-11 21:00:00"}, {"value": null, "timestamp": "2024-03-11 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 23:00:00"}, {"value": 0.2, "timestamp": "2024-03-12 00:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-12 01:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-12 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 06:00:00"}, {"value": null, "timestamp": "2024-03-12 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 10:00:00"}, {"value": 0.25, "timestamp": "2024-03-12 11:00:00"}, {"value": null, "timestamp": "2024-03-12 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 14:00:00"}, {"value": 0.2, "timestamp": "2024-03-12 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 18:00:00"}, {"value": null, "timestamp": "2024-03-12 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 20:00:00"}, {"value": 0.2, "timestamp": "2024-03-12 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 23:00:00"}, {"value": null, "timestamp": "2024-03-13 00:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-13 01:00:00"}, {"value": 0.25, "timestamp": "2024-03-13 02:00:00"}, {"value": null, "timestamp": "2024-03-13 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 04:00:00"}, {"value": null, "timestamp": "2024-03-13 05:00:00"}, {"value": 0.25, "timestamp": "2024-03-13 06:00:00"}, {"value": null, "timestamp": "2024-03-13 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 08:00:00"}, {"value": 0.2, "timestamp": "2024-03-13 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 10:00:00"}, {"value": 0.2, "timestamp": "2024-03-13 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 12:00:00"}, {"value": 0.2, "timestamp": "2024-03-13 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 17:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-13 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 19:00:00"}, {"value": null, "timestamp": "2024-03-13 20:00:00"}, {"value": null, "timestamp": "2024-03-13 21:00:00"}, {"value": null, "timestamp": "2024-03-13 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 00:00:00"}, {"value": 0.4, "timestamp": "2024-03-14 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 02:00:00"}, {"value": null, "timestamp": "2024-03-14 03:00:00"}, {"value": null, "timestamp": "2024-03-14 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 08:00:00"}, {"value": 0.2, "timestamp": "2024-03-14 09:00:00"}, {"value": null, "timestamp": "2024-03-14 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 12:00:00"}, {"value": 0.25, "timestamp": "2024-03-14 13:00:00"}, {"value": null, "timestamp": "2024-03-14 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 19:00:00"}, {"value": 0.2, "timestamp": "2024-03-14 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 02:00:00"}, {"value": 0.2, "timestamp": "2024-03-15 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 07:00:00"}, {"value": null, "timestamp": "2024-03-15 08:00:00"}, {"value": 0.2, "timestamp": "2024-03-15 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 15:00:00"}, {"value": 0.6, "timestamp": "2024-03-15 16:00:00"}, {"value": 0.2, "timestamp": "2024-03-15 17:00:00"}, {"value": null, "timestamp": "2024-03-15 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 22:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-15 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 01:00:00"}, {"value": null, "timestamp": "2024-03-16 02:00:00"}, {"value": null, "timestamp": "2024-03-16 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 04:00:00"}, {"value": null, "timestamp": "2024-03-16 05:00:00"}, {"value": null, "timestamp": "2024-03-16 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 08:00:00"}, {"value": 0.2, "timestamp": "2024-03-16 09:00:00"}, {"value": 0.25, "timestamp": "2024-03-16 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 11:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-16 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 13:00:00"}, {"value": 0.2, "timestamp": "2024-03-16 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 18:00:00"}, {"value": null, "timestamp": "2024-03-16 19:00:00"}, {"value": null, "timestamp": "2024-03-16 20:00:00"}, {"value": null, "timestamp": "2024-03-16 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 22:00:00"}, {"value": null, "timestamp": "2024-03-16 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 00:00:00"}, {"value": null, "timestamp": "2024-03-17 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 09:00:00"}, {"value": 0.2, "timestamp": "2024-03-17 10:00:00"}, {"value": null, "timestamp": "2024-03-17 11:00:00"}, {"value": null, "timestamp": "2024-03-17 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 17:00:00"}, {"value": null, "timestamp": "2024-03-17 18:00:00"}, {"value": 0.25, "timestamp": "2024-03-17 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 20:00:00"}, {"value": 0.25, "timestamp": "2024-03-17 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 00:00:00"}, {"value": null, "timestamp": "2024-03-18 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 02:00:00"}, {"value": 0.2, "timestamp": "2024-03-18 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 04:00:00"}, {"value": 0.6, "timestamp": "2024-03-18 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 08:00:00"}, {"value": 0.2, "timestamp": "2024-03-18 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 12:00:00"}, {"value": 0.2, "timestamp": "2024-03-18 13:00:00"}, {"value": 0.4, "timestamp": "2024-03-18 14:00:00"}, {"value": null, "timestamp": "2024-03-18 15:00:00"}, {"value": 0.4, "timestamp": "2024-03-18 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 18:00:00"}, {"value": null, "timestamp": "2024-03-18 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 20:00:00"}, {"value": null, "timestamp": "2024-03-18 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 23:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-19 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 01:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-19 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 03:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-19 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 07:00:00"}, {"value": null, "timestamp": "2024-03-19 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 10:00:00"}, {"value": 0.25, "timestamp": "2024-03-19 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 12:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-19 13:00:00"}, {"value": 0.2, "timestamp": "2024-03-19 14:00:00"}, {"value": null, "timestamp": "2024-03-19 15:00:00"}, {"value": null, "timestamp": "2024-03-19 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 17:00:00"}, {"value": 0.25, "timestamp": "2024-03-19 18:00:00"}, {"value": null, "timestamp": "2024-03-19 19:00:00"}, {"value": null, "timestamp": "2024-03-19 20:00:00"}, {"value": 0.25, "timestamp": "2024-03-19 21:00:00"}, {"value": 0.25, "timestamp": "2024-03-19 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 23:00:00"}, {"value": 0.2, "timestamp": "2024-03-20 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 02:00:00"}, {"value": 0.25, "timestamp": "2024-03-20 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 04:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-20 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 08:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-20 09:00:00"}, {"value": 0.4, "timestamp": "2024-03-20 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 15:00:00"}, {"value": 0.25, "timestamp": "2024-03-20 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 17:00:00"}, {"value": null, "timestamp": "2024-03-20 18:00:00"}, {"value": null, "timestamp": "2024-03-20 19:00:00"}, {"value": 0.2, "timestamp": "2024-03-20 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 00:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-21 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 03:00:00"}, {"value": null, "timestamp": "2024-03-21 04:00:00"}, {"value": 0.2, "timestamp": "2024-03-21 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 09:00:00"}, {"value": null, "timestamp": "2024-03-21 10:00:00"}, {"value": 0.2, "timestamp": "2024-03-21 11:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-21 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 15:00:00"}, {"value": null, "timestamp": "2024-03-21 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 23:00:00"}, {"value": null, "timestamp": "2024-03-22 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 01:00:00"}, {"value": 0.2, "timestamp": "2024-03-22 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 04:00:00"}, {"value": 0.2, "timestamp": "2024-03-22 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 07:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-22 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 10:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-22 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 18:00:00"}, {"value": 0.2, "timestamp": "2024-03-22 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 00:00:00"}, {"value": null, "timestamp": "2024-03-23 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 06:00:00"}, {"value": null, "timestamp": "2024-03-23 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 08:00:00"}, {"value": 0.25, "timestamp": "2024-03-23 09:00:00"}, {"value": 0.2, "timestamp": "2024-03-23 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 20:00:00"}, {"value": null, "timestamp": "2024-03-23 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 22:00:00"}, {"value": null, "timestamp": "2024-03-23 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 00:00:00"}, {"value": 0.25, "timestamp": "2024-03-24 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 02:00:00"}, {"value": 0.2, "timestamp": "2024-03-24 03:00:00"}, {"value": 0.25, "timestamp": "2024-03-24 04:00:00"}, {"value": 0.25, "timestamp": "2024-03-24 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 08:00:00"}, {"value": null, "timestamp": "2024-03-24 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 12:00:00"}, {"value": null, "timestamp": "2024-03-24 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 15:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-24 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 19:00:00"}, {"value": null, "timestamp": "2024-03-24 20:00:00"}, {"value": 0.2, "timestamp": "2024-03-24 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 00:00:00"}, {"value": null, "timestamp": "2024-03-25 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 02:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 03:00:00"}, {"value": null, "timestamp": "2024-03-25 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 07:00:00"}, {"value": 0.25, "timestamp": "2024-03-25 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 11:00:00"}, {"value": 0.25, "timestamp": "2024-03-25 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 13:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-25 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 23:00:00"}, {"value": null, "timestamp": "2024-03-26 00:00:00"}, {"value": null, "timestamp": "2024-03-26 01:00:00"}, {"value": 0.25, "timestamp": "2024-03-26 02:00:00"}, {"value": null, "timestamp": "2024-03-26 03:00:00"}, {"value": 0.25, "timestamp": "2024-03-26 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 05:00:00"}, {"value": 0.2, "timestamp": "2024-03-26 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 07:00:00"}, {"value": null, "timestamp": "2024-03-26 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 10:00:00"}, {"value": 0.25, "timestamp": "2024-03-26 11:00:00"}, {"value": null, "timestamp": "2024-03-26 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 14:00:00"}, {"value": null, "timestamp": "2024-03-26 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 16:00:00"}, {"value": null, "timestamp": "2024-03-26 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 22:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-26 23:00:00"}, {"value": 0.5, "timestamp": "2024-03-27 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-27 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-27 02:00:00"}, {"value": null, "timestamp": "2024-03-27 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-27 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-27 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-27 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-27 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-27 08:00:00"}], "weighted_true_positive_rate": [{"value": 0.8571428571428571, "timestamp": "2024-03-10 00:00:00"}, {"value": 0.8, "timestamp": "2024-03-10 01:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-10 02:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-10 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 06:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-10 07:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-10 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 13:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-10 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 16:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-10 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-10 19:00:00"}, {"value": 0.8, "timestamp": "2024-03-10 20:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-10 21:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-10 22:00:00"}, {"value": 0.8, "timestamp": "2024-03-10 23:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-11 00:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 02:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-11 03:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-11 04:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 05:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-11 06:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-11 07:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 08:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-11 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 10:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-11 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 14:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 15:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-11 16:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-11 17:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 18:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 20:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-11 21:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-11 23:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-12 00:00:00"}, {"value": 0.4, "timestamp": "2024-03-12 01:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-12 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 05:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-12 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 07:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-12 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 10:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-12 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-12 13:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-12 14:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 15:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-12 16:00:00"}, {"value": 0.8, "timestamp": "2024-03-12 17:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-12 18:00:00"}, {"value": 0.8, "timestamp": "2024-03-12 19:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-12 20:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-12 21:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-12 22:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-12 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 00:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-13 01:00:00"}, {"value": 0.6, "timestamp": "2024-03-13 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 04:00:00"}, {"value": 0.8, "timestamp": "2024-03-13 05:00:00"}, {"value": 0.5, "timestamp": "2024-03-13 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 07:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-13 08:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-13 09:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-13 10:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-13 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 12:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-13 13:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-13 14:00:00"}, {"value": 0.8, "timestamp": "2024-03-13 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 16:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-13 17:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-13 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-13 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 00:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 02:00:00"}, {"value": 0.8, "timestamp": "2024-03-14 03:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 05:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-14 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 08:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-14 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 10:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-14 11:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-14 12:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-14 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 15:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 16:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-14 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 18:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-14 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 21:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-14 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-14 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 00:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-15 01:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-15 02:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-15 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-15 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-15 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 10:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-15 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-15 12:00:00"}, {"value": 0.8, "timestamp": "2024-03-15 13:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-15 14:00:00"}, {"value": 0.8, "timestamp": "2024-03-15 15:00:00"}, {"value": 0.5, "timestamp": "2024-03-15 16:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-15 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 18:00:00"}, {"value": 0.8, "timestamp": "2024-03-15 19:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-15 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-15 22:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-15 23:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-16 00:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-16 01:00:00"}, {"value": 0.8, "timestamp": "2024-03-16 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 06:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 08:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-16 09:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 10:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-16 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-16 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 13:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-16 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 16:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-16 17:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-16 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 19:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-16 20:00:00"}, {"value": 0.6, "timestamp": "2024-03-16 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-16 22:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-16 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 00:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-17 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 05:00:00"}, {"value": 0.8, "timestamp": "2024-03-17 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 07:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-17 08:00:00"}, {"value": 0.8, "timestamp": "2024-03-17 09:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-17 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 13:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-17 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 16:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-17 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 18:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-17 19:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-17 20:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-17 21:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-17 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-17 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 01:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-18 02:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-18 03:00:00"}, {"value": 0.8, "timestamp": "2024-03-18 04:00:00"}, {"value": 0.42857142857142855, "timestamp": "2024-03-18 05:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-18 06:00:00"}, {"value": 0.8, "timestamp": "2024-03-18 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 08:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-18 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 11:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-18 12:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-18 13:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-18 14:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-18 15:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-18 16:00:00"}, {"value": 0.8, "timestamp": "2024-03-18 17:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-18 18:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-18 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-18 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 01:00:00"}, {"value": 0.4, "timestamp": "2024-03-19 02:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-19 03:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-19 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 05:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-19 07:00:00"}, {"value": 0.8, "timestamp": "2024-03-19 08:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-19 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 10:00:00"}, {"value": 0.5, "timestamp": "2024-03-19 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-19 12:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-19 13:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-19 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 17:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-19 18:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-19 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 20:00:00"}, {"value": 0.5, "timestamp": "2024-03-19 21:00:00"}, {"value": 0.8, "timestamp": "2024-03-19 22:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-19 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 00:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-20 01:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-20 02:00:00"}, {"value": 0.8, "timestamp": "2024-03-20 03:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-20 04:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-20 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 06:00:00"}, {"value": 0.6, "timestamp": "2024-03-20 07:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-20 08:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-20 09:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 10:00:00"}, {"value": 0.8, "timestamp": "2024-03-20 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 14:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 15:00:00"}, {"value": 0.8, "timestamp": "2024-03-20 16:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-20 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 18:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-20 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 21:00:00"}, {"value": 1.0, "timestamp": "2024-03-20 22:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-20 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 00:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-21 01:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-21 02:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-21 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 04:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 07:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-21 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 10:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-21 11:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-21 12:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-21 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 14:00:00"}, {"value": 0.8, "timestamp": "2024-03-21 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 17:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-21 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 20:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-21 21:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-21 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-21 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 01:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-22 02:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-22 03:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-22 04:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-22 05:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-22 06:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 07:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-22 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 09:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-22 10:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-22 11:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 15:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-22 16:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-22 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 18:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-22 19:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 21:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-22 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-22 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 02:00:00"}, {"value": 0.8, "timestamp": "2024-03-23 03:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-23 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 05:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-23 06:00:00"}, {"value": 0.8, "timestamp": "2024-03-23 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 08:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-23 09:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-23 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 11:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-23 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 14:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-23 15:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-23 16:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-23 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 19:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-23 20:00:00"}, {"value": 1.0, "timestamp": "2024-03-23 21:00:00"}, {"value": 0.8, "timestamp": "2024-03-23 22:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-23 23:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 00:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-24 01:00:00"}, {"value": 0.8, "timestamp": "2024-03-24 02:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-24 03:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-24 04:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-24 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 06:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-24 07:00:00"}, {"value": 0.8, "timestamp": "2024-03-24 08:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-24 09:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 10:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 11:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-24 12:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 13:00:00"}, {"value": 0.8, "timestamp": "2024-03-24 14:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-24 15:00:00"}, {"value": 0.2, "timestamp": "2024-03-24 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 17:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-24 18:00:00"}, {"value": 0.8, "timestamp": "2024-03-24 19:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-24 20:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-24 21:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-24 22:00:00"}, {"value": 1.0, "timestamp": "2024-03-24 23:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-25 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 01:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 03:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 05:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 06:00:00"}, {"value": 0.8, "timestamp": "2024-03-25 07:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 08:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-25 09:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-25 10:00:00"}, {"value": 0.6, "timestamp": "2024-03-25 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-25 12:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-25 13:00:00"}, {"value": 0.8571428571428572, "timestamp": "2024-03-25 14:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-25 15:00:00"}, {"value": 0.8, "timestamp": "2024-03-25 16:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 17:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-25 19:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-25 20:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-25 21:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-25 22:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-25 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 00:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-26 01:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-26 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 03:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-26 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 05:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-26 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-26 07:00:00"}, {"value": 0.8, "timestamp": "2024-03-26 08:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 09:00:00"}, {"value": 0.8, "timestamp": "2024-03-26 10:00:00"}, {"value": 0.7142857142857142, "timestamp": "2024-03-26 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-26 12:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-26 13:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 14:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 15:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 16:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 17:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-26 18:00:00"}, {"value": 1.0, "timestamp": "2024-03-26 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 20:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-26 21:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-26 22:00:00"}, {"value": 0.6000000000000001, "timestamp": "2024-03-26 23:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-27 00:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 01:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-27 02:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 03:00:00"}, {"value": 0.8, "timestamp": "2024-03-27 04:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 05:00:00"}, {"value": 0.8333333333333333, "timestamp": "2024-03-27 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-27 07:00:00"}, {"value": 1.0, "timestamp": "2024-03-27 08:00:00"}], "weighted_false_positive_rate": [{"value": 0.05714285714285715, "timestamp": "2024-03-10 00:00:00"}, {"value": 0.8, "timestamp": "2024-03-10 01:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-10 02:00:00"}, {"value": 0.1142857142857143, "timestamp": "2024-03-10 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 04:00:00"}, {"value": null, "timestamp": "2024-03-10 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 06:00:00"}, {"value": null, "timestamp": "2024-03-10 07:00:00"}, {"value": 0.35714285714285715, "timestamp": "2024-03-10 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 13:00:00"}, {"value": 0.06666666666666667, "timestamp": "2024-03-10 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 16:00:00"}, {"value": 0.4142857142857143, "timestamp": "2024-03-10 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-10 18:00:00"}, {"value": null, "timestamp": "2024-03-10 19:00:00"}, {"value": 0.05, "timestamp": "2024-03-10 20:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-10 21:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-10 22:00:00"}, {"value": 0.8, "timestamp": "2024-03-10 23:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-11 00:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 02:00:00"}, {"value": 0.10714285714285714, "timestamp": "2024-03-11 03:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-11 04:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 05:00:00"}, {"value": null, "timestamp": "2024-03-11 06:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-11 07:00:00"}, {"value": null, "timestamp": "2024-03-11 08:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-11 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 10:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-11 11:00:00"}, {"value": 0.8, "timestamp": "2024-03-11 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 14:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-11 15:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-11 16:00:00"}, {"value": 0.35714285714285715, "timestamp": "2024-03-11 17:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-11 18:00:00"}, {"value": null, "timestamp": "2024-03-11 19:00:00"}, {"value": null, "timestamp": "2024-03-11 20:00:00"}, {"value": 0.4142857142857143, "timestamp": "2024-03-11 21:00:00"}, {"value": null, "timestamp": "2024-03-11 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-11 23:00:00"}, {"value": 0.05714285714285715, "timestamp": "2024-03-12 00:00:00"}, {"value": 0.7333333333333333, "timestamp": "2024-03-12 01:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-12 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 05:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-12 06:00:00"}, {"value": null, "timestamp": "2024-03-12 07:00:00"}, {"value": 0.35714285714285715, "timestamp": "2024-03-12 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 10:00:00"}, {"value": 0.4880952380952381, "timestamp": "2024-03-12 11:00:00"}, {"value": null, "timestamp": "2024-03-12 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-12 13:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-12 14:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-12 15:00:00"}, {"value": 0.35714285714285715, "timestamp": "2024-03-12 16:00:00"}, {"value": 0.3, "timestamp": "2024-03-12 17:00:00"}, {"value": 0.35714285714285715, "timestamp": "2024-03-12 18:00:00"}, {"value": null, "timestamp": "2024-03-12 19:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-12 20:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-03-12 21:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-12 22:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-12 23:00:00"}, {"value": null, "timestamp": "2024-03-13 00:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-13 01:00:00"}, {"value": 0.8500000000000001, "timestamp": "2024-03-13 02:00:00"}, {"value": null, "timestamp": "2024-03-13 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 04:00:00"}, {"value": null, "timestamp": "2024-03-13 05:00:00"}, {"value": 0.75, "timestamp": "2024-03-13 06:00:00"}, {"value": null, "timestamp": "2024-03-13 07:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-13 08:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-03-13 09:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-13 10:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-03-13 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 12:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-13 13:00:00"}, {"value": 0.35714285714285715, "timestamp": "2024-03-13 14:00:00"}, {"value": 0.8, "timestamp": "2024-03-13 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 16:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-13 17:00:00"}, {"value": 0.40476190476190477, "timestamp": "2024-03-13 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 19:00:00"}, {"value": null, "timestamp": "2024-03-13 20:00:00"}, {"value": null, "timestamp": "2024-03-13 21:00:00"}, {"value": null, "timestamp": "2024-03-13 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-13 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 00:00:00"}, {"value": 0.06666666666666667, "timestamp": "2024-03-14 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 02:00:00"}, {"value": null, "timestamp": "2024-03-14 03:00:00"}, {"value": null, "timestamp": "2024-03-14 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 05:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-14 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 08:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-03-14 09:00:00"}, {"value": null, "timestamp": "2024-03-14 10:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-14 11:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-14 12:00:00"}, {"value": 0.10714285714285714, "timestamp": "2024-03-14 13:00:00"}, {"value": null, "timestamp": "2024-03-14 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 15:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-14 16:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-14 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 18:00:00"}, {"value": 0.35714285714285715, "timestamp": "2024-03-14 19:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-14 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 21:00:00"}, {"value": 0.35714285714285715, "timestamp": "2024-03-14 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-14 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 00:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-15 01:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-15 02:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-03-15 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 06:00:00"}, {"value": 0.19047619047619047, "timestamp": "2024-03-15 07:00:00"}, {"value": null, "timestamp": "2024-03-15 08:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-15 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 10:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-15 11:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-15 12:00:00"}, {"value": 0.8, "timestamp": "2024-03-15 13:00:00"}, {"value": 0.38095238095238093, "timestamp": "2024-03-15 14:00:00"}, {"value": 0.3, "timestamp": "2024-03-15 15:00:00"}, {"value": 0.09999999999999999, "timestamp": "2024-03-15 16:00:00"}, {"value": 0.05714285714285715, "timestamp": "2024-03-15 17:00:00"}, {"value": null, "timestamp": "2024-03-15 18:00:00"}, {"value": 0.8, "timestamp": "2024-03-15 19:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-15 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-15 22:00:00"}, {"value": 0.43333333333333335, "timestamp": "2024-03-15 23:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-16 00:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-16 01:00:00"}, {"value": null, "timestamp": "2024-03-16 02:00:00"}, {"value": null, "timestamp": "2024-03-16 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 04:00:00"}, {"value": null, "timestamp": "2024-03-16 05:00:00"}, {"value": null, "timestamp": "2024-03-16 06:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-16 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 08:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-03-16 09:00:00"}, {"value": 0.41666666666666663, "timestamp": "2024-03-16 10:00:00"}, {"value": 0.35714285714285715, "timestamp": "2024-03-16 11:00:00"}, {"value": 0.13333333333333333, "timestamp": "2024-03-16 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 13:00:00"}, {"value": 0.4142857142857143, "timestamp": "2024-03-16 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 16:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-16 17:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-16 18:00:00"}, {"value": null, "timestamp": "2024-03-16 19:00:00"}, {"value": null, "timestamp": "2024-03-16 20:00:00"}, {"value": null, "timestamp": "2024-03-16 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-16 22:00:00"}, {"value": null, "timestamp": "2024-03-16 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 00:00:00"}, {"value": null, "timestamp": "2024-03-17 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 02:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 03:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 05:00:00"}, {"value": 0.8, "timestamp": "2024-03-17 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 07:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-17 08:00:00"}, {"value": 0.3, "timestamp": "2024-03-17 09:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-03-17 10:00:00"}, {"value": null, "timestamp": "2024-03-17 11:00:00"}, {"value": null, "timestamp": "2024-03-17 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 13:00:00"}, {"value": 0.5714285714285714, "timestamp": "2024-03-17 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 16:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-17 17:00:00"}, {"value": null, "timestamp": "2024-03-17 18:00:00"}, {"value": 0.41666666666666663, "timestamp": "2024-03-17 19:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-17 20:00:00"}, {"value": 0.10714285714285714, "timestamp": "2024-03-17 21:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-17 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-17 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 00:00:00"}, {"value": null, "timestamp": "2024-03-18 01:00:00"}, {"value": 0.35714285714285715, "timestamp": "2024-03-18 02:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-03-18 03:00:00"}, {"value": 0.8, "timestamp": "2024-03-18 04:00:00"}, {"value": 0.5285714285714286, "timestamp": "2024-03-18 05:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-18 06:00:00"}, {"value": 0.3, "timestamp": "2024-03-18 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 08:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-03-18 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 11:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-18 12:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-18 13:00:00"}, {"value": 0.06666666666666667, "timestamp": "2024-03-18 14:00:00"}, {"value": null, "timestamp": "2024-03-18 15:00:00"}, {"value": 0.4714285714285714, "timestamp": "2024-03-18 16:00:00"}, {"value": 0.3, "timestamp": "2024-03-18 17:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-18 18:00:00"}, {"value": null, "timestamp": "2024-03-18 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 20:00:00"}, {"value": null, "timestamp": "2024-03-18 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-18 23:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-19 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 01:00:00"}, {"value": 0.7333333333333333, "timestamp": "2024-03-19 02:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-19 03:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-19 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 05:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-19 06:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-19 07:00:00"}, {"value": null, "timestamp": "2024-03-19 08:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-19 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-19 10:00:00"}, {"value": 0.75, "timestamp": "2024-03-19 11:00:00"}, {"value": 0.3, "timestamp": "2024-03-19 12:00:00"}, {"value": 0.023809523809523808, "timestamp": "2024-03-19 13:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-19 14:00:00"}, {"value": null, "timestamp": "2024-03-19 15:00:00"}, {"value": null, "timestamp": "2024-03-19 16:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-19 17:00:00"}, {"value": 0.08333333333333333, "timestamp": "2024-03-19 18:00:00"}, {"value": null, "timestamp": "2024-03-19 19:00:00"}, {"value": null, "timestamp": "2024-03-19 20:00:00"}, {"value": 0.75, "timestamp": "2024-03-19 21:00:00"}, {"value": 0.05, "timestamp": "2024-03-19 22:00:00"}, {"value": 0.08333333333333333, "timestamp": "2024-03-19 23:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-20 00:00:00"}, {"value": 0.8571428571428571, "timestamp": "2024-03-20 01:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-20 02:00:00"}, {"value": 0.05, "timestamp": "2024-03-20 03:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-20 04:00:00"}, {"value": 0.023809523809523808, "timestamp": "2024-03-20 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 06:00:00"}, {"value": 0.6, "timestamp": "2024-03-20 07:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-20 08:00:00"}, {"value": 0.8809523809523809, "timestamp": "2024-03-20 09:00:00"}, {"value": 0.06666666666666667, "timestamp": "2024-03-20 10:00:00"}, {"value": 0.8, "timestamp": "2024-03-20 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 14:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-20 15:00:00"}, {"value": 0.05, "timestamp": "2024-03-20 16:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-20 17:00:00"}, {"value": null, "timestamp": "2024-03-20 18:00:00"}, {"value": null, "timestamp": "2024-03-20 19:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-20 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 21:00:00"}, {"value": 0.0, "timestamp": "2024-03-20 22:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-20 23:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 00:00:00"}, {"value": 0.43333333333333335, "timestamp": "2024-03-21 01:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-21 02:00:00"}, {"value": 0.35714285714285715, "timestamp": "2024-03-21 03:00:00"}, {"value": null, "timestamp": "2024-03-21 04:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-21 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 07:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-21 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 09:00:00"}, {"value": null, "timestamp": "2024-03-21 10:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-03-21 11:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-21 12:00:00"}, {"value": 0.35714285714285715, "timestamp": "2024-03-21 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 14:00:00"}, {"value": 0.8, "timestamp": "2024-03-21 15:00:00"}, {"value": null, "timestamp": "2024-03-21 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 17:00:00"}, {"value": 0.35714285714285715, "timestamp": "2024-03-21 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-21 20:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-21 21:00:00"}, {"value": 0.19047619047619047, "timestamp": "2024-03-21 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-21 23:00:00"}, {"value": null, "timestamp": "2024-03-22 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 01:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-03-22 02:00:00"}, {"value": 0.35714285714285715, "timestamp": "2024-03-22 03:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-22 04:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-03-22 05:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-22 06:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 07:00:00"}, {"value": 0.047619047619047616, "timestamp": "2024-03-22 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 09:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-22 10:00:00"}, {"value": 0.023809523809523808, "timestamp": "2024-03-22 11:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 14:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 15:00:00"}, {"value": 0.38095238095238093, "timestamp": "2024-03-22 16:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-22 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 18:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-22 19:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 20:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 21:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-22 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-22 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 00:00:00"}, {"value": null, "timestamp": "2024-03-23 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 02:00:00"}, {"value": 0.13333333333333333, "timestamp": "2024-03-23 03:00:00"}, {"value": 0.38095238095238093, "timestamp": "2024-03-23 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 05:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-23 06:00:00"}, {"value": null, "timestamp": "2024-03-23 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 08:00:00"}, {"value": 0.41666666666666663, "timestamp": "2024-03-23 09:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-03-23 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 11:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-23 12:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 14:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-23 15:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-23 16:00:00"}, {"value": 0.26666666666666666, "timestamp": "2024-03-23 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-23 19:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-23 20:00:00"}, {"value": null, "timestamp": "2024-03-23 21:00:00"}, {"value": 0.3, "timestamp": "2024-03-23 22:00:00"}, {"value": null, "timestamp": "2024-03-23 23:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 00:00:00"}, {"value": 0.08333333333333333, "timestamp": "2024-03-24 01:00:00"}, {"value": 0.3, "timestamp": "2024-03-24 02:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-03-24 03:00:00"}, {"value": 0.41666666666666663, "timestamp": "2024-03-24 04:00:00"}, {"value": 0.4880952380952381, "timestamp": "2024-03-24 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 06:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-24 07:00:00"}, {"value": 0.3, "timestamp": "2024-03-24 08:00:00"}, {"value": null, "timestamp": "2024-03-24 09:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 10:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 11:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-24 12:00:00"}, {"value": null, "timestamp": "2024-03-24 13:00:00"}, {"value": 0.8, "timestamp": "2024-03-24 14:00:00"}, {"value": 0.35714285714285715, "timestamp": "2024-03-24 15:00:00"}, {"value": 0.8666666666666667, "timestamp": "2024-03-24 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 17:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-24 18:00:00"}, {"value": 0.8, "timestamp": "2024-03-24 19:00:00"}, {"value": null, "timestamp": "2024-03-24 20:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-03-24 21:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-24 22:00:00"}, {"value": 0.0, "timestamp": "2024-03-24 23:00:00"}, {"value": 0.1, "timestamp": "2024-03-25 00:00:00"}, {"value": null, "timestamp": "2024-03-25 01:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 02:00:00"}, {"value": 0.5, "timestamp": "2024-03-25 03:00:00"}, {"value": null, "timestamp": "2024-03-25 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 05:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 06:00:00"}, {"value": 0.13333333333333333, "timestamp": "2024-03-25 07:00:00"}, {"value": 0.41666666666666663, "timestamp": "2024-03-25 08:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-25 09:00:00"}, {"value": 0.7142857142857143, "timestamp": "2024-03-25 10:00:00"}, {"value": 0.6, "timestamp": "2024-03-25 11:00:00"}, {"value": 0.41666666666666663, "timestamp": "2024-03-25 12:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-25 13:00:00"}, {"value": 0.023809523809523808, "timestamp": "2024-03-25 14:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-25 15:00:00"}, {"value": 0.3, "timestamp": "2024-03-25 16:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 17:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-25 19:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-25 20:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-25 21:00:00"}, {"value": 0.19047619047619047, "timestamp": "2024-03-25 22:00:00"}, {"value": 0.26666666666666666, "timestamp": "2024-03-25 23:00:00"}, {"value": null, "timestamp": "2024-03-26 00:00:00"}, {"value": null, "timestamp": "2024-03-26 01:00:00"}, {"value": 0.08333333333333333, "timestamp": "2024-03-26 02:00:00"}, {"value": null, "timestamp": "2024-03-26 03:00:00"}, {"value": 0.08333333333333333, "timestamp": "2024-03-26 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 05:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-03-26 06:00:00"}, {"value": 0.10714285714285714, "timestamp": "2024-03-26 07:00:00"}, {"value": null, "timestamp": "2024-03-26 08:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 09:00:00"}, {"value": 0.8, "timestamp": "2024-03-26 10:00:00"}, {"value": 0.2976190476190476, "timestamp": "2024-03-26 11:00:00"}, {"value": null, "timestamp": "2024-03-26 12:00:00"}, {"value": 0.8333333333333334, "timestamp": "2024-03-26 13:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 14:00:00"}, {"value": null, "timestamp": "2024-03-26 15:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 16:00:00"}, {"value": null, "timestamp": "2024-03-26 17:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-26 18:00:00"}, {"value": 0.0, "timestamp": "2024-03-26 19:00:00"}, {"value": 0.6666666666666666, "timestamp": "2024-03-26 20:00:00"}, {"value": 0.19047619047619047, "timestamp": "2024-03-26 21:00:00"}, {"value": 0.08333333333333333, "timestamp": "2024-03-26 22:00:00"}, {"value": 0.43333333333333335, "timestamp": "2024-03-26 23:00:00"}, {"value": 0.40476190476190477, "timestamp": "2024-03-27 00:00:00"}, {"value": 0.0, "timestamp": "2024-03-27 01:00:00"}, {"value": 0.3333333333333333, "timestamp": "2024-03-27 02:00:00"}, {"value": null, "timestamp": "2024-03-27 03:00:00"}, {"value": 0.3, "timestamp": "2024-03-27 04:00:00"}, {"value": 0.0, "timestamp": "2024-03-27 05:00:00"}, {"value": 0.16666666666666666, "timestamp": "2024-03-27 06:00:00"}, {"value": 0.10714285714285714, "timestamp": "2024-03-27 07:00:00"}, {"value": 0.0, "timestamp": "2024-03-27 08:00:00"}]}}',	'{"class_metrics": [{"name": "0.0", "count": 1885, "percentage": 75.4}, {"name": "1.0", "count": 615, "percentage": 24.6}], "n_observations": 2500, "feature_metrics": [{"max": 90.0, "min": 17.0, "std": 13.81924733112188, "mean": 38.8572, "type": "numerical", "histogram": {"buckets": [17.0, 24.3, 31.6, 38.9, 46.2, 53.5, 60.8, 68.1, 75.4, 82.7, 90.0], "current_values": [424, 454, 459, 468, 293, 213, 127, 45, 11, 6], "reference_values": [550, 512, 571, 563, 344, 230, 161, 37, 24, 8]}, "feature_name": "age", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 37.0, "perc_25": 28.0, "perc_75": 48.0}, "class_median_metrics": []}, {"max": 1085515.0, "min": 19214.0, "std": 101382.96415559661, "mean": 186548.4684, "type": "numerical", "histogram": {"buckets": [19214.0, 125844.1, 232474.2, 339104.30000000005, 445734.4, 552364.5, 658994.6000000001, 765624.7000000001, 872254.8, 978884.9, 1085515.0], "current_values": [736, 1128, 432, 160, 34, 5, 2, 1, 1, 1], "reference_values": [838, 1351, 550, 198, 45, 13, 3, 2, 0, 0]}, "feature_name": "fnlwgt", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 174985.0, "perc_25": 116674.25, "perc_75": 233872.25}, "class_median_metrics": []}, {"max": 16.0, "min": 2.0, "std": 2.5245144620912217, "mean": 10.176, "type": "numerical", "histogram": {"buckets": [1.0, 2.5, 4.0, 5.5, 7.0, 8.5, 10.0, 11.5, 13.0, 14.5, 16.0], "current_values": [10, 30, 81, 57, 112, 816, 673, 72, 571, 78], "reference_values": [20, 26, 109, 83, 161, 961, 788, 112, 644, 96]}, "feature_name": "educational-num", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 10.0, "perc_25": 9.0, "perc_75": 13.0}, "class_median_metrics": []}, {"max": 99999.0, "min": 0.0, "std": 8138.989480807231, "mean": 1253.7392, "type": "numerical", "histogram": {"buckets": [0.0, 9999.9, 19999.8, 29999.699999999997, 39999.6, 49999.5, 59999.399999999994, 69999.3, 79999.2, 89999.09999999999, 99999.0], "current_values": [2436, 39, 9, 1, 0, 0, 0, 0, 0, 15], "reference_values": [2932, 49, 8, 0, 1, 0, 0, 0, 0, 10]}, "feature_name": "capital-gain", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.0, "perc_25": 0.0, "perc_75": 0.0}, "class_median_metrics": []}, {"max": 3175.0, "min": 0.0, "std": 383.58056769002746, "mean": 79.9056, "type": "numerical", "histogram": {"buckets": [0.0, 435.6, 871.2, 1306.8000000000002, 1742.4, 2178.0, 2613.6000000000004, 3049.2000000000003, 3484.8, 3920.4, 4356.0], "current_values": [2393, 1, 0, 36, 55, 13, 1, 1, 0, 0], "reference_values": [2871, 2, 0, 46, 68, 12, 0, 0, 0, 1]}, "feature_name": "capital-loss", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.0, "perc_25": 0.0, "perc_75": 0.0}, "class_median_metrics": []}, {"max": 99.0, "min": 1.0, "std": 11.78726939235254, "mean": 40.6796, "type": "numerical", "histogram": {"buckets": [1.0, 10.8, 20.6, 30.400000000000002, 40.2, 50.0, 59.800000000000004, 69.60000000000001, 79.4, 89.2, 99.0], "current_values": [51, 147, 167, 1368, 263, 324, 127, 31, 15, 7], "reference_values": [72, 232, 223, 1612, 299, 340, 144, 41, 23, 14]}, "feature_name": "hours-per-week", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 40.0, "perc_25": 40.0, "perc_75": 45.0}, "class_median_metrics": []}, {"type": "categorical", "feature_name": "workclass", "missing_value": {"count": 146, "percentage": 5.84}, "distinct_value": 7, "category_frequency": [{"name": "Self-emp-not-inc", "count": 188, "frequency": 0.0752}, {"name": "Local-gov", "count": 146, "frequency": 0.0584}, {"name": "State-gov", "count": 109, "frequency": 0.0436}, {"name": "Private", "count": 1731, "frequency": 0.6924}, {"name": "Without-pay", "count": 1, "frequency": 0.0004}, {"name": "Federal-gov", "count": 76, "frequency": 0.0304}, {"name": "Self-emp-inc", "count": 103, "frequency": 0.0412}]}, {"type": "categorical", "feature_name": "education", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 15, "category_frequency": [{"name": "Masters", "count": 133, "frequency": 0.0532}, {"name": "10th", "count": 57, "frequency": 0.0228}, {"name": "5th-6th", "count": 30, "frequency": 0.012}, {"name": "Assoc-acdm", "count": 72, "frequency": 0.0288}, {"name": "Assoc-voc", "count": 102, "frequency": 0.0408}, {"name": "7th-8th", "count": 44, "frequency": 0.0176}, {"name": "9th", "count": 37, "frequency": 0.0148}, {"name": "HS-grad", "count": 816, "frequency": 0.3264}, {"name": "Bachelors", "count": 438, "frequency": 0.1752}, {"name": "11th", "count": 74, "frequency": 0.0296}, {"name": "1st-4th", "count": 10, "frequency": 0.004}, {"name": "12th", "count": 38, "frequency": 0.0152}, {"name": "Doctorate", "count": 39, "frequency": 0.0156}, {"name": "Some-college", "count": 571, "frequency": 0.2284}, {"name": "Prof-school", "count": 39, "frequency": 0.0156}]}, {"type": "categorical", "feature_name": "marital-status", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 7, "category_frequency": [{"name": "Separated", "count": 92, "frequency": 0.0368}, {"name": "Never-married", "count": 774, "frequency": 0.3096}, {"name": "Married-spouse-absent", "count": 27, "frequency": 0.0108}, {"name": "Divorced", "count": 366, "frequency": 0.1464}, {"name": "Widowed", "count": 95, "frequency": 0.038}, {"name": "Married-AF-spouse", "count": 4, "frequency": 0.0016}, {"name": "Married-civ-spouse", "count": 1142, "frequency": 0.4568}]}, {"type": "categorical", "feature_name": "occupation", "missing_value": {"count": 146, "percentage": 5.84}, "distinct_value": 14, "category_frequency": [{"name": "Sales", "count": 285, "frequency": 0.114}, {"name": "Exec-managerial", "count": 338, "frequency": 0.1352}, {"name": "Prof-specialty", "count": 330, "frequency": 0.132}, {"name": "Handlers-cleaners", "count": 112, "frequency": 0.0448}, {"name": "Farming-fishing", "count": 78, "frequency": 0.0312}, {"name": "Craft-repair", "count": 299, "frequency": 0.1196}, {"name": "Transport-moving", "count": 115, "frequency": 0.046}, {"name": "Priv-house-serv", "count": 10, "frequency": 0.004}, {"name": "Protective-serv", "count": 43, "frequency": 0.0172}, {"name": "Other-service", "count": 257, "frequency": 0.1028}, {"name": "Tech-support", "count": 84, "frequency": 0.0336}, {"name": "Machine-op-inspct", "count": 143, "frequency": 0.0572}, {"name": "Armed-Forces", "count": 2, "frequency": 0.0008}, {"name": "Adm-clerical", "count": 258, "frequency": 0.1032}]}, {"type": "categorical", "feature_name": "relationship", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 6, "category_frequency": [{"name": "Own-child", "count": 360, "frequency": 0.144}, {"name": "Not-in-family", "count": 661, "frequency": 0.2644}, {"name": "Unmarried", "count": 271, "frequency": 0.1084}, {"name": "Wife", "count": 112, "frequency": 0.0448}, {"name": "Other-relative", "count": 83, "frequency": 0.0332}, {"name": "Husband", "count": 1013, "frequency": 0.4052}]}, {"type": "categorical", "feature_name": "race", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 5, "category_frequency": [{"name": "Other", "count": 27, "frequency": 0.0108}, {"name": "Amer-Indian-Eskimo", "count": 28, "frequency": 0.0112}, {"name": "White", "count": 2120, "frequency": 0.848}, {"name": "Asian-Pac-Islander", "count": 82, "frequency": 0.0328}, {"name": "Black", "count": 243, "frequency": 0.0972}]}, {"type": "categorical", "feature_name": "gender", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 2, "category_frequency": [{"name": "Female", "count": 837, "frequency": 0.3348}, {"name": "Male", "count": 1663, "frequency": 0.6652}]}, {"type": "categorical", "feature_name": "native-country", "missing_value": {"count": 35, "percentage": 1.4000000000000001}, "distinct_value": 33, "category_frequency": [{"name": "Philippines", "count": 15, "frequency": 0.006}, {"name": "Germany", "count": 17, "frequency": 0.0068}, {"name": "France", "count": 1, "frequency": 0.0004}, {"name": "Greece", "count": 5, "frequency": 0.002}, {"name": "Taiwan", "count": 3, "frequency": 0.0012}, {"name": "Ecuador", "count": 3, "frequency": 0.0012}, {"name": "Nicaragua", "count": 5, "frequency": 0.002}, {"name": "Peru", "count": 2, "frequency": 0.0008}, {"name": "China", "count": 9, "frequency": 0.0036}, {"name": "India", "count": 11, "frequency": 0.0044}, {"name": "Italy", "count": 2, "frequency": 0.0008}, {"name": "Cuba", "count": 7, "frequency": 0.0028}, {"name": "South", "count": 8, "frequency": 0.0032}, {"name": "Iran", "count": 2, "frequency": 0.0008}, {"name": "Thailand", "count": 2, "frequency": 0.0008}, {"name": "El-Salvador", "count": 10, "frequency": 0.004}, {"name": "Mexico", "count": 55, "frequency": 0.022}, {"name": "Honduras", "count": 1, "frequency": 0.0004}, {"name": "Puerto-Rico", "count": 9, "frequency": 0.0036}, {"name": "Jamaica", "count": 6, "frequency": 0.0024}, {"name": "Canada", "count": 9, "frequency": 0.0036}, {"name": "United-States", "count": 2239, "frequency": 0.8956}, {"name": "Dominican-Republic", "count": 6, "frequency": 0.0024}, {"name": "Outlying-US(Guam-USVI-etc)", "count": 1, "frequency": 0.0004}, {"name": "Japan", "count": 7, "frequency": 0.0028}, {"name": "England", "count": 7, "frequency": 0.0028}, {"name": "Haiti", "count": 3, "frequency": 0.0012}, {"name": "Poland", "count": 6, "frequency": 0.0024}, {"name": "Portugal", "count": 3, "frequency": 0.0012}, {"name": "Columbia", "count": 3, "frequency": 0.0012}, {"name": "Scotland", "count": 1, "frequency": 0.0004}, {"name": "Vietnam", "count": 4, "frequency": 0.0016}, {"name": "Trinadad&Tobago", "count": 3, "frequency": 0.0012}]}, {"type": "categorical", "feature_name": "pred_id", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 2500, "category_frequency": [{"name": "7f237334-494b-41d1-90e7-80c634da5d3e", "count": 1, "frequency": 0.0004}, {"name": "4e4515f3-f2b5-441a-8c12-d41cb49c1a7e", "count": 1, "frequency": 0.0004}, {"name": "645e2efa-b74a-4909-905c-dbd89f20f8fe", "count": 1, "frequency": 0.0004}, {"name": "166840e0-bc44-44fc-badc-39d8cde08ed8", "count": 1, "frequency": 0.0004}, {"name": "9e7a1ded-2bf5-4831-a8e0-15644ca6b61d", "count": 1, "frequency": 0.0004}, {"name": "530a7f08-d2d2-47ab-aefb-67fd87998341", "count": 1, "frequency": 0.0004}, {"name": "4915a689-eb26-4c6e-92ab-77f690451a5d", "count": 1, "frequency": 0.0004}, {"name": "2e279d64-cecb-448d-948c-1f1aa5f8cd6c", "count": 1, "frequency": 0.0004}, {"name": "95be59fa-690d-41e8-b4b1-1ff12537568a", "count": 1, "frequency": 0.0004}, {"name": "658cde1b-359e-4d18-bb24-4f10d72a4287", "count": 1, "frequency": 0.0004}, {"name": "6e5d81d8-4ef2-4994-a485-a731612d1fda", "count": 1, "frequency": 0.0004}, {"name": "0c5e0787-11d4-4f36-8b5b-1b727c5c8585", "count": 1, "frequency": 0.0004}, {"name": "75c743f1-7096-402f-bc0c-d91e5842d725", "count": 1, "frequency": 0.0004}, {"name": "a5055f01-17bb-47cb-ae88-6afb35c8763d", "count": 1, "frequency": 0.0004}, {"name": "c9c0718e-4441-4273-a645-31c2081aa72e", "count": 1, "frequency": 0.0004}, {"name": "f0bcd7e1-c713-4d59-93ae-556dc2ce6c8d", "count": 1, "frequency": 0.0004}, {"name": "8dc32547-ccb7-48d8-a0ce-2cb930953313", "count": 1, "frequency": 0.0004}, {"name": "599c2352-339e-41e0-85aa-f416de825381", "count": 1, "frequency": 0.0004}, {"name": "541d25ca-84b4-4404-8b94-8341a6cc50a9", "count": 1, "frequency": 0.0004}, {"name": "8bc3ea27-8d4f-413a-81a6-a92a9f67dd8b", "count": 1, "frequency": 0.0004}, {"name": "9d0aeba6-93be-454f-8925-62bb5bc97e3e", "count": 1, "frequency": 0.0004}, {"name": "4f517c43-a6fd-4adb-b8bb-0c72717af031", "count": 1, "frequency": 0.0004}, {"name": "26e9ec81-5bef-4c4e-85e1-9eef1ef49fb4", "count": 1, "frequency": 0.0004}, {"name": "5b9b9a3e-5c8c-4c8f-a6c8-5d599a0630a0", "count": 1, "frequency": 0.0004}, {"name": "02568d66-3639-4639-821e-0b5469b71ac1", "count": 1, "frequency": 0.0004}, {"name": "cd308fa8-69c5-473d-9a51-cac6be2a666b", "count": 1, "frequency": 0.0004}, {"name": "d76730f0-f25d-42c2-9fae-246dc96ef8b2", "count": 1, "frequency": 0.0004}, {"name": "00377ac7-3f2c-4c9a-85b9-feac79286e42", "count": 1, "frequency": 0.0004}, {"name": "124e2f4d-63f8-4662-ae4c-acb6e551ddd6", "count": 1, "frequency": 0.0004}, {"name": "dc615562-b44a-4a4c-b018-65d00108839e", "count": 1, "frequency": 0.0004}, {"name": "93d8879c-1f7c-4d99-833b-c4631b1715a7", "count": 1, "frequency": 0.0004}, {"name": "00aad873-0934-4fb1-8337-0b6eda34a17c", "count": 1, "frequency": 0.0004}, {"name": "ecad5f9c-f9c9-4aca-b0a0-25f8ebaeeca7", "count": 1, "frequency": 0.0004}, {"name": "ea8bcd27-4e09-4789-8f35-5bd95379f9e3", "count": 1, "frequency": 0.0004}, {"name": "5e85048d-b3e2-4886-87db-64a64f2e7297", "count": 1, "frequency": 0.0004}, {"name": "f73446d7-a80f-4c5e-a6db-721017219233", "count": 1, "frequency": 0.0004}, {"name": "51c164c6-26b6-42b4-a898-85029e6752d2", "count": 1, "frequency": 0.0004}, {"name": "4294e69d-96c2-410a-9aa3-bad967bd4949", "count": 1, "frequency": 0.0004}, {"name": "2e4c6203-0709-4374-aca0-198746d4b30a", "count": 1, "frequency": 0.0004}, {"name": "5f7972a6-beda-406d-b51d-5c92cdfd9b87", "count": 1, "frequency": 0.0004}, {"name": "41be8e1f-ea74-4737-adc9-7fa9fe786b49", "count": 1, "frequency": 0.0004}, {"name": "414958fd-5ec4-4ab8-a40d-f01876c2374d", "count": 1, "frequency": 0.0004}, {"name": "d6ef04de-c53b-4317-8992-3ea86d9a6332", "count": 1, "frequency": 0.0004}, {"name": "8305c4b0-4b2b-4186-81dd-72bd9cd5f059", "count": 1, "frequency": 0.0004}, {"name": "bab9c574-5151-4400-9a94-168ec8b13325", "count": 1, "frequency": 0.0004}, {"name": "228cf48c-de7f-48a5-8046-43cecff2e3ef", "count": 1, "frequency": 0.0004}, {"name": "de4a491c-65e5-4805-ac53-af9af3efaf07", "count": 1, "frequency": 0.0004}, {"name": "220f0bf9-3211-44f5-97ad-1b2c8ad77996", "count": 1, "frequency": 0.0004}, {"name": "9dec5aba-c409-4ed7-81d4-1aa362559159", "count": 1, "frequency": 0.0004}, {"name": "7e41bc7f-1c3e-4348-8e87-b0883fb72447", "count": 1, "frequency": 0.0004}, {"name": "4efcd99e-e812-4447-bcdf-3848349843ea", "count": 1, "frequency": 0.0004}, {"name": "29c66d4b-e791-49c1-be43-eaa434f820bb", "count": 1, "frequency": 0.0004}, {"name": "578eac06-ec8c-4a2d-9c79-88a12276af86", "count": 1, "frequency": 0.0004}, {"name": "ba15073b-774e-431e-b9a7-a0d779a3ffa2", "count": 1, "frequency": 0.0004}, {"name": "eaeed69f-65fa-4a30-8690-802e070c7fc8", "count": 1, "frequency": 0.0004}, {"name": "93142dee-1bdc-409c-a658-b8fc02aac169", "count": 1, "frequency": 0.0004}, {"name": "9e45fe42-105f-448e-add7-b86c9c6f4170", "count": 1, "frequency": 0.0004}, {"name": "b3ae5048-c3a0-48d5-b0d8-638dc7a0e8b5", "count": 1, "frequency": 0.0004}, {"name": "82b7ddca-ef5c-42c5-bb14-7d3586596fd5", "count": 1, "frequency": 0.0004}, {"name": "c1e72de4-cb77-469a-89ee-2c05d76a6776", "count": 1, "frequency": 0.0004}, {"name": "cdf7a0cb-c477-4232-b828-e8c359f2ebab", "count": 1, "frequency": 0.0004}, {"name": "ae48b442-283c-43f2-abae-98f98668815f", "count": 1, "frequency": 0.0004}, {"name": "58ff40be-5098-4b8c-bd34-16d81fad8636", "count": 1, "frequency": 0.0004}, {"name": "90f4bf59-199e-4e7f-a98b-82ce33f35697", "count": 1, "frequency": 0.0004}, {"name": "7544f32f-918d-46c0-af87-8251264c9a70", "count": 1, "frequency": 0.0004}, {"name": "9534f4fb-378f-4a23-b290-0b026c26d052", "count": 1, "frequency": 0.0004}, {"name": "73bc7e85-fe3d-4388-91dd-fa2b576888f0", "count": 1, "frequency": 0.0004}, {"name": "c7a8535a-55be-44fe-b538-f63541cac2fc", "count": 1, "frequency": 0.0004}, {"name": "142c53c2-bc95-4797-8bb1-c4664c71f0d4", "count": 1, "frequency": 0.0004}, {"name": "3c8f0bdc-db35-4f9b-9f19-35ee271a1ca6", "count": 1, "frequency": 0.0004}, {"name": "ed51f33e-5d96-4114-857e-8aeeb53a146d", "count": 1, "frequency": 0.0004}, {"name": "b7d81d12-e234-43ae-8524-4e33af44b7f4", "count": 1, "frequency": 0.0004}, {"name": "b15a057a-0946-4615-8c2b-b230da53a710", "count": 1, "frequency": 0.0004}, {"name": "91b6b56b-b76b-4dab-8168-83fd134f92f3", "count": 1, "frequency": 0.0004}, {"name": "579d9bfb-a4e1-4406-ba02-5506399743e7", "count": 1, "frequency": 0.0004}, {"name": "e93fa1d6-84ce-4c81-a471-1ed9386032a6", "count": 1, "frequency": 0.0004}, {"name": "ca506914-252a-4cde-868a-95c84122d202", "count": 1, "frequency": 0.0004}, {"name": "722da4db-5b06-4526-9393-ece08fdab980", "count": 1, "frequency": 0.0004}, {"name": "b6e7dc08-2f13-4618-927c-82a6103045ad", "count": 1, "frequency": 0.0004}, {"name": "ab13b5d6-df6c-4904-afb8-422bcfaef196", "count": 1, "frequency": 0.0004}, {"name": "718a02e7-5a51-479a-9980-606a4eb0f78a", "count": 1, "frequency": 0.0004}, {"name": "a432b6f7-3ec0-4da4-b542-f7d32e721519", "count": 1, "frequency": 0.0004}, {"name": "1260618d-e77c-4574-a53f-c6a9153593cf", "count": 1, "frequency": 0.0004}, {"name": "3e3d6933-5bc8-429d-a984-af0a1ccfbb8a", "count": 1, "frequency": 0.0004}, {"name": "b803ff6e-e61b-482e-b608-63105ed809e3", "count": 1, "frequency": 0.0004}, {"name": "576f90e9-14ee-491d-aeab-ca64f553e7c1", "count": 1, "frequency": 0.0004}, {"name": "6e2a470f-66c8-4a87-8216-6ec2995dafe3", "count": 1, "frequency": 0.0004}, {"name": "41573679-0fad-4f6d-8898-400c510673d6", "count": 1, "frequency": 0.0004}, {"name": "2e9aab8b-895f-4642-8d9e-e6724872a731", "count": 1, "frequency": 0.0004}, {"name": "de91e892-4eba-47e8-a589-a7699895f72a", "count": 1, "frequency": 0.0004}, {"name": "980342e7-eece-4cb3-82f5-63337fd9cd9b", "count": 1, "frequency": 0.0004}, {"name": "473aeeef-3eb4-49a7-b311-36139f8748c7", "count": 1, "frequency": 0.0004}, {"name": "7c59169d-0050-469b-9191-c523b45e7951", "count": 1, "frequency": 0.0004}, {"name": "92b53209-ed92-4cfa-acc8-cc956e250902", "count": 1, "frequency": 0.0004}, {"name": "2ffef211-8385-47b7-b377-0d98a01ab484", "count": 1, "frequency": 0.0004}, {"name": "dde07efb-58d8-42ac-b2cc-c47ce7d3a0e5", "count": 1, "frequency": 0.0004}, {"name": "cebb3e67-0f13-4b70-bf53-f7613f17a0b4", "count": 1, "frequency": 0.0004}, {"name": "f2c62fb6-cb0b-4f65-9805-ced37a0ab736", "count": 1, "frequency": 0.0004}, {"name": "0ea9aa3a-6d77-4607-b876-029b6013cbb3", "count": 1, "frequency": 0.0004}, {"name": "86e6703b-9932-416e-9f33-c8e2bc3f74d7", "count": 1, "frequency": 0.0004}, {"name": "51270036-a4bd-4f7c-b317-e019d69b94cf", "count": 1, "frequency": 0.0004}, {"name": "37324055-87f8-4b2c-9c05-0c6616df262d", "count": 1, "frequency": 0.0004}, {"name": "c94b392f-edfd-4f16-af2a-be583f386a0f", "count": 1, "frequency": 0.0004}, {"name": "b4a49c00-6212-4457-8a89-7104239b5ebc", "count": 1, "frequency": 0.0004}, {"name": "1466ebe3-2285-44da-a3a5-9e6bffdac458", "count": 1, "frequency": 0.0004}, {"name": "0c71645e-b786-41cf-877c-77d4cd6105f0", "count": 1, "frequency": 0.0004}, {"name": "ac307609-94ea-4be3-923b-8b39a3a96942", "count": 1, "frequency": 0.0004}, {"name": "e295f20a-6cb0-4b09-af4a-2e95b76e8e27", "count": 1, "frequency": 0.0004}, {"name": "8bc09dd4-072c-4333-b2d8-83cb7c0a0838", "count": 1, "frequency": 0.0004}, {"name": "901838eb-ab85-4959-a505-cbd64eabe790", "count": 1, "frequency": 0.0004}, {"name": "1f742e17-9f30-459e-aad6-025978d433b2", "count": 1, "frequency": 0.0004}, {"name": "1b4267dd-e4a1-4c26-b67b-040c75d690e5", "count": 1, "frequency": 0.0004}, {"name": "1b534a59-036e-4933-9a84-471e28356481", "count": 1, "frequency": 0.0004}, {"name": "720ccef4-4138-48af-8ead-e0fa7354eb7f", "count": 1, "frequency": 0.0004}, {"name": "b69dbe45-6120-45e5-ae93-889d0fb4f2ec", "count": 1, "frequency": 0.0004}, {"name": "5c94dd04-95fd-4168-80f2-04206b171a25", "count": 1, "frequency": 0.0004}, {"name": "698a4769-1549-4420-9932-c73cce174ed6", "count": 1, "frequency": 0.0004}, {"name": "755cb6bc-12b1-403e-a590-2121900bd55e", "count": 1, "frequency": 0.0004}, {"name": "3500803d-9d7f-4b50-b80e-11f25cbe022e", "count": 1, "frequency": 0.0004}, {"name": "06dd29f2-eed3-47c3-8821-49640dc2e39e", "count": 1, "frequency": 0.0004}, {"name": "1299f418-8bfe-4c6b-86a3-b22a044acdac", "count": 1, "frequency": 0.0004}, {"name": "83d430b7-58d8-4d0c-a766-c48220c1a965", "count": 1, "frequency": 0.0004}, {"name": "c09b3c3b-0ec6-4dca-b16a-7120cd0aa953", "count": 1, "frequency": 0.0004}, {"name": "456939d1-5a42-49b1-adb9-58894c5f3ff4", "count": 1, "frequency": 0.0004}, {"name": "23a425a6-d29d-4c97-aa8e-4c2a0570edec", "count": 1, "frequency": 0.0004}, {"name": "1161c0bb-1a2c-4654-bb8d-954b95b4379f", "count": 1, "frequency": 0.0004}, {"name": "57ac33af-bec0-4116-ac58-2a9b2be8bc32", "count": 1, "frequency": 0.0004}, {"name": "52eb201b-4134-4767-8d10-ea9226153b72", "count": 1, "frequency": 0.0004}, {"name": "aa797592-3bf0-42ef-b9b2-0c7bb0b4085a", "count": 1, "frequency": 0.0004}, {"name": "8966f049-130e-4018-811e-2b7c4e31e061", "count": 1, "frequency": 0.0004}, {"name": "84ff195d-6b1d-4c35-b458-a567503aa343", "count": 1, "frequency": 0.0004}, {"name": "a7f1a3b0-6f64-4ec0-b022-27a96b6e77a2", "count": 1, "frequency": 0.0004}, {"name": "84304740-4463-4da5-be09-851d49b5fa39", "count": 1, "frequency": 0.0004}, {"name": "eb3954d2-89df-4fec-ae1f-76603f863115", "count": 1, "frequency": 0.0004}, {"name": "8eac3ca0-1b24-435d-aec8-69b062e65ea5", "count": 1, "frequency": 0.0004}, {"name": "28418ea5-c0c5-402e-ab3c-8f4cf6895982", "count": 1, "frequency": 0.0004}, {"name": "3e30c009-5711-4138-9573-317d2570a3de", "count": 1, "frequency": 0.0004}, {"name": "a6418783-a0d4-4b1e-8c86-084c9791f67c", "count": 1, "frequency": 0.0004}, {"name": "0c1fc546-f189-4c06-8b89-cf68776e4bcd", "count": 1, "frequency": 0.0004}, {"name": "ec41acb6-7303-4672-b161-778338c8033f", "count": 1, "frequency": 0.0004}, {"name": "ddf03b7b-02c0-455a-af2f-28a1f94be4dc", "count": 1, "frequency": 0.0004}, {"name": "1ce10252-2d35-4c7c-a0e8-0bc88b1f78d5", "count": 1, "frequency": 0.0004}, {"name": "aa9cb865-bd08-40d5-89a8-281da5fe4053", "count": 1, "frequency": 0.0004}, {"name": "4e11a84b-7b2c-4447-b2e3-7d02bddb465e", "count": 1, "frequency": 0.0004}, {"name": "941c5932-4c0f-4f0d-beb3-873c4bc6eabd", "count": 1, "frequency": 0.0004}, {"name": "62917fe5-eb51-4690-97c0-31375e08bb8d", "count": 1, "frequency": 0.0004}, {"name": "9384fa04-0e1b-4e60-b5cf-bc7f16c6b0ed", "count": 1, "frequency": 0.0004}, {"name": "259ed71e-f64e-4af4-b2ec-2bed2bbcbcec", "count": 1, "frequency": 0.0004}, {"name": "e2de3b12-324a-4734-b70a-7c89025e10c3", "count": 1, "frequency": 0.0004}, {"name": "a2cea7d0-0c9e-4030-808d-ed5daa2f6e49", "count": 1, "frequency": 0.0004}, {"name": "79c9dbd1-af6f-43fb-89ea-3469e75e868f", "count": 1, "frequency": 0.0004}, {"name": "4efd4ae1-4fca-41b4-9ec1-eff71e630c07", "count": 1, "frequency": 0.0004}, {"name": "32e45f3e-43b6-4fc5-9e34-e6feec411809", "count": 1, "frequency": 0.0004}, {"name": "2fcb8978-6719-4589-83ca-94dac2ef61ba", "count": 1, "frequency": 0.0004}, {"name": "1414cb55-373c-4dc9-b528-4df20b8eeea8", "count": 1, "frequency": 0.0004}, {"name": "d16bd23a-0fd8-4a4b-8bb5-ed82707b1525", "count": 1, "frequency": 0.0004}, {"name": "b1d40e12-f764-4325-8c54-e7c8d88b30e3", "count": 1, "frequency": 0.0004}, {"name": "2c16e973-c820-4c24-8937-fce264127e5c", "count": 1, "frequency": 0.0004}, {"name": "71e4bfbd-e1c1-48ba-8f3d-df69b1c19490", "count": 1, "frequency": 0.0004}, {"name": "70a91373-d237-4f62-973a-59fec494ad08", "count": 1, "frequency": 0.0004}, {"name": "0f1cc141-6ff3-4748-ab4f-ab183bd72ce0", "count": 1, "frequency": 0.0004}, {"name": "eac53fca-987b-4ddf-aa8b-0ab8aedeab7d", "count": 1, "frequency": 0.0004}, {"name": "6014153f-3d0b-4f64-8bcb-c58a425776e9", "count": 1, "frequency": 0.0004}, {"name": "0061b6cb-bea8-48a5-b3e2-dc8648c00dfc", "count": 1, "frequency": 0.0004}, {"name": "59dadf6b-34c7-4663-b3de-d1122b61cf38", "count": 1, "frequency": 0.0004}, {"name": "d4bd02d9-4d1e-4c19-a7ff-78ebf86d681f", "count": 1, "frequency": 0.0004}, {"name": "5aaf1433-e0ee-451c-a5f1-1b8bd4f37bd6", "count": 1, "frequency": 0.0004}, {"name": "e8c9fc3e-f7e5-4ea6-922c-2402f4d36888", "count": 1, "frequency": 0.0004}, {"name": "6c4957f2-2cb0-4262-87ed-975c940ebdf9", "count": 1, "frequency": 0.0004}, {"name": "ec6ca4e6-20b6-4707-bb4f-7495cef4c7c9", "count": 1, "frequency": 0.0004}, {"name": "1d526b6b-8929-4272-8ef9-827e580d90ad", "count": 1, "frequency": 0.0004}, {"name": "4093df37-4708-49e7-a89a-aeba8b6a918e", "count": 1, "frequency": 0.0004}, {"name": "b7d4e914-f39c-448b-a8af-6bbd04a9c06c", "count": 1, "frequency": 0.0004}, {"name": "9caa3505-5c63-460e-94f1-c012b14c0bdd", "count": 1, "frequency": 0.0004}, {"name": "a6a33f48-5513-4602-8dba-d5c885af88bf", "count": 1, "frequency": 0.0004}, {"name": "7574de88-c0c3-4559-92c6-98f4d6ac9ce8", "count": 1, "frequency": 0.0004}, {"name": "526ca027-3089-458d-a82e-e45520ab51ca", "count": 1, "frequency": 0.0004}, {"name": "a24b02f2-01a4-4e80-8503-34dc664b8fa3", "count": 1, "frequency": 0.0004}, {"name": "b5ccf593-7f66-40e7-b15d-be3ce2e2966b", "count": 1, "frequency": 0.0004}, {"name": "e1bfb0ce-153b-4421-8fc4-e63cde87bb75", "count": 1, "frequency": 0.0004}, {"name": "a3f84dff-7377-42b2-a99a-b78d9d8dd1c8", "count": 1, "frequency": 0.0004}, {"name": "3b53f34a-b353-40c3-a291-8f7b423bc4ea", "count": 1, "frequency": 0.0004}, {"name": "c4e1cd9e-73f5-4034-978e-fedbe494b19e", "count": 1, "frequency": 0.0004}, {"name": "86f54994-d98e-4aec-96af-ccac7a3a35f3", "count": 1, "frequency": 0.0004}, {"name": "a81aeaa3-ba22-47bb-b2b3-6ffdf2e702fe", "count": 1, "frequency": 0.0004}, {"name": "555626a5-1879-4366-82cd-cf40dade6f1a", "count": 1, "frequency": 0.0004}, {"name": "f0fd6870-6c41-4f05-81e8-f717d3921560", "count": 1, "frequency": 0.0004}, {"name": "5a68a64c-99bb-4f15-89fa-fc6648f1ad26", "count": 1, "frequency": 0.0004}, {"name": "bfb4ba96-7a07-498f-a4cc-5cd70decb7e3", "count": 1, "frequency": 0.0004}, {"name": "11e67e66-bae9-402a-a8db-def0a7889add", "count": 1, "frequency": 0.0004}, {"name": "db70bf48-d5a0-4647-91e3-84dce72743e2", "count": 1, "frequency": 0.0004}, {"name": "5b89d12b-9f1f-484f-a545-e4ce5b267712", "count": 1, "frequency": 0.0004}, {"name": "a65152ca-5a24-42dc-9f4a-86f4aad0a76b", "count": 1, "frequency": 0.0004}, {"name": "4309cb67-06ac-4ee6-9a3e-c44e8139c03b", "count": 1, "frequency": 0.0004}, {"name": "5512c95e-0fb1-4926-ac77-bb93fa062b62", "count": 1, "frequency": 0.0004}, {"name": "5475224f-a0a0-4d46-a048-6a9e0738f404", "count": 1, "frequency": 0.0004}, {"name": "ed79efd6-5842-4724-8803-126694f3ef05", "count": 1, "frequency": 0.0004}, {"name": "d54061f7-ec2a-4d8f-a46a-5b254210ceca", "count": 1, "frequency": 0.0004}, {"name": "3bba672c-e7b6-45c2-b50a-91d4968557c1", "count": 1, "frequency": 0.0004}, {"name": "5c682e37-a88e-47a1-a897-7f73bf79806a", "count": 1, "frequency": 0.0004}, {"name": "1375d52d-2bf0-4dee-a794-d2810cca5314", "count": 1, "frequency": 0.0004}, {"name": "cc54b00e-a5ba-4bd6-944f-f685a58f5fb4", "count": 1, "frequency": 0.0004}, {"name": "4e022a7c-7122-4ead-ba53-212a95554152", "count": 1, "frequency": 0.0004}, {"name": "c80fbfea-26df-4c3a-b81c-bca3be3cb252", "count": 1, "frequency": 0.0004}, {"name": "0984f645-c045-4bb2-b8f3-4a6100f33288", "count": 1, "frequency": 0.0004}, {"name": "a4cd3b0e-76e9-4ea9-878d-73e96658b2f2", "count": 1, "frequency": 0.0004}, {"name": "6a91a52f-c960-42c4-8177-10ee63098414", "count": 1, "frequency": 0.0004}, {"name": "23564bd2-0c68-46be-9d5c-5de159201ea0", "count": 1, "frequency": 0.0004}, {"name": "cd2bf7bf-8c2c-4799-9c5b-aab370862cc1", "count": 1, "frequency": 0.0004}, {"name": "e5c5bb72-59a1-498f-9ce4-72a025cb3843", "count": 1, "frequency": 0.0004}, {"name": "2823e7e1-f315-467b-bdbf-866d89478fbb", "count": 1, "frequency": 0.0004}, {"name": "c4ec3298-aa7e-493c-a087-6a241f6e9579", "count": 1, "frequency": 0.0004}, {"name": "a4649b1d-5dc0-4223-a957-20c967fc3524", "count": 1, "frequency": 0.0004}, {"name": "f3b59c7a-646c-4fc2-a72d-24ce3d74f8b6", "count": 1, "frequency": 0.0004}, {"name": "4bd76082-e86c-4cf2-b02a-fb1ccb33462e", "count": 1, "frequency": 0.0004}, {"name": "a84ed476-d92f-40ac-a46c-5e00d956b040", "count": 1, "frequency": 0.0004}, {"name": "f4149c95-1746-407c-b06e-fb0041ea8639", "count": 1, "frequency": 0.0004}, {"name": "0fa5def2-34a4-40bf-8c56-2366ee003b0b", "count": 1, "frequency": 0.0004}, {"name": "dfefc955-613f-4a9e-8dba-0211806b4f95", "count": 1, "frequency": 0.0004}, {"name": "007f636e-ab11-4557-aa73-7d650d42fded", "count": 1, "frequency": 0.0004}, {"name": "c1c79878-c47c-4828-92e3-fef9cc4c1fa1", "count": 1, "frequency": 0.0004}, {"name": "217146bf-09ec-422c-8b90-e18d2922bc5d", "count": 1, "frequency": 0.0004}, {"name": "90868973-542c-4a88-afd9-09dc5d7e6782", "count": 1, "frequency": 0.0004}, {"name": "2a03a744-367e-4e96-b8d9-4a08dc1f2bc1", "count": 1, "frequency": 0.0004}, {"name": "b0f78ab4-f520-4873-a59b-937ca52a5af2", "count": 1, "frequency": 0.0004}, {"name": "37e92e7d-220b-438f-92ac-43316dca725b", "count": 1, "frequency": 0.0004}, {"name": "f64ef678-eb52-40f6-9af8-2a15223ad4df", "count": 1, "frequency": 0.0004}, {"name": "2da6833f-3df2-4473-aeb1-11b1f4a82a60", "count": 1, "frequency": 0.0004}, {"name": "aa340f34-76a5-4894-92a8-680112309c5f", "count": 1, "frequency": 0.0004}, {"name": "792da573-fe03-4205-af61-3e713796ed44", "count": 1, "frequency": 0.0004}, {"name": "daa54148-252f-4a2e-9ec8-6cf06f2c477e", "count": 1, "frequency": 0.0004}, {"name": "e2f6b856-20b4-459a-9235-2b196d7cf1e5", "count": 1, "frequency": 0.0004}, {"name": "debdeb7c-919d-4337-9985-36fa90ef0c80", "count": 1, "frequency": 0.0004}, {"name": "ab91af69-46cb-4a6c-969c-5e8d8f7dd705", "count": 1, "frequency": 0.0004}, {"name": "83c708b1-d8ab-4e02-ac33-f50c55b1a737", "count": 1, "frequency": 0.0004}, {"name": "4624dd0a-4a53-4e61-8281-f145e85fff53", "count": 1, "frequency": 0.0004}, {"name": "7c96c112-dcd0-4f34-9dc3-2e7f4008d986", "count": 1, "frequency": 0.0004}, {"name": "e1293b26-1f5d-4ae0-8453-e7a329214417", "count": 1, "frequency": 0.0004}, {"name": "7a9303d7-9958-4c43-a7d1-52cc7cad5937", "count": 1, "frequency": 0.0004}, {"name": "3a61226c-39dc-4f3e-85d8-5110a81a05a8", "count": 1, "frequency": 0.0004}, {"name": "e9db16b9-ce3b-462c-b203-15d32cd43aab", "count": 1, "frequency": 0.0004}, {"name": "45e64a94-7602-4fc1-9771-0b3c90d9f7b4", "count": 1, "frequency": 0.0004}, {"name": "2c0b3cfd-f1a1-4f20-82d0-0412315d3c5e", "count": 1, "frequency": 0.0004}, {"name": "ea31fd36-d311-41aa-ad3f-595bea9d259f", "count": 1, "frequency": 0.0004}, {"name": "9415b710-2d75-460c-ab78-ee87d5739d44", "count": 1, "frequency": 0.0004}, {"name": "5f0795c1-7855-4cbd-9de4-ea2392b05777", "count": 1, "frequency": 0.0004}, {"name": "0e07b52a-6aa3-4c8b-8169-5e3fce68929a", "count": 1, "frequency": 0.0004}, {"name": "205645c0-fbfb-45b7-99b0-e34043e5ad54", "count": 1, "frequency": 0.0004}, {"name": "12ef9947-2cf1-4550-86a5-d92e8c5b6642", "count": 1, "frequency": 0.0004}, {"name": "a04d43a0-c454-4b64-87de-f9aa0673b2b7", "count": 1, "frequency": 0.0004}, {"name": "81e4151c-55e8-440b-bd11-a5f1606328bf", "count": 1, "frequency": 0.0004}, {"name": "c9845934-548a-4f37-895d-8a889934f990", "count": 1, "frequency": 0.0004}, {"name": "212aecfb-bb25-40e2-92c1-879fe14558b0", "count": 1, "frequency": 0.0004}, {"name": "bebf679d-1873-4fba-a562-470625138f10", "count": 1, "frequency": 0.0004}, {"name": "6b2c0d58-5776-4aa7-b6f9-d56c93bfa4fc", "count": 1, "frequency": 0.0004}, {"name": "72a7784f-6c9a-4a6c-ad09-8d17b4cbb82a", "count": 1, "frequency": 0.0004}, {"name": "40a9d1a4-80f5-4cb6-bc63-c587531d4fad", "count": 1, "frequency": 0.0004}, {"name": "3844a96d-bc3b-4e2d-b7fe-e446f955f04a", "count": 1, "frequency": 0.0004}, {"name": "7318e858-ee2f-462b-98fd-7830cba303d8", "count": 1, "frequency": 0.0004}, {"name": "72f41b34-88bd-4d60-bb0e-1fe9be1087d1", "count": 1, "frequency": 0.0004}, {"name": "11c412cd-fe6d-415e-b1ed-737e756b77c2", "count": 1, "frequency": 0.0004}, {"name": "183e4a78-d82e-4dca-8421-4f0cfc586a4f", "count": 1, "frequency": 0.0004}, {"name": "18b6cd79-9b8d-4487-aa91-f3807b2b8024", "count": 1, "frequency": 0.0004}, {"name": "3ea0c534-28b6-4389-ac53-cc8ad3247f6b", "count": 1, "frequency": 0.0004}, {"name": "451d9277-12d3-4b6b-ab6c-3c44b8ce652e", "count": 1, "frequency": 0.0004}, {"name": "8a7cb569-372d-411e-9df7-1e35360d34f9", "count": 1, "frequency": 0.0004}, {"name": "b3cd1b76-9fed-4baf-ab29-5c6595f42198", "count": 1, "frequency": 0.0004}, {"name": "13b4db34-ea73-4a0c-babc-bc817fc6ccb6", "count": 1, "frequency": 0.0004}, {"name": "5046bab1-1c83-4103-b13e-242b56611f0a", "count": 1, "frequency": 0.0004}, {"name": "39e93547-3ad6-460a-a8a0-3cd43ac5fec6", "count": 1, "frequency": 0.0004}, {"name": "ad7dc248-d555-4065-84d6-1b474847834f", "count": 1, "frequency": 0.0004}, {"name": "aee30362-27c9-4066-96df-4351b41ecfd2", "count": 1, "frequency": 0.0004}, {"name": "cd1aee48-202b-42d2-b04e-267474f2b56b", "count": 1, "frequency": 0.0004}, {"name": "c85e43b7-f4bb-4430-921e-ec1a8dea6a8a", "count": 1, "frequency": 0.0004}, {"name": "db8582ef-1eb9-408d-9ba4-fc5091933522", "count": 1, "frequency": 0.0004}, {"name": "0f8fa558-06bc-4051-ae90-0bd651a84164", "count": 1, "frequency": 0.0004}, {"name": "b468cb18-b0d2-4e98-b4bb-b8870d57b973", "count": 1, "frequency": 0.0004}, {"name": "a516e5fa-b38d-4e02-9d79-a60e0549a220", "count": 1, "frequency": 0.0004}, {"name": "893f834f-0f3e-4992-b764-8866a41b66f2", "count": 1, "frequency": 0.0004}, {"name": "4574811c-98cf-438f-9721-eb414cfb8f40", "count": 1, "frequency": 0.0004}, {"name": "c1da43fb-1047-4e9a-ba60-fc233ac88289", "count": 1, "frequency": 0.0004}, {"name": "e51e3cbd-5e87-472f-a11b-17acafe97a2c", "count": 1, "frequency": 0.0004}, {"name": "064173a1-ad1f-4592-9792-43a378bbce47", "count": 1, "frequency": 0.0004}, {"name": "6ac7ace0-d109-4849-a612-b157bdd190d8", "count": 1, "frequency": 0.0004}, {"name": "24698adc-e1c3-4296-a773-334fa121ccc3", "count": 1, "frequency": 0.0004}, {"name": "ce4772b6-a280-43b9-957d-9fdf8d0a4347", "count": 1, "frequency": 0.0004}, {"name": "4de2b39c-6ddb-44f0-92f3-2399ea7db812", "count": 1, "frequency": 0.0004}, {"name": "49f90142-8164-46aa-a19b-0bc84cc93ba1", "count": 1, "frequency": 0.0004}, {"name": "ab70a3d5-9845-4804-892d-0ea935bcc23d", "count": 1, "frequency": 0.0004}, {"name": "22798ea6-9a1b-4e3d-b784-d67e2871feb7", "count": 1, "frequency": 0.0004}, {"name": "dd9caed8-bcd0-403d-92ae-88d579772a1c", "count": 1, "frequency": 0.0004}, {"name": "85c66df3-12e6-4510-b8d1-65c031564a8a", "count": 1, "frequency": 0.0004}, {"name": "feed2d42-d0c8-4b4b-ac37-0ce5d4b63b2c", "count": 1, "frequency": 0.0004}, {"name": "5ae17bc5-1c0f-4574-b152-d56a42ab116b", "count": 1, "frequency": 0.0004}, {"name": "daa96dfa-e458-409c-bea8-60c4f6e2f936", "count": 1, "frequency": 0.0004}, {"name": "495957a7-ac02-489d-a184-79c5b9cc2c9d", "count": 1, "frequency": 0.0004}, {"name": "faadf507-d447-4332-853d-ede6d1424748", "count": 1, "frequency": 0.0004}, {"name": "14778692-adcb-40be-89e2-93676d3313f2", "count": 1, "frequency": 0.0004}, {"name": "1124b4f6-8b57-46f7-814d-81da99cecd95", "count": 1, "frequency": 0.0004}, {"name": "11c8bec6-1d8e-48e1-abee-2348d3058076", "count": 1, "frequency": 0.0004}, {"name": "8fb171dc-1f53-459f-bc0e-602f0115a61d", "count": 1, "frequency": 0.0004}, {"name": "6c9c0a40-f7ac-4b29-b8c4-be1dafedcd04", "count": 1, "frequency": 0.0004}, {"name": "08c008ec-f63f-44eb-b83e-3ffc512a31a6", "count": 1, "frequency": 0.0004}, {"name": "0b127113-ff4a-4946-aa25-b3a41d2c3a20", "count": 1, "frequency": 0.0004}, {"name": "20b7557e-d51f-4d1b-9ca8-f23ffc46cd6d", "count": 1, "frequency": 0.0004}, {"name": "f04f80f9-f7b1-4303-92d1-4fa25add936a", "count": 1, "frequency": 0.0004}, {"name": "6a9c153a-cf12-484e-aa2b-3b8dbe9eac5a", "count": 1, "frequency": 0.0004}, {"name": "0c75b1dc-334b-47a2-8c09-aff0032e2837", "count": 1, "frequency": 0.0004}, {"name": "5b7f0e68-5b10-4fb4-9a73-4e601ba57ab6", "count": 1, "frequency": 0.0004}, {"name": "fad88355-6016-4834-9ddf-9ac067d08a33", "count": 1, "frequency": 0.0004}, {"name": "db43d4b6-2b46-4eef-87d9-6c5e9621f423", "count": 1, "frequency": 0.0004}, {"name": "478dcf21-ac19-4e8b-b07d-4c3f94c159c5", "count": 1, "frequency": 0.0004}, {"name": "b54ed17f-55c7-41fa-892a-bb507a7c20e0", "count": 1, "frequency": 0.0004}, {"name": "c1153b1b-85ac-441c-951d-57c68f0c73ef", "count": 1, "frequency": 0.0004}, {"name": "2977c69f-2595-4e69-a058-df3f5a2d3192", "count": 1, "frequency": 0.0004}, {"name": "8117d7a5-1532-4dd6-8964-d6f623439650", "count": 1, "frequency": 0.0004}, {"name": "1d6ecb24-ec62-42bb-9532-a97799889326", "count": 1, "frequency": 0.0004}, {"name": "56794498-2040-4a27-a668-b91fe68034ff", "count": 1, "frequency": 0.0004}, {"name": "33371134-5e16-4994-9e40-630ac9bdfffe", "count": 1, "frequency": 0.0004}, {"name": "53d39ce9-d230-43d2-9929-4623ed271205", "count": 1, "frequency": 0.0004}, {"name": "4c701516-f110-4c36-b7ee-925742b5e271", "count": 1, "frequency": 0.0004}, {"name": "70c74914-d675-453c-929b-fb2f14295dab", "count": 1, "frequency": 0.0004}, {"name": "f2813b21-c328-4ae8-9c93-377a2c737eea", "count": 1, "frequency": 0.0004}, {"name": "374b8e09-60a5-4c41-9408-46aab9bbd38f", "count": 1, "frequency": 0.0004}, {"name": "14839eed-8ba7-4986-8c9a-45ee5f934b27", "count": 1, "frequency": 0.0004}, {"name": "a5813d86-cdb1-4385-b70c-2866c3cf3623", "count": 1, "frequency": 0.0004}, {"name": "ccbbc145-9f54-4010-9da4-4330e81fcf9b", "count": 1, "frequency": 0.0004}, {"name": "44a9456c-a873-41f9-bd92-29676593c301", "count": 1, "frequency": 0.0004}, {"name": "90c4603c-4300-4eba-8ac2-f37c9175a5bb", "count": 1, "frequency": 0.0004}, {"name": "0c87220b-d4bd-47c8-81be-7cea2dc45435", "count": 1, "frequency": 0.0004}, {"name": "2a165669-123f-407e-82e5-36539f3a5deb", "count": 1, "frequency": 0.0004}, {"name": "6c080f42-a249-4fd9-8c0f-f559d107be61", "count": 1, "frequency": 0.0004}, {"name": "d8f219b3-a4d4-4246-876e-e8bc6340d543", "count": 1, "frequency": 0.0004}, {"name": "d0f9e4f1-4c24-4986-aba3-b6068853d22e", "count": 1, "frequency": 0.0004}, {"name": "6903f2b5-8cf2-48ea-9c89-d9189b6cbbab", "count": 1, "frequency": 0.0004}, {"name": "76dfe1f5-2a48-42e1-9372-c381e1e71203", "count": 1, "frequency": 0.0004}, {"name": "42840ba0-eeb4-4b95-8451-d975497795cc", "count": 1, "frequency": 0.0004}, {"name": "4070275d-54bf-4024-93b8-b76ce6136498", "count": 1, "frequency": 0.0004}, {"name": "eee55116-6ff5-4378-93a1-7ef45a8b79d3", "count": 1, "frequency": 0.0004}, {"name": "f5f90cca-d878-4564-959d-820eeacd9bb9", "count": 1, "frequency": 0.0004}, {"name": "96c97651-9762-410b-9a30-6f686e28fec9", "count": 1, "frequency": 0.0004}, {"name": "6a107708-c648-4615-b170-44b59d982e36", "count": 1, "frequency": 0.0004}, {"name": "f942c130-33d0-4c4f-86dd-a09a87ba706e", "count": 1, "frequency": 0.0004}, {"name": "ca922a55-5117-48c5-a648-2207250e679f", "count": 1, "frequency": 0.0004}, {"name": "5190818d-f65f-401f-aeb4-c333c1880985", "count": 1, "frequency": 0.0004}, {"name": "e0067bf0-581f-41c5-9baa-836cd0110880", "count": 1, "frequency": 0.0004}, {"name": "4fe40c06-b4e8-4418-8541-2b7cf18f977a", "count": 1, "frequency": 0.0004}, {"name": "f2b54511-edfe-4ea6-bd14-9b777d2e94f7", "count": 1, "frequency": 0.0004}, {"name": "b42fe4e7-9ebc-49a9-ad1f-49f41ebcb441", "count": 1, "frequency": 0.0004}, {"name": "e813124d-652e-4679-bc67-5474314c2383", "count": 1, "frequency": 0.0004}, {"name": "d34f4419-d418-4637-a04f-f9f849e6df82", "count": 1, "frequency": 0.0004}, {"name": "0dcad655-be6e-4d69-aa3d-7bf85a8af217", "count": 1, "frequency": 0.0004}, {"name": "1b549155-da08-48cb-a063-0fd86c116afb", "count": 1, "frequency": 0.0004}, {"name": "80580d99-0f3e-488c-9c0b-171f19258854", "count": 1, "frequency": 0.0004}, {"name": "91c6a4ef-626f-46f7-b013-b92bd324733f", "count": 1, "frequency": 0.0004}, {"name": "9f1191e8-8625-493c-8725-30d265ddf992", "count": 1, "frequency": 0.0004}, {"name": "2183632d-28e2-45bd-834f-d40a0ffcaa83", "count": 1, "frequency": 0.0004}, {"name": "03d1a7c0-7602-4f2c-b1c8-f292c7d19456", "count": 1, "frequency": 0.0004}, {"name": "89a426f4-dd83-454d-9a5c-bbce4d4d02ef", "count": 1, "frequency": 0.0004}, {"name": "3a118733-4aa7-4573-9b0f-0a5d151efccb", "count": 1, "frequency": 0.0004}, {"name": "8fb3bd09-07f7-4265-a7b9-63fa4c7ca694", "count": 1, "frequency": 0.0004}, {"name": "61683764-6861-4068-abdd-0af19c903b65", "count": 1, "frequency": 0.0004}, {"name": "e3e9f750-88d3-4dbc-9629-f0588172a23d", "count": 1, "frequency": 0.0004}, {"name": "c5deb08d-9ac1-45fb-abee-cc7835b754a6", "count": 1, "frequency": 0.0004}, {"name": "0767954f-714a-499e-9531-e62b0e3da1d5", "count": 1, "frequency": 0.0004}, {"name": "8902bc40-2b24-4843-aa1b-a3ec4a3ff3cf", "count": 1, "frequency": 0.0004}, {"name": "6c0180a6-2de5-48f9-82d5-b3951e0830ce", "count": 1, "frequency": 0.0004}, {"name": "23670681-c629-492c-b6ad-70ebef772d99", "count": 1, "frequency": 0.0004}, {"name": "888cd3c9-cdba-4dd7-8055-32e87d5cbfe1", "count": 1, "frequency": 0.0004}, {"name": "d4f8ac3b-2a67-430b-bb09-c83a5ba50837", "count": 1, "frequency": 0.0004}, {"name": "8ab00153-56a8-45d9-bb94-dfbbb92d120d", "count": 1, "frequency": 0.0004}, {"name": "f387bb33-eb9c-4b3d-acb1-7985d13a4cc8", "count": 1, "frequency": 0.0004}, {"name": "bc85e0ce-33c5-4023-958c-792d4e4b1e83", "count": 1, "frequency": 0.0004}, {"name": "7232584a-cd88-4c75-8e17-1161959dd398", "count": 1, "frequency": 0.0004}, {"name": "2ea20aa8-148d-48a0-8fb2-e3a93c612c11", "count": 1, "frequency": 0.0004}, {"name": "22c41288-2c38-4bc8-b77f-7982b0ea48b1", "count": 1, "frequency": 0.0004}, {"name": "ca3e2be8-97e6-41fd-8297-9c68d182c020", "count": 1, "frequency": 0.0004}, {"name": "843b2add-9d02-4493-96f8-a6a937e57abb", "count": 1, "frequency": 0.0004}, {"name": "7df4ef7b-fd6c-4feb-a5d9-d8f563713f90", "count": 1, "frequency": 0.0004}, {"name": "20717e78-fe37-4d57-b932-97c4555bb89d", "count": 1, "frequency": 0.0004}, {"name": "354450e5-633d-4f39-b060-f97c9e3da96a", "count": 1, "frequency": 0.0004}, {"name": "d52cf5d7-14f6-4dad-b218-f26eb08927b4", "count": 1, "frequency": 0.0004}, {"name": "30db4c47-3d28-4448-a0f1-56667a098c07", "count": 1, "frequency": 0.0004}, {"name": "f10c94b6-132e-4025-947c-4181a8f12754", "count": 1, "frequency": 0.0004}, {"name": "10f84530-5042-4079-aaa1-d0618c77a34d", "count": 1, "frequency": 0.0004}, {"name": "8d869926-fb6f-4941-b687-600a2a3eba38", "count": 1, "frequency": 0.0004}, {"name": "eddb552c-03e2-4f4f-a7b2-58bba0a92c61", "count": 1, "frequency": 0.0004}, {"name": "1bdd5485-3e18-4d57-9140-9384bf968732", "count": 1, "frequency": 0.0004}, {"name": "27cbd142-85bd-45ca-b811-95f0d8bbf541", "count": 1, "frequency": 0.0004}, {"name": "d46f2979-c13d-4f74-9b70-04f88c1cab9a", "count": 1, "frequency": 0.0004}, {"name": "3a4bc27f-903b-4c04-aa8b-65b5a33ac8a7", "count": 1, "frequency": 0.0004}, {"name": "416c7d1c-25e0-4dae-b608-5072afb9ec78", "count": 1, "frequency": 0.0004}, {"name": "9ce7886e-904b-43d0-8592-68bfe845e8b8", "count": 1, "frequency": 0.0004}, {"name": "0419b5c7-2966-46c4-820d-0fc43f6a4e17", "count": 1, "frequency": 0.0004}, {"name": "ef6f1a54-610d-47e9-bc12-86c1c2feb463", "count": 1, "frequency": 0.0004}, {"name": "f645fa4b-4edd-4296-aaa1-7d8110377e64", "count": 1, "frequency": 0.0004}, {"name": "697d81d5-0dbb-43d7-a89b-865d885b070f", "count": 1, "frequency": 0.0004}, {"name": "7e519b2a-3de8-47d7-973f-fdf4015ff029", "count": 1, "frequency": 0.0004}, {"name": "cc86c833-642f-45df-b925-49770efc2c2b", "count": 1, "frequency": 0.0004}, {"name": "981ee6c1-6638-45fe-802d-5a0d2b967416", "count": 1, "frequency": 0.0004}, {"name": "f1499463-5a35-4dcf-af9f-49a5ca8820bb", "count": 1, "frequency": 0.0004}, {"name": "f4ccaacb-41e7-4451-9b92-9346eb4282b3", "count": 1, "frequency": 0.0004}, {"name": "3cc00b8b-76fd-41a9-aabb-84ab12bb5664", "count": 1, "frequency": 0.0004}, {"name": "9d039fdc-6222-4134-bda9-3f8046a3addd", "count": 1, "frequency": 0.0004}, {"name": "b3bea214-f17b-48b8-a3d5-2944a67bfdc1", "count": 1, "frequency": 0.0004}, {"name": "e42ab841-1b21-4b49-af69-d015ec2dcfab", "count": 1, "frequency": 0.0004}, {"name": "9e796b64-3793-43ed-9820-9887324d580a", "count": 1, "frequency": 0.0004}, {"name": "e28668b5-acb1-47e7-ae84-18bed9efaa0c", "count": 1, "frequency": 0.0004}, {"name": "5da3a4f7-419b-4654-8f2b-cc56a923d6de", "count": 1, "frequency": 0.0004}, {"name": "988f51cc-5ed7-4564-b234-96fcbf5b4d18", "count": 1, "frequency": 0.0004}, {"name": "4db63090-4e2f-4940-8437-e74c646d9f5b", "count": 1, "frequency": 0.0004}, {"name": "bed664bd-c4d6-44ab-ae36-62a7245f5ead", "count": 1, "frequency": 0.0004}, {"name": "28a292bf-b985-4921-8fb3-d427c4dc0c4b", "count": 1, "frequency": 0.0004}, {"name": "6f929027-8057-44fb-b6e2-88289b936f62", "count": 1, "frequency": 0.0004}, {"name": "057daa78-04c5-461b-baca-c3efc2889ca0", "count": 1, "frequency": 0.0004}, {"name": "199c5963-e7f0-4d3b-bb7c-f5377db435fe", "count": 1, "frequency": 0.0004}, {"name": "8179dafe-4b22-40ea-aa9f-df4f8387acb9", "count": 1, "frequency": 0.0004}, {"name": "32e44dcc-79e5-4a3e-9010-edb5fecb2c32", "count": 1, "frequency": 0.0004}, {"name": "756029dc-1826-4e43-92a0-510aa9a4c774", "count": 1, "frequency": 0.0004}, {"name": "b81bd6d6-715b-43f8-8147-1a4ad047131a", "count": 1, "frequency": 0.0004}, {"name": "8d5fe1b3-d0af-406b-8e81-f6db3b90a4d8", "count": 1, "frequency": 0.0004}, {"name": "9e152ef1-50fb-4ce0-afc1-3acfa86cc7b4", "count": 1, "frequency": 0.0004}, {"name": "705bfac4-fa39-4073-92fe-66aaf3153e01", "count": 1, "frequency": 0.0004}, {"name": "6d430c85-d8cc-4d0f-922f-e880a4a3f998", "count": 1, "frequency": 0.0004}, {"name": "24fa23ee-6f40-4d3d-8d4b-959923942430", "count": 1, "frequency": 0.0004}, {"name": "ae13d38a-0519-47a6-b57c-9940228b7402", "count": 1, "frequency": 0.0004}, {"name": "1fcfee24-f60d-48d6-bd3a-267ce57b7693", "count": 1, "frequency": 0.0004}, {"name": "20814299-3e54-4b81-9a8a-1ddf5d07b96c", "count": 1, "frequency": 0.0004}, {"name": "d3f3f537-884d-4f0b-8ecc-5ce8db38b102", "count": 1, "frequency": 0.0004}, {"name": "f6fdef60-9df3-4df5-8a29-f269b79aa883", "count": 1, "frequency": 0.0004}, {"name": "1aaab4f0-72d5-4ecd-9fb8-c891e365b7e2", "count": 1, "frequency": 0.0004}, {"name": "05fa97ea-dd0f-4867-afd6-5baa13c3e9fd", "count": 1, "frequency": 0.0004}, {"name": "1443cd9a-ccc2-4f2b-a6e5-b41b3d141c57", "count": 1, "frequency": 0.0004}, {"name": "e203cf77-2804-4f84-8b2e-91dea226089a", "count": 1, "frequency": 0.0004}, {"name": "eb0568d7-89a9-494c-875f-4fe02c326d19", "count": 1, "frequency": 0.0004}, {"name": "8c841544-ac27-45ae-a973-9e6ce6c3fbd4", "count": 1, "frequency": 0.0004}, {"name": "d8510702-91ba-4155-9299-b16c04e6ee48", "count": 1, "frequency": 0.0004}, {"name": "770ecc0f-f515-48dc-a1a3-cc7321c7196c", "count": 1, "frequency": 0.0004}, {"name": "821bac84-54b3-4948-8f3b-e91742718363", "count": 1, "frequency": 0.0004}, {"name": "b23ac2aa-9508-4ccc-892d-04c3d28b2818", "count": 1, "frequency": 0.0004}, {"name": "c2de3f40-97a6-4dc4-be3a-8e1d7263980c", "count": 1, "frequency": 0.0004}, {"name": "69593369-efd6-47eb-b4c8-a8ec7cdbd20c", "count": 1, "frequency": 0.0004}, {"name": "97393a82-a7bd-404d-bf23-696f03ed4345", "count": 1, "frequency": 0.0004}, {"name": "5c1ec5df-ac5a-4391-8c93-27d2390d9b2e", "count": 1, "frequency": 0.0004}, {"name": "e95ee04d-e984-40d7-8a35-dea01f1da901", "count": 1, "frequency": 0.0004}, {"name": "6cb354e7-c2a8-4fad-9d31-9c3c037210a5", "count": 1, "frequency": 0.0004}, {"name": "7b3e6c75-6a29-4e34-bc0a-50edb0781aa6", "count": 1, "frequency": 0.0004}, {"name": "5142fc56-f94e-4f87-8b88-9d42064ee6e9", "count": 1, "frequency": 0.0004}, {"name": "ae5952ed-c8b6-4ee4-9a5c-1f56135d780b", "count": 1, "frequency": 0.0004}, {"name": "af666e68-6844-46ed-87ef-78d7c77592b1", "count": 1, "frequency": 0.0004}, {"name": "40a9fd54-bce7-4df9-b5e1-e2f5e3f540d3", "count": 1, "frequency": 0.0004}, {"name": "86431917-3f0a-466a-a275-b9aa9e1de50c", "count": 1, "frequency": 0.0004}, {"name": "d95bc13c-d26d-4cc7-bf76-9df076d686b1", "count": 1, "frequency": 0.0004}, {"name": "6b62b2b3-44f9-4d36-9863-c18417d0c072", "count": 1, "frequency": 0.0004}, {"name": "e9885a17-763d-4608-8bf9-3f4afb8c9449", "count": 1, "frequency": 0.0004}, {"name": "d4180e16-9665-4546-89b6-3a9f216169fa", "count": 1, "frequency": 0.0004}, {"name": "bea47285-146f-4913-ace1-c2d73a6986b3", "count": 1, "frequency": 0.0004}, {"name": "1dbc0ade-f39c-4779-a73b-a736b689588d", "count": 1, "frequency": 0.0004}, {"name": "ff45c05e-1aaf-4c36-9ed2-f52451d39c17", "count": 1, "frequency": 0.0004}, {"name": "fe97bff3-435c-4668-813c-616185369889", "count": 1, "frequency": 0.0004}, {"name": "7f0110da-e012-46f8-a9c8-0d6987e31243", "count": 1, "frequency": 0.0004}, {"name": "8a6e9d5f-2a15-4707-b496-824f7e582fd4", "count": 1, "frequency": 0.0004}, {"name": "70feef84-f58b-4a4b-9ff3-7a249c0c2b31", "count": 1, "frequency": 0.0004}, {"name": "a285c07b-39d4-4b2e-bbd9-ef1f28ef2400", "count": 1, "frequency": 0.0004}, {"name": "5f3f572f-46d9-4b55-bd2a-458393a54637", "count": 1, "frequency": 0.0004}, {"name": "6ff259ff-dbf1-401f-90ef-e0a4e0ab0398", "count": 1, "frequency": 0.0004}, {"name": "4d4bb07d-b6de-4af8-a6b7-7519f865f58f", "count": 1, "frequency": 0.0004}, {"name": "f17588e4-94e5-4e99-bdf8-3cac26a07816", "count": 1, "frequency": 0.0004}, {"name": "f714f7bf-1963-423c-9e6a-efe4ef72ac98", "count": 1, "frequency": 0.0004}, {"name": "62bbb55e-2f14-4bf5-9143-7d217e32ea87", "count": 1, "frequency": 0.0004}, {"name": "21b42452-589c-4d71-9ec4-1550766f71c5", "count": 1, "frequency": 0.0004}, {"name": "5da39c9b-3c18-470c-ad6f-390f57c9b407", "count": 1, "frequency": 0.0004}, {"name": "2b6c75ee-045f-44ea-a9ef-16e2e4bf0722", "count": 1, "frequency": 0.0004}, {"name": "e7f04a2c-2196-49a6-a352-4b208a69fdcd", "count": 1, "frequency": 0.0004}, {"name": "e992898f-534c-47a5-8626-51f0b5b1e275", "count": 1, "frequency": 0.0004}, {"name": "f185c4e4-d5d1-4baa-b4c0-c3132af4bcd5", "count": 1, "frequency": 0.0004}, {"name": "64a4ffbe-85cc-4da5-b4f4-1e631e21fcbb", "count": 1, "frequency": 0.0004}, {"name": "91f0741e-7fb0-4c47-af13-0937c5b18761", "count": 1, "frequency": 0.0004}, {"name": "7a95dee5-c5af-4015-962e-1a6c4fafe44f", "count": 1, "frequency": 0.0004}, {"name": "63e329e2-d626-43e4-bec5-989a819c12e0", "count": 1, "frequency": 0.0004}, {"name": "482f7142-5e59-425f-8e54-f5c4a4180c78", "count": 1, "frequency": 0.0004}, {"name": "5b4d7edb-a3a4-4d2b-ba37-a12b3c4afd9a", "count": 1, "frequency": 0.0004}, {"name": "6aaba919-9809-4726-81c4-4499deb9dd55", "count": 1, "frequency": 0.0004}, {"name": "08010d55-9dba-4487-b10e-3a4e3c545d6e", "count": 1, "frequency": 0.0004}, {"name": "360111aa-0fcd-4d8a-8ecd-e2a1593e957c", "count": 1, "frequency": 0.0004}, {"name": "559b314d-b701-45be-a3cd-4dc8ec0a744e", "count": 1, "frequency": 0.0004}, {"name": "6a1f93a4-f352-441f-b67b-8679b00f9d2c", "count": 1, "frequency": 0.0004}, {"name": "3df4f798-7486-4a9c-a8cb-e7269a3501d6", "count": 1, "frequency": 0.0004}, {"name": "426b520c-515e-421b-89ee-fa7783038452", "count": 1, "frequency": 0.0004}, {"name": "0e1285d1-21a7-44c4-a7aa-0d3b8372b09e", "count": 1, "frequency": 0.0004}, {"name": "ea53fcce-cafd-49b9-8cb6-1b1df5e0b3e6", "count": 1, "frequency": 0.0004}, {"name": "64d37205-a21b-4f1f-bb05-77102e85b3a8", "count": 1, "frequency": 0.0004}, {"name": "9f7e1031-4b3f-4b22-ba16-0b33ca593b4f", "count": 1, "frequency": 0.0004}, {"name": "2f6b438f-836e-418d-8850-2d9a0904349b", "count": 1, "frequency": 0.0004}, {"name": "8bf13997-ca02-4f77-9c0b-f31c15e5fda6", "count": 1, "frequency": 0.0004}, {"name": "b6ef5d48-5dfd-46cf-afba-8cc204c71e91", "count": 1, "frequency": 0.0004}, {"name": "c69221bc-bde8-4c78-83b6-ceee2c23805f", "count": 1, "frequency": 0.0004}, {"name": "510320f9-22d1-4656-9370-976e0c29b37c", "count": 1, "frequency": 0.0004}, {"name": "f987e4c0-03d9-4e12-879c-2f19912b1cbc", "count": 1, "frequency": 0.0004}, {"name": "5408ed60-5b68-4118-abe6-64eb01a11112", "count": 1, "frequency": 0.0004}, {"name": "942fe724-a478-4524-a3d2-4d4aa0bfd691", "count": 1, "frequency": 0.0004}, {"name": "6ac81dc4-2a77-4eb8-85ed-18bf883277f6", "count": 1, "frequency": 0.0004}, {"name": "4d498cd2-b180-4c0c-bd8a-a73ff238421e", "count": 1, "frequency": 0.0004}, {"name": "c6fc533d-852f-4ac1-bc6c-dd54d5ef361e", "count": 1, "frequency": 0.0004}, {"name": "2f99c242-2c88-475b-aa15-7f23ef7dea8b", "count": 1, "frequency": 0.0004}, {"name": "3f44e71d-2687-4ef2-8e8a-8f783b8a1ee8", "count": 1, "frequency": 0.0004}, {"name": "4272d3aa-f563-4ec8-b908-1e2b68969c41", "count": 1, "frequency": 0.0004}, {"name": "bb7b5a85-443f-4da5-8bb3-3027ac2bd281", "count": 1, "frequency": 0.0004}, {"name": "a5bae5a6-5166-478a-abb4-cd7cd751a3fd", "count": 1, "frequency": 0.0004}, {"name": "539b7646-7f6f-4d53-b30a-635350dfa117", "count": 1, "frequency": 0.0004}, {"name": "c9a46138-200f-4965-ba49-590adb7f5bde", "count": 1, "frequency": 0.0004}, {"name": "3d45315b-5f2a-4094-a5ed-d4c2610dca2d", "count": 1, "frequency": 0.0004}, {"name": "cce019d0-4ba8-4a42-be8d-711b98e9c766", "count": 1, "frequency": 0.0004}, {"name": "0d98ea05-639b-498c-aa15-681496ca3c38", "count": 1, "frequency": 0.0004}, {"name": "dca666e9-b8d4-45b4-b925-f495a8a2ffb8", "count": 1, "frequency": 0.0004}, {"name": "f9a5e0f5-3375-4aa2-bcfd-dad6d2eef1f2", "count": 1, "frequency": 0.0004}, {"name": "0999bbc4-c763-42cb-b479-ae3e5788f7e2", "count": 1, "frequency": 0.0004}, {"name": "d0717673-95bb-4f64-a44c-02f32b7b2001", "count": 1, "frequency": 0.0004}, {"name": "a9d2ac86-3b56-4beb-bfa6-2f3ecb5928be", "count": 1, "frequency": 0.0004}, {"name": "63b46a44-3e36-4906-9cd4-9e2e3443fdd8", "count": 1, "frequency": 0.0004}, {"name": "9859364b-fbb2-4a9a-a090-3ddbe80fd150", "count": 1, "frequency": 0.0004}, {"name": "3a9b11cd-5c97-45fa-837c-9105c69d0888", "count": 1, "frequency": 0.0004}, {"name": "107ca037-ab85-4688-9dfa-0271b96a9ca0", "count": 1, "frequency": 0.0004}, {"name": "86298833-3a81-4d26-bfe5-db935c97b36f", "count": 1, "frequency": 0.0004}, {"name": "837f41cc-04d4-4e9d-8aba-980b7b2e68f3", "count": 1, "frequency": 0.0004}, {"name": "6cc0277e-2685-4bad-9981-9054ee66da5a", "count": 1, "frequency": 0.0004}, {"name": "cb9cf8e3-0b7c-45f7-9075-0751d89aee6c", "count": 1, "frequency": 0.0004}, {"name": "62991d56-0133-4154-a88b-26423e153f44", "count": 1, "frequency": 0.0004}, {"name": "a7e64152-3e30-44e9-9137-73a2dbe1dce2", "count": 1, "frequency": 0.0004}, {"name": "53e7e69e-01d0-4852-adad-11c330e021ac", "count": 1, "frequency": 0.0004}, {"name": "a95adc8d-460e-4429-a768-2e42948a6220", "count": 1, "frequency": 0.0004}, {"name": "cef3eb46-e5ad-455c-8422-2d70e23feb15", "count": 1, "frequency": 0.0004}, {"name": "29ea1a87-c252-402f-8ba0-777b9b9f1202", "count": 1, "frequency": 0.0004}, {"name": "72e498c0-4bbd-44b3-8808-4006668b299c", "count": 1, "frequency": 0.0004}, {"name": "9fbc7b12-5662-432b-a0b1-24f1282fc249", "count": 1, "frequency": 0.0004}, {"name": "5ca98081-c8d8-4f8e-b0ed-24556eb712da", "count": 1, "frequency": 0.0004}, {"name": "ad534df9-bda6-4eaa-81f5-c834a9d632d1", "count": 1, "frequency": 0.0004}, {"name": "6456476e-cd79-411d-84d5-6cfa1d141416", "count": 1, "frequency": 0.0004}, {"name": "c0cee8fb-6ebe-40ae-adec-8db3db951b2c", "count": 1, "frequency": 0.0004}, {"name": "35491abd-774e-40f5-acec-ab1955a45b40", "count": 1, "frequency": 0.0004}, {"name": "60cf95dc-5ac8-4eeb-ba2c-283e2431aeaf", "count": 1, "frequency": 0.0004}, {"name": "cc806f12-ce8d-45e3-8e1a-6a94b689f98e", "count": 1, "frequency": 0.0004}, {"name": "a408bf59-6ab4-427a-8ce5-8401833296a3", "count": 1, "frequency": 0.0004}, {"name": "567a01ef-4088-43f9-83eb-1c0b3bca315f", "count": 1, "frequency": 0.0004}, {"name": "d67cbf9f-1e8e-40fe-938e-2645c76e71f5", "count": 1, "frequency": 0.0004}, {"name": "99743bd2-1a34-44dc-ac3c-b773c18b9ec8", "count": 1, "frequency": 0.0004}, {"name": "9d1854f0-a21a-4821-904c-939009e45272", "count": 1, "frequency": 0.0004}, {"name": "b9fd2ad4-81a4-4d56-8ea8-009d9afde655", "count": 1, "frequency": 0.0004}, {"name": "2b448915-b4fb-4bf3-93c1-b97854162dd9", "count": 1, "frequency": 0.0004}, {"name": "4ad223a9-d20a-4094-900b-115140efae2c", "count": 1, "frequency": 0.0004}, {"name": "23081156-309a-46bd-80b9-27b334eeab22", "count": 1, "frequency": 0.0004}, {"name": "f41b5952-4dcd-41cf-8b2e-e9231d4e6c5e", "count": 1, "frequency": 0.0004}, {"name": "0592f28b-9a2e-4de4-afc2-095adb26429f", "count": 1, "frequency": 0.0004}, {"name": "08fb5398-9c4a-4f8e-8b43-b6c46f7eb246", "count": 1, "frequency": 0.0004}, {"name": "60e8e36a-a8c0-48d9-8a54-248ca56e79b0", "count": 1, "frequency": 0.0004}, {"name": "e6f8ce44-cd12-4253-aed0-e18c8c89ab64", "count": 1, "frequency": 0.0004}, {"name": "2b8248c5-74f9-42e1-900b-ea3e977d9aa1", "count": 1, "frequency": 0.0004}, {"name": "b472579c-c99e-470f-a281-c9a4826f4d42", "count": 1, "frequency": 0.0004}, {"name": "aa004d46-36fd-423b-82a2-cd203105ba7c", "count": 1, "frequency": 0.0004}, {"name": "58cf6724-da77-4c0f-b60f-744868d6c22e", "count": 1, "frequency": 0.0004}, {"name": "2b161bc4-02c7-4fb8-8490-0bbfab8bb893", "count": 1, "frequency": 0.0004}, {"name": "21ec4769-8290-4a22-bad2-00d95e2c78b5", "count": 1, "frequency": 0.0004}, {"name": "4df23ae5-680e-4d7e-a19e-bf514b8da8c4", "count": 1, "frequency": 0.0004}, {"name": "c1b4644a-8c0e-41ac-88d8-d6defe63fc07", "count": 1, "frequency": 0.0004}, {"name": "1e2de48f-fcff-4031-a769-f668eede0053", "count": 1, "frequency": 0.0004}, {"name": "642c1143-9966-48db-bc7d-5750ead18f68", "count": 1, "frequency": 0.0004}, {"name": "972ac56f-7299-41fc-ba3d-81637c72f5ac", "count": 1, "frequency": 0.0004}, {"name": "de337339-d466-4bd9-9a6a-cb0d69a36950", "count": 1, "frequency": 0.0004}, {"name": "0b85aaaf-28c2-4553-a841-815f56c57f30", "count": 1, "frequency": 0.0004}, {"name": "181607c8-0327-44a2-a004-be4f3e3a1c42", "count": 1, "frequency": 0.0004}, {"name": "3871f9d9-a852-4107-ad60-523d933da1ce", "count": 1, "frequency": 0.0004}, {"name": "56d61ffc-eb8c-4749-a297-c549530db91d", "count": 1, "frequency": 0.0004}, {"name": "c7469e67-8e01-4b8f-b2a1-87ec6b0aa7b6", "count": 1, "frequency": 0.0004}, {"name": "211ee59b-13f4-4cbe-9058-216b65263a6b", "count": 1, "frequency": 0.0004}, {"name": "bc14da8a-0361-4a44-8927-f694f21a213b", "count": 1, "frequency": 0.0004}, {"name": "9529007d-585b-4669-9c2e-2cffbc4ed6f3", "count": 1, "frequency": 0.0004}, {"name": "a93169f3-993b-4110-9917-340e66ee2cb2", "count": 1, "frequency": 0.0004}, {"name": "ac2f87c5-347e-4d7c-a52a-3ecbaa71c49f", "count": 1, "frequency": 0.0004}, {"name": "551aa7e2-24f3-4fb1-9c5d-bbd8f0c685d0", "count": 1, "frequency": 0.0004}, {"name": "cddbf2ae-d3bd-4e56-96b9-377b3769e7ce", "count": 1, "frequency": 0.0004}, {"name": "85d7bece-4ae6-42f5-a9f3-b0c2afe98d66", "count": 1, "frequency": 0.0004}, {"name": "185cb556-9089-42ff-857a-db2ca0ca26f1", "count": 1, "frequency": 0.0004}, {"name": "3ecd8902-222e-4900-aafb-638333f35e62", "count": 1, "frequency": 0.0004}, {"name": "0223f18f-a760-4164-bd1d-58d453b2052f", "count": 1, "frequency": 0.0004}, {"name": "83b693d8-6f38-4920-9c53-b0e043d2ee2b", "count": 1, "frequency": 0.0004}, {"name": "cc12a901-7a6c-4bda-b1b8-67503b711d52", "count": 1, "frequency": 0.0004}, {"name": "f1a52e90-0c13-4e13-b72f-4ff736830cdd", "count": 1, "frequency": 0.0004}, {"name": "a6514d4a-4244-402f-b3b2-403a56a6dc57", "count": 1, "frequency": 0.0004}, {"name": "e2177205-ede6-454f-b40c-41c78cb05b46", "count": 1, "frequency": 0.0004}, {"name": "a11ec22a-8aae-4c60-b818-c7d00ef625b9", "count": 1, "frequency": 0.0004}, {"name": "c553c409-6bab-493f-827c-413926ef0a1e", "count": 1, "frequency": 0.0004}, {"name": "631adc8c-c0f6-4d8d-be79-39b1f699c975", "count": 1, "frequency": 0.0004}, {"name": "929dd8a4-f0c1-42c7-91be-8069ea1b7c21", "count": 1, "frequency": 0.0004}, {"name": "b805ef48-331f-4970-8676-80c0723dab77", "count": 1, "frequency": 0.0004}, {"name": "2a1452c7-b1dc-4ee2-9ced-cf0322f34664", "count": 1, "frequency": 0.0004}, {"name": "a4f01119-9313-4adb-8aba-21207e8802e0", "count": 1, "frequency": 0.0004}, {"name": "9364c76a-9b13-4242-a28b-6cca2cad38d1", "count": 1, "frequency": 0.0004}, {"name": "03040f34-5610-4bc2-9a5b-58c1205c07ce", "count": 1, "frequency": 0.0004}, {"name": "f4fc0670-00c7-4035-9ade-ed5dd34a81ff", "count": 1, "frequency": 0.0004}, {"name": "a9fdd3ef-5bc6-4e2d-b6ce-6cfd00db014b", "count": 1, "frequency": 0.0004}, {"name": "5b64c76d-5c16-4f80-9430-127841d3de63", "count": 1, "frequency": 0.0004}, {"name": "7a096a97-489e-486d-a98a-6c695ee7fe51", "count": 1, "frequency": 0.0004}, {"name": "8737d421-6134-4f5f-b425-35f21fa3ab92", "count": 1, "frequency": 0.0004}, {"name": "3635401a-5d83-428c-9dd8-4f9133975f48", "count": 1, "frequency": 0.0004}, {"name": "ae5a7629-8922-4325-b625-a89065908ffc", "count": 1, "frequency": 0.0004}, {"name": "7afc3e40-7ac1-4a1a-a29e-007c53cd6caa", "count": 1, "frequency": 0.0004}, {"name": "f90dc2b6-d1f8-440f-8251-2688f3bc5086", "count": 1, "frequency": 0.0004}, {"name": "220f60b7-ad5c-41a6-a8ba-a54a497f0914", "count": 1, "frequency": 0.0004}, {"name": "8dbebba8-e927-4678-b7ac-f358c1554aa8", "count": 1, "frequency": 0.0004}, {"name": "5362ace0-b67f-4dea-b4fc-d27412a17731", "count": 1, "frequency": 0.0004}, {"name": "14051844-7a5c-4c6c-be51-78f147b329b9", "count": 1, "frequency": 0.0004}, {"name": "b8bd6ac8-f3fc-4305-a08e-c0e4a74a82c5", "count": 1, "frequency": 0.0004}, {"name": "fc97a3b9-3d5b-4777-b4cb-efd40d69727c", "count": 1, "frequency": 0.0004}, {"name": "eb6d212f-e077-4ecc-a1ba-bb23806e800d", "count": 1, "frequency": 0.0004}, {"name": "60e69ee1-2e3f-4736-8fe9-831efc555000", "count": 1, "frequency": 0.0004}, {"name": "97b9f926-2cc4-4fb7-afee-2abfb8b799c9", "count": 1, "frequency": 0.0004}, {"name": "0e5996ef-2a26-4e97-8a44-f1e463c692cf", "count": 1, "frequency": 0.0004}, {"name": "ebc6a606-5cd9-4507-a85e-2ff72208b139", "count": 1, "frequency": 0.0004}, {"name": "d7747a44-0886-4d1f-9972-80c5a2591b88", "count": 1, "frequency": 0.0004}, {"name": "a3e60648-5980-4968-95db-391ff97a3752", "count": 1, "frequency": 0.0004}, {"name": "75f53ce0-1c8c-4887-90d3-4728dc367009", "count": 1, "frequency": 0.0004}, {"name": "dc196976-a1bb-4fdf-a992-820c83ebab5b", "count": 1, "frequency": 0.0004}, {"name": "1ed5da82-58d6-473c-9f5a-559e7aebdb0d", "count": 1, "frequency": 0.0004}, {"name": "cf409eaf-6a6a-4da8-a956-0d4e333f7201", "count": 1, "frequency": 0.0004}, {"name": "10b25ef0-a355-4ef5-b73e-36926680777a", "count": 1, "frequency": 0.0004}, {"name": "7daae200-05b4-4225-8418-b65ac2cae72e", "count": 1, "frequency": 0.0004}, {"name": "51045a50-42ce-4f83-9c1f-6f704d6f630d", "count": 1, "frequency": 0.0004}, {"name": "fc213358-dd00-47ef-9e27-d01fff120e0e", "count": 1, "frequency": 0.0004}, {"name": "a96d3b13-e7d0-41b2-a4f9-30587edb1bf0", "count": 1, "frequency": 0.0004}, {"name": "add50f00-6ed9-4ba6-b345-3bb7490aed5f", "count": 1, "frequency": 0.0004}, {"name": "b74f672b-be59-49f7-8f8e-88964a57404d", "count": 1, "frequency": 0.0004}, {"name": "16c4a2f2-22d6-4e46-bafb-b5d608fbdc8e", "count": 1, "frequency": 0.0004}, {"name": "45e8c41b-dc6f-4b0d-87bf-d3ee4095aa2e", "count": 1, "frequency": 0.0004}, {"name": "d73f384c-6f6f-4f82-91dd-769c0e55a3a4", "count": 1, "frequency": 0.0004}, {"name": "626177d2-6aa9-490a-b5bd-877c6674e8aa", "count": 1, "frequency": 0.0004}, {"name": "3c55f2dd-a5c0-4af3-bcf9-960e35e0a616", "count": 1, "frequency": 0.0004}, {"name": "a2008b03-1ef6-469b-ada6-8be6239ff4d3", "count": 1, "frequency": 0.0004}, {"name": "a7b53f66-6789-413b-b1cb-65932bff0c7b", "count": 1, "frequency": 0.0004}, {"name": "b27a0235-7d2c-4cea-9cb4-de331dcc47a6", "count": 1, "frequency": 0.0004}, {"name": "ad00b5a1-dd36-483f-9cee-1481f5eb5324", "count": 1, "frequency": 0.0004}, {"name": "acacf4eb-b1da-462a-bb09-5c1fcfff56d1", "count": 1, "frequency": 0.0004}, {"name": "f7dfdcd4-8d67-41f0-a3db-45c32cdb3411", "count": 1, "frequency": 0.0004}, {"name": "f9fd887e-8875-4454-93fe-635f3f8d3b5d", "count": 1, "frequency": 0.0004}, {"name": "536a0563-afd0-43b9-87b1-269ed24ccaa7", "count": 1, "frequency": 0.0004}, {"name": "74134e28-7554-4073-9755-e9bc68837b3d", "count": 1, "frequency": 0.0004}, {"name": "cbba4bc5-1bf2-45d1-929f-e3855b81be17", "count": 1, "frequency": 0.0004}, {"name": "30b9e8be-4274-45b7-8e28-0b67256dbeff", "count": 1, "frequency": 0.0004}, {"name": "cc88289d-072f-49b4-ac2d-f84a674adc7c", "count": 1, "frequency": 0.0004}, {"name": "b54c231e-c6f2-4a07-bbeb-3be81f6160cf", "count": 1, "frequency": 0.0004}, {"name": "2cb8f768-ce0b-42c7-a7f2-9ff6b249c530", "count": 1, "frequency": 0.0004}, {"name": "522eca78-4b48-4913-ae60-16331c493898", "count": 1, "frequency": 0.0004}, {"name": "0982b66c-8c52-47cf-aa85-da0aa849ee50", "count": 1, "frequency": 0.0004}, {"name": "98848284-1034-4d31-bd83-c0789f719978", "count": 1, "frequency": 0.0004}, {"name": "a758fd15-13c5-4d99-a0e4-243615e472c3", "count": 1, "frequency": 0.0004}, {"name": "033ede00-ba29-40b7-ba7d-c28dfc701bb5", "count": 1, "frequency": 0.0004}, {"name": "b4dae661-c964-4bd1-a09d-23dc9b54ff6f", "count": 1, "frequency": 0.0004}, {"name": "aac24c61-8df7-4402-a1f1-709f8df13c41", "count": 1, "frequency": 0.0004}, {"name": "5d57901e-747b-4813-9267-458a22008137", "count": 1, "frequency": 0.0004}, {"name": "bb79cd8d-0afd-4a66-8839-878e862b203d", "count": 1, "frequency": 0.0004}, {"name": "7d3d0035-4884-48ab-8904-745f3b5ae5d7", "count": 1, "frequency": 0.0004}, {"name": "56ff72b9-89d9-40af-8031-cb8bf6cccea3", "count": 1, "frequency": 0.0004}, {"name": "dc9b67fc-5fc2-42b2-8f47-6ab7ab6174e1", "count": 1, "frequency": 0.0004}, {"name": "f7f32119-6de8-4ac5-bd45-5ea873e1c462", "count": 1, "frequency": 0.0004}, {"name": "904ad806-08fe-4529-a85a-f7d079543627", "count": 1, "frequency": 0.0004}, {"name": "6f4437d9-9a2d-4431-97e1-8d219c8d50c4", "count": 1, "frequency": 0.0004}, {"name": "2b7138dc-b76d-4d3b-9ad1-6ebf32709db0", "count": 1, "frequency": 0.0004}, {"name": "972f2951-140f-45a7-ad83-244f2cee4cd8", "count": 1, "frequency": 0.0004}, {"name": "f7cdb89c-8c03-434b-b8d0-6b3e9aa9a9c8", "count": 1, "frequency": 0.0004}, {"name": "cb1c2d88-5b89-47ca-82e5-1f3be453e608", "count": 1, "frequency": 0.0004}, {"name": "a6fa0dc1-4090-44dc-bde7-e877586f07a6", "count": 1, "frequency": 0.0004}, {"name": "fe3c71e5-bef5-4db4-b591-74d8643b39c5", "count": 1, "frequency": 0.0004}, {"name": "ae3113e4-bc27-49e1-aa70-3ffef5d752c4", "count": 1, "frequency": 0.0004}, {"name": "d7af3a77-5d98-4d66-bea3-0386e5c78010", "count": 1, "frequency": 0.0004}, {"name": "f09a0855-5174-46da-bf51-dd27f10f30d7", "count": 1, "frequency": 0.0004}, {"name": "06f16a5d-08cb-45c0-a071-8da88a69937a", "count": 1, "frequency": 0.0004}, {"name": "1746bcf3-dddd-46af-8594-844db654ad37", "count": 1, "frequency": 0.0004}, {"name": "140edfa5-fcd0-44d6-a3ec-b9dd32923b8a", "count": 1, "frequency": 0.0004}, {"name": "66685400-447c-4595-9df3-466470aaeda2", "count": 1, "frequency": 0.0004}, {"name": "a7f57118-7474-4b0e-b62e-480db63086a7", "count": 1, "frequency": 0.0004}, {"name": "852170de-b123-4e1a-8377-ffebea60a042", "count": 1, "frequency": 0.0004}, {"name": "8a535f27-bc95-4c6b-be98-472e8847eee7", "count": 1, "frequency": 0.0004}, {"name": "6f35270d-0344-4719-a197-fd5af019e5f2", "count": 1, "frequency": 0.0004}, {"name": "2bfa1791-77b0-4ab8-8c50-2052c88b63fb", "count": 1, "frequency": 0.0004}, {"name": "9259feb4-c6db-4b8a-bca2-1150484696ba", "count": 1, "frequency": 0.0004}, {"name": "fd819659-0fb1-41ce-bd8e-d0efa4e1b93b", "count": 1, "frequency": 0.0004}, {"name": "d627cc8e-217c-48a1-be71-5938f421194e", "count": 1, "frequency": 0.0004}, {"name": "2b5d99fa-0b1c-499d-8422-fc15ef502462", "count": 1, "frequency": 0.0004}, {"name": "29db50f8-a1b5-44e6-96f5-88f0b72ef22a", "count": 1, "frequency": 0.0004}, {"name": "1bffe45f-5021-407b-a35b-0aad6eea6acf", "count": 1, "frequency": 0.0004}, {"name": "266e96ff-ee2d-4e45-9e18-4c464756a328", "count": 1, "frequency": 0.0004}, {"name": "b8d7ed15-3939-4b78-9317-3523e63f2b7d", "count": 1, "frequency": 0.0004}, {"name": "b6a94651-fab6-4785-b491-72dc2e78e0e6", "count": 1, "frequency": 0.0004}, {"name": "4ef0e12e-8784-4ec4-a0c8-10a16443e84b", "count": 1, "frequency": 0.0004}, {"name": "825e0cc6-535e-4ebc-9f67-91199bf51a6c", "count": 1, "frequency": 0.0004}, {"name": "47af1ba1-3609-48bc-b529-d6ad84a27a13", "count": 1, "frequency": 0.0004}, {"name": "89a8be26-62dd-4f32-a728-c14e53205302", "count": 1, "frequency": 0.0004}, {"name": "b58bc737-3e4d-4f07-87c6-15c40127dead", "count": 1, "frequency": 0.0004}, {"name": "fac44a8c-8a39-491d-9c00-c82b431034ac", "count": 1, "frequency": 0.0004}, {"name": "65836387-f982-405d-8cfe-391305a5df8a", "count": 1, "frequency": 0.0004}, {"name": "5082ec59-4c31-4d5c-9d87-8c8b3d2af0a0", "count": 1, "frequency": 0.0004}, {"name": "2dafe24c-f048-4344-bab7-1b92be1b4a9c", "count": 1, "frequency": 0.0004}, {"name": "f0f86430-79ba-4c53-9f18-8edcbb7e33e0", "count": 1, "frequency": 0.0004}, {"name": "90aed619-26af-4576-b4ab-782963effd30", "count": 1, "frequency": 0.0004}, {"name": "886d7838-7d8b-4fc2-ab08-1b6a31cfc040", "count": 1, "frequency": 0.0004}, {"name": "85354bf9-7fd3-4097-9938-5671c9378645", "count": 1, "frequency": 0.0004}, {"name": "357e6e06-4947-4530-a03d-e328946ed4fc", "count": 1, "frequency": 0.0004}, {"name": "fad6254b-5d6b-43e2-a94e-7ad6f09ca2ef", "count": 1, "frequency": 0.0004}, {"name": "35ac1929-4a14-41a5-8dca-847e238455a1", "count": 1, "frequency": 0.0004}, {"name": "e021b665-92cc-475f-8c93-ad0db9356418", "count": 1, "frequency": 0.0004}, {"name": "b3a5658b-0206-4466-9217-6c6d8ad12af7", "count": 1, "frequency": 0.0004}, {"name": "99f5628a-8140-4018-bf63-a0b46d483e9b", "count": 1, "frequency": 0.0004}, {"name": "a226d9a0-c0ba-4ad0-9a39-3afbee8cad35", "count": 1, "frequency": 0.0004}, {"name": "647bf091-4e1b-4ed4-a93d-3fc904ab72e6", "count": 1, "frequency": 0.0004}, {"name": "223f6963-c96e-4a66-96d1-2b386144b051", "count": 1, "frequency": 0.0004}, {"name": "e6d5ae5c-7d82-4c85-9919-78ddf6e557ee", "count": 1, "frequency": 0.0004}, {"name": "013c4626-d845-4201-b6e3-b655d39a3d7c", "count": 1, "frequency": 0.0004}, {"name": "df171b35-82d8-43f4-b25c-d6aff817dee4", "count": 1, "frequency": 0.0004}, {"name": "18842a1d-5265-412b-9b70-169f3025f5d8", "count": 1, "frequency": 0.0004}, {"name": "f67eb7d6-a087-4397-b193-f30af9f686b5", "count": 1, "frequency": 0.0004}, {"name": "64f24c35-85c6-4fc6-af88-ceab2fbf77af", "count": 1, "frequency": 0.0004}, {"name": "3db8bd60-4442-4328-aa3c-ebbc79448297", "count": 1, "frequency": 0.0004}, {"name": "299947fa-f4a1-4cdf-9fc6-a0d243692ae5", "count": 1, "frequency": 0.0004}, {"name": "8b010a20-3c04-40ec-a09d-f8490a6a4f97", "count": 1, "frequency": 0.0004}, {"name": "a8f1231b-0044-4f87-b245-f6cca7ed0c34", "count": 1, "frequency": 0.0004}, {"name": "a0903532-4dfe-4b21-91ff-19b31ce6bcef", "count": 1, "frequency": 0.0004}, {"name": "da0f4553-ab20-47c3-b2be-7551828e9838", "count": 1, "frequency": 0.0004}, {"name": "c8e99e71-fc49-4df8-b992-2f4ea2528cd3", "count": 1, "frequency": 0.0004}, {"name": "efd62469-4cf4-4098-b606-5191ec315ccc", "count": 1, "frequency": 0.0004}, {"name": "91f7ac92-c845-4955-8a34-fc2e45832e5c", "count": 1, "frequency": 0.0004}, {"name": "85663ed3-10fb-4b11-a665-c6c67ae9ba35", "count": 1, "frequency": 0.0004}, {"name": "180fc789-f0a2-4279-99dd-96fffb10f5e7", "count": 1, "frequency": 0.0004}, {"name": "c222a0f9-df56-4888-8037-f1634c864db5", "count": 1, "frequency": 0.0004}, {"name": "6c5b230f-da42-4ec1-879d-066196786902", "count": 1, "frequency": 0.0004}, {"name": "6b3666fd-bd21-4508-a36b-2670e0bdfda7", "count": 1, "frequency": 0.0004}, {"name": "245c3f91-568d-4113-af7d-44c915a69794", "count": 1, "frequency": 0.0004}, {"name": "842418b0-9a27-4810-ae20-506fe470c89c", "count": 1, "frequency": 0.0004}, {"name": "141989fb-2a89-45b9-8fac-8b4551d1ff5b", "count": 1, "frequency": 0.0004}, {"name": "cae98adc-f20c-4b2d-aa36-479401c5d724", "count": 1, "frequency": 0.0004}, {"name": "26ab848d-5d58-4cc9-96f2-f7fcfdb651da", "count": 1, "frequency": 0.0004}, {"name": "696a7d9a-694b-461f-bae8-61d9ca408215", "count": 1, "frequency": 0.0004}, {"name": "cbe1558c-a999-4fe0-a9ac-417d3e38d51c", "count": 1, "frequency": 0.0004}, {"name": "a5618ca2-6d97-49f6-8590-ca674eb2e6d0", "count": 1, "frequency": 0.0004}, {"name": "e58f5afe-faf0-4127-998e-03d68e238957", "count": 1, "frequency": 0.0004}, {"name": "d2227e4e-107c-4ec6-8a01-e72f3e0b8aa4", "count": 1, "frequency": 0.0004}, {"name": "f164d4b3-e8ed-4c01-848a-3f0c32186150", "count": 1, "frequency": 0.0004}, {"name": "8d52009e-dbb5-409f-87cf-f146db006761", "count": 1, "frequency": 0.0004}, {"name": "bd949db9-f6bc-4b1d-8da1-6977e8fcf107", "count": 1, "frequency": 0.0004}, {"name": "4287b84e-9907-454a-a7b0-43d5bbc787f1", "count": 1, "frequency": 0.0004}, {"name": "c0f87bf1-2d3b-4859-afaa-00000a05beac", "count": 1, "frequency": 0.0004}, {"name": "19f6368a-0e4d-4d85-a847-c3c5d2311dab", "count": 1, "frequency": 0.0004}, {"name": "f45bc9a6-689f-4621-92ef-8b25e370ddda", "count": 1, "frequency": 0.0004}, {"name": "1135214c-6d66-4187-9a41-58e058c9d60e", "count": 1, "frequency": 0.0004}, {"name": "8a4d952f-cf48-4e74-98e0-d274b1b565ba", "count": 1, "frequency": 0.0004}, {"name": "aaa48d12-94f6-4c24-a603-95caa06f448b", "count": 1, "frequency": 0.0004}, {"name": "20e7997b-4ea9-4009-87ac-2a9eab36f24c", "count": 1, "frequency": 0.0004}, {"name": "29d351f2-6436-4cc7-ac12-0b25ca34b893", "count": 1, "frequency": 0.0004}, {"name": "02befc4f-fb6c-40dc-82b7-775cd22d999f", "count": 1, "frequency": 0.0004}, {"name": "2183b689-caa7-4854-8ce5-c3f1cd32398b", "count": 1, "frequency": 0.0004}, {"name": "94ad45ef-57f9-4c52-ac3a-febbbfc5a35d", "count": 1, "frequency": 0.0004}, {"name": "2a9a823b-e7a6-4ee2-a55a-153339463c7e", "count": 1, "frequency": 0.0004}, {"name": "e2046a9d-83c7-49a7-8329-23a81dbc621d", "count": 1, "frequency": 0.0004}, {"name": "b9c57d05-4419-42f5-bc6a-56e2ed6abe86", "count": 1, "frequency": 0.0004}, {"name": "d2569664-05c1-4a8b-b535-ccee47b8f811", "count": 1, "frequency": 0.0004}, {"name": "d8c81eb0-8665-4b7d-8286-39e45b4ef050", "count": 1, "frequency": 0.0004}, {"name": "5d520627-e375-447a-9a8c-0e7171e947c6", "count": 1, "frequency": 0.0004}, {"name": "b8b14358-b0e7-4563-b3b4-f110f9f5a4d5", "count": 1, "frequency": 0.0004}, {"name": "b57a83c6-2a06-4fbb-920e-3dbeb1195f56", "count": 1, "frequency": 0.0004}, {"name": "357670c6-47eb-4c36-ae7e-2ad58406edcd", "count": 1, "frequency": 0.0004}, {"name": "d440fc6e-b685-45a9-9393-df37572c5fa7", "count": 1, "frequency": 0.0004}, {"name": "e352de23-0728-44ea-bfe2-83d69de1bf72", "count": 1, "frequency": 0.0004}, {"name": "a2ed2a9f-8042-4418-9041-ea1dca31badc", "count": 1, "frequency": 0.0004}, {"name": "ea378b63-0d8f-4438-a57a-5e7d232c04ef", "count": 1, "frequency": 0.0004}, {"name": "e6c87de8-205b-4bb0-a9ac-2532d10e13af", "count": 1, "frequency": 0.0004}, {"name": "fe7abcee-7ea7-41a5-a705-cda3d68b5cce", "count": 1, "frequency": 0.0004}, {"name": "a1ce4478-a245-481e-ad09-9a437742854a", "count": 1, "frequency": 0.0004}, {"name": "cdfc5db9-fb12-4783-b9a0-c1f3dd498e3c", "count": 1, "frequency": 0.0004}, {"name": "8ea5f137-81f9-4d1f-a1c4-77cd7e35208b", "count": 1, "frequency": 0.0004}, {"name": "0dcd6336-1ad1-4c72-8396-9165d9c4b39c", "count": 1, "frequency": 0.0004}, {"name": "21a22d9d-c70f-42e9-a4a8-8c00855d5bf9", "count": 1, "frequency": 0.0004}, {"name": "a1de8c2e-3eaa-4edf-9e99-3a8845898414", "count": 1, "frequency": 0.0004}, {"name": "e7c895ba-ca7f-4c0e-affc-602ebb2edd28", "count": 1, "frequency": 0.0004}, {"name": "ff82ca95-0786-4608-a472-87faecf332f6", "count": 1, "frequency": 0.0004}, {"name": "ab4baeba-1385-4348-bc6f-c3b299b384e7", "count": 1, "frequency": 0.0004}, {"name": "eb104eae-f9a2-422c-bddf-fa6831c9f4dc", "count": 1, "frequency": 0.0004}, {"name": "4fbb92f4-cd39-444a-b9ae-883c0df85c93", "count": 1, "frequency": 0.0004}, {"name": "afd514b0-807d-4368-8c9f-dcb4ed654d6a", "count": 1, "frequency": 0.0004}, {"name": "4543727e-bca3-4f6b-aed4-f2813538369a", "count": 1, "frequency": 0.0004}, {"name": "e5f9ba1d-cb95-4642-9dfc-771aca7eec20", "count": 1, "frequency": 0.0004}, {"name": "73f133d2-3a97-4946-8bca-914f603cf02c", "count": 1, "frequency": 0.0004}, {"name": "2df4dc85-ecb5-4d24-a955-b3c49df2d733", "count": 1, "frequency": 0.0004}, {"name": "c9356210-258a-409e-b233-2f359a521a70", "count": 1, "frequency": 0.0004}, {"name": "b79852bd-cf7a-4681-b1c9-4af0a192e15f", "count": 1, "frequency": 0.0004}, {"name": "53565e69-30ff-4533-afe8-cc78a7bc98ea", "count": 1, "frequency": 0.0004}, {"name": "b3f31efc-4e4e-4927-afc9-4f8d964e7663", "count": 1, "frequency": 0.0004}, {"name": "9ee8d072-f8c8-4404-9c51-b8c73a143b2a", "count": 1, "frequency": 0.0004}, {"name": "730252fc-81bc-4bb1-be28-d2dec0392cbc", "count": 1, "frequency": 0.0004}, {"name": "00517a6e-24b4-4a2d-a9a6-c9e460d660eb", "count": 1, "frequency": 0.0004}, {"name": "f3783bac-211f-48b1-b74b-6659a6411c0c", "count": 1, "frequency": 0.0004}, {"name": "0c685a4e-5c72-4f65-bb78-dbb65ebae77d", "count": 1, "frequency": 0.0004}, {"name": "f23f9e2f-147a-4055-b848-e21ddc00fe45", "count": 1, "frequency": 0.0004}, {"name": "f044e68b-9bdd-41b9-9c09-bc3b12e4ebbd", "count": 1, "frequency": 0.0004}, {"name": "50f2ff94-d5c6-41db-b250-773ec6bd27cb", "count": 1, "frequency": 0.0004}, {"name": "6fe33067-3868-484e-94d9-7a59a94917f0", "count": 1, "frequency": 0.0004}, {"name": "bc530fa4-2e58-4c3a-8b69-7f01ae4d8f3a", "count": 1, "frequency": 0.0004}, {"name": "0ea779ff-26b2-40ce-be70-1d088fec7ca4", "count": 1, "frequency": 0.0004}, {"name": "9d514e22-bb1c-42aa-9eab-63f4993857c7", "count": 1, "frequency": 0.0004}, {"name": "589a82fa-9e46-423a-ae40-c5b2aa9086b1", "count": 1, "frequency": 0.0004}, {"name": "f2ba3b18-45ce-4a8b-85f0-102068770faf", "count": 1, "frequency": 0.0004}, {"name": "4bf5fbe7-a256-4db3-a840-96412868554f", "count": 1, "frequency": 0.0004}, {"name": "d211661c-7618-40fb-b6de-10880f747bf9", "count": 1, "frequency": 0.0004}, {"name": "ac724991-dfd3-48e3-be5c-8b4e3a62acc5", "count": 1, "frequency": 0.0004}, {"name": "f96856e2-9715-4332-9a29-e029240da869", "count": 1, "frequency": 0.0004}, {"name": "62f9f3e5-5620-4524-9ac1-d2d0f655f6b0", "count": 1, "frequency": 0.0004}, {"name": "77a702ad-2147-4c1e-98b6-1121692b458c", "count": 1, "frequency": 0.0004}, {"name": "d6ca4e76-7abf-4107-808c-01dc83505176", "count": 1, "frequency": 0.0004}, {"name": "23a4b5ac-c68d-445d-bb99-502c364a34c5", "count": 1, "frequency": 0.0004}, {"name": "f809db28-3751-4559-9948-4b382f39fc1a", "count": 1, "frequency": 0.0004}, {"name": "350fa0d1-1be4-4d4d-b415-92b940595d50", "count": 1, "frequency": 0.0004}, {"name": "dfd61170-1a4c-41a2-ac01-2b01874159d8", "count": 1, "frequency": 0.0004}, {"name": "a39b5717-c27b-4744-8b2f-637de40d87d5", "count": 1, "frequency": 0.0004}, {"name": "1f88ccb2-3760-4a9c-bb57-5c34d371582d", "count": 1, "frequency": 0.0004}, {"name": "6fa7d686-badc-4bf3-89ab-5b447a071e54", "count": 1, "frequency": 0.0004}, {"name": "a03dc149-aec1-4bc2-8f5a-d6d7e24a051e", "count": 1, "frequency": 0.0004}, {"name": "a021bfa5-87e1-4bd1-b063-4d079596e2f4", "count": 1, "frequency": 0.0004}, {"name": "de15e760-c4a0-4da2-8be2-078d2871c18a", "count": 1, "frequency": 0.0004}, {"name": "4d23afaf-1f40-44a9-b2f2-637ed843e770", "count": 1, "frequency": 0.0004}, {"name": "ab6f0142-461c-400d-9b54-88b723fd0604", "count": 1, "frequency": 0.0004}, {"name": "bdc168fc-846f-4e44-8871-eef360ecb331", "count": 1, "frequency": 0.0004}, {"name": "4d053853-9737-455c-bcbb-494d376d212b", "count": 1, "frequency": 0.0004}, {"name": "82e39cd7-4cde-4afe-acca-2c24fa701d9b", "count": 1, "frequency": 0.0004}, {"name": "d5581556-84af-4ed3-b9d2-4b41e530929f", "count": 1, "frequency": 0.0004}, {"name": "c49370fb-eacc-4843-b845-075518b04ecb", "count": 1, "frequency": 0.0004}, {"name": "e1341976-6363-4248-bceb-10827180fc58", "count": 1, "frequency": 0.0004}, {"name": "446df8b7-d0b9-4959-a8e1-db612c21a3a0", "count": 1, "frequency": 0.0004}, {"name": "e2855aef-5431-4525-8186-0ee846a50849", "count": 1, "frequency": 0.0004}, {"name": "dc6ee81e-f568-4f11-ad92-8cc1b56e6af1", "count": 1, "frequency": 0.0004}, {"name": "9341dc5d-5317-4b44-bb53-a361c41760a0", "count": 1, "frequency": 0.0004}, {"name": "ed8d2754-a965-4d55-a4f0-a18eedb72a27", "count": 1, "frequency": 0.0004}, {"name": "f1899289-0e8a-4fa2-935f-abd5047288ae", "count": 1, "frequency": 0.0004}, {"name": "8eb96316-7b0d-40f6-9034-714321d4f6f5", "count": 1, "frequency": 0.0004}, {"name": "5983cc32-5103-48cd-a022-ec21a6314fe1", "count": 1, "frequency": 0.0004}, {"name": "d1a17ea9-208a-49a7-891e-a008ee33caff", "count": 1, "frequency": 0.0004}, {"name": "f4bc6e66-776b-46b0-a0d7-2b1e249f67d8", "count": 1, "frequency": 0.0004}, {"name": "15088444-48d6-479a-9f8f-cea8a00caf75", "count": 1, "frequency": 0.0004}, {"name": "fe021ee2-756f-42dc-976d-392d5017eae6", "count": 1, "frequency": 0.0004}, {"name": "63e9b4a2-6df3-4d4f-949f-d26efb62bec1", "count": 1, "frequency": 0.0004}, {"name": "1620a1e1-b2ab-4a0e-9b20-e3529e9108af", "count": 1, "frequency": 0.0004}, {"name": "3cb8b612-d9e6-47fc-85cb-185f491c7648", "count": 1, "frequency": 0.0004}, {"name": "fdac934c-3858-4bce-8dba-c51687abe39f", "count": 1, "frequency": 0.0004}, {"name": "6cd9985a-218b-4f46-954e-67880ec778a9", "count": 1, "frequency": 0.0004}, {"name": "ebaee8ed-e073-43b5-9ddf-2c37997755b6", "count": 1, "frequency": 0.0004}, {"name": "678e970c-e429-4d3f-b16d-beb95a890f4b", "count": 1, "frequency": 0.0004}, {"name": "73242d8b-e1ef-40b6-b53e-07ca83436f2c", "count": 1, "frequency": 0.0004}, {"name": "0bd48cfe-4a58-4f4b-b731-e20f4c2187f7", "count": 1, "frequency": 0.0004}, {"name": "66ecf2d6-6948-496b-89b6-956e67aeb4f9", "count": 1, "frequency": 0.0004}, {"name": "362c96ed-5f4e-47e8-b16b-458943b8519e", "count": 1, "frequency": 0.0004}, {"name": "0c94496f-dabb-4936-a444-ec66d0f2fb63", "count": 1, "frequency": 0.0004}, {"name": "f679169f-ad94-4ef4-b2d2-02d5377788e8", "count": 1, "frequency": 0.0004}, {"name": "e68573fd-5929-4142-872c-bd4d9c8786cf", "count": 1, "frequency": 0.0004}, {"name": "dea43bbb-0d89-4421-92bb-144559a837c9", "count": 1, "frequency": 0.0004}, {"name": "45c675d4-c038-41f1-945b-0da28aeb01ce", "count": 1, "frequency": 0.0004}, {"name": "a7ee3fe6-cf19-4f32-9fb0-c04bfeeeba9b", "count": 1, "frequency": 0.0004}, {"name": "f93b0e02-24de-4acb-a6d6-69f43a1ed4a7", "count": 1, "frequency": 0.0004}, {"name": "d2ae7d0c-8b84-4c09-a7d0-cfc92e6b8a52", "count": 1, "frequency": 0.0004}, {"name": "e93fb643-7c8e-47ba-a5ff-1bad5a7f0c4c", "count": 1, "frequency": 0.0004}, {"name": "7e72af8d-5ab4-4756-b861-fcef3c963f8e", "count": 1, "frequency": 0.0004}, {"name": "f954e2cb-a29d-443a-a679-f93443e5ffa4", "count": 1, "frequency": 0.0004}, {"name": "c8210445-afdb-4f03-906c-f33343330166", "count": 1, "frequency": 0.0004}, {"name": "21fb2bec-7194-4da5-99d8-53f904d48757", "count": 1, "frequency": 0.0004}, {"name": "45583679-2cf1-4baa-8fca-8a87349a0e12", "count": 1, "frequency": 0.0004}, {"name": "3c5447ad-a7e0-458d-acb0-d010f3547b38", "count": 1, "frequency": 0.0004}, {"name": "ce7a0249-10ee-48eb-861c-b3ffb66afe21", "count": 1, "frequency": 0.0004}, {"name": "e900a22b-6be7-40d0-8ed7-bb6cc91f97fa", "count": 1, "frequency": 0.0004}, {"name": "22253508-ac35-4316-8298-f81de3ddf9f0", "count": 1, "frequency": 0.0004}, {"name": "f5760d17-947a-480d-8823-330c0c4f6795", "count": 1, "frequency": 0.0004}, {"name": "892940ed-460d-450f-931f-02dd58905452", "count": 1, "frequency": 0.0004}, {"name": "9b357b7e-c793-4f18-be50-ee3d74053842", "count": 1, "frequency": 0.0004}, {"name": "af4e5a0e-10e4-4162-841f-7cb25a132409", "count": 1, "frequency": 0.0004}, {"name": "fee2d2bd-8f28-420a-823e-f2bbbbe81931", "count": 1, "frequency": 0.0004}, {"name": "2670cd37-ed6b-4ea2-a875-6d9cd06528f4", "count": 1, "frequency": 0.0004}, {"name": "7570418d-110a-4f61-9b01-426cf27dbbb5", "count": 1, "frequency": 0.0004}, {"name": "99586631-f151-4745-9e4c-ef543a4188d4", "count": 1, "frequency": 0.0004}, {"name": "842797bf-7793-4b3c-9f3b-8b29506393e5", "count": 1, "frequency": 0.0004}, {"name": "ffe47468-2043-4e7d-aaf6-6e115dcdbfc9", "count": 1, "frequency": 0.0004}, {"name": "7a5c6583-c924-47ca-81ae-e861f81c4907", "count": 1, "frequency": 0.0004}, {"name": "34cc01ec-2b44-407a-8987-43078fc65f07", "count": 1, "frequency": 0.0004}, {"name": "03918fd1-ccd9-4ec9-acfa-5444c0509eeb", "count": 1, "frequency": 0.0004}, {"name": "860dd263-7fc1-4b53-b955-4bbee39a7187", "count": 1, "frequency": 0.0004}, {"name": "a7ca9718-a352-42a6-b182-0717b5609b2e", "count": 1, "frequency": 0.0004}, {"name": "ea06c054-a1f5-477d-9935-1648f2be8e31", "count": 1, "frequency": 0.0004}, {"name": "a331f378-48c8-41f3-84ed-cd4372adb6d3", "count": 1, "frequency": 0.0004}, {"name": "778a52b0-c055-4dca-bfba-22282af21651", "count": 1, "frequency": 0.0004}, {"name": "374ad067-8bcc-49b9-a4ba-cec0ad699e16", "count": 1, "frequency": 0.0004}, {"name": "e75d4179-e0e0-4d03-99c0-c0b375f54105", "count": 1, "frequency": 0.0004}, {"name": "b692d241-0826-4a3b-bd8c-ce9e71486f58", "count": 1, "frequency": 0.0004}, {"name": "de1586ee-b7cc-40f3-834e-5914e4417306", "count": 1, "frequency": 0.0004}, {"name": "1f575c9c-9689-4569-bf29-dd056ae51628", "count": 1, "frequency": 0.0004}, {"name": "c0b1db96-9752-412f-b87a-afa0ff53a842", "count": 1, "frequency": 0.0004}, {"name": "3b3d77d4-02c8-4cec-ae1d-a66d7546f81f", "count": 1, "frequency": 0.0004}, {"name": "3d46d40f-bdb1-4ef6-8027-c9bb8d8d22f8", "count": 1, "frequency": 0.0004}, {"name": "96a974e5-e785-4616-82c6-407c20e9b06f", "count": 1, "frequency": 0.0004}, {"name": "6c890d4b-1e0b-42ed-8be3-5be6cf3c0485", "count": 1, "frequency": 0.0004}, {"name": "16236689-43fc-46f0-8345-2bbdc7042ef4", "count": 1, "frequency": 0.0004}, {"name": "f394d97c-77c3-4d66-9ca4-954a92ac5033", "count": 1, "frequency": 0.0004}, {"name": "ed1a2828-44f8-4109-882a-1e67b43f504e", "count": 1, "frequency": 0.0004}, {"name": "25edc68c-99cb-40f0-8b8f-0221163bb085", "count": 1, "frequency": 0.0004}, {"name": "0089ed90-554f-4750-832c-ea81576e9f4b", "count": 1, "frequency": 0.0004}, {"name": "15b32d35-0a8f-4109-9019-de92cd856b07", "count": 1, "frequency": 0.0004}, {"name": "e44b2bbb-0b63-4e41-83cc-ee2403305c79", "count": 1, "frequency": 0.0004}, {"name": "e0289034-7be8-4eef-95bf-019d80a76e02", "count": 1, "frequency": 0.0004}, {"name": "686b8d8a-6c8c-4ed1-b42f-0f190f1e7ca2", "count": 1, "frequency": 0.0004}, {"name": "03e51713-625a-4919-83ec-83fd65bfd5fd", "count": 1, "frequency": 0.0004}, {"name": "b354086a-c86c-4427-b6c3-1a3a84eabd01", "count": 1, "frequency": 0.0004}, {"name": "06e23ba3-abe8-414c-acd6-8a07b5f838be", "count": 1, "frequency": 0.0004}, {"name": "be3c170b-55fb-4814-9e9b-ac9ccfd8d19f", "count": 1, "frequency": 0.0004}, {"name": "ff001204-b4a8-41fa-853b-b3b53ac7cf6d", "count": 1, "frequency": 0.0004}, {"name": "ca97a1bf-27d0-465c-8c09-7c0e9621cb84", "count": 1, "frequency": 0.0004}, {"name": "e2ef1fdb-f67c-4c4c-a415-72fa7157b745", "count": 1, "frequency": 0.0004}, {"name": "8d45aa3c-62d4-49fc-a2a6-943e3683662c", "count": 1, "frequency": 0.0004}, {"name": "6027a212-69a9-4008-8f62-506c82a55eb9", "count": 1, "frequency": 0.0004}, {"name": "80cfabfc-23e2-41e3-b284-b3cafa88ef86", "count": 1, "frequency": 0.0004}, {"name": "8d007d49-46e2-4d31-8e3a-4836d1fa6558", "count": 1, "frequency": 0.0004}, {"name": "294cf221-f69f-408f-92fd-1a7fe9c285d4", "count": 1, "frequency": 0.0004}, {"name": "667d334d-8342-4c63-bda7-052cefbd3da9", "count": 1, "frequency": 0.0004}, {"name": "39da346a-1931-4166-8e2b-08c7abb4aa50", "count": 1, "frequency": 0.0004}, {"name": "0ae35771-0fd2-4fb9-9e5c-9a2d5fd9b5f2", "count": 1, "frequency": 0.0004}, {"name": "b2af408e-733d-4320-81bc-3c625958294b", "count": 1, "frequency": 0.0004}, {"name": "8a697c77-4790-466b-9fb9-8fa214decd62", "count": 1, "frequency": 0.0004}, {"name": "1cb9f140-e42e-42b9-b93c-75a3be1f00b6", "count": 1, "frequency": 0.0004}, {"name": "5fb509a6-7c37-4e78-9b6e-2cbadccadef1", "count": 1, "frequency": 0.0004}, {"name": "8587c4ea-ed74-49fe-b4fc-e08f94bd35fa", "count": 1, "frequency": 0.0004}, {"name": "dc461f4a-0f05-47c8-8f3e-affb868066c4", "count": 1, "frequency": 0.0004}, {"name": "590810fd-a328-4ed4-8d52-adc756786a7f", "count": 1, "frequency": 0.0004}, {"name": "0938251a-8144-4d82-989e-2d458b419f86", "count": 1, "frequency": 0.0004}, {"name": "9ed0dfd1-3acd-450c-b7a3-1b3256cc4abe", "count": 1, "frequency": 0.0004}, {"name": "8ddc9619-6b11-42d8-be74-eccc22de0528", "count": 1, "frequency": 0.0004}, {"name": "abb0fd0e-09e8-4872-8597-4ed86d205200", "count": 1, "frequency": 0.0004}, {"name": "8678a71b-0c39-46d8-a126-5ccf5f214f22", "count": 1, "frequency": 0.0004}, {"name": "1c5b2125-b20c-4f81-8a59-d9e558ba39ba", "count": 1, "frequency": 0.0004}, {"name": "f64550ab-e520-4b1d-8453-5dfcd1338353", "count": 1, "frequency": 0.0004}, {"name": "d53d2c9d-1ae6-42ef-8f1e-3caab4ef481c", "count": 1, "frequency": 0.0004}, {"name": "a8611be7-7f86-4e2d-9f80-659fd67e057b", "count": 1, "frequency": 0.0004}, {"name": "94ff3d35-7ca3-4620-b4d2-053dc3e2c3ab", "count": 1, "frequency": 0.0004}, {"name": "ebed7dd9-45ac-4f7e-bdcd-aeb663933cc5", "count": 1, "frequency": 0.0004}, {"name": "8c4d42f3-cc3c-4de3-b7f4-b1c98e3629d2", "count": 1, "frequency": 0.0004}, {"name": "20db992e-a5b3-4476-92e6-c430a995e1f1", "count": 1, "frequency": 0.0004}, {"name": "f79cf39d-1907-480e-a3aa-afa14ad0fd19", "count": 1, "frequency": 0.0004}, {"name": "fb9bad25-38ac-436b-b28e-ae827f2ce699", "count": 1, "frequency": 0.0004}, {"name": "ab362423-d220-40e2-b73e-9be40a02ae17", "count": 1, "frequency": 0.0004}, {"name": "b4259843-c367-4b62-9812-3a87796f8053", "count": 1, "frequency": 0.0004}, {"name": "13c06f4f-a3b8-47bd-ac20-17c4f18ff71f", "count": 1, "frequency": 0.0004}, {"name": "90acbca8-e798-432e-b613-a4baa50d143d", "count": 1, "frequency": 0.0004}, {"name": "da21d98c-d1c2-4ea2-a148-3a0cfdbd5114", "count": 1, "frequency": 0.0004}, {"name": "ca248482-d254-4581-ada6-c38592aad79e", "count": 1, "frequency": 0.0004}, {"name": "29d406f3-baf4-4c13-a0ca-cc926867f5a0", "count": 1, "frequency": 0.0004}, {"name": "ec3d7a02-647e-4dc9-8932-0a861e298f5b", "count": 1, "frequency": 0.0004}, {"name": "d9647624-a911-4cc3-ab83-71933ec6cbf7", "count": 1, "frequency": 0.0004}, {"name": "f036a6d8-87eb-4e8d-ab6c-44b2cb6dbf1c", "count": 1, "frequency": 0.0004}, {"name": "bcd53a12-9f4f-4ec3-97c6-704d6a42a145", "count": 1, "frequency": 0.0004}, {"name": "ef3f9500-76d0-4863-ba31-b90e49f1bf44", "count": 1, "frequency": 0.0004}, {"name": "42a8e347-540d-4782-9801-bac19db424ab", "count": 1, "frequency": 0.0004}, {"name": "5fb9dd04-37d6-4e57-bbba-3f40645dd50d", "count": 1, "frequency": 0.0004}, {"name": "07ab1d58-b24c-466e-8ac2-e95900c0d317", "count": 1, "frequency": 0.0004}, {"name": "d6ce70a9-3db6-4de5-b295-f9994c4a4463", "count": 1, "frequency": 0.0004}, {"name": "18410748-f971-44fd-8c3a-62eb2262c49e", "count": 1, "frequency": 0.0004}, {"name": "2c5d4521-991c-4c7c-80c6-15d5c3bf8cbc", "count": 1, "frequency": 0.0004}, {"name": "89c7153b-e702-48aa-96b0-5f5e98c68fdd", "count": 1, "frequency": 0.0004}, {"name": "663d7c37-228c-473f-80aa-701fbd6c337e", "count": 1, "frequency": 0.0004}, {"name": "12bca5e5-ec09-4d9c-9af7-8ac4862c8194", "count": 1, "frequency": 0.0004}, {"name": "7f5ef71b-35bf-4cb6-a75d-250cda1483be", "count": 1, "frequency": 0.0004}, {"name": "58aee7e7-2543-4fa5-a5b9-674b35bcc5ee", "count": 1, "frequency": 0.0004}, {"name": "8b4739fe-cd4a-4c50-89f0-86524f5e4e34", "count": 1, "frequency": 0.0004}, {"name": "771fbb24-8b93-49b5-bae2-7e833b7fe629", "count": 1, "frequency": 0.0004}, {"name": "7757c0d9-4d6b-4e3f-8ac8-611c00f8064e", "count": 1, "frequency": 0.0004}, {"name": "cea3ea3a-3914-42db-850a-856ca3a904d3", "count": 1, "frequency": 0.0004}, {"name": "79b5c869-9af9-46cd-8e19-b721df167f9d", "count": 1, "frequency": 0.0004}, {"name": "dcbbd3b9-b75d-404b-b936-ba791de8bc08", "count": 1, "frequency": 0.0004}, {"name": "e57b5f27-5a8c-4ac0-8b78-41cd622319c7", "count": 1, "frequency": 0.0004}, {"name": "e6e75c5d-57b1-493f-852a-2001139b720d", "count": 1, "frequency": 0.0004}, {"name": "5c7f08e6-0d72-4ca9-b36b-3dea572c4169", "count": 1, "frequency": 0.0004}, {"name": "3a40f168-9a7e-4bca-bb02-9b44d3ced182", "count": 1, "frequency": 0.0004}, {"name": "3a73ed53-47de-471a-bf83-d3231ffcbe20", "count": 1, "frequency": 0.0004}, {"name": "af62f8c1-8329-46b2-a496-218a4c852dce", "count": 1, "frequency": 0.0004}, {"name": "d19fc2a7-3b88-4dfa-bac6-4f57f9a42527", "count": 1, "frequency": 0.0004}, {"name": "e72db0af-0674-4c5d-9dd9-5169bed69b43", "count": 1, "frequency": 0.0004}, {"name": "df2deac4-0c1b-46e7-8113-83f3f186af13", "count": 1, "frequency": 0.0004}, {"name": "fb4e3ab2-9acb-45d7-92a0-9f8999ac3854", "count": 1, "frequency": 0.0004}, {"name": "914e11c7-11ce-4aee-a599-c921f4c305ff", "count": 1, "frequency": 0.0004}, {"name": "b1a6231a-c656-4561-9490-aba41e287317", "count": 1, "frequency": 0.0004}, {"name": "05b4b9b2-eb0f-4574-9fbc-97b4d0a62f78", "count": 1, "frequency": 0.0004}, {"name": "65e9a5d0-56bc-4f85-9fcb-f71b89429453", "count": 1, "frequency": 0.0004}, {"name": "dced0748-620b-4d77-b820-bf79d997c324", "count": 1, "frequency": 0.0004}, {"name": "1fff519a-1a5f-422e-841d-a8338097744c", "count": 1, "frequency": 0.0004}, {"name": "ac664491-b26b-45c5-8a2e-01af372a7899", "count": 1, "frequency": 0.0004}, {"name": "596c9a34-5393-49ba-bdc2-fad1126acef1", "count": 1, "frequency": 0.0004}, {"name": "988df468-0edf-4f33-b126-6ac8c3edb831", "count": 1, "frequency": 0.0004}, {"name": "c6e08d0a-5966-47d0-a84b-594b0aad9eb7", "count": 1, "frequency": 0.0004}, {"name": "78b21a34-0ba8-41fb-b95b-d33629ed210f", "count": 1, "frequency": 0.0004}, {"name": "8e4744c3-9af6-4e9e-b689-a146ee312c5e", "count": 1, "frequency": 0.0004}, {"name": "e82d216f-681c-4371-aa22-43b42ace9c1b", "count": 1, "frequency": 0.0004}, {"name": "e41f0543-1249-4728-8fff-80c03961c1f1", "count": 1, "frequency": 0.0004}, {"name": "26563723-f2d3-4d1f-acef-256e0aef3a68", "count": 1, "frequency": 0.0004}, {"name": "9f740772-c7b1-492e-9cce-697fea5faa99", "count": 1, "frequency": 0.0004}, {"name": "fc4056d2-0465-411e-9204-18dccff4db59", "count": 1, "frequency": 0.0004}, {"name": "51ad3298-170d-47bf-b68f-3bb80e9087af", "count": 1, "frequency": 0.0004}, {"name": "efe22775-c980-4a24-9fa1-e6fdd99f555f", "count": 1, "frequency": 0.0004}, {"name": "c29bab5d-83f0-4ca2-b278-3771299f4afc", "count": 1, "frequency": 0.0004}, {"name": "f3a8aa3a-997c-433d-b1e5-51f7513f2a60", "count": 1, "frequency": 0.0004}, {"name": "b8e22e85-2ed7-412e-a6cf-f288f3609401", "count": 1, "frequency": 0.0004}, {"name": "9cff8f42-65ab-406a-bd1c-db004491a537", "count": 1, "frequency": 0.0004}, {"name": "59ad7a28-b3a3-40e1-9796-a742dc2fa637", "count": 1, "frequency": 0.0004}, {"name": "dd4f3f47-2526-41b1-93fa-6ad07e758d8c", "count": 1, "frequency": 0.0004}, {"name": "2babb72d-60c9-4128-830a-40d0d0f05ed1", "count": 1, "frequency": 0.0004}, {"name": "28e8631d-8a71-4085-a06f-932548b096a9", "count": 1, "frequency": 0.0004}, {"name": "d32a55b7-5b32-4151-a972-8988a29d5c5f", "count": 1, "frequency": 0.0004}, {"name": "d20bc459-b39c-4d64-bc76-a05db7205c2f", "count": 1, "frequency": 0.0004}, {"name": "ac5937b6-df22-4b21-bbe2-15142595a7f1", "count": 1, "frequency": 0.0004}, {"name": "1c50efd1-f7f9-4d6c-9a09-1db9d8ffddfd", "count": 1, "frequency": 0.0004}, {"name": "07506ec0-fc6a-45c3-8e04-db77128ea534", "count": 1, "frequency": 0.0004}, {"name": "60f625fc-9fb7-47d6-974c-957a3f0ff679", "count": 1, "frequency": 0.0004}, {"name": "a86c69a3-17d5-438d-b9a2-70beddba9877", "count": 1, "frequency": 0.0004}, {"name": "66d964b4-e6f9-46be-863a-14e60d8ea2e0", "count": 1, "frequency": 0.0004}, {"name": "cfa4d4fd-eefe-496d-904d-27a9f8f26342", "count": 1, "frequency": 0.0004}, {"name": "9bfb78c2-e443-4a4f-84d4-116942a9bfc3", "count": 1, "frequency": 0.0004}, {"name": "2d0c9378-08fd-4b01-891a-0b4968f9c575", "count": 1, "frequency": 0.0004}, {"name": "acf243e7-2f98-48d2-b651-6fe0fa0b9655", "count": 1, "frequency": 0.0004}, {"name": "ca7ec99c-8e3f-47b3-b27d-ed509364dbaf", "count": 1, "frequency": 0.0004}, {"name": "bfe8b278-76b6-45c9-a8fe-57cb7d424336", "count": 1, "frequency": 0.0004}, {"name": "4616b617-4859-4915-8269-60f25f586519", "count": 1, "frequency": 0.0004}, {"name": "5903f4f5-6350-4504-b99b-f384b9fa15c3", "count": 1, "frequency": 0.0004}, {"name": "6097cbf3-b575-47c4-849d-cef7950b27a3", "count": 1, "frequency": 0.0004}, {"name": "e716fb68-33c6-4772-b528-b9d4ed066bd6", "count": 1, "frequency": 0.0004}, {"name": "9b4ed9ff-9796-4965-acc3-fe0e61028991", "count": 1, "frequency": 0.0004}, {"name": "0afe7393-d75c-47ca-8aa7-209c20f9b7f6", "count": 1, "frequency": 0.0004}, {"name": "49357154-fb77-4a5c-bb9c-a52036064145", "count": 1, "frequency": 0.0004}, {"name": "66956d03-c80e-4cc4-9d0e-40cbdc76031b", "count": 1, "frequency": 0.0004}, {"name": "5fc7691d-0bea-4080-b62a-326efd5edd6f", "count": 1, "frequency": 0.0004}, {"name": "12f4e325-f86e-4500-8ef4-6944953abcbe", "count": 1, "frequency": 0.0004}, {"name": "b233f263-9db8-44bb-95f5-00fee66b6bcc", "count": 1, "frequency": 0.0004}, {"name": "e8d9f2c9-6c75-47b4-aedc-38eebf3e581a", "count": 1, "frequency": 0.0004}, {"name": "7a823e6c-fca6-4376-b465-624db563a407", "count": 1, "frequency": 0.0004}, {"name": "c2ee12f0-630f-4d31-b6ee-8cbd7a95d12f", "count": 1, "frequency": 0.0004}, {"name": "7cc5f500-1011-4800-96cd-b80f3cbc605b", "count": 1, "frequency": 0.0004}, {"name": "abe543be-5dc9-43d1-ac39-1a4576677192", "count": 1, "frequency": 0.0004}, {"name": "613693b7-1a05-4750-8b99-976c31d8a9dd", "count": 1, "frequency": 0.0004}, {"name": "512fbf37-8a05-464d-98ec-2b6fa3959334", "count": 1, "frequency": 0.0004}, {"name": "1914afc9-5608-4164-a6c3-a971868a0f74", "count": 1, "frequency": 0.0004}, {"name": "fa9c1df8-9cde-4f73-b428-9fe78b2b2cf6", "count": 1, "frequency": 0.0004}, {"name": "65d47aec-2b7e-4422-ab48-3993e33eb08a", "count": 1, "frequency": 0.0004}, {"name": "50327ef8-77a0-4e26-b699-9fe38d493672", "count": 1, "frequency": 0.0004}, {"name": "b92a2fa2-e1a4-4216-b1a5-dc673d5c31fd", "count": 1, "frequency": 0.0004}, {"name": "5e36c2fd-c9b0-41d7-8a1f-eedf0e3f0aa8", "count": 1, "frequency": 0.0004}, {"name": "bb6ab298-a5d6-49d1-ab2e-13956948986d", "count": 1, "frequency": 0.0004}, {"name": "2c5e9828-090b-44af-b52a-59b129ab20a8", "count": 1, "frequency": 0.0004}, {"name": "25ea8355-8340-425b-a906-7591f4addc63", "count": 1, "frequency": 0.0004}, {"name": "d7cd9847-1373-4837-ba67-9ef8da6e42b9", "count": 1, "frequency": 0.0004}, {"name": "a6e60f95-3bf3-42ae-a9a9-ca4eb3c38db7", "count": 1, "frequency": 0.0004}, {"name": "9a977205-e8f1-40da-b9fe-a0fc9a912855", "count": 1, "frequency": 0.0004}, {"name": "16155b8a-7e21-4330-b5cf-0a20c5a4f180", "count": 1, "frequency": 0.0004}, {"name": "98b3ba57-1f5b-4397-8098-db7f4da463e5", "count": 1, "frequency": 0.0004}, {"name": "86aba1fd-6b4c-46e9-b79d-5636e58ba936", "count": 1, "frequency": 0.0004}, {"name": "9a5b8586-71cc-415e-8333-fcbe2dd0adde", "count": 1, "frequency": 0.0004}, {"name": "652e48f9-6d3b-4ec4-b7cb-27c81379df4c", "count": 1, "frequency": 0.0004}, {"name": "4124ab30-c0eb-4167-8070-138a02201998", "count": 1, "frequency": 0.0004}, {"name": "eaa243a9-a71b-48e2-a21a-56c15c62facf", "count": 1, "frequency": 0.0004}, {"name": "b11ae1c1-7ff6-45e9-982c-b70e7bedcb47", "count": 1, "frequency": 0.0004}, {"name": "fb67c273-2eb5-4f08-8744-613fd4439010", "count": 1, "frequency": 0.0004}, {"name": "311bc369-338b-4506-a5c9-679b8b6aa511", "count": 1, "frequency": 0.0004}, {"name": "4d21d371-b157-4971-acd6-9f22a8ef238f", "count": 1, "frequency": 0.0004}, {"name": "c8776b4a-fcd6-42c6-9ebc-10718ea952a7", "count": 1, "frequency": 0.0004}, {"name": "4caa9bb3-ba36-4718-969c-c5f32e715713", "count": 1, "frequency": 0.0004}, {"name": "857c266e-7ee8-4d69-a209-6dc6f144238a", "count": 1, "frequency": 0.0004}, {"name": "27a26e53-2e81-4ea5-8cc4-48b51177e5ba", "count": 1, "frequency": 0.0004}, {"name": "9c9e1c16-7106-488d-8254-e19c7d69dfbc", "count": 1, "frequency": 0.0004}, {"name": "b1663927-f56d-4da1-9168-40cca82382b2", "count": 1, "frequency": 0.0004}, {"name": "636e7387-8962-4999-a70b-9849dd0773b8", "count": 1, "frequency": 0.0004}, {"name": "deae3842-f755-42c6-b098-4a14a1ca6f32", "count": 1, "frequency": 0.0004}, {"name": "afd84da9-360a-4e34-a6da-9d03d5a5c5e6", "count": 1, "frequency": 0.0004}, {"name": "bd0972e6-3c55-4f21-b535-e15320db1823", "count": 1, "frequency": 0.0004}, {"name": "85148da4-c055-4c92-b482-40c43bf22271", "count": 1, "frequency": 0.0004}, {"name": "590abf7e-feae-4aba-a57f-62e6ee881869", "count": 1, "frequency": 0.0004}, {"name": "d55509cc-6a5a-49cc-8bf8-a5f71c12e0f7", "count": 1, "frequency": 0.0004}, {"name": "7998d6ac-d705-4936-a685-865078c3f490", "count": 1, "frequency": 0.0004}, {"name": "93a8794a-7ab5-4c9f-b3a1-159ba452468c", "count": 1, "frequency": 0.0004}, {"name": "de8b7720-1eeb-4b81-873f-f77480818ff9", "count": 1, "frequency": 0.0004}, {"name": "3bde2f85-eac0-4242-80f3-244c184308f6", "count": 1, "frequency": 0.0004}, {"name": "244e5d35-05d0-4a76-aadb-7996c29d5373", "count": 1, "frequency": 0.0004}, {"name": "bc3d6839-86a0-43a5-83c1-36271fc86f1e", "count": 1, "frequency": 0.0004}, {"name": "a25f9330-fdad-4f84-860d-08aaae4d35f6", "count": 1, "frequency": 0.0004}, {"name": "c6f07e93-93de-47f8-8ca6-6e4d0a8db4b8", "count": 1, "frequency": 0.0004}, {"name": "d271b2d1-c914-4d64-8bfc-bda8fd558fdb", "count": 1, "frequency": 0.0004}, {"name": "719fcccd-d4c2-40c5-bfc4-a0c5afbe0b2c", "count": 1, "frequency": 0.0004}, {"name": "212c6465-6d80-4aaa-8079-998e38a20fb8", "count": 1, "frequency": 0.0004}, {"name": "53ef15c5-dc13-4e8a-abf3-9ec7af7ea143", "count": 1, "frequency": 0.0004}, {"name": "900ae5ae-ed62-4b99-b4f6-bbbb373d8fc8", "count": 1, "frequency": 0.0004}, {"name": "7c1e7e93-4bd6-47c1-b8fb-dd35003c6704", "count": 1, "frequency": 0.0004}, {"name": "1aa86469-68f2-4662-b438-ae98a62c2ce8", "count": 1, "frequency": 0.0004}, {"name": "4aa8669a-f7a8-429e-a4bc-b0b853fb7918", "count": 1, "frequency": 0.0004}, {"name": "364aa329-0c4f-453f-9ed9-f1bb2fd0ae6d", "count": 1, "frequency": 0.0004}, {"name": "99aeeef7-708d-464c-878c-761fd406c3d2", "count": 1, "frequency": 0.0004}, {"name": "c25d5799-48e8-4956-98d9-fe0d6f74061d", "count": 1, "frequency": 0.0004}, {"name": "63451e6c-70e6-445c-a881-5c9fe9166f4f", "count": 1, "frequency": 0.0004}, {"name": "9989b81e-e257-4dc0-9ecf-bb7003092927", "count": 1, "frequency": 0.0004}, {"name": "004bce3e-7646-4c09-bc3f-a8d7d3ff522d", "count": 1, "frequency": 0.0004}, {"name": "04641073-a50c-4dfb-b2b0-e3cee33b641e", "count": 1, "frequency": 0.0004}, {"name": "3c55f746-d1a9-4d6b-b92c-6b084bbbe76d", "count": 1, "frequency": 0.0004}, {"name": "002f8983-3bb2-4c2c-b867-c4d2e199e562", "count": 1, "frequency": 0.0004}, {"name": "882a6672-96e9-4f9e-aa38-d6f92250ccd9", "count": 1, "frequency": 0.0004}, {"name": "0013f1d4-1ffe-47cd-897a-0498457b4d06", "count": 1, "frequency": 0.0004}, {"name": "92c15720-60f9-42cb-b309-f00e6ba3190f", "count": 1, "frequency": 0.0004}, {"name": "18606648-babc-4024-a9c4-f054fa93a754", "count": 1, "frequency": 0.0004}, {"name": "59956dff-50dd-4014-b5a0-1a68c20d6e24", "count": 1, "frequency": 0.0004}, {"name": "221e99c8-4e90-4d0a-a30d-0b61acbff9d8", "count": 1, "frequency": 0.0004}, {"name": "8c30848c-eb6c-4685-8cad-562f98703dd9", "count": 1, "frequency": 0.0004}, {"name": "b1a20e5e-9b10-486b-acef-70fc6525edc9", "count": 1, "frequency": 0.0004}, {"name": "1aea9c89-e863-4f91-b9de-1f418134920c", "count": 1, "frequency": 0.0004}, {"name": "a32b165b-b022-4547-bc2b-41fb3ed99b58", "count": 1, "frequency": 0.0004}, {"name": "a9774417-675a-4a28-b480-185ac1d9588d", "count": 1, "frequency": 0.0004}, {"name": "7fb8e5f2-7e77-43a7-854c-efb2c86d1b28", "count": 1, "frequency": 0.0004}, {"name": "739af9b0-a61b-4006-bbb9-4fceb3d99d33", "count": 1, "frequency": 0.0004}, {"name": "17655bdc-67db-4fe6-b5aa-1b307e6d26dd", "count": 1, "frequency": 0.0004}, {"name": "074d4155-8868-4c21-97b0-94748817a443", "count": 1, "frequency": 0.0004}, {"name": "331a19f9-189a-4877-a173-8903bbe91348", "count": 1, "frequency": 0.0004}, {"name": "81e3a05e-1bdf-4169-8773-e41a3611f24f", "count": 1, "frequency": 0.0004}, {"name": "2d95047c-aafc-4d0b-8e87-489ed506f1e4", "count": 1, "frequency": 0.0004}, {"name": "822db287-8051-4ae7-ad64-a2f6bf437505", "count": 1, "frequency": 0.0004}, {"name": "d37eb060-1f4c-428b-8fc0-4da479e23074", "count": 1, "frequency": 0.0004}, {"name": "0f1fc47d-b402-4b26-87fb-580b8e80ad69", "count": 1, "frequency": 0.0004}, {"name": "725e8f41-e23f-4694-91e0-4c51487cfbd3", "count": 1, "frequency": 0.0004}, {"name": "78b37a0f-2848-43a2-8fb0-4732bd72fad4", "count": 1, "frequency": 0.0004}, {"name": "73c905cc-3b46-4410-ab99-4f5bc7d601d4", "count": 1, "frequency": 0.0004}, {"name": "af4d8ea1-ef4c-46d8-9555-0b806704a87b", "count": 1, "frequency": 0.0004}, {"name": "ec76f9cc-b396-41a8-8185-8beaf034fbec", "count": 1, "frequency": 0.0004}, {"name": "2b6b767a-9cb7-4a9a-92fd-024b22fab874", "count": 1, "frequency": 0.0004}, {"name": "2a198629-1d4f-4598-99d0-7004038d707a", "count": 1, "frequency": 0.0004}, {"name": "c2bea65a-5dca-4c4c-81b4-2194cfc9479d", "count": 1, "frequency": 0.0004}, {"name": "89dbc150-9c8b-4135-a0be-53e4cea55c6b", "count": 1, "frequency": 0.0004}, {"name": "ee569f0e-1fce-4214-8107-68ac4fadf0d0", "count": 1, "frequency": 0.0004}, {"name": "df991225-da9a-44f4-82bd-808604eb035c", "count": 1, "frequency": 0.0004}, {"name": "60cb0264-ccf1-4459-916a-6d9ca10fa73f", "count": 1, "frequency": 0.0004}, {"name": "fa87275e-19cf-448e-91b3-4d6c88e77535", "count": 1, "frequency": 0.0004}, {"name": "f90b53d6-07c2-4eaf-b12e-55b62f124c88", "count": 1, "frequency": 0.0004}, {"name": "cd78f377-be2b-4c2c-ac52-5acb2a44cfdc", "count": 1, "frequency": 0.0004}, {"name": "9c91c5f3-4f51-4d23-aa70-ded660844e54", "count": 1, "frequency": 0.0004}, {"name": "dae1a63c-797e-41f7-87b8-4c70276ad74d", "count": 1, "frequency": 0.0004}, {"name": "05161bdb-92dc-40af-b2f4-cc57dc42f20f", "count": 1, "frequency": 0.0004}, {"name": "4eca6bf7-f39a-4e53-a9f9-5c604f01b225", "count": 1, "frequency": 0.0004}, {"name": "62c76f7b-feff-42ce-bda7-f55bbeae89d4", "count": 1, "frequency": 0.0004}, {"name": "1096876f-f8f1-46ce-9c15-83f5ca475cda", "count": 1, "frequency": 0.0004}, {"name": "2242bfc2-53dc-4198-988d-e8d324815b07", "count": 1, "frequency": 0.0004}, {"name": "2f33ddd7-1ef1-4877-b3e2-b8977dc2bff8", "count": 1, "frequency": 0.0004}, {"name": "47f8278f-4d5b-4999-af10-b21010aa62bf", "count": 1, "frequency": 0.0004}, {"name": "3bf5a379-cad7-44dd-8ada-3aa0bc78010d", "count": 1, "frequency": 0.0004}, {"name": "dbb55061-f728-48bd-888c-e78da264230e", "count": 1, "frequency": 0.0004}, {"name": "1c182975-aea1-42ed-a074-f9664b985c5c", "count": 1, "frequency": 0.0004}, {"name": "3e2e058f-b79c-4003-ada5-09780b25f4fd", "count": 1, "frequency": 0.0004}, {"name": "e7953c27-f39f-4882-aee2-5e619e682294", "count": 1, "frequency": 0.0004}, {"name": "f664aeef-8081-4c61-a99f-954617d7032a", "count": 1, "frequency": 0.0004}, {"name": "5f04a368-7a11-417b-9df2-25aa8387283f", "count": 1, "frequency": 0.0004}, {"name": "e08c95a6-3edb-42a1-8035-bab0c43c9674", "count": 1, "frequency": 0.0004}, {"name": "430d2853-21d9-4407-a394-7618b7ce4f3e", "count": 1, "frequency": 0.0004}, {"name": "5bbb74a5-e8da-429f-b1a8-08c62b8bda2c", "count": 1, "frequency": 0.0004}, {"name": "395ade00-9087-4e9e-b294-6c9e1a577e46", "count": 1, "frequency": 0.0004}, {"name": "a3a4c298-4dcc-4265-a7a4-09159bc6b187", "count": 1, "frequency": 0.0004}, {"name": "e33dbe34-e7fb-4a7b-b693-8b9702c34974", "count": 1, "frequency": 0.0004}, {"name": "69baa2a1-8aa3-489d-a4bf-ecfd7055670e", "count": 1, "frequency": 0.0004}, {"name": "f195dbf2-701f-43c4-a709-4cbbcc2e2e2c", "count": 1, "frequency": 0.0004}, {"name": "a2e4d46b-c17f-452b-8530-7f1657216dc4", "count": 1, "frequency": 0.0004}, {"name": "4d76066c-dc31-4143-8915-e657794f494a", "count": 1, "frequency": 0.0004}, {"name": "7e68a699-fef7-44b5-951a-d0444b8825d0", "count": 1, "frequency": 0.0004}, {"name": "8695dd6e-0f7d-4af5-ab89-1f5ea9be2c9a", "count": 1, "frequency": 0.0004}, {"name": "c3d6bcea-44d3-44e4-96e8-d00720dd4184", "count": 1, "frequency": 0.0004}, {"name": "b54e83de-4cfa-4fcb-8431-87ec8e9bca4e", "count": 1, "frequency": 0.0004}, {"name": "0e8c7a5c-f292-418e-8cfb-e1bb120c52ba", "count": 1, "frequency": 0.0004}, {"name": "d0de2241-12d6-4d15-a761-eda988544834", "count": 1, "frequency": 0.0004}, {"name": "5e8fc041-57bd-4299-a2b2-4eef64126160", "count": 1, "frequency": 0.0004}, {"name": "3bfe8ab1-71a6-4538-a839-fe73942c1bb0", "count": 1, "frequency": 0.0004}, {"name": "9021c40f-24fa-454f-b6c1-fddb297104cd", "count": 1, "frequency": 0.0004}, {"name": "90497e97-4e8d-450e-8aa3-e9cd6d0c0ff7", "count": 1, "frequency": 0.0004}, {"name": "cab64b6f-58d4-4643-9383-ec474d7c442f", "count": 1, "frequency": 0.0004}, {"name": "5be0dbce-8f8c-4a69-9f33-8f46e872f841", "count": 1, "frequency": 0.0004}, {"name": "c144eba1-ca3b-4a09-9c24-e78a636621e2", "count": 1, "frequency": 0.0004}, {"name": "8e4c5ecc-460e-4869-a8ad-a4b7d0f5642d", "count": 1, "frequency": 0.0004}, {"name": "62dfe9e4-43c0-48ad-a8dc-03d7901454c5", "count": 1, "frequency": 0.0004}, {"name": "3f13edab-a2f0-4c40-88b7-9b91d9e132d3", "count": 1, "frequency": 0.0004}, {"name": "9f2791f5-a2ae-40ac-a5a8-f9834163b73b", "count": 1, "frequency": 0.0004}, {"name": "eb9ff347-5e92-4e51-bb35-dcd4d6419e0f", "count": 1, "frequency": 0.0004}, {"name": "c3b4a8d6-4d88-4894-89ac-558fe9ff2564", "count": 1, "frequency": 0.0004}, {"name": "cc5ef629-e396-4578-a5e4-3bf979966d5e", "count": 1, "frequency": 0.0004}, {"name": "1c32031e-de89-45dc-bfe2-c5cfa913c7bf", "count": 1, "frequency": 0.0004}, {"name": "51b0a8d2-eda9-4aed-8962-d7afb000d140", "count": 1, "frequency": 0.0004}, {"name": "be51d18a-afbe-4af0-83c9-e8b69da08b80", "count": 1, "frequency": 0.0004}, {"name": "2f7e59b8-0e22-4fb2-aed2-ab737a42c48e", "count": 1, "frequency": 0.0004}, {"name": "65818019-115c-40a7-8205-6194ff9168e6", "count": 1, "frequency": 0.0004}, {"name": "130d258a-8b28-4825-9a09-19f6aef53845", "count": 1, "frequency": 0.0004}, {"name": "ea852790-08d8-4c78-96c1-5e06e76e4ad7", "count": 1, "frequency": 0.0004}, {"name": "480db96f-432f-4006-b1d4-63b3169faf87", "count": 1, "frequency": 0.0004}, {"name": "8a8e154a-0313-47ae-b997-14a32a4bda6a", "count": 1, "frequency": 0.0004}, {"name": "8c09abee-13d3-4747-b180-64407e21ca58", "count": 1, "frequency": 0.0004}, {"name": "7e508b28-7e9c-4111-97c8-cce780bcf2ff", "count": 1, "frequency": 0.0004}, {"name": "ee77699e-6344-4f07-893d-89decb7efa06", "count": 1, "frequency": 0.0004}, {"name": "827e6bc5-9b6e-4ede-8906-0b7307a576d2", "count": 1, "frequency": 0.0004}, {"name": "45e90cc1-668a-4dd1-9ec8-a3015a5d1436", "count": 1, "frequency": 0.0004}, {"name": "5363fed7-c2a0-42f1-b9d5-0b36a8c27ce5", "count": 1, "frequency": 0.0004}, {"name": "ed360808-806a-4d50-82e8-272ff4564f0d", "count": 1, "frequency": 0.0004}, {"name": "07a54bbd-6bc1-45f6-8a33-4a2e6b6643ba", "count": 1, "frequency": 0.0004}, {"name": "a912c9a5-43bd-49dd-9230-89571d8e975d", "count": 1, "frequency": 0.0004}, {"name": "c2a1cb4d-9060-47f0-bf67-d88f4ddcede2", "count": 1, "frequency": 0.0004}, {"name": "ca2e85fc-ad18-4a89-9dbe-a598a37d24b7", "count": 1, "frequency": 0.0004}, {"name": "5dc7e23b-bae0-42fb-91a4-262968bd508e", "count": 1, "frequency": 0.0004}, {"name": "1bc9cc30-0e24-4f8c-8060-8e2cee5905b3", "count": 1, "frequency": 0.0004}, {"name": "7a5679ac-3e92-4308-a898-3a2492cf4b95", "count": 1, "frequency": 0.0004}, {"name": "5f8d1621-6f22-4669-9bb1-a43cf63c7633", "count": 1, "frequency": 0.0004}, {"name": "6f47f8d3-86c8-400b-9e21-89eb8c586de7", "count": 1, "frequency": 0.0004}, {"name": "a1166e29-b1af-471a-a632-83f004530055", "count": 1, "frequency": 0.0004}, {"name": "dc409224-6a88-47e4-94f0-2cefeae10adb", "count": 1, "frequency": 0.0004}, {"name": "3b370ac6-8729-4d4a-9b1e-87136a07a088", "count": 1, "frequency": 0.0004}, {"name": "348f7cfb-26a5-4ac4-9c07-a9d6527dfc5d", "count": 1, "frequency": 0.0004}, {"name": "1367521e-51c6-4d28-8c2a-2f48e2cfbc73", "count": 1, "frequency": 0.0004}, {"name": "387c636c-f060-4f1c-969c-acd9cf505334", "count": 1, "frequency": 0.0004}, {"name": "5a85f3e2-9d76-4af5-bf5e-9edeabc93e81", "count": 1, "frequency": 0.0004}, {"name": "3398055b-8153-4e1f-9c36-c90dbf82cb44", "count": 1, "frequency": 0.0004}, {"name": "afbc2015-ae79-4e1c-9e5a-7c0ed1e3a678", "count": 1, "frequency": 0.0004}, {"name": "b61d7752-bc2f-4266-912a-33c14ba62c13", "count": 1, "frequency": 0.0004}, {"name": "770cb23c-fc85-4f1c-8979-633d61d710ad", "count": 1, "frequency": 0.0004}, {"name": "ca95c319-bf70-4a5f-a214-04ac9fe5eb25", "count": 1, "frequency": 0.0004}, {"name": "dab726a3-0abc-450e-a5bb-fa7a0021fceb", "count": 1, "frequency": 0.0004}, {"name": "ff8a3242-185d-4c2d-a04d-963c15dd34df", "count": 1, "frequency": 0.0004}, {"name": "23f70bdc-5d5d-473c-aa36-2dac0ac5fc14", "count": 1, "frequency": 0.0004}, {"name": "820ad50a-b90c-48a7-b8df-9deaa5c6d4b2", "count": 1, "frequency": 0.0004}, {"name": "870efbc4-1817-4e97-b450-d358aaa137e9", "count": 1, "frequency": 0.0004}, {"name": "e1949de4-199d-4206-93a2-933940f493a6", "count": 1, "frequency": 0.0004}, {"name": "44bfa335-77d8-4389-803b-dcc6811faa4b", "count": 1, "frequency": 0.0004}, {"name": "48f0feba-df28-4ea5-98fc-a3834a299474", "count": 1, "frequency": 0.0004}, {"name": "6139071d-a771-41e8-b087-2b3c9ece7de4", "count": 1, "frequency": 0.0004}, {"name": "4160e6b2-c2b6-4ace-ba48-1a8b61e3fc47", "count": 1, "frequency": 0.0004}, {"name": "2c89f54d-9163-4397-bc93-069099f89759", "count": 1, "frequency": 0.0004}, {"name": "66f84006-81e1-4a05-8ce7-1cc39adbcca1", "count": 1, "frequency": 0.0004}, {"name": "b6ee7cdf-9e49-4b4b-8498-ae7e84dbab6f", "count": 1, "frequency": 0.0004}, {"name": "93ad619e-0ca0-4658-a5ca-eda0301a3af8", "count": 1, "frequency": 0.0004}, {"name": "aa53d66d-d746-4ff2-8059-6f0e56202c7e", "count": 1, "frequency": 0.0004}, {"name": "b25554b6-a6f1-48d6-9559-fe8c19042330", "count": 1, "frequency": 0.0004}, {"name": "7644081c-0e4c-4f0a-856a-30ca8531d71f", "count": 1, "frequency": 0.0004}, {"name": "547b602b-84ca-4c2a-88cb-049f63874cee", "count": 1, "frequency": 0.0004}, {"name": "9049571c-087f-4f00-a87d-a6b11e3c8068", "count": 1, "frequency": 0.0004}, {"name": "8272537f-d131-4fd3-ae69-716c353bc6ce", "count": 1, "frequency": 0.0004}, {"name": "4712a367-c611-4734-b996-cc381c6fcd79", "count": 1, "frequency": 0.0004}, {"name": "45ffb3be-9379-4146-9df2-30a00850510d", "count": 1, "frequency": 0.0004}, {"name": "438f2002-d107-4755-9a25-f7ca106974e2", "count": 1, "frequency": 0.0004}, {"name": "bd248f26-9535-42b0-a597-c3111f685559", "count": 1, "frequency": 0.0004}, {"name": "53a8e8de-01c2-4767-b8d1-1116c0612721", "count": 1, "frequency": 0.0004}, {"name": "692f8901-d001-47a4-831a-32f9d3a71073", "count": 1, "frequency": 0.0004}, {"name": "bfd56cf9-43e1-4e78-b80e-783718b8c3e9", "count": 1, "frequency": 0.0004}, {"name": "bf15dae5-e522-4b41-b644-1154999bf0a2", "count": 1, "frequency": 0.0004}, {"name": "674f795f-d12e-4fc4-8280-7b41afbe7631", "count": 1, "frequency": 0.0004}, {"name": "a0641006-fc95-46a8-bafc-295f9780a39c", "count": 1, "frequency": 0.0004}, {"name": "9bc48514-00c9-4dcc-a75c-f5d3174c87ce", "count": 1, "frequency": 0.0004}, {"name": "ee1a33ff-b33c-4dc1-a0b2-81c01baa7d30", "count": 1, "frequency": 0.0004}, {"name": "2c82622a-fb4f-4057-a6e9-b4495c703345", "count": 1, "frequency": 0.0004}, {"name": "380e50b6-dda3-4be5-975c-7f121a7bb47a", "count": 1, "frequency": 0.0004}, {"name": "c021a457-5a81-4bb3-ae21-c6b1cf7bbd59", "count": 1, "frequency": 0.0004}, {"name": "01d3837b-6b83-462e-8082-65cf376bd42f", "count": 1, "frequency": 0.0004}, {"name": "69a0e99e-510c-4161-aa14-91e62da979d3", "count": 1, "frequency": 0.0004}, {"name": "2059421f-07d4-4e72-a1cf-9baee8ce54d5", "count": 1, "frequency": 0.0004}, {"name": "5a1b1bdf-d009-4d57-b9a0-1e2c3c9716eb", "count": 1, "frequency": 0.0004}, {"name": "281f78d8-47d9-4d44-b16b-698bf73a5c7b", "count": 1, "frequency": 0.0004}, {"name": "f29c914c-77bb-4d5a-ab0d-24bd2d03e4c5", "count": 1, "frequency": 0.0004}, {"name": "157973e9-2ffb-41df-b39a-43580489d45d", "count": 1, "frequency": 0.0004}, {"name": "91e11125-5eb9-4420-aef9-7c2b9846c45a", "count": 1, "frequency": 0.0004}, {"name": "2297f9a9-7ddf-4e49-b5c2-1a482e1ec3a1", "count": 1, "frequency": 0.0004}, {"name": "1b79a411-5ef8-41ea-b637-185bdb55e368", "count": 1, "frequency": 0.0004}, {"name": "20897053-d5fb-4c13-8619-b343f9a27d16", "count": 1, "frequency": 0.0004}, {"name": "29108b15-dbb2-4215-8a1b-88076c09c949", "count": 1, "frequency": 0.0004}, {"name": "245ac3e6-69e9-4166-a2b7-9b297c4a34e5", "count": 1, "frequency": 0.0004}, {"name": "46fe9ee0-d26a-412b-830b-8b2833f4d75d", "count": 1, "frequency": 0.0004}, {"name": "0f607ba7-d8be-4bd3-99a9-e0e53af882b8", "count": 1, "frequency": 0.0004}, {"name": "5ac619c1-6484-4613-9d90-f0402145dab0", "count": 1, "frequency": 0.0004}, {"name": "c45a081c-3035-4de3-a341-d89d9363bda1", "count": 1, "frequency": 0.0004}, {"name": "c48611e5-213d-4a1f-a585-21ffa86389ae", "count": 1, "frequency": 0.0004}, {"name": "199f36b5-4d9d-4c1f-92db-2d287731a487", "count": 1, "frequency": 0.0004}, {"name": "55051028-f639-4310-9d84-e4a135c82d50", "count": 1, "frequency": 0.0004}, {"name": "ad6f1ed2-b4a7-4f7b-b319-92b522014960", "count": 1, "frequency": 0.0004}, {"name": "51fda1bf-2ae7-4514-b8ee-c8eeb7997c90", "count": 1, "frequency": 0.0004}, {"name": "51d0133b-36cf-4c23-bd2d-12e738691b6b", "count": 1, "frequency": 0.0004}, {"name": "b3fbd8d5-6548-4e1f-b334-c5b1480e0dbf", "count": 1, "frequency": 0.0004}, {"name": "b3aa75c2-3d67-41c8-a357-74454bf8f72b", "count": 1, "frequency": 0.0004}, {"name": "3b429276-8b70-4804-946d-256b574db4d6", "count": 1, "frequency": 0.0004}, {"name": "379e7663-4278-452b-b667-387b53b9b841", "count": 1, "frequency": 0.0004}, {"name": "b1b08335-9ead-4614-84b7-f0adb6e9b389", "count": 1, "frequency": 0.0004}, {"name": "c7b1efc7-267e-4a88-a52a-55e3c31ce079", "count": 1, "frequency": 0.0004}, {"name": "bf688e0d-cf2a-47ad-9023-6db614b26e12", "count": 1, "frequency": 0.0004}, {"name": "e7b61552-b03c-4f81-8447-d811067f7969", "count": 1, "frequency": 0.0004}, {"name": "a31da52c-e116-4ea0-9d70-3a27e2ee91bf", "count": 1, "frequency": 0.0004}, {"name": "a53850ff-849e-4de6-9c0b-e120f73fdfe0", "count": 1, "frequency": 0.0004}, {"name": "24d598f5-cb45-4c6c-b8ba-a77794d398b5", "count": 1, "frequency": 0.0004}, {"name": "7616e04c-54ce-46fc-8c99-8198fc82e182", "count": 1, "frequency": 0.0004}, {"name": "c25db724-3f3d-4d9e-8a12-a6668985275b", "count": 1, "frequency": 0.0004}, {"name": "e9920e9a-7692-4e6d-bb1e-68bf737bcbf5", "count": 1, "frequency": 0.0004}, {"name": "cc7d62b4-29c5-45a0-afb1-86588b481be2", "count": 1, "frequency": 0.0004}, {"name": "4d6f2ad4-9db7-41e7-9892-1a3a085adc79", "count": 1, "frequency": 0.0004}, {"name": "107e2804-8b0d-4ddd-b673-55b54094a09c", "count": 1, "frequency": 0.0004}, {"name": "123c71c3-41b6-4c5c-90f5-a9470c2b71f7", "count": 1, "frequency": 0.0004}, {"name": "9ba04aa0-3a9d-47fa-b5a9-96b66e75c03d", "count": 1, "frequency": 0.0004}, {"name": "3060f4de-6533-441f-9ea3-2d1ac6fe4cd2", "count": 1, "frequency": 0.0004}, {"name": "7e17d24a-1432-47ac-a9f6-8fcb50f70917", "count": 1, "frequency": 0.0004}, {"name": "581acdc9-39e7-4e35-8864-f5e61a66bed9", "count": 1, "frequency": 0.0004}, {"name": "6bd926b9-e1ce-4f3a-9740-616c23bdc09b", "count": 1, "frequency": 0.0004}, {"name": "b6aa45d7-ec72-4bec-a72f-b2e7233270e9", "count": 1, "frequency": 0.0004}, {"name": "18dd50eb-5a7f-4d99-96dd-2480112adad9", "count": 1, "frequency": 0.0004}, {"name": "6cd472e0-7f98-4df5-92f9-8ab61626c459", "count": 1, "frequency": 0.0004}, {"name": "abbdda44-c173-47bd-9cc0-794ecb700fb2", "count": 1, "frequency": 0.0004}, {"name": "cf0bd22d-238c-4f7f-967d-ec88ae49b4ca", "count": 1, "frequency": 0.0004}, {"name": "b9e9a39c-738f-413a-836e-e7a79b8d4223", "count": 1, "frequency": 0.0004}, {"name": "e15c944b-95e8-40b1-9f7a-50458447df31", "count": 1, "frequency": 0.0004}, {"name": "eba2a56f-bfa9-4d15-bc2e-7cab14d282ef", "count": 1, "frequency": 0.0004}, {"name": "543f2585-2aac-4b5e-addf-22b9923d2baa", "count": 1, "frequency": 0.0004}, {"name": "7e6f9b83-f346-42d7-b95b-d9aa59ea2b02", "count": 1, "frequency": 0.0004}, {"name": "b325940c-31c2-487e-83c3-4ea183f1d1eb", "count": 1, "frequency": 0.0004}, {"name": "e91fcbc4-4c7f-4a0f-8a08-cb35e82dcf67", "count": 1, "frequency": 0.0004}, {"name": "83345ed9-21a9-40d7-a07e-272d9fd9cb0e", "count": 1, "frequency": 0.0004}, {"name": "ffa6481d-a21e-40f1-bfb4-fa3c31817041", "count": 1, "frequency": 0.0004}, {"name": "727a4ff0-3a82-4e5e-a14d-6549cae4fc47", "count": 1, "frequency": 0.0004}, {"name": "7ff294ed-8c0a-45f7-aba7-9b600637e240", "count": 1, "frequency": 0.0004}, {"name": "731060af-1f9c-4f91-9f56-5f762d4be4c8", "count": 1, "frequency": 0.0004}, {"name": "5905c630-3948-4132-b1c8-05b5d1af1018", "count": 1, "frequency": 0.0004}, {"name": "c96afd98-0910-40d0-a33e-097834b684bb", "count": 1, "frequency": 0.0004}, {"name": "f55a9c5b-feaf-4823-b3d2-58949b4c4e9b", "count": 1, "frequency": 0.0004}, {"name": "86898d4a-d0a1-4fbe-91d0-f1b009d31c35", "count": 1, "frequency": 0.0004}, {"name": "5640df05-f3d3-4ed3-b587-d453231c7648", "count": 1, "frequency": 0.0004}, {"name": "9c9bf00f-410f-49e9-aa8c-6562d8c9d199", "count": 1, "frequency": 0.0004}, {"name": "56057ecf-a3a1-4dbf-91b5-93cbef7583f3", "count": 1, "frequency": 0.0004}, {"name": "dbe6b198-4990-44e8-9c1a-870a260baa41", "count": 1, "frequency": 0.0004}, {"name": "d0c389bc-e5ab-44c9-8042-4e78c40c295d", "count": 1, "frequency": 0.0004}, {"name": "01025eb6-2e49-468e-af2f-0b8969252e0c", "count": 1, "frequency": 0.0004}, {"name": "c9b7b40e-46ed-499a-af7d-afca7ef65e5a", "count": 1, "frequency": 0.0004}, {"name": "71d6208d-068c-4111-b8ce-0795efdb79bd", "count": 1, "frequency": 0.0004}, {"name": "28ccfc16-09d0-4a85-aece-67d9bfb36373", "count": 1, "frequency": 0.0004}, {"name": "04ca4865-6f35-4186-8e48-c0c78609ac05", "count": 1, "frequency": 0.0004}, {"name": "5dfe87f4-acf8-4d7d-87ce-86f0c82f2de9", "count": 1, "frequency": 0.0004}, {"name": "dcbf911a-874a-464d-905b-2a2179d31fc9", "count": 1, "frequency": 0.0004}, {"name": "5670d508-0d8f-4811-88e8-9efb834ba003", "count": 1, "frequency": 0.0004}, {"name": "7f368e44-c6d3-4002-8df3-74453c89cffb", "count": 1, "frequency": 0.0004}, {"name": "52630116-fb8b-4dd0-b470-c35f2aaac6d7", "count": 1, "frequency": 0.0004}, {"name": "05fa7273-2afb-40ec-89ec-f6c777272be9", "count": 1, "frequency": 0.0004}, {"name": "cd4dad53-8e5c-4f73-988a-7c5fcf66689e", "count": 1, "frequency": 0.0004}, {"name": "e0f6ac6d-4890-449e-9427-d77b7a786df1", "count": 1, "frequency": 0.0004}, {"name": "1f4e39bd-797e-499d-b286-737d0471899e", "count": 1, "frequency": 0.0004}, {"name": "c243719d-604e-4227-bcb6-fbd2dc597d38", "count": 1, "frequency": 0.0004}, {"name": "9a946168-a4da-4398-9611-a2ebb6852e6b", "count": 1, "frequency": 0.0004}, {"name": "36c39d12-180d-4d9b-b2b5-8282975cf571", "count": 1, "frequency": 0.0004}, {"name": "7c679558-b334-4922-a3ee-b4bff94fb5fd", "count": 1, "frequency": 0.0004}, {"name": "f25b1d3e-24db-46d5-b98c-dd497af5f145", "count": 1, "frequency": 0.0004}, {"name": "637d3672-b53c-41fa-b511-637182ff8ec0", "count": 1, "frequency": 0.0004}, {"name": "afc92e0b-0e76-4354-96ac-cabb3fc5d43e", "count": 1, "frequency": 0.0004}, {"name": "d896dc45-d70a-4b6e-b28b-c9307b332e84", "count": 1, "frequency": 0.0004}, {"name": "470a8cb0-420d-4501-92fd-c184e00b98a8", "count": 1, "frequency": 0.0004}, {"name": "9034dccc-7b7a-46ef-92f3-56cbb0cb9718", "count": 1, "frequency": 0.0004}, {"name": "c38fe75b-42fb-482a-b5c6-370f6b4fef93", "count": 1, "frequency": 0.0004}, {"name": "d144509d-95b3-4e60-86f4-b059971f43ac", "count": 1, "frequency": 0.0004}, {"name": "42e33ce0-c58b-4f3d-bfeb-d12471f2bb17", "count": 1, "frequency": 0.0004}, {"name": "b9535cf8-293f-4b7c-9abd-2ec88e367380", "count": 1, "frequency": 0.0004}, {"name": "f98a49a1-46b6-42d1-a9e6-e7b3567f31c6", "count": 1, "frequency": 0.0004}, {"name": "2e209664-4073-495c-a485-e00912c541fb", "count": 1, "frequency": 0.0004}, {"name": "46beea33-e98c-49b3-a34c-871f4e4488c3", "count": 1, "frequency": 0.0004}, {"name": "7389556d-1a1c-432e-bb4e-e302189a72dc", "count": 1, "frequency": 0.0004}, {"name": "991342cc-afae-47ac-9281-a567147af673", "count": 1, "frequency": 0.0004}, {"name": "31ab57dd-e51f-4b2c-b08a-fe1d3639e645", "count": 1, "frequency": 0.0004}, {"name": "ef034f60-ee16-4fab-881b-6d55b26d17b0", "count": 1, "frequency": 0.0004}, {"name": "7fac6a6e-45c7-4713-8578-85b1ad6eb66f", "count": 1, "frequency": 0.0004}, {"name": "dc5fe051-9bbd-4955-b8eb-f197897a56b4", "count": 1, "frequency": 0.0004}, {"name": "4878bb5b-3c8e-4a1f-a3bd-b6b631d4b2dc", "count": 1, "frequency": 0.0004}, {"name": "ea8a50ec-9c37-450a-b7d4-ab79e6c10858", "count": 1, "frequency": 0.0004}, {"name": "178028a9-e9db-48d8-a745-225fbd90167c", "count": 1, "frequency": 0.0004}, {"name": "8aa7ab42-d4ea-4efb-b203-872e11f48fd1", "count": 1, "frequency": 0.0004}, {"name": "4deee1af-3d19-42b1-8d4f-c8bc367cd7bb", "count": 1, "frequency": 0.0004}, {"name": "77783e7a-bcc0-4bbb-a699-7a78398823b0", "count": 1, "frequency": 0.0004}, {"name": "c4e40403-16c5-45e6-945b-2616e6f5d5a9", "count": 1, "frequency": 0.0004}, {"name": "40d4147d-b568-4ba3-b15b-181dfaa25202", "count": 1, "frequency": 0.0004}, {"name": "3cf1efe2-8dc7-4385-951f-d42426226439", "count": 1, "frequency": 0.0004}, {"name": "0fde19dc-d77a-47b4-81a0-2d38f5890f11", "count": 1, "frequency": 0.0004}, {"name": "c5e044d8-8974-4a69-ae2f-32888b453865", "count": 1, "frequency": 0.0004}, {"name": "5396c0cb-f7fc-429a-b003-0c716c49139b", "count": 1, "frequency": 0.0004}, {"name": "11fb8524-322a-4627-a1f1-04f10ee468b9", "count": 1, "frequency": 0.0004}, {"name": "724b072e-8687-41f4-a33e-ac1b101a057d", "count": 1, "frequency": 0.0004}, {"name": "8b337bb3-65f6-4e9b-9435-ff616ece7560", "count": 1, "frequency": 0.0004}, {"name": "52fd1653-cd6e-499d-969b-52e2e035a202", "count": 1, "frequency": 0.0004}, {"name": "a21fba43-79d3-41f8-a44f-fbf71350213f", "count": 1, "frequency": 0.0004}, {"name": "15c44777-b5be-4086-94d9-e074be0aba86", "count": 1, "frequency": 0.0004}, {"name": "4f0d7162-436e-42ae-9a92-c2a282c229ba", "count": 1, "frequency": 0.0004}, {"name": "3f211ae5-6378-4e11-b329-d056beb800a1", "count": 1, "frequency": 0.0004}, {"name": "dffddc24-5f1a-4727-981e-c421dfbf21f2", "count": 1, "frequency": 0.0004}, {"name": "fa17bd81-99a0-4ecd-887b-295657fb4a38", "count": 1, "frequency": 0.0004}, {"name": "35f45ace-fe21-451f-8037-cd1be87a2348", "count": 1, "frequency": 0.0004}, {"name": "30dbd6f5-1dc1-4a3a-9e6b-abe715a86f84", "count": 1, "frequency": 0.0004}, {"name": "9a6cd5c8-acca-48fc-a2fe-894bc709a682", "count": 1, "frequency": 0.0004}, {"name": "e9c5dd12-c6b3-4872-a7db-77e78dd21b3d", "count": 1, "frequency": 0.0004}, {"name": "ad0d1e90-dec2-4a22-99d4-ec2298f662a0", "count": 1, "frequency": 0.0004}, {"name": "cd2cf913-897b-4920-98fc-d95f9c6c53d2", "count": 1, "frequency": 0.0004}, {"name": "6bb3bda4-cf09-457e-8110-a6ec5df2d880", "count": 1, "frequency": 0.0004}, {"name": "4b733530-038f-430b-970d-616c28246457", "count": 1, "frequency": 0.0004}, {"name": "fbc656c7-c8c8-4178-be69-3bc61ba3851c", "count": 1, "frequency": 0.0004}, {"name": "e44e9459-2785-4734-aec2-6edecc89eec3", "count": 1, "frequency": 0.0004}, {"name": "10df8ee8-6299-4580-8418-6248355e471f", "count": 1, "frequency": 0.0004}, {"name": "a8840e0b-c0fc-4d55-8d7b-28bcb8aa85cb", "count": 1, "frequency": 0.0004}, {"name": "1669aa46-09f4-47f5-a5e9-8442c7474d59", "count": 1, "frequency": 0.0004}, {"name": "c8ff59b5-d509-4863-87af-9ff7768745df", "count": 1, "frequency": 0.0004}, {"name": "7c7c99c1-7eb3-4ef7-b5a8-4f9949f69c09", "count": 1, "frequency": 0.0004}, {"name": "c5d1f2c3-23cc-4dc7-8547-ae66a5ba7fa6", "count": 1, "frequency": 0.0004}, {"name": "cae796c9-2d40-490b-ad00-4b10feefda04", "count": 1, "frequency": 0.0004}, {"name": "f0a680ce-a1d0-48c2-a41d-2042315857f3", "count": 1, "frequency": 0.0004}, {"name": "b662d6a3-6ef9-430c-bbc7-46b37b83751e", "count": 1, "frequency": 0.0004}, {"name": "39e17bad-7e20-4fa2-958a-975432934790", "count": 1, "frequency": 0.0004}, {"name": "286631ee-17ee-40c9-b91a-6601026353da", "count": 1, "frequency": 0.0004}, {"name": "bfe5ef0e-86e0-49cf-9cfd-81d997b937bc", "count": 1, "frequency": 0.0004}, {"name": "e959cf10-7100-4937-8caa-9176c396060c", "count": 1, "frequency": 0.0004}, {"name": "7ccc89a2-4dc1-4c62-b118-c6c7bb07bca2", "count": 1, "frequency": 0.0004}, {"name": "0ca5e861-6b83-42a9-b738-cbc486676144", "count": 1, "frequency": 0.0004}, {"name": "af17597f-a9b4-4651-8bee-7ed8e7c6235f", "count": 1, "frequency": 0.0004}, {"name": "a738952b-cbc7-4782-87e3-c20c9d3ebd88", "count": 1, "frequency": 0.0004}, {"name": "c01f8012-6be0-48bd-9776-a775b273aaff", "count": 1, "frequency": 0.0004}, {"name": "598d0f73-dac7-4a24-82c1-625e6bba9d6f", "count": 1, "frequency": 0.0004}, {"name": "0a385225-4efb-4b33-a208-55e5d51d914b", "count": 1, "frequency": 0.0004}, {"name": "31bab957-4b0d-45d3-852f-94e3e237b119", "count": 1, "frequency": 0.0004}, {"name": "64dd605c-1378-471c-87c3-f4ce62f05211", "count": 1, "frequency": 0.0004}, {"name": "cf8e4700-772e-4fad-9b96-3fafcfef69cd", "count": 1, "frequency": 0.0004}, {"name": "a5b31217-ccb2-4231-90b5-ae1e06d169d0", "count": 1, "frequency": 0.0004}, {"name": "cbe3c56f-1fdb-4019-8586-a60b083a9eb4", "count": 1, "frequency": 0.0004}, {"name": "d62b4755-9c31-456f-abc0-5ae84bd81a5a", "count": 1, "frequency": 0.0004}, {"name": "c7fcfaef-e73b-4da0-9745-34a63ae9feb0", "count": 1, "frequency": 0.0004}, {"name": "3bfa6aac-81a3-4a77-af08-347caf7b920a", "count": 1, "frequency": 0.0004}, {"name": "eb1960d1-5adf-4eb8-bb6b-1773822e22f7", "count": 1, "frequency": 0.0004}, {"name": "10e3c82e-fb4e-4645-b658-a09e4ba36d12", "count": 1, "frequency": 0.0004}, {"name": "2dbfeb6c-1fe6-4f9d-a0ca-3e625fc369be", "count": 1, "frequency": 0.0004}, {"name": "20750169-2be0-40d7-be4e-ff9f34c2a180", "count": 1, "frequency": 0.0004}, {"name": "1aa083e3-9578-4656-ad2c-ebd5128691bf", "count": 1, "frequency": 0.0004}, {"name": "7a149cba-3c11-4c1d-8350-4521e34efabc", "count": 1, "frequency": 0.0004}, {"name": "1fd7078c-b1be-44bf-9f76-a81971fcd384", "count": 1, "frequency": 0.0004}, {"name": "2c708d5e-32a2-46dc-a0ef-83accf662777", "count": 1, "frequency": 0.0004}, {"name": "35535d82-8c5f-4ef4-80bd-6203555f13cb", "count": 1, "frequency": 0.0004}, {"name": "559b6e35-d526-4776-ad97-a95f2387e480", "count": 1, "frequency": 0.0004}, {"name": "8c48b5f9-9c4e-4ccf-ae51-db1a77ac7829", "count": 1, "frequency": 0.0004}, {"name": "f1fc2b27-1901-4323-ab08-b88901ed1cd1", "count": 1, "frequency": 0.0004}, {"name": "9ff46576-159f-424c-b31a-b2ea0b2d9287", "count": 1, "frequency": 0.0004}, {"name": "0a1c1361-8dc2-411a-91b8-39be4a39eb71", "count": 1, "frequency": 0.0004}, {"name": "96fd4604-5d10-47f7-a589-b0847c94f956", "count": 1, "frequency": 0.0004}, {"name": "dd2dbdfe-23b1-4e13-a601-4600adef4694", "count": 1, "frequency": 0.0004}, {"name": "98992b51-f5d5-43a7-b3de-0293d6f55995", "count": 1, "frequency": 0.0004}, {"name": "c10ed2c9-0bd3-42f3-af0c-1ee8960c178b", "count": 1, "frequency": 0.0004}, {"name": "1660e5e9-44da-4aa8-a9fa-dc6121be09ac", "count": 1, "frequency": 0.0004}, {"name": "8c306b60-f262-4005-ae4a-9203100f59f0", "count": 1, "frequency": 0.0004}, {"name": "2481dd4f-14ad-400a-97f7-e622a825dd90", "count": 1, "frequency": 0.0004}, {"name": "4bf6a549-53b1-4646-adeb-195b369e68b7", "count": 1, "frequency": 0.0004}, {"name": "7d4232b0-cdbe-459e-94f8-89f8aaaa45d4", "count": 1, "frequency": 0.0004}, {"name": "f413d9e7-bfec-4eb8-8b53-56c0c210ab20", "count": 1, "frequency": 0.0004}, {"name": "92800972-8721-41a8-a1d9-e93a274c4dc0", "count": 1, "frequency": 0.0004}, {"name": "5362ac71-f1bb-4560-953c-f6bdaed9ae20", "count": 1, "frequency": 0.0004}, {"name": "2d681c6f-6561-4322-adfb-87f5a3e5a9f3", "count": 1, "frequency": 0.0004}, {"name": "94ccb6e9-2234-42b4-8b8a-6a09a57231f1", "count": 1, "frequency": 0.0004}, {"name": "7cdd33a1-b3f2-4e63-9568-38368c5d7fe8", "count": 1, "frequency": 0.0004}, {"name": "9479d444-6990-4319-b5d5-7a30c356ec0d", "count": 1, "frequency": 0.0004}, {"name": "d24ecd09-3b54-433d-b4ea-5635d27ab1c8", "count": 1, "frequency": 0.0004}, {"name": "8974b763-03ab-455e-9000-1347cffb8071", "count": 1, "frequency": 0.0004}, {"name": "0237ebea-222e-496d-aab8-baacf4cf8fdf", "count": 1, "frequency": 0.0004}, {"name": "a128cba7-04aa-4f30-be18-7652aa4a07b1", "count": 1, "frequency": 0.0004}, {"name": "e2b73b21-3cef-4d4b-9d0f-ce0fc13b1d22", "count": 1, "frequency": 0.0004}, {"name": "1ab9f366-0c7e-485d-999c-7dc335f232a4", "count": 1, "frequency": 0.0004}, {"name": "47529973-b427-4c0f-83b6-7c0926a2cf8d", "count": 1, "frequency": 0.0004}, {"name": "f010b43f-17be-4c44-94bf-7370630c414b", "count": 1, "frequency": 0.0004}, {"name": "479c9f99-6b34-4e30-a101-e9cc211639c9", "count": 1, "frequency": 0.0004}, {"name": "e9301cfd-f57a-46d0-80fc-8265f42d790f", "count": 1, "frequency": 0.0004}, {"name": "a20a8f2b-8870-4da0-90ba-b345ad53a00e", "count": 1, "frequency": 0.0004}, {"name": "772ee460-fac3-4d71-9d0f-861c9984cc8f", "count": 1, "frequency": 0.0004}, {"name": "b6be3e2d-7603-4d20-96a9-4366b9c2cbd2", "count": 1, "frequency": 0.0004}, {"name": "490dd4df-725a-4836-bd09-fb8161df6129", "count": 1, "frequency": 0.0004}, {"name": "9fea4ba4-11ac-4fac-9591-477e014767b6", "count": 1, "frequency": 0.0004}, {"name": "bde80752-6e55-4f87-b5fe-cf8d14f873f5", "count": 1, "frequency": 0.0004}, {"name": "1682f77e-42c3-452a-9f80-61342c4e941c", "count": 1, "frequency": 0.0004}, {"name": "3fc09e71-62e3-4754-8ebd-cdf162de006a", "count": 1, "frequency": 0.0004}, {"name": "3f57adcc-66be-43f8-aa35-85418f05d468", "count": 1, "frequency": 0.0004}, {"name": "f67b3666-933a-40cb-b065-2f324aa6cd53", "count": 1, "frequency": 0.0004}, {"name": "749eacd4-d5bc-43dc-85f9-e9a539fa4d0d", "count": 1, "frequency": 0.0004}, {"name": "8dda1042-4ca6-4061-884a-3eb7aef9ae5b", "count": 1, "frequency": 0.0004}, {"name": "a8f9090b-2a8b-41c4-ad14-c5c64fd68b27", "count": 1, "frequency": 0.0004}, {"name": "3fe62256-0dd5-4dee-a07d-686cd20d3fdb", "count": 1, "frequency": 0.0004}, {"name": "002d651e-cdbc-4d00-ab3c-b6fce8e3ec48", "count": 1, "frequency": 0.0004}, {"name": "ec37f29d-cb30-4739-83e9-714166831d2d", "count": 1, "frequency": 0.0004}, {"name": "b9a3207e-b97d-4c1e-bdba-bc767fd2753c", "count": 1, "frequency": 0.0004}, {"name": "4d77379a-bad2-41e9-8ba4-abd156b2827c", "count": 1, "frequency": 0.0004}, {"name": "48cab520-4ad9-4e0c-9d12-6d844053b712", "count": 1, "frequency": 0.0004}, {"name": "9f5286ea-86a6-4496-a48a-8124eb17285c", "count": 1, "frequency": 0.0004}, {"name": "3124d163-e63f-4bda-b601-0709e8b42595", "count": 1, "frequency": 0.0004}, {"name": "af231032-0795-4c40-a2e5-a96a5efabc6d", "count": 1, "frequency": 0.0004}, {"name": "b6094dd0-02c2-4738-bd52-62a7645ec899", "count": 1, "frequency": 0.0004}, {"name": "287dfcdd-1e95-4970-8a41-e01c37fb6aa8", "count": 1, "frequency": 0.0004}, {"name": "40400e7a-4744-4e66-953f-30f2240f8e7f", "count": 1, "frequency": 0.0004}, {"name": "295ab54d-94cb-4cc4-92e8-5dceef90593b", "count": 1, "frequency": 0.0004}, {"name": "9598a60f-4fa5-46f2-b231-cc9fdbd3d246", "count": 1, "frequency": 0.0004}, {"name": "c07f579e-4e53-45f9-a01e-a5ab488fddb4", "count": 1, "frequency": 0.0004}, {"name": "40baf2e1-c6e2-4a33-9fb5-687cfe6cc155", "count": 1, "frequency": 0.0004}, {"name": "6c4365e8-0ec7-482f-9658-b20e0dbe25af", "count": 1, "frequency": 0.0004}, {"name": "986997c2-432e-4be2-b7b8-8e21007c2d78", "count": 1, "frequency": 0.0004}, {"name": "b4bc8454-3096-4cb5-8f75-7e193e538021", "count": 1, "frequency": 0.0004}, {"name": "05f4e40c-ef3f-454f-b55a-6d21fb4325c9", "count": 1, "frequency": 0.0004}, {"name": "2035790d-4621-4fa0-9367-f54d6bd48797", "count": 1, "frequency": 0.0004}, {"name": "f4271bdc-8550-446e-b859-11070724a14d", "count": 1, "frequency": 0.0004}, {"name": "f75079de-344a-4a27-9321-cd6983c3cc8e", "count": 1, "frequency": 0.0004}, {"name": "fcbfd39b-91c8-4652-b62f-d2999d7602f4", "count": 1, "frequency": 0.0004}, {"name": "8411155c-a10a-439b-bc59-6245312e6d1b", "count": 1, "frequency": 0.0004}, {"name": "ee7cc615-1db2-4bbe-8b54-388ae6300f65", "count": 1, "frequency": 0.0004}, {"name": "8648a7fd-db91-4cd9-8bf7-f87514ee82c0", "count": 1, "frequency": 0.0004}, {"name": "45a733a8-ba5b-435d-b048-b8a593ca5e39", "count": 1, "frequency": 0.0004}, {"name": "6b60e62a-f405-4814-9bb1-0a4738c4e058", "count": 1, "frequency": 0.0004}, {"name": "98ac619c-9680-45b6-88c7-71cfb8b800ca", "count": 1, "frequency": 0.0004}, {"name": "247df369-e8de-4748-b927-0f458a9d5872", "count": 1, "frequency": 0.0004}, {"name": "5cba9d14-db2e-4ff9-aaf7-d8c609bbf929", "count": 1, "frequency": 0.0004}, {"name": "54dcbbf9-1fe3-4743-8343-18c82969c43d", "count": 1, "frequency": 0.0004}, {"name": "e524810b-267b-4448-94c2-582ebd9b814c", "count": 1, "frequency": 0.0004}, {"name": "1760c5b3-40ec-4358-946a-d7cd3b54b59a", "count": 1, "frequency": 0.0004}, {"name": "39501ee8-8e9c-4f00-b680-75f278cc3fdf", "count": 1, "frequency": 0.0004}, {"name": "82e8e3fa-1d30-474d-a621-12e030fa3512", "count": 1, "frequency": 0.0004}, {"name": "16596264-b7d6-40de-8157-d56c535e8dcf", "count": 1, "frequency": 0.0004}, {"name": "e2b7c7e7-368a-4282-8b36-559fadeddece", "count": 1, "frequency": 0.0004}, {"name": "87717727-626a-4950-b67b-b7cce3f7418b", "count": 1, "frequency": 0.0004}, {"name": "7390d568-a4d6-4a43-8a77-3506376c2289", "count": 1, "frequency": 0.0004}, {"name": "2cb654ab-ed42-4729-86b0-ee5557cfc661", "count": 1, "frequency": 0.0004}, {"name": "5a0ca8b2-5693-4097-88bf-a5a378e0116e", "count": 1, "frequency": 0.0004}, {"name": "b4458d5c-039a-4f42-a0f2-1f5fb0275382", "count": 1, "frequency": 0.0004}, {"name": "89afec60-ea41-49dd-b239-50ffc8082c80", "count": 1, "frequency": 0.0004}, {"name": "02ad7518-1fa6-4c28-87b1-5f06d4fdc448", "count": 1, "frequency": 0.0004}, {"name": "f8a19f2c-4d8d-4e24-8a88-7d9a153d1032", "count": 1, "frequency": 0.0004}, {"name": "39f545bd-2997-4663-9e09-6c3b03aefd4a", "count": 1, "frequency": 0.0004}, {"name": "1007598b-97e1-4646-90f8-3819883c22a5", "count": 1, "frequency": 0.0004}, {"name": "8ee343de-36f5-4bba-9d1b-0161ee417532", "count": 1, "frequency": 0.0004}, {"name": "df6680fc-5825-4cf4-a30f-18cad2497dbb", "count": 1, "frequency": 0.0004}, {"name": "c63f5a0a-e232-46b6-902f-90d6d8252efd", "count": 1, "frequency": 0.0004}, {"name": "6b4af34d-6a1d-49a3-9a13-c0fe6e651ebc", "count": 1, "frequency": 0.0004}, {"name": "efbdac65-0d7b-4070-bfb5-29b737be4e79", "count": 1, "frequency": 0.0004}, {"name": "acced242-b930-4f23-8929-e15f9349ac0f", "count": 1, "frequency": 0.0004}, {"name": "014b7c30-266f-4fa8-88a5-4615d116c742", "count": 1, "frequency": 0.0004}, {"name": "bba116ad-46b7-451c-8ad7-8583e9c7fba8", "count": 1, "frequency": 0.0004}, {"name": "ea1a343d-a8c9-4e24-b872-412f6182bbb9", "count": 1, "frequency": 0.0004}, {"name": "22d2e273-9993-4b47-b924-dc06b766b46e", "count": 1, "frequency": 0.0004}, {"name": "d4a11ccd-a4d5-4fac-92f7-6c0832e7d367", "count": 1, "frequency": 0.0004}, {"name": "d93b34a9-f3c0-4b8a-a270-1a80185bdb68", "count": 1, "frequency": 0.0004}, {"name": "3c234ffa-91c9-49a4-9bf6-6c15d0c7dd92", "count": 1, "frequency": 0.0004}, {"name": "74daee8e-e241-46d4-b5a5-d071dff4d450", "count": 1, "frequency": 0.0004}, {"name": "f2d13993-4b4c-420e-bfc1-11cfabd2ecd0", "count": 1, "frequency": 0.0004}, {"name": "3e29995c-d3c2-4a08-9a02-6d8fc77911cd", "count": 1, "frequency": 0.0004}, {"name": "d7ff9b9c-6f8b-467a-8705-68474e7ac5f7", "count": 1, "frequency": 0.0004}, {"name": "a7482230-9a75-46da-814e-0e9a73e4bf54", "count": 1, "frequency": 0.0004}, {"name": "a6d80c41-eb21-43fa-8700-2babbe35081d", "count": 1, "frequency": 0.0004}, {"name": "235476f3-a653-4b17-b961-0228deaf2ed3", "count": 1, "frequency": 0.0004}, {"name": "6eb35a1f-3651-4a86-9013-bd2ad2c6d82a", "count": 1, "frequency": 0.0004}, {"name": "c03569c2-aaa4-4b4e-ab01-33737f2feeef", "count": 1, "frequency": 0.0004}, {"name": "86095a8d-4e7b-4a40-accc-a0b7ea705fe2", "count": 1, "frequency": 0.0004}, {"name": "ac660774-3800-4c1d-9b01-66599594ebfe", "count": 1, "frequency": 0.0004}, {"name": "d01ed665-7a1b-4fe7-aadb-765514dbf38c", "count": 1, "frequency": 0.0004}, {"name": "5a7faadb-9e72-4f78-bd6e-89e1f6552865", "count": 1, "frequency": 0.0004}, {"name": "904d420c-fd6a-4115-adc5-b217f6914a06", "count": 1, "frequency": 0.0004}, {"name": "67144c78-ee85-4cb4-b8b9-0b2651e9a9bb", "count": 1, "frequency": 0.0004}, {"name": "f197b394-247f-4956-b772-40c60f3b466e", "count": 1, "frequency": 0.0004}, {"name": "8c500fd9-2c97-4080-afb0-31323c0162c4", "count": 1, "frequency": 0.0004}, {"name": "ff934e83-84e9-4186-8f95-328a5eae1701", "count": 1, "frequency": 0.0004}, {"name": "33c3b5a8-51f7-48c6-8106-eddaac74d2fc", "count": 1, "frequency": 0.0004}, {"name": "38ebb095-cf4f-4ac5-b71b-329ec8f5e64e", "count": 1, "frequency": 0.0004}, {"name": "15db96f4-a109-42b6-9ded-c47b2e5915e2", "count": 1, "frequency": 0.0004}, {"name": "4a5e20a9-ad23-4a59-8f55-d7f52b982a43", "count": 1, "frequency": 0.0004}, {"name": "b3dee355-7af5-4853-82c7-2738ce653c4a", "count": 1, "frequency": 0.0004}, {"name": "2c5b9b4a-60a9-4793-bdf5-08311d3441b1", "count": 1, "frequency": 0.0004}, {"name": "03b54ef2-aa81-4213-b858-e2b8e947a257", "count": 1, "frequency": 0.0004}, {"name": "f35187c7-7977-48d0-8ffa-3efec613bd6f", "count": 1, "frequency": 0.0004}, {"name": "db159ffd-06e1-4b60-a14d-b9fdbb28e1b5", "count": 1, "frequency": 0.0004}, {"name": "6cf719a8-0bd8-4244-babc-402ab0d59ce7", "count": 1, "frequency": 0.0004}, {"name": "15470206-efcc-4795-9a1a-b16d9e4b4769", "count": 1, "frequency": 0.0004}, {"name": "77a68d91-7686-413f-a89c-f1462ce1cd1f", "count": 1, "frequency": 0.0004}, {"name": "d4036ef4-0ee8-4880-82d1-ea4107bee65a", "count": 1, "frequency": 0.0004}, {"name": "2fd1d5a1-ee86-4347-8a54-d325f0692109", "count": 1, "frequency": 0.0004}, {"name": "2abc5162-1783-407f-b137-8790dfa3934d", "count": 1, "frequency": 0.0004}, {"name": "f1645ecf-20a3-44bc-9e69-c8ee86d5902f", "count": 1, "frequency": 0.0004}, {"name": "8ac28f49-f534-41a9-a4c3-19379e54cbb7", "count": 1, "frequency": 0.0004}, {"name": "3b2c9d1b-cc70-45d6-a939-c71ed4707a98", "count": 1, "frequency": 0.0004}, {"name": "ea239f48-a118-4c9a-bbc6-f3d4ee5999ed", "count": 1, "frequency": 0.0004}, {"name": "ae1a8375-6abc-475a-bed7-d07ee7650114", "count": 1, "frequency": 0.0004}, {"name": "791f3105-e218-4116-ac8c-c9e1b34163f9", "count": 1, "frequency": 0.0004}, {"name": "c1d730f3-3ed3-42cc-bbc9-2060c5f81f41", "count": 1, "frequency": 0.0004}, {"name": "6d61fcc3-5a50-4c35-a0f5-8ba30994f0cb", "count": 1, "frequency": 0.0004}, {"name": "a94af6ff-d060-4069-a65f-9f06ea6ac64f", "count": 1, "frequency": 0.0004}, {"name": "3304661f-a39f-45db-a458-49f2fa17244e", "count": 1, "frequency": 0.0004}, {"name": "b61aee46-6bab-49d8-aa13-2b1e8758a1f0", "count": 1, "frequency": 0.0004}, {"name": "f44a9c4f-1b04-4468-a1ac-5d5206020f7b", "count": 1, "frequency": 0.0004}, {"name": "dfa40aef-c1a2-4e47-b7f5-5e8133a2ccad", "count": 1, "frequency": 0.0004}, {"name": "8ac328fc-fcfa-4854-8a69-4821e57b2e45", "count": 1, "frequency": 0.0004}, {"name": "9d013ca0-c899-4b2b-b3b6-5fcdc21462b9", "count": 1, "frequency": 0.0004}, {"name": "80fff906-1228-4b53-b2fe-bf3b2427b3a4", "count": 1, "frequency": 0.0004}, {"name": "4e05e047-53b1-4385-8c2c-ef6d60936b4a", "count": 1, "frequency": 0.0004}, {"name": "95b87dc9-ce4a-4410-96bb-fbd0be9440c9", "count": 1, "frequency": 0.0004}, {"name": "a14ee4ba-9f9f-4f65-a2f1-280db60db4b1", "count": 1, "frequency": 0.0004}, {"name": "76e64b87-c01f-42e5-ba7a-c3f6145562a0", "count": 1, "frequency": 0.0004}, {"name": "6e0c2762-0057-48c4-b8df-9751aeffc017", "count": 1, "frequency": 0.0004}, {"name": "5134aa5e-972c-4e3d-b32b-78f4d57ed442", "count": 1, "frequency": 0.0004}, {"name": "10a647c2-0cd3-4cff-88d7-74eff56475bd", "count": 1, "frequency": 0.0004}, {"name": "9f5404f7-1b18-4cd2-81ec-7fafda12a486", "count": 1, "frequency": 0.0004}, {"name": "5cc36e5e-5e5a-43af-b9a4-b013cbf7fc20", "count": 1, "frequency": 0.0004}, {"name": "1c94cd4a-26c1-4da5-abd7-92b6b1b77b4f", "count": 1, "frequency": 0.0004}, {"name": "fd2ddd94-68ac-475c-9eef-f33400a0803a", "count": 1, "frequency": 0.0004}, {"name": "36ad7fbe-a952-41bc-aa67-9b4682761fb5", "count": 1, "frequency": 0.0004}, {"name": "ebaa0581-26bb-470c-97a9-b71b3a84a6ed", "count": 1, "frequency": 0.0004}, {"name": "999a4c11-f782-4d62-aaca-0e8efb8da9b8", "count": 1, "frequency": 0.0004}, {"name": "74a6fdd7-8183-4b6e-b296-9322764957fb", "count": 1, "frequency": 0.0004}, {"name": "ce6a058e-03f1-4516-8bbe-8ff6744a33b1", "count": 1, "frequency": 0.0004}, {"name": "d8836dd7-57f0-4b66-88c4-6479a569ad1b", "count": 1, "frequency": 0.0004}, {"name": "7c3d33dc-653d-4430-948b-2cb4c62c52fc", "count": 1, "frequency": 0.0004}, {"name": "9cb3f305-d2df-4552-bdd1-19bfa3c5ed48", "count": 1, "frequency": 0.0004}, {"name": "440dade6-3390-4c25-937f-2df5ba93c3c4", "count": 1, "frequency": 0.0004}, {"name": "12e131d8-ea66-4720-a89d-a96afe3f74d1", "count": 1, "frequency": 0.0004}, {"name": "e978f6a6-577a-4e79-9735-5da0cb53c4cb", "count": 1, "frequency": 0.0004}, {"name": "b4009f4b-9802-4a3e-b9a1-6fc51f1c302b", "count": 1, "frequency": 0.0004}, {"name": "bada84d3-0597-4cc2-b7fe-6489ddd84372", "count": 1, "frequency": 0.0004}, {"name": "50d01165-feeb-4b7e-8989-01300f1ce2a5", "count": 1, "frequency": 0.0004}, {"name": "8b0fc223-3f1b-4f2c-b94a-1ccc542f85ce", "count": 1, "frequency": 0.0004}, {"name": "9eb39225-0b23-4e84-9ea6-96470a5976b5", "count": 1, "frequency": 0.0004}, {"name": "3b5ac259-c4ec-4b49-8d1a-0589f53b87a4", "count": 1, "frequency": 0.0004}, {"name": "43ac18bc-21fd-4622-96bf-3a36eee3c555", "count": 1, "frequency": 0.0004}, {"name": "7322cf47-d8b4-42b4-8cce-2525fe07adf0", "count": 1, "frequency": 0.0004}, {"name": "dfdca923-4ac9-432b-af6b-84e1384d5454", "count": 1, "frequency": 0.0004}, {"name": "895dc0f9-8dca-4866-82be-99bc60ae5bbc", "count": 1, "frequency": 0.0004}, {"name": "537ebd12-40b6-476d-ad03-1de1f8885941", "count": 1, "frequency": 0.0004}, {"name": "ca0dfaea-d657-4b9f-8277-ec08c0ae8a64", "count": 1, "frequency": 0.0004}, {"name": "8b210dbc-d748-4ef7-aacf-a547debfb1d2", "count": 1, "frequency": 0.0004}, {"name": "40ac5642-8f8b-4c97-8e18-9ac412b38573", "count": 1, "frequency": 0.0004}, {"name": "36cc6531-b0c1-4dc9-8f21-6ee4c61384da", "count": 1, "frequency": 0.0004}, {"name": "c3ddbf1b-ceec-443a-96fd-bca5d5802b41", "count": 1, "frequency": 0.0004}, {"name": "e9da18a1-5fc6-4c96-9118-0c3c5672f641", "count": 1, "frequency": 0.0004}, {"name": "62d7d0b1-45c4-4324-b252-1235e241736c", "count": 1, "frequency": 0.0004}, {"name": "10142cea-07a5-4eee-8616-5f6c303550e3", "count": 1, "frequency": 0.0004}, {"name": "1589294a-93c3-46a6-a6c4-d383698a1f5b", "count": 1, "frequency": 0.0004}, {"name": "c581a181-ad08-41ac-990f-2f82ce1e5240", "count": 1, "frequency": 0.0004}, {"name": "aaf6eeda-ec4d-4e33-a146-313112cae27e", "count": 1, "frequency": 0.0004}, {"name": "4a44b9a5-93f2-49fa-bf10-0dc503258633", "count": 1, "frequency": 0.0004}, {"name": "92c94b7c-d497-4a7b-8888-9512050a583c", "count": 1, "frequency": 0.0004}, {"name": "18285a28-9441-467a-95dc-c07a3a31453d", "count": 1, "frequency": 0.0004}, {"name": "29572821-1c85-4058-91dc-59350b745bd0", "count": 1, "frequency": 0.0004}, {"name": "714882dc-8f8a-4086-b383-d90d1c5ff20e", "count": 1, "frequency": 0.0004}, {"name": "fc90545f-73bc-40c3-bac4-75da537436a0", "count": 1, "frequency": 0.0004}, {"name": "de321016-57d9-47c2-92e5-92d934bb049a", "count": 1, "frequency": 0.0004}, {"name": "355c5734-d54a-4ffc-84dc-f7106b9769a9", "count": 1, "frequency": 0.0004}, {"name": "529a9e5b-23c0-43ae-8846-c0c45a8d053d", "count": 1, "frequency": 0.0004}, {"name": "63cd29ad-cd29-4f8d-a124-7ff528be44f1", "count": 1, "frequency": 0.0004}, {"name": "d7785f33-e4fe-4ac5-9653-882011d2cff9", "count": 1, "frequency": 0.0004}, {"name": "a22a4851-3353-4e69-9a47-8c590c4d47fd", "count": 1, "frequency": 0.0004}, {"name": "2659a999-09cb-4831-8f08-b725ec857814", "count": 1, "frequency": 0.0004}, {"name": "46e97d47-b671-4767-942b-91cee02edb60", "count": 1, "frequency": 0.0004}, {"name": "c9ea0430-4a48-4e90-9374-cf73de2dbfe9", "count": 1, "frequency": 0.0004}, {"name": "b111f88b-bc27-4fe0-8068-a432107a1324", "count": 1, "frequency": 0.0004}, {"name": "c9926dab-72f2-4055-bc49-72d1b4dc7381", "count": 1, "frequency": 0.0004}, {"name": "19737cd2-d04e-4ecd-838b-23de10c4ca74", "count": 1, "frequency": 0.0004}, {"name": "f9d11a3a-d2cf-4433-9488-57fd465bd2f3", "count": 1, "frequency": 0.0004}, {"name": "027c41e0-2f84-4067-898b-7ac518a361b1", "count": 1, "frequency": 0.0004}, {"name": "c46955f3-bfb8-407b-9ee7-b293051eaa15", "count": 1, "frequency": 0.0004}, {"name": "e2d6e80c-188e-448d-b244-1294b0d97aeb", "count": 1, "frequency": 0.0004}, {"name": "6e50d37c-9b33-4f7a-9110-e4b8277f2b44", "count": 1, "frequency": 0.0004}, {"name": "1d567d1a-667a-49d5-9da5-328200e864ea", "count": 1, "frequency": 0.0004}, {"name": "07d73563-d911-4eaf-bea0-39a47e30d351", "count": 1, "frequency": 0.0004}, {"name": "0ff94711-a86d-4006-a3e3-f0af7bd5661b", "count": 1, "frequency": 0.0004}, {"name": "334d8bfe-5ae1-4d5d-84ed-0c773d5ef812", "count": 1, "frequency": 0.0004}, {"name": "10063bb2-9f43-47db-aeba-0cc35483adb9", "count": 1, "frequency": 0.0004}, {"name": "0789bab7-569b-4cd3-a3d1-4c6aca980ffd", "count": 1, "frequency": 0.0004}, {"name": "4774285b-c38e-4e45-96a4-6238462989e7", "count": 1, "frequency": 0.0004}, {"name": "dab5f4d2-32c7-4e37-b784-5c8bc2f0d5f4", "count": 1, "frequency": 0.0004}, {"name": "cb9c5e69-8be6-4b0f-a082-612fec20e3cb", "count": 1, "frequency": 0.0004}, {"name": "72d9586c-a188-4ff0-b027-3ea42faca6fb", "count": 1, "frequency": 0.0004}, {"name": "bdf0caf1-fc81-4451-abee-09668684695a", "count": 1, "frequency": 0.0004}, {"name": "dbbcab26-f0d3-4c81-beb8-9e7dba619dc9", "count": 1, "frequency": 0.0004}, {"name": "c24ed65f-46e9-40c5-922e-aefadb3f3ba5", "count": 1, "frequency": 0.0004}, {"name": "eb06ccf0-06ec-462e-ac72-cff5295d6e73", "count": 1, "frequency": 0.0004}, {"name": "07f4d68d-93f1-441c-8777-713c7e42c68c", "count": 1, "frequency": 0.0004}, {"name": "41305c13-a853-4238-843d-9f179c792816", "count": 1, "frequency": 0.0004}, {"name": "7a457357-c83e-40d7-95af-233767a49708", "count": 1, "frequency": 0.0004}, {"name": "42f5c2bf-f458-48f9-9086-0a027d3dba78", "count": 1, "frequency": 0.0004}, {"name": "3556227d-47e3-4475-9b5a-f0c73cb01eff", "count": 1, "frequency": 0.0004}, {"name": "6f6734ca-70a5-4ea8-8045-4df7a8307eea", "count": 1, "frequency": 0.0004}, {"name": "02f086f8-ea79-47b5-814d-57113751553d", "count": 1, "frequency": 0.0004}, {"name": "3fcd435b-0c34-4d50-a279-b0a982ca056f", "count": 1, "frequency": 0.0004}, {"name": "601ff77e-420a-4bec-b2c8-bf74ce83810c", "count": 1, "frequency": 0.0004}, {"name": "8a3eb5de-09ae-4aa5-bc88-b3f30d50bedf", "count": 1, "frequency": 0.0004}, {"name": "c54e4fe8-4f35-4690-a858-0ba9b2454e96", "count": 1, "frequency": 0.0004}, {"name": "1b0f2eb0-da87-4f78-a8a2-74371baf5353", "count": 1, "frequency": 0.0004}, {"name": "399ef81e-8804-4a46-a637-9257f474ed30", "count": 1, "frequency": 0.0004}, {"name": "f3f5f5bc-d03b-471d-a4f1-fd43000d7362", "count": 1, "frequency": 0.0004}, {"name": "d8218366-1cb7-4263-93fe-a268db84f338", "count": 1, "frequency": 0.0004}, {"name": "31017b43-4615-4987-b875-55c9c3840def", "count": 1, "frequency": 0.0004}, {"name": "ae07bca9-77d7-44e0-a14b-09270c36610b", "count": 1, "frequency": 0.0004}, {"name": "ce8b31a7-f0e2-42a8-8b8c-d20aebee019d", "count": 1, "frequency": 0.0004}, {"name": "e74aa956-5a34-413c-8f14-24974f4383a9", "count": 1, "frequency": 0.0004}, {"name": "33d877ce-554f-4ecb-95db-bda5430b6d98", "count": 1, "frequency": 0.0004}, {"name": "10783f3f-f309-4675-adeb-3213046f40e7", "count": 1, "frequency": 0.0004}, {"name": "adc863ea-cba2-4ad5-bdee-648f0c8b2f4a", "count": 1, "frequency": 0.0004}, {"name": "d9be49ea-a987-452e-a72a-c36d5f0b8075", "count": 1, "frequency": 0.0004}, {"name": "6c967d50-a874-4b0a-ae83-c4a8aa4f5913", "count": 1, "frequency": 0.0004}, {"name": "8123c6a6-7e44-4e2b-834d-65783d967338", "count": 1, "frequency": 0.0004}, {"name": "c7d75249-97cd-4a4a-953b-efe43d017411", "count": 1, "frequency": 0.0004}, {"name": "e090e69b-f8c0-4dd1-bde9-541cc3903731", "count": 1, "frequency": 0.0004}, {"name": "25e379a1-60b0-42fc-b688-7505be4de4fa", "count": 1, "frequency": 0.0004}, {"name": "0f5d2cca-d96a-4079-a000-318b340e15ed", "count": 1, "frequency": 0.0004}, {"name": "d764d990-ffe6-4f02-8047-6d1165165781", "count": 1, "frequency": 0.0004}, {"name": "f1ad4574-9779-4279-bdc6-e211829dc98b", "count": 1, "frequency": 0.0004}, {"name": "740e470b-1622-44e9-9e85-cc1952e02976", "count": 1, "frequency": 0.0004}, {"name": "c93d47f7-7e34-4eec-83c9-9215e1cd45dc", "count": 1, "frequency": 0.0004}, {"name": "fac2543c-4ee6-4412-b620-90fa305811e7", "count": 1, "frequency": 0.0004}, {"name": "e5e9f8f4-d3e2-4c49-b3af-dad284aa9cc7", "count": 1, "frequency": 0.0004}, {"name": "887db3ad-7381-4074-9600-de90b26622ec", "count": 1, "frequency": 0.0004}, {"name": "3b4130e0-b055-497a-8625-f2446d87e5d7", "count": 1, "frequency": 0.0004}, {"name": "c277d504-7bcf-4771-8100-618a001c71cc", "count": 1, "frequency": 0.0004}, {"name": "93496d38-0a5b-4138-ac17-6147c2367a98", "count": 1, "frequency": 0.0004}, {"name": "ff50e6d5-24a6-4655-94d2-bc9f3e95ff95", "count": 1, "frequency": 0.0004}, {"name": "43b60a6d-c30a-4b04-8031-8e28f3f02508", "count": 1, "frequency": 0.0004}, {"name": "83e47ae7-df5b-434d-95d9-42a8ce395a50", "count": 1, "frequency": 0.0004}, {"name": "4c0813f8-c097-4e1d-a613-76cb7470c729", "count": 1, "frequency": 0.0004}, {"name": "430c182b-7731-4d51-8e7e-e27961aeaa64", "count": 1, "frequency": 0.0004}, {"name": "caba6eb7-f1a9-4a45-a285-e093618845c4", "count": 1, "frequency": 0.0004}, {"name": "3c7017ac-6628-4ce4-9391-cbf9b7a0c133", "count": 1, "frequency": 0.0004}, {"name": "fcc952fc-ded9-48e1-b40d-2c671f445131", "count": 1, "frequency": 0.0004}, {"name": "a769630a-1352-4916-b27a-2c06b8a4ba1d", "count": 1, "frequency": 0.0004}, {"name": "dcec8632-3c3b-4399-a176-4a997309018c", "count": 1, "frequency": 0.0004}, {"name": "63ba5b74-a45a-401d-8503-f646f2d6b2a9", "count": 1, "frequency": 0.0004}, {"name": "26560fb6-421e-4508-a0ba-a19e4a2127f3", "count": 1, "frequency": 0.0004}, {"name": "0ac496c8-ebe0-42ec-8dd2-5b8b9c77fcac", "count": 1, "frequency": 0.0004}, {"name": "fe66424c-86ab-4506-8b6a-57a3d30caeed", "count": 1, "frequency": 0.0004}, {"name": "956045ce-d25e-403e-913c-6755daa36a06", "count": 1, "frequency": 0.0004}, {"name": "fd9d77e0-0c59-42ff-ae2e-da1b22ff9da9", "count": 1, "frequency": 0.0004}, {"name": "567f8536-adc6-42f9-9ed7-ceee0c6685fc", "count": 1, "frequency": 0.0004}, {"name": "b0570336-f258-4b6f-b793-39090c7bd594", "count": 1, "frequency": 0.0004}, {"name": "8e24d703-5452-4a07-a07a-e907fe4b6b42", "count": 1, "frequency": 0.0004}, {"name": "8a92cb2a-f190-44b7-a7e6-c19fa9714384", "count": 1, "frequency": 0.0004}, {"name": "05909335-f896-4203-82c9-bb7adf3dd635", "count": 1, "frequency": 0.0004}, {"name": "7f3f5e53-4ef0-4265-853c-de3fc4d3c56f", "count": 1, "frequency": 0.0004}, {"name": "f8907d9e-23b9-4c8d-bcb5-9b313852c8ee", "count": 1, "frequency": 0.0004}, {"name": "066e2480-d246-4f07-b061-60c8a55262fb", "count": 1, "frequency": 0.0004}, {"name": "fedbebfc-4442-4821-9a61-359fe459f741", "count": 1, "frequency": 0.0004}, {"name": "5e00d8de-aea4-43d6-9da8-f4c4f2d92964", "count": 1, "frequency": 0.0004}, {"name": "0a396050-2b51-4636-8f3b-59aebc617725", "count": 1, "frequency": 0.0004}, {"name": "e6bdb1c9-eff6-4099-a291-dbb0f6acb31f", "count": 1, "frequency": 0.0004}, {"name": "2124b962-834d-4883-b9ff-ea59c4b2e52d", "count": 1, "frequency": 0.0004}, {"name": "2f0198f8-e563-4f9a-9314-84f71608916e", "count": 1, "frequency": 0.0004}, {"name": "c2c1ad5b-d5cc-474d-b87d-881fa5ccc5c3", "count": 1, "frequency": 0.0004}, {"name": "3cf42c7c-9206-49ca-b377-183e9fdb4794", "count": 1, "frequency": 0.0004}, {"name": "3e8993e1-bfe0-4efd-864a-f4fc8c9650fa", "count": 1, "frequency": 0.0004}, {"name": "bd016839-6538-40c3-bcda-137b61d27754", "count": 1, "frequency": 0.0004}, {"name": "053380ff-f1df-4483-b6f1-a682edcf20d7", "count": 1, "frequency": 0.0004}, {"name": "8fdf00d7-5380-4efe-afba-06aef7827c2f", "count": 1, "frequency": 0.0004}, {"name": "8a959462-92fb-4408-9d6b-f05dd94d95e9", "count": 1, "frequency": 0.0004}, {"name": "20d34520-73f8-4e8e-bb76-d3041ce9cfe5", "count": 1, "frequency": 0.0004}, {"name": "549691f4-b9ee-4eb7-af58-51a2d309267e", "count": 1, "frequency": 0.0004}, {"name": "7ef61749-df3f-4c5a-9ba1-de800e61e93c", "count": 1, "frequency": 0.0004}, {"name": "e5b6b707-a620-4cde-8173-fb2538144f1d", "count": 1, "frequency": 0.0004}, {"name": "29c8480f-5a2b-46be-9015-7cacd19d4acf", "count": 1, "frequency": 0.0004}, {"name": "c2c5d7ed-80f4-4fa3-97dc-9a503df559e5", "count": 1, "frequency": 0.0004}, {"name": "14852b3d-24bd-4f06-8c4e-e92162ae0144", "count": 1, "frequency": 0.0004}, {"name": "7c29c0e1-98d2-4989-aa2e-544991debd93", "count": 1, "frequency": 0.0004}, {"name": "84ec7fba-0c8c-45bb-9407-501f080f35c3", "count": 1, "frequency": 0.0004}, {"name": "282d343c-25ff-4358-8708-138ccf0f326f", "count": 1, "frequency": 0.0004}, {"name": "f2dd2be2-7040-4190-87b9-e480616a7ebf", "count": 1, "frequency": 0.0004}, {"name": "b3baea56-c691-47aa-9c2c-64245362ed15", "count": 1, "frequency": 0.0004}, {"name": "3fe052cb-0c26-4123-ba83-e2c1b11d2adb", "count": 1, "frequency": 0.0004}, {"name": "045c4ef7-8090-47ff-a289-693770e21283", "count": 1, "frequency": 0.0004}, {"name": "c4325ed6-7b49-4abf-8108-9ee12299c2b2", "count": 1, "frequency": 0.0004}, {"name": "0e818b36-263a-4ebf-9082-3ad7b91e7130", "count": 1, "frequency": 0.0004}, {"name": "3b06123f-0034-4a93-8336-279d15392eab", "count": 1, "frequency": 0.0004}, {"name": "ac6d0a68-db8b-4703-bbb8-91f7403e9f9f", "count": 1, "frequency": 0.0004}, {"name": "611b4c90-cc1b-4d6b-96a4-a19764c894d9", "count": 1, "frequency": 0.0004}, {"name": "3ab3bdb1-3767-4dc8-91f1-85e79d48f923", "count": 1, "frequency": 0.0004}, {"name": "1e779a93-1834-4f71-8f9e-05767e562da2", "count": 1, "frequency": 0.0004}, {"name": "23231e64-b1c8-4f27-b8e6-d0bd51a27422", "count": 1, "frequency": 0.0004}, {"name": "cb4c2610-0a23-4a3c-8a5f-6857841f1e5e", "count": 1, "frequency": 0.0004}, {"name": "5b39d729-f026-4e7b-83e3-6467b36f4b19", "count": 1, "frequency": 0.0004}, {"name": "bdb2e61e-47a6-4076-815c-6d0f4891b51d", "count": 1, "frequency": 0.0004}, {"name": "b637ba68-b823-4657-a281-7d3227fd3b0a", "count": 1, "frequency": 0.0004}, {"name": "68288d1d-9a02-4dbb-a8c0-c0dc8113f8af", "count": 1, "frequency": 0.0004}, {"name": "a92c1053-bff9-4019-b526-7ffc0bc1ca07", "count": 1, "frequency": 0.0004}, {"name": "62da86d3-ac72-4fe2-b6c2-d191abab3f17", "count": 1, "frequency": 0.0004}, {"name": "6fb8e6f9-d23c-49c6-bb00-1f9933f8c946", "count": 1, "frequency": 0.0004}, {"name": "9fae2f13-88d9-4aeb-a2dd-200695482e55", "count": 1, "frequency": 0.0004}, {"name": "1e895497-771e-4ef5-b2ee-6b51ee80aa40", "count": 1, "frequency": 0.0004}, {"name": "30f080cf-09b7-403c-9955-7f112e21d8ca", "count": 1, "frequency": 0.0004}, {"name": "3a43fae5-506b-4b6e-91fc-39c2c3951539", "count": 1, "frequency": 0.0004}, {"name": "765bddcf-7cd0-4ea9-8346-b9d9692ad431", "count": 1, "frequency": 0.0004}, {"name": "5540e156-ccfc-42ab-8976-3cf7f5441836", "count": 1, "frequency": 0.0004}, {"name": "b3b58076-7c8f-42b5-8d8e-bd8c301fe397", "count": 1, "frequency": 0.0004}, {"name": "cc91cff6-1a45-49eb-a2e3-9a209da7803c", "count": 1, "frequency": 0.0004}, {"name": "454a5d72-57fb-45d2-808f-e3fd046a3b7d", "count": 1, "frequency": 0.0004}, {"name": "49c8f4da-2694-490e-9271-fd30a171b661", "count": 1, "frequency": 0.0004}, {"name": "92b3a3b0-25a2-43a5-a4af-3784e5047819", "count": 1, "frequency": 0.0004}, {"name": "0ba028e7-2da8-4724-b23c-f163df829823", "count": 1, "frequency": 0.0004}, {"name": "7cefa497-29b0-4ce3-8f40-03e5e4039348", "count": 1, "frequency": 0.0004}, {"name": "1db66b0e-c3cf-4d67-952a-c7ba04bddfea", "count": 1, "frequency": 0.0004}, {"name": "6c26118c-2325-4f9b-b6c3-d146477d37a8", "count": 1, "frequency": 0.0004}, {"name": "6019faf4-264f-4853-811d-f33c8fcebf49", "count": 1, "frequency": 0.0004}, {"name": "84910ec0-a4b1-4f52-b083-3148d25fa8e2", "count": 1, "frequency": 0.0004}, {"name": "deee0bbd-b6c3-4b74-81ef-06e7a6cb25cb", "count": 1, "frequency": 0.0004}, {"name": "4def477d-ec00-4187-b5de-b1d682ead761", "count": 1, "frequency": 0.0004}, {"name": "33decc75-99e3-435d-8f0b-21f8cef9f054", "count": 1, "frequency": 0.0004}, {"name": "55de4afb-6022-4a54-9017-b83a8430bf17", "count": 1, "frequency": 0.0004}, {"name": "2606f013-744e-4963-b579-ee6be11c23f9", "count": 1, "frequency": 0.0004}, {"name": "fcc9b59a-1ced-45b1-ae47-aad47230e2f8", "count": 1, "frequency": 0.0004}, {"name": "2765475f-c77d-4629-a595-78e07b0a948d", "count": 1, "frequency": 0.0004}, {"name": "f571bb35-f54d-4ae7-8f15-5b01aa93fcb3", "count": 1, "frequency": 0.0004}, {"name": "e607fa3f-d24e-43e2-a3e2-ebae7acb6d83", "count": 1, "frequency": 0.0004}, {"name": "0b3c0dfc-be95-4c58-9824-03650dee01f1", "count": 1, "frequency": 0.0004}, {"name": "2326f6c3-4d7b-49fa-a80a-98281456c886", "count": 1, "frequency": 0.0004}, {"name": "1f7a9181-911a-4416-900a-561a307bbbd4", "count": 1, "frequency": 0.0004}, {"name": "1d422b08-241b-40cd-8186-0585ec52c23b", "count": 1, "frequency": 0.0004}, {"name": "75cc55f1-1927-45ca-93d0-f7995c6b07b3", "count": 1, "frequency": 0.0004}, {"name": "e550b4da-01ee-4ef5-82b7-f087b2058069", "count": 1, "frequency": 0.0004}, {"name": "f2d61c31-a854-4163-b4b9-e3facbfbc6e7", "count": 1, "frequency": 0.0004}, {"name": "c55a28a5-bf08-4807-a04e-b771b86bfd3b", "count": 1, "frequency": 0.0004}, {"name": "f6c4f5c1-f07f-4bc2-afd0-69e9c9daa9fb", "count": 1, "frequency": 0.0004}, {"name": "54cba806-f868-41d4-9b4b-9fa64a806027", "count": 1, "frequency": 0.0004}, {"name": "b56ef203-63b6-4269-a69d-1084095266b7", "count": 1, "frequency": 0.0004}, {"name": "ddb11c48-eeff-4046-8273-1f4897f1b56f", "count": 1, "frequency": 0.0004}, {"name": "94ad46c8-2100-4795-97c7-efdebf381e66", "count": 1, "frequency": 0.0004}, {"name": "b0f5a8d2-e815-4851-8c46-6f5381e16f5f", "count": 1, "frequency": 0.0004}, {"name": "d4c7223b-061b-4db5-99d3-d56600b1575b", "count": 1, "frequency": 0.0004}, {"name": "59ac0f2e-312c-4cdb-9f63-825d326bac96", "count": 1, "frequency": 0.0004}, {"name": "7b3ec652-0949-4e9d-b470-505cd939ff35", "count": 1, "frequency": 0.0004}, {"name": "b2322dfb-8e63-4812-ba6c-9e685da8da8b", "count": 1, "frequency": 0.0004}, {"name": "0b88e42f-5d00-49d9-b925-e5dcc7520270", "count": 1, "frequency": 0.0004}, {"name": "0632f1c9-ba75-4d4c-8dbb-2bbdf5e900f8", "count": 1, "frequency": 0.0004}, {"name": "99c6071a-1b94-4a9a-9375-519447ba9110", "count": 1, "frequency": 0.0004}, {"name": "cb51cc49-5eb2-4d28-9efd-1b29929501e0", "count": 1, "frequency": 0.0004}, {"name": "4fe71b1d-abc8-4d4e-9f00-6758cf89f76f", "count": 1, "frequency": 0.0004}, {"name": "69863ebc-c98f-4071-a474-0e8c87d9ca0c", "count": 1, "frequency": 0.0004}, {"name": "cb457903-d073-4cd0-9b3a-c46b2892f577", "count": 1, "frequency": 0.0004}, {"name": "76257105-c32a-485a-9d90-01722ced3af8", "count": 1, "frequency": 0.0004}, {"name": "b257cc0d-75e2-463f-923a-984af2a2aa5b", "count": 1, "frequency": 0.0004}, {"name": "47b3e5bc-2668-4fd3-9629-e700ae893e90", "count": 1, "frequency": 0.0004}, {"name": "69fa33fd-aad0-4132-9e3d-7e86f624504f", "count": 1, "frequency": 0.0004}, {"name": "7bf6b451-5c11-4b5a-a569-128953e2bd78", "count": 1, "frequency": 0.0004}, {"name": "9e87211b-3641-485b-801a-7a370c40495d", "count": 1, "frequency": 0.0004}, {"name": "2a765033-8e58-42bd-acbe-7a8ac98078d0", "count": 1, "frequency": 0.0004}, {"name": "05d32e3f-ea64-4cbe-bbc2-4bd1ef86e6b0", "count": 1, "frequency": 0.0004}, {"name": "0e023b1c-9ef2-4242-a4ee-d1d492aab253", "count": 1, "frequency": 0.0004}, {"name": "42cee186-3bfe-49ec-9eb6-b83547db8cb2", "count": 1, "frequency": 0.0004}, {"name": "01fd35f9-ee86-4ac5-a9fb-64bc6ef4504f", "count": 1, "frequency": 0.0004}, {"name": "d0290d28-6714-4a84-ae3c-c1fd5dc7e3c5", "count": 1, "frequency": 0.0004}, {"name": "b60372b0-94b7-4ae5-8d84-382083a3897c", "count": 1, "frequency": 0.0004}, {"name": "ef0f19f7-8021-43a6-9be2-a7e80a7ffb73", "count": 1, "frequency": 0.0004}, {"name": "7e9cc6eb-da29-413a-b8b0-cd2055c5c7bb", "count": 1, "frequency": 0.0004}, {"name": "5b4c1615-1313-4951-94c7-b35d6128def2", "count": 1, "frequency": 0.0004}, {"name": "25e9d509-8abf-404b-acaa-507badca3bd2", "count": 1, "frequency": 0.0004}, {"name": "60f68905-65ef-4868-ac99-6e7add06357e", "count": 1, "frequency": 0.0004}, {"name": "0b549107-0af0-4270-a470-fd915b6caf1c", "count": 1, "frequency": 0.0004}, {"name": "940363f0-367a-4b19-80b6-d13b7b0883ca", "count": 1, "frequency": 0.0004}, {"name": "e978fc6a-773b-4f18-9920-48c34cc22948", "count": 1, "frequency": 0.0004}, {"name": "218a4acc-d053-43d6-828a-c8d03007c098", "count": 1, "frequency": 0.0004}, {"name": "44f88a01-1d3d-4a2f-8778-f55b9591a0d2", "count": 1, "frequency": 0.0004}, {"name": "53a6dac7-b49f-4aa6-893f-9f05ef5e3341", "count": 1, "frequency": 0.0004}, {"name": "880feabc-86d1-4c32-8599-bc40923a0dbc", "count": 1, "frequency": 0.0004}, {"name": "8876408f-3a75-459f-a88b-bbed838be010", "count": 1, "frequency": 0.0004}, {"name": "30cc5611-374c-4ac4-a9c7-148d452eef58", "count": 1, "frequency": 0.0004}, {"name": "b34aab8b-1bb2-4ecf-8772-cf7ae1c2ac2f", "count": 1, "frequency": 0.0004}, {"name": "897d5717-2466-4f93-a650-2cf413107921", "count": 1, "frequency": 0.0004}, {"name": "f774b3dd-e0e0-4f9c-abab-1e1bd19c3bde", "count": 1, "frequency": 0.0004}, {"name": "fc20500a-cf86-4f82-8c90-02eb30de3fb6", "count": 1, "frequency": 0.0004}, {"name": "c20ffa0d-939b-4ddd-a6a3-21f0aaa0560a", "count": 1, "frequency": 0.0004}, {"name": "e7c169e5-7f28-4391-9042-6498277f24d6", "count": 1, "frequency": 0.0004}, {"name": "722b699c-e7cc-4dd7-aa76-822d04068192", "count": 1, "frequency": 0.0004}, {"name": "622b7c69-5edc-47e2-ae4c-999911e6d1a2", "count": 1, "frequency": 0.0004}, {"name": "d2790925-d8f2-4803-b06a-298c32a15464", "count": 1, "frequency": 0.0004}, {"name": "364e2d8f-af1f-4723-9d1f-f3ff1e5e69c5", "count": 1, "frequency": 0.0004}, {"name": "323e3099-36c6-4268-b08e-3c3e57ca793a", "count": 1, "frequency": 0.0004}, {"name": "f36d48f4-ced4-4889-87b8-116640dd5095", "count": 1, "frequency": 0.0004}, {"name": "a810c06b-a6c9-429e-8ef3-e42a83db5354", "count": 1, "frequency": 0.0004}, {"name": "671d4b16-5913-4e59-8cc8-3a31708da89c", "count": 1, "frequency": 0.0004}, {"name": "962cd67d-0612-45e5-b755-5698d0d52864", "count": 1, "frequency": 0.0004}, {"name": "9ae17315-15c4-4082-8b6e-15723aeb4f6e", "count": 1, "frequency": 0.0004}, {"name": "7bd8d34c-d292-482f-a4bd-e693e346192b", "count": 1, "frequency": 0.0004}, {"name": "cfefe9f9-f5e1-4763-b328-968869eb1a15", "count": 1, "frequency": 0.0004}, {"name": "d46e97b9-57f3-4ccf-9a4d-9fefe9b9238d", "count": 1, "frequency": 0.0004}, {"name": "c004c89a-992a-43d0-8adf-15fd0ce76a00", "count": 1, "frequency": 0.0004}, {"name": "2333821d-2407-4249-8bee-35eaea110c47", "count": 1, "frequency": 0.0004}, {"name": "00752784-07e4-4547-b0c3-dcc0af90817b", "count": 1, "frequency": 0.0004}, {"name": "1335aa26-991c-4c04-b406-3d070edf65c7", "count": 1, "frequency": 0.0004}, {"name": "51fa3f0f-f3cd-400c-91bc-1bb9c184ba04", "count": 1, "frequency": 0.0004}, {"name": "9ee1238d-4d64-4859-abe2-c65b4d8483ee", "count": 1, "frequency": 0.0004}, {"name": "0768f94e-d15d-4604-9e2d-0f1ec75697f8", "count": 1, "frequency": 0.0004}, {"name": "2364f3ff-79ea-48bb-bbaf-33a5c1ba2c56", "count": 1, "frequency": 0.0004}, {"name": "f69a721b-94f3-4404-8edc-7832be492677", "count": 1, "frequency": 0.0004}, {"name": "c2155bcc-f15f-4859-8f09-53761d51e82b", "count": 1, "frequency": 0.0004}, {"name": "9dc4b5d6-6fdf-4b88-9136-04b882f568b9", "count": 1, "frequency": 0.0004}, {"name": "174a4427-0ebf-49c5-88f1-9883da55b295", "count": 1, "frequency": 0.0004}, {"name": "18e77e64-86fa-4c4e-892d-038ad147d84a", "count": 1, "frequency": 0.0004}, {"name": "d6acb541-a86c-4412-87d6-b9f9173efc61", "count": 1, "frequency": 0.0004}, {"name": "1f1f2338-0294-436b-a3d3-db0a33268a86", "count": 1, "frequency": 0.0004}, {"name": "b4614834-e9dc-4090-b29f-19fc55a66585", "count": 1, "frequency": 0.0004}, {"name": "378c35ce-fc04-4425-8772-ece7709d8aec", "count": 1, "frequency": 0.0004}, {"name": "20cd6638-7b26-49c6-bdb0-1ddc359623b3", "count": 1, "frequency": 0.0004}, {"name": "cc0f99f5-3383-42d0-b872-f5aee5ea711c", "count": 1, "frequency": 0.0004}, {"name": "5568d643-cc79-4bbb-ac61-2f5dd8ca58e0", "count": 1, "frequency": 0.0004}, {"name": "e0ff7b41-4322-44bc-b3f7-2958bf5b8779", "count": 1, "frequency": 0.0004}, {"name": "6837d0cd-97bf-4549-b3f9-1653828a9ef9", "count": 1, "frequency": 0.0004}, {"name": "f55976eb-3409-4413-ac0d-c6654e191318", "count": 1, "frequency": 0.0004}, {"name": "441f529f-9965-4dc9-b90c-4db39e89e583", "count": 1, "frequency": 0.0004}, {"name": "6747dffa-38fd-46fc-9955-73bb30b4088f", "count": 1, "frequency": 0.0004}, {"name": "efcd6eb5-6dec-4e34-bc1a-47d61289006a", "count": 1, "frequency": 0.0004}, {"name": "9df6e398-796c-4694-b9fd-8f8fd79ca9b5", "count": 1, "frequency": 0.0004}, {"name": "fa2f9ea1-ebf1-473a-8669-2bb2820106a7", "count": 1, "frequency": 0.0004}, {"name": "23cee585-5856-4107-a8a7-52a888f78693", "count": 1, "frequency": 0.0004}, {"name": "06bb554f-67a7-4efc-855b-f00c14a1cff6", "count": 1, "frequency": 0.0004}, {"name": "4f99a7b3-861d-4fe6-9c04-c8c90d2910f5", "count": 1, "frequency": 0.0004}, {"name": "4421f6d5-e180-4f45-9133-73f4f6712c8b", "count": 1, "frequency": 0.0004}, {"name": "b3c96f39-1e94-4766-ad04-7842c9bbbb35", "count": 1, "frequency": 0.0004}, {"name": "4a97dede-8c3f-459a-949e-1deb34d28625", "count": 1, "frequency": 0.0004}, {"name": "e18e7618-4ca5-449b-86e1-1dc661ab8a2d", "count": 1, "frequency": 0.0004}, {"name": "4ba2936b-1d7f-49b1-bda4-8d6fc565d3f9", "count": 1, "frequency": 0.0004}, {"name": "0faacd8b-37d4-474d-b141-49fdd5f4ac5f", "count": 1, "frequency": 0.0004}, {"name": "02617632-1c8f-4dea-a4dd-b0f98fe70272", "count": 1, "frequency": 0.0004}, {"name": "2aadb012-3772-4b23-a6b0-f5f071132288", "count": 1, "frequency": 0.0004}, {"name": "ba4364ee-0742-490e-842f-9d598b910626", "count": 1, "frequency": 0.0004}, {"name": "02d75d5b-474d-4867-a44f-e45726d5627f", "count": 1, "frequency": 0.0004}, {"name": "59344373-1c9a-4fb8-8f51-2e688ca098f9", "count": 1, "frequency": 0.0004}, {"name": "09102742-0f63-49c9-9014-bb7ec5e55f0b", "count": 1, "frequency": 0.0004}, {"name": "4076944a-5542-499b-81f0-0e5afbe2751e", "count": 1, "frequency": 0.0004}, {"name": "e50db95b-151c-425c-b9be-c59f73313c7c", "count": 1, "frequency": 0.0004}, {"name": "1ad06bfc-d50b-416c-87f0-204fbe695365", "count": 1, "frequency": 0.0004}, {"name": "3f582379-b095-42a9-81e0-c8a1735bf0f3", "count": 1, "frequency": 0.0004}, {"name": "e1d79934-f03f-42ca-bdba-5ae2d7c52811", "count": 1, "frequency": 0.0004}, {"name": "cecbf189-b887-4819-9b3b-e7d4d7080f7e", "count": 1, "frequency": 0.0004}, {"name": "f5daaef8-3a1b-43ed-956a-23898190e5a9", "count": 1, "frequency": 0.0004}, {"name": "9718e158-aea1-4664-93dd-7e0799542008", "count": 1, "frequency": 0.0004}, {"name": "21f1a310-7420-422a-ba82-7fced51ac026", "count": 1, "frequency": 0.0004}, {"name": "cec9deda-9cf5-4255-8678-7fbcbcbb1c12", "count": 1, "frequency": 0.0004}, {"name": "362c80e3-2f1e-4bff-976b-b952c3383cfe", "count": 1, "frequency": 0.0004}, {"name": "b6caa128-3568-45f8-aa32-9d1baea57e32", "count": 1, "frequency": 0.0004}, {"name": "3670ed32-7ff7-4a0f-8115-0517809147b7", "count": 1, "frequency": 0.0004}, {"name": "2a6e5e76-76ba-4560-a719-642b20b43823", "count": 1, "frequency": 0.0004}, {"name": "74f5e0da-d234-42a5-ba38-581994ef6953", "count": 1, "frequency": 0.0004}, {"name": "2601a923-34d3-424a-b07c-5a1262bd6daa", "count": 1, "frequency": 0.0004}, {"name": "0405464c-265c-4c19-85ca-1c5486972d9e", "count": 1, "frequency": 0.0004}, {"name": "f0f6c220-d068-47b5-9382-f62068471b92", "count": 1, "frequency": 0.0004}, {"name": "6f0c16b1-a77a-4a89-911a-feffc6fcbfcb", "count": 1, "frequency": 0.0004}, {"name": "94e5ad41-6a28-478f-b147-70c8622bb0ef", "count": 1, "frequency": 0.0004}, {"name": "383bb5b1-1c4d-41f6-8a0b-8b8e79a5efe0", "count": 1, "frequency": 0.0004}, {"name": "401a4305-d08a-4713-95e7-c91b18302062", "count": 1, "frequency": 0.0004}, {"name": "29df22cf-1675-4ab3-aaa6-00ff45142ffc", "count": 1, "frequency": 0.0004}, {"name": "78d805ff-00ff-44d1-bab8-4f35bd04e497", "count": 1, "frequency": 0.0004}, {"name": "3c85e2c9-6976-4392-8e1e-85d6bc760944", "count": 1, "frequency": 0.0004}, {"name": "694da226-38a7-4e15-92a4-dbde371b4328", "count": 1, "frequency": 0.0004}, {"name": "349e53d4-7a2f-4c49-a28a-c33ce0cdf9c0", "count": 1, "frequency": 0.0004}, {"name": "894a2913-97e0-4f8b-b765-3da21b1d177c", "count": 1, "frequency": 0.0004}, {"name": "68eab7dc-72b4-4321-ad23-81d25e0184c4", "count": 1, "frequency": 0.0004}, {"name": "b313212c-e403-41d7-a043-544f31dd93a9", "count": 1, "frequency": 0.0004}, {"name": "7fbea78b-bc57-4750-a23c-0e9892aa05a4", "count": 1, "frequency": 0.0004}, {"name": "b112e58d-a797-45e0-b8bd-c26b0c90e947", "count": 1, "frequency": 0.0004}, {"name": "6922118e-aea1-4676-b7df-b218720e8ae0", "count": 1, "frequency": 0.0004}, {"name": "7c2fe164-fe75-45a6-9835-c8336c0eebfc", "count": 1, "frequency": 0.0004}, {"name": "5652a704-e381-4ce9-9091-9302c7b95aa5", "count": 1, "frequency": 0.0004}, {"name": "c236c114-4850-4972-a0e4-eec741b25f1b", "count": 1, "frequency": 0.0004}, {"name": "56887c43-afb8-4ec9-8dfc-c11d67c512f1", "count": 1, "frequency": 0.0004}, {"name": "a2fdaa1e-85df-4052-8776-c8d90c29c1a6", "count": 1, "frequency": 0.0004}, {"name": "fef8b445-7195-41eb-8a6d-8ef411ef8054", "count": 1, "frequency": 0.0004}, {"name": "d01e7343-21c4-4dd6-8509-b425e2e136c9", "count": 1, "frequency": 0.0004}, {"name": "d49ae1ad-3178-4aad-b8b2-cda8f5779211", "count": 1, "frequency": 0.0004}, {"name": "aec6e392-16c2-426b-8324-f4fd250d2eb9", "count": 1, "frequency": 0.0004}, {"name": "9a4e77a3-af36-44bd-8564-05a54bd571bb", "count": 1, "frequency": 0.0004}, {"name": "940a3046-5adb-409e-8e3a-1449fcf68168", "count": 1, "frequency": 0.0004}, {"name": "1e123003-289a-4844-bf3a-dbfd4639322b", "count": 1, "frequency": 0.0004}, {"name": "b9e0e0c4-1b36-4d12-8afd-cd8fdfdfb813", "count": 1, "frequency": 0.0004}, {"name": "0596165e-b405-4ace-9c6a-97e89f0a8aba", "count": 1, "frequency": 0.0004}, {"name": "d8406312-5585-4750-a011-4a26e7fa75f7", "count": 1, "frequency": 0.0004}, {"name": "6421b5a0-ac06-4da7-8e20-0aae36aa2975", "count": 1, "frequency": 0.0004}, {"name": "8ff9e645-d299-4a4c-a0ef-da3342440a2e", "count": 1, "frequency": 0.0004}, {"name": "219f4897-a69d-4704-9551-3b6d7534d404", "count": 1, "frequency": 0.0004}, {"name": "625638cf-07f2-4480-85df-98c01cfb0cc4", "count": 1, "frequency": 0.0004}, {"name": "e058de86-a26b-450d-9283-64123b1ae40b", "count": 1, "frequency": 0.0004}, {"name": "3420307d-2359-4c5e-b35b-5aef755ec19e", "count": 1, "frequency": 0.0004}, {"name": "f59ff143-9b2a-4811-bf3c-e84a8fcd2abb", "count": 1, "frequency": 0.0004}, {"name": "2f584700-74d4-4723-8430-86c8f8db792f", "count": 1, "frequency": 0.0004}, {"name": "a5aea16f-0302-4c9f-b610-f89fe02a6c5d", "count": 1, "frequency": 0.0004}, {"name": "705866b2-b88a-4376-b841-5c468284bc45", "count": 1, "frequency": 0.0004}, {"name": "b381ccb1-f205-4fe6-9683-6a80fc74c3f2", "count": 1, "frequency": 0.0004}, {"name": "755a9f31-d043-4ae8-9fdc-33f7c0a83684", "count": 1, "frequency": 0.0004}, {"name": "ee0e23d1-b9ad-4a24-b0e6-c11a34d64e95", "count": 1, "frequency": 0.0004}, {"name": "250622fa-e224-47f9-9c26-7c7a21580105", "count": 1, "frequency": 0.0004}, {"name": "6b0a72f6-4e7f-4f40-a537-369d3fa50a12", "count": 1, "frequency": 0.0004}, {"name": "98842593-514d-4c36-b825-d709896e5060", "count": 1, "frequency": 0.0004}, {"name": "615bd4f6-6eab-4dcb-aa36-341a6664777c", "count": 1, "frequency": 0.0004}, {"name": "730890db-a6d2-481b-bdc5-22ce79ef582b", "count": 1, "frequency": 0.0004}, {"name": "fa70876f-59f5-4d56-8f2d-cf6439038a00", "count": 1, "frequency": 0.0004}, {"name": "f9185b12-4fe6-47cf-b6fa-c0c1547b290c", "count": 1, "frequency": 0.0004}, {"name": "9957a00b-9acc-4e8d-9581-c3c8f8168aef", "count": 1, "frequency": 0.0004}, {"name": "d61493ed-090e-45ed-a0a3-6641d6df2f5a", "count": 1, "frequency": 0.0004}, {"name": "d8257467-3377-4ba0-ba04-4495672c563e", "count": 1, "frequency": 0.0004}, {"name": "f2cf8840-3c5f-452c-b516-b7fad1999c24", "count": 1, "frequency": 0.0004}, {"name": "8a522afe-3f46-41dc-83d8-fc40e009ee4f", "count": 1, "frequency": 0.0004}, {"name": "b96e70d5-4b4f-4881-b4af-0a0e57010d34", "count": 1, "frequency": 0.0004}, {"name": "9e80773c-cd16-48a3-b2b9-0302a618e523", "count": 1, "frequency": 0.0004}, {"name": "4b84c0f3-3cc1-45cb-a846-1489068f668a", "count": 1, "frequency": 0.0004}, {"name": "54f31baf-f31e-4db8-9096-57fce099129a", "count": 1, "frequency": 0.0004}, {"name": "b13e2e51-085c-4f9a-8647-9ed8af161e23", "count": 1, "frequency": 0.0004}, {"name": "9151d0ff-96ae-4a38-9948-c9ef0e9ba1de", "count": 1, "frequency": 0.0004}, {"name": "4a4eaf52-4450-4772-816b-25e69f10b7a0", "count": 1, "frequency": 0.0004}, {"name": "5011451f-4c3a-455a-b14c-95b2711e919e", "count": 1, "frequency": 0.0004}, {"name": "1814e793-c275-4470-ad3b-d61bc16c710a", "count": 1, "frequency": 0.0004}, {"name": "aee1e505-2114-47cd-9a4c-9e7a8aea4e27", "count": 1, "frequency": 0.0004}, {"name": "9f56f7e0-aa7f-4a5c-8839-78ca60d6c680", "count": 1, "frequency": 0.0004}, {"name": "b4a08a05-a879-4702-ac09-0dbd7cf4383c", "count": 1, "frequency": 0.0004}, {"name": "d4bf0d76-50e7-4492-80a4-f4c4b71bf7a6", "count": 1, "frequency": 0.0004}, {"name": "37f3679a-93a4-4e71-b5ed-633f4ef29d13", "count": 1, "frequency": 0.0004}, {"name": "99784136-d19d-44b0-8d67-9a1593f71d5a", "count": 1, "frequency": 0.0004}, {"name": "b96a6151-e41d-4dec-bb73-2cb1bb0f05bf", "count": 1, "frequency": 0.0004}, {"name": "69602a29-3750-4731-a91f-228e43780bde", "count": 1, "frequency": 0.0004}, {"name": "8c401aa3-e259-42f4-925f-862cec3d29c4", "count": 1, "frequency": 0.0004}, {"name": "68485cce-48c2-46d2-9635-8791e44b708f", "count": 1, "frequency": 0.0004}, {"name": "46974c92-ed80-4323-99bb-a4c746c5d336", "count": 1, "frequency": 0.0004}, {"name": "0a755c9d-af2c-4fe5-9873-8091ed499a70", "count": 1, "frequency": 0.0004}, {"name": "2c4b206d-eb12-4323-a47a-634b69f9dc38", "count": 1, "frequency": 0.0004}, {"name": "3e665b3b-4a56-4264-b324-ffec2cf9baa0", "count": 1, "frequency": 0.0004}, {"name": "bee1fdb6-3465-4a87-a555-c4dbb239ff71", "count": 1, "frequency": 0.0004}, {"name": "a82c64ba-4080-49a2-8176-4270925c9ff7", "count": 1, "frequency": 0.0004}, {"name": "2066b7fc-0e8d-410a-a132-672e79f4a7c4", "count": 1, "frequency": 0.0004}, {"name": "dcd81ca2-d837-49cf-84c5-c1aa9e787e07", "count": 1, "frequency": 0.0004}, {"name": "78ba4cb8-884d-47f1-8082-0b6dfc3a59c1", "count": 1, "frequency": 0.0004}, {"name": "22a6de3f-f06a-4113-a2a5-f401c8b80f7f", "count": 1, "frequency": 0.0004}, {"name": "92214751-af1b-4dcf-8c5d-e04b454c7084", "count": 1, "frequency": 0.0004}, {"name": "88fe7883-d6ad-4cf8-a03e-4f28c0a16f7d", "count": 1, "frequency": 0.0004}, {"name": "73e22802-e931-49d4-a075-dd7b92e4c497", "count": 1, "frequency": 0.0004}, {"name": "1a2690e6-efa6-4d1c-9b5a-23832dde477b", "count": 1, "frequency": 0.0004}, {"name": "4fd541fa-ca30-43ae-b5e4-94a28cd68983", "count": 1, "frequency": 0.0004}, {"name": "f79cc36e-12f6-4d84-9f1a-7747f0a9f961", "count": 1, "frequency": 0.0004}, {"name": "bae92800-49fb-438f-b2c5-3f55370aae64", "count": 1, "frequency": 0.0004}, {"name": "6811f2c5-9d01-4741-91cf-a85048202e5e", "count": 1, "frequency": 0.0004}, {"name": "dadbac91-0ad0-4870-ae8f-ff48aaf8e51f", "count": 1, "frequency": 0.0004}, {"name": "714990f6-e1ef-45df-859c-41f81efb9189", "count": 1, "frequency": 0.0004}, {"name": "1cca4809-c33c-4f75-8083-f58870e85ae0", "count": 1, "frequency": 0.0004}, {"name": "15b4f5c1-e8ea-4a8a-b425-c85c0cbe152b", "count": 1, "frequency": 0.0004}, {"name": "158d4e0f-5327-411d-ae88-22871a1c1aaa", "count": 1, "frequency": 0.0004}, {"name": "ddf36372-9297-4733-bd50-a85e955d1da8", "count": 1, "frequency": 0.0004}, {"name": "b8eadaa9-8b97-48cc-a734-1eb6563e1ce5", "count": 1, "frequency": 0.0004}, {"name": "cdaee4e8-405f-458e-b96f-8b7c6b19e9c7", "count": 1, "frequency": 0.0004}, {"name": "b6a72060-39f9-4d63-8b83-dc81b2590d9f", "count": 1, "frequency": 0.0004}, {"name": "9eb16ba6-3fc5-4379-8477-58b38b8bece7", "count": 1, "frequency": 0.0004}, {"name": "0188bf7c-54bc-4651-a20e-bcb3f2c2c06f", "count": 1, "frequency": 0.0004}, {"name": "efdd0a9d-e4ac-481a-85b2-7e92a8d0d6ab", "count": 1, "frequency": 0.0004}, {"name": "08e0bf6d-7f6a-4021-9c2d-e2a3dd3836e1", "count": 1, "frequency": 0.0004}, {"name": "fcf6bb91-0a5b-4bb5-965f-ad8ede5cdb94", "count": 1, "frequency": 0.0004}, {"name": "0a140962-f152-411a-983e-3a6a41f66d0e", "count": 1, "frequency": 0.0004}, {"name": "bb2bd9ab-409e-42fd-b0dc-3097d77d5a5e", "count": 1, "frequency": 0.0004}, {"name": "da5a3cd9-42ca-43dd-b7fb-6a6f65bcf9b3", "count": 1, "frequency": 0.0004}, {"name": "76ea6ec2-ab0b-4b1d-b87f-9282bc6e6296", "count": 1, "frequency": 0.0004}, {"name": "21ffda08-db1b-4a6b-8e65-916414a78637", "count": 1, "frequency": 0.0004}, {"name": "7a269eff-6d83-42cc-bf6d-6275c9ca7b7a", "count": 1, "frequency": 0.0004}, {"name": "a2cebc5d-a949-4186-b891-8822f7ef9201", "count": 1, "frequency": 0.0004}, {"name": "3ccf49c4-74da-4df5-bd81-7a58210efeb0", "count": 1, "frequency": 0.0004}, {"name": "2b7aeb1e-3cbe-4e6b-a5d9-163ebf73fdb6", "count": 1, "frequency": 0.0004}, {"name": "822f9233-e54a-4521-950f-309729a542d8", "count": 1, "frequency": 0.0004}, {"name": "509cc197-01d0-4882-8986-fe69fe44a73f", "count": 1, "frequency": 0.0004}, {"name": "8c3e08c6-3f5b-4390-bdc3-563ff18cb7e7", "count": 1, "frequency": 0.0004}, {"name": "05607720-b3b2-485e-9615-a35e2ad1aa98", "count": 1, "frequency": 0.0004}, {"name": "548002a5-5e0d-4b88-ab18-8da6c2699e3b", "count": 1, "frequency": 0.0004}, {"name": "19761b7d-9477-494b-a207-5c41db07d096", "count": 1, "frequency": 0.0004}, {"name": "3000fdec-87e5-479a-aa3a-f800fb073701", "count": 1, "frequency": 0.0004}, {"name": "b812bdc1-0803-470a-ab0b-dfbf2c02002a", "count": 1, "frequency": 0.0004}, {"name": "cf2e07bb-4a8d-46c1-9ae1-d1a338c5d08a", "count": 1, "frequency": 0.0004}, {"name": "edf933dc-ad86-45b0-8f4c-110bf125800a", "count": 1, "frequency": 0.0004}, {"name": "4aea8eb2-1cd6-482a-a76e-fb71ae0c8b0f", "count": 1, "frequency": 0.0004}, {"name": "94bdb092-dcb6-4214-b289-25482b989d4c", "count": 1, "frequency": 0.0004}, {"name": "3393e130-650c-418f-a4fc-48b2b804b6a5", "count": 1, "frequency": 0.0004}, {"name": "d5d963c5-9e19-4e7c-858d-8b91cdeaae79", "count": 1, "frequency": 0.0004}, {"name": "932ec002-56d7-42af-bb75-1496c247e580", "count": 1, "frequency": 0.0004}, {"name": "c0336afe-edc3-4e4e-8169-5ca725a1f268", "count": 1, "frequency": 0.0004}, {"name": "2b6fcab6-91c5-4d3b-850e-9571ff487545", "count": 1, "frequency": 0.0004}, {"name": "a0f93ae3-1ae1-42bc-8d01-b1986e8d1ccc", "count": 1, "frequency": 0.0004}, {"name": "3aa07539-6e11-4562-90c3-27866bbb4956", "count": 1, "frequency": 0.0004}, {"name": "23af392b-7f3c-4657-b085-086c72331230", "count": 1, "frequency": 0.0004}, {"name": "2d76e696-60fe-4c40-b1e8-8a495bcd6a20", "count": 1, "frequency": 0.0004}, {"name": "828fb908-90da-4d38-a6de-20b35dd9bdf7", "count": 1, "frequency": 0.0004}, {"name": "c99c791b-5209-4f6a-ba8b-05ea61740db6", "count": 1, "frequency": 0.0004}, {"name": "12c93719-68dd-4083-8491-4cd9ab9e7ee1", "count": 1, "frequency": 0.0004}, {"name": "cdf33cf7-03ba-47e8-9473-f7f625f86e7b", "count": 1, "frequency": 0.0004}, {"name": "e1e7ac5b-2395-4aac-903b-0992dcb7c54d", "count": 1, "frequency": 0.0004}, {"name": "ebcd1ce2-3893-45bb-af1c-5bce8a743886", "count": 1, "frequency": 0.0004}, {"name": "3761f408-4832-4230-a2ad-e3ca392811c1", "count": 1, "frequency": 0.0004}, {"name": "78b957a4-0175-4be1-8448-84e23c6ca9a5", "count": 1, "frequency": 0.0004}, {"name": "71979ff8-a0e3-4f5d-80b4-14957dab8b43", "count": 1, "frequency": 0.0004}, {"name": "0c5c96e4-94f5-4183-9843-63181bfad02e", "count": 1, "frequency": 0.0004}, {"name": "bf60d589-5875-46fc-959c-d8f1516d427f", "count": 1, "frequency": 0.0004}, {"name": "a42dcd90-6004-4164-8a9d-bcad89c660cb", "count": 1, "frequency": 0.0004}, {"name": "0c6123c2-806e-402b-9fc6-21f4d10b82ac", "count": 1, "frequency": 0.0004}, {"name": "38d485cf-dcb7-4bf2-bfad-c72c767d8078", "count": 1, "frequency": 0.0004}, {"name": "3a42b9fd-a94f-4098-a2a6-4e7fb6c862c7", "count": 1, "frequency": 0.0004}, {"name": "3f67fddb-24b2-44da-a12f-d33c04206406", "count": 1, "frequency": 0.0004}, {"name": "956de5c0-6c4f-4901-afca-357d78b741f5", "count": 1, "frequency": 0.0004}, {"name": "e990c7f2-c138-4a6a-9021-13de5a32464f", "count": 1, "frequency": 0.0004}, {"name": "3871743b-9c83-46a0-b586-892853da9ffd", "count": 1, "frequency": 0.0004}, {"name": "1b1b0bc8-257a-4f54-9c8f-1cfb91ae382b", "count": 1, "frequency": 0.0004}, {"name": "b973651a-b266-44aa-9bf2-81303d18ac22", "count": 1, "frequency": 0.0004}, {"name": "f3aa2813-28bc-49f8-92d0-30c7450caeba", "count": 1, "frequency": 0.0004}, {"name": "983a7aa2-d9b7-4b2b-af64-ab809382fc00", "count": 1, "frequency": 0.0004}, {"name": "f093238b-41a0-442d-aa9e-dec464bdd49a", "count": 1, "frequency": 0.0004}, {"name": "af83812c-8328-41af-aad3-b906322a6357", "count": 1, "frequency": 0.0004}, {"name": "94fa08d1-f68c-487d-b675-ad7697eb21ff", "count": 1, "frequency": 0.0004}, {"name": "5da8e68b-7df8-44b1-a7f8-7c3f29cebaed", "count": 1, "frequency": 0.0004}, {"name": "80992ab3-caa3-42f5-99cb-3f22064bda44", "count": 1, "frequency": 0.0004}, {"name": "03cc35e8-23e4-46ac-b2a2-32f930f7d89c", "count": 1, "frequency": 0.0004}, {"name": "1ee162f4-ebeb-45a9-b0a0-60225f2c1ac2", "count": 1, "frequency": 0.0004}, {"name": "b7cdf308-71d8-4dbe-8b27-57308e1cecd2", "count": 1, "frequency": 0.0004}, {"name": "0aebfd89-a010-4066-b8c4-6265d8dbcc32", "count": 1, "frequency": 0.0004}, {"name": "7f70f27d-19ed-4477-ba6b-5200d5072385", "count": 1, "frequency": 0.0004}, {"name": "e3a5d962-3921-4fba-82ce-7d78077697dd", "count": 1, "frequency": 0.0004}, {"name": "fcb6dff2-ad93-4f38-b044-a5ae2b7c20d1", "count": 1, "frequency": 0.0004}, {"name": "6bb3778b-9384-44ee-9d47-70a72f204279", "count": 1, "frequency": 0.0004}, {"name": "21493701-7503-4a32-973d-1f6515664ff2", "count": 1, "frequency": 0.0004}, {"name": "7aa09c80-241a-4023-b5d5-34b4532279b0", "count": 1, "frequency": 0.0004}, {"name": "f02443f0-2636-41c5-8613-b6276d60a3e8", "count": 1, "frequency": 0.0004}, {"name": "d45777de-e71e-4e9f-abf2-f7117046cda9", "count": 1, "frequency": 0.0004}, {"name": "fabd74d0-4d87-4efc-9d78-b51d48a5f679", "count": 1, "frequency": 0.0004}, {"name": "5fdb9d78-519e-4f48-985a-82bcad7f32a7", "count": 1, "frequency": 0.0004}, {"name": "26ae4588-f9c5-4436-9945-64a9bc082f71", "count": 1, "frequency": 0.0004}, {"name": "3e1e2f08-197c-45dd-99c3-38607099a600", "count": 1, "frequency": 0.0004}, {"name": "4e5aacf5-d2e1-48c4-9e87-dc6e1b3a5df8", "count": 1, "frequency": 0.0004}, {"name": "c49e1757-ae30-400a-aaf1-03b3606d3a78", "count": 1, "frequency": 0.0004}, {"name": "4a7901b4-9581-43ba-9c35-1818a710825f", "count": 1, "frequency": 0.0004}, {"name": "4a097a27-7e46-4a22-b1d2-83e7e1b338ba", "count": 1, "frequency": 0.0004}, {"name": "264cb72f-932f-4f2b-9f53-9fec245befd0", "count": 1, "frequency": 0.0004}, {"name": "d1ab5d9e-e12d-42c0-b255-43ca914d0fbe", "count": 1, "frequency": 0.0004}, {"name": "f1c6a645-d980-4fbd-bc67-733fa6b5ce06", "count": 1, "frequency": 0.0004}, {"name": "c1a122a8-6a97-408f-847e-84fae2ecd68a", "count": 1, "frequency": 0.0004}, {"name": "522e6d7d-3ddf-4ace-9836-5a518000a03b", "count": 1, "frequency": 0.0004}, {"name": "1a3146a6-918d-43eb-9486-00623526e131", "count": 1, "frequency": 0.0004}, {"name": "9476c0cf-d879-41ae-970b-2eafc7111c62", "count": 1, "frequency": 0.0004}, {"name": "f2fee663-1bd1-4bc2-8457-c16c29a735fe", "count": 1, "frequency": 0.0004}, {"name": "b40102c2-9db8-47a8-913a-cb3fb0829a5e", "count": 1, "frequency": 0.0004}, {"name": "4491bf88-66f3-4821-b51c-42173085c742", "count": 1, "frequency": 0.0004}, {"name": "60e58c46-b82a-4dfb-9ad8-cf22f55bd0bb", "count": 1, "frequency": 0.0004}, {"name": "82321a06-cebe-469b-98c9-c83f76fc20e6", "count": 1, "frequency": 0.0004}, {"name": "bcb8cd21-5024-44e4-b0db-34293f89ec22", "count": 1, "frequency": 0.0004}, {"name": "c7c9e37f-245f-448e-9aaa-e9c7026182a2", "count": 1, "frequency": 0.0004}, {"name": "37122cde-9605-4da1-8dad-c2f5aaae2c63", "count": 1, "frequency": 0.0004}, {"name": "ef542fca-ace7-44e7-a74d-c6fa81197b2c", "count": 1, "frequency": 0.0004}, {"name": "0241dc6c-b703-4ab6-bef8-2c14d8cbfbb5", "count": 1, "frequency": 0.0004}, {"name": "ef951771-c6f7-495e-9b5b-7c10ebc04914", "count": 1, "frequency": 0.0004}, {"name": "6934ed6f-4a75-4cd9-ae6e-c81c4536b0cf", "count": 1, "frequency": 0.0004}, {"name": "09457352-2225-464c-b2be-d15adcfe36a8", "count": 1, "frequency": 0.0004}, {"name": "a7d8e2fa-c197-4b60-9846-2d3436f518a4", "count": 1, "frequency": 0.0004}, {"name": "604b7600-6be2-483d-a08c-f7b5c3016564", "count": 1, "frequency": 0.0004}, {"name": "7b2cdbf5-5ec6-481b-b757-91b30730c634", "count": 1, "frequency": 0.0004}, {"name": "f61dc328-6836-4b15-b59e-f7694847bc5d", "count": 1, "frequency": 0.0004}, {"name": "38f64e94-5940-4acf-8d15-7f1fc7054762", "count": 1, "frequency": 0.0004}, {"name": "6b03e8a0-6363-4e02-9f4e-5750500ccd91", "count": 1, "frequency": 0.0004}, {"name": "8ce85b54-c2f4-471c-962a-69ce49f46ce2", "count": 1, "frequency": 0.0004}, {"name": "3f432e6e-3420-48fa-9597-440bf010a47d", "count": 1, "frequency": 0.0004}, {"name": "cc15cbd2-fc75-4456-99aa-70740533d71e", "count": 1, "frequency": 0.0004}, {"name": "8095b0d6-811f-4d2f-b60f-433e498fd974", "count": 1, "frequency": 0.0004}, {"name": "4f6beb3a-ae2c-4b09-847e-294f6ee96702", "count": 1, "frequency": 0.0004}, {"name": "3f003748-df94-4fb0-8453-f8ab535c293a", "count": 1, "frequency": 0.0004}, {"name": "6775c138-08a4-44c8-b7f1-fd839e5dbf5e", "count": 1, "frequency": 0.0004}, {"name": "32445f3f-7894-4aab-ad59-37dcdc08e09c", "count": 1, "frequency": 0.0004}, {"name": "71af048b-6982-40b6-8799-abc332d593be", "count": 1, "frequency": 0.0004}, {"name": "97e52e05-0de3-4e7e-b66f-fe948b80e088", "count": 1, "frequency": 0.0004}, {"name": "ab64c935-8728-465c-a710-7e4a5c185f96", "count": 1, "frequency": 0.0004}, {"name": "e4799b9e-1d43-4993-bd0c-5a1d41d43ee4", "count": 1, "frequency": 0.0004}, {"name": "76130eb0-17af-4706-b578-f632e6bcca47", "count": 1, "frequency": 0.0004}, {"name": "525d56e8-0650-4028-af6c-21ee49efa93c", "count": 1, "frequency": 0.0004}, {"name": "741a33d9-d970-4ac2-9405-d4275883ce6e", "count": 1, "frequency": 0.0004}, {"name": "940d1256-f89d-4fe4-86a6-9f11819584a4", "count": 1, "frequency": 0.0004}, {"name": "485ff225-3212-4deb-b2fb-6a0112d22e51", "count": 1, "frequency": 0.0004}, {"name": "96cdbb75-8490-4861-ab80-6b213b29e293", "count": 1, "frequency": 0.0004}, {"name": "2f139553-69a2-4004-9c04-e5e04dbc0961", "count": 1, "frequency": 0.0004}, {"name": "44cb3854-726d-4098-b685-ad88f55ea2f5", "count": 1, "frequency": 0.0004}, {"name": "a6731d09-4e45-4e2d-a83d-b57de5fd8173", "count": 1, "frequency": 0.0004}, {"name": "e9033dbc-f42a-4dbd-b5e9-2c1c5b75dbb5", "count": 1, "frequency": 0.0004}, {"name": "0bd5bc6f-fa40-40e4-854a-a68efbc54e32", "count": 1, "frequency": 0.0004}, {"name": "bcc3f60a-9981-430d-bf59-9a18128ef900", "count": 1, "frequency": 0.0004}, {"name": "f75de6a4-b61c-4886-968b-4e17533e0e6a", "count": 1, "frequency": 0.0004}, {"name": "69ca6309-0393-439c-8ff5-48af2f27bcf3", "count": 1, "frequency": 0.0004}, {"name": "f6ebb891-b44b-46de-bb7f-ac3835b1d915", "count": 1, "frequency": 0.0004}, {"name": "a4210148-5481-42f3-8d08-ebecbc8ebc97", "count": 1, "frequency": 0.0004}, {"name": "b4af8170-9725-499f-bc85-1727604adef5", "count": 1, "frequency": 0.0004}, {"name": "6f0d6af5-6474-4d02-a3f6-6147487f8545", "count": 1, "frequency": 0.0004}, {"name": "dee7c2eb-b3a5-48be-96c0-6a590676efc4", "count": 1, "frequency": 0.0004}, {"name": "5dda5b8e-ad33-417f-bd2b-f09e49e95144", "count": 1, "frequency": 0.0004}, {"name": "472316dd-0f55-408e-88ab-a968f7659c4f", "count": 1, "frequency": 0.0004}, {"name": "a264a0d9-66f7-473a-8350-e43514a0d6b3", "count": 1, "frequency": 0.0004}, {"name": "3221fbd0-39a7-4420-b315-d1a6d42ce743", "count": 1, "frequency": 0.0004}, {"name": "e31e1b2b-98cf-4adc-ad23-2d89426382b7", "count": 1, "frequency": 0.0004}, {"name": "3bc3d041-98c3-4b19-a886-6a2b74a457fe", "count": 1, "frequency": 0.0004}, {"name": "70821cf1-8844-4a2b-81eb-ecf773c0b54e", "count": 1, "frequency": 0.0004}, {"name": "0408d876-2a45-4014-b4ce-14f5b9214a92", "count": 1, "frequency": 0.0004}, {"name": "e25d0d64-851e-4d0c-9db6-66326b0c8a42", "count": 1, "frequency": 0.0004}, {"name": "d0c5b72a-eca5-4be5-b137-2bb9a89193bb", "count": 1, "frequency": 0.0004}, {"name": "71391a0c-4ad6-4292-911e-3b847bf13d93", "count": 1, "frequency": 0.0004}, {"name": "e4de8d5e-be82-4f73-82db-0879e79f856a", "count": 1, "frequency": 0.0004}, {"name": "75561e23-669c-40df-8b7d-90a63ecfa28e", "count": 1, "frequency": 0.0004}, {"name": "622ba7b8-c141-451c-8f0a-9dfdb7f912ce", "count": 1, "frequency": 0.0004}, {"name": "95b888c7-194b-417b-9efc-ecf1bd1060a0", "count": 1, "frequency": 0.0004}, {"name": "347f1c7c-959e-4627-96e4-f4e9dd292f82", "count": 1, "frequency": 0.0004}, {"name": "7f165a96-73fe-4ddf-98e4-0e308e0b9d39", "count": 1, "frequency": 0.0004}, {"name": "b2e455ff-b75d-4cc8-b7e3-0b4cabbcfdb2", "count": 1, "frequency": 0.0004}, {"name": "f7ae981f-182e-4294-9137-580ee21b1a5e", "count": 1, "frequency": 0.0004}, {"name": "b2a93239-833f-4aeb-ab4f-1592d96fc701", "count": 1, "frequency": 0.0004}, {"name": "dcc67acf-40a9-44e2-b052-45629745ed80", "count": 1, "frequency": 0.0004}, {"name": "f0243d91-242b-4010-9b3a-b65237fabdfe", "count": 1, "frequency": 0.0004}, {"name": "90298d6a-e547-4551-9fa2-78c0b2a4c7c6", "count": 1, "frequency": 0.0004}, {"name": "1b1eb13f-29a3-44ae-b776-e6983acfdc25", "count": 1, "frequency": 0.0004}, {"name": "c4f3929c-d675-4994-a09a-928d494e08d4", "count": 1, "frequency": 0.0004}, {"name": "8165fe12-235d-4ef8-ad2f-a6892d2913b0", "count": 1, "frequency": 0.0004}, {"name": "4586beec-0fd6-4817-871c-544d51d2faa8", "count": 1, "frequency": 0.0004}, {"name": "8e145391-1ce9-47c6-9ad0-6e3ba715b207", "count": 1, "frequency": 0.0004}, {"name": "2d7edbdb-0b50-48ab-8b12-667b0b23f932", "count": 1, "frequency": 0.0004}, {"name": "15a1d6d5-467c-4e0f-a19a-1abae62dc77e", "count": 1, "frequency": 0.0004}, {"name": "d0ecdbc7-03e6-4ff7-acfe-b2f6a68c7b4a", "count": 1, "frequency": 0.0004}, {"name": "b5565b98-c1ca-4a94-aec8-2f89297189f4", "count": 1, "frequency": 0.0004}, {"name": "15b50911-8ead-4885-8312-40c7e94af575", "count": 1, "frequency": 0.0004}, {"name": "a9de5e1f-d933-4764-8253-9c6565fc0d80", "count": 1, "frequency": 0.0004}, {"name": "8c5e5b9c-9eb3-4835-85d8-81f2925f6052", "count": 1, "frequency": 0.0004}, {"name": "ad75d3dd-7001-4e5a-a000-2cf1c264aaf4", "count": 1, "frequency": 0.0004}, {"name": "4bf11ef8-011b-41af-95d5-9f0c96b4c052", "count": 1, "frequency": 0.0004}, {"name": "3acc68d4-0ec0-40d1-b8a7-7d20175284f0", "count": 1, "frequency": 0.0004}, {"name": "77185f0e-9103-481e-9907-315860733e8d", "count": 1, "frequency": 0.0004}, {"name": "8675653c-d79d-4a86-ad99-6cabec6d6394", "count": 1, "frequency": 0.0004}, {"name": "b2f76763-06e5-4c81-b2ad-5b994e4b8906", "count": 1, "frequency": 0.0004}, {"name": "8406a703-7334-4188-b249-9f6a65167c53", "count": 1, "frequency": 0.0004}, {"name": "17fa3f00-74ac-4a60-80d1-9b29c4d19487", "count": 1, "frequency": 0.0004}, {"name": "874c5c31-db9c-4bbe-9523-977814bf6ee4", "count": 1, "frequency": 0.0004}, {"name": "79da4478-f7ed-4276-9a1d-62a7cf87eabe", "count": 1, "frequency": 0.0004}, {"name": "53d20519-5735-4017-a43c-79785e11624e", "count": 1, "frequency": 0.0004}, {"name": "e55d3608-279a-4fe1-9d93-e09097a23535", "count": 1, "frequency": 0.0004}, {"name": "9841ff99-76ae-42ae-a7f5-42521b7767a9", "count": 1, "frequency": 0.0004}, {"name": "65574f50-b58e-4d5d-8b84-d0136f947509", "count": 1, "frequency": 0.0004}, {"name": "eacb1da8-d023-4fa9-9aeb-e7361b2c1a7e", "count": 1, "frequency": 0.0004}, {"name": "5e6cdc81-d44a-4905-a97d-b01c0c6950d2", "count": 1, "frequency": 0.0004}, {"name": "e46e507f-2918-440d-b518-d655bba2b25c", "count": 1, "frequency": 0.0004}, {"name": "4900c9f6-ff6a-4ee0-aeb0-a062ac7f358a", "count": 1, "frequency": 0.0004}, {"name": "ca604508-8435-4f4c-beb3-71a10bc192b6", "count": 1, "frequency": 0.0004}, {"name": "f5ad2c2a-e52c-4201-8d90-70b4e1b6ad7f", "count": 1, "frequency": 0.0004}, {"name": "33084126-e31a-4949-ab73-9c31fae4c683", "count": 1, "frequency": 0.0004}, {"name": "5bfccb04-6653-4d2b-a4cf-aa191725c2b0", "count": 1, "frequency": 0.0004}, {"name": "1295f0c2-c565-4838-aad6-292e14651c9b", "count": 1, "frequency": 0.0004}, {"name": "c51e237b-edce-4d05-b1cc-a65126ee09a3", "count": 1, "frequency": 0.0004}, {"name": "3a8a23f9-5fad-42c4-bba3-c1b8e691a646", "count": 1, "frequency": 0.0004}, {"name": "dd3637ef-521d-47f2-a5da-8768abf9e3b9", "count": 1, "frequency": 0.0004}, {"name": "b4a1b1af-f3ea-4651-9130-737662b2a8f7", "count": 1, "frequency": 0.0004}, {"name": "c0c301d1-5fbe-4888-914f-6c4188c197d7", "count": 1, "frequency": 0.0004}, {"name": "0a78a463-286f-4128-b0e9-b4275bf730f3", "count": 1, "frequency": 0.0004}, {"name": "73999d7d-53a3-4afc-8867-c1d3e552e87f", "count": 1, "frequency": 0.0004}, {"name": "094da522-d50f-4655-9a6c-62c01a26c9bf", "count": 1, "frequency": 0.0004}, {"name": "92723aa8-7109-40d4-af60-94883f18cd5c", "count": 1, "frequency": 0.0004}, {"name": "13f7c4fd-8c09-4446-a74a-3819bfaaea79", "count": 1, "frequency": 0.0004}, {"name": "cae54e37-3e31-4920-922d-959b88650f3d", "count": 1, "frequency": 0.0004}, {"name": "38ef3ccb-86ea-4751-b27d-1973267a65f4", "count": 1, "frequency": 0.0004}, {"name": "292f8a08-1148-44a0-a5fa-6dd9ca559851", "count": 1, "frequency": 0.0004}, {"name": "74ca04cb-1071-45e5-a39b-c1b29c660f5a", "count": 1, "frequency": 0.0004}, {"name": "de488a97-6e6b-4a3d-a30d-51050bcae721", "count": 1, "frequency": 0.0004}, {"name": "ffd13980-6a3b-48cf-9468-7adbc290bf16", "count": 1, "frequency": 0.0004}, {"name": "af9f20e0-f888-4bbb-b00d-bd047d72987f", "count": 1, "frequency": 0.0004}, {"name": "ca48a486-bf80-4f2a-9f34-c313ef7848d4", "count": 1, "frequency": 0.0004}, {"name": "b6e0f071-a7c0-40df-883e-bd7ed18cdef5", "count": 1, "frequency": 0.0004}, {"name": "f03f34a2-8584-4bff-81eb-f404d53b5bfa", "count": 1, "frequency": 0.0004}, {"name": "8c233bad-34bc-43d1-89af-a18c499985d2", "count": 1, "frequency": 0.0004}, {"name": "72c5e5a6-28b5-4c62-aedd-f17fe8e16329", "count": 1, "frequency": 0.0004}, {"name": "cd22c653-6df9-4805-9460-0e460d52bf80", "count": 1, "frequency": 0.0004}, {"name": "ac4af7f9-3d6e-4278-a027-074c6cd40319", "count": 1, "frequency": 0.0004}, {"name": "83eb9f62-ac91-449d-b9fc-77a9632788b7", "count": 1, "frequency": 0.0004}, {"name": "6efcd0e6-4985-46e9-be8d-268ff3fde2ee", "count": 1, "frequency": 0.0004}, {"name": "4ed501b3-7a07-43c1-bbf4-23eedc4f7d24", "count": 1, "frequency": 0.0004}, {"name": "07ae2fe4-dc80-4fe9-92f0-80d9b5033064", "count": 1, "frequency": 0.0004}, {"name": "7a84680a-30d7-40b5-800a-f77cafa98e82", "count": 1, "frequency": 0.0004}, {"name": "a69db0c9-95ca-4864-968f-b22f9b0de828", "count": 1, "frequency": 0.0004}, {"name": "f446924e-abb1-4542-bb5f-c6e15f15da8a", "count": 1, "frequency": 0.0004}, {"name": "99726c91-36c9-4568-9d81-9f8f089d4841", "count": 1, "frequency": 0.0004}, {"name": "1db82bbf-c5f7-417b-8dfc-89e8346960d9", "count": 1, "frequency": 0.0004}, {"name": "53ede507-0780-48c5-aa66-5035de4b48f4", "count": 1, "frequency": 0.0004}, {"name": "0ea9b6e2-1231-46d8-98dc-3d40ce51238c", "count": 1, "frequency": 0.0004}, {"name": "70c47661-ba6b-432f-8430-2c705e09ecda", "count": 1, "frequency": 0.0004}, {"name": "a2dbafc9-67f3-4bbc-943a-c40d7feffe11", "count": 1, "frequency": 0.0004}, {"name": "8fddb8e2-eb1b-4aea-935a-ce6886692a66", "count": 1, "frequency": 0.0004}, {"name": "a64f7758-9ba7-4ef5-86a4-2a97899507fa", "count": 1, "frequency": 0.0004}, {"name": "df963802-b11f-4d4b-9ad1-03c9df138bb7", "count": 1, "frequency": 0.0004}, {"name": "d0ff30fd-5558-43e3-9ec3-809eeaa325e5", "count": 1, "frequency": 0.0004}, {"name": "9863fc45-859a-4b55-ba49-0f2ac509fb45", "count": 1, "frequency": 0.0004}, {"name": "62d2c38a-12ce-424e-969b-7148668a98db", "count": 1, "frequency": 0.0004}, {"name": "1d4f08c0-bc93-4ab6-9277-6d8745483091", "count": 1, "frequency": 0.0004}, {"name": "a9be91ff-909a-4713-bf43-8f8ad403ad27", "count": 1, "frequency": 0.0004}, {"name": "974785d8-dc13-4cb3-8674-c7a46034e65c", "count": 1, "frequency": 0.0004}, {"name": "0a4ab830-a63e-42f3-b78e-a485381418e4", "count": 1, "frequency": 0.0004}, {"name": "c39798fa-89fc-4f13-af00-493d2caf7d34", "count": 1, "frequency": 0.0004}, {"name": "30db6042-29a4-49bb-89bb-15badc3e246e", "count": 1, "frequency": 0.0004}, {"name": "6dcad77e-4e85-47c7-b392-3ea160743ffb", "count": 1, "frequency": 0.0004}, {"name": "6ead85ee-9f66-4315-8815-66fc5244a0c5", "count": 1, "frequency": 0.0004}, {"name": "ff760ec0-4518-443f-afc3-24f2394d3334", "count": 1, "frequency": 0.0004}, {"name": "2ae82346-be91-432e-acf5-86dd74775e97", "count": 1, "frequency": 0.0004}, {"name": "8264e5f1-7119-41a0-bb3d-6701d905ce51", "count": 1, "frequency": 0.0004}, {"name": "bb8044b1-5c7d-48aa-a231-ca07f097d70c", "count": 1, "frequency": 0.0004}, {"name": "998d879b-211a-4422-bc95-9aa0c21f5092", "count": 1, "frequency": 0.0004}, {"name": "1568c07c-d0cf-4253-a2a0-b555173c4f0b", "count": 1, "frequency": 0.0004}, {"name": "2aa956be-2a82-468b-800c-9906ca53ac68", "count": 1, "frequency": 0.0004}, {"name": "460159b0-af8d-4c2c-a793-01cb018ab3a3", "count": 1, "frequency": 0.0004}, {"name": "d4f13875-1ece-4b6c-99ed-205081de6e8f", "count": 1, "frequency": 0.0004}, {"name": "2ba660cf-a553-4140-b712-f8e9eebc66ed", "count": 1, "frequency": 0.0004}, {"name": "23a74542-8b69-4511-8cbe-04e310d98efb", "count": 1, "frequency": 0.0004}, {"name": "1857d0bd-0697-4275-b37a-2dc2be73ccc9", "count": 1, "frequency": 0.0004}, {"name": "6295bb45-cd7b-445d-8cda-007d0eedaf27", "count": 1, "frequency": 0.0004}, {"name": "f8f2dd3f-237e-4628-82f5-b0bb3a9060cb", "count": 1, "frequency": 0.0004}, {"name": "8b6fe34c-9744-4cfe-9146-9582d98b22a1", "count": 1, "frequency": 0.0004}, {"name": "d9a281dc-cde2-419e-ba5c-177a4f2433ab", "count": 1, "frequency": 0.0004}, {"name": "207799e1-374e-4387-8c83-cfcf317bb149", "count": 1, "frequency": 0.0004}, {"name": "60ef9fc9-be2e-44fc-815f-645cff080f68", "count": 1, "frequency": 0.0004}, {"name": "1c5d2975-fc43-4569-bdf5-a8ddcf168d42", "count": 1, "frequency": 0.0004}, {"name": "9be250c4-20de-462a-8067-9167a40e9703", "count": 1, "frequency": 0.0004}, {"name": "456d2277-a1fb-476c-896f-3b8f3736ef81", "count": 1, "frequency": 0.0004}, {"name": "349a5304-48ef-429d-a179-87e7f3c825da", "count": 1, "frequency": 0.0004}, {"name": "b7106a1e-6efb-474d-abf9-b424c6e55c64", "count": 1, "frequency": 0.0004}, {"name": "acdf0919-b68b-442e-83d2-8737f5b62d62", "count": 1, "frequency": 0.0004}, {"name": "266fb2b6-810e-49eb-b5ae-80af2f43df50", "count": 1, "frequency": 0.0004}, {"name": "9b9ece92-12cf-49d3-8865-6a14d1f38d72", "count": 1, "frequency": 0.0004}, {"name": "234ddc73-fc87-411b-a6da-c106786c09c3", "count": 1, "frequency": 0.0004}, {"name": "cd6585eb-3628-46c2-a630-f4b3d9f6e92c", "count": 1, "frequency": 0.0004}, {"name": "27b57648-0795-4050-b188-b83550c5b249", "count": 1, "frequency": 0.0004}, {"name": "8a9cf5dd-f84f-471a-9539-4816feddd17d", "count": 1, "frequency": 0.0004}, {"name": "5b8965ce-2b8d-438e-afa9-105ea43a46e5", "count": 1, "frequency": 0.0004}, {"name": "dd0c0a85-9817-4a11-8543-d8cf9607b0d1", "count": 1, "frequency": 0.0004}, {"name": "d4a2f4de-ef12-4148-8ed2-55efb925ee9c", "count": 1, "frequency": 0.0004}, {"name": "48d81f16-786a-4194-a7a0-74858c602eec", "count": 1, "frequency": 0.0004}, {"name": "6673723e-6fe1-499e-8949-b59d9dfc1380", "count": 1, "frequency": 0.0004}, {"name": "ac6984de-e7c5-4b9b-9772-7fc2535872c1", "count": 1, "frequency": 0.0004}, {"name": "ac29d60f-3879-4e1c-b5ba-0f43bb891bae", "count": 1, "frequency": 0.0004}, {"name": "ac48fc8f-854a-4d34-80cb-f8990f8534ba", "count": 1, "frequency": 0.0004}, {"name": "92916d3d-a2f0-4b79-9720-6d1e3aac8227", "count": 1, "frequency": 0.0004}, {"name": "87aca4b6-f350-43e1-b9a5-6fd8db15983e", "count": 1, "frequency": 0.0004}, {"name": "e4d25e10-bb89-4ca4-b515-a483ddc027e9", "count": 1, "frequency": 0.0004}, {"name": "36c792c8-a7c4-4840-9f0f-96ac95a154c3", "count": 1, "frequency": 0.0004}, {"name": "9fb3afbc-8bd5-4af6-87b6-7f25ccb68340", "count": 1, "frequency": 0.0004}, {"name": "7d3185b7-ab31-479f-93e0-bf882abe7474", "count": 1, "frequency": 0.0004}, {"name": "fc89fa0e-6a1e-42cc-9072-2959b3628cdb", "count": 1, "frequency": 0.0004}, {"name": "97046189-be4e-40d8-8aea-5557a3be5921", "count": 1, "frequency": 0.0004}, {"name": "a7b7a6cf-79e8-4836-8759-c92fd20c83fe", "count": 1, "frequency": 0.0004}, {"name": "6f20fdbd-da03-4111-a3a1-3aca8f6e07f7", "count": 1, "frequency": 0.0004}, {"name": "5d6c245b-4147-44e3-9bfa-fd5d1eaaaf4a", "count": 1, "frequency": 0.0004}, {"name": "7159c372-85e6-4b5f-8131-7db2b4545169", "count": 1, "frequency": 0.0004}, {"name": "4af68ee8-4260-4bfc-a6b7-786d33953f6d", "count": 1, "frequency": 0.0004}, {"name": "368c4d4e-815f-4975-b28f-6076cc7bedac", "count": 1, "frequency": 0.0004}, {"name": "f7d454b6-75ad-4fad-aac8-e702e71bffd1", "count": 1, "frequency": 0.0004}, {"name": "9d535360-b967-4c5f-b56d-8dfd9c953660", "count": 1, "frequency": 0.0004}, {"name": "14c25f27-f3b8-4aac-835e-0023d012e67a", "count": 1, "frequency": 0.0004}, {"name": "07ecff3b-05ea-403a-bdfe-19d8c0265b44", "count": 1, "frequency": 0.0004}, {"name": "b2e42d56-21f3-4058-a15a-7e87d27823e5", "count": 1, "frequency": 0.0004}, {"name": "e0fb2432-8615-4834-806d-32176c4df713", "count": 1, "frequency": 0.0004}, {"name": "3d6b7ca5-e7ed-47aa-8b46-7881ccc6e524", "count": 1, "frequency": 0.0004}, {"name": "3c683a6b-0772-4403-a51d-e1542bf79b24", "count": 1, "frequency": 0.0004}, {"name": "3c50caa9-fdcb-4907-9cf5-cb7f49565a5c", "count": 1, "frequency": 0.0004}, {"name": "e8529988-052f-4f33-9295-dda4c78224ca", "count": 1, "frequency": 0.0004}, {"name": "b43fd880-0921-4612-97f1-384397b3633d", "count": 1, "frequency": 0.0004}, {"name": "9ce13577-06a3-465b-a4fb-cee399618c87", "count": 1, "frequency": 0.0004}, {"name": "7ff53043-2a53-4265-aa3d-3eccb4d39994", "count": 1, "frequency": 0.0004}, {"name": "4476b251-e2ae-4066-8cf4-125860dc5c75", "count": 1, "frequency": 0.0004}, {"name": "60df258c-5945-4c19-909d-c0a3b734b806", "count": 1, "frequency": 0.0004}, {"name": "04929587-fc72-47f2-a855-f7ed1240d87d", "count": 1, "frequency": 0.0004}, {"name": "75c0ddec-bfe4-482e-871d-84653cda40cf", "count": 1, "frequency": 0.0004}, {"name": "42e40284-2f67-4a16-990d-1100fdf9459f", "count": 1, "frequency": 0.0004}, {"name": "68395399-11fc-4ba8-8cda-bc2eea7cca07", "count": 1, "frequency": 0.0004}, {"name": "8cfee2e7-5292-475d-9d99-c1ade86fe737", "count": 1, "frequency": 0.0004}, {"name": "4d1c53f9-780a-4d2d-9359-8309dd723c9c", "count": 1, "frequency": 0.0004}, {"name": "c35524a5-46fd-42e3-b65b-9648a210d53f", "count": 1, "frequency": 0.0004}, {"name": "f2e3725f-aaeb-48ac-8cde-d4fc5d2bda29", "count": 1, "frequency": 0.0004}, {"name": "d4020483-3bbd-4c81-977b-878974d40be1", "count": 1, "frequency": 0.0004}, {"name": "5a22dd53-0c0c-4b56-b797-e9cf71c5acf8", "count": 1, "frequency": 0.0004}, {"name": "6c2ef802-b8bc-4408-9c05-b50d7d8a719f", "count": 1, "frequency": 0.0004}, {"name": "d000777f-1574-4d65-a712-da7d52656103", "count": 1, "frequency": 0.0004}, {"name": "c3e4d416-364a-44ad-ae84-1d7f5f192051", "count": 1, "frequency": 0.0004}, {"name": "b7e81dbf-d9e0-47f8-9a7d-d6af36e089b0", "count": 1, "frequency": 0.0004}, {"name": "6bfa69c8-771c-49d4-8065-43c59334caa8", "count": 1, "frequency": 0.0004}, {"name": "eaedad43-a378-4dad-9161-26704cdabba6", "count": 1, "frequency": 0.0004}, {"name": "2205b38c-e34b-48c1-8a67-b7eeaa33c57d", "count": 1, "frequency": 0.0004}, {"name": "dcb26757-fdbb-420e-bc8a-f9eceb16ab74", "count": 1, "frequency": 0.0004}, {"name": "fce93150-2e55-4d43-ac14-fd1f939e2a2b", "count": 1, "frequency": 0.0004}, {"name": "c0de8928-1554-4cb7-86f1-24053593594b", "count": 1, "frequency": 0.0004}, {"name": "c1095d16-0278-4784-84ed-b4832edca34e", "count": 1, "frequency": 0.0004}, {"name": "bbcab809-3e3f-40e6-8e9b-47e8199b75c8", "count": 1, "frequency": 0.0004}, {"name": "cb57d29e-2502-4527-a2e3-5209185c1f60", "count": 1, "frequency": 0.0004}, {"name": "a7a4e750-3761-4b65-8afe-389b6f6bcd07", "count": 1, "frequency": 0.0004}, {"name": "c2a72435-1990-4156-856b-4a310d43a586", "count": 1, "frequency": 0.0004}, {"name": "d8bafcf6-313f-4feb-81c4-9ca98ddd8038", "count": 1, "frequency": 0.0004}, {"name": "673029c4-4c7d-4d62-9a69-91033d48a1b6", "count": 1, "frequency": 0.0004}, {"name": "645cb5f8-07c7-470d-9eb4-a1021eedf5ba", "count": 1, "frequency": 0.0004}, {"name": "f0338e2f-7d3c-4ead-bd7c-b27635bf107c", "count": 1, "frequency": 0.0004}, {"name": "6cbb061b-3b19-4b31-bcc3-79eaf378b611", "count": 1, "frequency": 0.0004}, {"name": "eba96373-a747-4c6c-a473-d55bb133d269", "count": 1, "frequency": 0.0004}, {"name": "3f494bac-9e1e-4047-9d09-d8f4288040aa", "count": 1, "frequency": 0.0004}, {"name": "5a2f8ed1-0d0b-4ce1-90c4-1482b887273b", "count": 1, "frequency": 0.0004}, {"name": "082b50ef-dda5-4fbd-a952-7bbfe0c75c7c", "count": 1, "frequency": 0.0004}, {"name": "83f8728e-7c6a-4404-bf10-49c95c2dd454", "count": 1, "frequency": 0.0004}, {"name": "6b74f61d-ebd1-45e1-bd62-d5246d90f783", "count": 1, "frequency": 0.0004}, {"name": "f7fed770-9d17-4554-877a-ba09b2c2f203", "count": 1, "frequency": 0.0004}, {"name": "39d27294-3eb6-43ba-9eba-3f6f36cf3dbd", "count": 1, "frequency": 0.0004}, {"name": "5fc7d195-34b3-42de-9283-1620cded2f82", "count": 1, "frequency": 0.0004}, {"name": "6fb51ccd-d827-4d76-9df5-befa1000dbfa", "count": 1, "frequency": 0.0004}, {"name": "acc542f2-0b2d-4e6c-bc6e-4649ec035816", "count": 1, "frequency": 0.0004}, {"name": "74d774e6-5cd4-4c59-b220-ea2570e41ce2", "count": 1, "frequency": 0.0004}, {"name": "bfad4af4-a443-4ac5-b29b-f2fdfa78fb6c", "count": 1, "frequency": 0.0004}, {"name": "2359e9fa-f25e-4871-8bd3-a292fd105b28", "count": 1, "frequency": 0.0004}, {"name": "46fe4ff8-c744-43d2-9b0e-82ec8c89b633", "count": 1, "frequency": 0.0004}, {"name": "e87584b3-caed-46a6-8873-69f6b7373cac", "count": 1, "frequency": 0.0004}, {"name": "dd77526a-902c-4eb6-8948-e1b867a56423", "count": 1, "frequency": 0.0004}, {"name": "36ca8037-3a96-4ad4-adcc-a6e9407c0cdc", "count": 1, "frequency": 0.0004}, {"name": "97149239-613a-4736-9f06-0d22af8bad72", "count": 1, "frequency": 0.0004}, {"name": "37c8640f-ff3d-4caf-952e-779ed97cd1fe", "count": 1, "frequency": 0.0004}, {"name": "8440edeb-6af9-4dac-af20-01a8e07624e3", "count": 1, "frequency": 0.0004}, {"name": "d33a6092-58e9-4b35-afe3-928ea1a565d7", "count": 1, "frequency": 0.0004}, {"name": "1551f5d2-fc2c-48cb-af4f-b06a8b5d8b22", "count": 1, "frequency": 0.0004}, {"name": "75f689f9-4a74-4e4c-90ce-44c059b5dd72", "count": 1, "frequency": 0.0004}, {"name": "18153ddb-5da2-4773-b4bf-668b8613b01e", "count": 1, "frequency": 0.0004}, {"name": "ca44652f-9347-4d79-8dbf-fe3a24117acd", "count": 1, "frequency": 0.0004}, {"name": "b8ec41de-5067-40d6-97b7-205c9310590a", "count": 1, "frequency": 0.0004}, {"name": "160de22e-1dae-4cdb-a3dd-3b876f13bddb", "count": 1, "frequency": 0.0004}, {"name": "946a4eba-5135-4418-a82b-30f40f53546c", "count": 1, "frequency": 0.0004}, {"name": "105ad1aa-9275-4cc7-a2e7-8025b1f273ef", "count": 1, "frequency": 0.0004}, {"name": "79929303-70f9-4a67-a93f-325b9cb9d353", "count": 1, "frequency": 0.0004}, {"name": "8734a29c-c36e-4a23-b7db-48fda03b308e", "count": 1, "frequency": 0.0004}, {"name": "09a48f40-d96f-4d94-8e76-91fda6bdc35e", "count": 1, "frequency": 0.0004}, {"name": "136e82e0-cc5d-4ae8-812c-7bedc08c13d9", "count": 1, "frequency": 0.0004}, {"name": "5a6a4d17-80d2-402f-a62f-02f0d1589047", "count": 1, "frequency": 0.0004}, {"name": "ad7b6a89-1d38-410f-ab22-371f8d0fd384", "count": 1, "frequency": 0.0004}, {"name": "91e2600a-e8b2-42f5-b1b6-1677e1144ce3", "count": 1, "frequency": 0.0004}, {"name": "a24e58e5-3ebe-4eff-90e2-9bb76cae70d1", "count": 1, "frequency": 0.0004}, {"name": "388a8a7f-3660-492a-bdec-3c620515255f", "count": 1, "frequency": 0.0004}, {"name": "49679475-bebf-428c-9138-ac754c265c57", "count": 1, "frequency": 0.0004}, {"name": "9c0e3fcb-4974-4a70-9d00-73115386669d", "count": 1, "frequency": 0.0004}, {"name": "53d6d56d-758c-412a-812c-f01f949c161d", "count": 1, "frequency": 0.0004}, {"name": "ccd95c8f-11c7-40c1-bb35-b433b4b11335", "count": 1, "frequency": 0.0004}, {"name": "6fbe94c7-aefc-4c72-af7e-3d947c491c4f", "count": 1, "frequency": 0.0004}, {"name": "5837d7d8-256e-4108-a235-e585c70ee583", "count": 1, "frequency": 0.0004}, {"name": "288ef88b-5c12-47de-9c11-08af8d1804f1", "count": 1, "frequency": 0.0004}, {"name": "be850177-42f9-4825-a749-631245084710", "count": 1, "frequency": 0.0004}, {"name": "dc054216-ba2a-4ddc-982c-df02ce0d14d8", "count": 1, "frequency": 0.0004}, {"name": "8f0868f8-6676-4f92-b72f-dd73fd2380bc", "count": 1, "frequency": 0.0004}, {"name": "acb79b0d-3e40-4744-88b3-2438e13bf94f", "count": 1, "frequency": 0.0004}, {"name": "032072ef-44fa-47e0-b164-2e44cc0ed186", "count": 1, "frequency": 0.0004}, {"name": "03002b4a-a53d-44a9-85b4-ab3c467e5ef8", "count": 1, "frequency": 0.0004}, {"name": "ef0c2f10-f3ad-4d0a-8f19-503523d9d1a9", "count": 1, "frequency": 0.0004}, {"name": "0daa1b9c-547e-4fef-bc14-4b92cc10c65d", "count": 1, "frequency": 0.0004}, {"name": "3ba476d8-72e3-4432-afe4-b875a9e453f8", "count": 1, "frequency": 0.0004}, {"name": "2817bdf2-4a41-4ead-8299-1137dc331575", "count": 1, "frequency": 0.0004}, {"name": "f103389b-a1b0-4a2f-90ec-8b27125d3fb8", "count": 1, "frequency": 0.0004}, {"name": "2b881532-ca84-4ad5-8d52-bc72e069e47d", "count": 1, "frequency": 0.0004}, {"name": "f71a208a-41f8-4223-b7a9-124ea5a0c0b7", "count": 1, "frequency": 0.0004}, {"name": "84ebcb09-5c49-4510-9c90-ed5d5cea4f83", "count": 1, "frequency": 0.0004}, {"name": "a02ca419-1e3b-43a8-9f6f-7d87d1748deb", "count": 1, "frequency": 0.0004}, {"name": "139c2524-9cc4-48cb-8220-032341de361c", "count": 1, "frequency": 0.0004}, {"name": "e363e1ea-5f66-4141-bf54-82a09dd33b05", "count": 1, "frequency": 0.0004}, {"name": "57be89b4-46ad-4e8d-afc8-3fafbba8fb90", "count": 1, "frequency": 0.0004}, {"name": "83cfd48e-2f29-4273-98d1-606e6eebb27d", "count": 1, "frequency": 0.0004}, {"name": "f5390a5f-7918-4cbf-843d-591688e0309c", "count": 1, "frequency": 0.0004}, {"name": "54885537-77bf-45fc-a8f1-6155d1713806", "count": 1, "frequency": 0.0004}, {"name": "3c958fb2-f9ca-48f1-b040-8f12165b22df", "count": 1, "frequency": 0.0004}, {"name": "90c78375-6808-4eaf-a1b5-de2c49f748dc", "count": 1, "frequency": 0.0004}, {"name": "45c9eb48-bff6-42bd-8746-d1f594850cda", "count": 1, "frequency": 0.0004}, {"name": "f24b3ce3-f5ef-4035-9fde-45fe9c5abdb9", "count": 1, "frequency": 0.0004}, {"name": "642556e8-7892-4d8a-bd7a-aac82b022830", "count": 1, "frequency": 0.0004}, {"name": "352cffbf-83c9-4959-9ab1-d71921c299dd", "count": 1, "frequency": 0.0004}, {"name": "473a129e-fa9e-4da3-a18b-fb4230d28a16", "count": 1, "frequency": 0.0004}, {"name": "53dbb2b2-7fe4-4a50-9e84-b82b01b0f109", "count": 1, "frequency": 0.0004}, {"name": "10e01259-3dee-4b3d-94aa-661a9ae16e53", "count": 1, "frequency": 0.0004}, {"name": "c93cf875-4624-43a6-a40a-75c14428f4bf", "count": 1, "frequency": 0.0004}, {"name": "1c603cdb-67ff-4344-bb06-25cc2fd9303a", "count": 1, "frequency": 0.0004}, {"name": "40315dcc-1cdd-484e-9f45-b6194c498040", "count": 1, "frequency": 0.0004}, {"name": "96da9809-eeb6-43cc-8f2b-ec314be9b7b9", "count": 1, "frequency": 0.0004}, {"name": "e154d542-0208-4c0a-baca-416f2209a383", "count": 1, "frequency": 0.0004}, {"name": "c3c2f7f2-87c1-4e78-8d86-024936b31a85", "count": 1, "frequency": 0.0004}, {"name": "ba2ae3d0-f371-42ca-991a-c7f76a326750", "count": 1, "frequency": 0.0004}, {"name": "f6e25c24-6b1b-4218-a6a6-e6d02dcb61b9", "count": 1, "frequency": 0.0004}, {"name": "7d7a7bac-f147-45e2-abad-828f4a80903e", "count": 1, "frequency": 0.0004}, {"name": "edc35aab-e918-4064-9a44-2d2fc58a3d59", "count": 1, "frequency": 0.0004}, {"name": "92dbf424-fd5f-4cb6-825a-398faa9bcd6a", "count": 1, "frequency": 0.0004}, {"name": "23b80a0a-d720-49f6-adb6-10bea868342d", "count": 1, "frequency": 0.0004}, {"name": "60b1fb6f-60a8-4947-87d0-ece2d8d66ebd", "count": 1, "frequency": 0.0004}, {"name": "9811f13c-7bd4-433f-bb75-a2ab71baa3ba", "count": 1, "frequency": 0.0004}, {"name": "3ef78347-82f3-4ebb-b36a-0152f2d2089a", "count": 1, "frequency": 0.0004}, {"name": "7855a275-98a0-4f8d-a1ed-032e88818825", "count": 1, "frequency": 0.0004}, {"name": "2ffffc45-8793-43a4-b579-8f3c17109ac4", "count": 1, "frequency": 0.0004}, {"name": "d28fc5d0-c103-4c53-8fbc-d02a77894865", "count": 1, "frequency": 0.0004}, {"name": "2253c8c5-f582-4fee-9226-cbeda70666b3", "count": 1, "frequency": 0.0004}, {"name": "314f1e1a-038a-418f-a0b2-1df23a45f01c", "count": 1, "frequency": 0.0004}, {"name": "391f03df-3c63-4632-bc05-0fa38971aa0e", "count": 1, "frequency": 0.0004}, {"name": "dd52554d-ccfa-4e6d-a769-7af4dbb71170", "count": 1, "frequency": 0.0004}, {"name": "7efa6a3f-68c1-421d-84d0-3e7b54a3b276", "count": 1, "frequency": 0.0004}, {"name": "24b9c3ca-7018-4b3a-90f7-d387e1eb2f22", "count": 1, "frequency": 0.0004}, {"name": "9d49c4de-99c2-4aee-be37-dca6140cbaf2", "count": 1, "frequency": 0.0004}, {"name": "3668ad74-29cc-47c2-9dff-e3cd87e4ff0b", "count": 1, "frequency": 0.0004}, {"name": "c8eb9f08-b13e-41e3-978b-665262d546a6", "count": 1, "frequency": 0.0004}, {"name": "487a8baa-8e41-47a9-8ab3-6ef8d359573a", "count": 1, "frequency": 0.0004}, {"name": "4d6aea96-2cd6-4bed-a6fa-25254d42c5e8", "count": 1, "frequency": 0.0004}, {"name": "9d255d4f-1f39-4f76-85f2-0a08e15ed276", "count": 1, "frequency": 0.0004}, {"name": "b1b7dafb-8c56-4996-b465-0a123d6139ce", "count": 1, "frequency": 0.0004}, {"name": "80525ee3-bca4-46dc-87db-407736a96a90", "count": 1, "frequency": 0.0004}, {"name": "b0667093-e456-4b68-95ea-8a3419aa8666", "count": 1, "frequency": 0.0004}, {"name": "845354ac-bd9b-48ce-969e-c65fc42d7f29", "count": 1, "frequency": 0.0004}, {"name": "627bab6c-5e91-4bcd-9266-d4ad745cb07f", "count": 1, "frequency": 0.0004}, {"name": "91d89f83-dbdc-4a09-87ac-e3a7cbf1c7fe", "count": 1, "frequency": 0.0004}, {"name": "8c8e6fbf-4c0c-4e5a-8fa5-0b11188413ac", "count": 1, "frequency": 0.0004}, {"name": "871ea36a-e114-4d97-9685-8dd345e5fabc", "count": 1, "frequency": 0.0004}]}], "class_metrics_prediction": [{"name": "0.0", "count": 1969, "percentage": 78.75999999999999}, {"name": "1.0", "count": 531, "percentage": 21.240000000000002}]}',	'{"feature_metrics": [{"drift_calc": {"type": "CHI2", "value": 0.10257234539953236, "has_drift": false}, "field_type": "categorical", "feature_name": "workclass"}, {"drift_calc": {"type": "CHI2", "value": 0.0, "has_drift": true}, "field_type": "categorical", "feature_name": "education"}, {"drift_calc": {"type": "CHI2", "value": 0.00003186802727857459, "has_drift": true}, "field_type": "categorical", "feature_name": "marital-status"}, {"drift_calc": {"type": "CHI2", "value": 0.17216787430393182, "has_drift": false}, "field_type": "categorical", "feature_name": "occupation"}, {"drift_calc": {"type": "CHI2", "value": 0.012704822442584135, "has_drift": true}, "field_type": "categorical", "feature_name": "relationship"}, {"drift_calc": {"type": "CHI2", "value": 0.04278756162784946, "has_drift": true}, "field_type": "categorical", "feature_name": "race"}, {"drift_calc": {"type": "CHI2", "value": 0.8208999569040892, "has_drift": false}, "field_type": "categorical", "feature_name": "gender"}, {"drift_calc": {"type": "CHI2", "value": 0.0, "has_drift": true}, "field_type": "categorical", "feature_name": "native-country"}, {"drift_calc": {"type": "CHI2", "value": 0.0, "has_drift": true}, "field_type": "categorical", "feature_name": "pred_id"}, {"drift_calc": {"type": "PSI", "value": 0.007427869203652585, "has_drift": false}, "field_type": "numerical", "feature_name": "age"}, {"drift_calc": {"type": "PSI", "value": 0.004431892552493439, "has_drift": false}, "field_type": "numerical", "feature_name": "fnlwgt"}, {"drift_calc": {"type": "PSI", "value": 0.00880105171156254, "has_drift": false}, "field_type": "numerical", "feature_name": "educational-num"}, {"drift_calc": {"type": "PSI", "value": 0.002586848465498017, "has_drift": false}, "field_type": "numerical", "feature_name": "capital-gain"}, {"drift_calc": {"type": "PSI", "value": 0.0016423188308857084, "has_drift": false}, "field_type": "numerical", "feature_name": "capital-loss"}, {"drift_calc": {"type": "PSI", "value": 0.010772086122727046, "has_drift": false}, "field_type": "numerical", "feature_name": "hours-per-week"}]}',	'{"numeric": 8, "datetime": 1, "categorical": 10, "n_variables": 19, "missing_cells": 327, "duplicate_rows": 0, "n_observations": 2500, "missing_cells_perc": 0.6884210526315789, "duplicate_rows_perc": 0.0}',	'{"drift": {"value": 0.6, "details": [{"score": 1.0, "feature_name": "education"}, {"score": 1.0, "feature_name": "marital-status"}, {"score": 1.0, "feature_name": "relationship"}, {"score": 1.0, "feature_name": "race"}, {"score": 1.0, "feature_name": "native-country"}, {"score": 1.0, "feature_name": "pred_id"}]}, "data_quality": {"value": 0.9692533333333333, "details": [{"score": 0.0068, "feature_name": "age"}, {"score": 0.0244, "feature_name": "fnlwgt"}, {"score": 0.0336, "feature_name": "educational-num"}, {"score": 0.0896, "feature_name": "capital-gain"}, {"score": 0.0428, "feature_name": "capital-loss"}, {"score": 0.264, "feature_name": "hours-per-week"}, {"score": 0.0, "feature_name": "workclass"}, {"score": 0.0, "feature_name": "education"}, {"score": 0.0, "feature_name": "marital-status"}, {"score": 0.0, "feature_name": "occupation"}, {"score": 0.0, "feature_name": "relationship"}, {"score": 0.0, "feature_name": "race"}, {"score": 0.0, "feature_name": "gender"}, {"score": 0.0, "feature_name": "native-country"}, {"score": 0.0, "feature_name": "pred_id"}]}, "model_quality": {"value": 0.33333333333333337, "details": [{"score": -1, "feature_name": "weighted_precision"}, {"score": -1, "feature_name": "weighted_false_positive_rate"}, {"score": -1, "feature_name": "true_positive_rate"}, {"score": -1, "feature_name": "false_positive_rate"}, {"score": -1, "feature_name": "precision"}, {"score": -1, "feature_name": "recall"}, {"score": -1, "feature_name": "f_measure"}, {"score": -1, "feature_name": "area_under_roc"}, {"score": -1, "feature_name": "area_under_pr"}, {"score": -1, "feature_name": "log_loss"}]}}')
ON CONFLICT("UUID")
DO UPDATE SET
	"PERCENTAGES"='{"drift": {"value": 0.6, "details": [{"score": 1.0, "feature_name": "education"}, {"score": 1.0, "feature_name": "marital-status"}, {"score": 1.0, "feature_name": "relationship"}, {"score": 1.0, "feature_name": "race"}, {"score": 1.0, "feature_name": "native-country"}, {"score": 1.0, "feature_name": "pred_id"}]}, "data_quality": {"value": 0.9692533333333333, "details": [{"score": 0.0068, "feature_name": "age"}, {"score": 0.0244, "feature_name": "fnlwgt"}, {"score": 0.0336, "feature_name": "educational-num"}, {"score": 0.0896, "feature_name": "capital-gain"}, {"score": 0.0428, "feature_name": "capital-loss"}, {"score": 0.264, "feature_name": "hours-per-week"}, {"score": 0.0, "feature_name": "workclass"}, {"score": 0.0, "feature_name": "education"}, {"score": 0.0, "feature_name": "marital-status"}, {"score": 0.0, "feature_name": "occupation"}, {"score": 0.0, "feature_name": "relationship"}, {"score": 0.0, "feature_name": "race"}, {"score": 0.0, "feature_name": "gender"}, {"score": 0.0, "feature_name": "native-country"}, {"score": 0.0, "feature_name": "pred_id"}]}, "model_quality": {"value": 0.33333333333333337, "details": [{"score": -1, "feature_name": "weighted_precision"}, {"score": -1, "feature_name": "weighted_false_positive_rate"}, {"score": -1, "feature_name": "true_positive_rate"}, {"score": -1, "feature_name": "false_positive_rate"}, {"score": -1, "feature_name": "precision"}, {"score": -1, "feature_name": "recall"}, {"score": -1, "feature_name": "f_measure"}, {"score": -1, "feature_name": "area_under_roc"}, {"score": -1, "feature_name": "area_under_pr"}, {"score": -1, "feature_name": "log_loss"}]}}';

INSERT INTO "current_dataset_metrics" ("UUID", "CURRENT_UUID", "MODEL_QUALITY", "DATA_QUALITY", "DRIFT", "STATISTICS", "PERCENTAGES") VALUES
('6c284f31-dfa4-449d-b16c-4b585c94950f',	'dda74c14-91de-4ae8-a432-3a2f8ccdd153',	'{"classes": ["0", "1", "2"], "class_metrics": [{"metrics": {"recall": 0.9714285714285714, "f_measure": 0.9622641509433962, "precision": 0.9532710280373832, "true_positive_rate": 0.9714285714285714, "false_positive_rate": 0.019305019305019305}, "class_name": "0", "grouped_metrics": {"recall": [{"value": 1.0, "timestamp": "2024-04-09 00:00:00"}, {"value": 0.9743589743589743, "timestamp": "2024-04-10 00:00:00"}, {"value": 0.95, "timestamp": "2024-04-11 00:00:00"}, {"value": 1.0, "timestamp": "2024-04-12 00:00:00"}], "f_measure": [{"value": 1.0, "timestamp": "2024-04-09 00:00:00"}, {"value": 0.9620253164556962, "timestamp": "2024-04-10 00:00:00"}, {"value": 0.9500000000000001, "timestamp": "2024-04-11 00:00:00"}, {"value": 0.9803921568627451, "timestamp": "2024-04-12 00:00:00"}], "precision": [{"value": 1.0, "timestamp": "2024-04-09 00:00:00"}, {"value": 0.95, "timestamp": "2024-04-10 00:00:00"}, {"value": 0.95, "timestamp": "2024-04-11 00:00:00"}, {"value": 0.9615384615384616, "timestamp": "2024-04-12 00:00:00"}], "true_positive_rate": [{"value": 1.0, "timestamp": "2024-04-09 00:00:00"}, {"value": 0.9743589743589743, "timestamp": "2024-04-10 00:00:00"}, {"value": 0.95, "timestamp": "2024-04-11 00:00:00"}, {"value": 1.0, "timestamp": "2024-04-12 00:00:00"}], "false_positive_rate": [{"value": 0.0, "timestamp": "2024-04-09 00:00:00"}, {"value": 0.02040816326530612, "timestamp": "2024-04-10 00:00:00"}, {"value": 0.0196078431372549, "timestamp": "2024-04-11 00:00:00"}, {"value": 0.01818181818181818, "timestamp": "2024-04-12 00:00:00"}]}}, {"metrics": {"recall": 0.9426229508196722, "f_measure": 0.9426229508196722, "precision": 0.9426229508196722, "true_positive_rate": 0.9426229508196722, "false_positive_rate": 0.028925619834710745}, "class_name": "1", "grouped_metrics": {"recall": [{"value": null, "timestamp": "2024-04-09 00:00:00"}, {"value": 0.9433962264150944, "timestamp": "2024-04-10 00:00:00"}, {"value": 0.92, "timestamp": "2024-04-11 00:00:00"}, {"value": 1.0, "timestamp": "2024-04-12 00:00:00"}], "f_measure": [{"value": null, "timestamp": "2024-04-09 00:00:00"}, {"value": 0.9345794392523364, "timestamp": "2024-04-10 00:00:00"}, {"value": 0.9292929292929293, "timestamp": "2024-04-11 00:00:00"}, {"value": 1.0, "timestamp": "2024-04-12 00:00:00"}], "precision": [{"value": null, "timestamp": "2024-04-09 00:00:00"}, {"value": 0.9259259259259259, "timestamp": "2024-04-10 00:00:00"}, {"value": 0.9387755102040817, "timestamp": "2024-04-11 00:00:00"}, {"value": 1.0, "timestamp": "2024-04-12 00:00:00"}], "true_positive_rate": [{"value": null, "timestamp": "2024-04-09 00:00:00"}, {"value": 0.9433962264150944, "timestamp": "2024-04-10 00:00:00"}, {"value": 0.92, "timestamp": "2024-04-11 00:00:00"}, {"value": 1.0, "timestamp": "2024-04-12 00:00:00"}], "false_positive_rate": [{"value": null, "timestamp": "2024-04-09 00:00:00"}, {"value": 0.047619047619047616, "timestamp": "2024-04-10 00:00:00"}, {"value": 0.03260869565217391, "timestamp": "2024-04-11 00:00:00"}, {"value": 0.0, "timestamp": "2024-04-12 00:00:00"}]}}, {"metrics": {"recall": 0.9562043795620438, "f_measure": 0.9632352941176471, "precision": 0.9703703703703703, "true_positive_rate": 0.9562043795620438, "false_positive_rate": 0.01762114537444934}, "class_name": "2", "grouped_metrics": {"recall": [{"value": 1.0, "timestamp": "2024-04-09 00:00:00"}, {"value": 0.9333333333333333, "timestamp": "2024-04-10 00:00:00"}, {"value": 0.9615384615384616, "timestamp": "2024-04-11 00:00:00"}, {"value": 0.9722222222222222, "timestamp": "2024-04-12 00:00:00"}], "f_measure": [{"value": 1.0, "timestamp": "2024-04-09 00:00:00"}, {"value": 0.9545454545454545, "timestamp": "2024-04-10 00:00:00"}, {"value": 0.9523809523809524, "timestamp": "2024-04-11 00:00:00"}, {"value": 0.9859154929577464, "timestamp": "2024-04-12 00:00:00"}], "precision": [{"value": 1.0, "timestamp": "2024-04-09 00:00:00"}, {"value": 0.9767441860465116, "timestamp": "2024-04-10 00:00:00"}, {"value": 0.9433962264150944, "timestamp": "2024-04-11 00:00:00"}, {"value": 1.0, "timestamp": "2024-04-12 00:00:00"}], "true_positive_rate": [{"value": 1.0, "timestamp": "2024-04-09 00:00:00"}, {"value": 0.9333333333333333, "timestamp": "2024-04-10 00:00:00"}, {"value": 0.9615384615384616, "timestamp": "2024-04-11 00:00:00"}, {"value": 0.9722222222222222, "timestamp": "2024-04-12 00:00:00"}], "false_positive_rate": [{"value": 0.0, "timestamp": "2024-04-09 00:00:00"}, {"value": 0.010869565217391304, "timestamp": "2024-04-10 00:00:00"}, {"value": 0.03333333333333333, "timestamp": "2024-04-11 00:00:00"}, {"value": 0.0, "timestamp": "2024-04-12 00:00:00"}]}}], "global_metrics": {"f1": 0.9560466240197094, "accuracy": 0.9560439560439561, "weighted_recall": 0.9560439560439561, "confusion_matrix": [[102.0, 3.0, 0.0], [3.0, 115.0, 4.0], [2.0, 4.0, 131.0]], "weighted_f_measure": 0.9560466240197094, "weighted_precision": 0.9561379084743571, "weighted_true_positive_rate": 0.9560439560439561, "weighted_false_positive_rate": 0.02189574055813543}}',	'{"class_metrics": [{"name": "0", "count": 105, "percentage": 28.846153846153843}, {"name": "1", "count": 122, "percentage": 33.51648351648351}, {"name": "2", "count": 137, "percentage": 37.637362637362635}], "n_observations": 364, "feature_metrics": [{"max": 76.0, "min": 29.0, "std": 8.93289242458983, "mean": 54.38461538461539, "type": "numerical", "histogram": {"buckets": [29.0, 33.8, 38.6, 43.4, 48.2, 53.0, 57.8, 62.6, 67.4, 72.19999999999999, 77.0], "current_values": [1, 12, 39, 46, 48, 72, 72, 59, 12, 3], "reference_values": [3, 27, 110, 124, 123, 191, 195, 143, 44, 10]}, "feature_name": "age", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 55.5, "perc_25": 48.0, "perc_75": 61.0}, "class_median_metrics": []}, {"max": 1.0, "min": 0.0, "std": 0.47981696628340686, "mean": 0.6428571428571429, "type": "numerical", "histogram": {"buckets": [0.0, 0.1, 0.2, 0.30000000000000004, 0.4, 0.5, 0.6000000000000001, 0.7000000000000001, 0.8, 0.9, 1.0], "current_values": [130, 0, 0, 0, 0, 0, 0, 0, 0, 234], "reference_values": [321, 0, 0, 0, 0, 0, 0, 0, 0, 649]}, "feature_name": "sex", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 1.0, "perc_25": 0.0, "perc_75": 1.0}, "class_median_metrics": []}, {"max": 4.0, "min": 1.0, "std": 0.9497564722510773, "mean": 3.17032967032967, "type": "numerical", "histogram": {"buckets": [1.0, 1.3, 1.6, 1.9, 2.2, 2.5, 2.8, 3.1, 3.4, 3.6999999999999997, 4.0], "current_values": [27, 0, 0, 57, 0, 0, 107, 0, 0, 173], "reference_values": [63, 0, 0, 165, 0, 0, 282, 0, 0, 460]}, "feature_name": "cp", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 3.0, "perc_25": 3.0, "perc_75": 4.0}, "class_median_metrics": []}, {"max": 200.0, "min": 100.0, "std": 17.485053146117057, "mean": 132.48626373626374, "type": "numerical", "histogram": {"buckets": [94.0, 104.6, 115.2, 125.8, 136.4, 147.0, 157.6, 168.2, 178.8, 189.39999999999998, 200.0], "current_values": [7, 48, 82, 89, 67, 33, 23, 9, 4, 2], "reference_values": [32, 138, 217, 234, 182, 79, 44, 26, 11, 7]}, "feature_name": "trestbps", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 130.0, "perc_25": 120.0, "perc_75": 140.0}, "class_median_metrics": []}, {"max": 564.0, "min": 126.0, "std": 56.959436469299185, "mean": 247.00274725274724, "type": "numerical", "histogram": {"buckets": [126.0, 169.8, 213.6, 257.4, 301.2, 345.0, 388.79999999999995, 432.59999999999997, 476.4, 520.2, 564.0], "current_values": [17, 94, 121, 76, 42, 4, 8, 0, 0, 2], "reference_values": [38, 233, 342, 211, 118, 10, 14, 0, 0, 4]}, "feature_name": "chol", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 240.0, "perc_25": 208.75, "perc_75": 278.0}, "class_median_metrics": []}, {"max": 1.0, "min": 0.0, "std": 0.353194656889875, "mean": 0.14560439560439561, "type": "numerical", "histogram": {"buckets": [0.0, 0.1, 0.2, 0.30000000000000004, 0.4, 0.5, 0.6000000000000001, 0.7000000000000001, 0.8, 0.9, 1.0], "current_values": [311, 0, 0, 0, 0, 0, 0, 0, 0, 53], "reference_values": [827, 0, 0, 0, 0, 0, 0, 0, 0, 143]}, "feature_name": "fbs", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.0, "perc_25": 0.0, "perc_75": 0.0}, "class_median_metrics": []}, {"max": 2.0, "min": 0.0, "std": 0.9940145699825995, "mean": 0.9697802197802198, "type": "numerical", "histogram": {"buckets": [0.0, 0.2, 0.4, 0.6000000000000001, 0.8, 1.0, 1.2000000000000002, 1.4000000000000001, 1.6, 1.8, 2.0], "current_values": [185, 0, 0, 0, 0, 5, 0, 0, 0, 174], "reference_values": [488, 0, 0, 0, 0, 15, 0, 0, 0, 467]}, "feature_name": "restecg", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.0, "perc_25": 0.0, "perc_75": 2.0}, "class_median_metrics": []}, {"max": 202.0, "min": 88.0, "std": 21.738302827648177, "mean": 150.6043956043956, "type": "numerical", "histogram": {"buckets": [71.0, 84.1, 97.2, 110.3, 123.4, 136.5, 149.6, 162.7, 175.8, 188.89999999999998, 202.0], "current_values": [0, 5, 9, 36, 39, 68, 89, 83, 29, 6], "reference_values": [4, 17, 31, 85, 106, 158, 261, 210, 83, 15]}, "feature_name": "thalach", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 153.0, "perc_25": 138.0, "perc_75": 168.0}, "class_median_metrics": []}, {"max": 1.0, "min": 0.0, "std": 0.4655266942708436, "mean": 0.3159340659340659, "type": "numerical", "histogram": {"buckets": [0.0, 0.1, 0.2, 0.30000000000000004, 0.4, 0.5, 0.6000000000000001, 0.7000000000000001, 0.8, 0.9, 1.0], "current_values": [249, 0, 0, 0, 0, 0, 0, 0, 0, 115], "reference_values": [657, 0, 0, 0, 0, 0, 0, 0, 0, 313]}, "feature_name": "exang", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.0, "perc_25": 0.0, "perc_75": 1.0}, "class_median_metrics": []}, {"max": 6.2, "min": 0.0, "std": 1.1508104649258748, "mean": 1.0329670329670337, "type": "numerical", "histogram": {"buckets": [0.0, 0.62, 1.24, 1.8599999999999999, 2.48, 3.1, 3.7199999999999998, 4.34, 4.96, 5.58, 6.2], "current_values": [178, 65, 50, 23, 21, 14, 11, 0, 0, 2], "reference_values": [491, 150, 128, 78, 63, 33, 16, 4, 0, 7]}, "feature_name": "oldpeak", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.8, "perc_25": 0.0, "perc_75": 1.6}, "class_median_metrics": []}, {"max": 3.0, "min": 1.0, "std": 0.6042263284552793, "mean": 1.5824175824175823, "type": "numerical", "histogram": {"buckets": [1.0, 1.2, 1.4, 1.6, 1.8, 2.0, 2.2, 2.4000000000000004, 2.6, 2.8, 3.0], "current_values": [174, 0, 0, 0, 0, 168, 0, 0, 0, 22], "reference_values": [466, 0, 0, 0, 0, 438, 0, 0, 0, 66]}, "feature_name": "slope", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 2.0, "perc_25": 1.0, "perc_75": 2.0}, "class_median_metrics": []}, {"max": 3.0, "min": 0.0, "std": 0.9342307331857823, "mean": 0.6361111111111111, "type": "numerical", "histogram": {"buckets": [0.0, 0.3, 0.6, 0.8999999999999999, 1.2, 1.5, 1.7999999999999998, 2.1, 2.4, 2.6999999999999997, 3.0], "current_values": [222, 0, 0, 71, 0, 0, 43, 0, 0, 24], "reference_values": [577, 0, 0, 200, 0, 0, 117, 0, 0, 63]}, "feature_name": "ca", "missing_value": {"count": 4, "percentage": 1.098901098901099}, "median_metrics": {"median": 0.0, "perc_25": 0.0, "perc_75": 1.0}, "class_median_metrics": []}, {"max": 7.0, "min": 3.0, "std": 1.948224861379517, "mean": 4.7272727272727275, "type": "numerical", "histogram": {"buckets": [3.0, 3.4, 3.8, 4.2, 4.6, 5.0, 5.4, 5.800000000000001, 6.2, 6.6, 7.0], "current_values": [202, 0, 0, 0, 0, 0, 0, 17, 0, 144], "reference_values": [540, 0, 0, 0, 0, 0, 0, 57, 0, 366]}, "feature_name": "thal", "missing_value": {"count": 1, "percentage": 0.27472527472527475}, "median_metrics": {"median": 3.0, "perc_25": 3.0, "perc_75": 7.0}, "class_median_metrics": []}, {"type": "categorical", "feature_name": "pred_id", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 364, "category_frequency": [{"name": "9449fb6c-6fe9-455e-819d-d3ae8ca66351", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2cdf32a2-8998-4b12-ba30-a1f5d737978f", "count": 1, "frequency": 0.0027472527472527475}, {"name": "72ea7041-8485-454d-8c24-b7717f5dea45", "count": 1, "frequency": 0.0027472527472527475}, {"name": "83458477-9598-4ad4-882b-dd1886fcc555", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a9d49483-9de7-4727-bda0-b1d62a1d691f", "count": 1, "frequency": 0.0027472527472527475}, {"name": "56074744-3cfa-4636-baf2-6a9e4c509eb3", "count": 1, "frequency": 0.0027472527472527475}, {"name": "f49959c0-3d2f-440e-9a66-c7c2fe4fc1b2", "count": 1, "frequency": 0.0027472527472527475}, {"name": "08832648-7f21-442c-b622-3cd5828e25d1", "count": 1, "frequency": 0.0027472527472527475}, {"name": "1f90e8de-e24b-433f-a43b-e74300410067", "count": 1, "frequency": 0.0027472527472527475}, {"name": "b05b18cd-4f9c-436d-89bd-f949cbb8065f", "count": 1, "frequency": 0.0027472527472527475}, {"name": "79f15d9c-15cc-4796-b2fc-c42577ff2370", "count": 1, "frequency": 0.0027472527472527475}, {"name": "9c32b09e-2716-41b5-86bb-585b38051f3f", "count": 1, "frequency": 0.0027472527472527475}, {"name": "9ee37ab4-3861-466d-b9aa-ff46d1ec32e6", "count": 1, "frequency": 0.0027472527472527475}, {"name": "b809cabf-b3ee-4809-8768-c631912ddcc2", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a16520a4-ff12-4bee-b6d2-f682d4cf398a", "count": 1, "frequency": 0.0027472527472527475}, {"name": "d1c059a5-b696-498a-9770-5a2093ddd4ba", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a5279df1-adf0-4760-907a-ffdd067948f3", "count": 1, "frequency": 0.0027472527472527475}, {"name": "cd4f8bdf-0e27-4210-9d47-158059284bde", "count": 1, "frequency": 0.0027472527472527475}, {"name": "8960f50e-1742-489d-bf69-d183fee7fa50", "count": 1, "frequency": 0.0027472527472527475}, {"name": "6c33cb64-fae4-4911-9bd1-2a6b42fd17bc", "count": 1, "frequency": 0.0027472527472527475}, {"name": "d0b22f97-79fa-4ba0-8f51-ebe95b069973", "count": 1, "frequency": 0.0027472527472527475}, {"name": "476b4997-b91a-41b5-9154-f5ca003c5f67", "count": 1, "frequency": 0.0027472527472527475}, {"name": "6dd020a9-0508-4a96-bbf6-3c37a292cba5", "count": 1, "frequency": 0.0027472527472527475}, {"name": "5b3943f1-1bfa-4128-b0fc-ed9da1162343", "count": 1, "frequency": 0.0027472527472527475}, {"name": "64c3c872-338f-4db1-8ef0-fd7d13f5875a", "count": 1, "frequency": 0.0027472527472527475}, {"name": "4fc21eb1-727b-4448-94a7-abf66c14599c", "count": 1, "frequency": 0.0027472527472527475}, {"name": "df8383be-4553-43cd-8b0e-3cfde64f68a8", "count": 1, "frequency": 0.0027472527472527475}, {"name": "3aa8e0b0-7e58-487e-8d93-abf11440b994", "count": 1, "frequency": 0.0027472527472527475}, {"name": "7d640d19-eaee-4b4e-8e3b-3471c4df115b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "5cecb5b3-e65c-4015-b301-7de77aa4b354", "count": 1, "frequency": 0.0027472527472527475}, {"name": "b2201269-280f-4e31-89bd-57124a122224", "count": 1, "frequency": 0.0027472527472527475}, {"name": "de748d1e-70c7-4497-86a5-441e2ea28e3e", "count": 1, "frequency": 0.0027472527472527475}, {"name": "6864c17c-ca6f-4afd-811e-ac7c30b0e201", "count": 1, "frequency": 0.0027472527472527475}, {"name": "fff0ae2d-fd9c-4bc0-abe9-9a62e8309a98", "count": 1, "frequency": 0.0027472527472527475}, {"name": "3d3a0049-bbee-4807-926e-6cff5ae61662", "count": 1, "frequency": 0.0027472527472527475}, {"name": "cc0f3dd9-3cbb-49e8-a848-4d9105ab3eea", "count": 1, "frequency": 0.0027472527472527475}, {"name": "cb3554b7-57c1-47bb-8ec0-49395946fea7", "count": 1, "frequency": 0.0027472527472527475}, {"name": "571ead98-ba3d-4d3f-bb37-6033d19ca2d0", "count": 1, "frequency": 0.0027472527472527475}, {"name": "461d7a16-d85d-43ff-85b0-904c4fc1f46e", "count": 1, "frequency": 0.0027472527472527475}, {"name": "45ae7741-cc15-4f51-8254-f0af26ca26a2", "count": 1, "frequency": 0.0027472527472527475}, {"name": "7fe26dcd-1c1a-4525-b186-5131e2b43425", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2c9c48fe-0269-476d-beeb-b30804f6f2bb", "count": 1, "frequency": 0.0027472527472527475}, {"name": "5253a2ff-40e9-492c-a615-039591359e84", "count": 1, "frequency": 0.0027472527472527475}, {"name": "e874086f-b23c-4752-b7f6-b737af3ce250", "count": 1, "frequency": 0.0027472527472527475}, {"name": "9cf3073e-040f-410b-ac02-75151e214a90", "count": 1, "frequency": 0.0027472527472527475}, {"name": "63021d8c-fee1-43a3-b512-4a362b53437d", "count": 1, "frequency": 0.0027472527472527475}, {"name": "c570d9a7-9fe0-488a-b23a-90b6f9ff94da", "count": 1, "frequency": 0.0027472527472527475}, {"name": "e7220512-d1a4-4bc8-8242-9f7a649d15ac", "count": 1, "frequency": 0.0027472527472527475}, {"name": "4da8fc2f-1609-4403-b41c-81dff017f77b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "de7b2e2b-83b1-4a74-ae0d-866431168673", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a372539b-9c7e-4e65-a990-9a36bdfbb70b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "240772ee-88ae-42de-ae40-377d605e6872", "count": 1, "frequency": 0.0027472527472527475}, {"name": "ddfb7dc0-81ff-4947-99ba-d25879bb280d", "count": 1, "frequency": 0.0027472527472527475}, {"name": "13dcf702-4e85-4d5e-b8bb-b2752d7dee65", "count": 1, "frequency": 0.0027472527472527475}, {"name": "f2aeb128-e82a-4b64-bd9d-e547f59ba747", "count": 1, "frequency": 0.0027472527472527475}, {"name": "e04a8203-5c92-4db9-b8c0-3d34455b71b8", "count": 1, "frequency": 0.0027472527472527475}, {"name": "3c08aa62-09cd-4be4-bf96-7997cb3fc5b3", "count": 1, "frequency": 0.0027472527472527475}, {"name": "0e933446-5de8-450d-b0c2-1c5f9422956a", "count": 1, "frequency": 0.0027472527472527475}, {"name": "7edbba4a-3307-4dba-aab9-d162edc38326", "count": 1, "frequency": 0.0027472527472527475}, {"name": "7cbfa30c-44e1-4d61-b889-20d7773a2126", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a8e96b4b-9199-4577-ad56-827d235b168c", "count": 1, "frequency": 0.0027472527472527475}, {"name": "69cab016-74c4-4520-9b78-4cb4356b9e9f", "count": 1, "frequency": 0.0027472527472527475}, {"name": "b6b1b499-26b1-41e4-9a93-a9bd73632ca3", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a988b709-1c54-4aac-be10-ff0309f2dce0", "count": 1, "frequency": 0.0027472527472527475}, {"name": "c27b7b5a-7b5a-45a1-8968-da740e037377", "count": 1, "frequency": 0.0027472527472527475}, {"name": "874e7ab5-2122-42f3-8026-7d5042c5e4eb", "count": 1, "frequency": 0.0027472527472527475}, {"name": "327325e5-fba9-44c9-a932-300120e7e504", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a2fb3d4d-8e9e-435d-a81d-72ef86fa512f", "count": 1, "frequency": 0.0027472527472527475}, {"name": "dcd90727-b83c-4b0d-8241-fb1316809e47", "count": 1, "frequency": 0.0027472527472527475}, {"name": "ff1ef01c-f3a1-420b-9f73-700fc2b33487", "count": 1, "frequency": 0.0027472527472527475}, {"name": "177e568a-977d-41ee-9e93-001481858155", "count": 1, "frequency": 0.0027472527472527475}, {"name": "0b0fa0c9-0c76-4d56-ba47-65dcb8c99d58", "count": 1, "frequency": 0.0027472527472527475}, {"name": "8566ea6b-38e7-45ff-898a-b15569a369b9", "count": 1, "frequency": 0.0027472527472527475}, {"name": "e293d7a3-a956-442f-a0a1-ec03f8814fed", "count": 1, "frequency": 0.0027472527472527475}, {"name": "8199e392-5ce9-4124-8b23-de6d21cdf244", "count": 1, "frequency": 0.0027472527472527475}, {"name": "ba6049d7-2a3d-4d43-973f-39e279976d98", "count": 1, "frequency": 0.0027472527472527475}, {"name": "f91c923f-d5f8-451b-a5d6-e94f34397ad2", "count": 1, "frequency": 0.0027472527472527475}, {"name": "cdf8e5ff-98d9-4246-b82d-d797356670c0", "count": 1, "frequency": 0.0027472527472527475}, {"name": "94b543f4-e53f-4591-9b85-82c0f1be869a", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2cedde38-f5c7-4464-883c-5ad6ff1ddab1", "count": 1, "frequency": 0.0027472527472527475}, {"name": "463d764e-b753-4fa1-a41b-7a68111f6ba0", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2349228b-ffd3-4965-b4c2-01f4e4f09574", "count": 1, "frequency": 0.0027472527472527475}, {"name": "cf40f9a1-c061-45ab-963b-981bc137dd94", "count": 1, "frequency": 0.0027472527472527475}, {"name": "cbf45ed3-3166-42b9-b9c8-28acb6465f56", "count": 1, "frequency": 0.0027472527472527475}, {"name": "7ba7177c-7632-4704-9d25-3ec04ef15c0b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "0d9bba00-b1f3-4e0f-b64f-78c8662dc32b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "7db7a321-9301-4a57-90c8-d7ad0925add6", "count": 1, "frequency": 0.0027472527472527475}, {"name": "63b19a8f-8b63-4d87-935d-49dee1603521", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a296134f-9ca9-4657-90a3-cafdd7958348", "count": 1, "frequency": 0.0027472527472527475}, {"name": "1ecf7a98-a516-42ea-9266-eb9d83d3cdb9", "count": 1, "frequency": 0.0027472527472527475}, {"name": "97b2a809-6c85-4afa-92fb-c8548473c224", "count": 1, "frequency": 0.0027472527472527475}, {"name": "8eb53d05-861c-4a8b-a95e-bfdee1644340", "count": 1, "frequency": 0.0027472527472527475}, {"name": "9edcfe23-b52f-47fc-835d-255b724db48c", "count": 1, "frequency": 0.0027472527472527475}, {"name": "577126df-3ff2-47f6-8a29-af7ab5a33e84", "count": 1, "frequency": 0.0027472527472527475}, {"name": "f007c6ad-4de9-464b-a330-2dd1e1f36382", "count": 1, "frequency": 0.0027472527472527475}, {"name": "5e0434d9-d3d1-4e09-a77b-569bc32dad83", "count": 1, "frequency": 0.0027472527472527475}, {"name": "708ac1e8-b966-4990-b9dd-67422d2ccc17", "count": 1, "frequency": 0.0027472527472527475}, {"name": "aa179326-64f9-4876-af2a-eaab3e8d77bc", "count": 1, "frequency": 0.0027472527472527475}, {"name": "341c65b9-4319-49dc-afde-07de07057957", "count": 1, "frequency": 0.0027472527472527475}, {"name": "1bedb6ba-38f4-4678-945e-752cce2d27b7", "count": 1, "frequency": 0.0027472527472527475}, {"name": "7875d364-7504-4829-bb5b-7966d6605708", "count": 1, "frequency": 0.0027472527472527475}, {"name": "4abccdb3-1551-486c-ad0d-37dd6d602734", "count": 1, "frequency": 0.0027472527472527475}, {"name": "df2e5eb4-4675-45de-9dac-57e645dafec4", "count": 1, "frequency": 0.0027472527472527475}, {"name": "75ddca54-326f-4b2e-8179-1c258d76c729", "count": 1, "frequency": 0.0027472527472527475}, {"name": "f293492c-48b5-4b60-ad09-04ce7014a7b5", "count": 1, "frequency": 0.0027472527472527475}, {"name": "dbe3452b-3c59-4ac5-8e25-7f1656017a44", "count": 1, "frequency": 0.0027472527472527475}, {"name": "6e9ba0b4-8649-40da-a968-4ffcc6300947", "count": 1, "frequency": 0.0027472527472527475}, {"name": "c970670f-310e-4a41-8267-a37552799800", "count": 1, "frequency": 0.0027472527472527475}, {"name": "5833772e-680a-4934-a618-756e42267e50", "count": 1, "frequency": 0.0027472527472527475}, {"name": "02f87833-28c8-42a5-a38d-8305ab792161", "count": 1, "frequency": 0.0027472527472527475}, {"name": "59765b0d-4f86-4004-aad8-a112688b2386", "count": 1, "frequency": 0.0027472527472527475}, {"name": "05e3e786-129b-4d37-9408-57bdcc15a573", "count": 1, "frequency": 0.0027472527472527475}, {"name": "3a6d0a54-21f0-4993-965e-560a150e1b66", "count": 1, "frequency": 0.0027472527472527475}, {"name": "c4a8fff5-96c5-49ed-934a-55f76361b176", "count": 1, "frequency": 0.0027472527472527475}, {"name": "90f58155-00fc-4e85-90b5-7d406cd52c7c", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a57a5272-4176-4fd5-a0e5-35484fa72ee2", "count": 1, "frequency": 0.0027472527472527475}, {"name": "767a30ed-43f4-427d-8e83-914376cc5687", "count": 1, "frequency": 0.0027472527472527475}, {"name": "b3d49b6d-319e-45b5-9a2e-f8dc036e9505", "count": 1, "frequency": 0.0027472527472527475}, {"name": "0c262753-4447-44fc-af0e-662783af6838", "count": 1, "frequency": 0.0027472527472527475}, {"name": "8d86b087-83bf-4178-b02c-870781c997c3", "count": 1, "frequency": 0.0027472527472527475}, {"name": "6c1ebb1f-2489-4868-a27d-4a8f2a9a1ef3", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a513db8f-50e7-4243-9fde-9fcec02c6824", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2eb9cc1a-86d7-4261-9349-b460bdf275d0", "count": 1, "frequency": 0.0027472527472527475}, {"name": "800e470a-92bb-40bf-a5f8-b3e390f9adc4", "count": 1, "frequency": 0.0027472527472527475}, {"name": "f542a274-ab97-4317-a8f5-1e04eb1aef61", "count": 1, "frequency": 0.0027472527472527475}, {"name": "fef1ff2b-caea-4b0a-9cec-bd32a66f340a", "count": 1, "frequency": 0.0027472527472527475}, {"name": "eb6f9d46-b1a2-4ac8-9484-c83aca1bb5d4", "count": 1, "frequency": 0.0027472527472527475}, {"name": "93cdc4bd-db85-4083-a1de-a83e361396d6", "count": 1, "frequency": 0.0027472527472527475}, {"name": "66831916-e625-463f-895b-a117e2e9350a", "count": 1, "frequency": 0.0027472527472527475}, {"name": "add5be74-7d56-47e2-b0f8-8ef65b02402f", "count": 1, "frequency": 0.0027472527472527475}, {"name": "28cb38a3-7c09-49cf-917c-e1e5a2cee4c4", "count": 1, "frequency": 0.0027472527472527475}, {"name": "0f604bd0-5c76-48dd-a7c6-ea2a59494bc9", "count": 1, "frequency": 0.0027472527472527475}, {"name": "11a41718-3282-4452-ae8c-acb476bf8d39", "count": 1, "frequency": 0.0027472527472527475}, {"name": "5b32afc9-e220-459d-a2a8-7ef48f64d8c1", "count": 1, "frequency": 0.0027472527472527475}, {"name": "26c7e7f3-42e3-4935-b535-106f975c5d9f", "count": 1, "frequency": 0.0027472527472527475}, {"name": "c1442241-8039-4a6a-87c7-3241f63a6c84", "count": 1, "frequency": 0.0027472527472527475}, {"name": "fcaffdf4-0210-49c1-bec2-2608da609841", "count": 1, "frequency": 0.0027472527472527475}, {"name": "fada9c3e-5907-4273-9498-f153e7620fa8", "count": 1, "frequency": 0.0027472527472527475}, {"name": "b8a00307-51d2-48cc-a186-adfd0820825b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a8dd6286-4882-4f42-b05f-ecbbc3c93030", "count": 1, "frequency": 0.0027472527472527475}, {"name": "bcf56f7a-94da-4884-9ef2-3ce8e7ec270e", "count": 1, "frequency": 0.0027472527472527475}, {"name": "848dafa8-4f0d-4be2-b343-812333ebe865", "count": 1, "frequency": 0.0027472527472527475}, {"name": "58b5d26a-5396-4565-afb8-6df993d3de8f", "count": 1, "frequency": 0.0027472527472527475}, {"name": "b4a467a0-8aaa-4f0f-b3f6-ba2d38523461", "count": 1, "frequency": 0.0027472527472527475}, {"name": "eb6e0744-bfb7-440d-ad4b-68610fae45d4", "count": 1, "frequency": 0.0027472527472527475}, {"name": "e4aff590-07d4-4759-ba00-f137799e9884", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a630e438-75e9-4193-9a5b-2de936e88b95", "count": 1, "frequency": 0.0027472527472527475}, {"name": "4791a1ee-b4ed-40a0-b038-d5f5a089a991", "count": 1, "frequency": 0.0027472527472527475}, {"name": "6a67658d-e2b5-4a47-a7a8-8b70b74d854a", "count": 1, "frequency": 0.0027472527472527475}, {"name": "ed80eb1e-6bde-44fd-885d-1139705d5a41", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a76fb33a-7481-42db-b37f-60592fd70017", "count": 1, "frequency": 0.0027472527472527475}, {"name": "8008bb3d-e143-4658-b5bd-36ddd554148a", "count": 1, "frequency": 0.0027472527472527475}, {"name": "4ef030ed-0c11-4bf3-847c-6f03762a4629", "count": 1, "frequency": 0.0027472527472527475}, {"name": "3a25c798-87df-4c4d-8862-02441d2703c7", "count": 1, "frequency": 0.0027472527472527475}, {"name": "e002e213-50cc-4289-8393-0b9663cb2a87", "count": 1, "frequency": 0.0027472527472527475}, {"name": "cedd4aa1-26a0-413f-ac9b-e862c30f580f", "count": 1, "frequency": 0.0027472527472527475}, {"name": "d67b20ee-5b1f-4aea-9096-f6d1c0cc1aa5", "count": 1, "frequency": 0.0027472527472527475}, {"name": "4566a527-8dc2-4117-b1a0-71c4d79a92a6", "count": 1, "frequency": 0.0027472527472527475}, {"name": "4b50171c-dc38-4ac8-9a53-717486015da1", "count": 1, "frequency": 0.0027472527472527475}, {"name": "cb2c8c97-d62b-4de5-8867-096f86c0b81c", "count": 1, "frequency": 0.0027472527472527475}, {"name": "ea0f6d6e-15f1-41bf-8854-1b8d72045ca3", "count": 1, "frequency": 0.0027472527472527475}, {"name": "77e00225-cd83-4da0-95df-9c20ee6cc6a1", "count": 1, "frequency": 0.0027472527472527475}, {"name": "5c6bce9e-ca08-4459-b73f-5f93b7e3bfba", "count": 1, "frequency": 0.0027472527472527475}, {"name": "78a814c0-638e-4e1b-a8a9-65572a4ba3de", "count": 1, "frequency": 0.0027472527472527475}, {"name": "4cd45a3b-6dd4-493d-bb21-0c7420ac6882", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2ca9e5de-6401-4698-bb18-315ef433fe63", "count": 1, "frequency": 0.0027472527472527475}, {"name": "0b81b2e6-fd10-40e5-92ed-35506fa62808", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2a2bcc7e-0357-453e-a2a5-c92a3a4790f6", "count": 1, "frequency": 0.0027472527472527475}, {"name": "21c01113-6e7e-4bb0-bf88-70e0d679e134", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2952167c-aacb-4d06-9b2e-95db3c8331d8", "count": 1, "frequency": 0.0027472527472527475}, {"name": "ec6ceb78-61f8-4d43-b22b-a52877aceefc", "count": 1, "frequency": 0.0027472527472527475}, {"name": "7a9b9ad5-41d9-445e-9762-9902763db6dc", "count": 1, "frequency": 0.0027472527472527475}, {"name": "12942df0-d4de-4993-9fb2-5d1552f91ae4", "count": 1, "frequency": 0.0027472527472527475}, {"name": "6354303c-fc43-415d-83a6-097624e33190", "count": 1, "frequency": 0.0027472527472527475}, {"name": "c1025c17-2208-449e-9022-49269784458b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "086105ff-d5eb-4742-8e68-f89d86181b83", "count": 1, "frequency": 0.0027472527472527475}, {"name": "27abe18d-2687-4926-86ff-e5ab04dae51f", "count": 1, "frequency": 0.0027472527472527475}, {"name": "c4f656e5-a23c-4302-b146-b92c2e3cdc53", "count": 1, "frequency": 0.0027472527472527475}, {"name": "20774d58-4db8-41b5-969f-f61be51d716f", "count": 1, "frequency": 0.0027472527472527475}, {"name": "3bf89bd5-f085-416e-84b0-34fce9bd05ea", "count": 1, "frequency": 0.0027472527472527475}, {"name": "f939f0e0-cf85-4e8e-88c2-167a92758251", "count": 1, "frequency": 0.0027472527472527475}, {"name": "5cb97353-0366-4eb7-bbd9-31e71f9f549d", "count": 1, "frequency": 0.0027472527472527475}, {"name": "5b3ac90f-366d-4a5a-a483-96e67f2a87ba", "count": 1, "frequency": 0.0027472527472527475}, {"name": "4e8fca32-650b-4d5e-9c34-5f742efaafb2", "count": 1, "frequency": 0.0027472527472527475}, {"name": "d3d50fe5-45ab-48e0-bb3b-59bba5a34912", "count": 1, "frequency": 0.0027472527472527475}, {"name": "b6ed6837-a28e-4c22-856c-d81fd1249b18", "count": 1, "frequency": 0.0027472527472527475}, {"name": "adf14bb6-8a0c-4ee4-97ef-4d1cdb808a48", "count": 1, "frequency": 0.0027472527472527475}, {"name": "c7677abc-ce06-4fe2-9e91-06abcccb3a2b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "ba3087b6-1c8c-4638-b018-c72e21c6b0cf", "count": 1, "frequency": 0.0027472527472527475}, {"name": "16663415-4faf-4060-bf96-d3d6d19f8d89", "count": 1, "frequency": 0.0027472527472527475}, {"name": "c49b4e57-7bee-49ca-ac72-85b73dc6ab58", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2a9ba922-0162-43b4-bf4a-438d4b85c45f", "count": 1, "frequency": 0.0027472527472527475}, {"name": "1c932f92-9d55-4816-a41b-8ea66ed54eb7", "count": 1, "frequency": 0.0027472527472527475}, {"name": "7e574151-d996-41c3-93b4-e63a85fa0de3", "count": 1, "frequency": 0.0027472527472527475}, {"name": "b93ce1d6-b8b6-4f63-8efd-eb0b3608081b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "04f607d5-0e89-461d-b656-1319df548a81", "count": 1, "frequency": 0.0027472527472527475}, {"name": "26b5bd58-16aa-4920-84e6-edcf9c63cdf5", "count": 1, "frequency": 0.0027472527472527475}, {"name": "df4df958-ae07-4537-a8b9-2bcf4fe723dd", "count": 1, "frequency": 0.0027472527472527475}, {"name": "e54141d6-5465-4a5a-95d0-e223dee8a9ec", "count": 1, "frequency": 0.0027472527472527475}, {"name": "300692bb-06fe-46fd-9d33-16ccb7314879", "count": 1, "frequency": 0.0027472527472527475}, {"name": "7734e54f-2546-41ac-95d2-24b67695fc12", "count": 1, "frequency": 0.0027472527472527475}, {"name": "f0ca390e-4ef9-4e25-8cec-1440ea46fc0f", "count": 1, "frequency": 0.0027472527472527475}, {"name": "5870616e-8b0c-4c62-9a17-407725ad9495", "count": 1, "frequency": 0.0027472527472527475}, {"name": "758d28a5-cd35-43e4-9743-29b0add9923a", "count": 1, "frequency": 0.0027472527472527475}, {"name": "7f991edc-0ee8-4337-ba23-1bdc298a3a3a", "count": 1, "frequency": 0.0027472527472527475}, {"name": "de89ef3c-545f-46d6-ae26-bcc680f7f00b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "4d04dba9-af15-4144-b090-d86b71c2b45b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "ee1cb963-4c00-46f6-beb0-2bf5a9cd2d37", "count": 1, "frequency": 0.0027472527472527475}, {"name": "346bfcb5-8c5f-4ffe-9791-df707cfd7d92", "count": 1, "frequency": 0.0027472527472527475}, {"name": "ea2cea98-6100-4c15-a764-8ee85aefcfce", "count": 1, "frequency": 0.0027472527472527475}, {"name": "fd160a28-c4ed-45b2-ad34-321bbf013146", "count": 1, "frequency": 0.0027472527472527475}, {"name": "0201aa6f-bf45-468c-961e-d78c42b758d4", "count": 1, "frequency": 0.0027472527472527475}, {"name": "da91f7c1-daa0-4b2e-afd4-90008d0616bb", "count": 1, "frequency": 0.0027472527472527475}, {"name": "b4528f2c-df8c-46f4-a8c2-95a8fdb3832a", "count": 1, "frequency": 0.0027472527472527475}, {"name": "6a25f224-ea53-44d7-893a-7e3b2016bebb", "count": 1, "frequency": 0.0027472527472527475}, {"name": "37a00914-f530-40d4-a21a-fdac87a3ae16", "count": 1, "frequency": 0.0027472527472527475}, {"name": "c812caa1-11fe-4f42-bd83-efdb4912bfc3", "count": 1, "frequency": 0.0027472527472527475}, {"name": "8287c24c-767c-4012-ace2-85072422d5a2", "count": 1, "frequency": 0.0027472527472527475}, {"name": "e57c4775-bbe8-46ab-9c3c-15cea30ce5fe", "count": 1, "frequency": 0.0027472527472527475}, {"name": "9f0733d6-2bc2-4d2d-948e-9f6646f5c924", "count": 1, "frequency": 0.0027472527472527475}, {"name": "5afd5163-6a34-4771-baea-4270e7c17439", "count": 1, "frequency": 0.0027472527472527475}, {"name": "d4f7ea2c-ad96-4233-9488-6e5cb421a279", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a22d76a6-007e-4a38-992e-3d260117c2a4", "count": 1, "frequency": 0.0027472527472527475}, {"name": "4d3e138d-0d26-44bd-9a28-81aacf81340e", "count": 1, "frequency": 0.0027472527472527475}, {"name": "36b32fc2-314b-4cb6-9b01-c149a2a30738", "count": 1, "frequency": 0.0027472527472527475}, {"name": "42b9347f-bda2-4f94-835a-6efed681f3b5", "count": 1, "frequency": 0.0027472527472527475}, {"name": "b0e42015-83d6-4cfe-ba6a-1a248f61b379", "count": 1, "frequency": 0.0027472527472527475}, {"name": "3dcacd89-c1a3-430a-9710-107506a6b895", "count": 1, "frequency": 0.0027472527472527475}, {"name": "731b9194-a23b-4320-81c9-9fa00e8e881b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "bf5ae21f-83bc-4e10-9110-0195b26fcebf", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a77a8d60-3bd3-467f-bd4d-b0198cbc0903", "count": 1, "frequency": 0.0027472527472527475}, {"name": "74a9d0d7-c4f9-4d57-b721-b7f00e04dc1b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "acf752a7-373f-4ea4-9ad4-6e96cd98bc0c", "count": 1, "frequency": 0.0027472527472527475}, {"name": "6c89ddad-3f59-4f6c-9fbc-8d2adec032a8", "count": 1, "frequency": 0.0027472527472527475}, {"name": "f258c78d-3cd1-4102-b60f-824dc96e2aad", "count": 1, "frequency": 0.0027472527472527475}, {"name": "b087f6ae-6cbe-48e2-b88b-66dea4e8c759", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a4fd0bd3-75da-4ec1-8dc4-2eac9b6009a4", "count": 1, "frequency": 0.0027472527472527475}, {"name": "60d751ee-5574-47f8-a34f-7f33cf2d135b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2175188b-e023-43cc-aa37-105aacd88ac1", "count": 1, "frequency": 0.0027472527472527475}, {"name": "3ab8bf65-0323-44b4-bebe-1812d102be0e", "count": 1, "frequency": 0.0027472527472527475}, {"name": "97330b45-52a6-40b7-9afe-3c7a211afead", "count": 1, "frequency": 0.0027472527472527475}, {"name": "26895a33-1774-4d93-8cfc-333ddfd1868e", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2e7aeff0-6971-4028-8e95-8a4e3f57b0ee", "count": 1, "frequency": 0.0027472527472527475}, {"name": "bda360b9-b286-4840-85f9-a580405a80a1", "count": 1, "frequency": 0.0027472527472527475}, {"name": "c558c6af-4976-486a-88f8-9857fa8e9c0c", "count": 1, "frequency": 0.0027472527472527475}, {"name": "c10903d4-034a-45ff-82d3-dc916dc0dd12", "count": 1, "frequency": 0.0027472527472527475}, {"name": "f59b32a7-0b5c-44b6-b62b-8dc4ec9b1f3a", "count": 1, "frequency": 0.0027472527472527475}, {"name": "cdef13ed-9e55-414b-966e-2ceb666b994a", "count": 1, "frequency": 0.0027472527472527475}, {"name": "1559e4c7-d3f8-42d6-8bde-234bcfb51d81", "count": 1, "frequency": 0.0027472527472527475}, {"name": "fab5d354-c391-4cbd-abf8-0d9d47dd70ea", "count": 1, "frequency": 0.0027472527472527475}, {"name": "bc6b7840-ff33-47da-b207-273853939ba6", "count": 1, "frequency": 0.0027472527472527475}, {"name": "bfcee7b0-61cd-4f03-8b98-3b684a5b45b2", "count": 1, "frequency": 0.0027472527472527475}, {"name": "7da131c5-c11f-4e9c-97b2-93e8167f8f4e", "count": 1, "frequency": 0.0027472527472527475}, {"name": "34684f8b-ebb7-4878-b5d6-f876676dc400", "count": 1, "frequency": 0.0027472527472527475}, {"name": "311c32d5-95c5-445d-9df5-6f935d104256", "count": 1, "frequency": 0.0027472527472527475}, {"name": "f14b7ca5-f6f0-49ce-af96-606ba6bb0cd7", "count": 1, "frequency": 0.0027472527472527475}, {"name": "33a193b4-bd63-445c-98ab-d88288c05b74", "count": 1, "frequency": 0.0027472527472527475}, {"name": "120640c2-6c1a-465c-b0c2-118cd24f86ae", "count": 1, "frequency": 0.0027472527472527475}, {"name": "0862af96-569a-4eff-a5da-98bf9f51e198", "count": 1, "frequency": 0.0027472527472527475}, {"name": "265d8eb3-f0bc-4801-8c41-d7d8a2adb1f8", "count": 1, "frequency": 0.0027472527472527475}, {"name": "7557aa5c-1b7f-42bb-8ddf-bf7f20309bc7", "count": 1, "frequency": 0.0027472527472527475}, {"name": "15248778-7ec4-451f-be08-e937ce771c2b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "606bd7c0-d743-4e01-9122-96b68b229ea4", "count": 1, "frequency": 0.0027472527472527475}, {"name": "9cc1b6b3-d9b3-4f17-89e7-9334e267da87", "count": 1, "frequency": 0.0027472527472527475}, {"name": "dec86e64-d02f-414f-8bdf-cc93f6d51070", "count": 1, "frequency": 0.0027472527472527475}, {"name": "f9aba256-a022-40a5-b3da-c88c88d3a6ab", "count": 1, "frequency": 0.0027472527472527475}, {"name": "7947872a-6f77-4ab8-86f3-b4710840b5ca", "count": 1, "frequency": 0.0027472527472527475}, {"name": "ed38b5c2-3eeb-4e90-906c-0ffb079d70b2", "count": 1, "frequency": 0.0027472527472527475}, {"name": "9223128e-3640-4bc6-bba6-eb990d512f33", "count": 1, "frequency": 0.0027472527472527475}, {"name": "ea6166dd-1c8a-4e16-94ca-25b3b7c90b87", "count": 1, "frequency": 0.0027472527472527475}, {"name": "ef8f4ac1-910e-4f9e-b02a-d8239f2ea1bb", "count": 1, "frequency": 0.0027472527472527475}, {"name": "229effdc-b81e-49a7-90e5-88039d5d0613", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2760d151-50e9-41ea-b7c1-7fcc2117a6ed", "count": 1, "frequency": 0.0027472527472527475}, {"name": "594fc707-cc18-47ea-b829-7a581cf83337", "count": 1, "frequency": 0.0027472527472527475}, {"name": "9cee93ed-da01-45e8-af52-38d71c5f5288", "count": 1, "frequency": 0.0027472527472527475}, {"name": "b0695e4e-ecad-4008-824a-ac4a8d76c964", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2923548b-b665-4b9b-89e1-501ca495e459", "count": 1, "frequency": 0.0027472527472527475}, {"name": "34a94644-9f0a-4c74-a679-463ea903b2b8", "count": 1, "frequency": 0.0027472527472527475}, {"name": "505c5406-ea43-4169-91cf-dd6144197fda", "count": 1, "frequency": 0.0027472527472527475}, {"name": "d153fc3c-58fe-4421-ac8b-7cb778efe273", "count": 1, "frequency": 0.0027472527472527475}, {"name": "694b0adf-2579-4a82-bb54-cf1bf17bc21e", "count": 1, "frequency": 0.0027472527472527475}, {"name": "3137c522-9d69-49b2-b5b4-99702dab86c8", "count": 1, "frequency": 0.0027472527472527475}, {"name": "0b4ab20e-fd76-4896-b4e6-f68011759914", "count": 1, "frequency": 0.0027472527472527475}, {"name": "71db54e7-e951-469c-baef-0f52a2b0afdb", "count": 1, "frequency": 0.0027472527472527475}, {"name": "e1f8a965-dfef-4fda-9bd6-dedefd72d68f", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2510ec71-0eb5-4a69-8478-143028ec3d4a", "count": 1, "frequency": 0.0027472527472527475}, {"name": "42304060-6df2-4bff-a325-b084479a8f12", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2771d1ff-b23e-4550-8eed-c760136937b2", "count": 1, "frequency": 0.0027472527472527475}, {"name": "e36b84bb-087d-4b5e-bb1c-9fa97f1ecfed", "count": 1, "frequency": 0.0027472527472527475}, {"name": "fef8f7fc-7dc4-4229-92bf-e7c4b38853f4", "count": 1, "frequency": 0.0027472527472527475}, {"name": "731406e6-186f-4a4a-88e9-6de784337f45", "count": 1, "frequency": 0.0027472527472527475}, {"name": "c6deb7e2-0e2e-4153-96ec-fa8c0d293a94", "count": 1, "frequency": 0.0027472527472527475}, {"name": "9f315f87-ea81-45a6-ae37-680d28d7794c", "count": 1, "frequency": 0.0027472527472527475}, {"name": "e6628bb4-3c3c-4f02-b83a-a182f85d90f1", "count": 1, "frequency": 0.0027472527472527475}, {"name": "d945fba9-149a-4fd9-9e72-fb57b984e08c", "count": 1, "frequency": 0.0027472527472527475}, {"name": "1d1e2150-bdaa-4fcb-b1d9-df9a71a57ce7", "count": 1, "frequency": 0.0027472527472527475}, {"name": "51bd65be-23cc-46c8-8de0-a5dc939056c0", "count": 1, "frequency": 0.0027472527472527475}, {"name": "9852f977-3580-4fdc-95c0-b861f9e6e7bc", "count": 1, "frequency": 0.0027472527472527475}, {"name": "ff833659-78b7-4013-844d-3fad3ceee2c3", "count": 1, "frequency": 0.0027472527472527475}, {"name": "e0424b51-1bd3-4cf4-b8d2-567bd396e501", "count": 1, "frequency": 0.0027472527472527475}, {"name": "4dd36e7a-f0b1-42cd-b953-7d714f8da66b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "d7df548f-151a-4300-8d7f-ab3b4006a303", "count": 1, "frequency": 0.0027472527472527475}, {"name": "0b6d5cc2-98e4-46ab-818f-86b81a09cd98", "count": 1, "frequency": 0.0027472527472527475}, {"name": "34e9d646-099b-469d-a244-e86034b46947", "count": 1, "frequency": 0.0027472527472527475}, {"name": "9ac5081f-d3cd-4e4b-a31e-658dbda25640", "count": 1, "frequency": 0.0027472527472527475}, {"name": "d879a5f4-4968-4d5b-9243-e5db311ec033", "count": 1, "frequency": 0.0027472527472527475}, {"name": "f0319730-76f4-43fb-b81b-e03a4dbe425c", "count": 1, "frequency": 0.0027472527472527475}, {"name": "94343c19-b99e-47ae-a5da-099c1289582b", "count": 1, "frequency": 0.0027472527472527475}, {"name": "219198d9-45fb-4e68-9979-b6f11032a320", "count": 1, "frequency": 0.0027472527472527475}, {"name": "c20598e7-015d-41d3-aa8a-94474cf872e1", "count": 1, "frequency": 0.0027472527472527475}, {"name": "41e92bd4-dcd8-4130-b830-9bf6d2c009a0", "count": 1, "frequency": 0.0027472527472527475}, {"name": "55bdee3b-b272-4960-af75-0e41a7dff375", "count": 1, "frequency": 0.0027472527472527475}, {"name": "d64f8bf8-35a5-4b2e-bf70-5196f69661ab", "count": 1, "frequency": 0.0027472527472527475}, {"name": "60389316-b37c-49a7-9b2d-470bc79271c9", "count": 1, "frequency": 0.0027472527472527475}, {"name": "be431e5a-c7cb-4df3-b8ef-fb6c624a33cd", "count": 1, "frequency": 0.0027472527472527475}, {"name": "26269eae-4a58-4090-93bd-9baecb9b55f9", "count": 1, "frequency": 0.0027472527472527475}, {"name": "51caa5db-7a69-4ee2-8231-2ac65d7d9860", "count": 1, "frequency": 0.0027472527472527475}, {"name": "df50d7c3-a991-4bb0-98fe-eeec8b6dcdc4", "count": 1, "frequency": 0.0027472527472527475}, {"name": "567e44ba-4ca1-469a-97d5-52980ca7c080", "count": 1, "frequency": 0.0027472527472527475}, {"name": "6bb6699f-538e-42dd-abf5-3f5f920a7378", "count": 1, "frequency": 0.0027472527472527475}, {"name": "b605dca0-ccad-4b62-9367-6e50c25f6206", "count": 1, "frequency": 0.0027472527472527475}, {"name": "e5a1c115-a0b7-4c23-9561-2ce650a1fef9", "count": 1, "frequency": 0.0027472527472527475}, {"name": "02b489a7-9417-4883-b20f-8e16aeb6ff35", "count": 1, "frequency": 0.0027472527472527475}, {"name": "73ebc29e-a462-4a3b-9613-5ca2e714b28e", "count": 1, "frequency": 0.0027472527472527475}, {"name": "12353bc1-d48b-43fc-8826-ccf0b29baf82", "count": 1, "frequency": 0.0027472527472527475}, {"name": "66d83050-c558-49ff-b722-c79164342ac6", "count": 1, "frequency": 0.0027472527472527475}, {"name": "c660b93b-d09a-45d8-a423-1c2cb51d1741", "count": 1, "frequency": 0.0027472527472527475}, {"name": "53078d09-659e-49da-ac58-67c2cbfc1107", "count": 1, "frequency": 0.0027472527472527475}, {"name": "6cdcb7b9-1843-4566-81ac-ddfda3cb810c", "count": 1, "frequency": 0.0027472527472527475}, {"name": "33fc491a-ba36-4410-ad4d-22934c506148", "count": 1, "frequency": 0.0027472527472527475}, {"name": "14a01a87-5942-4384-86c9-d25a3b346705", "count": 1, "frequency": 0.0027472527472527475}, {"name": "133048f4-6ed5-4322-80e3-a0540062f8c1", "count": 1, "frequency": 0.0027472527472527475}, {"name": "1275722d-fa8a-4500-84a9-7debb3253f34", "count": 1, "frequency": 0.0027472527472527475}, {"name": "6c5983df-9d49-4adf-bdfd-a82985ccd360", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2090f547-98d5-45b0-abf3-d97c7c5350e5", "count": 1, "frequency": 0.0027472527472527475}, {"name": "25eee4df-70ae-4e16-a516-74d81ba6e131", "count": 1, "frequency": 0.0027472527472527475}, {"name": "f86be2f8-c4b7-4271-8f45-bc14dfdcc326", "count": 1, "frequency": 0.0027472527472527475}, {"name": "bf034286-e4cb-42a2-b95b-05c7446a5918", "count": 1, "frequency": 0.0027472527472527475}, {"name": "e51a9e08-46b7-478f-bb8e-779dd42bc500", "count": 1, "frequency": 0.0027472527472527475}, {"name": "21082f02-1071-4ca8-a183-8dcfa91d2a33", "count": 1, "frequency": 0.0027472527472527475}, {"name": "4e38628d-79f4-4b7f-9a49-5d614c02b2f0", "count": 1, "frequency": 0.0027472527472527475}, {"name": "35d11bca-2ffe-44f4-b761-f54a735276fb", "count": 1, "frequency": 0.0027472527472527475}, {"name": "1c9df450-dccb-4efc-9916-00098f7caf2d", "count": 1, "frequency": 0.0027472527472527475}, {"name": "42d9f270-937c-40bd-a1aa-6da7dbc280dc", "count": 1, "frequency": 0.0027472527472527475}, {"name": "4a857b99-ae3b-401c-aded-01375506a798", "count": 1, "frequency": 0.0027472527472527475}, {"name": "38298551-0b7c-47b1-bcb4-3111e774a218", "count": 1, "frequency": 0.0027472527472527475}, {"name": "96f2a455-800f-40a4-be4d-37e4c90c4067", "count": 1, "frequency": 0.0027472527472527475}, {"name": "689cb96a-4471-477b-9b45-1d4faeea642c", "count": 1, "frequency": 0.0027472527472527475}, {"name": "33a3c27d-f908-4193-a39f-c23889bb4bc2", "count": 1, "frequency": 0.0027472527472527475}, {"name": "d547449d-e069-49a5-8c98-7504b196934c", "count": 1, "frequency": 0.0027472527472527475}, {"name": "dcf3fce9-1016-431b-9097-35cca1404713", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2c107f55-069e-41d9-b8f4-5340bb63967a", "count": 1, "frequency": 0.0027472527472527475}, {"name": "1e6d1a41-7a8a-4e22-aa6a-5de8255662fb", "count": 1, "frequency": 0.0027472527472527475}, {"name": "901235f2-4713-40d7-afaf-4ee093c7bf15", "count": 1, "frequency": 0.0027472527472527475}, {"name": "9070fd17-7c6a-47a9-a59f-e743dc20a6cb", "count": 1, "frequency": 0.0027472527472527475}, {"name": "9866e7ca-a42e-4033-9aaf-4645659af911", "count": 1, "frequency": 0.0027472527472527475}, {"name": "05b46daa-8224-4a61-8626-b72a710d5cbd", "count": 1, "frequency": 0.0027472527472527475}, {"name": "4abd64d4-d21a-4116-967a-fb94741648e4", "count": 1, "frequency": 0.0027472527472527475}, {"name": "bdb9d8e8-fd06-41c6-acb9-7236748273ca", "count": 1, "frequency": 0.0027472527472527475}, {"name": "8c2b29f4-fff4-41a3-ad5c-63d6e88d5819", "count": 1, "frequency": 0.0027472527472527475}, {"name": "a430d837-092d-454b-a606-2a5fac9d4c40", "count": 1, "frequency": 0.0027472527472527475}, {"name": "483c78b7-c5e6-4881-a776-855b92b67a10", "count": 1, "frequency": 0.0027472527472527475}, {"name": "4fa411f2-bf98-494a-995f-04bfa91cdc91", "count": 1, "frequency": 0.0027472527472527475}, {"name": "2d34028f-f6d5-4117-a748-560e6f7dbd9d", "count": 1, "frequency": 0.0027472527472527475}]}], "class_metrics_prediction": [{"name": "0", "count": 107, "percentage": 29.395604395604398}, {"name": "1", "count": 122, "percentage": 33.51648351648351}, {"name": "2", "count": 135, "percentage": 37.08791208791209}]}',	'{"feature_metrics": [{"drift_calc": {"type": "CHI2", "value": null, "has_drift": false}, "field_type": "categorical", "feature_name": "pred_id"}, {"drift_calc": {"type": "KS", "value": 0.3322288599, "has_drift": true}, "field_type": "numerical", "feature_name": "oldpeak"}, {"drift_calc": {"type": "PSI", "value": 0.007345059792257203, "has_drift": false}, "field_type": "numerical", "feature_name": "age"}, {"drift_calc": {"type": "PSI", "value": 0.003046314772254488, "has_drift": false}, "field_type": "numerical", "feature_name": "sex"}, {"drift_calc": {"type": "PSI", "value": 0.002381855887031389, "has_drift": false}, "field_type": "numerical", "feature_name": "cp"}, {"drift_calc": {"type": "PSI", "value": 0.015882772365648907, "has_drift": false}, "field_type": "numerical", "feature_name": "trestbps"}, {"drift_calc": {"type": "PSI", "value": 0.008114817224887624, "has_drift": false}, "field_type": "numerical", "feature_name": "chol"}, {"drift_calc": {"type": "PSI", "value": 0.00002643955913746645, "has_drift": false}, "field_type": "numerical", "feature_name": "fbs"}, {"drift_calc": {"type": "PSI", "value": 0.0002815053813634207, "has_drift": false}, "field_type": "numerical", "feature_name": "restecg"}, {"drift_calc": {"type": "PSI", "value": 0.025866680531071856, "has_drift": false}, "field_type": "numerical", "feature_name": "thalach"}, {"drift_calc": {"type": "PSI", "value": 0.00020940618968498672, "has_drift": false}, "field_type": "numerical", "feature_name": "exang"}, {"drift_calc": {"type": "PSI", "value": 0.001131194032448127, "has_drift": false}, "field_type": "numerical", "feature_name": "slope"}, {"drift_calc": {"type": "PSI", "value": 0.0010672486757116548, "has_drift": false}, "field_type": "numerical", "feature_name": "ca"}, {"drift_calc": {"type": "PSI", "value": 0.0036391571010142725, "has_drift": false}, "field_type": "numerical", "feature_name": "thal"}]}',	'{"numeric": 15, "datetime": 1, "categorical": 2, "n_variables": 18, "missing_cells": 5, "duplicate_rows": 0, "n_observations": 364, "missing_cells_perc": 0.07631257631257632, "duplicate_rows_perc": 0.0}',	'{"drift": {"value": 0.9285714285714286, "details": [{"score": 1.0, "feature_name": "oldpeak"}]}, "data_quality": {"value": 0.9740973312401884, "details": [{"score": 0.0, "feature_name": "age"}, {"score": 0.0, "feature_name": "sex"}, {"score": 0.07417582417582418, "feature_name": "cp"}, {"score": 0.03021978021978022, "feature_name": "trestbps"}, {"score": 0.027472527472527472, "feature_name": "chol"}, {"score": 0.14560439560439561, "feature_name": "fbs"}, {"score": 0.0, "feature_name": "restecg"}, {"score": 0.005494505494505495, "feature_name": "thalach"}, {"score": 0.0, "feature_name": "exang"}, {"score": 0.013736263736263736, "feature_name": "oldpeak"}, {"score": 0.0, "feature_name": "slope"}, {"score": 0.06593406593406594, "feature_name": "ca"}, {"score": 0.0, "feature_name": "thal"}, {"score": 0.0, "feature_name": "pred_id"}]}, "model_quality": {"value": 0.3333333333333333, "details": [{"score": -1, "feature_name": "0_true_positive_rate"}, {"score": -1, "feature_name": "0_recall"}, {"score": -1, "feature_name": "0_f_measure"}, {"score": -1, "feature_name": "1_true_positive_rate"}, {"score": -1, "feature_name": "1_false_positive_rate"}, {"score": -1, "feature_name": "1_precision"}, {"score": -1, "feature_name": "1_recall"}, {"score": -1, "feature_name": "1_f_measure"}, {"score": -1, "feature_name": "2_false_positive_rate"}, {"score": -1, "feature_name": "2_precision"}]}}')
ON CONFLICT("UUID")
DO UPDATE SET
	"PERCENTAGES"='{"drift": {"value": 0.9285714285714286, "details": [{"score": 1.0, "feature_name": "oldpeak"}]}, "data_quality": {"value": 0.9740973312401884, "details": [{"score": 0.0, "feature_name": "age"}, {"score": 0.0, "feature_name": "sex"}, {"score": 0.07417582417582418, "feature_name": "cp"}, {"score": 0.03021978021978022, "feature_name": "trestbps"}, {"score": 0.027472527472527472, "feature_name": "chol"}, {"score": 0.14560439560439561, "feature_name": "fbs"}, {"score": 0.0, "feature_name": "restecg"}, {"score": 0.005494505494505495, "feature_name": "thalach"}, {"score": 0.0, "feature_name": "exang"}, {"score": 0.013736263736263736, "feature_name": "oldpeak"}, {"score": 0.0, "feature_name": "slope"}, {"score": 0.06593406593406594, "feature_name": "ca"}, {"score": 0.0, "feature_name": "thal"}, {"score": 0.0, "feature_name": "pred_id"}]}, "model_quality": {"value": 0.3333333333333333, "details": [{"score": -1, "feature_name": "0_true_positive_rate"}, {"score": -1, "feature_name": "0_recall"}, {"score": -1, "feature_name": "0_f_measure"}, {"score": -1, "feature_name": "1_true_positive_rate"}, {"score": -1, "feature_name": "1_false_positive_rate"}, {"score": -1, "feature_name": "1_precision"}, {"score": -1, "feature_name": "1_recall"}, {"score": -1, "feature_name": "1_f_measure"}, {"score": -1, "feature_name": "2_false_positive_rate"}, {"score": -1, "feature_name": "2_precision"}]}}';

INSERT INTO "current_dataset_metrics" ("UUID", "CURRENT_UUID", "MODEL_QUALITY", "DATA_QUALITY", "DRIFT", "STATISTICS", "PERCENTAGES") VALUES
('d609e0da-bd36-4db5-a14d-3f1e58abcbc5',	'edb6ed6c-6e2d-44fa-8a60-40540aec9c03',	'{"global_metrics": {"r2": 0.5889298283658604, "mae": 1.9353551476456505, "mse": 27.08087257249268, "mape": 31.485240568260803, "rmse": 5.203928571040602, "adj_r2": 0.5879429967988539, "variance": 66.05376508457398, "residuals": {"ks": {"p_value": 0.00000000004479538961987828, "statistic": 0.40476190476190477}, "targets": [21, 12, 18, 5, 19, 7, 9, 17, 4, 26, 17, 18, 11, 5, 25, 27, 19, 2, 23, 4, 6, 7, 6, 1, 14, 3, 3, 27, 17, 25, 14, 12, 4, 10, 25, 19, 10, 26, 5, 5, 17, 17, 13, 3, 3, 13, 4, 10, 11, 9, 9, 9, 3, 27, 1, 27, 21, 26, 25, 20, 8, 18, 23, 10, 22, 25, 26, 2, 1, 8, 7, 9, 10, 10, 26, 21, 12, 10, 25, 9, 6, 13, 12, 14, 7, 27, 2, 27, 8, 8, 17, 24, 10, 12, 0, 15, 21, 20, 16, 12, 25, 9, 12, 12, 22, 24, 20, 6, 0, 9, 15, 25, 3, 1, 24, 18, 3, 10, 3, 5, 1, 14, 21, 14, 3, 2, 9, 0, 23, 2, 0, 13, 4, 26, 8, 3, 7, 2, 2, 26, 4, 21, 3, 8, 5, 22, 3, 27, 24, 6, 2, 11, 21, 18, 20, 6, 1, 18, 10, 19, 17, 8, 25, 5, 26, 5, 21, 3, 3, 22, 10, 3, 24, 18, 11, 26, 4, 20, 19, 11, 27, 20, 4, 9, 4, 12, 27, 14, 22, 4, 7, 5, 16, 1, 21, 13, 12, 0, 14, 7, 11, 0, 27, 20, 19, 20, 16, 5, 5, 18, 26, 8, 13, 14, 8, 16, 18, 27, 17, 12, 21, 8, 2, 18, 1, 21, 14, 17, 16, 9, 1, 14, 14, 26, 27, 26, 19, 14, 13, 2, 19, 16, 11, 18, 22, 23, 4, 7, 12, 24, 24, 24, 3, 12, 11, 24, 9, 20, 4, 13, 10, 27, 26, 4, 27, 26, 1, 13, 0, 12, 27, 5, 4, 22, 22, 1, 13, 3, 13, 8, 4, 7, 25, 11, 27, 18, 24, 15, 3, 18, 26, 3, 1, 19, 2, 22, 22, 25, 9, 0, 9, 11, 21, 8, 9, 5, 8, 12, 9, 3, 23, 8, 5, 20, 18, 27, 27, 4, 22, 6, 3, 22, 9, 27, 1, 10, 16, 24, 1, 16, 1, 17, 23, 12, 10, 3, 6, 1, 8, 8, 16, 7, 19, 5, 19, 13, 3, 12, 22, 11, 15, 20, 19, 24, 6, 0, 17, 18, 25, 10, 10, 17, 10, 17, 13, 5, 10, 16, 3, 15, 9, 17, 17, 24, 2, 27, 5, 16, 9, 3, 13, 27, 26, 26, 3, 21, 14, 16, 8, 5, 24, 9, 1, 13, 22, 5, 4, 10, 7, 22, 18, 22, 10, 9, 26, 24, 10, 2, 1, 5, 11, 17, 12, 14, 1, 12, 1, 1, 2, 9, 19, 24, 9, 2, 24, 12, 15, 18, 9, 27, 8, 8, 24, 12, 21, 22, 27, 3, 1, 13, 19, 19, 15, 11, 15, 8, 17, 20, 16, 19, 16, 2, 12, 16, 13, 5, 26, 9, 18, 14, 16, 15, 12, 5, 6, 16, 6, 5, 14, 6, 5, 14, 2, 11, 7, 17, 11, 20, 24, 5, 26, 16, 22, 16, 22, 26, 26, 15, 8, 22, 6, 16, 9, 7, 17, 8, 22, 20, 6, 11, 1, 1, 9, 8, 24, 10, 27, 13, 18, 24, 8, 18, 22, 19, 25, 27, 23, 9, 22, 1, 15, 16, 24, 2, 24, 5, 26, 0, 26, 17, 15, 12, 12, 1, 21, 2, 11, 8, 20, 20, 17, 23, 13, 7, 7, 7, 15, 18, 21, 20, 14, 6, 25, 26, 12, 8, 1, 17, 20, 11, 13, 11, 22, 9, 6, 5, 16, 10, 0, 17, 24, 18, 22, 14, 7, 27, 18, 6, 6, 22, 0, 18, 13, 20, 13, 17, 10, 1, 26, 20, 15, 0, 1, 0, 13, 1, 1, 0, 2, 19, 27, 13, 26, 27, 10, 15, 9, 26, 6, 22, 0, 11, 14, 21, 26, 9, 24, 0, 23, 25, 11, 6, 6, 11, 9, 5, 7, 22, 0, 9, 12, 21, 26, 2, 14, 4, 2, 16, 26, 11, 19, 26, 11, 1, 13, 9, 1, 2, 24, 27, 24, 21, 11, 21, 2, 7, 18, 12, 27, 6, 14, 23, 26, 16, 20, 3, 13, 25, 10, 26, 18, 18, 18, 17, 14, 0, 18, 14, 20, 17, 4, 1, 25, 10, 2, 26, 25, 1, 0, 23, 6, 5, 20, 13, 22, 26, 7, 27, 11, 24, 24, 12, 7, 21, 13, 23, 20, 25, 3, 27, 5, 26, 16, 15, 3, 25, 10, 22, 18, 8, 12, 24, 23, 27, 2, 18, 0, 22, 26, 6, 26, 27, 6, 4, 3, 0, 6, 1, 15, 23, 26, 1, 21, 9, 14, 11, 21, 25, 14, 7, 27, 0, 25, 22, 4, 21, 0, 15, 17, 24, 5, 17, 8, 10, 5, 18, 22, 15, 26, 19, 21, 4, 9, 15, 9, 3, 7, 4, 2, 1, 1, 4, 12, 14, 3, 11, 26, 8, 5, 19, 14, 23, 2, 24, 0, 17, 26, 16, 9, 6, 25, 19, 10, 26, 16, 11, 0, 1, 17, 3, 12, 23, 2, 7, 14, 18, 27, 3, 11, 14, 0, 8, 13, 24, 17, 26, 7, 22, 7, 13, 16, 4, 5, 16, 24, 20, 5, 26, 26, 9, 25, 26, 7, 25, 6, 4, 2, 23, 2, 1, 9, 10, 7, 3, 8, 25, 19, 27, 19, 17, 15, 27, 25, 1, 3, 16, 13, 12, 27, 7, 1, 13, 6, 0, 4, 12, 17, 2, 15, 9, 18, 24, 26, 27, 14, 15, 27, 24, 14, 12, 6, 13, 27, 7, 25, 22, 11, 20, 4, 1, 14, 25, 21, 12, 2, 5, 19, 24, 24, 16, 11, 22, 26, 10, 17, 0, 0, 10, 26, 5, 9, 5, 10, 5, 9, 23, 19, 10, 2, 6, 4, 20, 6, 18, 8, 24, 5, 7, 27, 0, 10, 20, 16, 8, 18, 7, 25, 21, 18, 22, 2, 6, 12, 13, 14, 0, 7, 26, 0, 5, 6, 13, 21, 0, 23, 27, 25, 14, 14, 14, 19, 23, 4, 13, 23, 17, 22, 25, 5, 23, 26, 26, 25, 18, 18, 10, 21, 18, 0, 22, 9, 22, 11, 17, 4, 17, 19, 19, 1, 27, 5, 11, 8, 19, 24, 2, 20, 27, 1, 11, 22, 13, 8, 27, 14, 6, 8, 9, 18, 15, 23, 23, 9, 7, 13, 14, 26, 16, 26, 19, 14, 23, 23, 9, 12, 1, 10, 5, 15, 8, 17, 7, 22, 26, 18, 20, 24, 27, 17, 8, 17, 18, 0, 19, 13, 7, 14, 3, 2, 1, 4, 15, 4, 0, 4, 3, 8, 8, 12, 14, 8, 23, 17, 21, 16, 5, 0, 5, 9, 18, 24, 20, 16, 19, 3, 25, 18, 21, 1, 13, 16, 14, 5, 7, 7, 6, 26, 1, 18, 17, 19, 16, 3, 5, 22, 22, 17, 19, 19, 21, 16, 13, 16, 10, 25, 10, 25, 0, 17, 17, 21, 5, 11, 14, 14, 26, 12, 12, 5, 0, 16, 27, 25, 25, 1, 22, 15, 14, 27, 13, 6, 21, 1, 4, 16, 9, 25, 8, 24, 17, 25, 21, 13, 14, 13, 22, 12, 6, 18, 20, 8, 21, 15, 12, 21, 9, 1, 16, 1, 9, 14, 11, 5, 17, 22, 7, 7, 25, 12, 11, 10, 18, 12, 20, 7, 9, 26, 13, 3, 2, 1, 8, 23, 1, 3, 24, 2, 0, 27, 11, 21, 0, 2, 10, 9, 18, 23, 26, 2, 7, 11, 10, 10, 21, 18, 3, 10, 22, 17, 20, 0, 14, 25, 12, 27, 22, 21, 18, 26, 10, 0, 15, 10, 3, 23, 8, 20, 13, 21, 9, 13, 19, 24, 25, 10, 12, 9, 5, 2, 12, 3, 26, 2, 18, 12, 9, 13, 16, 16, 25, 18, 16, 13, 1, 13, 15, 23, 26, 13, 19, 4, 17, 19, 26, 11, 13, 10, 13, 4, 18, 17, 19, 0, 1, 7, 7, 4, 9, 9, 10, 9, 24, 3, 1, 1, 14, 1, 19, 5, 8, 12, 10, 0, 20, 19, 21, 15, 0, 8, 25, 26, 21, 17, 18, 10, 1, 8, 4, 19, 19, 17, 0, 22, 9, 10, 4, 6, 12, 24, 12, 25, 5, 10, 4, 4, 25, 9, 12, 15, 5, 17, 1, 27, 20, 26, 10, 6, 11, 5, 7, 18, 4, 26, 19, 14, 16, 21, 17, 24, 9, 14, 12, 1, 5, 7, 4, 9, 10, 21, 8, 2, 18, 22, 8, 2, 13, 11, 10, 9, 11, 13, 27, 10, 19, 3, 15, 5, 8, 18, 22, 25, 3, 10, 21, 20, 20, 11, 20, 13, 13, 3, 27, 10, 12, 21, 4, 5, 19, 16, 27, 7, 4, 10, 6, 0, 3, 25, 16, 3, 12, 25, 27, 14, 21, 26, 12, 13, 0, 10, 8, 19, 11, 22, 0, 4, 16, 17, 14, 1, 4, 11, 8, 1, 19, 3, 20, 4, 7, 27, 16, 17, 5, 4, 27, 18, 11, 22, 15, 11, 9, 25, 12, 25, 24, 23, 2, 20, 6, 23, 20, 19, 2, 1, 1, 7, 2, 8, 21, 13, 24, 25, 24, 7, 26, 7, 7, 4, 24, 11, 17, 6, 16, 20, 18, 4, 3, 26, 15, 24, 24, 7, 12, 15, 26, 27, 10, 19, 22, 9, 11, 8, 21, 27, 20, 10, 20, 13, 20, 1, 10, 13, 3, 15, 4, 13, 9, 23, 8, 25, 9, 13, 8, 0, 1, 2, 8, 20, 15, 4, 12, 0, 20, 4, 6, 16, 24, 5, 20, 17, 13, 20, 0, 17, 18, 10, 6, 18, 27, 18, 16, 19, 14, 27, 6, 26, 23, 19, 2, 0, 3, 9, 8, 26, 6, 10, 14, 16, 13, 8, 11, 24, 12, 8, 21, 0, 2, 19, 0, 17, 20, 5, 12, 21, 22, 3, 21, 7, 18, 7, 18, 4, 12, 3, 22, 0, 13, 17, 24, 8, 26, 7, 14, 5, 9, 15, 10, 0, 15, 18, 10, 7, 20, 18, 7, 14, 2, 13, 0, 26, 26, 24, 4, 25, 23, 22, 25, 2, 15, 19, 19, 22, 6, 15, 5, 23, 12, 8, 9, 8, 5, 25, 13, 10, 20, 8, 2, 22, 23, 0, 18, 16, 26, 25, 7, 6, 10, 3, 18, 26, 24, 4, 23, 26, 21, 20, 25, 21, 25, 12, 2, 15, 3, 1, 12, 0, 1, 1, 20, 6, 13, 17, 15, 3, 21, 18, 17, 22, 20, 14, 22, 18, 20, 19, 23, 19, 19, 25, 0, 24, 24, 6, 26, 16, 6, 19, 20, 23, 11, 6, 1, 6, 13, 25, 0, 3, 8, 4, 25, 24, 22, 17, 0, 27, 12, 14, 8, 9, 4, 18, 2, 0, 15, 9, 18, 3, 15, 8, 22, 21, 4, 14, 27, 11, 3, 18, 10, 13, 10, 16, 9, 20, 23, 16, 7, 2, 15, 17, 9, 8, 14, 0, 1, 7, 22, 2, 0, 5, 22, 1, 3, 22, 22, 8, 13, 3, 13, 17, 2, 16, 13, 1, 11, 27, 19, 5, 11, 5, 21, 21, 14, 20, 27, 7, 23, 13, 20, 21, 3, 4, 1, 13, 24, 9, 16, 18, 21, 15, 8, 11, 13, 14, 1, 0, 22, 7, 21, 10, 18, 3, 15, 3, 4, 16, 25, 0, 10, 24, 6, 7, 16, 15, 16, 14, 19, 22, 7, 24, 22, 14, 22, 13, 4, 21, 8, 26, 24, 20, 11, 5, 10, 1, 15, 17, 3, 5, 26, 20, 5, 5, 5, 24, 21, 12, 7, 24, 8, 2, 0, 21, 4, 7, 17, 15, 15, 24, 16, 3, 22, 17, 1, 13, 10, 5, 5, 22, 17, 21, 14, 0, 2, 4, 2, 0, 27, 6, 15, 8, 25, 18, 11, 5, 10, 10, 0, 11, 27, 27, 23, 7, 11, 4, 4, 9, 26, 9, 23, 7, 22, 15, 14, 16, 2, 11, 21, 0, 2, 12, 2, 17, 2, 24, 10, 2, 25, 10, 3, 15, 11, 20, 11, 19, 8, 14, 9, 24, 0, 6, 4, 11, 21, 23, 6, 11, 6, 23, 6, 26, 27, 20, 3, 18, 11, 17, 12, 16, 1, 2, 13, 1, 15, 1, 5, 4, 7, 22, 9, 27, 23, 26, 3, 15, 18, 26, 19, 15, 26, 0, 26, 25, 0, 20, 24, 23, 0, 22, 17, 23, 27, 16, 20, 17, 2, 18, 20, 0, 19, 7, 5, 6, 22, 11, 10, 8, 18, 16, 10, 0, 3, 20, 0, 12, 6, 5, 3, 19, 11, 0, 12, 25, 9, 17, 15, 11, 8, 5, 20, 2, 13, 10, 3, 9, 10, 2, 15, 3, 4, 23, 6, 23, 25, 13, 24, 12, 12, 11, 17, 12, 12, 14, 7, 8, 0, 10, 20, 7, 16, 20, 26, 24, 13, 0, 10, 13, 24, 21, 16, 18, 0, 12, 7, 17, 10, 16, 16, 8, 1, 11, 20, 2, 10, 19, 9, 8, 9, 12, 0, 18, 14, 20, 9, 6, 26, 13, 19, 25, 25, 7, 15, 3, 9, 15, 14, 6, 16, 0, 22, 22, 9, 14, 15, 18, 12, 6, 17, 1, 27, 7, 6, 11, 17, 9, 14, 1, 11, 10, 11, 15, 20, 4, 10, 13, 18, 24, 22, 25, 20, 3, 9, 11, 20, 25, 9, 19, 2, 3, 26, 20, 8, 23, 0, 4, 0, 12, 9, 10, 24, 15, 13, 10, 17, 15, 16, 18, 26, 26, 18, 3, 13, 0, 2, 15, 21, 21, 25, 23, 22, 1, 27, 11, 24, 24, 23, 22, 2, 9, 21, 16, 0, 13, 18, 3, 5, 9, 8, 5, 10, 27, 16, 14, 5, 6, 0, 4, 23, 5, 16, 4, 13, 26, 2, 11, 2, 18, 2, 22, 10, 24, 9, 9, 20, 12, 11, 2, 20, 20, 12, 24, 11, 24, 10, 9, 21, 18, 6, 4, 7, 8, 15, 12, 13, 4, 1, 18, 10, 16, 17, 18, 4, 3, 16, 17, 26, 15, 2, 11, 17, 16, 13, 12, 0, 2, 20, 0, 17, 8, 17, 4, 19, 0, 21, 7, 15, 24, 14, 3, 25, 1, 20, 14, 24, 6, 2, 1, 19, 22, 17, 2, 5, 12, 11, 26, 2, 14, 19, 12, 11, 10, 5, 11, 6, 18, 4, 16, 23, 24, 6, 26, 15, 26, 11, 2, 3, 23, 14, 7, 2, 22, 2, 20, 19, 0, 3, 4, 3, 11, 12, 19, 3, 19, 25, 12, 1, 26, 9, 7, 5, 6, 5, 1, 16, 26, 16, 1, 24, 20, 11, 21, 20, 16, 4, 19, 8, 15, 15, 19, 14, 11, 25, 20, 26, 4, 17, 18, 25, 0, 5, 0, 0, 8, 27, 26, 13, 2, 8, 22, 27, 17, 7, 0, 22, 27, 3, 3, 3, 26, 27, 7, 6, 4, 24, 4, 8, 27, 4, 8, 0, 7, 22, 0, 10, 18, 19, 0, 12, 7, 3, 19, 10, 6, 6, 24, 17, 22, 3, 26, 23, 0, 1, 12, 7, 5, 8, 15, 6, 16, 14, 22, 1, 9, 4, 25, 11, 6, 0, 7, 12, 18, 27, 2, 14, 14, 9, 4, 25, 9, 24, 20, 2, 26, 7, 11, 4, 15, 27, 16, 12, 21, 6, 22, 26, 14, 15, 0, 7, 12, 23, 26, 3, 0, 12, 15, 1, 11, 18, 5, 1, 13, 16, 12, 7, 19, 13, 12, 6, 26, 20, 13, 26, 6, 13, 11, 13, 11, 23, 26, 5, 22, 8, 13, 13, 9, 3, 9, 2, 26, 10, 3, 19, 27, 1, 9, 23, 17, 4, 13, 3, 3, 25, 5, 1, 24, 2, 17, 27, 19, 3, 9, 5, 18, 13, 2, 13, 25, 8, 6, 27, 5, 26, 5, 8, 7, 11, 3, 25, 7, 23, 27, 9, 5, 8, 25, 27, 9, 15, 1, 26, 20, 14, 27, 17, 9, 16, 9, 25, 10, 6, 24, 27, 7, 8, 4, 4, 15, 25, 23, 23, 7, 22, 25, 20, 23, 21, 22, 21, 14, 14, 8, 18, 25, 21, 21, 2, 14, 10, 9, 13, 4, 12, 7, 25, 22, 0, 18, 22, 7, 18, 8, 18, 0, 17, 21, 6, 17, 16, 19, 21, 26, 11, 4, 7, 19, 19, 12, 14, 1, 27, 26, 17, 4, 7, 2, 25, 6, 4, 17, 19, 9, 25, 23, 9, 14, 4, 14, 21, 21, 2, 11, 17, 22, 5, 7, 11, 25, 8, 1, 27, 18, 25, 17, 19, 14, 27, 1, 9, 20, 18, 8, 8, 27, 3, 3, 6, 13, 1, 19, 19, 20, 9, 24, 7, 17, 0, 5, 8, 10, 12, 8, 21, 24, 12, 27, 25, 11, 25, 26, 24, 3, 1, 27, 16, 16, 4, 25, 24, 18, 24, 23, 23, 18, 7, 23, 0, 7, 9, 3, 6, 10, 7, 17, 14, 1, 6, 25, 3, 3, 18, 20, 5, 7, 22, 23, 17, 6, 27, 21, 5, 11, 22, 9, 12, 7, 6, 14, 13, 2, 23, 20, 0, 14, 15, 23, 6, 23, 26, 9, 3, 1, 9, 7, 26, 19, 14, 24, 26, 24, 27, 20, 9, 14, 13, 18, 8, 25, 23, 11, 1, 9, 16, 5, 10, 17, 21, 23, 8, 25, 2, 4, 18, 1, 22, 10, 20, 6, 2, 16, 0, 17, 20, 4, 3, 25, 19, 17, 18, 16, 0, 6, 8, 14, 4, 4, 1, 24, 16, 26, 10, 26, 25, 20, 10, 2, 21, 2, 18, 6, 27, 12, 12, 2, 4, 11, 18, 8, 0, 14, 25, 10, 5, 23, 23, 11, 0, 18, 8, 25, 18, 23, 8, 0, 17, 27, 18, 20, 7, 21, 1, 23, 6, 11, 1, 12, 13, 9, 26, 8, 25, 5, 18, 19, 1, 5, 12, 27, 0, 1, 26, 10, 16, 14, 24, 9, 3, 2, 25, 13, 16, 12, 21, 8, 12, 24, 2, 7, 7, 12, 14, 8, 7, 21, 1, 5, 4, 4, 15, 11, 10, 11, 16, 25, 5, 18, 25, 27, 11, 25, 12, 16, 2, 11, 21, 27, 15, 24, 7, 10, 6, 6, 25, 9, 17, 19, 23, 17, 8, 7, 15, 22, 4, 10, 22, 14, 26, 11, 8, 5, 4, 7, 4, 24, 1, 19, 16, 27, 17, 20, 4, 12, 16, 12, 21, 26, 18, 25, 13, 2, 18, 14, 5, 20, 12, 18, 11, 11, 26, 23, 7, 1, 15, 19, 5, 2, 11, 26, 15, 4, 13, 11, 11, 16, 7, 14, 25, 6, 10, 14, 22, 11, 18, 23, 19, 10, 2, 6, 22, 24, 13, 24, 26, 14, 13, 12, 22, 24, 7, 2, 20, 3, 1, 23, 10, 17, 19, 26, 26, 5, 14, 6, 16, 26, 20, 4, 26, 9, 15, 21, 1, 26, 17, 27, 21, 27, 24, 23, 6, 18, 16, 27, 27, 22, 8, 3, 0, 17, 12, 15, 1, 27, 17, 7, 11, 11, 10, 4, 26, 2, 12, 19, 0, 23, 12, 8, 10, 13, 24, 21, 5, 13, 20, 12, 8, 21, 6, 17, 11, 18, 13, 15, 14, 26, 16, 18, 2, 21, 20, 18, 17, 17, 27, 21, 15, 22, 9, 2, 15, 19, 5, 0, 5, 0, 19, 3, 5, 27, 22, 2, 26, 24, 18, 27, 12, 26, 12, 16, 24, 13, 24, 0, 24, 25, 0, 10, 13, 12, 23, 12, 20, 25, 3, 18, 14, 3, 21, 18, 25, 2, 13, 23, 24, 26, 4, 23, 26, 26, 21, 11, 6, 27, 24, 21, 21, 22, 2, 7, 1, 0, 19, 1, 26, 20, 25, 10, 9, 15, 11, 5, 27, 16, 5, 3, 4, 27, 1, 20, 26, 14, 13, 19, 6, 15, 2, 10, 15, 2, 19, 21, 25, 25, 14, 8, 6, 4, 20, 0, 2, 19, 22, 16, 4, 12, 17, 0, 5, 8, 1, 0, 23, 0, 26, 2, 2, 20, 16, 17, 20, 3, 6, 27, 20, 15, 10, 8, 3, 2, 18, 13, 21, 20, 5, 26, 19, 21, 0, 3, 17, 24, 10, 3, 7, 11, 13, 12, 13, 15, 25, 25, 7, 15, 22, 27, 19, 16, 7, 19, 8, 11, 13, 1, 12, 11, 20, 9, 0, 22, 4, 11, 21, 24, 6, 4, 25, 18, 26, 5, 9, 9, 14, 8, 22, 25, 0, 26, 15, 24, 2, 26, 7, 12, 20, 13, 7, 22, 8, 7, 12, 26, 4, 26, 7, 15, 18, 5, 15, 10, 8, 23, 16, 14, 6, 15, 22, 18, 7, 20, 25, 15, 14, 10, 0, 8, 11, 26, 17, 24, 16, 2, 1, 5, 17, 22, 10, 7, 4, 17, 4, 6, 11, 21, 15, 3, 13, 21, 10, 6, 10, 3, 12, 9, 15, 20, 3, 15, 11, 16, 24, 4, 4, 2, 22, 6, 6, 18, 15, 24, 4, 4, 26, 23, 15, 9, 12, 5, 2, 10, 26, 5, 16, 18, 20, 1, 2, 19, 18, 21, 9, 10, 0, 16, 19, 13, 11, 23, 5, 17, 6, 13, 9, 10, 4, 26, 23, 11, 21, 10, 24, 9, 14, 12, 8, 6, 2, 18, 25, 19, 1, 4, 13, 5, 1, 21, 22, 26, 27, 13, 5, 1, 8, 21, 14, 13, 1, 17, 2, 20, 17, 0, 25, 19, 10, 18, 17, 3, 21, 17, 10, 7, 25, 24, 19, 6, 15, 15, 26, 22, 17, 23, 5, 21, 22, 13, 6, 13, 17, 8, 9, 27, 14, 14, 11, 7, 8, 26, 25, 24, 25, 12, 15, 12, 19, 9, 24, 24, 6, 22, 22, 21, 11, 3, 26, 2, 19, 7, 12, 0, 15, 19, 13, 15, 24, 19, 15, 7, 22, 5, 27, 20, 6, 15, 3, 6, 8, 3, 16, 16, 17, 11, 26, 5, 8, 10, 20, 0, 17, 9, 25, 17, 18, 15, 19, 20, 18, 16, 9, 22, 24, 20, 13, 26, 4, 11, 13, 1, 20, 26, 27, 4, 20, 24, 12, 21, 6, 13, 19, 27, 14, 26, 7, 21, 5, 14, 18, 26, 5, 6, 17, 10, 11, 8, 25, 9, 6, 17, 11, 15, 11, 18, 8, 23, 24, 18, 6, 21, 8, 5, 23, 15, 2, 3, 7, 6, 25, 24, 12, 12, 16, 13, 11, 26, 2, 22, 22, 8, 19, 27, 17, 17, 7, 21, 14, 9, 12, 11, 11, 13, 12, 12, 2, 21, 27, 26, 11, 18, 7, 25, 17, 18, 17, 15, 16, 16, 19, 8, 20, 10, 17, 23, 19, 2, 2, 3, 1, 26, 26, 9, 3, 27, 0, 14, 13, 1, 5, 23, 4, 0, 10, 25, 17, 14, 6, 9, 16, 7, 0, 20, 24, 1, 25, 11, 11, 12, 7, 7, 27, 15, 27, 2, 23, 6, 17, 27, 15, 17, 20, 27, 4, 18, 5, 22, 23, 4, 1, 18, 4, 1, 26, 17, 9, 2, 9, 16, 25, 26, 13, 19, 22, 23, 20, 9, 4, 14, 15, 9, 23, 11, 11, 17, 23, 3, 13, 6, 18, 5, 27, 6, 11, 11, 0, 11, 18, 23], "histogram": {"values": [21, 36, 79, 130, 121, 3099, 120, 66, 53, 34], "buckets": [-27.0, -21.7, -16.4, -11.100000000000001, -5.800000000000001, -0.5, 4.799999999999997, 10.100000000000001, 15.399999999999999, 20.699999999999996, 26.0]}, "predictions": [21, 12, 18, 18, 13, 7, 9, 17, 4, 26, 17, 18, 11, 5, 25, 27, 19, 2, 23, 4, 13, 7, 6, 2, 18, 6, 10, 27, 17, 18, 14, 25, 4, 10, 25, 19, 10, 3, 5, 5, 17, 25, 13, 3, 3, 13, 4, 10, 11, 9, 9, 9, 3, 27, 1, 27, 7, 26, 25, 20, 8, 18, 23, 10, 22, 19, 26, 2, 12, 3, 0, 19, 10, 10, 26, 21, 12, 10, 25, 9, 6, 13, 12, 14, 7, 27, 2, 27, 8, 8, 17, 10, 10, 12, 0, 15, 21, 20, 16, 12, 25, 9, 27, 12, 22, 24, 20, 6, 0, 9, 25, 25, 3, 1, 24, 18, 3, 10, 3, 5, 1, 24, 20, 14, 12, 2, 9, 9, 23, 2, 0, 11, 9, 26, 8, 3, 7, 2, 2, 6, 4, 21, 3, 17, 5, 13, 3, 19, 17, 6, 2, 11, 21, 18, 20, 1, 1, 21, 10, 19, 23, 8, 25, 18, 26, 5, 21, 2, 3, 0, 10, 3, 4, 18, 11, 27, 4, 20, 19, 11, 27, 20, 4, 9, 4, 3, 27, 14, 22, 4, 7, 5, 16, 1, 21, 25, 15, 0, 14, 7, 11, 0, 27, 20, 19, 20, 18, 5, 5, 18, 26, 8, 13, 14, 8, 16, 18, 27, 17, 12, 21, 8, 2, 15, 1, 21, 24, 17, 16, 9, 1, 14, 14, 26, 27, 26, 19, 14, 13, 2, 19, 16, 11, 18, 14, 23, 4, 7, 12, 24, 24, 24, 3, 12, 11, 24, 9, 18, 4, 13, 10, 11, 26, 4, 27, 26, 19, 13, 0, 18, 17, 1, 4, 22, 23, 1, 13, 18, 13, 9, 4, 7, 25, 11, 27, 18, 24, 15, 3, 13, 26, 3, 1, 19, 2, 22, 23, 25, 9, 22, 13, 11, 16, 8, 9, 5, 25, 12, 16, 3, 23, 8, 5, 21, 18, 27, 27, 4, 22, 6, 3, 22, 9, 27, 1, 10, 16, 24, 1, 16, 1, 17, 23, 12, 0, 3, 6, 1, 8, 8, 16, 7, 19, 5, 19, 13, 3, 12, 22, 11, 15, 20, 19, 24, 6, 0, 17, 6, 25, 24, 10, 17, 10, 17, 13, 5, 10, 16, 15, 15, 9, 17, 17, 24, 2, 27, 5, 16, 9, 16, 13, 27, 26, 26, 3, 21, 14, 16, 8, 5, 24, 27, 1, 13, 22, 5, 4, 10, 4, 22, 17, 6, 10, 9, 26, 24, 12, 2, 1, 5, 11, 17, 19, 14, 1, 12, 1, 1, 2, 9, 19, 24, 9, 2, 24, 12, 15, 18, 9, 27, 8, 8, 24, 12, 21, 22, 27, 3, 1, 13, 19, 19, 15, 11, 15, 8, 17, 20, 11, 19, 16, 2, 12, 16, 13, 5, 26, 9, 18, 13, 16, 15, 12, 5, 6, 16, 6, 10, 14, 12, 5, 14, 2, 6, 6, 17, 11, 17, 24, 5, 26, 11, 22, 16, 22, 0, 26, 15, 8, 22, 6, 14, 9, 22, 17, 8, 22, 20, 6, 21, 2, 21, 9, 8, 24, 10, 27, 13, 18, 24, 7, 18, 22, 19, 25, 21, 21, 12, 22, 1, 15, 16, 24, 15, 24, 5, 26, 0, 26, 17, 12, 12, 12, 1, 21, 2, 11, 8, 20, 20, 17, 23, 13, 7, 7, 23, 15, 18, 20, 20, 14, 6, 25, 26, 12, 20, 1, 17, 4, 11, 13, 11, 22, 19, 6, 5, 16, 10, 16, 7, 24, 18, 22, 14, 20, 27, 18, 6, 6, 22, 0, 25, 13, 20, 25, 17, 10, 1, 26, 20, 15, 0, 1, 0, 13, 1, 1, 0, 2, 19, 27, 13, 26, 15, 10, 15, 9, 26, 20, 22, 0, 11, 14, 21, 26, 22, 24, 0, 23, 25, 11, 6, 6, 11, 9, 5, 7, 22, 0, 9, 12, 24, 26, 2, 14, 19, 2, 21, 26, 11, 19, 26, 11, 1, 13, 9, 1, 2, 24, 27, 5, 21, 11, 21, 2, 20, 2, 12, 27, 6, 17, 23, 26, 23, 20, 25, 13, 12, 10, 26, 18, 18, 18, 17, 14, 0, 18, 14, 20, 17, 4, 1, 25, 10, 3, 26, 3, 11, 0, 23, 6, 5, 20, 13, 5, 26, 17, 22, 11, 24, 2, 18, 7, 21, 13, 23, 20, 25, 3, 17, 21, 26, 16, 15, 3, 3, 23, 22, 18, 8, 12, 24, 23, 27, 2, 18, 8, 22, 26, 6, 26, 27, 6, 4, 0, 0, 6, 1, 16, 23, 5, 1, 4, 9, 8, 11, 15, 25, 14, 7, 27, 0, 25, 22, 4, 21, 0, 15, 17, 24, 5, 17, 8, 10, 5, 18, 14, 15, 26, 19, 21, 4, 9, 26, 18, 3, 7, 4, 2, 7, 1, 4, 12, 14, 0, 11, 26, 8, 5, 26, 14, 23, 2, 24, 16, 21, 26, 16, 9, 6, 25, 4, 10, 26, 16, 22, 0, 1, 17, 3, 12, 23, 2, 7, 14, 18, 7, 3, 20, 14, 13, 8, 13, 17, 17, 26, 7, 22, 7, 13, 16, 4, 5, 16, 14, 20, 5, 21, 26, 9, 25, 26, 7, 25, 6, 26, 2, 23, 17, 27, 9, 5, 7, 3, 8, 25, 19, 26, 8, 1, 12, 27, 25, 1, 3, 16, 12, 12, 27, 7, 13, 13, 6, 0, 4, 12, 17, 11, 15, 9, 18, 24, 26, 27, 14, 15, 27, 24, 14, 12, 6, 13, 27, 7, 24, 22, 11, 20, 4, 1, 14, 25, 21, 12, 2, 5, 0, 24, 24, 16, 11, 22, 26, 26, 17, 0, 0, 10, 26, 5, 9, 5, 10, 5, 9, 23, 19, 10, 2, 6, 4, 20, 6, 24, 8, 24, 5, 7, 27, 0, 10, 23, 16, 8, 18, 17, 25, 21, 18, 7, 2, 4, 26, 13, 16, 0, 7, 17, 0, 5, 6, 13, 10, 0, 23, 27, 8, 14, 14, 16, 19, 15, 4, 13, 6, 17, 22, 18, 5, 23, 26, 26, 25, 10, 20, 10, 21, 18, 0, 22, 9, 22, 11, 17, 21, 17, 19, 19, 8, 6, 5, 11, 8, 19, 26, 2, 4, 27, 26, 11, 22, 13, 8, 27, 1, 9, 25, 9, 18, 17, 23, 23, 9, 7, 24, 14, 26, 16, 26, 19, 14, 23, 23, 20, 1, 1, 10, 5, 10, 8, 16, 7, 22, 20, 18, 20, 24, 27, 5, 8, 17, 18, 0, 19, 13, 7, 14, 3, 2, 1, 4, 15, 4, 0, 21, 3, 8, 8, 12, 14, 8, 12, 21, 10, 16, 5, 0, 5, 9, 18, 24, 20, 16, 19, 3, 25, 18, 21, 1, 13, 19, 14, 5, 7, 7, 6, 26, 1, 18, 17, 19, 16, 17, 5, 27, 6, 17, 19, 10, 25, 16, 13, 16, 10, 25, 10, 25, 0, 17, 17, 21, 5, 11, 14, 4, 26, 12, 14, 5, 0, 16, 27, 25, 25, 18, 22, 17, 14, 27, 13, 18, 21, 1, 4, 17, 9, 25, 8, 24, 17, 1, 21, 13, 14, 13, 22, 12, 6, 18, 16, 8, 21, 15, 12, 21, 9, 2, 16, 1, 9, 14, 11, 5, 17, 21, 9, 7, 25, 12, 11, 10, 12, 12, 20, 7, 9, 11, 13, 3, 2, 5, 8, 23, 1, 3, 18, 2, 0, 27, 11, 21, 0, 24, 27, 9, 18, 23, 17, 2, 4, 11, 10, 10, 21, 18, 3, 10, 27, 10, 7, 0, 14, 25, 27, 27, 22, 21, 18, 26, 17, 0, 15, 10, 3, 23, 8, 20, 13, 21, 9, 13, 19, 24, 25, 10, 12, 9, 5, 2, 12, 3, 26, 2, 18, 12, 9, 13, 16, 1, 25, 18, 16, 13, 1, 13, 15, 23, 26, 8, 19, 4, 17, 19, 26, 11, 13, 10, 13, 4, 22, 6, 19, 9, 6, 7, 7, 4, 9, 9, 10, 9, 24, 3, 1, 1, 14, 10, 19, 5, 22, 1, 10, 0, 0, 19, 21, 15, 0, 8, 25, 26, 21, 26, 18, 10, 7, 8, 4, 19, 19, 17, 0, 22, 9, 8, 16, 6, 24, 24, 12, 25, 5, 17, 4, 4, 7, 12, 6, 15, 13, 17, 27, 21, 0, 26, 9, 6, 17, 5, 7, 18, 0, 26, 19, 14, 16, 21, 17, 24, 9, 14, 12, 1, 5, 21, 25, 7, 10, 21, 8, 2, 13, 22, 14, 2, 0, 11, 10, 9, 11, 13, 27, 10, 19, 3, 15, 5, 8, 18, 22, 25, 3, 10, 21, 20, 20, 11, 2, 13, 13, 3, 19, 10, 12, 21, 4, 5, 19, 16, 27, 7, 4, 10, 6, 24, 3, 25, 16, 3, 12, 25, 27, 14, 21, 26, 12, 13, 0, 10, 8, 19, 11, 22, 0, 4, 16, 17, 19, 1, 4, 11, 8, 1, 19, 23, 20, 4, 11, 10, 16, 17, 24, 17, 27, 18, 11, 22, 15, 11, 9, 24, 0, 25, 24, 23, 2, 20, 27, 23, 20, 19, 2, 1, 6, 7, 2, 8, 21, 13, 24, 25, 24, 7, 9, 7, 7, 15, 24, 11, 17, 6, 16, 20, 18, 4, 3, 26, 5, 24, 24, 27, 25, 15, 26, 27, 10, 19, 22, 19, 11, 8, 21, 2, 20, 10, 20, 13, 20, 1, 23, 13, 3, 15, 4, 13, 9, 23, 8, 25, 9, 13, 8, 0, 1, 15, 8, 20, 15, 4, 12, 0, 20, 4, 6, 16, 24, 5, 20, 17, 13, 20, 0, 23, 18, 10, 6, 18, 27, 18, 16, 2, 14, 27, 6, 26, 23, 19, 2, 0, 3, 9, 8, 26, 6, 10, 14, 16, 13, 8, 8, 24, 12, 8, 21, 0, 2, 19, 8, 17, 20, 5, 12, 21, 15, 3, 21, 7, 18, 7, 18, 4, 12, 3, 22, 0, 13, 17, 24, 8, 26, 7, 14, 5, 9, 21, 10, 0, 15, 18, 10, 7, 20, 18, 7, 14, 2, 13, 0, 26, 26, 24, 4, 19, 23, 22, 25, 2, 15, 7, 19, 2, 6, 15, 5, 23, 3, 8, 9, 8, 5, 25, 13, 10, 20, 21, 18, 22, 23, 0, 18, 16, 26, 25, 7, 6, 10, 3, 18, 16, 2, 4, 23, 5, 21, 20, 25, 21, 25, 12, 2, 15, 3, 1, 12, 0, 1, 1, 20, 6, 13, 17, 15, 3, 2, 18, 17, 22, 20, 14, 0, 18, 20, 19, 23, 19, 19, 25, 0, 24, 0, 6, 26, 1, 6, 19, 20, 23, 11, 6, 0, 6, 13, 21, 0, 3, 8, 4, 25, 24, 22, 17, 0, 27, 17, 14, 8, 9, 4, 18, 2, 0, 15, 9, 18, 13, 15, 8, 22, 21, 4, 14, 27, 11, 3, 18, 10, 13, 10, 16, 9, 20, 6, 16, 7, 19, 15, 21, 9, 19, 14, 8, 1, 7, 22, 2, 8, 5, 22, 25, 3, 18, 22, 8, 13, 3, 13, 18, 3, 16, 13, 1, 11, 27, 19, 5, 11, 5, 21, 19, 14, 20, 27, 7, 23, 25, 20, 24, 3, 4, 1, 13, 24, 9, 16, 0, 21, 15, 8, 12, 13, 14, 1, 0, 5, 7, 21, 10, 18, 3, 2, 20, 4, 16, 25, 0, 10, 24, 6, 7, 16, 13, 16, 8, 19, 0, 7, 24, 24, 9, 22, 13, 4, 15, 8, 5, 24, 20, 11, 5, 10, 1, 15, 17, 24, 5, 26, 20, 5, 5, 17, 24, 21, 12, 17, 24, 8, 2, 16, 21, 4, 7, 17, 15, 15, 24, 16, 3, 22, 17, 1, 14, 10, 5, 23, 11, 17, 21, 14, 0, 2, 7, 2, 0, 16, 6, 12, 8, 25, 18, 11, 5, 18, 10, 0, 11, 27, 4, 0, 7, 11, 4, 4, 9, 26, 11, 23, 16, 4, 15, 14, 16, 2, 5, 21, 0, 2, 12, 2, 17, 2, 24, 10, 2, 25, 0, 3, 15, 11, 20, 11, 19, 0, 14, 9, 24, 0, 6, 4, 11, 21, 23, 6, 24, 6, 23, 6, 26, 27, 20, 3, 18, 11, 25, 18, 16, 1, 11, 13, 3, 15, 1, 5, 4, 7, 22, 9, 27, 23, 26, 3, 6, 18, 26, 19, 15, 26, 11, 14, 25, 22, 20, 19, 23, 0, 17, 17, 23, 27, 15, 20, 25, 2, 12, 20, 0, 19, 7, 5, 14, 22, 11, 10, 8, 18, 16, 10, 0, 3, 20, 1, 12, 6, 5, 3, 19, 11, 0, 12, 25, 9, 17, 2, 11, 8, 5, 2, 20, 13, 10, 3, 9, 16, 2, 15, 3, 4, 23, 6, 4, 21, 13, 11, 12, 4, 21, 17, 12, 12, 14, 7, 8, 0, 10, 20, 7, 16, 20, 26, 24, 13, 0, 10, 13, 24, 5, 16, 18, 0, 12, 14, 17, 10, 16, 16, 8, 1, 11, 20, 2, 15, 19, 9, 8, 9, 12, 0, 18, 14, 20, 0, 6, 26, 19, 19, 24, 16, 7, 15, 19, 9, 0, 14, 6, 27, 0, 18, 22, 9, 14, 15, 18, 26, 6, 17, 19, 27, 7, 6, 11, 17, 9, 14, 8, 11, 10, 11, 15, 24, 4, 10, 13, 18, 24, 16, 25, 20, 3, 9, 0, 20, 25, 9, 1, 2, 3, 3, 20, 8, 23, 0, 4, 0, 17, 5, 27, 24, 15, 13, 10, 17, 15, 16, 10, 26, 26, 18, 3, 13, 0, 6, 15, 26, 21, 25, 23, 22, 1, 27, 11, 13, 24, 23, 22, 2, 9, 21, 16, 0, 13, 18, 3, 5, 9, 8, 20, 10, 27, 6, 14, 5, 6, 0, 4, 5, 5, 20, 4, 13, 26, 2, 11, 2, 18, 2, 22, 10, 24, 9, 9, 20, 12, 11, 10, 20, 18, 12, 24, 11, 24, 27, 9, 21, 18, 6, 4, 7, 8, 15, 12, 13, 4, 1, 18, 10, 16, 17, 18, 26, 3, 23, 16, 26, 15, 2, 6, 17, 16, 13, 12, 0, 2, 20, 0, 17, 9, 27, 2, 9, 0, 21, 7, 11, 4, 14, 3, 25, 1, 21, 14, 24, 6, 2, 19, 19, 22, 17, 2, 5, 12, 25, 3, 2, 2, 22, 12, 11, 10, 5, 20, 6, 18, 4, 9, 23, 24, 10, 5, 15, 26, 26, 2, 3, 15, 14, 7, 2, 22, 26, 20, 2, 0, 3, 4, 3, 11, 18, 19, 14, 19, 25, 24, 1, 26, 9, 7, 5, 6, 5, 10, 16, 26, 16, 12, 13, 20, 11, 21, 20, 16, 4, 19, 8, 15, 12, 19, 24, 11, 8, 20, 20, 19, 12, 18, 16, 0, 5, 0, 0, 8, 27, 26, 13, 16, 8, 20, 27, 17, 19, 0, 15, 27, 3, 6, 3, 26, 22, 10, 6, 4, 24, 4, 8, 27, 14, 8, 10, 7, 22, 0, 10, 18, 19, 0, 12, 7, 22, 19, 3, 16, 6, 24, 17, 22, 3, 26, 23, 0, 1, 12, 7, 5, 24, 15, 26, 13, 14, 22, 1, 9, 4, 25, 11, 6, 0, 21, 12, 18, 27, 2, 14, 14, 9, 4, 25, 25, 24, 20, 2, 26, 7, 22, 4, 15, 27, 16, 12, 21, 5, 22, 26, 14, 15, 0, 7, 12, 23, 26, 3, 15, 12, 15, 1, 15, 25, 1, 1, 13, 16, 15, 7, 21, 13, 12, 6, 26, 20, 13, 26, 6, 13, 11, 13, 11, 5, 26, 5, 22, 6, 13, 13, 16, 3, 15, 11, 26, 10, 3, 19, 27, 1, 9, 25, 17, 4, 1, 3, 9, 20, 5, 5, 24, 2, 17, 27, 14, 3, 22, 5, 18, 13, 2, 13, 1, 8, 6, 27, 5, 26, 5, 8, 7, 6, 15, 25, 7, 23, 27, 9, 9, 8, 25, 27, 19, 15, 1, 26, 2, 14, 27, 17, 9, 16, 9, 25, 10, 6, 24, 27, 17, 8, 4, 4, 15, 25, 23, 23, 7, 22, 25, 20, 23, 21, 22, 21, 2, 14, 8, 18, 25, 14, 21, 2, 14, 22, 9, 13, 4, 12, 7, 25, 22, 3, 18, 22, 12, 12, 2, 18, 5, 22, 21, 6, 17, 27, 5, 21, 26, 11, 4, 7, 10, 17, 22, 14, 10, 27, 6, 0, 4, 7, 25, 12, 6, 4, 17, 19, 9, 25, 23, 24, 14, 4, 12, 21, 17, 2, 11, 17, 22, 5, 7, 11, 25, 8, 27, 27, 18, 25, 17, 19, 14, 27, 1, 9, 20, 18, 8, 6, 27, 0, 3, 10, 13, 1, 19, 20, 20, 9, 24, 7, 19, 0, 5, 8, 10, 22, 8, 8, 15, 12, 27, 25, 11, 25, 2, 24, 3, 1, 27, 16, 0, 4, 25, 24, 18, 24, 23, 23, 18, 7, 23, 0, 7, 15, 14, 7, 10, 7, 17, 14, 1, 6, 25, 3, 3, 18, 7, 5, 7, 14, 23, 17, 14, 27, 21, 5, 24, 22, 9, 12, 7, 6, 14, 8, 21, 23, 20, 0, 14, 15, 23, 6, 23, 26, 9, 9, 1, 9, 7, 26, 19, 14, 24, 26, 24, 27, 20, 9, 20, 13, 18, 8, 25, 23, 11, 1, 9, 27, 5, 10, 17, 21, 23, 25, 25, 2, 11, 18, 1, 22, 10, 20, 6, 2, 16, 11, 17, 20, 18, 3, 25, 19, 17, 18, 16, 1, 6, 8, 14, 4, 4, 1, 24, 16, 26, 10, 26, 25, 20, 10, 2, 21, 2, 18, 6, 27, 12, 12, 2, 2, 11, 18, 14, 0, 14, 25, 10, 5, 23, 23, 11, 0, 18, 8, 25, 18, 23, 8, 5, 17, 27, 18, 20, 7, 21, 1, 23, 6, 16, 1, 12, 16, 9, 26, 10, 14, 5, 18, 19, 1, 2, 12, 27, 0, 1, 26, 3, 16, 14, 17, 9, 3, 8, 25, 13, 16, 8, 21, 12, 12, 26, 11, 7, 7, 12, 13, 14, 7, 21, 10, 5, 4, 4, 15, 11, 10, 11, 16, 25, 5, 18, 25, 27, 22, 25, 12, 15, 2, 11, 17, 6, 15, 24, 7, 10, 23, 6, 25, 9, 17, 19, 23, 17, 8, 0, 15, 22, 4, 27, 22, 18, 26, 11, 8, 5, 4, 7, 4, 21, 1, 19, 16, 27, 9, 20, 26, 12, 16, 12, 21, 12, 4, 15, 27, 2, 18, 26, 5, 20, 6, 18, 11, 0, 9, 23, 7, 1, 3, 19, 5, 2, 19, 26, 15, 11, 13, 11, 11, 18, 7, 14, 25, 6, 10, 14, 22, 11, 18, 19, 15, 10, 2, 6, 22, 24, 13, 24, 26, 14, 13, 12, 22, 1, 7, 2, 20, 27, 27, 23, 10, 17, 19, 26, 20, 5, 14, 20, 16, 26, 20, 4, 26, 23, 15, 21, 1, 26, 1, 27, 21, 27, 24, 23, 0, 18, 16, 27, 27, 16, 8, 3, 0, 1, 12, 23, 1, 27, 17, 7, 14, 11, 10, 27, 26, 2, 12, 19, 8, 23, 12, 8, 10, 13, 24, 21, 5, 13, 20, 12, 8, 0, 6, 17, 11, 13, 13, 15, 14, 26, 22, 18, 2, 21, 5, 18, 17, 19, 27, 21, 15, 16, 9, 2, 18, 21, 5, 0, 5, 0, 19, 4, 5, 27, 22, 2, 26, 0, 18, 27, 21, 26, 12, 16, 24, 13, 24, 0, 24, 3, 0, 13, 21, 12, 23, 26, 20, 25, 3, 18, 14, 3, 21, 25, 25, 2, 13, 23, 24, 26, 24, 2, 26, 26, 21, 11, 9, 21, 24, 21, 6, 21, 2, 7, 1, 0, 5, 1, 16, 20, 25, 10, 9, 14, 1, 7, 27, 16, 5, 3, 4, 27, 1, 20, 26, 15, 13, 19, 6, 16, 2, 10, 15, 13, 19, 21, 25, 26, 14, 8, 6, 4, 20, 0, 2, 21, 3, 16, 4, 12, 7, 0, 5, 8, 1, 0, 23, 0, 25, 2, 2, 20, 16, 17, 20, 3, 6, 27, 20, 15, 10, 8, 3, 2, 18, 13, 21, 20, 24, 26, 19, 21, 14, 3, 19, 24, 15, 26, 7, 11, 13, 12, 11, 2, 25, 12, 7, 15, 4, 27, 19, 16, 7, 19, 8, 11, 9, 1, 24, 11, 20, 9, 0, 22, 4, 23, 21, 24, 6, 4, 25, 18, 26, 5, 9, 9, 14, 4, 22, 25, 8, 26, 15, 24, 2, 26, 7, 12, 20, 13, 20, 1, 6, 7, 10, 26, 15, 15, 7, 15, 18, 26, 15, 10, 8, 23, 2, 13, 6, 15, 22, 18, 7, 20, 25, 15, 14, 10, 0, 12, 11, 26, 20, 5, 16, 16, 1, 5, 11, 22, 10, 7, 15, 17, 4, 6, 11, 21, 15, 22, 13, 21, 10, 6, 10, 3, 0, 9, 15, 7, 3, 15, 1, 16, 24, 15, 4, 2, 22, 6, 6, 18, 15, 19, 4, 4, 26, 23, 15, 9, 12, 5, 2, 10, 26, 5, 16, 18, 20, 1, 16, 2, 18, 21, 9, 10, 0, 16, 19, 21, 12, 1, 23, 17, 6, 13, 15, 10, 12, 3, 13, 11, 21, 10, 24, 16, 5, 12, 8, 6, 2, 18, 25, 19, 1, 4, 24, 5, 1, 21, 22, 26, 27, 1, 5, 1, 8, 19, 1, 13, 1, 17, 2, 20, 17, 27, 25, 19, 15, 18, 17, 3, 21, 17, 10, 7, 25, 24, 4, 6, 6, 15, 26, 22, 17, 23, 5, 21, 20, 13, 6, 13, 17, 8, 20, 27, 14, 14, 8, 7, 8, 26, 25, 24, 25, 0, 18, 12, 10, 26, 24, 24, 12, 11, 22, 15, 10, 3, 26, 2, 19, 7, 12, 0, 15, 19, 13, 15, 24, 20, 21, 7, 22, 5, 27, 20, 7, 27, 3, 6, 8, 3, 4, 9, 17, 11, 26, 1, 8, 8, 20, 0, 17, 9, 25, 17, 18, 15, 19, 20, 18, 16, 3, 22, 24, 1, 13, 26, 4, 11, 13, 1, 14, 26, 27, 4, 20, 0, 12, 21, 6, 13, 19, 27, 14, 26, 7, 21, 5, 6, 18, 26, 5, 6, 17, 10, 11, 21, 25, 9, 6, 11, 11, 15, 11, 18, 8, 23, 24, 18, 6, 21, 8, 5, 19, 6, 2, 3, 7, 6, 25, 7, 12, 12, 16, 13, 11, 26, 2, 22, 22, 8, 19, 27, 17, 6, 7, 21, 14, 9, 12, 11, 11, 14, 12, 12, 2, 21, 27, 0, 11, 18, 7, 25, 6, 18, 17, 15, 16, 8, 19, 11, 20, 10, 17, 23, 23, 2, 2, 23, 1, 26, 26, 9, 3, 27, 0, 14, 20, 1, 19, 23, 4, 0, 10, 25, 6, 14, 6, 9, 7, 7, 0, 1, 24, 1, 25, 0, 16, 12, 7, 10, 27, 15, 27, 2, 23, 6, 17, 16, 7, 6, 20, 27, 27, 21, 5, 22, 23, 4, 1, 18, 4, 1, 26, 17, 9, 2, 9, 16, 25, 7, 13, 19, 22, 23, 20, 22, 4, 13, 15, 9, 23, 11, 11, 17, 23, 3, 13, 6, 18, 15, 20, 6, 11, 11, 0, 11, 18, 23], "regression_line": {"intercept": 2.7608502737828453, "coefficient": 0.7957916804773302}, "standardized_residuals": [0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.4932570457458496, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.3404234647750854, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, -0.7640066146850586, -0.5718676447868347, -1.3404234647750854, 0.004549179691821337, 0.004549179691821337, 1.3495217561721802, 0.004549179691821337, -2.4932570457458496, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 4.4237446784973145, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.5325623750686646, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.6944942474365234, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 0.9652438759803772, 1.3495217561721802, -1.9168401956558228, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.6944942474365234, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.877534866333008, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.9168401956558228, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.9168401956558228, 0.19668811559677124, 0.004549179691821337, -1.7247012853622437, 0.004549179691821337, 0.004549179691821337, -1.7247012853622437, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.38882705569267273, -0.9561455249786377, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.847327947616577, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.7247012853622437, 0.004549179691821337, 1.733799695968628, 0.004549179691821337, 1.5416606664657593, 1.3495217561721802, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, 0.004549179691821337, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, -2.4932570457458496, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.19668811559677124, 0.004549179691821337, 4.2316060066223145, 0.004549179691821337, 0.004549179691821337, 3.847327947616577, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.733799695968628, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.3011181354522705, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.3797287046909332, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.5809659957885742, 0.004549179691821337, 0.004549179691821337, -1.9168401956558228, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.5416606664657593, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.38882705569267273, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.0787723064422607, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.453951835632324, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 1.925938606262207, 0.7731049656867981, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, -2.877534866333008, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, -4.222507476806641, -0.7640066146850586, 0.004549179691821337, 0.9652438759803772, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.261812925338745, 0.004549179691821337, -1.3404234647750854, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.925938606262207, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.3102164268493652, 0.004549179691821337, -2.6853959560394287, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.3011181354522705, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.4932570457458496, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.453951835632324, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.5809659957885742, 0.004549179691821337, 0.19668811559677124, 3.0787723064422607, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.3797287046909332, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.3404234647750854, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.19668811559677124, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.9561455249786377, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, 0.19668811559677124, 0.004549179691821337, 0.004549179691821337, 0.5809659957885742, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 5.000161647796631, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.38882705569267273, 0.004549179691821337, -2.877534866333008, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.9168401956558228, -0.18758976459503174, -3.8382296562194824, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.19668811559677124, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.38882705569267273, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.4932570457458496, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.5809659957885742, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.069673776626587, 0.004549179691821337, 0.004549179691821337, 0.19668811559677124, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.3011181354522705, 0.004549179691821337, 0.004549179691821337, 3.0787723064422607, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.9168401956558228, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.069673776626587, 1.925938606262207, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.4932570457458496, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.3404234647750854, 0.004549179691821337, 0.004549179691821337, -2.3011181354522705, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.3102164268493652, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.6853959560394287, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.4932570457458496, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.877534866333008, 0.004549179691821337, -0.9561455249786377, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.655189037322998, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.4932570457458496, 3.0787723064422607, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, -1.3404234647750854, 0.004549179691821337, -4.222507476806641, 0.004549179691821337, 2.5023553371429443, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 4.2316060066223145, -1.9168401956558228, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.27091121673584, 0.004549179691821337, -1.9168401956558228, 0.9652438759803772, 0.004549179691821337, 0.004549179691821337, 4.2316060066223145, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.925938606262207, -3.069673776626587, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 4.2316060066223145, -2.4932570457458496, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.5325623750686646, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.5809659957885742, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 4.039466857910156, 0.004549179691821337, 3.27091121673584, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.5416606664657593, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, -1.7247012853622437, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.5809659957885742, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.3404234647750854, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.069673776626587, -0.7640066146850586, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.8866333961486816, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.847327947616577, 0.004549179691821337, -1.7247012853622437, 0.004549179691821337, -2.4932570457458496, 0.004549179691821337, 0.004549179691821337, 1.3495217561721802, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.925938606262207, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -4.222507476806641, 0.004549179691821337, 0.004549179691821337, -2.877534866333008, -4.991063117980957, 0.004549179691821337, 0.9652438759803772, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.19668811559677124, 2.118077516555786, 3.0787723064422607, 0.5809659957885742, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.19668811559677124, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.3011181354522705, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.7247012853622437, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.19668811559677124, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.655189037322998, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.069673776626587, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.9168401956558228, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.8866333961486816, 0.004549179691821337, 0.38882705569267273, -2.6853959560394287, 0.004549179691821337, -0.3797287046909332, 0.004549179691821337, 0.004549179691821337, 1.733799695968628, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.118077516555786, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.27091121673584, 0.004549179691821337, 0.004549179691821337, -0.3797287046909332, 0.004549179691821337, 1.5416606664657593, 0.004549179691821337, 0.004549179691821337, 3.27091121673584, 0.004549179691821337, 0.004549179691821337, 1.3495217561721802, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.5416606664657593, -0.3797287046909332, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.261812925338745, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.3404234647750854, 4.039466857910156, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.3797287046909332, 0.004549179691821337, 3.0787723064422607, 0.004549179691821337, -4.798924446105957, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.5023553371429443, -0.5718676447868347, -3.261812925338745, 0.004549179691821337, 0.004549179691821337, -0.3797287046909332, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 2.118077516555786, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, 0.004549179691821337, 0.19668811559677124, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.3102164268493652, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.261812925338745, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.118077516555786, -0.7640066146850586, 2.118077516555786, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.6853959560394287, 0.004549179691821337, -0.9561455249786377, 3.0787723064422607, 0.004549179691821337, 0.004549179691821337, 1.733799695968628, -0.7640066146850586, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.925938606262207, 0.004549179691821337, 0.004549179691821337, -0.3797287046909332, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.261812925338745, 0.004549179691821337, -0.3797287046909332, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.3011181354522705, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 4.615883827209473, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.7731049656867981, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.19668811559677124, -0.3797287046909332, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.8866333961486816, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.7640066146850586, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -4.222507476806641, -3.261812925338745, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.733799695968628, 0.004549179691821337, 0.5809659957885742, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.9561455249786377, 1.3495217561721802, 2.5023553371429443, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.877534866333008, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.3404234647750854, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.8866333961486816, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.7640066146850586, 2.118077516555786, 0.004549179691821337, -1.7247012853622437, -0.9561455249786377, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.7247012853622437, 0.004549179691821337, 0.004549179691821337, -2.6853959560394287, 2.118077516555786, 0.004549179691821337, 0.004549179691821337, 3.847327947616577, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.7247012853622437, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.38882705569267273, -2.3011181354522705, 0.004549179691821337, -2.3011181354522705, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.3404234647750854, 0.004549179691821337, 0.004549179691821337, 3.463050127029419, -0.5718676447868347, 1.157382845878601, 0.004549179691821337, -1.5325623750686646, 0.004549179691821337, -4.991063117980957, 1.157382845878601, 3.847327947616577, 0.004549179691821337, 0.19668811559677124, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.7731049656867981, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.6853959560394287, -4.030368804931641, 0.38882705569267273, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, 2.5023553371429443, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.463050127029419, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.5416606664657593, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -4.606785297393799, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.9561455249786377, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.8382296562194824, 0.004549179691821337, 0.004549179691821337, -0.7640066146850586, 3.27091121673584, 0.004549179691821337, 0.004549179691821337, -3.6460907459259033, -2.4932570457458496, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.19668811559677124, 2.3102164268493652, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -4.030368804931641, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.9561455249786377, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.27091121673584, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.925938606262207, 0.004549179691821337, 0.004549179691821337, -3.8382296562194824, -2.4932570457458496, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.9168401956558228, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 4.808022499084473, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.4932570457458496, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.4932570457458496, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.27091121673584, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.5809659957885742, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.5325623750686646, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.3495217561721802, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.3102164268493652, 0.004549179691821337, 3.847327947616577, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.733799695968628, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.4932570457458496, -3.069673776626587, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.925938606262207, 4.2316060066223145, 0.004549179691821337, 0.004549179691821337, 4.039466857910156, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.655189037322998, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 4.2316060066223145, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 4.615883827209473, 0.004549179691821337, 0.004549179691821337, 2.8866333961486816, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.19668811559677124, 0.004549179691821337, 0.004549179691821337, 0.7731049656867981, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.9561455249786377, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.9168401956558228, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.27091121673584, 0.004549179691821337, 0.004549179691821337, -3.261812925338745, 0.004549179691821337, -0.7640066146850586, 0.004549179691821337, -2.1089792251586914, 0.004549179691821337, -1.5325623750686646, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.5325623750686646, 0.004549179691821337, 0.004549179691821337, -4.606785297393799, 0.004549179691821337, 0.7731049656867981, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.38882705569267273, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.3011181354522705, 0.004549179691821337, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.463050127029419, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.27091121673584, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.5023553371429443, -3.261812925338745, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.38882705569267273, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 4.2316060066223145, 0.004549179691821337, 0.004549179691821337, -0.3797287046909332, 0.9652438759803772, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 4.039466857910156, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -4.030368804931641, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.3011181354522705, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.9168401956558228, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.069673776626587, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, -3.453951835632324, 2.118077516555786, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, 2.118077516555786, 0.004549179691821337, 0.5809659957885742, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.5325623750686646, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 4.4237446784973145, 4.4237446784973145, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.3797287046909332, 0.004549179691821337, -1.7247012853622437, 3.463050127029419, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.925938606262207, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.5416606664657593, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.4932570457458496, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.5325623750686646, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, -1.7247012853622437, 0.004549179691821337, -0.3797287046909332, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.733799695968628, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 2.3102164268493652, 0.004549179691821337, -4.222507476806641, 0.004549179691821337, 0.9652438759803772, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.19668811559677124, 0.004549179691821337, -1.5325623750686646, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.5325623750686646, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.5023553371429443, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.463050127029419, -3.453951835632324, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.655189037322998, 0.7731049656867981, 0.004549179691821337, 2.5023553371429443, 0.004549179691821337, 1.5416606664657593, -1.9168401956558228, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.0787723064422607, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.3404234647750854, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.9561455249786377, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.733799695968628, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, 0.19668811559677124, 1.733799695968628, 0.004549179691821337, 0.004549179691821337, -3.069673776626587, 0.004549179691821337, 2.8866333961486816, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 0.004549179691821337, 0.7731049656867981, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.6853959560394287, 0.004549179691821337, 0.004549179691821337, -3.453951835632324, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.3404234647750854, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.7640066146850586, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.118077516555786, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.463050127029419, 0.004549179691821337, 0.004549179691821337, 4.4237446784973145, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.9561455249786377, 0.7731049656867981, -3.261812925338745, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.5416606664657593, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.7640066146850586, 0.004549179691821337, -0.9561455249786377, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.118077516555786, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.877534866333008, 0.004549179691821337, 0.004549179691821337, 1.925938606262207, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.463050127029419, 0.004549179691821337, -0.7640066146850586, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.5325623750686646, 0.004549179691821337, 0.38882705569267273, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.261812925338745, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -4.222507476806641, 0.004549179691821337, -1.3404234647750854, 0.19668811559677124, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, -1.9168401956558228, 0.38882705569267273, 1.925938606262207, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.7731049656867981, 3.847327947616577, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.453951835632324, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.6853959560394287, 4.4237446784973145, 0.004549179691821337, 2.3102164268493652, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.7247012853622437, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.3495217561721802, 0.004549179691821337, 0.004549179691821337, -0.7640066146850586, 4.039466857910156, 0.004549179691821337, 0.004549179691821337, -2.877534866333008, 0.004549179691821337, 0.004549179691821337, 1.5416606664657593, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -4.606785297393799, 0.004549179691821337, 3.27091121673584, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, -2.1089792251586914, 0.004549179691821337, 0.004549179691821337, -2.3011181354522705, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.7247012853622437, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 2.118077516555786, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.5809659957885742, 0.004549179691821337, -1.9168401956558228, 0.004549179691821337, 3.27091121673584, 0.004549179691821337, 1.157382845878601, -2.877534866333008, 0.9652438759803772, 0.004549179691821337, 1.733799695968628, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.6853959560394287, 0.004549179691821337, 0.38882705569267273, 0.004549179691821337, 0.004549179691821337, -2.3011181354522705, 0.004549179691821337, 1.3495217561721802, 0.004549179691821337, 0.004549179691821337, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.9168401956558228, 0.004549179691821337, -1.9168401956558228, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.6460907459259033, 0.004549179691821337, 1.3495217561721802, -1.9168401956558228, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.069673776626587, 0.004549179691821337, -3.8382296562194824, 0.5809659957885742, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.6853959560394287, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.069673776626587, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.19668811559677124, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.877534866333008, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.7640066146850586, -1.3404234647750854, 0.7731049656867981, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.5718676447868347, 0.004549179691821337, -0.3797287046909332, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.463050127029419, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.38882705569267273, 0.004549179691821337, 0.004549179691821337, -1.3404234647750854, 0.004549179691821337, -1.1482844352722168, -1.7247012853622437, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.3797287046909332, 0.004549179691821337, 0.004549179691821337, 2.3102164268493652, 0.004549179691821337, -1.1482844352722168, 0.9652438759803772, 0.004549179691821337, -0.7640066146850586, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, 0.004549179691821337, -2.4932570457458496, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 4.615883827209473, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, -2.3011181354522705, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.7640066146850586, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.9168401956558228, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.463050127029419, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.9168401956558228, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.3102164268493652, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.3495217561721802, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.3011181354522705, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, -0.9561455249786377, 1.157382845878601, 1.157382845878601, 0.004549179691821337, -0.9561455249786377, -0.9561455249786377, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 2.6944942474365234, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.733799695968628, 0.38882705569267273, -1.9168401956558228, 0.004549179691821337, -1.7247012853622437, 0.004549179691821337, 3.847327947616577, 3.27091121673584, 0.004549179691821337, 0.004549179691821337, -4.414646625518799, 2.5023553371429443, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.877534866333008, 0.004549179691821337, 0.004549179691821337, 0.38882705569267273, 0.004549179691821337, 0.7731049656867981, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -4.991063117980957, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.38882705569267273, 0.004549179691821337, 0.5809659957885742, 0.004549179691821337, -0.7640066146850586, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.3797287046909332, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.9168401956558228, 0.004549179691821337, 2.5023553371429443, 1.733799695968628, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 4.615883827209473, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.0787723064422607, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, -2.1089792251586914, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.5023553371429443, 0.004549179691821337, 0.004549179691821337, 1.5416606664657593, 0.004549179691821337, 0.004549179691821337, -1.5325623750686646, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.4932570457458496, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, -3.6460907459259033, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.261812925338745, 0.004549179691821337, 0.004549179691821337, -1.3404234647750854, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 0.004549179691821337, 0.004549179691821337, -2.6853959560394287, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.38882705569267273, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.9561455249786377, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.9561455249786377, 0.004549179691821337, 0.004549179691821337, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, -0.3797287046909332, 2.118077516555786, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.5809659957885742, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.3495217561721802, 0.004549179691821337, 0.004549179691821337, 1.3495217561721802, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.7731049656867981, 0.004549179691821337, -0.7640066146850586, 0.004549179691821337, -0.3797287046909332, -1.7247012853622437, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.19668811559677124, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, -1.7247012853622437, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 0.004549179691821337, 0.004549179691821337, 0.19668811559677124, 0.004549179691821337, 0.004549179691821337, 0.7731049656867981, 4.039466857910156, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.261812925338745, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.3495217561721802, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.261812925338745, 0.004549179691821337, -0.7640066146850586, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.5809659957885742, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.5416606664657593, 0.004549179691821337, -4.222507476806641, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.6944942474365234, 2.6944942474365234, 1.925938606262207, -2.6853959560394287, 0.004549179691821337, 0.004549179691821337, -2.3011181354522705, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 2.118077516555786, 3.27091121673584, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.3102164268493652, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.5325623750686646, 0.004549179691821337, 0.004549179691821337, -1.3404234647750854, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.3797287046909332, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.7731049656867981, 0.7731049656867981, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 4.4237446784973145, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -4.606785297393799, -4.991063117980957, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, -2.6853959560394287, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.6853959560394287, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.0787723064422607, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.0787723064422607, 0.004549179691821337, -1.5325623750686646, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, -4.414646625518799, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.5325623750686646, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 4.039466857910156, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.8866333961486816, 0.004549179691821337, 0.004549179691821337, -0.3797287046909332, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, -0.5718676447868347, -0.3797287046909332, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 4.615883827209473, 0.004549179691821337, 0.004549179691821337, -1.7247012853622437, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 4.2316060066223145, 0.004549179691821337, -0.5718676447868347, -1.5325623750686646, 0.004549179691821337, 0.004549179691821337, -2.6853959560394287, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.3404234647750854, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.8382296562194824, 4.039466857910156, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.5718676447868347, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 2.8866333961486816, 0.19668811559677124, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.6944942474365234, 0.004549179691821337, 1.925938606262207, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.19668811559677124, 1.925938606262207, -0.3797287046909332, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.3797287046909332, 3.655189037322998, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.925938606262207, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.19668811559677124, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.6460907459259033, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.6853959560394287, 0.004549179691821337, -0.3797287046909332, 0.004549179691821337, -0.9561455249786377, -4.414646625518799, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.38882705569267273, 2.5023553371429443, 0.004549179691821337, 2.5023553371429443, 0.004549179691821337, 0.004549179691821337, 3.463050127029419, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.7731049656867981, 0.004549179691821337, -2.3011181354522705, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.3011181354522705, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.7731049656867981, 0.004549179691821337, 0.004549179691821337, -1.5325623750686646, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.4932570457458496, 4.039466857910156, 0.38882705569267273, 0.004549179691821337, 0.38882705569267273, 0.004549179691821337, -2.1089792251586914, 2.118077516555786, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -4.030368804931641, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.6944942474365234, 0.19668811559677124, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.7640066146850586, 0.004549179691821337, 0.004549179691821337, -0.5718676447868347, 3.655189037322998, 0.004549179691821337, -2.6853959560394287, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -3.6460907459259033, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.3102164268493652, 0.004549179691821337, 0.004549179691821337, 2.5023553371429443, 0.004549179691821337, 0.004549179691821337, 1.925938606262207, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.9652438759803772, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.6853959560394287, 3.27091121673584, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.5325623750686646, -0.18758976459503174, 4.2316060066223145, -3.453951835632324, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 0.004549179691821337, -1.5325623750686646, 4.4237446784973145, 1.925938606262207, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.3404234647750854, 1.733799695968628, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.3102164268493652, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.38882705569267273, 2.5023553371429443, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -5.183202266693115, 0.004549179691821337, 0.004549179691821337, -0.9561455249786377, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.8866333961486816, 0.004549179691821337, 1.733799695968628, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.38882705569267273, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.1089792251586914, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.5809659957885742, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.3102164268493652, -0.5718676447868347, 0.004549179691821337, 1.733799695968628, -3.261812925338745, 0.004549179691821337, 0.004549179691821337, -1.1482844352722168, 2.118077516555786, 0.004549179691821337, 1.157382845878601, 0.19668811559677124, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, -1.1482844352722168, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, -2.3011181354522705, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.3102164268493652, 1.3495217561721802, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.7731049656867981, 0.004549179691821337, 0.38882705569267273, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 3.655189037322998, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 4.615883827209473, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.5416606664657593, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.4932570457458496, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.157382845878601, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.7731049656867981, 1.733799695968628, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.27091121673584, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.118077516555786, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.18758976459503174, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 5.000161647796631, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.118077516555786, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.5416606664657593, 0.004549179691821337, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -0.7640066146850586, 0.004549179691821337, 0.004549179691821337, -3.8382296562194824, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.3404234647750854, 0.004549179691821337, -2.6853959560394287, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.118077516555786, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 1.733799695968628, 0.004549179691821337, 0.004549179691821337, 3.655189037322998, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.118077516555786, -0.9561455249786377, 0.004549179691821337, 0.004549179691821337, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 2.118077516555786, 1.5416606664657593, 2.118077516555786, 0.004549179691821337, 0.004549179691821337, -4.414646625518799, -0.5718676447868347, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 3.655189037322998, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -2.4932570457458496, 0.004549179691821337, 0.19668811559677124, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, -1.9168401956558228, 1.3495217561721802, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337, 0.004549179691821337], "correlation_coefficient": 0.7947413198857094}}, "grouped_metrics": {"r2": [{"value": 0.7097829473465573, "timestamp": "2024-08-10 00:00:00"}, {"value": 0.646967377222942, "timestamp": "2024-08-11 00:00:00"}, {"value": 0.7969734440322676, "timestamp": "2024-08-12 00:00:00"}, {"value": 0.7374765942927524, "timestamp": "2024-08-13 00:00:00"}, {"value": 0.8483897605284888, "timestamp": "2024-08-14 00:00:00"}, {"value": 0.4890548992355803, "timestamp": "2024-08-15 00:00:00"}, {"value": 0.6688056860862681, "timestamp": "2024-08-16 00:00:00"}, {"value": 0.5427190066752741, "timestamp": "2024-08-17 00:00:00"}, {"value": 0.5133088572739788, "timestamp": "2024-08-18 00:00:00"}, {"value": 0.7745172390019491, "timestamp": "2024-08-19 00:00:00"}, {"value": 0.36718530398981486, "timestamp": "2024-08-20 00:00:00"}, {"value": 0.6311573334244867, "timestamp": "2024-08-21 00:00:00"}, {"value": 0.6997198552585504, "timestamp": "2024-08-22 00:00:00"}, {"value": 0.4285838194158337, "timestamp": "2024-08-23 00:00:00"}, {"value": 0.6565426852987821, "timestamp": "2024-08-24 00:00:00"}, {"value": 0.38050385194798075, "timestamp": "2024-08-25 00:00:00"}, {"value": 0.9186937126504503, "timestamp": "2024-08-26 00:00:00"}, {"value": 0.4459742976505776, "timestamp": "2024-08-27 00:00:00"}, {"value": 0.5971791316171432, "timestamp": "2024-08-28 00:00:00"}, {"value": 0.33927953353390694, "timestamp": "2024-08-29 00:00:00"}, {"value": 0.7273934363729586, "timestamp": "2024-08-30 00:00:00"}, {"value": 0.5680656692704886, "timestamp": "2024-08-31 00:00:00"}, {"value": 0.5198702801588235, "timestamp": "2024-09-01 00:00:00"}, {"value": 0.5368958783137565, "timestamp": "2024-09-02 00:00:00"}, {"value": 0.35563296506201214, "timestamp": "2024-09-03 00:00:00"}, {"value": 0.6769068541300527, "timestamp": "2024-09-04 00:00:00"}, {"value": 0.6685074589569954, "timestamp": "2024-09-05 00:00:00"}, {"value": 0.41131903356180854, "timestamp": "2024-09-06 00:00:00"}, {"value": 0.6764038502878162, "timestamp": "2024-09-07 00:00:00"}, {"value": 0.8665235740912107, "timestamp": "2024-09-08 00:00:00"}, {"value": 0.6160167605080528, "timestamp": "2024-09-09 00:00:00"}, {"value": 0.3239146870194456, "timestamp": "2024-09-10 00:00:00"}, {"value": 0.48296371997956056, "timestamp": "2024-09-11 00:00:00"}, {"value": 0.6531245295200323, "timestamp": "2024-09-12 00:00:00"}, {"value": 0.3326144686163224, "timestamp": "2024-09-13 00:00:00"}, {"value": 0.3615910390794441, "timestamp": "2024-09-14 00:00:00"}, {"value": 0.5412648448387861, "timestamp": "2024-09-15 00:00:00"}, {"value": 0.6438321447638198, "timestamp": "2024-09-16 00:00:00"}, {"value": 0.45361257037857206, "timestamp": "2024-09-17 00:00:00"}, {"value": 0.835249889429456, "timestamp": "2024-09-18 00:00:00"}], "mae": [{"value": 1.65625, "timestamp": "2024-08-10 00:00:00"}, {"value": 2.0208333333333335, "timestamp": "2024-08-11 00:00:00"}, {"value": 1.15625, "timestamp": "2024-08-12 00:00:00"}, {"value": 1.28125, "timestamp": "2024-08-13 00:00:00"}, {"value": 0.7604166666666666, "timestamp": "2024-08-14 00:00:00"}, {"value": 2.09375, "timestamp": "2024-08-15 00:00:00"}, {"value": 1.8125, "timestamp": "2024-08-16 00:00:00"}, {"value": 2.3333333333333335, "timestamp": "2024-08-17 00:00:00"}, {"value": 2.5520833333333335, "timestamp": "2024-08-18 00:00:00"}, {"value": 1.2395833333333333, "timestamp": "2024-08-19 00:00:00"}, {"value": 2.625, "timestamp": "2024-08-20 00:00:00"}, {"value": 1.6875, "timestamp": "2024-08-21 00:00:00"}, {"value": 1.4270833333333333, "timestamp": "2024-08-22 00:00:00"}, {"value": 2.4791666666666665, "timestamp": "2024-08-23 00:00:00"}, {"value": 1.3229166666666667, "timestamp": "2024-08-24 00:00:00"}, {"value": 2.5416666666666665, "timestamp": "2024-08-25 00:00:00"}, {"value": 0.4895833333333333, "timestamp": "2024-08-26 00:00:00"}, {"value": 2.2291666666666665, "timestamp": "2024-08-27 00:00:00"}, {"value": 1.6979166666666667, "timestamp": "2024-08-28 00:00:00"}, {"value": 2.6458333333333335, "timestamp": "2024-08-29 00:00:00"}, {"value": 1.7708333333333333, "timestamp": "2024-08-30 00:00:00"}, {"value": 1.6145833333333333, "timestamp": "2024-08-31 00:00:00"}, {"value": 2.2604166666666665, "timestamp": "2024-09-01 00:00:00"}, {"value": 1.8229166666666667, "timestamp": "2024-09-02 00:00:00"}, {"value": 3.3020833333333335, "timestamp": "2024-09-03 00:00:00"}, {"value": 1.8541666666666667, "timestamp": "2024-09-04 00:00:00"}, {"value": 1.84375, "timestamp": "2024-09-05 00:00:00"}, {"value": 2.4791666666666665, "timestamp": "2024-09-06 00:00:00"}, {"value": 1.7916666666666667, "timestamp": "2024-09-07 00:00:00"}, {"value": 0.8854166666666666, "timestamp": "2024-09-08 00:00:00"}, {"value": 1.96875, "timestamp": "2024-09-09 00:00:00"}, {"value": 2.8125, "timestamp": "2024-09-10 00:00:00"}, {"value": 2.1458333333333335, "timestamp": "2024-09-11 00:00:00"}, {"value": 1.9166666666666667, "timestamp": "2024-09-12 00:00:00"}, {"value": 2.6666666666666665, "timestamp": "2024-09-13 00:00:00"}, {"value": 2.5729166666666665, "timestamp": "2024-09-14 00:00:00"}, {"value": 2.0520833333333335, "timestamp": "2024-09-15 00:00:00"}, {"value": 1.2916666666666667, "timestamp": "2024-09-16 00:00:00"}, {"value": 2.5, "timestamp": "2024-09-17 00:00:00"}, {"value": 1.1333333333333333, "timestamp": "2024-09-18 00:00:00"}], "mse": [{"value": 19.406249999999996, "timestamp": "2024-08-10 00:00:00"}, {"value": 26.02083333333333, "timestamp": "2024-08-11 00:00:00"}, {"value": 13.468749999999998, "timestamp": "2024-08-12 00:00:00"}, {"value": 17.114583333333332, "timestamp": "2024-08-13 00:00:00"}, {"value": 7.96875, "timestamp": "2024-08-14 00:00:00"}, {"value": 30.635416666666668, "timestamp": "2024-08-15 00:00:00"}, {"value": 25.604166666666668, "timestamp": "2024-08-16 00:00:00"}, {"value": 36.125, "timestamp": "2024-08-17 00:00:00"}, {"value": 36.822916666666664, "timestamp": "2024-08-18 00:00:00"}, {"value": 15.614583333333336, "timestamp": "2024-08-19 00:00:00"}, {"value": 37.37499999999999, "timestamp": "2024-08-20 00:00:00"}, {"value": 23.41666666666666, "timestamp": "2024-08-21 00:00:00"}, {"value": 17.864583333333332, "timestamp": "2024-08-22 00:00:00"}, {"value": 34.3125, "timestamp": "2024-08-23 00:00:00"}, {"value": 19.927083333333336, "timestamp": "2024-08-24 00:00:00"}, {"value": 41.541666666666664, "timestamp": "2024-08-25 00:00:00"}, {"value": 5.03125, "timestamp": "2024-08-26 00:00:00"}, {"value": 39.3125, "timestamp": "2024-08-27 00:00:00"}, {"value": 24.302083333333332, "timestamp": "2024-08-28 00:00:00"}, {"value": 43.083333333333336, "timestamp": "2024-08-29 00:00:00"}, {"value": 20.249999999999996, "timestamp": "2024-08-30 00:00:00"}, {"value": 21.239583333333332, "timestamp": "2024-08-31 00:00:00"}, {"value": 30.072916666666668, "timestamp": "2024-09-01 00:00:00"}, {"value": 26.32291666666667, "timestamp": "2024-09-02 00:00:00"}, {"value": 45.84375, "timestamp": "2024-09-03 00:00:00"}, {"value": 23.9375, "timestamp": "2024-09-04 00:00:00"}, {"value": 23.031249999999996, "timestamp": "2024-09-05 00:00:00"}, {"value": 35.291666666666664, "timestamp": "2024-09-06 00:00:00"}, {"value": 23.520833333333332, "timestamp": "2024-09-07 00:00:00"}, {"value": 9.406250000000002, "timestamp": "2024-09-08 00:00:00"}, {"value": 23.86458333333334, "timestamp": "2024-09-09 00:00:00"}, {"value": 42.79166666666668, "timestamp": "2024-09-10 00:00:00"}, {"value": 32.9375, "timestamp": "2024-09-11 00:00:00"}, {"value": 27.75, "timestamp": "2024-09-12 00:00:00"}, {"value": 38.75, "timestamp": "2024-09-13 00:00:00"}, {"value": 36.69791666666667, "timestamp": "2024-09-14 00:00:00"}, {"value": 25.822916666666668, "timestamp": "2024-09-15 00:00:00"}, {"value": 18.604166666666664, "timestamp": "2024-09-16 00:00:00"}, {"value": 37.74999999999999, "timestamp": "2024-09-17 00:00:00"}, {"value": 9.933333333333332, "timestamp": "2024-09-18 00:00:00"}], "mape": [{"value": 28.04858086710783, "timestamp": "2024-08-10 00:00:00"}, {"value": 18.15244258634518, "timestamp": "2024-08-11 00:00:00"}, {"value": 30.189336748476535, "timestamp": "2024-08-12 00:00:00"}, {"value": 16.338882748457216, "timestamp": "2024-08-13 00:00:00"}, {"value": 7.422983555796055, "timestamp": "2024-08-14 00:00:00"}, {"value": 43.77317311164647, "timestamp": "2024-08-15 00:00:00"}, {"value": 24.474564761081613, "timestamp": "2024-08-16 00:00:00"}, {"value": 27.439250872584203, "timestamp": "2024-08-17 00:00:00"}, {"value": 58.97123295530366, "timestamp": "2024-08-18 00:00:00"}, {"value": 26.44406334406334, "timestamp": "2024-08-19 00:00:00"}, {"value": 52.88284494459729, "timestamp": "2024-08-20 00:00:00"}, {"value": 35.86632907339363, "timestamp": "2024-08-21 00:00:00"}, {"value": 25.440421684027818, "timestamp": "2024-08-22 00:00:00"}, {"value": 67.0250330622773, "timestamp": "2024-08-23 00:00:00"}, {"value": 13.65472440741258, "timestamp": "2024-08-24 00:00:00"}, {"value": 44.53236938500096, "timestamp": "2024-08-25 00:00:00"}, {"value": 2.543848988051071, "timestamp": "2024-08-26 00:00:00"}, {"value": 20.94228926108217, "timestamp": "2024-08-27 00:00:00"}, {"value": 46.554807459855105, "timestamp": "2024-08-28 00:00:00"}, {"value": 31.48511033126418, "timestamp": "2024-08-29 00:00:00"}, {"value": 17.65282819939683, "timestamp": "2024-08-30 00:00:00"}, {"value": 21.421815686349145, "timestamp": "2024-08-31 00:00:00"}, {"value": 47.51379324036931, "timestamp": "2024-09-01 00:00:00"}, {"value": 41.08481387304426, "timestamp": "2024-09-02 00:00:00"}, {"value": 67.5672192879747, "timestamp": "2024-09-03 00:00:00"}, {"value": 27.900628813550167, "timestamp": "2024-09-04 00:00:00"}, {"value": 26.983520912725716, "timestamp": "2024-09-05 00:00:00"}, {"value": 62.08304942702381, "timestamp": "2024-09-06 00:00:00"}, {"value": 27.420221982041614, "timestamp": "2024-09-07 00:00:00"}, {"value": 11.20397459683174, "timestamp": "2024-09-08 00:00:00"}, {"value": 36.52202206118614, "timestamp": "2024-09-09 00:00:00"}, {"value": 53.56079861789351, "timestamp": "2024-09-10 00:00:00"}, {"value": 17.615303129830398, "timestamp": "2024-09-11 00:00:00"}, {"value": 23.42617741876503, "timestamp": "2024-09-12 00:00:00"}, {"value": 36.336453342145944, "timestamp": "2024-09-13 00:00:00"}, {"value": 36.77288443487407, "timestamp": "2024-09-14 00:00:00"}, {"value": 14.56466291992608, "timestamp": "2024-09-15 00:00:00"}, {"value": 7.991942387322822, "timestamp": "2024-09-16 00:00:00"}, {"value": 28.52849196631447, "timestamp": "2024-09-17 00:00:00"}, {"value": 16.137566137566136, "timestamp": "2024-09-18 00:00:00"}], "rmse": [{"value": 4.4052525466765236, "timestamp": "2024-08-10 00:00:00"}, {"value": 5.101061980934296, "timestamp": "2024-08-11 00:00:00"}, {"value": 3.6699795639757995, "timestamp": "2024-08-12 00:00:00"}, {"value": 4.136977560167971, "timestamp": "2024-08-13 00:00:00"}, {"value": 2.8228974476590536, "timestamp": "2024-08-14 00:00:00"}, {"value": 5.53492697934369, "timestamp": "2024-08-15 00:00:00"}, {"value": 5.060055994420088, "timestamp": "2024-08-16 00:00:00"}, {"value": 6.010407640085654, "timestamp": "2024-08-17 00:00:00"}, {"value": 6.068188911583642, "timestamp": "2024-08-18 00:00:00"}, {"value": 3.951529239842891, "timestamp": "2024-08-19 00:00:00"}, {"value": 6.113509630318742, "timestamp": "2024-08-20 00:00:00"}, {"value": 4.839077046985992, "timestamp": "2024-08-21 00:00:00"}, {"value": 4.226651550971919, "timestamp": "2024-08-22 00:00:00"}, {"value": 5.8576872569299905, "timestamp": "2024-08-23 00:00:00"}, {"value": 4.463976179745288, "timestamp": "2024-08-24 00:00:00"}, {"value": 6.445282512556503, "timestamp": "2024-08-25 00:00:00"}, {"value": 2.2430448056157952, "timestamp": "2024-08-26 00:00:00"}, {"value": 6.269968101992227, "timestamp": "2024-08-27 00:00:00"}, {"value": 4.929714325732611, "timestamp": "2024-08-28 00:00:00"}, {"value": 6.563789555838405, "timestamp": "2024-08-29 00:00:00"}, {"value": 4.5, "timestamp": "2024-08-30 00:00:00"}, {"value": 4.6086422440164885, "timestamp": "2024-08-31 00:00:00"}, {"value": 5.483877885827389, "timestamp": "2024-09-01 00:00:00"}, {"value": 5.130586386239557, "timestamp": "2024-09-02 00:00:00"}, {"value": 6.77080128197542, "timestamp": "2024-09-03 00:00:00"}, {"value": 4.892596447695231, "timestamp": "2024-09-04 00:00:00"}, {"value": 4.799088455113116, "timestamp": "2024-09-05 00:00:00"}, {"value": 5.940678973540538, "timestamp": "2024-09-06 00:00:00"}, {"value": 4.8498281756504875, "timestamp": "2024-09-07 00:00:00"}, {"value": 3.0669610365963247, "timestamp": "2024-09-08 00:00:00"}, {"value": 4.885139029069013, "timestamp": "2024-09-09 00:00:00"}, {"value": 6.541533968930122, "timestamp": "2024-09-10 00:00:00"}, {"value": 5.739120141624499, "timestamp": "2024-09-11 00:00:00"}, {"value": 5.267826876426369, "timestamp": "2024-09-12 00:00:00"}, {"value": 6.224949798994366, "timestamp": "2024-09-13 00:00:00"}, {"value": 6.0578805424559725, "timestamp": "2024-09-14 00:00:00"}, {"value": 5.081625396137211, "timestamp": "2024-09-15 00:00:00"}, {"value": 4.3132547648691775, "timestamp": "2024-09-16 00:00:00"}, {"value": 6.144102863722253, "timestamp": "2024-09-17 00:00:00"}, {"value": 3.1517191076194164, "timestamp": "2024-09-18 00:00:00"}], "adj_r2": [{"value": 0.6794113953246854, "timestamp": "2024-08-10 00:00:00"}, {"value": 0.6100221027462731, "timestamp": "2024-08-11 00:00:00"}, {"value": 0.7757264788728537, "timestamp": "2024-08-12 00:00:00"}, {"value": 0.7100032146257148, "timestamp": "2024-08-13 00:00:00"}, {"value": 0.832523572676819, "timestamp": "2024-08-14 00:00:00"}, {"value": 0.4355839003183736, "timestamp": "2024-08-15 00:00:00"}, {"value": 0.6341458160255287, "timestamp": "2024-08-16 00:00:00"}, {"value": 0.49486401900175625, "timestamp": "2024-08-17 00:00:00"}, {"value": 0.46237606326776726, "timestamp": "2024-08-18 00:00:00"}, {"value": 0.7509202058742461, "timestamp": "2024-08-19 00:00:00"}, {"value": 0.3009605102213071, "timestamp": "2024-08-20 00:00:00"}, {"value": 0.5925575194805376, "timestamp": "2024-08-21 00:00:00"}, {"value": 0.6682951889483988, "timestamp": "2024-08-22 00:00:00"}, {"value": 0.3687844516802814, "timestamp": "2024-08-23 00:00:00"}, {"value": 0.6205994779463291, "timestamp": "2024-08-24 00:00:00"}, {"value": 0.3156728597099787, "timestamp": "2024-08-25 00:00:00"}, {"value": 0.9101849151371253, "timestamp": "2024-08-26 00:00:00"}, {"value": 0.38799486368377767, "timestamp": "2024-08-27 00:00:00"}, {"value": 0.5550234593445187, "timestamp": "2024-08-28 00:00:00"}, {"value": 0.27013436843861816, "timestamp": "2024-08-29 00:00:00"}, {"value": 0.6988648425050124, "timestamp": "2024-08-30 00:00:00"}, {"value": 0.5228632393104236, "timestamp": "2024-08-31 00:00:00"}, {"value": 0.46962414668707253, "timestamp": "2024-09-01 00:00:00"}, {"value": 0.48843149348612636, "timestamp": "2024-09-02 00:00:00"}, {"value": 0.2881992055917576, "timestamp": "2024-09-03 00:00:00"}, {"value": 0.6430947807250582, "timestamp": "2024-09-04 00:00:00"}, {"value": 0.6338163790804019, "timestamp": "2024-09-05 00:00:00"}, {"value": 0.3497128859113001, "timestamp": "2024-09-06 00:00:00"}, {"value": 0.6425391369458435, "timestamp": "2024-09-07 00:00:00"}, {"value": 0.8525551109147096, "timestamp": "2024-09-08 00:00:00"}, {"value": 0.5758324680030815, "timestamp": "2024-09-09 00:00:00"}, {"value": 0.2531615728703178, "timestamp": "2024-09-10 00:00:00"}, {"value": 0.4288552720704448, "timestamp": "2024-09-11 00:00:00"}, {"value": 0.6168236081907335, "timestamp": "2024-09-12 00:00:00"}, {"value": 0.26277179672733286, "timestamp": "2024-09-13 00:00:00"}, {"value": 0.29478079898310694, "timestamp": "2024-09-14 00:00:00"}, {"value": 0.49325767743819393, "timestamp": "2024-09-15 00:00:00"}, {"value": 0.6065587645646846, "timestamp": "2024-09-16 00:00:00"}, {"value": 0.39643249053446916, "timestamp": "2024-09-17 00:00:00"}, {"value": 0.5386996904024768, "timestamp": "2024-09-18 00:00:00"}], "variance": [{"value": 63.30902777777783, "timestamp": "2024-08-10 00:00:00"}, {"value": 73.77083333333319, "timestamp": "2024-08-11 00:00:00"}, {"value": 62.77343749999992, "timestamp": "2024-08-12 00:00:00"}, {"value": 66.02180989583326, "timestamp": "2024-08-13 00:00:00"}, {"value": 53.91753472222221, "timestamp": "2024-08-14 00:00:00"}, {"value": 54.70312499999977, "timestamp": "2024-08-15 00:00:00"}, {"value": 79.54557291666681, "timestamp": "2024-08-16 00:00:00"}, {"value": 74.26953124999993, "timestamp": "2024-08-17 00:00:00"}, {"value": 74.09548611111116, "timestamp": "2024-08-18 00:00:00"}, {"value": 70.76996527777783, "timestamp": "2024-08-19 00:00:00"}, {"value": 60.401367187499694, "timestamp": "2024-08-20 00:00:00"}, {"value": 62.57020399305543, "timestamp": "2024-08-21 00:00:00"}, {"value": 58.55034722222225, "timestamp": "2024-08-22 00:00:00"}, {"value": 62.29557291666678, "timestamp": "2024-08-23 00:00:00"}, {"value": 60.63975694444442, "timestamp": "2024-08-24 00:00:00"}, {"value": 66.33148871527798, "timestamp": "2024-08-25 00:00:00"}, {"value": 62.16406249999992, "timestamp": "2024-08-26 00:00:00"}, {"value": 75.71310763888884, "timestamp": "2024-08-27 00:00:00"}, {"value": 58.67024739583326, "timestamp": "2024-08-28 00:00:00"}, {"value": 60.30902777777783, "timestamp": "2024-08-29 00:00:00"}, {"value": 74.2607421875, "timestamp": "2024-08-30 00:00:00"}, {"value": 48.78645833333322, "timestamp": "2024-08-31 00:00:00"}, {"value": 66.86805555555559, "timestamp": "2024-09-01 00:00:00"}, {"value": 61.284830729166664, "timestamp": "2024-09-02 00:00:00"}, {"value": 65.51128472222213, "timestamp": "2024-09-03 00:00:00"}, {"value": 78.23958333333341, "timestamp": "2024-09-04 00:00:00"}, {"value": 67.55642361111116, "timestamp": "2024-09-05 00:00:00"}, {"value": 61.824978298611086, "timestamp": "2024-09-06 00:00:00"}, {"value": 71.12152777777783, "timestamp": "2024-09-07 00:00:00"}, {"value": 69.58517795138907, "timestamp": "2024-09-08 00:00:00"}, {"value": 60.64680989583356, "timestamp": "2024-09-09 00:00:00"}, {"value": 69.24381510416667, "timestamp": "2024-09-10 00:00:00"}, {"value": 71.86588541666681, "timestamp": "2024-09-11 00:00:00"}, {"value": 77.03461371527767, "timestamp": "2024-09-12 00:00:00"}, {"value": 59.13096788194434, "timestamp": "2024-09-13 00:00:00"}, {"value": 59.3720703125, "timestamp": "2024-09-14 00:00:00"}, {"value": 65.33734809027783, "timestamp": "2024-09-15 00:00:00"}, {"value": 58.005099826388914, "timestamp": "2024-09-16 00:00:00"}, {"value": 73.86490885416667, "timestamp": "2024-09-17 00:00:00"}, {"value": 46.573333333333416, "timestamp": "2024-09-18 00:00:00"}]}}',	'{"n_observations": 3759, "target_metrics": {"max": 27.0, "min": 0.0, "std": 8.117664901825329, "mean": 13.403830806065443, "type": "numerical", "histogram": {"buckets": [0.0, 2.7, 5.4, 8.100000000000001, 10.8, 13.5, 16.200000000000003, 18.900000000000002, 21.6, 24.3, 27.0], "current_values": [416, 401, 400, 284, 427, 368, 291, 374, 365, 433], "reference_values": [383, 355, 367, 244, 379, 331, 252, 326, 331, 374]}, "feature_name": "ground_truth", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 13.0, "perc_25": 6.0, "perc_75": 20.0}}, "feature_metrics": [{"max": 0.815, "min": 0.075, "std": 0.12058569479350584, "mean": 0.523451715881882, "type": "numerical", "histogram": {"buckets": [0.075, 0.149, 0.22299999999999998, 0.297, 0.371, 0.445, 0.5189999999999999, 0.593, 0.6669999999999999, 0.7409999999999999, 0.815], "current_values": [7, 53, 134, 276, 420, 702, 937, 912, 292, 26], "reference_values": [5, 46, 118, 240, 375, 641, 814, 821, 258, 24]}, "feature_name": "Length", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.545, "perc_25": 0.45, "perc_75": 0.615}, "class_median_metrics": []}, {"max": 0.65, "min": 0.055, "std": 0.09965751855780666, "mean": 0.40744346900771716, "type": "numerical", "histogram": {"buckets": [0.055, 0.11449999999999999, 0.174, 0.23349999999999999, 0.293, 0.3525, 0.412, 0.4715, 0.531, 0.5905, 0.65], "current_values": [12, 59, 163, 319, 462, 729, 909, 832, 254, 20], "reference_values": [9, 53, 139, 276, 415, 663, 799, 751, 217, 20]}, "feature_name": "Diameter", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.425, "perc_25": 0.345, "perc_75": 0.48}, "class_median_metrics": []}, {"max": 1.13, "min": 0.0, "std": 0.042334353350725266, "mean": 0.13923117850492145, "type": "numerical", "histogram": {"buckets": [0.0, 0.11299999999999999, 0.22599999999999998, 0.33899999999999997, 0.45199999999999996, 0.565, 0.6779999999999999, 0.7909999999999999, 0.9039999999999999, 1.017, 1.13], "current_values": [938, 2800, 19, 0, 1, 0, 0, 0, 0, 1], "reference_values": [822, 2499, 19, 0, 1, 0, 0, 0, 0, 1]}, "feature_name": "Height", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.14, "perc_25": 0.115, "perc_75": 0.165}, "class_median_metrics": []}, {"max": 2.8255, "min": 0.002, "std": 0.4915167102110122, "mean": 0.8264055599893595, "type": "numerical", "histogram": {"buckets": [0.002, 0.28435, 0.5667, 0.84905, 1.1314, 1.41375, 1.6961, 1.9784499999999998, 2.2607999999999997, 2.54315, 2.8255], "current_values": [580, 704, 744, 735, 551, 254, 121, 51, 13, 6], "reference_values": [504, 633, 664, 656, 487, 236, 95, 47, 15, 5]}, "feature_name": "Whole_weight", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.796, "perc_25": 0.4385, "perc_75": 1.1535}, "class_median_metrics": []}, {"max": 1.488, "min": 0.001, "std": 0.22241511226789054, "mean": 0.35860188880021293, "type": "numerical", "histogram": {"buckets": [0.001, 0.1497, 0.2984, 0.4471, 0.5958, 0.7445, 0.8932, 1.0418999999999998, 1.1905999999999999, 1.3393, 1.488], "current_values": [719, 944, 859, 692, 363, 109, 43, 23, 4, 3], "reference_values": [623, 859, 758, 626, 317, 91, 39, 21, 5, 3]}, "feature_name": "Shucked_weight", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.334, "perc_25": 0.1825, "perc_75": 0.50325}, "class_median_metrics": []}, {"max": 0.76, "min": 0.0005, "std": 0.11002127543863315, "mean": 0.1799944134078211, "type": "numerical", "histogram": {"buckets": [0.0005, 0.07645, 0.1524, 0.22835, 0.3043, 0.38025000000000003, 0.4562, 0.53215, 0.6081, 0.6840499999999999, 0.76], "current_values": [762, 902, 915, 665, 324, 136, 46, 7, 1, 1], "reference_values": [662, 813, 812, 598, 291, 118, 40, 6, 1, 1]}, "feature_name": "Viscera_weight", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.1695, "perc_25": 0.0925, "perc_75": 0.252}, "class_median_metrics": []}, {"max": 1.005, "min": 0.0015, "std": 0.13900596775912824, "mean": 0.23788414471934038, "type": "numerical", "histogram": {"buckets": [0.0015, 0.10184999999999998, 0.20219999999999996, 0.30254999999999993, 0.4028999999999999, 0.5032499999999999, 0.6035999999999998, 0.7039499999999999, 0.8042999999999998, 0.9046499999999997, 1.005], "current_values": [704, 934, 955, 713, 320, 95, 25, 8, 4, 1], "reference_values": [622, 825, 859, 640, 274, 86, 25, 7, 3, 1]}, "feature_name": "Shell_weight", "missing_value": {"count": 0, "percentage": 0.0}, "median_metrics": {"median": 0.23, "perc_25": 0.1295, "perc_75": 0.3275}, "class_median_metrics": []}, {"type": "categorical", "feature_name": "Sex", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 3, "category_frequency": [{"name": "F", "count": 1161, "frequency": 0.3088587390263368}, {"name": "M", "count": 1368, "frequency": 0.363926576217079}, {"name": "I", "count": 1230, "frequency": 0.3272146847565842}]}, {"type": "categorical", "feature_name": "pred_id", "missing_value": {"count": 0, "percentage": 0.0}, "distinct_value": 3759, "category_frequency": [{"name": "f108bb12-3ec9-4b4e-869b-9bb3861b1f51", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6a3daf27-6999-425d-9f2d-b770e74a9e89", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0299fdc8-93c8-4afc-a6e4-68f07de28d44", "count": 1, "frequency": 0.00026602819898909286}, {"name": "091fdf6b-55fb-4544-bd74-c859b572f752", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bcef135f-a1c4-4bb0-8304-be1ffc3d8a97", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8b178e44-7b56-4ec5-aa47-61e2796868cc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "45dddb40-0b9d-4377-8e92-634ac83792d7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6d8d36da-186a-42c9-a498-5ec8e43e7177", "count": 1, "frequency": 0.00026602819898909286}, {"name": "df486b55-7029-4eb9-8620-5e4b0b2130f2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f3a775cd-3864-465b-8db6-f71684f53ad3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "49523280-2f9a-4dbd-94b4-292d72eac7c5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "75560e38-aa76-41b2-aa31-f30e2fae6fac", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cac1a771-7b30-45c5-b9ff-1cce2ab61f2e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fec35310-9490-46b5-b940-8d6a05533a5b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3c3945ed-c5a0-425f-9d7f-2df1ca958f8e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "276ac546-591a-4268-bc80-fe5e65105ac8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ea85689c-2c1d-4043-871a-77f71ba4c454", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dc409868-8cc4-45c3-9d2b-9ddb3627e4f4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6290171e-a155-408a-8f12-13bbced1b65e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "56ffb7d8-65d2-4ae5-969c-de50db611ea7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "785650b4-ef45-4f60-9a8c-1f41fba7f71d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f4c2efdc-b984-4730-9f18-5d6e1e0f11cf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d11db8d3-e3a3-46d6-a5f1-ef78c647d5f5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bb4d4604-f6d6-4536-aaa5-5f1257d07871", "count": 1, "frequency": 0.00026602819898909286}, {"name": "58ff369d-2815-4ff5-9258-9543d5734711", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0e7b9e2e-c9e6-4997-a4b7-149f8e5cae73", "count": 1, "frequency": 0.00026602819898909286}, {"name": "db8a45dc-fec9-4fe4-880f-f7abc05d7fc0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9a9deeb3-e6c7-4399-803b-790c8bf2e3c2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e0102e7a-b46a-4e34-abb3-4e087b98ac8f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "329a6a75-b8fd-4a72-9aef-17c94f66682f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cbda5b01-5dc0-4800-b927-5abe5bd0f5d0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "304bf05e-4469-4d79-adcf-6fb4fffdd2b5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3a11c0ce-2b9c-4961-b479-62377544acef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "340e19b9-fb36-45a8-bb10-93578fcaa6b6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6f5938cc-96ed-4c67-b4e5-d7f0cfdc8104", "count": 1, "frequency": 0.00026602819898909286}, {"name": "697769eb-6ce4-4d5a-848b-1098b2630384", "count": 1, "frequency": 0.00026602819898909286}, {"name": "41685004-6c4f-4ec2-b428-a24c5eef814c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dca50669-ff59-43c3-9bcb-7edfb657d8f1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ab219081-e208-4c8a-906b-7ef808535d53", "count": 1, "frequency": 0.00026602819898909286}, {"name": "40c71691-d21c-4af0-b88e-d3bd7fa3661c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0dbfebfb-05ca-49cb-84f2-8584e4fcffed", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3855f9f1-8400-4185-b450-56e68c54052a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4d2cb8f7-5c35-470f-a04c-ccb2f384c096", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c962855e-aa8a-423f-a273-c6409f26294d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0536fc1f-010a-4864-b5c5-18ee4c38e2b8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c7b2a845-1f6d-4de1-812b-5dff025c8518", "count": 1, "frequency": 0.00026602819898909286}, {"name": "07ccf513-4886-4301-b148-186a778d5be6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b9498088-b1b2-4d24-a842-3f176555a550", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e7794cc2-2bb4-448a-9fef-45f4ae28959c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fad6d67c-4343-43d6-9280-7c0a130e729f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "49d3f282-a0bd-481b-922a-ef3902655e57", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e173ddb4-aec0-49ce-8a31-457b3508e08a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1809bf61-c245-4c04-ab7b-4fd12ce3a10f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6c5ff404-40bb-4462-b358-0481bab28417", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1e867599-b04f-414a-ae88-dab51ed038d0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8a7885fc-eec6-4d61-b500-4d62e48bf611", "count": 1, "frequency": 0.00026602819898909286}, {"name": "81ec33ec-e741-49bd-8705-03891d725f43", "count": 1, "frequency": 0.00026602819898909286}, {"name": "58f378e9-3095-4885-9019-1b41bdd27cc3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "013fc87f-272e-4ccc-9f44-a0338960c38f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "916a1f84-6435-4d90-adfc-80329d6f5c59", "count": 1, "frequency": 0.00026602819898909286}, {"name": "df52ccff-17a1-4ecf-b41f-0ef6bafd834a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5adb3f1a-c92e-48c6-aa4b-44c633ec6869", "count": 1, "frequency": 0.00026602819898909286}, {"name": "80d0fba1-9c3d-401a-a2fd-c5af6a5f9168", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3e6ea562-50f2-4ec5-84ce-83d2a715793d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "90a5d4d0-d286-420d-96bc-05aba08ddf80", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dbb65dc8-fbd4-4377-81e9-9e6cb32b6481", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c3ee09a3-764e-4c03-8b10-9ded12e0dcf0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cdffbc38-1988-4ca0-bd5f-63c46de8b43d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d156caad-9040-43d8-be62-e9180acc9715", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0eec752e-9faf-42ed-82d7-faaf927514ca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ab93ce99-171d-4a02-bbab-cb444d74e1d7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7555f6ce-6980-4c13-b33a-d909f13bccad", "count": 1, "frequency": 0.00026602819898909286}, {"name": "88e4ccbe-66fd-4e22-af7c-97ba7fcfb91a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4967380a-617a-4f5c-a10e-9f99da39c913", "count": 1, "frequency": 0.00026602819898909286}, {"name": "39dbf4e5-6c42-4130-ac8e-607fabd4fef9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d3ca857-5604-4913-aa3f-7242ee37dcf0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ec08233e-3d71-4e82-bcbb-2de8b2db6e7d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e3fadfa1-5b74-4821-91bd-a51fe6883b13", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ab1c98d5-fddb-4e8e-8a92-d6cd8e0c999a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "92534600-8d14-430d-8fd6-a2101078352e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3f4d43f3-b81b-4d19-80d7-86a27675badf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ac44fd4c-8981-427e-ab21-6f9ba566138d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aee2fe41-7ef8-4f14-9bdf-bd3229a9e8fe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "746629a7-388a-4824-b467-2e76dabda4a4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "16d43f0d-24b5-4a60-b938-664ed20caa21", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c17a6495-9223-4a66-bb62-0567fb322ac1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f5590591-d250-481a-8b79-0045d5cff477", "count": 1, "frequency": 0.00026602819898909286}, {"name": "67243d0c-7cae-4c41-a8cf-94ac240e1b31", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a8b38a94-aa84-4813-8790-c4edb0b2343c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0f522416-243a-43c6-83cb-6b8fef57cc67", "count": 1, "frequency": 0.00026602819898909286}, {"name": "de979bdd-eaa8-458f-b8df-b716ffcf56ca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b93f9cca-a115-4107-a6de-9ac35b62008d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2e62f258-61b5-4d97-995c-32107cb93f0e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d38e0be3-e679-4256-9970-82af93e2c19d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9ae77e6a-e81d-4283-a42e-fcf092df528c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c61b1384-54aa-4570-9717-75700ba840d3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d23553cf-e645-4680-b996-7f2b4ac6e0f1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "479a46f1-4e4c-476e-88dd-72ce041aeafd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0bbb7d2e-0eed-4463-b0a2-1a9ada22e10d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9660c4f6-328c-49cf-bb8e-c1ae944230fa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "71bf0562-b119-479a-a845-3931dd617874", "count": 1, "frequency": 0.00026602819898909286}, {"name": "000073fe-aa9c-4d75-804e-aff9cec0754f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b527a95b-0188-4cdb-b158-a90ee4cf4054", "count": 1, "frequency": 0.00026602819898909286}, {"name": "df7559cf-d2cf-415f-af5e-27cd5c5e0297", "count": 1, "frequency": 0.00026602819898909286}, {"name": "92a74fbf-d3cf-44f8-bcf6-962f25cde341", "count": 1, "frequency": 0.00026602819898909286}, {"name": "58c71334-725e-46b9-82d5-6c1da1cf3da0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d5406560-ee23-434c-b263-c8b36fe8e726", "count": 1, "frequency": 0.00026602819898909286}, {"name": "baa317e3-8f46-4a51-99ff-923f16cc2875", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2701c5fe-1323-42b8-9947-b3b8753cface", "count": 1, "frequency": 0.00026602819898909286}, {"name": "feaa29a0-eb90-4bfe-9f53-edd8777f0072", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e043e41b-4fe0-4a13-9e01-97e05aab546b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c34598e5-4d19-47cc-a627-358f08316a57", "count": 1, "frequency": 0.00026602819898909286}, {"name": "123ed516-1d08-4dc9-9112-7448e4865cb7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1ea5c0ea-88b2-4a7f-9a1b-1ec49541c8b6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4667e07d-bd42-4c20-a0a7-1cd0fe7ce62c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fa962120-2fd5-4a46-a6a6-229c34dbed5f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3ecfaeeb-d3f2-4535-a9af-980662158a28", "count": 1, "frequency": 0.00026602819898909286}, {"name": "17e1806d-9745-4e5c-a356-64fb939a9e72", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dc9841cb-f476-4bb1-a10e-33c195428636", "count": 1, "frequency": 0.00026602819898909286}, {"name": "421b0bf9-7d52-4ef8-bd80-14b7e2fe3599", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8648ddeb-3f13-4ffd-907e-b750c2ffddb1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "62fccbc7-b69e-4c09-9b2d-63a2fc1b4a12", "count": 1, "frequency": 0.00026602819898909286}, {"name": "814039dd-9cbd-455e-b25a-a47b20f6a57e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7bc4d2df-c7d8-48c3-ae93-0b1d3f5c3ad0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0e9db6ae-86d1-4757-b13e-36e972edaa0e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5739db73-9623-4f17-952e-2688cafeac57", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6262ab3e-30e8-4517-bfce-d77318850e70", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a3e32a11-b218-4c00-868d-8d5e729a246e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b9558948-5aeb-4b9a-99dd-4f387088723a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2997bca2-421d-47ba-85ce-38cfe8b3b741", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0d8981f1-7b58-478f-b5cb-24caecd3be13", "count": 1, "frequency": 0.00026602819898909286}, {"name": "536a3484-cc71-434f-89e5-530d16918660", "count": 1, "frequency": 0.00026602819898909286}, {"name": "36359d1b-c124-491b-918c-1487949b90e0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3ea58628-837b-4fb5-bbc2-4b5784145ec7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "45d858c6-8592-4573-83a8-f9d42b1fc6b3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7d56f64b-57a6-45e1-a69c-5e548cf81626", "count": 1, "frequency": 0.00026602819898909286}, {"name": "69db0ad9-5128-423a-803e-5a1f39f7f10d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e0054203-53a4-4944-81f6-c9aae20ffc96", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cc480b16-d1a2-4490-a8a3-449d6eb2f529", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ce76b97b-090c-42d4-842c-b7a50c643f8c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8d6cb309-6afe-44bd-8bed-11f35f9e5ea1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4c7d5130-b471-4f72-a862-1527f62ffe36", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dd711497-fa0a-4b4c-8fb8-8ee8d2bb29d6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "47d416a3-4ed9-4d99-a3dd-012e83c63893", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4c688dbe-b8e6-42c5-863a-92f436d333a3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a7938919-2a24-4a39-b1d0-0e68a96b1272", "count": 1, "frequency": 0.00026602819898909286}, {"name": "038b7123-fabf-4c37-a5fc-4acb8f4aa910", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4a413908-f526-4055-845c-ea857518bd34", "count": 1, "frequency": 0.00026602819898909286}, {"name": "97a890d6-03aa-4d57-aa0e-8209e8aac01e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8f6f8242-c7ef-4477-b44b-d9be922238dd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0624a985-8b9c-4929-880d-b249594a99e6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ad6acb9f-9e01-49a4-abb4-e72dba60ab18", "count": 1, "frequency": 0.00026602819898909286}, {"name": "08ccdafa-d837-4a7a-8030-16b1fb850e28", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0fda2590-3ff3-4a7a-80da-e899b3f99d0a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "528ab5c0-728a-4a09-9d20-9674da020f2a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "359e85b7-c46b-4257-a57a-3c32dea8e26c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c7374ed0-f1a9-46ad-abc9-dba88d436784", "count": 1, "frequency": 0.00026602819898909286}, {"name": "adc6c25b-41f6-4d25-8396-1cdf7b1454c8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8a9bfd8b-a888-4588-ba31-ea06a442b865", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2da7fd46-5591-4baf-a095-da3c8635f3dc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d402f735-ffcc-45ab-a7b2-eaabe5cec1bb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "54599019-b003-4662-9e4e-40473fd9ddf3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e181a70f-27ea-41ce-bf2c-6b74919aa188", "count": 1, "frequency": 0.00026602819898909286}, {"name": "abd30e97-fee2-4cbd-8907-c4c1d6632b97", "count": 1, "frequency": 0.00026602819898909286}, {"name": "55944551-6a3e-4e7c-b66f-d27f0f32edda", "count": 1, "frequency": 0.00026602819898909286}, {"name": "eb056b40-7cee-4033-a37f-d753a8bf384a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5c178eb6-955b-44df-9266-3c40dd47084e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3074dae3-c529-4f3c-9d97-af453f85dab5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a2691e28-f0d4-4162-9210-4fb637ad6fc1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dcafec9a-f246-4654-b67f-e28bb07726d5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d6454b90-1e1c-4acc-b07e-5022ec3e38e2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7fb4057d-5746-4944-b7f5-0fe14ecca8f7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f8e2b3bc-ad32-4e06-ba0e-bc9ec3da93d1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6675b17a-4c51-42e9-baa9-c5b003305a8f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4c7808f3-9cda-4648-916d-dea4367cdd59", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aa481bb1-8433-4833-9f62-aaa58e9b0239", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d25874a4-b210-4e5f-8040-52cb2d167434", "count": 1, "frequency": 0.00026602819898909286}, {"name": "abafa0d2-eafb-4819-a9c8-935c009b3c46", "count": 1, "frequency": 0.00026602819898909286}, {"name": "756f5f71-c6a1-4111-a37c-81c8c12664d8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a41fff95-18fd-4e51-91eb-1a14c711a912", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c29c361f-1690-495e-bb1a-7ca774743f7b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7e9d2ad6-41df-412f-a72b-036e0b7dd41e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0f987d10-2b73-4e5f-93bb-c729acb5465b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "025606cd-80eb-4ef2-ae15-2bfe66d8c5eb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "50d7118a-30a0-4e67-a6d6-911ea641de03", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6b28440d-f732-4d80-9d59-1e0411532d9b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5efe87d1-620b-4c7f-917a-231d0c6de4c1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fc72cc18-da99-469a-ab00-76d4dcc60d48", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4640514e-3b5a-4ed0-bf49-2a874af3eeb7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e03c5a97-a910-4b02-ab55-1edd4d786ea0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f60e2ae8-4f6c-49e5-aa95-4e6626cad7d0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1f5b09b2-217d-49f1-ad44-c7beeb30e6a7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ad5505de-eba6-4a64-b818-2740929ef58c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4b45cab4-012f-45d6-a8aa-698812dce45e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a6f3c79d-63ad-4672-af64-048f5cae7a77", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d652c8cf-95fd-479b-97b1-f92c76633236", "count": 1, "frequency": 0.00026602819898909286}, {"name": "334ffc49-0469-46db-8a97-247f5cc8bd32", "count": 1, "frequency": 0.00026602819898909286}, {"name": "76979d2a-be26-411f-b05a-f3f482d93a2c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "36b7b9ea-fc67-4a2b-9877-311ab95e90aa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "da4b9c80-ba51-4323-af80-f5c38bacc824", "count": 1, "frequency": 0.00026602819898909286}, {"name": "667337b9-b323-457c-b51e-7461d62cf508", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f1d9a2c4-48b9-4406-a709-ed9a6e2870b2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "239975a1-5624-4b19-a412-e2736b64f752", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2ac12200-d7d9-4237-9c4c-e5b4dad7d22c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "96001421-59f1-4767-8ebd-69863e6a841b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d0a2a283-a79c-4839-8c7d-13e7e13e9c0c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "65ffa9e0-1c89-497d-8a38-ac01a2ac4b9f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "85684a5f-94eb-4e4a-b6bb-c0c61d067087", "count": 1, "frequency": 0.00026602819898909286}, {"name": "50516f0c-5183-4eb2-83ba-6f4a9b23c3f6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f615b8e7-5d8d-404f-a7e6-a7146d975425", "count": 1, "frequency": 0.00026602819898909286}, {"name": "51a3d9c0-ebd2-4508-a739-0ddf81fceba0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c9fbe824-91d0-4573-a7df-993afb4635e5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "224ecdc9-ed87-41e1-8eee-2b586385250a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8440211e-0581-4cfd-9f62-fc6b24de3df1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ea8e3603-e2b7-4848-b992-c2a9d09e8b43", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3ff9f650-cae3-4601-b13c-3fe8b826624c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e2226845-7398-4a3e-bb2d-3aa6e6239ea4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bdbcbaea-1816-4197-8a98-097ef7a9bc60", "count": 1, "frequency": 0.00026602819898909286}, {"name": "47bd6163-0e72-47df-83b1-e7eee1952394", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d79925da-fc39-431a-b835-b29c0982ecc6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8004fc6b-73ad-4424-8c5a-ec13f5841ceb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8ed3d58d-082f-46e6-b740-5f03654baa69", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cbb58a7e-2f3f-472e-a155-5228ffd00b61", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e4705f32-be2b-41b2-9c93-c55bd78d2421", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1d5324f5-c43b-43f7-9634-cf78c5f9194f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "51a979c3-e116-4c3a-b5eb-e601aecfa65a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3b9e7a9e-425a-4da1-b936-d511ff6cdd1c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f5c314b6-3871-4100-8a0d-2e609f993063", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ce67de1a-0b45-4c1e-80b7-1a5688ad06b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bd0822cf-80e9-49a3-9a8f-c52d4d3b9e65", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f6f8170f-1d56-48a3-b762-60a06cdd636c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "701cc047-a2ae-417e-8c3e-178d42b8327d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f9d923bb-8f2a-47b9-8c2d-77df71e99ed9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c32862da-90ca-496d-ae89-fc7f2580c514", "count": 1, "frequency": 0.00026602819898909286}, {"name": "929bf858-f742-4180-aa32-8cd088ea18bf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "df85ae43-26bc-4930-a311-5a22ab37a90a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "59b81e04-74e8-4348-88bc-8ee102dde5b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1fc94787-a36c-410e-9995-a2e49420cd90", "count": 1, "frequency": 0.00026602819898909286}, {"name": "91a10db4-fff9-4336-afa9-d10cfc3ca126", "count": 1, "frequency": 0.00026602819898909286}, {"name": "53785054-44a8-4b8e-ab87-716385b74399", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8e46513e-bbbf-4757-85cc-10c7f589bc4a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "40432883-c54f-41c2-9fbd-05a7e8536fe9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ef602385-de70-43e4-ba42-e60a6bc2c75d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "316374ef-fbe8-43b6-8223-44774fe41c7f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f7519d22-5e16-4ef5-822c-807787dbd5b6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d653018f-b3d6-45de-981f-45d19e4267b3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "681f445e-fa87-42e4-a345-0dbd4a3ccb5e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "32e7a155-75bc-47a0-ac55-2840428952ee", "count": 1, "frequency": 0.00026602819898909286}, {"name": "be0ec5c6-456b-4cf5-88e4-2c18e421d68f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "185c7c2c-3d0e-4391-a6df-9bb352b06189", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a03dd41a-9b54-4094-ba07-82a844eb1d7f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "85297110-f060-4ef3-9996-15b2c6ecfbb4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6c20c5c9-6f6f-4a9b-93c3-b65f83ff4715", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1138c25b-aa92-4de2-94b4-4ea843bd5bf7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c484125c-da89-44cf-ab38-714b9ae6c81c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c40160d5-0c18-41a6-b8ba-0724b199be9f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "df548d45-f6bb-4ee5-b79d-0501a2e9266f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "43958da4-e2a6-4133-99ea-a9f1630ad132", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9c7df3c5-74a0-4b70-8f01-760a24268ea9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "003671f5-8dec-4924-ab49-20716242e6bc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ebdf40da-bb35-4b55-8bc0-b01ef1e4eafc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e7e7ba84-a312-43cd-9ed7-ad78da82365e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b8b79bc7-fa33-4929-b376-f36c6f8c480e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cd3e30a2-a5aa-448f-a89e-cd2f121426c7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8a5f0457-7fb4-4007-b343-a504d5fa8098", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6b866391-9ac0-4700-b2d7-495a6db788a7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "851ca74f-60f8-4585-a7c7-31000b7978aa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a2937331-3ef2-4ead-a8ae-18ecc3f0469d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "820521e2-a337-4144-b208-0e0a90ea497b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4e478ed3-d4d3-476a-bf41-bed988109605", "count": 1, "frequency": 0.00026602819898909286}, {"name": "df01de6e-a548-470f-b9d9-12343dc2858b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ab19ca99-232a-4adf-bf3c-242822d50255", "count": 1, "frequency": 0.00026602819898909286}, {"name": "028006a3-1b6f-4cc1-a6c9-d10cc327be9f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "29b202c7-46f6-4cd7-93f6-0f497ed209cc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "62ecf733-558a-4cc5-802b-ab9588d39361", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1a7cb61b-eec3-40db-b139-5f9172dec301", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3fc8c0ae-eed5-47ae-9c42-40d89d904530", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3fc6648b-e34e-406d-92df-d3d6a8b2584e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "523034cd-47a4-46f4-88f3-113a7428b45e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "86e9b27a-4727-4391-9e9b-8aa94d2fa1c9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c02df63e-40f4-4112-961d-7d483108f219", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b4082e08-b8c0-4397-89d4-91ab5a6eb7eb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8d7c62fe-45c1-4526-811e-de9a265352b2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "42c1d776-1f4c-4b80-9f4c-da0653e4bb63", "count": 1, "frequency": 0.00026602819898909286}, {"name": "75555aa4-30f0-48d7-9732-b6df1271f823", "count": 1, "frequency": 0.00026602819898909286}, {"name": "da7c8716-c5c6-4144-ad40-bcabacc27371", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4c2dcd6c-88b0-4764-8305-16bcf2d97208", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ab1c374f-9743-4f74-9f16-f43c71921376", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0bc42276-1050-4ca2-b5b8-d47441d4d427", "count": 1, "frequency": 0.00026602819898909286}, {"name": "706eaf1e-0d91-4588-a1df-9c744d8ebdb2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "02c40d5c-0dd8-4abb-9de5-8dbb275834fb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c8c172b6-647c-4274-9211-0b37751d82c1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "544550a9-3835-49b3-9891-ed16714e7bb3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "78e55cd6-9ae6-4bc9-9ff2-9583867d12d7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b38ec2bf-fa58-4f88-8d18-51f457c4fe16", "count": 1, "frequency": 0.00026602819898909286}, {"name": "73de581c-4733-4776-8627-63be4e759fd1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a7c9a353-c2f7-4e89-9edc-ed9b1f3905bc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "352a0040-1600-43fb-8a99-4caa660d058f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8d8734a0-6349-4a38-8422-dce5a5bf253c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "13c01858-d4d4-40d6-b1ed-46102020b040", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1c354f62-922e-4116-be1e-dd0bbfa6180e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "82dfc376-3c23-4479-971e-02d3265c94df", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1cfd259b-54c9-4f08-b495-d8c4b4f4fa00", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b5f5a80e-8713-4ec7-8f3d-b23f40f6cb67", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fda469c4-444f-49c8-9338-4f54a106f585", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6bbe3e87-10f3-4843-ae23-3835f31567ba", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9c1f3631-a0f2-44cd-8ffc-cdf97badd723", "count": 1, "frequency": 0.00026602819898909286}, {"name": "22769f8b-d5a3-46b2-a20c-994a2272bb19", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9719408a-4021-46a1-8352-4fef931e0240", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d1391cca-c331-4f10-a85b-081896a0f2ce", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b46225b6-9e93-470b-9a16-87cd17a7c368", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4931ba6a-fa01-41b6-96fc-1944eaf6078f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9d1299a3-0e8d-4837-af52-5493fa74d017", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0bc908b2-740e-46b0-a0f1-acb7f8f1f480", "count": 1, "frequency": 0.00026602819898909286}, {"name": "22a4f27b-83f5-46e3-b3e0-57f3cb21c3da", "count": 1, "frequency": 0.00026602819898909286}, {"name": "038ae8d9-06bd-4af6-ba46-1e54eda24201", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d92fbe41-879d-47a5-b482-a29b080ec435", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cd94d732-10bc-4bc3-866f-7d3b13dd88b9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e3e1a00a-8935-4d69-a9fc-0ba46cdeb6f0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "539731fb-9e1f-45ef-8673-6e25579d6fd0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "acffb092-780b-456d-a62f-fc9a078b9ca2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "47247969-2193-4cc6-a8fa-51619741e032", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c2187a32-07f7-488a-8154-c9ca0fa44187", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6267b7ce-4ce3-4d93-b97e-5091813584a3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "68b2ae38-8366-41ee-b2ab-8a44c942092d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "324939c6-6c85-4c68-8c73-f2076f84bc3b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2a374917-48bd-4674-b9b6-bf515a4410b8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f30e7307-bac4-4a08-b219-dcb2adaf591f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "982f80d1-d49e-4196-b50c-86f4f8227ebf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9cac67e5-fec3-4b58-bd06-135984ee0097", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0835c86d-f580-4261-bacc-621506be2d3d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "50ccf95a-6a04-4306-94c2-ae24ea7d93c4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c4825d51-5350-444a-9207-cdd30b2c33b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dffd40bf-55c4-4713-a908-273c5b24929d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "843a4389-cef5-4316-ad7e-c08d2f61240d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "433d435b-f927-462c-a6dd-417f15d2db14", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cd0c521a-fa97-4372-8876-ba9ef9cdf252", "count": 1, "frequency": 0.00026602819898909286}, {"name": "912cbcc0-9484-4c27-add1-ef64378bf05e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6de3f2ce-ada8-4187-8d74-f2d62e5cfe24", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5450fce3-89f3-49a8-ab23-8f396bb292c7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "be144c8a-0c3b-4d86-87aa-ecfd60c3779d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a89c9335-10e2-4c15-8e24-ebf9d0b1de4e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b1671c4e-adaf-4de0-83ed-46f98770be9e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "46514c6a-f4f8-4502-960e-e7679ce9d6fb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ba4d40f5-51ea-45a1-b328-8831527c28fc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2bdac6ae-2c6c-4d55-934c-434b40eccc78", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9effa013-0493-4414-aa97-29af1e75182f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "623c624b-62ff-4669-92d3-3879688d25e0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6244d7fd-8d94-4408-823c-ed3c08520acb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "78fee551-6fce-4a78-ac7c-a8d2af70ebe9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "159d3e02-575c-41a1-8d7b-a43d887d058a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2dbe1467-9600-4db6-be82-22a4ab84d924", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0a482eb2-cc5c-45e8-900b-5a692fc26347", "count": 1, "frequency": 0.00026602819898909286}, {"name": "20712be7-8223-4a79-acf4-f62c27188cb7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3c4dde7d-85b1-42a5-bec5-083c0ec23137", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e0dc7834-2bd8-4225-83d6-97ec62709457", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7cef4c02-39d5-4842-a828-fdeb83dd6395", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c8dfc6f1-0b70-4539-aff0-c748f774c8bb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fedfbd70-8f57-4a5b-a798-2a154090cb4c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "307e6ee1-c957-4350-8f67-d14d9ab379a5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5a8f9751-5419-4530-a659-515e6be43291", "count": 1, "frequency": 0.00026602819898909286}, {"name": "07ba2a9c-1d5f-4585-bc2f-daf3c6090173", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bef63d15-4d9a-4c15-acd5-7f93e9f4988f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8ae0fe75-36d2-43a0-b8dc-04931358ace0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a88c6c1c-d476-434d-8815-1967fada5f6a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "689ded63-16d9-4185-945e-7d789a6f45b5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "79d0f175-b241-41b5-9895-8211beb0d6c4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7348fe45-7d29-435b-97ea-cd3e3780898e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e28936c3-b740-4bed-9004-f78414d694c7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5b1e30dc-6075-43b1-9c72-078f30b71e30", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3d2d1ab1-b20b-45c1-a887-3e1f7cd2c885", "count": 1, "frequency": 0.00026602819898909286}, {"name": "afe9a3aa-a94d-4e9b-b627-88d5c7d14c8b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "231ea627-ceb7-461a-9faa-500ce200b8bd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "72b3408c-5f22-40de-a5f2-8a670c9d3dc6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1abdee1a-5f29-488b-9181-a833612ca9b1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7e516b16-8e22-4dee-9c92-c80719ea77ab", "count": 1, "frequency": 0.00026602819898909286}, {"name": "08b23822-3e25-473a-b705-a542445eeeb7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "08347a80-8941-41c3-9326-6934e841e423", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cbb4d71b-2448-4b7b-8abd-af7a7effc238", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3f7338b4-a66d-4381-9f48-6b743e14b1d8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "395ffd2a-0fe4-49bc-83d2-169239a62c52", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b4c2db1a-2eb4-4b8b-a50d-eef2e9ba6395", "count": 1, "frequency": 0.00026602819898909286}, {"name": "859f410a-9c42-41ec-afb5-32dd562a0a2d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "22a797f2-af23-4844-8ec5-f477037fd413", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3cee6a22-8ab2-4886-9b0c-e253268a397b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "871a5aa5-f31e-48e2-93c4-7c4f828fedb5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "455282ba-5ec1-431a-86e0-05d0d37e980d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f87b1038-49e1-4219-8210-0f3a8489f7de", "count": 1, "frequency": 0.00026602819898909286}, {"name": "008668b2-facc-44be-a633-9e102bc03a68", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8b0c1b3b-97d2-4729-aeba-1a88b14cb3bc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "94e0bd54-e7df-4bc3-860c-e970a018080b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ac5442bd-75e6-461e-afce-a0164e0a6815", "count": 1, "frequency": 0.00026602819898909286}, {"name": "777fe3d6-2a9a-4cd8-a8fe-8f5aa6269135", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c078d9bf-8dce-4f68-862b-03f999bac041", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a45eee93-d971-4322-9867-cbdaa83cbc34", "count": 1, "frequency": 0.00026602819898909286}, {"name": "850dfc43-8a43-4211-993b-15281191acda", "count": 1, "frequency": 0.00026602819898909286}, {"name": "18fd5751-340f-44aa-a3ea-f335e4ec697d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fd8bafb5-fa48-489c-ac46-08bd7d445f9a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a17d35d1-10e4-479f-bde6-12042ffed319", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8508163d-38c9-474b-838a-370f1a222020", "count": 1, "frequency": 0.00026602819898909286}, {"name": "35fa0812-7ace-4e88-a042-2e25d7fa4874", "count": 1, "frequency": 0.00026602819898909286}, {"name": "06c65588-8af2-4af2-a720-2bef159e1801", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3cdc7ed5-957e-44d1-bd4b-e32da53b1694", "count": 1, "frequency": 0.00026602819898909286}, {"name": "59f465de-1caf-4e0c-bf7a-cbd23659c5ca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7d5e661a-f3f1-424f-b86b-feda95e5ae13", "count": 1, "frequency": 0.00026602819898909286}, {"name": "553366e5-a193-41fe-8a9b-4e4871827d6a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "71eeb2f1-07d7-40bf-acda-11126c21b3f0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6b10d2a3-f36e-4b97-b896-0e01beb16eb0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a1af3845-daf4-40f2-bbc4-ea288c78bd34", "count": 1, "frequency": 0.00026602819898909286}, {"name": "164eb86b-82e8-4195-a1f0-e98fe6757abb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bf309c63-1806-418e-bfd9-0afef4188bfb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "57f6b559-45d8-4014-9ff3-d856c6689f14", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e610dce1-9715-4123-a504-085314399a64", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0b6c5761-b15b-4f1d-94c1-6aa875e4d1b3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0dd43f38-f683-4229-959d-c21960ce8397", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7573458e-495a-4073-88ca-3ea0fff9b4fb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "58692662-aac2-45c8-8376-4e1bac75b563", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a6bd4d38-d984-4684-bfc1-a634ad30cb8b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0b0c27e6-66e8-46c7-add4-9fe9274d0704", "count": 1, "frequency": 0.00026602819898909286}, {"name": "51bd2b49-185e-4a2b-b9ac-b1bdaba2def3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2b8b7d8d-ac7f-485b-993e-8306d8f12ecc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "47ab625b-eea2-479d-872f-3917e2589f52", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4d74975c-6009-45e9-bf3a-61022049cbe6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b4d9547c-b1f8-4a84-b403-3c63fb271ec6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "df75b631-f142-47ad-b5bd-62e2ef4f10ea", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a983d8c3-b8a5-499d-a471-ee91b4382783", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d92bc1e-696c-451b-96ff-2acd6594e939", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b47bbf6c-f94a-4316-be9c-d116caaf7edf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "90f24c55-38ce-44ad-9e2c-deb025e1c6a3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "eb465c7b-334e-4498-b304-a15c041ea6b3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "761c194f-6e76-4d7c-b63d-274ebf2030fa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d9ffb5f-f3e9-4f7e-88c2-992626aa8967", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8ced049d-8c60-4ae2-9502-93852301728b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d7e46621-be93-40a6-8119-81faa25c12ec", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a6e77472-d006-4aef-be86-af30c4e9b73d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "de417452-2f90-4dba-baa8-a23151073ed8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ea6ba2f6-c768-49a7-833f-a0d85583f90f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "188755d9-4518-4927-b7f6-c0b29304b10b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "860f578b-2fca-49c9-ad62-26edc5841e2f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0e69d94e-d14e-476a-a4f3-5d12f601ff5e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "db3f1e43-ef18-41bc-9c65-efcd686b9451", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5735d0ee-17f9-4c15-88c7-a6885328b77e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5a536e1d-7c3d-4fca-936c-4ecbd06d1973", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1c5f64ef-e37c-4254-a284-1c2ab73748a7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "14f73e16-1923-4bfe-bb60-28ba6ce02136", "count": 1, "frequency": 0.00026602819898909286}, {"name": "77c17f36-e7ad-4144-9242-4f91170e1e8b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "749557c9-ca93-4d32-8a1b-d8fca0de9572", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f1492521-d782-4b45-a7e2-6d941c0a605d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "28ab96c4-b307-4340-8065-ed5c8ed3aafc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c31b89e7-3d15-4016-a9d3-ec50b1745383", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0f49de1e-3b3a-4404-970f-91350abaf912", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b2538352-effa-490b-a7a0-141e6a2dee39", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d72c2025-0393-48e5-adc6-dc47fc1fe06e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7b50b62d-7634-4a6c-9509-1827fd2e1c9b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3ca9a519-d887-4ad3-9b81-fae8c3143781", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3dcf31e6-d72e-4573-bacf-405d8e24dde2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5b6b7c99-a16b-4263-b915-4dc7ff52de60", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8f64fb6c-f803-4540-aef6-227de58586c5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e6bb35a9-bdcc-4fb2-92db-0f43998635f1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9d35d28e-36f7-431d-b74d-0731e582f1c4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6aee4b5b-160b-4220-beb7-2033e559ce0c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "eb3c28b7-6141-4fbf-bdee-a42e2d553223", "count": 1, "frequency": 0.00026602819898909286}, {"name": "84ee79cb-3c13-42a4-bdbd-b854a520124f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "50015314-ec16-41aa-870f-a33324b7eb39", "count": 1, "frequency": 0.00026602819898909286}, {"name": "167001d9-7aa8-4711-8bb4-25935f847533", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1fb1103a-bf6c-4e79-a392-771679aec5fd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "09cce02d-f22d-42f1-aa44-3825935f3d79", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0b8e37c1-3435-4728-87e8-0bbfca65f9bb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c29e43e6-a14f-4e21-bc65-77c5abc8fa82", "count": 1, "frequency": 0.00026602819898909286}, {"name": "77154e21-b1d8-4f49-9cc2-d9092ac706bb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b106045c-778c-4249-b114-588fc3fc5690", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dc28e794-f4b9-40e8-83fb-041f3ccf2ef9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ab0f82bb-2a28-48dd-a6fe-9dbe1decf403", "count": 1, "frequency": 0.00026602819898909286}, {"name": "33b10ca0-18ec-4fee-8a11-ea40e312d6cc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f632c62b-5422-4d56-851c-f2d2ff8ec95e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2a60e105-2a61-409f-a34e-e7cf7bf4ca20", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c14749d4-195e-437b-8434-8cc2d56a7605", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1d4d08bd-13b2-49a5-bd93-c0dd6ac66e73", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9d69d439-6a7b-4f17-8eb5-5c677f899517", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e696ba77-908c-4dc2-8a21-30f793aabdc9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fe5e00cc-71cf-44cc-8ce5-9df3afffdf14", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7f8cb36b-9d21-46d4-95b7-6c1361fa8c2e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f05c53ee-1063-43a7-8271-b7e3b2366419", "count": 1, "frequency": 0.00026602819898909286}, {"name": "404b4fa8-cb10-4b00-aeee-14bdac140338", "count": 1, "frequency": 0.00026602819898909286}, {"name": "73c31d8f-6db3-4337-b882-548fba601cc8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bbd5ad42-77fd-4340-81ef-2842a9fe6f1c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3cb6447d-0663-4a21-be47-f795221a0f69", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5c9f9095-fe6a-4254-ac7f-c7057a1b45d9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1afc16dd-23ff-473f-a9c6-17abab802004", "count": 1, "frequency": 0.00026602819898909286}, {"name": "125323bc-6ef0-425b-922c-9fb74652b3b9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "be06be59-24ab-4c44-a2e0-aaeb6826ffd8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ff5acc25-6e0d-4b1b-8099-a4b39d684c13", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a914f76f-73b5-4731-902d-0a434a1a25d7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7844d764-de34-4f3d-b111-a34cdb024678", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c66f1dc1-3268-45e5-9b0e-a6d5eab90281", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ba3fca40-bfcb-49d1-ab7a-396eb6c2826c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e6e959ab-92a5-419c-9fbb-c4105e846f6f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e1330fa8-4cff-4e05-92f2-665624f13cdf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e5aa6f4c-5f1b-4cd3-95b0-9db1e68c8290", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2c0bdf9c-7c82-4709-86b2-f748c9948f2d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "90449ea4-0f13-4a5d-b81c-09e2f8425463", "count": 1, "frequency": 0.00026602819898909286}, {"name": "83fff75b-c083-4217-879d-97bbe242d435", "count": 1, "frequency": 0.00026602819898909286}, {"name": "900a534f-80f0-4c8d-93d7-332eb97ad9f4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f098ca38-2f06-4015-81f2-c2ab3e13eded", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3f19d1ec-cedd-45b7-a136-c4a9af980d2c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c94e7064-38ae-486a-a48d-668e382d0bf3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "68faa51a-0910-4832-9a82-6d39147b14e0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f805f365-5612-4613-85ce-935b7a19396b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7c3872c8-f2f2-40c0-acda-deda49322b52", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3ed96c83-bc53-4fc6-8cec-e1c6982cd3a4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "db653c08-1bb9-4cd8-b3b3-5a553699d5a3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e1a03f1a-2af3-48a3-8609-ea64589ed376", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a3aa2663-26ef-4a12-a4bc-a8dc408b6024", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b1804a09-c4e1-49b5-9caf-db9173cc3b13", "count": 1, "frequency": 0.00026602819898909286}, {"name": "01d89133-d168-4134-90b9-7e890874fef7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "930c9b28-afe0-4a96-90ae-9bcc1188adad", "count": 1, "frequency": 0.00026602819898909286}, {"name": "111528b2-78e4-4464-97ae-60c2428516f4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3c11b2a7-6437-4fe3-a5de-ab99af5b5f5a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "da791e1d-588a-426b-b599-1018546ac8a7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fa89c22a-7f66-4879-a5dd-a0209d9684c2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c8d382af-d098-4fb3-9d19-b7f05a97e953", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ef2f7e09-65a1-4075-ae4b-f35af6e58f40", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f2d8809c-a744-470d-a15a-b100cf3c1edb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "706c102a-ea1c-49bb-94fa-41392dc55d0a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3b4f384d-bb24-474b-8442-2b1ad566d554", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4550148b-6f2b-42f5-a8a8-a6bb57934084", "count": 1, "frequency": 0.00026602819898909286}, {"name": "85567305-a6d8-4373-9fb9-e46f7659e72c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2821661f-2416-4411-a54f-6349c68505bd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8685bb94-fedb-47f6-b2f5-0da97ebfec48", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ee393254-0bed-4ef8-80f9-5953a3c15e2c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0825804b-4bb5-4168-819d-c591a06a95f1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6ec684d2-a0b3-419b-94b8-d044b799ccfe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "01d46ac1-ad31-4750-a986-2be1910fc983", "count": 1, "frequency": 0.00026602819898909286}, {"name": "32c0310b-fda5-4d36-a2e9-9cbd1fc87375", "count": 1, "frequency": 0.00026602819898909286}, {"name": "536eac68-ff2a-416d-aa60-93d8b6342d71", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ed3b8a7a-d36e-4d1d-bee0-1508077b2a84", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c167e1b9-5990-4389-9ced-8694a750d815", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e26b00be-e592-4b52-b7d2-ee6ae375ea65", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5ad98838-e197-4849-b872-c5ad59e72e2d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8cca3d8b-10ec-48a6-87a4-29edefc19a5d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8c5f8c1d-d56e-4492-bdee-3d87bea4bb50", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dca738a1-05aa-4713-92de-483ade5f84cc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2e10f436-fce0-4ac8-850d-1d7d98c269a4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "20005bfc-3876-4ff2-b4cc-5fb290293862", "count": 1, "frequency": 0.00026602819898909286}, {"name": "57be08d4-85b8-47f9-bf0a-d75369ebe58e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "18c8caec-e951-438e-9130-75070fc66574", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a0eb392b-a7a0-4c4f-a505-2217a522674d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9775202f-1987-4995-bd7a-3fd8c4a13055", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c65a5871-120e-43ec-98b9-a28eb1ae4070", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dd829d75-5f23-4085-89bd-d6c4d8dd222e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8c4a9bec-f80f-4207-bed3-d3d3e8bd2eba", "count": 1, "frequency": 0.00026602819898909286}, {"name": "de4fcd1f-7916-4c4a-87ec-c4d8e85884e0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bb7ceb2d-a1d2-447e-a025-10d1ee16da39", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0d748f96-1290-401b-906d-dff4cfb1f0d5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "93ff0f7a-9bb6-4c5f-a9a8-d9224c15a096", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3816eb2e-fdb1-4a9b-823e-95f6a19a129c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c654528d-00ce-4134-b524-b0939b0f9673", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e2b81645-6d57-4259-91b5-996067e690f3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e1ce4c86-13d5-49c4-8820-eb83e956fca9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2fd815c3-1bb4-4645-bd5b-7f8b87bd6e9b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4b6a472e-a124-40fe-832d-71422eb47671", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f9ff25d3-f319-4674-9876-4be66785307d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d047131b-c74d-4525-9f45-a7676742e27d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3a19b71d-0cf9-42dd-b4b0-e944d125efd6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7a40bbc7-40d0-4a57-aacf-82c507dc329a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7ecc2e30-5265-4feb-acd1-76d98782b177", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d34adeb4-fd43-485a-9354-edd2c23713f3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "756898d5-acfc-4251-aece-077ef0fb994c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fe98fd98-72e8-4386-8843-00cbd66e88db", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6a038e6a-9bfc-49a5-9256-225042287afb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5b5dd807-fa60-4a72-96af-a39b39d22839", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a216dfa0-6aad-4a61-86df-65d50b56ed4c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1366c770-43a6-4f9a-aab4-f4baa9bd26ef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7ad50cda-e895-4302-bb59-359e1dad35b8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8d0b2595-8267-4930-854c-329b0fef36e5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "57ef8771-ddd4-4387-9c7c-5478c2629c45", "count": 1, "frequency": 0.00026602819898909286}, {"name": "959ae0fd-6ba8-4f05-bf59-4bc8d82da4e6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "11a21978-7632-4c02-92c5-444f3a61a230", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8f21ab72-5a88-4cac-bee6-54f9c38fafff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2a008af0-b6a6-4145-81c2-9ed36b32423e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0424f360-d486-4c05-949f-3c4017fbb095", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d8ba4188-077d-4d9d-8a34-09dd3578db77", "count": 1, "frequency": 0.00026602819898909286}, {"name": "633ee62f-3d1f-41f7-bc55-964c6098a6ec", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d1572d5d-41d5-4ba9-954b-fb12bc23a57c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1c392483-0908-4e47-8732-553fcaa47184", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2d7368ee-e793-4fe4-a6de-dd619addb941", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7c1e93d6-cc9c-455f-8213-17747ff55b26", "count": 1, "frequency": 0.00026602819898909286}, {"name": "63ef2c0c-cdec-418a-85c2-776806b1f057", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3162c081-3af5-42f9-a81f-95f0bfe9b000", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3187139c-4de0-4052-97f9-cf7bba82be14", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8378ca7b-3cd9-498e-aff3-3f90661aebab", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9d82947d-fc13-4b16-9111-943f6f5d8a33", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6cfc4ca2-fb1c-4370-990c-e7b3833f9a24", "count": 1, "frequency": 0.00026602819898909286}, {"name": "09a02917-f918-489c-ab1b-1e467336336a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bcbd5f16-699e-4bbe-b8d3-e7d824164511", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4a59e3cf-6c8f-4c69-947f-f44a07302a5f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cdae4d1a-b57a-46a2-b04e-edc433751308", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3ad1735a-d60a-4433-80ae-42931e52ebb8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "25f4529d-5f53-4d30-b8a6-8ab7015b7e40", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2a46da1e-9e95-4cb9-b499-6cbd16c055a2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b13d47e8-3ef6-4b01-86eb-af6191705193", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dd1d4207-75af-47cc-95b7-798bea29a256", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6c6a073d-e42b-4dac-a8b5-de955dcb892d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7c1782e3-dfc9-48a8-b9eb-5209dfb20ebc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5896f5fd-1b43-43bb-95a9-73af8f186005", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f15f75a3-2039-4526-88ab-f9f571cd3613", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bde361fe-f050-4a06-b977-d60881148579", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dfe95e59-77a4-4bad-a168-bef94f9fc64f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ad1bd2b2-e368-4e9f-87e6-d5d06eb172c0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "591ee3b9-2a4e-4eb8-8f7b-b62287ad55b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8335417b-a966-4c6f-99d5-9e41e8cf3e65", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ad9a4160-435c-4fb1-b2fd-91419d6164fb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ff894390-e731-4e99-aea6-635613336ddf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "39bc9ed6-6600-45af-b272-feb6146123e7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "37c88ea1-8228-439b-b9b6-111e4339f855", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0fe276f0-ad27-40bd-9a25-09311532d6ea", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f00ae638-54e4-4be7-a6c7-8b4fe8dbc6ce", "count": 1, "frequency": 0.00026602819898909286}, {"name": "668d26b5-edbe-47a6-9961-4f5d3cf5f7ea", "count": 1, "frequency": 0.00026602819898909286}, {"name": "91f978e3-a4d4-4b0e-80ac-2c29e71874eb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "728880ab-7453-4da8-b89c-f27d3317396c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5ccc03e2-2b32-419c-a76d-759fc1431e96", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d3446d6a-a2e5-43f1-b868-726c72f2b96f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dc0c23fd-06d4-40a2-85c0-8b44666233e4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "90d72b41-7c35-4e99-bb18-b58daf67eb9b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c27e1731-2403-4d13-950c-58ccc659dc8a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "399a3a5b-38cf-437d-a3bd-dc6ab7a4154c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "216b6dfc-f662-4ad9-a404-6d0730f0292b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "edd8f69b-10ac-42c8-83e6-287bd8b33214", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b14579a2-a156-44c1-b783-4d8804e44971", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bb55149a-41f1-4225-9d92-935e3196f002", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2f9f5f62-db6f-437e-b591-68092145f18c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e8b306e8-d76b-4ec1-8f07-7d568e29c6b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "42f8dc39-7b16-4e6c-837b-89fab67ff8ef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c672b9d4-00f3-45b2-9f5a-213ee4250f11", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d16cda58-9c37-49f5-89cb-e537652ffd28", "count": 1, "frequency": 0.00026602819898909286}, {"name": "caafc2b8-544a-4a29-8eaa-7e2425c7c417", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a8ebba03-c555-4b3b-a233-ee9387a0adc4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d13ffc82-4217-48aa-94fa-f61110af5c45", "count": 1, "frequency": 0.00026602819898909286}, {"name": "13abecb1-e89f-4bec-a3be-84bdbd046118", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7e46252c-3084-4cff-b983-939acd5af5ee", "count": 1, "frequency": 0.00026602819898909286}, {"name": "81994ac2-dbeb-434a-a73f-68e3ee3837dd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9f13bef6-cdaf-46e0-895b-0f27dc83ae17", "count": 1, "frequency": 0.00026602819898909286}, {"name": "deb5819e-e044-4746-9e3f-63478b1fa48f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fae9e46e-ad17-43dd-b2c7-3e42e1d4f537", "count": 1, "frequency": 0.00026602819898909286}, {"name": "847b950f-d157-46e6-91ab-f019f3aa1a15", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8e596c31-b4e9-492a-84d4-f93a6c459235", "count": 1, "frequency": 0.00026602819898909286}, {"name": "51fc626d-0949-4e84-b649-1cddb060bf28", "count": 1, "frequency": 0.00026602819898909286}, {"name": "caa795fe-7e7d-4bc4-8e21-7d45da839ffe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c8532312-294b-4381-89a4-f489d714d531", "count": 1, "frequency": 0.00026602819898909286}, {"name": "47bd52e9-d136-4565-9604-335652546c1a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f831cc72-445c-482c-9219-a0730f70160a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8f6b6e1a-2a6a-4ab0-8084-2c5ecde4eb24", "count": 1, "frequency": 0.00026602819898909286}, {"name": "301bfd7d-f9b4-46b9-94e8-0a5b3549a36a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e8ac852f-76bb-48e0-bd31-571c5d4e6759", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3790eb52-4213-45cd-85ba-106b24c2732b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4c500e6a-ea63-4a81-b75e-e88cc2bb0601", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c47cd971-8c75-4ad1-93e3-60344c57cb59", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e8dde62a-76c6-43dc-aebd-ab4ca02be32d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2e254818-6acd-4f74-b497-5dfda259f414", "count": 1, "frequency": 0.00026602819898909286}, {"name": "307a6f86-a24d-4a7f-8307-ba2033a91cf3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f9ab2952-f97a-40a6-ad30-bc1578cffb88", "count": 1, "frequency": 0.00026602819898909286}, {"name": "db13506a-45a6-44bf-8cd7-098bc60f3c0b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "af7f5fbe-3e4f-491d-a701-d5e9ea8b1702", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d8df1b9-7e45-4726-bd8a-4b6e0c672dc7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b45ba655-c9e0-4cd1-aefa-2d9bcf00c293", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4437df6d-d614-4cd9-bedd-8bbe6ff29e8d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1ab37eaa-7ff9-4c7a-8faa-4484f2d4a5c3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9f595c66-9a06-4f7f-a2ec-cf1b8ba61e68", "count": 1, "frequency": 0.00026602819898909286}, {"name": "40f17567-16b4-4257-8960-d98bab2e563c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0bb4e916-2f15-4cb9-9d57-c3f9cd0dccef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "48260a4b-acbd-42a5-9eba-96fed48a266a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bb856e74-27b5-416c-bdad-d53ca98c59e8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bf540f20-fbdb-40c4-94d3-ce9a9c0643c2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "42b51912-b8d0-4d40-a8ae-5ddd17e0fb3a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e40e3624-6f57-4e25-9891-c94818c69502", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c88afb19-9781-4ffe-a8e4-e7697a266d24", "count": 1, "frequency": 0.00026602819898909286}, {"name": "61bf9095-d883-4ea0-a0c5-1fcec77145c6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b5eca57d-e105-4ba4-946a-e2fd50c534d1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4afbaad2-10a2-4dad-9559-7f57e625fc4e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e6d1085a-edf7-446c-be0d-0f4c24abd311", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a5701c6c-a86e-4ae7-9261-be0838a70860", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c19c7b3f-ea6b-4671-829f-243821b7c0a6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6876c628-e421-4ef9-ae1a-b7bfa3b60096", "count": 1, "frequency": 0.00026602819898909286}, {"name": "923f083e-4db8-441f-bbac-635a03d7d022", "count": 1, "frequency": 0.00026602819898909286}, {"name": "41a84050-772a-492e-beed-7567c3ed1ef5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ccd9d5d3-927f-48ee-aa5d-d44228f74246", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ff765ed2-ec16-4960-919e-626c0a4f86cc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "48baa4c9-e619-4c72-9f82-b549619170df", "count": 1, "frequency": 0.00026602819898909286}, {"name": "98061c48-1f25-48cd-b4cc-beff821e02e8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "125b61ec-3a5e-4c06-93da-6050ab823a0c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e838dae9-8981-43a9-88cc-90bc27693c8f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3c390a3e-0aaf-484f-ada3-26ff2c45d1f2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b69895a0-2229-4bba-8315-0ffecd760d94", "count": 1, "frequency": 0.00026602819898909286}, {"name": "60f71893-fd51-4d3f-848b-0351b6d51eb8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5e1a450d-c905-4552-8023-1f87b27f102d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1adadb8a-3375-4e2b-9f22-9a3566695f5e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8b98393f-3ae9-4ac3-9d57-85eba831ecb5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "364d2283-c257-4cbf-9025-9ca78bb7c1ef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a2a7f06c-67f0-41ec-81f3-fe4d5fcfc27c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "af3c7380-54a7-4ed6-82c4-68bb39ca9609", "count": 1, "frequency": 0.00026602819898909286}, {"name": "eda09faf-cac9-4abb-93b6-f7c24379717c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a4b2b535-cc9c-45bb-8108-f8f444c59a76", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4779be58-7b1b-488f-8ea2-3cc0b1787b9b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "789de834-8e4b-4803-9f44-89aabdd5a903", "count": 1, "frequency": 0.00026602819898909286}, {"name": "91cf42b9-0ad3-4d30-9aee-523e3a916e42", "count": 1, "frequency": 0.00026602819898909286}, {"name": "96616320-4d32-4420-9fee-463cd01b0f56", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6ca0f9a9-c132-4464-9add-cac0bf57f8db", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ec7bd10b-2b9b-4306-8a79-3233590dc631", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bf38e692-5dcf-4693-90b8-d3b62514acfd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c6f90c62-2c91-45d5-8f5d-d859f602037e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "12ee3e0b-348c-4431-a20a-f7958c6f749c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b342ae0d-32b0-424f-8c4a-89f58cfc5eee", "count": 1, "frequency": 0.00026602819898909286}, {"name": "441759ce-edaf-4950-8189-7a7cdf02fb11", "count": 1, "frequency": 0.00026602819898909286}, {"name": "66206e28-0c60-4d62-bac4-31e6fb9fb1de", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1e2c4c37-3ec7-41df-8772-717c02e3d2bd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6d47ada1-6973-4446-8498-74e8143991fb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f6b01f6c-e981-4a87-8935-21627914b228", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fa7574c3-a7c1-4031-a455-434138d30bdd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3bd7ddaf-6996-4bce-a3ca-fd9734e0359d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6a14f2a8-0f7e-45d2-8ce6-bfdbde9bd4f5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "87efadda-1250-469b-b9f7-c36fb56c75dc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7030f2f4-4ad2-4b81-a673-4a62edd0b7c9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "56d91780-8c5b-40e6-8ecf-a085b97fc964", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d4491f19-e67e-42f1-a2c8-84ed446ebe5f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a3971407-2463-4e37-ab98-03d1f4b52479", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2c8c83e3-b1ad-4cd5-ab91-08781326687f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e6a191de-3cb1-448e-9a02-2b59586c388b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c8730052-3908-42a7-a6bd-bb9ff072d797", "count": 1, "frequency": 0.00026602819898909286}, {"name": "95f097c1-0366-4711-82cf-c0770efe1484", "count": 1, "frequency": 0.00026602819898909286}, {"name": "761c4941-8a6c-4336-bb87-c418b258ba4c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "608cac71-651f-451d-87d8-7aff8de79150", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8db2d57f-8635-4d9e-a77f-a54e041f13d8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "219f0533-2020-4dd7-9879-1c6e3c353791", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1d3e4cd0-ec7b-41b3-b018-a04980dd1c5f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "594274a4-3a46-47cd-a5b9-6a0d4b0f7bdb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d78e5715-abb7-4f25-9c49-d1598018ab1b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "45cec4e9-ac7e-4569-8270-27c1118d8d01", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6239b8cf-8c2b-4617-8ca4-045f8c229dc3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "863bb8e2-a931-40ff-9bab-ae32d6d81b3c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "903bf285-3472-4568-8239-63622009c473", "count": 1, "frequency": 0.00026602819898909286}, {"name": "11cbc77d-6214-4aa1-8245-ee057e958e40", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e0e0370f-61d2-4b96-bdfa-e0b3aa76abe8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b3b67545-fae3-4a18-9034-31c425bbccd1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "68609811-ce08-4505-a8ce-0050d73c3156", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0405198d-c8b2-4e31-b71f-e16384a2c3b6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c499be8b-23d1-48f4-87f8-3b020641003c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "34e4450c-6bc8-442a-a8ed-7ea95f6025cc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4772a6e0-178d-4aaf-b039-56c77b2807b9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "80a2bf68-a2dc-4e5b-be3e-5b3c45694b43", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9a9a9326-d7e2-45b9-99aa-3ecc333a084b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dfac22c3-de6d-4951-9bb7-4a2d8f616bd9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9b0fa5fe-fde5-4ca1-a351-b7d390532769", "count": 1, "frequency": 0.00026602819898909286}, {"name": "19990b80-5741-467d-9f24-6058a11af685", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3f40179d-1f20-4264-b75a-df73a36b341b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "af2ec1c9-9be7-4646-b1af-334d6e7fb296", "count": 1, "frequency": 0.00026602819898909286}, {"name": "06394739-7bfe-4d48-b7b3-19c7c0c5f301", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a22b1dc7-f73e-45ab-b7d8-17875830a9cf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3cd00680-660d-4614-bda2-88e799c9564a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "44d11f35-27ed-4dd8-ada9-203cb1f5745a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5b6ac1b5-b175-49cc-bf3d-5f74552d6b65", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ac5fc5d7-ccf7-4f42-9dcd-57f99d72db4b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "20052c7b-2ff9-43ac-99b2-3e09402be71a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "af3dca0d-edc8-465f-a998-708ad4cb4b97", "count": 1, "frequency": 0.00026602819898909286}, {"name": "779a3471-0b0a-4214-bd47-220159d0947e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1740b151-6a51-4467-ad3e-ab9097b2e3fe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "79eab3c1-5336-42c1-b5f6-81d253414c1d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f6510a67-fa8e-4d18-a026-8358544b6a7b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3e14f3a8-b1b8-4a1f-a349-582e208f7721", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9e02b465-65bb-4a01-8e25-1816e51300af", "count": 1, "frequency": 0.00026602819898909286}, {"name": "521c1cad-61c5-4a00-aaf9-d528c9bd5b3a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6ea0b570-43a0-469a-86e3-2368862e46c2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "adbcf5f7-c7cd-41ac-97cf-3a4c961a99ce", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1d78e467-72ec-47e5-8b42-817d9ba0c13f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d36a28e0-01fa-4d76-a330-1d7bc9c09708", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f3a50fc0-df82-4005-9b03-d8c585dfd036", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ba76afa2-d815-4ff3-9ad7-87978f44e1f3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8b037fac-3394-42bf-abfa-793798b1170c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "52813052-9d75-46f0-adac-05d7172c84a9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "917a3c7c-02aa-4efc-962d-5758b507d5bc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4ec683a9-d673-4503-add4-db82bcfdd67a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "045e73ad-3e0c-447d-ad15-c0aab140e318", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4861f4de-6c01-44d7-a003-be69b5149b76", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1a2fe13b-d1b3-4d10-8306-fbd17ee554bb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0866b6f5-affb-4a12-aaa1-4718e2b519ea", "count": 1, "frequency": 0.00026602819898909286}, {"name": "731ffefd-e1db-42a3-835b-3420297f4037", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7f053f17-37f6-408f-8d0e-840bb979a9ad", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b4fdeef6-505e-4614-8872-c0ebd9a088fb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aab6b245-bace-40f7-b653-056f7c4ee28e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bda248e2-df50-44ea-aa72-72be00ffa113", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e98d93b5-8ea8-47e9-b844-bc1fdcddceb9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ee3a852f-10e6-47af-8a62-42d7eecc5892", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e7b7977c-fc71-4bd2-83ea-1537eb7f8498", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aab34488-85bd-489c-8597-c293198b5acc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "581918b9-e73b-46d3-94c4-55fdd5cf88fe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4297abbd-2c0c-4907-8aed-1ceb113d2f3b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e8b62b0f-8d45-4e97-88d0-e4122612f101", "count": 1, "frequency": 0.00026602819898909286}, {"name": "70ec7910-b8d3-4911-b975-113f31772389", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b32ec4f0-7b1d-4368-b732-25ddf7396514", "count": 1, "frequency": 0.00026602819898909286}, {"name": "87692b86-54f6-4fb7-aaba-960b704cb57a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "069a8f01-9301-4859-91ad-9ccc6ccc0cc6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a03e7b15-19a8-40e8-8c7c-0ee8d3799e09", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5866c6bc-53e4-45c1-9ba2-d7d1aaae910b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3ef00004-9f78-40d4-b875-91114cf3b61d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3bb6beb8-2162-479c-b09e-60a424b8bbdd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f66c29c3-3b67-498d-a10d-04f294c53a0a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0b50c873-e593-4c10-81a0-5041f104e354", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9951e517-3087-452f-afbe-19870c7f69fb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f92c47a5-7ceb-40b9-9ba8-402023dfe154", "count": 1, "frequency": 0.00026602819898909286}, {"name": "56fe93ea-d75c-4c4c-9fb8-3485f04c17f7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ae866247-0826-4772-a2c3-236367497ae8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "324ab764-cf9d-42d7-831e-0d5ebd9c2854", "count": 1, "frequency": 0.00026602819898909286}, {"name": "db66faff-b12f-4aae-b080-d26e1d22defa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "29852626-d1c1-4b49-8e2f-6c1e2446b2fa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0b145e2b-d94b-422e-a20f-fe6e4a5caf21", "count": 1, "frequency": 0.00026602819898909286}, {"name": "55868bb8-b599-45fe-80d9-70090f7f5a5b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "999b50cb-e19d-4843-9df8-c20977cecf28", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ce279150-9351-48b0-b986-0b237bbd8780", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bba1c16a-bed7-4262-8436-b119f3e95438", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e3bef048-71e2-4255-8ed5-ecdbb4bf9f0a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "15a78187-1c2e-42ef-821e-811e04808d2b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9d312e37-db45-4ca5-b719-a37f558c6d60", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a507fe91-02bb-43c0-9e26-4f016b410ce3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dda409de-1c6f-499f-91a1-20e92a19c759", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bcec9d3b-6ca9-4c41-96b4-8060fa4e8b9a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3b62d108-d2b7-4b92-8792-043de942b83c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0f369c72-674b-4c45-945f-e94ba328fdd3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "75025de8-6978-425c-8c92-52be9fb4dc25", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2b35e8ec-f1b7-4baf-bef9-135d90b186b1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "24b58460-7db2-401b-84a3-5209f5a2af49", "count": 1, "frequency": 0.00026602819898909286}, {"name": "00892876-d63d-4170-81f0-820566475bd3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0a9bd6ae-27f8-4de9-9e08-8bac7e67b529", "count": 1, "frequency": 0.00026602819898909286}, {"name": "166a30e3-2b3b-4feb-98ae-bbe001056609", "count": 1, "frequency": 0.00026602819898909286}, {"name": "41a95851-d69a-41a9-a205-dea0083c3a08", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4155cff4-4e9b-41ef-871a-3563871b9f17", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bf82e7a7-89ac-47ed-8e5c-99ae12448c45", "count": 1, "frequency": 0.00026602819898909286}, {"name": "20a16467-0c17-45a4-99b9-300506e57a06", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7bfede8d-1ada-4318-afce-353dea2af53d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "19a61575-65ec-4d73-9c97-f2f5f78f82ef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bfe369a0-d568-47c8-a3c8-2ae127598bb0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0eead96b-7be8-472c-9f18-4e470bc3f365", "count": 1, "frequency": 0.00026602819898909286}, {"name": "00e9ce95-52a0-4e3c-99ba-41a838841a41", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bf1528dc-cc71-4c90-a2ab-9f4658413b94", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bee485a8-9a7b-4e9d-a350-38eda4adf3bc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "39b5d7a9-8da5-464d-8164-1519068f208a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "585b0ec3-80b5-4ffc-84c6-895a975de938", "count": 1, "frequency": 0.00026602819898909286}, {"name": "91968e39-0688-4b32-bc24-6d650354b224", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2dae1384-ad24-44db-9985-f373d238118b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e8c6c07f-f937-46f5-90e0-a064fe0184c0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e8c7214c-73cf-458d-ae1f-e959fbd3fa4f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "81c7d2f9-6ba6-4d4c-9706-c267bf6ef3b2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "df7a1c58-c5e2-4e32-aff6-11ec60132264", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4cda47bf-23af-40af-9503-17fa7e955f3e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "347b2f7b-8292-4b30-af49-6593ccae4085", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1b6f71d2-1359-4795-a5e9-97a2fb9c010e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "48b06e7b-845a-48cf-9aea-e1f0bded8eff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "72cd37dd-f889-4976-a524-e31a30d77c09", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9e00fc81-2a66-4c9e-9a04-90bbea0908a5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "da072d1a-4392-46cd-98ef-639bfe7ffea4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b4efd56f-d583-4293-a1c2-7f09c306ee3f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bea34e41-c84d-4ccd-afaf-c0a4b165b400", "count": 1, "frequency": 0.00026602819898909286}, {"name": "29ab7647-3c21-4979-9059-39a92943eb5c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c10dc1ab-4991-4bd2-9265-decf9a0e4025", "count": 1, "frequency": 0.00026602819898909286}, {"name": "66ab64b4-6ef0-497b-9706-1166b91ae5d5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "46cf7d53-f3ac-4d5f-840b-c346633a20cd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1952ccba-72a5-4dd2-85e7-d2631f7ce25d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b2413a54-1ea7-4e51-85cd-6f4c7f9188ed", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6ca58fea-fc1f-4e5e-8dc4-1a1abebefc26", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1acbe1d4-0752-46e2-834f-036e17702903", "count": 1, "frequency": 0.00026602819898909286}, {"name": "10e1524a-0d2e-43cb-8f38-1ddb3dbf25ee", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b68a150d-10fa-4216-9a92-40f273f9520f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7e2d5ad0-4bbe-4bd7-a636-df2d0a43c0c4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "86ba7ad7-211d-4780-b453-5c7bf19b7899", "count": 1, "frequency": 0.00026602819898909286}, {"name": "47f93312-8644-4e52-8c6e-c39c97712e14", "count": 1, "frequency": 0.00026602819898909286}, {"name": "356e3fe1-27c5-4f0c-b372-90c45a906ea5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "91126bf6-a28d-4e6e-ac4e-9e001507338c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e1358d43-ac0e-4cc9-a192-12b2974d92f3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1d6443e1-43b1-49e7-955d-9d7d2898aaf0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "14a59e07-1ab5-4713-9235-c6c6c348e3da", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3d4dd5e2-f90b-4563-9c6d-c4fcddf69c90", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b9f8a79e-9d0b-488b-8dcd-de2ad746e831", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ec593fbc-7838-4e6f-95be-370090b9c15c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "82a2e254-82ab-4039-8d06-e28c49729eff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "23279415-b720-4a0e-ad51-21f6db3f80a6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9177355e-1587-4020-8f36-d0710d40018a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "64807c92-dd75-4265-be25-7f3cfbdff1fd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d26b99ea-c4ae-40a9-bacc-be09a692247c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "920d98d0-765a-44b5-857f-1fed9f25c5f5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "157e72f5-2974-4a3c-afcf-42989dd59d90", "count": 1, "frequency": 0.00026602819898909286}, {"name": "73863497-f7ce-4936-b201-c3bb6a498b5a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "699b8fa6-3cbb-46d5-9dea-712bafd424bf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "43d1d9af-c569-43bb-8d09-5148fd373607", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d8e5157a-25c2-44d1-b951-3c7a5c819ede", "count": 1, "frequency": 0.00026602819898909286}, {"name": "904bcfec-4935-46f2-83e6-17cbe8c15748", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6217cb6c-4d4e-4d00-91b7-105dbbf28743", "count": 1, "frequency": 0.00026602819898909286}, {"name": "05935a7f-07d8-4ee3-b141-282ea3ae0a75", "count": 1, "frequency": 0.00026602819898909286}, {"name": "025c2a83-19d3-4524-962a-f1e4ec32725b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "75121d36-b81d-4707-90e2-d87f1db35fe0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "efa269d8-6051-4d87-b979-53a053565e77", "count": 1, "frequency": 0.00026602819898909286}, {"name": "792924c6-e01b-43c1-9ff8-9d00cd099255", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ac2d0c8a-d2e1-4b16-8304-f31642d8b26c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "542f0501-a47a-4f45-82a2-8b9c1769102f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c18343e3-d38b-4c03-9f1b-12e25322848d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c10fa24e-febd-45ba-b80e-4532a0a27bd1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0b883411-0b25-4a73-82c9-3e3753c6eaca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "62e847e9-10a5-479d-b5bc-41aebe0e8c65", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cafff49c-c021-4e63-99f0-259f140b2db9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "594bcb27-ddaa-43c9-b8dc-4d3eb21f6d14", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2f0bb731-aab4-4cc0-b11b-5b5ac9987571", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3ebe7a89-db27-4da0-a0a6-5e12f20328b9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "084ad0a3-e809-4cbf-bfe9-776b5f14fe16", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2fc4c1fb-5e40-4e7d-bf27-bb7f4f6c1a0b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "864981d7-54ea-4ab1-9678-f43d362623ff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b05cafb4-3ad1-4d28-867c-c3b961cdfa3e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7f64578f-2a60-4c2f-86bd-ead384bb4181", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1de7091f-707b-4fa8-8282-ca00916f247a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8c1436a2-1420-4d91-b328-cf5be4fcecc6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d63a47a6-7f7b-4762-8cf0-b5264088a292", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6a6e77e8-feae-4265-bb6d-5702c51c30c8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3f497ff4-39fa-4efa-b173-296691731807", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bc2f167e-0e09-4a49-8e29-935194515705", "count": 1, "frequency": 0.00026602819898909286}, {"name": "375fd248-484e-4690-b8ab-ea00bddd3951", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b79fcc1e-c9b1-4b55-89f4-82d3f7503fc8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "af1a0e59-3671-4147-bcfb-606b23cddce1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d5afde14-fc03-4172-8215-b7990cd73a3a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7652f44c-9a4a-4ecc-85f2-224a447117db", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8a46e3a5-8e12-44ad-88fa-22c60befe2e4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "be079827-cb39-4553-8f3d-2ce56d4a06a8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9712d94e-476c-4204-ac44-63a90268c017", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dbf144b5-4712-4cc3-b38a-18f45adeeba7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "81c577cb-5f25-411f-8365-0c354b4163da", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e1fec4dc-cce4-481a-b6ad-06857d5fec08", "count": 1, "frequency": 0.00026602819898909286}, {"name": "31d04e22-4f61-4e93-b1be-c80a372f428b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "726c3d95-558c-47fa-9c9a-d82bc6aa62af", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e2699a18-c17e-48c1-aeb9-eb25581d08c5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "31aee868-25b7-4f6b-91c6-1230f948cf22", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d815667b-70a7-4e6e-9eb8-b91dad000ce5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d8a4adeb-9b5b-474b-b43a-9cc38a4f8dd8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0afb8556-9ab1-41b9-90c4-1490c7a53f8e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b32fbc76-c79d-4138-a7db-02108f50f5b2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fe136534-aa38-45cf-931c-c5ef362851c0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1a99b8d4-bc8a-4b0b-952c-435840e2749f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aa84991f-064d-44e2-9cab-408e05659edd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b5a603a4-31f0-4342-b868-8e4579c0e0fa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "51f28754-723d-4edf-bfb0-295209b8aa74", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fbf0835b-3673-42a2-bc12-3556a7f0e8fb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "97408916-dc58-407f-baf8-7caee96db12c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bed74a5d-c78c-4339-ad62-47a4941cff30", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cdef231f-b5c0-4442-a670-23e3efe22e7d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b5ddb9ff-6a63-4493-aaf0-527f5126713f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "947a4800-c8a8-4e2b-a8f5-b1bb186ba6bb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7c35eefb-0db5-49d2-8b1d-53de3fcbd661", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7b3f9837-dab1-40a3-bfd0-680c9594cd91", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3ebc395b-7264-4a77-ba24-3ccc51563989", "count": 1, "frequency": 0.00026602819898909286}, {"name": "daaee5be-91fb-44fb-bed5-a3834eb8098c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "536539c6-ac3e-4889-83c2-62aed308b667", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fa268d1e-cbad-4f06-94d4-bce03b54d1c0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "64766ea5-4793-420e-8ead-5a2c6fdd58e9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8b54ce17-3da5-4a97-af98-c69620275330", "count": 1, "frequency": 0.00026602819898909286}, {"name": "655f8367-6422-472b-8f59-6b19a56b2b99", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fc1ed832-838f-489e-bd7d-a8bc293a54a0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "26892a99-dea8-419d-ba65-1e4035b6df3b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "92c0f0cf-36e0-4218-8cb8-96f135f4dd2b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a2108608-9c8c-4a45-9988-9e172a3c1080", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9ac2f952-60e7-471f-83cb-adedfc249214", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7f741be7-bbcc-4778-bd99-a5fc6cef166a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "764514cc-d62a-4d73-8eda-54a05eadfab3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b5fd9d6d-f4de-4dcb-a2d5-c37ee1aeb80c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "44a171fa-8663-4311-9036-f2f56b496c9b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ba9238c1-17a5-449e-bf01-0af05334b27a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2777fbf0-2c92-4e98-8e7b-539699c42473", "count": 1, "frequency": 0.00026602819898909286}, {"name": "82f785c7-5de4-40fe-8ba1-157f91a190b0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f560904c-2f1a-47c5-9197-5bb6b0116b9c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ac5814ec-fc30-4c88-805c-41a63391c939", "count": 1, "frequency": 0.00026602819898909286}, {"name": "40d66d3b-1ead-487d-85f2-da5fcde663b2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d9196abe-f5f8-4b6d-ae0d-ff2097da150f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5db7561a-9dcf-461f-8a36-12add43ae9cc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d30760aa-3913-44fe-b65a-a97f393c11d6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "884d5b60-6167-4906-abb6-074480916b63", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6e4e0abd-7a0d-4614-af06-80073bda40d7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cafc26b7-c255-4c43-9e3a-cd2bbc9691c1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b4a6fe70-e010-44ba-9059-7e8ac1b70f45", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d10d4d5b-121e-4c9c-9ee9-e3849dd7f01f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b9741459-0c55-4419-97d7-31a3449e520d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ba24db27-6666-4825-82ba-6edf51778a89", "count": 1, "frequency": 0.00026602819898909286}, {"name": "216575a6-a766-4c94-a364-a8b9ae2a4d47", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a2e2099a-e1a1-44f5-8a6f-0765ee7a56e5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e7703c35-e2cb-464d-94b2-bf855a06d175", "count": 1, "frequency": 0.00026602819898909286}, {"name": "31caf6ec-dd9c-4409-8f0a-f5b912ccd0be", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f3fe7fc6-ac30-46fc-af51-7fa831d4fa9d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6cb59fbf-b835-4468-b17e-40025951bb8d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4acb334f-5376-4dae-b3f0-4f53d92a9e2e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3a1bfc61-88f0-4d14-8635-f746c8cd2168", "count": 1, "frequency": 0.00026602819898909286}, {"name": "000b36fa-cdf6-42f7-8ef0-5cb0643330a5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5c025bb4-e446-4b9c-b610-014e57600130", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e040cf73-5699-4f05-b5bf-65058b7e3771", "count": 1, "frequency": 0.00026602819898909286}, {"name": "200dc754-c60c-4d81-9d97-b8b5bc6eed5d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1fee5762-ff12-4aef-9c96-002ace62baa8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "eac58b52-2b6c-46b2-bf8b-e2dbea25e61a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4bdc03d3-044a-4571-9c54-e4e64b4afe3f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b4377f1c-ed87-42c2-a01a-462c7b2e8684", "count": 1, "frequency": 0.00026602819898909286}, {"name": "38bab66c-0bee-4538-bf53-7b4f7d6b0321", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7df50934-af13-487a-a3f0-d4df99845a4f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "afb477aa-53ec-48f7-9c1e-fd9e8fe43565", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c7ac04c8-2739-4d2d-8b60-3c49675dedc2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "adadf789-1e06-4916-b0f0-bfef8ac2e140", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d8f76e13-6751-474f-b9e1-07031a5e2af4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4117c245-8aec-4e41-ba96-5462e38b9549", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1da96e9b-8fdb-45c4-aeb8-11679f4c9559", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e7ba40d6-189f-49ba-be59-568e5f08c62a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "445e6add-5bcc-4777-adcd-3d894bae5e2e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d5356559-f46c-4a98-a1d9-47fc2652a87d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "88d325bc-da24-4990-831f-3b1b4c3d0f06", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4e8857c3-3e40-4e1c-bf53-8c3a251c319e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "30a7bebd-ef19-49cc-ae65-50be91e0ddde", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c823bf36-83fa-4623-8f82-c3eb90d0a76b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "56706b12-402b-4551-9713-48a5fbb959f0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "529c1f8e-c1b1-4b20-b0f8-97dd45febf0a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1ad46366-a063-44fb-ae49-0b2dc932bec4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1e43caa2-8bd5-41d2-a6c7-1c0b110ae431", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bc5f808e-6356-4eae-a5e9-b82d4ae8a0f4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9128ad2e-6afa-432a-8881-d30e274dcbdd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "329d1cf8-2854-4fee-a0d5-352d455dd3f6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1279bf55-985e-4bde-abff-a1c5531eacc6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d6c08a78-cf16-4390-97b2-96ee2d2c514c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "39fab2df-1445-4d6d-9f16-c9e8e978d51b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0f77737b-7fa8-45a5-b33b-92af3189ee5b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "482733b4-9347-461e-9fbd-8d1463f9f320", "count": 1, "frequency": 0.00026602819898909286}, {"name": "55725844-895e-4c0b-8101-eb84e576ee23", "count": 1, "frequency": 0.00026602819898909286}, {"name": "724b5828-3c40-49b6-b37e-9fb537797144", "count": 1, "frequency": 0.00026602819898909286}, {"name": "15e0434d-30dd-4101-a282-bb4f4040689e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "da0ae95d-c2e1-493e-8120-4747b18f77f7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e77990bf-7031-468f-8822-5a64f4071a26", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4989b4ad-5836-4203-84ff-6b3d0b62ba26", "count": 1, "frequency": 0.00026602819898909286}, {"name": "08414326-7fb5-4f11-aa8e-baefe8181912", "count": 1, "frequency": 0.00026602819898909286}, {"name": "89679992-fd31-4a52-a45f-6e3f79234857", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fac11860-94c6-43d9-9ad2-d3f381b4f19f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7669459c-e0dc-420f-912e-82b5637f4f9f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "10f4e366-0adf-4b43-b5b9-e0dc011a6dcd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "93f8db8a-884a-4dde-8fb0-a3e2a7d27832", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d6cf01dd-5394-4ab2-8ffc-bff9087217eb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "11426ecb-4178-41b2-a513-2e44086e2986", "count": 1, "frequency": 0.00026602819898909286}, {"name": "26ccda8a-abf7-425f-aaa9-1e4b08472018", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d1a3e837-cfa6-4364-b308-2c3b481c0a49", "count": 1, "frequency": 0.00026602819898909286}, {"name": "64f3e252-c9e8-450f-8419-e385395eaa16", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d7b13b0b-0c29-4f88-b3a0-da087ce65b55", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8315c2bd-ff11-4216-97ba-5e5e8a441716", "count": 1, "frequency": 0.00026602819898909286}, {"name": "29abda97-d61d-4194-93ef-2112e58f77b8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2f4e14ad-6b0a-4c5f-b7ab-062a4b150483", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1cb63f8a-45e2-4381-b8fb-b6a24276f477", "count": 1, "frequency": 0.00026602819898909286}, {"name": "da712516-ad15-436d-8ec0-c98787d667e2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3d16a50b-16d6-44aa-ac83-aa5cab277e5a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f6e07e73-d018-4832-ac62-14c2bc70c46e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3cb1d205-aecb-4c61-b8ec-d1df0c9c0772", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dfee7d94-9d76-44c8-b5c3-777749ac8c87", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a4cbfc30-5ccf-4a0c-acae-7d5e22b9b6d0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f872a48c-e1de-4324-9d80-944f2df6e3af", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3681e037-6aef-45da-90f7-510c68259549", "count": 1, "frequency": 0.00026602819898909286}, {"name": "efdfcbe4-f4da-4c26-b32d-a017789be0ad", "count": 1, "frequency": 0.00026602819898909286}, {"name": "57cae2dd-ed4c-4f9c-aeee-565401cac327", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dd77d588-7e53-4bc1-bc54-8c6540fe7247", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1b31c5ae-e6fd-4a0a-93cc-e7a20e0bd2e0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c5865d29-ab32-4444-9333-d81efb7362b3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2292fdcd-b3fc-4a9d-a85e-dbcb55dfa22f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cc9cb598-f598-4f4d-983c-c74ee0466d2c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6b9983ce-fd2e-4956-9f42-6837bb60d91b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5795e1dd-3b01-451a-9ec8-2afbf5c72417", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9756ce3f-cfd1-4d66-b197-e3d4c511bc8f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "46d5f77e-37e9-4474-a499-96f749262e37", "count": 1, "frequency": 0.00026602819898909286}, {"name": "da5d65b5-d575-4510-a689-08fa5e709a1d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "81767437-3805-44ac-84d7-5bf4967adf1a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c657b959-0011-426a-adb8-dd5cabed7098", "count": 1, "frequency": 0.00026602819898909286}, {"name": "96611f98-3dff-4889-9f70-0967049d8e3e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9eccbb47-d4c8-4396-995c-e896f2878db0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "17f43c8d-91ee-4411-bd4b-30c6b5a3a149", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2417c52e-f02f-4b3e-963a-d8220535467f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d522a4ac-585e-4add-9f5a-fa0fb582212c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "450a22f4-006d-4ff0-9faa-3d589da56290", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9be9b041-7476-43d5-a8a5-25e1c0758376", "count": 1, "frequency": 0.00026602819898909286}, {"name": "38fac99b-b3e4-4b59-9464-45541af8e2ff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ee898c56-b91c-42cc-8f79-cd48b8ff9545", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2e577941-a922-46f6-941d-ba8041f0f3f2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2267ceb8-6012-4459-8c45-e7bacd5989f7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c402eb9b-ecbf-4a06-acf5-ca068706d648", "count": 1, "frequency": 0.00026602819898909286}, {"name": "67fde6e1-9879-4d63-a28c-67add2d6b867", "count": 1, "frequency": 0.00026602819898909286}, {"name": "33f20634-90a6-4859-ac56-10c655878e77", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8af9a108-c0a0-4cde-bb1f-710a4f1bafe5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "15469445-3334-4a0d-a11e-77ef6e516de2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0bbdd185-978e-42c2-abe8-75f508b4f088", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ab896bd1-1a0a-4c7d-a2a1-4ec1dc73a119", "count": 1, "frequency": 0.00026602819898909286}, {"name": "60b5d0df-fcf4-48dd-92f5-37680fc45898", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b8502dce-e8ba-4239-a934-0da93647cca8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7ffea2c3-b352-4dc6-a6ef-0211209823ba", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a6a66b83-de17-4c4d-afc1-fd1b598c160e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8acd4b1e-5f69-4e43-8b61-284f6fee605d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cdb3eed2-49c5-4d0b-87db-ba6d18c4ac11", "count": 1, "frequency": 0.00026602819898909286}, {"name": "18cd60f8-5147-4750-91d1-d64fcfaf2b6b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "de13def6-7ee9-4bb7-bf04-f72a4579d1c7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "099c3432-fbe4-4a61-ab5e-7cb975e47d61", "count": 1, "frequency": 0.00026602819898909286}, {"name": "60b76dec-9c5e-4df9-b251-8d8e1b16cf11", "count": 1, "frequency": 0.00026602819898909286}, {"name": "daaa94a6-a2ca-47a6-9fad-1fc708c75830", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ae97782f-9bd6-4ed5-b981-9e39a3c0afed", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b427abb1-d9f5-4b70-a527-b9ceacd460f7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1d831f8b-49e7-4d1a-9441-120eb70044e7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3de24713-d35a-4904-82c1-4492cb51404e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e56f9ac1-b7bd-483d-bbe7-0ac8108ebfca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9393c5fd-f3a4-42ce-b484-aee17bcf9e64", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4a6059f5-984d-4fd1-b0f1-a9b828cad8ff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "57902d16-5837-4deb-ac9b-f330d3e825f3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "895cc153-db8c-4e13-864c-d7fc5fe567c6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e7fe8ca7-1d3c-49df-9b6f-59349c890d38", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9278365e-9dba-44d9-893e-39599f50d750", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c623f6c2-ec2b-4e92-9be8-493081160615", "count": 1, "frequency": 0.00026602819898909286}, {"name": "db4e519b-2145-4fbd-a59d-aab767b600bd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "be4f7e2e-6afc-4557-b9c9-81162346a1e5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6465cdc3-3eee-463e-b6d7-2c1c583119ec", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fd303486-4749-4be7-9c1c-d3797aa9c7f3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e1cba486-f737-4525-b314-1d32574faa7e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cfbd6314-2afa-46a4-84b9-25588e5f9c27", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4ca7d0b4-bd45-4c1c-99d8-aa71013ccc7a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e44d19ac-5a4c-4fcc-a8f6-febb4c668810", "count": 1, "frequency": 0.00026602819898909286}, {"name": "22e22f33-d5d5-4ac9-997e-d2b580493345", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a2ee03e0-ae40-4eb6-8a3e-3b686b86bb34", "count": 1, "frequency": 0.00026602819898909286}, {"name": "afc2e861-e8cf-46c9-84b3-614a3284abf8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b98b4986-67e1-485c-a826-141ae9ebaa36", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d8d0f7a5-742a-429f-a49c-9b30de9fadeb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "08b32770-9b4f-493c-b279-69a18e41be40", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d808e37-2c57-47c4-9911-ce981d4f4611", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7818a555-8bc2-4757-b6a2-ef2f0a0b4c60", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bc5e9b85-aa7d-4888-af0e-2bd95c365a24", "count": 1, "frequency": 0.00026602819898909286}, {"name": "08a8d870-8fbf-4e24-ada7-bfd94a026dc7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3aa23fae-a3fd-4c74-8f0f-b134d18087ca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ef39a58b-c787-4fc3-bc94-2e17c0d24f3e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0148e7eb-3447-45e8-89aa-a901af77ff9c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "92451a93-f2b8-4c18-af92-a6f0dc1dfa69", "count": 1, "frequency": 0.00026602819898909286}, {"name": "659f9166-5117-4141-a176-97c2837fc3d9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "baa17a80-ce83-4840-9e9c-a2b1a512d403", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4692ad6f-43d4-4765-9621-943bf10a54dd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2ee49d83-c37a-4fda-b3fc-7ade41c482df", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7c2f6240-b641-4d98-9da5-e60e5cce67ae", "count": 1, "frequency": 0.00026602819898909286}, {"name": "396c5be1-792b-417e-9dc2-903af14a5e7c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8d9145d8-8d49-4e6e-b3d5-dca08806ccc4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ba1589d0-1a46-45fb-bf4f-9aab712f3ab7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "515846b0-9902-44d2-85b7-ffb8d90eb636", "count": 1, "frequency": 0.00026602819898909286}, {"name": "417f6966-f405-4e36-a26e-39685e24c7ac", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0a2bf480-4308-42b2-9b0e-d5d0c864fcb3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "855a0652-6b94-4982-b999-38dcea5ef260", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a11df66c-9143-4b50-890a-ff04ad9a9d57", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5a7a0cb7-eef8-4906-baec-e3f1d94f6131", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a39d0c68-3bf2-49e3-8399-419e2e72d2f9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "da531584-418a-4fb8-9f0b-cf6323dadefe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "42df1cdc-3678-4a9a-996e-8a7b0e32666b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "167672cb-fd4d-4072-97b8-cf61e124bf60", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1be1831b-09fd-4464-a553-ee4a89788759", "count": 1, "frequency": 0.00026602819898909286}, {"name": "806c2a0b-3bb2-4d3a-86e5-46860540793f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "40ea120e-1ed3-4eca-a54c-01a0f4a8a2a0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3e4d7f17-47ab-4c0f-bc07-0be8c8c548ae", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f1f080f8-6d3e-4c56-ac22-1de0b3931055", "count": 1, "frequency": 0.00026602819898909286}, {"name": "18166685-6c37-4999-8d52-3e6af107d79c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1dd4041b-2e03-498b-b950-a4bf7837fd30", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4d8852f3-dc12-4cc5-a440-6f5c99c05ce0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7015f289-3e50-4198-b832-a3c6d38a60e4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bc6949f7-a937-4a6f-a19f-41310f46e8e9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d68f5381-bfee-4569-9fe4-a6b78cf59934", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dad7bc40-0e50-40ae-bb6d-7e4db99214ba", "count": 1, "frequency": 0.00026602819898909286}, {"name": "19d4e8d3-b406-41c1-9c7c-2a1d0db9183f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9f4f5ff7-a77f-4be1-9fde-f4702c1d2a6d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "79aefc88-f6f6-424b-97d6-5454c6f4b4c4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f1fefd2f-84a2-462f-8635-5356dfd7bd7d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c14f452e-a7a7-4135-8492-bd372a9dcf3c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e5e05c89-21cf-4f51-9ecd-8c9ae4201823", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f11c335f-af1f-4c40-9b69-579060adac01", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f511b168-5166-461c-9ad0-8b103074509f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0705a7de-a63b-44e9-b83f-77fb26f33716", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ad3dfff1-0214-42d9-8c52-41b44101b61d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4e2b97e6-421a-4e82-99d8-a9a35cc0f288", "count": 1, "frequency": 0.00026602819898909286}, {"name": "91ceee96-508a-4fcd-8063-bcfd7cdf5906", "count": 1, "frequency": 0.00026602819898909286}, {"name": "64593a4b-98ba-4b58-a3f3-64622bc846ea", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dd0287e0-0a77-4d39-bd95-88cf0ac36704", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cabd5f38-3367-4106-a468-fb60f2e802af", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e0051e50-22d9-403a-bc4e-ce06bcbb5618", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bf78ad03-4694-4037-8e26-3efcee5b7cff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a94610da-d86d-48eb-9192-e366a65a3507", "count": 1, "frequency": 0.00026602819898909286}, {"name": "43c858af-157d-4675-be54-42d77470f6d6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7dc03079-97fc-4b3f-a05b-6541fae38591", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f6ac346f-0a51-4cbb-a873-06a838c76a88", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5e9312c6-06ff-4d80-9a36-609f0bebc62b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "57810d60-6849-4de4-9bb3-efd0c98bb63e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9b830570-067f-4615-a1d5-2fea8d828c5a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ebba5d5d-46a1-4dd4-8513-424d7c6cdb3e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "95338103-bacb-4aa8-ba51-057affd5232f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "90d8b9dc-967a-4695-b4c2-889c70858df0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "93d2b8c0-b8d5-4ff8-bc00-9a33c9708c42", "count": 1, "frequency": 0.00026602819898909286}, {"name": "55287444-012d-4ee8-ac40-dc81f760fcdb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "55fb8a5e-202b-47ef-b33d-06d2dd223705", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e345e980-09e8-4497-a795-3380a3cbb07b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d45b826c-d2cc-42f9-9af0-3bb949c8e798", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4575c0b6-409c-4492-a70d-3dea1951ec84", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6e1fa530-c0be-477a-aade-4c5b368e9b51", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fa30239c-6286-4a1d-86af-093b6a26e2e9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "efd14f0e-fdba-4b7b-99e7-3554e8ec4bb9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c49400f3-4008-4834-97fc-5f9549458e5e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "554b9830-9ab6-4dd5-95e4-4dae6eb97fbc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7d1a83f9-49ff-4a8c-bddb-177118973a6a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "469eb24c-429d-4832-ab33-a2c00e127a70", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6c388c66-2f15-45ee-9a4d-ac0b9c8ee985", "count": 1, "frequency": 0.00026602819898909286}, {"name": "19556c77-aff4-4775-a92b-d1edcf6644d6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cd04243d-d613-460a-9718-2403e9255084", "count": 1, "frequency": 0.00026602819898909286}, {"name": "39cdb20b-1a74-44ca-8155-114e8ea62a3d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1fdb84da-0b1d-4a15-b30f-4d7a17d0429c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e03162ea-84b2-4fe9-a67f-e8aadfa36b98", "count": 1, "frequency": 0.00026602819898909286}, {"name": "94d456dd-3b72-4ade-8e52-afd4cf4dad1a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "de8e00be-4b95-4a46-b920-ac87eb7bf993", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0f2fb968-c074-4ec0-a244-a1a5d7e74b0b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "69d03a33-ce80-40ab-973a-4bff1dcd7835", "count": 1, "frequency": 0.00026602819898909286}, {"name": "287fb997-3bf0-49b0-a014-000acbe11722", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ee64642e-24f0-41cb-ad50-02b59ddf1748", "count": 1, "frequency": 0.00026602819898909286}, {"name": "49cc9233-88fa-408c-8e62-dfaf5d3cd993", "count": 1, "frequency": 0.00026602819898909286}, {"name": "76ae328d-4c05-476e-a9a8-f35d5dad073e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b91ccac2-30e5-4d85-ad77-1143af5a4aac", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6c0f19e0-505d-4615-ab62-1c9e61ec1f12", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fca825d5-3e43-4ad0-ae12-bb43368c8606", "count": 1, "frequency": 0.00026602819898909286}, {"name": "653ad073-909b-45c1-883d-0ea2b8ab1da2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "06fb8bfe-8ea7-46ab-8a12-329f3ffcbefa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "552ebe93-d3e6-44fb-93bd-4277a479defe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8f5b72c3-46e8-45f5-a567-58812660ea29", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4ca37a7a-1500-4f0d-b86b-4ae6b5de3840", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0b1f4d1a-3183-4689-a50d-46b5bc96fdc4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "628c474f-0d48-4600-a689-a392799799c2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6f59ddb3-3e19-45ec-9006-ed8443bbdf68", "count": 1, "frequency": 0.00026602819898909286}, {"name": "115dd529-bc92-4311-b1ef-27b680a07cbe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "29b5c9eb-1f52-4ce6-92f1-489ea91a6776", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f9d3d80a-3c89-40ee-bb8e-b611ccd8cf50", "count": 1, "frequency": 0.00026602819898909286}, {"name": "728adebb-44df-4623-91bb-3fa24fda5e9f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "02018bc8-05f1-4a6a-b7d7-d4fa8717f4e7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "210e8e9d-ca7b-4314-a2b1-165587f2a69e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "47e91499-0d13-491e-8b2f-3cb9c90ff4e1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4e22a057-0833-4aab-a3f5-144ac684432a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "52e72dc1-b8eb-4f4b-a13a-8e75cd4de762", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d7772ba2-803f-4827-b286-8136d77db5ec", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3a47ff75-f895-444c-a285-6667d53b5f78", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1e4e280f-6131-455e-bbe5-a74067324bc7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "69b1f659-4643-4bb4-995a-2ebcebae8cb8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "87ea90fd-29b0-47d8-8318-64c7a4f6fdd4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bfa8fb46-4841-41d0-86b7-574d96b415a0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b0f81328-609d-4825-be02-12744f3473fe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7b4d1959-c53e-4000-8afc-ce901e4f7969", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d17c715c-5a10-4b12-815d-e5172c9aaabd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "699aeba4-40cb-4e13-a6c5-c2a04fd19449", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d0eefe2a-a39d-47e5-a0b3-b2a5f16f068b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "76c0a531-3af8-4dbc-aef9-eb39a73e94ca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3df10282-30bb-413e-b91b-f528e9daceed", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fa4c61d5-bbf0-41fb-8a6d-2bd45078be21", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4d7f1d44-f713-496f-a423-ebd9b908e181", "count": 1, "frequency": 0.00026602819898909286}, {"name": "74994f6a-c78d-4fb4-a6f5-d1404260e88b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dec42488-3f53-408f-be8f-9dab354565b0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fdf75a41-8fa5-49e4-aafb-c55988252a60", "count": 1, "frequency": 0.00026602819898909286}, {"name": "55d3e7db-5572-42ce-ad5c-58679d63e247", "count": 1, "frequency": 0.00026602819898909286}, {"name": "05997590-0f0a-49bd-b097-f9a483f6acc0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4c5cbd7b-fcff-41e3-b692-4605d7483446", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fe859f16-116c-4920-9f27-9ede2cffbe2c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2fef1ce7-c2ad-4fd7-b843-df676848ba4f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0c6189c2-f2bd-4edb-93f7-5717f1c028ad", "count": 1, "frequency": 0.00026602819898909286}, {"name": "40799e0c-6b99-45e5-b6d1-0ed4dd3ef881", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7b7c2deb-1fc9-4696-8680-483e5b7b03ae", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7ea019ff-c98d-40fc-9cfc-78a964213e4a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bd702189-5e0a-4452-ad34-2fdd79faa00e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5a6adf6e-cb73-4783-a223-a2e6304676a8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2f222107-6475-4c10-80f9-58f777423380", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dfa21c4c-178e-4f85-9503-52009d5c4287", "count": 1, "frequency": 0.00026602819898909286}, {"name": "af681af2-ff33-4048-9bf9-861a8256ce9f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b767d9e9-fce2-4dfd-9de9-dfea570372ca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fd1d76e4-e12c-4509-9d20-77208783877c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b8a494d3-6bef-4b98-8a93-fa635df17343", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c71603d8-cbb4-440d-b128-9fb5f7752cd2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b78396d0-461f-4982-aafe-74c7a8d83027", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b1e8111e-35fc-47a2-be79-81c671cfc5a5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c230450e-0a78-4d32-a6b1-8293e9eddf25", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a75b6564-39a5-4f41-9432-692524548c02", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f9dfb98d-a480-468e-8ad4-56ecf3cb1f28", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8fa48740-21ad-4f2c-acd3-a452df29b69a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "580a3b37-aefe-4f33-8792-34d575ac5434", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dcfc96a7-0ea4-4708-a7ed-f1131f82c323", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f761dfab-ef7d-4898-abbd-eeb84c82dbc8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "43a5c6eb-bf77-4cd8-8df9-ec2a5c244dd9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3d31af4c-5fd6-4c97-8e10-c0439a351003", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d4709059-15cc-45c9-a39e-8c963f5b4355", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0617f060-6474-47de-88cd-d83c65d4d835", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7a9fe264-cbdd-467d-a97b-fa1903d64a20", "count": 1, "frequency": 0.00026602819898909286}, {"name": "80aca0bc-7768-41e5-b370-8f79a5448fb0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e76d735c-eff5-449c-8a31-0d7d182f91ae", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5de43a5d-19af-4ccd-b8f4-db41d193c920", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c352169a-db91-4609-ae68-cc57db932cd2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c921c1c0-e7a6-4673-bfa3-b183a7ca57fc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ee7caa4c-6ac1-41e7-9425-6e2f1ac7edbd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "64f4bb21-f230-464b-a946-2ab586853d64", "count": 1, "frequency": 0.00026602819898909286}, {"name": "57dba063-f441-4830-b97c-70bf09185aa2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "70afae2a-e478-4991-a80e-7d233db009f5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ac1b6e19-3ac8-4718-b7ed-0a0dfda2eb33", "count": 1, "frequency": 0.00026602819898909286}, {"name": "87d589d4-74bd-4cd4-9c7d-9442955b822f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9d0aae23-4aec-4422-a373-4c776bb74139", "count": 1, "frequency": 0.00026602819898909286}, {"name": "45a47478-a811-4eeb-b667-e4b2f32b2e04", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4abae4c0-47c9-4a1f-b0cf-8308fb6bfd50", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f0f67748-53d7-4b1a-a113-82c8d7c17284", "count": 1, "frequency": 0.00026602819898909286}, {"name": "95d4c74d-4b2b-4114-9a8d-a12ae9cf891a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e12c5658-b12a-4819-96f5-391b684f4232", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c4f07657-c722-481d-8db2-7e6b93bdb86a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3a6ffc4e-6747-43cf-96ed-32727f3be192", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a9186c79-79d9-4abd-8b82-3d0fd40bf6b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "60ca374b-6531-4ada-a53d-c37ceba79746", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6ccf5da9-079f-4b70-9e89-a5ed5e71001c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "db53a747-a68e-4ae9-9c64-19d1eb0ff64a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "654a5a16-fdd0-456e-8891-4e12e9ea2c7a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b2b0123e-dcba-4105-b435-60873887e704", "count": 1, "frequency": 0.00026602819898909286}, {"name": "75520f4b-121e-42ea-bbbc-147788f07cd1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d81e9afb-6f54-4d64-9d6d-3560c41aa1bf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "10da0a63-9816-4cd4-a3ca-f64511c63a5f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dc2c68dd-80c3-4d80-9440-5cd290b0bb4e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1b1cb8d9-d7db-4388-9923-2dad4c0fe9e8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d94271c8-e6ea-4e5b-bcc7-2a97d7fd9e8a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a46a9818-ffa5-4679-8b57-3ec5d243f9fa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4c26e23e-cff5-440c-aece-75be64b6e20d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0c5f53a5-474c-4ee9-aa2f-3d4d948ab9e1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "28a7fa29-5521-4bdf-bc50-6ca10fc67d76", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6f353aa5-5f2f-4a56-ae8e-cb52f3619588", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f884db2a-e9e4-4343-9ef5-7a6369fac7e5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b73c0982-e230-469f-acb0-5c6160a33a2e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5a5ad8eb-08c3-408a-80fb-e2acb46068c4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0ac7a0ee-a90f-4dc0-962e-78fd72125ed0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e414768c-cb64-48f8-80b2-9141e4be2aa1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f521c2a4-e3a8-4c71-81df-390453171ed4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "794276e9-2426-47e2-ac8d-4ee5043c7ec2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f8e8ab86-f710-49d9-9a0e-9410c8e8abe3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "643ea256-221d-4c7e-b606-3317cde6ac8b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "babc43e9-793f-4bef-8322-0273830822cd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7ff51d39-3d6a-4e6d-a4e9-1bc71c3fe4e7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a9d3a44a-d468-46f2-a74e-e78ec3371b01", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b372b0f0-5a1a-40dd-a294-e35ee38ba0c9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e3840585-caf6-46f6-abe0-8e906ca794ad", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d005c10c-be35-4ffe-a8f0-6d5b140b8cb6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "59a6cf77-ba9d-44a0-be9b-2ae8c29656ba", "count": 1, "frequency": 0.00026602819898909286}, {"name": "724e55a3-380b-4443-86a9-430864fe2493", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aff878d3-1853-4d38-b489-cbaaf637368b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "686c5906-018b-44f7-b59c-146c336ce2c3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c5c63b99-d6c5-4b71-9a33-5851850513af", "count": 1, "frequency": 0.00026602819898909286}, {"name": "21c7a80e-0eeb-402b-b2bd-56a5bf7549b3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "adef7675-1309-43d2-8093-9731833832ef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f8a55e97-9670-43dc-80e0-f9b28bc88cc7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e78fbe0b-76f4-45ed-a1e3-61d789011a3c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "30f3c4e1-a254-424b-8004-256b24a77e72", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8badabe4-d93a-4779-a8c0-9e673e175248", "count": 1, "frequency": 0.00026602819898909286}, {"name": "98930ed2-e156-449c-9b85-ac9385bc682a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "825bcada-9a44-43e5-9cdd-4b04e6693212", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7eb09b37-932d-4ab3-ba4c-c3403bbcd1a4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ea4315ab-8a1f-40be-b0ae-95ecd603a782", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5b320bfb-e0ce-49a4-9cb7-a45aca590651", "count": 1, "frequency": 0.00026602819898909286}, {"name": "526f227e-7ebd-4076-888a-232df146f38f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "15888b5b-1572-44ae-b235-7a1b3fb04886", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ed877c12-d521-41a2-9cac-5b5aeef9b8fa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dd339f77-8b8e-426b-b8f8-8d724ce67654", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7d79c384-aa58-4a97-bbaf-8eca8c326b8d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "43fc07b0-7fdd-44be-9fd4-354420ac1d0e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "26beebec-6215-4e70-b989-e6bedb8293c0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "65eee39c-4c8c-450b-8544-4b510d027ae4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "637202a7-f5b2-40e4-9682-2e279859d037", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a1fe6c50-aa4c-44b9-a1ec-c7be17c1f4b3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "450a2f32-e884-4adc-9d0d-abbf1dabeb6f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0bae74ab-c08f-4914-8ef0-7a0756073ee9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "843fd492-84c7-4b96-96b7-2a4003b8ab6b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b60f1d05-3ce0-478c-aa20-88572dc4feeb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f251ffab-908d-4ac8-b49e-d5b00c77ece8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "60c63254-47d4-437b-9c59-d4fb94cf0846", "count": 1, "frequency": 0.00026602819898909286}, {"name": "890f5bdf-de31-487c-9e72-c20f880a039d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a7dd4580-c860-40cf-9505-3ecfab26f5ef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c4dce8c6-01e5-41c1-8593-1504d21f910b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "61674dd7-b8b7-4a47-980c-cd1ca2e09649", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5978b38c-c55f-4dca-88c3-b409a4250d52", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fbb996f7-4324-4197-b834-c5fdf5af8ba9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "69c6d12b-fb49-4b0f-95e2-722a3f2d7245", "count": 1, "frequency": 0.00026602819898909286}, {"name": "172554f4-d5e8-45bf-ae5f-4f6452883ba1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "721e6420-6086-4444-b1be-222404bd1194", "count": 1, "frequency": 0.00026602819898909286}, {"name": "82ae067d-df08-42b8-8cd3-4bb3f4c8d440", "count": 1, "frequency": 0.00026602819898909286}, {"name": "18b5da82-3420-4981-938e-65bb5065106f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "518328f5-9f8c-41f3-8209-89f52ca65a22", "count": 1, "frequency": 0.00026602819898909286}, {"name": "58e38a1d-a39a-445f-94b8-3d515c8c2bec", "count": 1, "frequency": 0.00026602819898909286}, {"name": "663df7ce-0ce5-48c6-8428-e7452c85fe42", "count": 1, "frequency": 0.00026602819898909286}, {"name": "437540fd-48a6-4810-a817-eedbc3939bfd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aa383dd9-5920-4b5a-824b-615a60b9cb2e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cc12f757-aab0-43fb-87ac-8d9224d3361c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cfef5e3b-fa6c-4d0f-b7c0-e3b2c7bdc4a0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d351291-a6fe-4dbe-a80d-21311f8c74ef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0e16ac23-9fae-4a85-befd-8f3f66575576", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3a7c4172-c9d7-4b32-8f85-42accd30f32b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "672527ac-88ae-42c7-bbc9-93af642a2922", "count": 1, "frequency": 0.00026602819898909286}, {"name": "22bf41ad-2d04-4983-a8c5-c5b842907906", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dbed851b-d619-404e-ac88-7b8ea103a6c6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c44f72cf-b482-4eb4-bcbe-ea0175a0ad00", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2e6ef8bd-5069-4fe3-90fb-84403c7de47d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9fddec39-8574-429a-9f74-205e3a6020f8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "35058546-fa83-4a5e-a365-02a61c8b285e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9f04c989-9ccb-4ba6-bbe7-0decb897efb4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0484088f-d6ad-4628-bc59-c76ee2d0c269", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7b227268-6ee1-4ce7-9ab3-3e7ea0c40d0a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "28602b92-51bd-4fe6-93a2-bc0bb733ec9b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a2aa2fb6-7d21-4c4c-9c03-07ae8dad9747", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b1a5b5d0-9f00-40a0-8ed5-d460fd6d2ade", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f672c9b5-405c-4f96-8012-9a9577c45981", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f2e5fe45-54f1-4a54-8304-ca9fbe4db140", "count": 1, "frequency": 0.00026602819898909286}, {"name": "db32ff52-67c4-4ab9-9282-38c0a1f46455", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b435f747-11ca-40f4-8c4a-dff5ccadd18b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "25793108-017e-4dbf-ab14-ce38357a48fe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f729d502-18cf-4fa8-b446-75d0ad669928", "count": 1, "frequency": 0.00026602819898909286}, {"name": "289309a4-5982-4f81-a5e2-8edc9125a351", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bf209560-a76d-43b8-a767-2b4440096c0d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fb5551b6-6ac4-4d95-997f-42136635e144", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e6fa80e7-3f6f-40cd-b63c-ade869d809f6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b3d8614e-adc6-4a6c-85e7-dd6a325bb95e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c538d173-0969-461e-a936-2b4c1dba338d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e02d9558-5e42-431b-8c40-9fa0f5e598e6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "33645d8e-2e04-4c62-8fad-02139a72fa17", "count": 1, "frequency": 0.00026602819898909286}, {"name": "98195fc9-99b2-4bcf-b8dc-cec2fdbef9bb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e1306237-955e-43ca-8585-37615428f8fd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f0ce0890-88da-40fe-abaf-759e0f3f6d85", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e6b2a57e-2e75-49e0-ac5d-f6a0833cd026", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d93a8ec-94a1-40ba-8884-1c946034e100", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fc6bbe72-2890-4fd7-8c1d-c6bc6bda2b46", "count": 1, "frequency": 0.00026602819898909286}, {"name": "448cf76f-4488-4be6-8243-f295dc7f83aa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ced781d8-d3c8-40e2-b46a-c718efeec6d0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3f1afafb-1de9-4e84-bd07-ee77b25cd178", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cc519f77-699e-420f-96ff-951190645cea", "count": 1, "frequency": 0.00026602819898909286}, {"name": "016ec881-03b9-4ae1-92da-bbd5c62fcec4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d6e0374-7bd2-47b7-a97a-eaff5697cc07", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d7074e62-b342-4511-948a-e198f3747f81", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0946f96f-1c1d-44a0-9a72-12076344d4c3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "74e25fd5-fa58-4693-9d86-e9d9237bcd96", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f4330e6b-bd76-4ba0-a137-a615453287ec", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fa589f24-2202-4edc-a82f-0f7723e61733", "count": 1, "frequency": 0.00026602819898909286}, {"name": "49aa91ec-328d-4bb5-a77d-47091e154361", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e1cf2ed7-cb44-461a-9dd1-ab9f0e2608a0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0bae2547-c7ed-4954-ad43-b27fbdcded09", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b51ce1a8-089d-498d-b943-bbbdb4ed3d7f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1acd3f21-a535-44f7-a553-60f1c0c3aff8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0b623cc0-3906-480b-86e5-bc2a498a17cf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "96ab5c27-3e2c-4a5a-b15e-4df20ff5732a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e699a97e-4227-4901-a630-6246ff2e9a1b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0393e0ef-ec8a-46fc-a918-032aaae25fc0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5070cb23-adca-4778-a3e3-602e99979ba0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6441984c-a04b-4ddc-b1f0-ad9dc58e5b87", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3a905eac-04fa-4f60-b0dc-756445779e3a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a795e997-cd81-4185-a6d5-b2f1dc7c7caf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "14164fb6-851f-4b34-b929-f517a0873cd7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0be08b4d-97e0-44cd-9fa7-6d474789a811", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2aeeab4e-f9a9-44e2-8cef-c67c6b56e19b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ec7a5556-9d06-421c-81f6-45bcf3a7baa5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7702dbda-5522-4535-acc9-977258ee39ff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e7091096-a3ca-40ad-8b8d-8b848a39909e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "65da3dcf-3662-49c9-9096-83711da2f0eb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1e9bd806-0093-47ae-b8a2-69aceadacee8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0076bb14-f6a0-4127-9d81-89d33c23e011", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0c660180-7b67-4a6a-93bc-71dd4e742f68", "count": 1, "frequency": 0.00026602819898909286}, {"name": "125581c8-9450-4164-be68-1549dacab948", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f6bc19c7-e783-4c98-b93e-a003ad1d2904", "count": 1, "frequency": 0.00026602819898909286}, {"name": "160666e7-59ba-432a-900f-6aec68a266b6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bea7eb55-f781-4ce3-bcfa-6aa8c7afe9f0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c92d6848-69c7-4f26-8b00-7b18dd5d2a03", "count": 1, "frequency": 0.00026602819898909286}, {"name": "51abec97-dad7-4e27-b820-f425b11fdbfa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "34f3c037-2e78-4b3b-9da6-e0042d2e7b2b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2e3a29ca-14e0-481f-b2cf-f36647e4163c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a5c72617-d689-4fc3-b090-b4cc4a4ede69", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4de1b65f-8d5e-490b-a4a9-0385788eac54", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c06ae840-43ba-4246-bcb5-cff12becd4c5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "763f0c89-6f49-414b-b916-10cb78a204f2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ce9c0413-9f3e-4b80-98ce-6fd4c0287af0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "35a45808-b428-4b96-8962-86a723b1ad75", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e1fea010-e942-43c0-b2f0-59a449237c56", "count": 1, "frequency": 0.00026602819898909286}, {"name": "536875b2-f752-4f92-9ae7-d26023a354fa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "52caeb65-9b02-4a14-9360-4382dc837d84", "count": 1, "frequency": 0.00026602819898909286}, {"name": "258fb27a-edf3-458c-963a-e47e3d2b75d9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7eab199f-4324-49e9-a8da-58f6921291b6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "86a98c86-7028-4054-a947-8d0d6449d042", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a479eed6-f45e-4a9a-ba78-b2e242be2435", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bd05d662-4ea6-475b-a0e7-f806a067e93f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7fd98fa6-a204-4a00-a0ba-e102e1e7a6df", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ecea8bf0-543a-4b91-aa80-489bcf2b3683", "count": 1, "frequency": 0.00026602819898909286}, {"name": "63c9272f-f2f9-4819-85d5-bc816928862e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3142ef6f-d31d-447d-921d-cf636039aab2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "15dd0cac-c810-4ec6-a706-1d4903d7fe4f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "25900b01-4f20-429f-97dd-0263ee7f154c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3483a003-2f94-4262-8b8a-9f8c73a0cba3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7a43d1c8-325d-441b-b592-576084424dbb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "caf2ff5d-bab3-4fd6-b961-d22dd4f68b20", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6ec1d3c7-f4b0-4e5a-9525-a383c112f2a3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4696cd40-91ea-41e9-9d0e-c9f9ea366a94", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3f923ccd-eee6-4553-b073-c62f7d51f1ed", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b77410c6-0986-4972-b78c-9e6b74096a96", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5b3cd505-6a40-4773-9dcb-490dc5bd467c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "599e9703-201a-4c77-ab64-8ad5063a87c7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "77c5ba08-8bfb-45f4-8093-e330ca7f788a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e6337bfb-dedc-44ba-ab07-17f553804a3b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d7348944-8506-4475-92cb-16f85a2fb5f4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cc494f82-2f12-40ed-bea5-1785be35bb1a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b774ae80-ace6-4ef3-a6cc-d2ac66b34cd8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6c4a3a4f-6a0c-447e-a7a5-92604f46ad67", "count": 1, "frequency": 0.00026602819898909286}, {"name": "56dde393-7d60-4e28-90c8-5e29520d6843", "count": 1, "frequency": 0.00026602819898909286}, {"name": "053b62c4-79b6-4bc2-a9a2-7904d1a0d3ea", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4f063356-7fc3-4767-848e-997255a3e57c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aa93465b-593c-4318-bd80-198855e08173", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ba2d1b16-78f9-4edd-9114-f9441504492f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e627a0bd-dad7-460c-a70b-805d24d53f93", "count": 1, "frequency": 0.00026602819898909286}, {"name": "48ab2714-3ff7-43f8-8097-8af7394ee95e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c19ea3ae-b6c2-4a31-bc0a-c7b5b9fd3239", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fbf0023f-cb96-4e21-9af0-6c621750a1f5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4122ed4d-7003-4491-a791-7a442a1ac763", "count": 1, "frequency": 0.00026602819898909286}, {"name": "454fae4e-4f8f-4e7a-ada5-d9b809e0f4e0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fa4737ab-caa2-45f3-acfc-518daab16193", "count": 1, "frequency": 0.00026602819898909286}, {"name": "79a47474-3e66-4bb6-b5da-29054c62dc93", "count": 1, "frequency": 0.00026602819898909286}, {"name": "44485d56-63c6-4970-b333-ab13728780c1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "54bbea23-9a12-4e1b-b68b-8f66c99f3c2a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "460dd68e-1c53-4097-aea5-7fe3a203bb60", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b15c2789-7e18-4962-b223-669171ae22c4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4ea6c146-b58b-4395-bbee-fa1fe53dc860", "count": 1, "frequency": 0.00026602819898909286}, {"name": "84388ca3-6c9e-4196-a20b-27dd49ba3a9d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dc85e86b-9395-4e95-9af6-7d416c5770f9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cafa773a-6720-4ad1-9e11-567883fe04a4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ba4b4ba7-73be-4d21-b5be-55ead6ef61fe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b4413d85-bc1b-4536-9640-137fb6159d63", "count": 1, "frequency": 0.00026602819898909286}, {"name": "03f995ff-5b05-4a9c-a0c3-2ebb75c34359", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d1fa72a2-5905-4663-aa85-4430e4835372", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1472ce7c-386b-4764-97b6-04aa985d37f3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "36cd98c4-f9b6-4307-8732-e1a7fbb08f1b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ff6e575c-4d0f-4c82-bdd0-c0fccf2030b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "54e36b86-5995-4634-90ed-5c66fcffa241", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2889d394-6407-4391-8ec4-ea03210d237b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "145bbdad-526d-4476-b222-f19a1d54b1cd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "60e5ed93-6d1f-44b6-b0be-b7f702d78368", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9970cbf9-61d4-4a4e-8ff0-245a60bdf6f0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "401ef36d-50b8-4982-b7b7-c7a5607ea418", "count": 1, "frequency": 0.00026602819898909286}, {"name": "12a5bc58-e9b3-490b-a276-4bfb9c3a9de1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a854b9a3-f788-4e65-a3a7-82464a5905da", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a50063ae-e9a6-487f-b215-da1acfb60b41", "count": 1, "frequency": 0.00026602819898909286}, {"name": "273f0f36-290a-4598-9957-7ef24111dc17", "count": 1, "frequency": 0.00026602819898909286}, {"name": "020e183f-c844-4c2d-82b7-076c51de4232", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1ab447b4-1c5c-4e4a-9539-3e0011e20881", "count": 1, "frequency": 0.00026602819898909286}, {"name": "84f53295-aa80-4ccf-883e-3b18e5cb57cb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9131a419-1486-40c1-8063-528d7269b97a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9b8d83c9-a316-4626-b28d-c219fd04b02e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f7ce131e-1106-4ed1-8b5e-b47705cf20ff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "17e042de-4471-4380-8ea2-6c0b952681da", "count": 1, "frequency": 0.00026602819898909286}, {"name": "868bf1e2-199e-48d6-9a38-f552002dfc6b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "39fa9d85-9942-4cd2-a88b-bfab5c327159", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0986f70c-900e-446e-b52e-d3e557e220d6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "079c4b56-90b1-42d1-ace4-430532f0f9ac", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f8aa8fd3-1785-4731-87ec-a802baaa3086", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b7b222a7-cbfd-4173-a0f1-c2892c0dc59e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c5cd32ca-fbe0-4ff1-a96b-2bb097130535", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1b737abd-6af3-432d-afb3-47f86087eaaf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1f2f2ac5-d6c5-4f20-9c8e-4c61f8514961", "count": 1, "frequency": 0.00026602819898909286}, {"name": "67237719-0d25-4227-93a4-2c964586f391", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b3609bfb-35da-49b4-9da0-1bbf4b970dd7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4db0465d-ad11-463c-8994-40f58992e153", "count": 1, "frequency": 0.00026602819898909286}, {"name": "57d0e3d2-5f66-4769-9e86-44f67c5998ec", "count": 1, "frequency": 0.00026602819898909286}, {"name": "508bda2f-bf34-4374-a4d4-5b9f64b50833", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ef4ea115-b514-48f9-bdd2-9a5990713810", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0e881e76-390f-48eb-841d-6d5d85659c5b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "52b533e2-3f6d-4b36-8fdb-ce88f33dba6b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4188d0e5-8e3d-446e-ab11-574547efec4c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "360be8fd-1ba2-43fa-8d32-b9f8928efd10", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0d9aea88-8a07-4879-8f74-7df8fc5b6b8a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9015af13-d40f-42c4-91ef-ffb4a4489e6f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2951cc2f-f095-4688-9d18-aae67ddad897", "count": 1, "frequency": 0.00026602819898909286}, {"name": "780c2352-625e-4588-84cf-7d4afc417588", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b2027f56-0af9-498f-97e4-d62e6ecea048", "count": 1, "frequency": 0.00026602819898909286}, {"name": "767cc4e5-7909-43e7-9da9-41768321cf49", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d02f82e8-b6ed-4ef9-bd03-464e355ead86", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2ddda2b5-6c3e-4afc-b4e4-d579c46e5222", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5a6ffb75-039c-42ee-8c48-5fd8063c780b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5aeab019-157e-4723-a8cc-07d83243d2c0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "44f17dc4-c29e-4ab5-8557-caede840cfbf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4b61a4d8-7396-44d1-bdf9-f46223138d13", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a3da6a2e-ce85-41ab-9afc-8734bf5ef60f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c2c81a42-d852-409e-96ec-e258737f7907", "count": 1, "frequency": 0.00026602819898909286}, {"name": "374855bd-93d8-444c-8118-90061cb9e4b2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4dc8706f-c1be-46a7-b1aa-a214782cde46", "count": 1, "frequency": 0.00026602819898909286}, {"name": "04ec992b-efd5-40dc-bb60-395571f6605b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "644526e5-bacc-4e9b-add3-d5c6a60db2fc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8ce020b7-eaed-4898-851b-a582d1853749", "count": 1, "frequency": 0.00026602819898909286}, {"name": "541ff1d3-0bd6-43c1-80f8-c9b8f1bc4018", "count": 1, "frequency": 0.00026602819898909286}, {"name": "30193d87-abd6-4478-9c01-04fbcdb35047", "count": 1, "frequency": 0.00026602819898909286}, {"name": "afa04915-0db1-4497-93e8-f463c616762a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bf3ef4f2-1983-4926-8620-68f89b6d33a1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "517ce5b0-75af-444c-9547-567e13dcbd5b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c33f7ca8-bd65-4d73-bb0b-ac0c5d330049", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d2fd81cf-b67e-4769-b84c-1cd2b296f78a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dac42e35-d1d8-482b-8e3c-245f6f436c7c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6b2f0510-f3af-4f65-a27a-56f1de627576", "count": 1, "frequency": 0.00026602819898909286}, {"name": "73d70409-eb55-4d77-8a06-229b4076f0aa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b23505ed-eda7-422b-9609-0e97cdd0a5db", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c1ef66d3-42b2-4004-9cad-d314b1a9b39a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1dc3ade2-d2c7-4cf6-abef-9587278a5175", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1939693f-511f-4c8b-b91a-8d0208015ead", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0f72d582-e302-483c-925a-27c304bf2ecb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b21d0447-871d-4490-b395-9b3d75e00531", "count": 1, "frequency": 0.00026602819898909286}, {"name": "432f4216-f999-4469-9f5e-c419f683e30c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "afb143db-7067-44ec-a1b6-dc6e43194372", "count": 1, "frequency": 0.00026602819898909286}, {"name": "34316814-afc4-44bf-a522-97831aafbcee", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ff626f63-2f0f-4b7b-8e5f-930184c5a349", "count": 1, "frequency": 0.00026602819898909286}, {"name": "57fcc5a1-87c9-45c9-a159-df91ad65e216", "count": 1, "frequency": 0.00026602819898909286}, {"name": "07bedbbf-ccdf-491c-bab8-ed69e3a527cd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "59ab6a8f-6c26-44c2-8295-961accc74d4d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6b14667f-de2b-44ce-aaa1-356bf19f8213", "count": 1, "frequency": 0.00026602819898909286}, {"name": "366569f5-ab8c-4e90-a77b-239e7d0f9372", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e9cc20db-a92b-48f7-9493-c1ac59d81792", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c803c682-6566-46df-a858-8e4630e6fdf4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b63fcbd2-69b8-49d9-bfef-347484528b9f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1102b863-23d1-4b0d-ac5d-5ad3b225ce93", "count": 1, "frequency": 0.00026602819898909286}, {"name": "900afb5a-6e2f-4745-b563-6e501fa98a97", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d6217de8-7cb6-4962-a1bd-af65cf3c9e15", "count": 1, "frequency": 0.00026602819898909286}, {"name": "662e561f-c8a6-44b1-999f-6841256bf29e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e2e397a5-2624-450c-bf48-f9c2508d321e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4f1edaaa-4bd3-46e0-ad57-20bf89eae100", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3cedb82b-6eb1-48e8-a44d-4c8e6055e15b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ad2de38a-5e71-48ad-ad35-0e86aa9989ba", "count": 1, "frequency": 0.00026602819898909286}, {"name": "76727c7b-1cd5-45b3-a31a-fb22f37aad3a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "97d2ec87-2d82-4167-a65a-af8a9df90542", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5ae40234-2ab5-481c-a223-c782a74db697", "count": 1, "frequency": 0.00026602819898909286}, {"name": "223a7f0f-eece-4169-94d0-d4a34733163c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a4c6c341-d9a1-4543-b2e2-4cbc85ce19fd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6b488237-8b53-4f09-9b1d-242bd24c17aa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b6a72a65-1a06-4fb9-81c0-b369eabe2d73", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f6bd84bb-7f31-4f5a-b874-70d9578a2662", "count": 1, "frequency": 0.00026602819898909286}, {"name": "eccf26cc-ec70-4b22-b733-83a828876c40", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d4b94c27-c635-4b46-a0a0-1a697c6aefc1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "21302c94-5fa9-48da-959e-2b907ad0ecfa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cb9fcfe1-fa2f-4932-9638-6c5331ff0eaf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "45ea4db6-e65a-4c2f-b425-2ac487787a25", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8e6d5142-8833-4748-bc3a-381d4cc51622", "count": 1, "frequency": 0.00026602819898909286}, {"name": "03a13eb9-318a-4263-9c4e-68db673313e4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "11713a59-5940-498e-a00e-67046222147f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c15c476c-b801-4d95-974a-49d7b9974603", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5cb9c9cf-5d13-4467-921a-01dc98030084", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1d7e3f6b-b72b-4baa-899d-2a6abb238851", "count": 1, "frequency": 0.00026602819898909286}, {"name": "885e51e1-27dd-44e5-b215-73261dee02ba", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1148b2f4-f818-4e1b-a149-6c70dff1b5b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6a42081d-3e83-4ff7-b193-91bdbba7ed3d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "97ae47a0-ba5d-44a8-8ae2-d131f3b8244a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4acd985a-4e8b-4e3a-9b54-1966bbcd29b5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "066c2e81-86bb-403c-9d3f-c126f686ae5c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e9b18040-da72-4e1d-b91d-63ef41db6ed8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "017ae042-52ff-4c34-85cb-8bd6ee5028d4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bfffb1a9-0153-433a-a9ea-ae7709e5d1b0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "31a2a74c-d106-483c-b933-4d5e5f4a1cc8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "038ed1a8-ecd0-4ee3-b4e1-992f3a94e406", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1b1d5dd6-b8f4-4445-8ea9-74f211c74ecc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "79b7e200-2572-404c-952c-dc8d1f00762e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f9a5eddb-9fcf-455a-a76b-c97aaf23b8f9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2477f509-a201-4d98-94e0-fe4ae3f7c23d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7d61b79e-a37e-4aa5-a3d7-291082882bf6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "811221fe-a990-41f7-9467-4c671a964574", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dae3c0de-8802-4407-9616-6b55e3462bbf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ffc71d44-36e5-4e4f-954e-d03a107f71c5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b5115736-b351-476f-9216-9ecd526f358f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ff5fb11c-8043-4cb5-90fe-fceedc8569ca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "90f80bd1-8630-4c12-8b97-50905fa818b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9b328e50-c532-4a59-8113-e8dd67f65612", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bcf61c6a-bf59-4e9d-b4be-f606ef789268", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c7122bd7-7070-4610-8b9d-159ceb8d7eb9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "45bb455c-220a-41fa-b2de-16607c7f4340", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b565ef74-1264-4581-8d2b-c8a09d22a6e0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bc4aa5b2-cce6-4a7a-8670-41c3458dcc88", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f8cc0d99-dda1-46a5-82bd-5c81ea2a3afd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9449bb2e-1932-4068-b372-4f4789dc6e33", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f29f1889-db58-4b31-8a80-fa1624cf9366", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ec235b28-7ed2-4267-a514-56590aaccae8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "00705738-7b1f-4208-b7f1-318a45b12096", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c854ad73-8581-4926-a210-4e62aade8b40", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b234cfe2-9710-406d-bf8a-31007dfc3827", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9c2b11b7-9d2a-4694-8e33-9a2cf06b6f6b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ae2eb14d-5a46-45bb-a283-158553b66ee6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a736e38c-4dd9-47fc-ac37-1e3b80e875f2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ca829461-595f-4566-8b2a-5cdbc918d0a0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6b51bf6e-d4bb-4540-814d-4e4ddaa45ab9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7012628a-7280-4cab-b9a2-79d8ac1f4433", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1284d890-c527-42da-ac39-27f362c68edd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d7f799cf-7e7c-4d49-baaa-47c7a5787626", "count": 1, "frequency": 0.00026602819898909286}, {"name": "49f92f43-2cce-4915-bf69-d18692cac460", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4ef8819f-025e-45aa-b567-867bba87ba30", "count": 1, "frequency": 0.00026602819898909286}, {"name": "15f52696-f09a-4f35-9394-f5ec57b62b49", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f83526be-9cf4-493f-96c4-62da4d3a082c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f4d74e80-cdab-4c0a-b21e-cf7fbc302169", "count": 1, "frequency": 0.00026602819898909286}, {"name": "691a9583-0a8e-47b7-b460-680f36a0acaf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6f2783f1-da48-4252-aa19-5ee7c2c111ef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1055fa0c-0a6c-485c-80ba-50a42b40b4e8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0ba022ed-7507-41f6-ada2-e12241e4fe0d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e0260386-0552-4862-a475-dfba53e41a05", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a1f4c835-05e8-44fb-9e44-c268d34916d4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8eae6f4f-c54e-4766-b285-ea12d1215925", "count": 1, "frequency": 0.00026602819898909286}, {"name": "57039e57-d783-44d0-ad48-31709513ec95", "count": 1, "frequency": 0.00026602819898909286}, {"name": "433fc961-a716-46fc-9325-0742d1d41467", "count": 1, "frequency": 0.00026602819898909286}, {"name": "54c72367-81bd-4f75-b7e9-5cc69be080ce", "count": 1, "frequency": 0.00026602819898909286}, {"name": "27baae59-6bd1-40a5-b880-f85e3070cc0c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "33280b6d-0782-4e9f-9c27-ef26b3a33b4a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1bdfd24d-3f00-453c-9a0b-3edf4d4e59b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fca1294a-bab7-448d-9525-3d8dac5e1aa6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7b7e7ede-4049-44e7-96a5-c3b2198f35dd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c7b3fd93-19cb-4655-9a82-459098f35b79", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ecb37081-6a66-44a5-b411-766caece6ef2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ae00e218-5f3e-4b2a-a3fb-37fe7dc29b83", "count": 1, "frequency": 0.00026602819898909286}, {"name": "285ddb88-a998-4ac4-8418-1482bdc02323", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a1fe2b81-dff5-418d-8c7b-0410869126af", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b60b5e07-8ef3-4677-9aaf-91a93e3f406e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9fffe381-7658-46c5-a0c9-84182f9fbeaf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b1e3ae55-b42b-482c-b0a5-f7df4ab1e628", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d0c4ff06-9303-428a-8cd8-f1e02f48d0fd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bddebbb4-d67d-4e48-865c-b421e77ee6d1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f03e4473-c7f8-4a12-825b-b842e9de1fef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f020d02e-108d-4261-9298-147cfa6d853e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bb201e59-ddcb-42cd-9a65-e82d6005de0e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cd7ce2b3-cafd-4fef-be5a-1d32d0d32c94", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0d394f69-053d-4562-a0ec-55dab687d163", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8163f770-96d9-4f25-967b-7e8c5b4adfca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a46d0e20-7a1c-4f17-81a2-8a7a04cb3a5c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9dc902ce-9962-4c24-96d6-d146e114f6e0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1a650a32-131d-4619-bacd-4fe959517096", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ae8175e1-99c0-40aa-b225-160864a794d9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "be4e58a0-c33f-4bfd-905c-23f79fb034b2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a0f2ba67-5830-4130-ae16-7c71ed571156", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5390684d-6bfc-45df-b3cb-4023e430fd8d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "410cb437-c3bf-47da-b902-5f62fd2ad5ec", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3f62ae9f-27a6-42f1-9f0d-d55159d0c883", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5a59906f-9a4c-4519-b28d-35af1bae1ec8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2bda65d8-fbbf-490b-9c67-c3370aa19204", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a759e721-5d07-43f3-9ce9-34932a7d2622", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a6246c7f-5241-4d0a-8080-c3a25ac5797a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6d9c9824-6d54-4602-941f-2ad0d8ee92c8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "68a86cae-29ec-4f5e-b251-837fc110aced", "count": 1, "frequency": 0.00026602819898909286}, {"name": "da42fdfb-a8f4-4786-99c5-8bb28c065a85", "count": 1, "frequency": 0.00026602819898909286}, {"name": "87820d37-15cf-4277-b071-43c75b147306", "count": 1, "frequency": 0.00026602819898909286}, {"name": "75e45cac-9bf2-4b05-865c-1107f07cc112", "count": 1, "frequency": 0.00026602819898909286}, {"name": "acc636b1-3032-49ce-8aec-f89563521935", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8909ac45-7da6-4933-a97e-0351e7dbf7f6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9ab7ed63-d5e0-45fa-ac16-8522472f2c6c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6867e401-9b48-46f9-9407-0828647b19ba", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3dedbd19-2d94-48ba-a297-85ac2c9b26e9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2d41449b-b55e-44ed-8758-75843c80d6b9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "872e4dce-b8ad-41b8-889a-abc7ffd042ab", "count": 1, "frequency": 0.00026602819898909286}, {"name": "56aeb321-aaa4-4ecd-b0e8-2f439bc1fdf3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fed64f4b-e332-4234-8786-2560bb2b1b9c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c7a3b7ad-2972-4f04-9c2f-155d15fde495", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2ae58b02-bcd0-4de7-b88a-ed5706a6f98f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "085a935a-a31e-43a5-afd3-343c08aa5801", "count": 1, "frequency": 0.00026602819898909286}, {"name": "57d9039e-49da-4848-bb74-8e0c49936169", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4fe7fd0e-cbff-48a7-b5dd-dd08cf1d0382", "count": 1, "frequency": 0.00026602819898909286}, {"name": "51dc9a61-2f58-4b7d-89f5-52fb383c2525", "count": 1, "frequency": 0.00026602819898909286}, {"name": "24b56351-a8f7-48b7-9fce-272b87d6165a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7992b54d-e7c7-4f4a-a604-abad8c11f213", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7c31d9dc-636b-42a6-aa6c-2b17f1c49aab", "count": 1, "frequency": 0.00026602819898909286}, {"name": "93ad98cc-a089-45e4-886e-840c0e3b2b02", "count": 1, "frequency": 0.00026602819898909286}, {"name": "34b60e06-c652-4b87-8768-1d692175e88a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "38945f0e-399f-4fae-89bb-16f5b70f48ec", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fafd2da3-d42e-415e-83fe-9c06685aceb8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7e3b41e1-60cd-455f-86a6-63175e1fe59d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7138466e-c1f6-434a-b1dc-c352adb4d9dd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "333258c3-a6fd-4dde-a6c0-dd9e8654dbaa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0febf42c-f836-45b9-b9a1-3e4ea5d93811", "count": 1, "frequency": 0.00026602819898909286}, {"name": "65e3c82a-35dc-493d-845a-abbac8dcd459", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0dc2a030-d7b7-4296-98bb-acafa176301e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a9855d4b-5730-497f-8602-e52137e655d2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8d925605-a87f-450a-80d3-b48eff45488b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b0d7a284-f953-47d6-b301-380b38c96515", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aef97a09-a06a-4936-8cc7-94f6855ada0c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fb00cb01-391d-484f-8f1e-ff22094ff61e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "90fe816e-2062-4343-9f5a-88df10e1cafe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "02deb6be-c2b7-491f-a1dd-3a7f1ff9cc0d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4cf36061-7c8a-49e9-acc7-b7a2bcb031d8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "eff1b407-47bd-4e00-9949-cb83d4a82058", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d4c2b7c3-0248-4638-9c26-e921e2b22f1f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c94ec66e-0d8e-4640-9792-0607264e141d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9c66b4a8-6183-45b8-b7ce-9a841222ac54", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ccf07bfa-ebcb-4839-b80f-942826288a54", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0af43850-b02e-4d43-9bfd-62cacbdb9046", "count": 1, "frequency": 0.00026602819898909286}, {"name": "20d1c3d4-143d-4e57-a224-8956f32065e8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "20c9ee29-cb19-487f-a9c5-77a592cc370f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "beb2c868-de2c-4f52-9619-d11c8c217465", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0a06e6d8-8afc-4e54-9063-6eae8a1403fa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d665996a-fa5d-4602-a73e-3fe24ddde473", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fad5ad08-1203-47d2-b782-e6e4337c59f1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b9b2cf9a-3554-4966-80cc-32e94f4bec61", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f5d95c1a-d6e3-48e4-b733-b334951691d0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9ca2aa79-a0e7-46b8-b2f1-65df36bf1904", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2447655d-5871-4c19-bfd5-9d1d15ce9970", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ded80efc-eddc-40d4-8efa-aac645049a76", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1615c471-d418-48f7-af82-37140c56c457", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c35cada6-d2b7-462c-8cca-fb21707d5fa6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5fc1c83d-9c08-423e-84d4-dbab2e005103", "count": 1, "frequency": 0.00026602819898909286}, {"name": "10226e73-4a46-4504-9c7f-e6110e2b9fb7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "97ae1142-a51c-488a-adfc-097c82112b07", "count": 1, "frequency": 0.00026602819898909286}, {"name": "12687d80-3184-415f-845d-43d92311a382", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a0b683d7-62e6-4e0c-aada-6b9a50d6458f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "75ff4ffa-9f29-4a47-a13b-10387590f0a5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5ad59e5f-9c22-4ede-89f3-e6a5256f227d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dfb50905-00ab-49ab-b3dd-2c1cf0099fb1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6e0ed130-2a1f-4222-9039-0bd3aeebc46d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6284405c-fe29-46b7-b740-804dcdb3082a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f7f54744-fc74-4618-bc4b-8e8470ee096e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bfe97f69-9637-4a6f-8145-c790b2c939b9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5049c03d-5c7d-4aa9-8ad1-638a761ba7b1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f7230d62-c1fd-4693-97a2-8d97976dc061", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c529e7ff-8002-4dea-9275-f3e7930f9982", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e2f62626-8b9d-413b-b57e-4f07b71b2afb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a013ec9d-6b73-4470-a697-3000bdc5b382", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e8f67866-74ef-43ed-a82e-c350281af1be", "count": 1, "frequency": 0.00026602819898909286}, {"name": "af93a44c-7fed-4813-9551-fa4347fe63d6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6a141a39-d0ed-4442-bec2-3e3472a31061", "count": 1, "frequency": 0.00026602819898909286}, {"name": "afe406bd-bb6a-4a87-8bc0-e783caae09e3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b1d39ab8-d2ff-49a8-9b0c-d7ba99ea2628", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d3fc0d25-63fe-412e-badd-5cd5a6b6d251", "count": 1, "frequency": 0.00026602819898909286}, {"name": "005dad7d-3b10-474e-aed1-1851f56b13e6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c26938e2-3321-4870-916f-160a5ad13441", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ddbe5d08-1a5a-4e82-bcc3-87c7403a8a64", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ec905b47-b155-47fc-902e-2ec58ba825ac", "count": 1, "frequency": 0.00026602819898909286}, {"name": "317f8f12-498c-4511-a317-3ea57db93e4b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a24d5772-4955-403e-8cdc-5e17028521fb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c77bce7d-fefd-4c66-85c7-016ffd9e07e5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "10742944-c06f-4ce1-a5ea-1a7cfee10f58", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6c2fb891-1621-4c02-9510-ceed35ffa69a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fc9c2069-7b86-4840-b5c8-87dbeb387ced", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b306246a-acab-4bfc-a13a-ca2ce37da14b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cd035b14-a8a9-478a-a98c-d1aab28a7090", "count": 1, "frequency": 0.00026602819898909286}, {"name": "add86af2-5366-41c4-8d35-3112ad4c9904", "count": 1, "frequency": 0.00026602819898909286}, {"name": "06308a6b-c67a-4ed6-a056-1d145123f97f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d2792204-0022-4ad0-9213-3e18bdcbc091", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b3c0d6dc-4392-4efa-8385-6eaf10d9aea0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2991a6a1-f60d-428e-92f3-77190736e4ea", "count": 1, "frequency": 0.00026602819898909286}, {"name": "85f3430e-e546-4b52-a2e8-925721310694", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b33277b7-fbe2-40aa-9bde-5f36533660ed", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cc60c0ff-5e54-4bf6-808c-c762be900eda", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0709cbfb-276e-4186-98cc-0d4618438af0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3b8928e0-662e-4606-a73a-e8e512ca23b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "38c934d9-fd05-4372-8e1a-d3dd33c004f2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "07d357c3-5819-4b52-a5fd-a12779a4afb5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0ab60cb7-5e64-4584-98bf-6b74ff3f1dd6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "81f313ca-3212-4a20-8296-4294b9da33bf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bd96acb4-6a74-4ceb-a25b-8ec9df1d1c8c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6dc97543-a127-4439-94a7-7d55963d50bd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d23b39c7-7f36-4c81-a916-5b27a5bf3b91", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8b273c0f-1874-4e28-8c56-50afbed00441", "count": 1, "frequency": 0.00026602819898909286}, {"name": "36d92d34-f770-46fe-8b9d-dcad4b04b841", "count": 1, "frequency": 0.00026602819898909286}, {"name": "52c758f2-f729-41d2-9d4d-49b635c93773", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4ca4a53e-b796-47b4-9a27-2d1f6e7187c0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "83f2fd04-f2d8-4747-ab5b-972103416d8e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "313a6c4b-e3cc-46f5-a2b7-687b48e90790", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f85340d8-7e6c-4bd4-b89b-1916e0890037", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e79805c5-ec0e-4056-8091-8db54b4c14c3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c0cfa4a7-cc3e-4ed3-b347-4efb8992c98c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4cbb1d95-d9f5-4000-a92c-bc9c76cb99b6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "29f533a4-ef9f-4165-8e00-9e912150c66f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d766160d-a769-44da-8212-143ab9e28029", "count": 1, "frequency": 0.00026602819898909286}, {"name": "41fee56e-d5df-4f50-9de3-4ceb9d1a08a8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "415333db-c501-4a78-a49e-07387bc27839", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c0b2e367-2f89-4ac2-b733-d600c3d12a51", "count": 1, "frequency": 0.00026602819898909286}, {"name": "47b1855c-b244-45ee-8257-02709bbda191", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d5defe0f-77f6-4689-adb6-922073a80923", "count": 1, "frequency": 0.00026602819898909286}, {"name": "54aafb23-b647-44c0-8f3c-758addd3a2fd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d170ee30-62e7-4729-a4d0-6a75211892ae", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a606afbf-e1ee-452d-8ce3-fc3fcdeee599", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6af60fb7-2331-46e9-a6ee-adc944c113d1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "97f59590-a39f-4194-b568-9dc6adebd664", "count": 1, "frequency": 0.00026602819898909286}, {"name": "274456de-efc0-4fd5-9d73-e3055d521f38", "count": 1, "frequency": 0.00026602819898909286}, {"name": "413c4fed-f9f8-414e-9b54-8a1f2b33824c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6e3e5680-200b-4abb-a510-7b10dad71e1c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bcabfc6c-99ab-4ab5-8fc6-450437df1caf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f34a774b-3269-4119-ab06-6352fae312a8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9138b181-4c7f-462f-955d-02f3c4b46ec5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2959ae6a-24e5-4723-b7f4-55241710dc7b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cba41e8d-fa04-4f0f-906e-024b76afaaf7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8cff558f-0b4a-47b9-8eb1-c66063b211cb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4121915e-7303-41a6-a12b-b8915e614901", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7096bb52-a087-49a9-8864-1fe40773a554", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4396671a-d8f2-49c8-8318-ca0321c38ff5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9cacdf71-91c9-4719-9ed9-d28a1a07c88c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cb978f1b-4acf-40c0-bcd6-52b46931930e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b9f98dc5-dc9e-45fb-ac35-21f3121ec296", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fd7137e8-599d-4173-98aa-23287345a74a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aeadf55b-d480-4d95-88b2-1c0b0a448925", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3040b9af-faf1-46cc-a43d-9869bab0c582", "count": 1, "frequency": 0.00026602819898909286}, {"name": "64d1a9ab-74b1-4e93-a3d6-ab476df430af", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0b60d686-d0cf-4868-b73f-0d762f53dc58", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cf3f74e0-f7f6-41f4-80fc-696b3b28b906", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a492261f-84d2-4866-8957-70753beacf85", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d5911c0-d0d3-4cdf-9700-f61ae908c06c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "75db66a7-bf09-4691-b2b3-9617ef871565", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ad0e1ff8-e051-45a1-b2af-b2c9748f1c63", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f9ab4e24-028c-41e7-a6a6-b25dd2b44073", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d6be4bd2-d8ce-4824-8c21-0e68cd22986e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "60fe8347-9097-4418-aee7-36b7913e4ea1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "908ca88c-09bd-4b9a-82c0-d3afc14a9409", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5273846f-0d50-443d-aaeb-086b4fc323ca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "68d6db75-f8b8-4101-b351-91d80de34541", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5217b51e-5bcb-4395-95d0-6e013fdca9f1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2b6aea9f-1d84-4324-8530-7c7d5689f2da", "count": 1, "frequency": 0.00026602819898909286}, {"name": "42d4ea3e-04bf-4778-bcd7-c1ff50541686", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d584465a-23e5-4037-8b72-e791d76ac8fd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "642ad3fd-4681-4d2f-a839-82c7fec827a7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e3ab5cd1-59f2-432d-a2b8-5bf67387cd31", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a4aae444-a558-4f34-839d-4b85c43c7d1b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5dc50932-c441-449a-8650-7b561fc78142", "count": 1, "frequency": 0.00026602819898909286}, {"name": "668fbbb6-593e-4ff6-ab1c-13ed5cd4f872", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ba4abfa5-8455-4f9c-b869-8167978f2f84", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6a019fa1-b35c-4754-b1b9-407df632de37", "count": 1, "frequency": 0.00026602819898909286}, {"name": "61d3d5d9-a697-41fe-a49b-8dbba5303065", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3e08ed4c-a451-4308-8e65-836581c30e07", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d084b65c-22ce-42e1-be90-03c6e086b780", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a2ad29ae-50b1-4886-ae3b-17613fef2977", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0bfdd36c-e069-4f32-8766-974a245f11f6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c7484dd9-a25a-4929-b05b-553ba2697d65", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6f99a43d-9da9-49e3-9b81-e2e81b6d0204", "count": 1, "frequency": 0.00026602819898909286}, {"name": "38831f4d-fbfe-4e8b-8d26-d67b02468a59", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8b772d2a-2bad-4022-8bd9-91afac02c758", "count": 1, "frequency": 0.00026602819898909286}, {"name": "47d5e926-4f5d-4cec-9369-ac76296d392b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3aee17f9-7fb4-4987-a074-dad033ca758c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "87b16c81-513a-434a-b0ef-01b96dbeb627", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2e0d8906-341d-412f-a943-56f42070c1e9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "edb6d72c-e356-460a-91f1-50b6100c4904", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c13a2a64-4f80-479d-8458-6f6652d79891", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dc4f6f82-8c9f-4f0d-924b-b81916d4ba6d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3cca9bff-add0-45e9-ae1e-fec1c6b4dde8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c1bbcb86-f980-41aa-92bf-e32c7906a620", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dea78098-5ad5-4d2e-a7a0-10bcef2a123b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "58800fd4-0a94-4755-a5b5-e741222b4f63", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8dc4d727-d883-45b5-bc88-17708b7e9760", "count": 1, "frequency": 0.00026602819898909286}, {"name": "043a2cfb-fd2b-4723-95dc-6097008fadf2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cff73677-84fd-4e51-b550-7cdc3998117c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "38b30826-0f93-4e09-91b2-c622d9bd2eef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7dfffe04-d176-4ca8-ad11-4945e026a66d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "87b2c192-bdf6-44b2-9210-258a4dc8b091", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b32bca27-bbe3-40bf-a713-97ad107f6367", "count": 1, "frequency": 0.00026602819898909286}, {"name": "116c31dd-1f0b-48a7-b2b0-26323dbb51cc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c071756b-e7d9-4227-81b2-15b26dec81a4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a111f10d-1a4f-4ba4-a222-9bd7fbac3b1b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "445a78b2-67a4-4b60-b49c-e52d64b8f8c9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "127d717e-8cdc-462a-9ae4-2c52898a1028", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d83391e8-f4fc-4b6a-a851-597bff53ef17", "count": 1, "frequency": 0.00026602819898909286}, {"name": "23271347-dd1f-4a3a-8828-97b5fa8145f8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6609e9b9-1d91-40bf-8b7a-65ee7c073d7d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "97f6b7cb-8e54-4834-947c-e67aec56b2cb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b7d6256b-0ec5-4b00-9341-0bd6aa19d167", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b8d4a352-2d11-4f24-a2f2-42c50ef6e787", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0d52f28f-ab3e-49aa-83ce-b949f5766b92", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cd69a31d-c4b1-40d1-a1cf-22339a5fa043", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3c4397db-15b2-4a5a-92fa-997cdb78eb13", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a20a8ea6-6007-4ccf-bfd5-28f4f81676e3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7fbe05c6-a797-4dee-aedc-00889a24a052", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cb5f350d-fb5a-496a-9f2a-081e00706a93", "count": 1, "frequency": 0.00026602819898909286}, {"name": "13f44107-026a-4408-ba6a-07c770d9b18d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "26646d1a-8b7e-47c8-a346-2ce32700c2ca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "61343831-13da-4316-970d-1fca9a0b6823", "count": 1, "frequency": 0.00026602819898909286}, {"name": "185e63b7-ff20-474c-9932-92ac4290b36a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "11a34f22-0807-44fb-bbe1-6c9518261ab8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "512adb08-a932-4188-8a84-989dc1c4903a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "54b90b2f-5c07-4760-9e61-3ce0d73b3042", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6cd8096d-d41c-4bb3-a512-2c95e60d211a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d7ae052a-30ff-48db-b22f-ac264eb3e27c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "69f20d2c-f0b0-453f-9915-9daf631cdfd3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2712875a-aea3-4b89-b9e5-e6dea7171f69", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6704e6f0-829b-43f1-8d5f-e675df01f619", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c24fe66a-a9cb-4ce9-be45-94dc73fb2be1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c363d63c-3720-463d-8cb0-cdef0152e9d9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f41b054c-8288-4c7f-85c8-0d8a126fa5db", "count": 1, "frequency": 0.00026602819898909286}, {"name": "43afa761-5ae4-4f97-916f-55b036b5929e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d1c3f5b-e7f2-4999-9a63-5b12fada75d3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "824a4056-56ad-4218-a083-d73a184c6440", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cd61cd5a-6635-4281-8516-6357adaba718", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d9ba5690-74c9-47f1-be73-023be6aad8d9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "236fc0c9-7210-4a9d-943a-962257dea70e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c5556814-5cfe-4cb2-8a72-634f7d6705f9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f09c331a-2aef-44dd-bbd3-9d1a154c3571", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4a76c99c-c63c-4ef5-9a8e-af08301c436c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1f65857c-09ca-4fbc-adf2-2140802e38f6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1b7c3cd0-92eb-462d-b429-7a69886af504", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b6001a1b-9d7c-46ca-86c3-df7a5d66c648", "count": 1, "frequency": 0.00026602819898909286}, {"name": "877cf8ff-705c-4af8-8748-88eeb241cc11", "count": 1, "frequency": 0.00026602819898909286}, {"name": "62a92f8f-1972-4fdb-9b2f-f1980677aa8d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "097819da-63c9-4b5b-b5b6-c657a18a5a48", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f8dc12bd-a6eb-4ea4-9d6a-37f337133926", "count": 1, "frequency": 0.00026602819898909286}, {"name": "209057e5-66a1-4779-86a4-89f41ab53863", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2b085166-2116-4bd1-9f99-0f8105b7d5f9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e52e75b9-c105-4459-9a8a-c31b94409701", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c101f368-0582-429b-b181-ed54230771e2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f143908b-afd6-4851-9b2c-71ebec08af04", "count": 1, "frequency": 0.00026602819898909286}, {"name": "32ea1367-6397-4a6e-85d7-25c2425ba2f9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4d354cbe-3093-4ea7-9d89-3eeb03a0c578", "count": 1, "frequency": 0.00026602819898909286}, {"name": "00efab5f-b320-4fa3-9eb6-57e6f5fd76b5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a0e29e9e-cbe1-4d32-a297-b0f3a99ce334", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f416d616-f07e-4757-91be-31040066cdf7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e0116f70-5994-444a-bfc4-882b82973ce8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ff3cf641-0b37-40b8-8945-7c611ed8d540", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ffdfc835-1c62-47d4-8f61-22b0b511b835", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8cb184f2-ff72-4566-93bc-924db8c2dd88", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7441a72d-1e93-4e8a-885e-a92326b2a1d5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "08cdd6cd-654a-40d6-a6d6-085f80c77c1b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6fabf347-687a-48b0-af17-d9d6d1018c08", "count": 1, "frequency": 0.00026602819898909286}, {"name": "52cca6d9-f00b-4b09-a747-e25d1dc90b71", "count": 1, "frequency": 0.00026602819898909286}, {"name": "deb4baa4-817f-4db2-a8d5-edde1d703b4d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "27aa7a27-6724-494d-a122-722c5aaf3f44", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6c31229b-2c78-4c27-8c3a-86dceea45bca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dc5ed10a-1ef7-4e64-9971-f243bae49cb9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d1bc441f-9174-44ef-bd71-c486cb4baa03", "count": 1, "frequency": 0.00026602819898909286}, {"name": "50ab64d0-2a42-406c-a58b-77df8846b811", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1ed955a8-942c-44ac-973c-b26a564f0832", "count": 1, "frequency": 0.00026602819898909286}, {"name": "abd570b5-4eec-46a8-afd8-a0ca5d78f82d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e9e1ad95-e738-4120-bf73-521ffa26b53b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "37354280-4eea-439a-bc75-2c3783300360", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1e361837-b3bd-4b4b-9958-5c6e8d632b8b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2b86a23a-0d49-4aee-b582-1b6cc5c25ab3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f2dec0f5-2f03-4e12-a558-bc5e72228ec1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fed7e47c-e715-4f75-a783-f76974f86216", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1d63c0fb-da7f-4d5f-a1f9-0f3dc526a4b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bb165a28-3b33-4a24-a338-d2617d19de76", "count": 1, "frequency": 0.00026602819898909286}, {"name": "50f2ea53-9102-479d-be98-d2ea7cb0676c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6a34d77f-df7e-4c8a-8538-5ae1bce75546", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5a59621a-3209-488d-9b90-5c8d05bfc11f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a8783f29-554d-44bb-bebe-3b85e96ff358", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6455b655-08bb-4cad-afc5-7848f3cc1a5d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c84a2dcf-7861-4239-b90b-3a9093d5a786", "count": 1, "frequency": 0.00026602819898909286}, {"name": "140ac682-72da-4bff-9412-18a04e6b3f6f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cd884f98-be49-4838-a3e7-ad0cc0f75c87", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2563a06a-a2a7-4350-85b5-f2204f0bc95d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "68ff0089-9be7-40c9-a347-7caecca77ed2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7dbb896c-9179-421a-bbbe-e19a800e189a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5b7ce096-a627-4a59-bfd6-49ec848eff3e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1309b4ab-5aec-40d4-a3e8-d3f082fc8347", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a7a0b5b7-cea5-4898-9e47-70f92b43c1dd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2afa4d13-6f4b-48f4-8e3f-21f4d8b4b4f0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a35cdef6-b697-4691-b39c-f75cf8f3910b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1c943333-72cc-4a04-8c27-bad32c74022b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "884dc095-4fd7-4039-ae6d-709ee9e962f4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f7ddeec3-fea8-4527-9156-44d8a943572c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "810033bc-f0b0-4f98-9052-aa9551fad260", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1da43ae3-da4e-4cb5-a8de-c276c0857162", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0fba7f47-2c19-41dd-91cf-6c52bc337e37", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9400e11f-857c-463f-9c36-e6c8a7c79a37", "count": 1, "frequency": 0.00026602819898909286}, {"name": "af11af3b-5e8c-4352-9f69-b25017608ccb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "200fe447-75eb-4516-8fef-7b8ba19b09ca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "451d8680-e4f1-4058-8ca6-a5ccf49d3dfd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "01712f14-9b6a-4812-9d24-d5c86682eb0e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "95f91df7-3c34-4026-b950-a44cae99c9f9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "af8170b2-7926-4abb-8cf2-a1285fe875dc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4d7cbfcf-0fbe-4614-92c5-fe2535d4f9cc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9005fc99-5642-4eb1-9bb1-b94dc57e52b5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "344d9c01-d7e6-449b-88ba-fb8e79718d8d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6c54b0b8-f618-468d-9a76-b953dc164a8c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8a859544-a77e-4f77-b737-5c7e9c816880", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5ac5c831-0135-4e20-9fb2-17a86cdabe84", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2ecd82dd-f1ba-4b7d-9536-744ab15e035f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ce27432c-c86c-40a0-877e-11f0cda5b372", "count": 1, "frequency": 0.00026602819898909286}, {"name": "087e2cbf-936f-46fa-bc7b-27cdc1a726db", "count": 1, "frequency": 0.00026602819898909286}, {"name": "877d4bbe-25a4-4f23-89e7-b7544379415b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "75eee31f-02a7-41b1-91e1-9a19c1d7ff59", "count": 1, "frequency": 0.00026602819898909286}, {"name": "08546ddf-e79d-4e52-bee7-03fe22f42a5b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c8ff5661-224d-4e69-b01d-8e7a2ee0e412", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6207fbd7-2e8d-4ae4-8add-edba681b56be", "count": 1, "frequency": 0.00026602819898909286}, {"name": "79807009-ec1f-4936-947d-abf3b5d4a84a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2a6ae383-068f-4206-92c0-bf1817efbeeb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4f352025-32af-4109-ac46-da19a1cded98", "count": 1, "frequency": 0.00026602819898909286}, {"name": "495501af-afea-4b91-a3d7-89df8021b354", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e333dada-2859-42e5-bb62-4893c9ddbe0e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d6cf20a3-7017-4d95-a1ea-61d682b1fee0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bd5f38cd-538e-4552-a0eb-09d6dfc969f1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6bcb6a54-ae0a-49d0-b96f-337a4140802f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1dd83449-b0c2-4360-ba3b-eee0db17cf04", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f684a6bf-676a-4b4a-a11e-04dad08d6ffa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "079424ac-f272-4a78-b5ec-80a4655ea3bf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b501ffe9-3e1e-4eec-b051-be043ffddbd6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3f52b8d6-a6af-47d4-9283-e139681c565a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "89f1c21a-22dd-453b-a679-48abde38da5f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "79cbdf9c-98b2-4867-bff1-f731c47cc851", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3a2ca2f6-205b-46be-8511-47790bbda001", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a8cfb1c2-08b3-4895-8025-9619e3619a98", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b8e347b2-b1d5-4472-9b68-3feeee631ac4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "63f27055-15b3-487a-983a-628428f52788", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3d2aad1e-970d-4125-8d25-dbf621b7241d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a8fdab3b-4058-476a-8a32-be000ad84fca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8d41c9bb-19f5-42fa-99ea-705bd48f30b1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e654b0fe-4d4e-4112-8f3b-4f582f08aee0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2ac3fe70-d500-4fd2-8a49-a8f0eb7262af", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d55f6c3a-2d02-4dbf-aeab-0ca360c7028b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "94080f64-f682-4522-a39f-7316beeb8f38", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6a96f037-15b5-477d-a46e-c6f77c9280a1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "46dad644-ac81-4ca8-9807-7197a2056858", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7dc8b183-4c3a-45af-8591-bacca60fc110", "count": 1, "frequency": 0.00026602819898909286}, {"name": "547331ae-0d25-4720-b5b4-c8528ec0200a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ca1e6101-04a3-4863-9364-8700353892df", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3334a296-8488-416b-ac2f-a1bf73374e67", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7e23b3fa-ed9b-4810-8b64-7d7cbd617c48", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b10d7d8d-bcd7-4487-b4fb-4ecb9c03fbb2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c06a4a47-cfdb-4096-94d9-60b2a8ec793a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "36d9f3e8-7524-4b42-a7a0-d2818a8488b2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ad52f469-1bb1-4b29-8b23-6b2925bf6bd3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4a25b05e-5871-4559-9d36-378f8656724e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d80bcb08-8a0e-47a8-ba00-acce6346fa5c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6b1709a0-e911-4ca8-a375-4838a5d0abb5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5c599a70-7f45-489a-a44e-36d724649f50", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4dfdd965-89d2-480d-a2bb-ab76e90cc6ad", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a0e57aa8-6fdd-4b0f-b0bc-c40e739cf925", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f09739d5-ea02-4b0a-bba6-9e45501d8957", "count": 1, "frequency": 0.00026602819898909286}, {"name": "19854898-6003-4760-8375-047d944a42e2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6b673c0f-73bd-4a83-96d0-bfb664a74103", "count": 1, "frequency": 0.00026602819898909286}, {"name": "29dcfda6-653a-4b89-88b1-ec3f4758bf1a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "139fadc8-d3d5-40c9-b3b8-36921a4cef62", "count": 1, "frequency": 0.00026602819898909286}, {"name": "63f73fc8-1dfd-415d-91e3-03065b309578", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1236449d-70fa-423f-baec-3070e4287459", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fac2ee4c-1ce6-44d0-9774-8e2600f1f4bd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "469fda0a-30e8-4428-841a-d4f278f466dc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "adfb8268-d4d8-4de9-aa2e-3abf2df76661", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5120937a-a914-430c-a5bd-8939ac5b20ed", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4ec9be06-f859-403d-9c46-0b178acfacce", "count": 1, "frequency": 0.00026602819898909286}, {"name": "77dcd593-7fef-4a4a-a7c1-ecf1c01799cd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e20bea0a-173c-4867-806d-b62997789b69", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fd04632e-d6f3-4ab8-b9f0-7c3f2b49c49a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ac612d70-73e6-4a5a-bd7c-65efddee41f9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7cbcc0c8-8ff0-4afb-8045-40c0d48f6c54", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bbfc2063-d246-4543-99fc-4073401e4722", "count": 1, "frequency": 0.00026602819898909286}, {"name": "276db8e4-208f-4946-a38e-ac791c3767dc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cecc90ec-1ad0-4d09-bd70-4457f0af9462", "count": 1, "frequency": 0.00026602819898909286}, {"name": "767e3ce0-3e74-4d44-b13e-b8247717c635", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bde33af5-7307-43a1-9dcd-a42d57ecbe54", "count": 1, "frequency": 0.00026602819898909286}, {"name": "28d80857-9ce9-4492-a567-49d7edb644e4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e2d741f6-fd67-451c-987b-4f77ac9259ad", "count": 1, "frequency": 0.00026602819898909286}, {"name": "84acf088-cf9f-4172-af05-aba570b098a0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7038feb5-d15f-4602-b6c9-bf8ca790750d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "59e4d5a7-0ec0-4613-8ae1-c2a561c0bafa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ae209922-6c81-4738-a96a-836116efdbc8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "838eabe7-8cc1-46fb-aeb4-de4568b73db6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bdad082e-47a2-4076-a762-96b64f7f9e24", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bfd00728-9bea-48b7-b685-637a6d14e40e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "02eb3f02-d494-4336-9bf5-b420911f5606", "count": 1, "frequency": 0.00026602819898909286}, {"name": "82297530-4b73-4e29-bf01-7d613836ef99", "count": 1, "frequency": 0.00026602819898909286}, {"name": "234c714e-b909-400f-9955-3416f150bdd2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c656eaa2-0f3a-44d7-9da5-fd1620d64296", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b5983ed8-2415-4853-b950-5d34ec6d7175", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fdc3fc4b-326d-4049-92ea-9277d60c2b49", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4be5c2da-b023-4d17-bc5e-23c37bec6395", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5369b122-2f50-4e7c-93a0-acfb8fd760ce", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5c60a9ea-17e4-4db0-a47c-775f1aec1a95", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b0ad51c8-b544-4a8f-baf1-b624d203a802", "count": 1, "frequency": 0.00026602819898909286}, {"name": "326deaa3-b485-40b8-afde-e94110b745b1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1e00fc81-96e8-4791-a472-e6d304b79c42", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1808a839-25fa-482d-800d-1cceaf102af3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "821dfe6e-c679-401c-84dc-ca20af4b4d4a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b867cdbf-aea3-4ff0-9da0-0e96f2ee503b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2a570f9c-c2c4-4ad8-816b-7b1d18ff5c3f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "53b10363-7cba-45d7-b2a4-09929cd410ed", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7a754d2b-0d85-488c-85f4-e5071b7e8342", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9a65b78a-fada-4e0e-ad0f-f8d213c82316", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b6af67fe-2278-4265-8dc0-5fac896620f3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7e2270b3-5f19-435e-8337-333af08d20c0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3e8afc54-428d-4cf2-83c7-5a2f46a9eb72", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0de79682-849f-435a-91bf-081ef8fe5e0c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "31ab8751-d8a6-4321-94c7-b0be41e3d9fd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3f4eaecc-ed84-4cde-b7ed-63e395039c4f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9433bd6b-6ef3-4127-8023-0e8dcdb6c226", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ebf65635-2618-42a7-ab4d-631fe8c55b72", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7fac1c16-6187-412c-991c-20f916a642aa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4e252182-097e-422a-84f1-1153650e3e33", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ed3c1d67-f78c-43bd-b53d-906fea3cbe70", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3c708891-da60-4541-a1b3-8cdcf328d719", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2db68755-6713-42d0-bdd8-0d79e0aad4a9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "86eb4642-12a3-44b9-9993-225a9a654963", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bb768a44-584b-47ac-9137-d73cad5695ff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "70f1dd5f-a3f5-40c3-8cd2-edb985ef1d95", "count": 1, "frequency": 0.00026602819898909286}, {"name": "139ea360-40d3-4824-b0d3-a2c98e49668b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e1e16abb-7c0e-4a85-b318-d23bc27e0990", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f944a31d-ecca-4c1d-8f2a-1ff2f0a07ddd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b49b063f-90fb-43a1-bac6-4524d52caaa8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "82f2c71a-5f29-4085-9a89-29217457615a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2e30c48a-1604-49b7-8367-090106e5b55c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8069cdb8-085a-4f1d-8d1d-13d97056aa73", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f4f816a8-8aa1-469a-9e55-29d9ba44a30f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5b13e138-76c0-4ffd-b1a2-574bf1d84f41", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f02dbf31-7666-4721-a1a8-a0cc40f209c1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "610d69a9-8a9c-4906-b20e-c3bbaaea421b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "19494ab3-836a-4db3-8ead-87cd8d2caef3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dc642fd8-df47-4798-9734-2c97201f6533", "count": 1, "frequency": 0.00026602819898909286}, {"name": "60e03ca2-5035-4582-8e26-05b840ed794b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8c5ddaa5-4cb7-4aac-9c4c-5d9caed80b3f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f78d4c8f-6a04-49f9-a853-bd04f4f94522", "count": 1, "frequency": 0.00026602819898909286}, {"name": "20e9d9ee-b94a-4c8f-a6c9-3b9dc43b095c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f7de8eec-1ede-4ca5-b45c-67f83f9ccb80", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b780761c-e0f6-4895-a1bc-0f7c9354be64", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fa398f74-6d61-49c1-99f8-26ad2c4d5c08", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9309183e-ece4-4ec1-b07a-f7f16e549c12", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7c78d1fa-553b-4c25-9f36-51397caec130", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3e04a22e-096d-44c3-bac4-9ffbb847afd1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8dcdd6e4-e008-498f-8d18-b3f6340407b9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5528216d-abf2-4141-8f52-fbbccc3de1fc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c15700fb-aa12-4e8a-9908-6e4fc631f086", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6f0dec60-e0e3-42f6-b400-2088148ef0d0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "004bf212-0add-4f3b-9f38-de4425fcffac", "count": 1, "frequency": 0.00026602819898909286}, {"name": "19026048-7ae5-4b18-b66b-46ee60313235", "count": 1, "frequency": 0.00026602819898909286}, {"name": "028e1c0a-c210-4ed9-a8d4-e4db681316ae", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a153c7a7-d2f0-4300-90d4-d70384c8a6e5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b24ff98c-a5c2-4da4-ba8f-2eef58ab5a1c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d1854b4c-fee0-4c69-86cd-0295b1f8a7cd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3f97be39-cdf5-4d6e-93fc-b245fbed730c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0a34d4cb-2d88-4e62-802c-6ec8f720ff9b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e9eece1c-34af-4606-b106-be3bdae21a05", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c3c155ed-a5d2-46b1-ac53-bd0836f6133f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4a7b6481-d018-4758-b344-33cbc83e498a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c60557d9-2ea9-42cc-8fae-7da955fdfdd6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "834e550b-54bb-411f-983a-e0c17d62e420", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b646ce3d-b2b4-49a5-9f0e-468f56fcf048", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2fbd7e19-28f7-4e1b-8b1e-9dcf5649275b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9f0e4b2d-0baa-4c57-b108-68722023fa2e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e4cde52c-1172-456f-9183-347132fafbe3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fdd66517-2e85-48ce-bcc8-6ce8d3da33b1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1f23a48d-b941-43ef-b71c-b2e60ac86872", "count": 1, "frequency": 0.00026602819898909286}, {"name": "045dbd7d-25bd-40dd-b554-13bec56531fc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ed6a8820-c395-4a9d-892c-a64d74b46c1b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "22404c4b-7355-4444-88d5-e8cb9c3eba1b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0483bc27-6154-4727-9ec0-fcac503076d5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9cf679ab-4361-472d-aec4-708857a3e3fe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "217d6022-a3e8-4f91-8e9c-56a547961bc8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "40bbb0f6-34e2-4161-a0ce-4ebca8f70b67", "count": 1, "frequency": 0.00026602819898909286}, {"name": "06cdb507-ebe6-43c4-970b-0eae69191153", "count": 1, "frequency": 0.00026602819898909286}, {"name": "93be3532-fd97-4dcb-9494-a68a4bed16ae", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2c47bbb2-cc46-4516-bf6c-1af33777754a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ea5f196c-010e-426a-a884-4427a33e67fe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "94aea0a0-b2a3-443f-b007-f83a929d47a6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d7050f2a-15e8-4ac8-b409-5c3d142e7122", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8085d1ef-f98c-43c0-9eb0-1d8f54ff94f8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4946f4a1-9260-44f2-bfaa-16458dbb49a4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e8fd1ee7-b41d-43ee-897b-40e474ca53c7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "97e22d52-d55e-43fd-ad79-cef41d12e915", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c49d889c-d9c9-46f0-a299-ed45c5527423", "count": 1, "frequency": 0.00026602819898909286}, {"name": "42d6fc29-496a-4efc-8b1e-6dbab6ed5173", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a8da252d-b360-4bc6-ba9a-5e6971d4c4c8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fd3a9cbd-c99e-4734-bdc3-857f06a30901", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cac9a08f-1dd5-4e24-9a51-a4bd75adf50e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fc5c399c-4d5d-4d38-9b9e-c1534caa753c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "048715cb-7d4d-4194-b673-bcd77ed29046", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f63fbc88-39da-483d-8c6f-acb2c9c63a49", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6eac2887-4caa-4370-873b-f4ebe123410e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "edb5d8af-eda7-4e80-92d1-410289b34e0d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d1bbdd5b-2131-455d-a981-1a150dc95b60", "count": 1, "frequency": 0.00026602819898909286}, {"name": "63a03e81-1ef2-49b8-b9b5-796eefa76447", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8971578f-cd4c-472c-904d-e5deca13b130", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2f209225-e8b3-4125-8605-b1c500fa1f2f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3984a03f-99fe-4ec0-b5e5-4fb096f5c64d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "70999586-e360-4aad-86d2-9cfbd0e932db", "count": 1, "frequency": 0.00026602819898909286}, {"name": "517b8dc5-7adc-4a75-89e4-7ca848291bf7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1b62fbb2-28be-4dd8-b3fb-f4195edc7b77", "count": 1, "frequency": 0.00026602819898909286}, {"name": "71da9f73-160d-4309-8ac4-b511a5a80d38", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6dd1fee7-fa03-4689-9650-8dc21f1868f2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c23dcf41-7907-4b4c-9028-c0817356c690", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fc8a037c-e41a-4381-90c8-9d3d2362dafd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9d42ac4f-8ffd-42df-9088-26242109dc62", "count": 1, "frequency": 0.00026602819898909286}, {"name": "06418379-625e-41e9-bcdf-ba040fc5fb2c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0048d74a-236d-4047-9e2f-6169faf7a66b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7eeaf2f0-0632-4374-821f-8a5f0dc1f9ab", "count": 1, "frequency": 0.00026602819898909286}, {"name": "91bba12d-7737-4121-8d5f-3aa60581b6b1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "34ae8ad2-dbce-44be-a885-294f6e4fe351", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fd487a45-d9a0-4414-be79-052abf87845a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8b3e3101-e06f-4a64-bbda-35c4e451c08c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4d34dd28-81e4-48e3-8b46-400cee7ead6d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d5a3adc-6c65-4313-8fe5-5990f94f52c4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a7f916af-33d2-4609-a3ae-51ddbb2abbcc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "42529067-f9f1-4c0b-ac0f-83a7403f6e57", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8f52984d-bc6a-40de-8e2b-fae37eac914d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f0ceac99-e2fd-4621-8f0f-7ba7caf66df1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1f881688-c1ec-442a-b8c0-accc2af10c38", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c05d1a81-b36a-4275-a0df-2b788be4898a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b2ec05a2-0162-452c-b263-11702cf2dce8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "da66988a-bbfe-4be1-b833-f38e14c46050", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4aa97a8b-46a4-4fc0-94da-ff0158e5fd16", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8a26432f-eabb-4508-beb5-be78719d0fed", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1fcf4036-eeb7-486e-84a5-9dab3ffd22ab", "count": 1, "frequency": 0.00026602819898909286}, {"name": "762af44c-6844-4d09-af3e-5371ae514d61", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d1a665d2-a2db-4af1-a5d6-a5727bd6d572", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d0380406-014c-4067-a34b-1b50355b91a1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9991b29c-6556-47d4-9e02-6c3429a037f4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7e670b3b-8afb-40c8-af82-db5b809d8424", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8ed50e49-7ce6-4c99-a4de-587eb423b900", "count": 1, "frequency": 0.00026602819898909286}, {"name": "38b4b474-29bd-46bc-a85d-2a595f7e2a59", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d596169d-2cea-4e19-bac1-bf5dc260cba5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2fcdb3b4-ef2b-496a-ad6c-e1fa3c4faac8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ba9e62d9-495f-45b3-aa0b-0c885327a22e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "55f71809-242b-4a58-a6e9-c5b898ac21cb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ef8cd89d-4f40-44af-bbc8-e0269f18c036", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0dea527d-e1f7-4da2-9066-dff8bf85b0cd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "266c4134-ffd8-4907-b8d3-40db05dbfef7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "60bc8d9e-b6f9-4796-a915-7206de414272", "count": 1, "frequency": 0.00026602819898909286}, {"name": "197dcde4-6a31-4098-8846-79b83451013e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4cb84721-b794-4a35-8103-f6e744d22d00", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4f2b3783-0cd0-468d-b3eb-3e13370088a3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "152b0c3c-805b-420f-8160-727286f3a0a8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e79b603e-6db7-40a4-963b-fb71d6a21fd4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "79df8246-211f-4a1a-ab27-b72fad674fa8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "94e73f3e-4cc0-413b-a49d-d77548fec91e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c6ec76d6-232b-4f9e-844c-603f2f5ca9c6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "095fb1c3-3139-48ca-8023-5f4c96d08e3e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a70c66fb-fdc2-42c4-9565-a09655dbb597", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c6c45d28-a000-4f44-8b1c-8d01dd40e197", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a223fd65-9235-461d-9949-03dc398660b5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0841e094-f93b-4891-b337-bc88be78b2bb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "eef2b3a0-2f7f-4949-b88e-6624b0d3b09f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5f043aad-7f4d-41c5-b22b-282cf170c76f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d97efadc-eae2-494e-ae99-726148e03740", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7152b172-fa6e-4371-a6ec-fd056d39046e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ad88ebbb-b954-404e-b511-652f9a17701e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "094b1138-b8c4-437e-8503-3b3fa6f54f33", "count": 1, "frequency": 0.00026602819898909286}, {"name": "de2aaec0-7c4a-4c68-88cc-95e051150f9d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "44ff99eb-801d-44e0-a54e-a20319ce69ea", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5ea4de17-70a2-423f-8166-97333915d6c9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2c0047df-6d3e-46b4-a3c0-96c572dfaab7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4c3a00f3-a5fe-41a2-8f00-107f2b3e16d7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "28302cc5-acf8-44fa-8bc5-8178ecdee096", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4918f403-9e26-4f74-b836-dd5b9e9f6126", "count": 1, "frequency": 0.00026602819898909286}, {"name": "edb72b04-7a61-4c63-936e-978a9faa3d2c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d8062ef7-e5a1-46de-ab79-a632c209c300", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4f4edfa4-c5ba-4d28-bcee-c45b7fd637d8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7d3b83de-67f9-4c77-b24a-8096881a6896", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0f37ed52-0862-4620-aebc-f2e55e2693ae", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bf83ea80-6e2b-47b3-83be-2d8704cccbd7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "61c05b48-e3f1-4452-bec7-2d218a23fbb0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "19b2cc9a-14f2-4e14-a0a7-c824bc217ae5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9c5b765a-0b4e-4798-89ef-3d0ace8500e2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bc207cf9-b693-465e-9f91-82690dfb95c6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "489cba28-4adf-4198-8689-9bca4342a358", "count": 1, "frequency": 0.00026602819898909286}, {"name": "614e7850-7d32-47d2-9882-cd50cf0d3668", "count": 1, "frequency": 0.00026602819898909286}, {"name": "46d810dd-a59f-4118-8875-7caefe5dc2a6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cffd149c-d18b-42ef-8429-1f5627c3474c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9e4a9a97-c3df-4eb2-b354-f54fb0e3597d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4ff97661-0eb8-4cde-9be4-a704bc78b851", "count": 1, "frequency": 0.00026602819898909286}, {"name": "be8db5e0-84d0-46c7-bba1-69ba8539ba25", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5c6274ff-1fb7-48e1-a33b-06cd3fbe396e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "00566157-ccfc-499d-9ecb-dcc7bf7836cf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fd17ffbf-a6cd-4328-b67e-29d1d26e6798", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2a84c196-0dcc-4212-a659-a966632a5928", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5252f956-9074-448a-8024-535edbf276d0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ddb913c1-947e-4ea7-9136-09003194f6b1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "74515871-3a83-45ff-9ee7-59fb6340cb75", "count": 1, "frequency": 0.00026602819898909286}, {"name": "35ac61fb-a8c0-493e-b1d7-21b34369b03d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a8d9392d-0838-4651-9377-3f51b7fd0c7f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5eb3cff2-972f-4cfe-94c8-711764ed4d6a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "60462093-8421-4499-b3ba-e9553b390010", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0d64411e-0f09-4975-93b9-a0a15f6751fa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "84c6ae00-4018-42de-8725-de13de365001", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f44662a5-3e95-40dc-a20f-15a37354ac60", "count": 1, "frequency": 0.00026602819898909286}, {"name": "05b45764-8db3-478e-a080-4a848e0eff86", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cd494a0f-8ebb-4029-a5c6-5084ca2bf1d3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d0327ab6-b7ed-4f75-bac4-192c4f26b4e8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ea18c469-f301-496c-b00f-4c7c5eebdb32", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a5da557f-3cff-40c1-ae61-9e8e169f4d11", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b86df18b-2477-4d86-a499-8d50f0e9a05c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fee51c21-b3b1-43f6-97b0-3c2f21076abb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "979ba56e-578f-4233-8ae0-b7ad68cc4b1f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1b622ac9-0e7b-44f0-9cbc-6cb567636d7d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4a9e305e-e903-4091-b11d-80cdaa3dd53b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ab18db9e-85ab-4f9c-ad2f-52503dc68d5b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4bd63c40-0371-4b58-861d-8be99094567d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d9795eaf-4201-46e9-a213-63d8cd1c1322", "count": 1, "frequency": 0.00026602819898909286}, {"name": "da0b4698-e9e7-4138-8475-cf759e08369f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "594fbaea-139f-4b64-abe1-6cfbc12a974d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0bbe14a5-905c-44e2-a3be-1a15544dab43", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f2c744c3-5955-4519-b268-59904670f9a8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6f6729f8-0197-45c9-a5de-28181f2417cc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aa634231-5e96-4a19-a2b9-8084b184b00e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e849ea25-997f-41d4-b9a8-f3e76670ed18", "count": 1, "frequency": 0.00026602819898909286}, {"name": "907ea51b-de4d-4334-89cb-7e2c87fd0b85", "count": 1, "frequency": 0.00026602819898909286}, {"name": "035037dd-398e-49a6-98b4-7a0b6c61db6f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "46b6ac29-fd59-4134-a107-e9033d772df3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1183cc68-5ee4-41cb-b299-71432aa5122d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4eb4dc55-5cdf-4275-8a01-311b663d0ff3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a10fdc0a-31a5-4341-8fa6-308a9d76645e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c5036334-3044-40b1-8213-8501e0f3ec59", "count": 1, "frequency": 0.00026602819898909286}, {"name": "84a493c7-158c-4e3e-825c-1673033f415a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b131194c-c317-4f43-855d-b61d1ce83237", "count": 1, "frequency": 0.00026602819898909286}, {"name": "65dd0f39-51d8-4e8e-a475-56631e22cfe8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9ce108e2-69c3-4908-a880-fc56e0498032", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cf2ef2dc-8126-49dd-8c72-b40d7be2c9c4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b4f18a19-108d-4cdb-a37d-ae7d7cfea2c9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9ceb9bae-8856-43c0-842a-098b23773793", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cfa3d87f-4ffc-45a6-b458-7aa903cb7ccd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4a131c4d-4ef8-4039-9a98-e846bbf3768d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ec18778f-b365-453c-bed9-9ae4f56242d7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "71f64c77-565f-4e76-b188-a50af628df88", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6110ddcb-048c-4797-8b10-6f1f3111a29b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8ffbb4ab-60d1-42d8-a787-4414a3b219d0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8d5b50da-c923-4216-b5ed-896ae13bfff0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5bd9366c-38d6-441c-ab9f-9bf226181b0f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "136b2999-5a07-4cba-99f1-6d95e00f84ce", "count": 1, "frequency": 0.00026602819898909286}, {"name": "173166cb-b4ad-4a05-affc-061699934360", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d5df60ba-ceab-491c-8f8b-98e51322bc3b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d9604c91-50a8-4eed-b4b2-a7d36c3baa2c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f740c0da-8f08-46e9-9241-4f8eff8cdde6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "07d800d5-a8a3-42ae-91aa-14d2541d5c3d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "68daf8c1-b7e2-4767-b13e-38207551aef8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cd0e3738-a68a-42ba-b8f0-cc0e86cf9f0f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "62712f89-17a1-402e-9d4c-edbffc7cd731", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9178647c-117c-4725-83fc-8948c869476d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b6a41900-4249-4852-b8e9-5a490fc85ee6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2268987a-29d7-438d-bc94-c13330cea9c4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ce3e71c5-8665-4b81-8e22-b50600a8caf5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "852cb468-c4ab-4506-a31d-4b6e99ef6299", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e8e824cc-7c33-4793-b1bc-2687429b2dd4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ffd6b771-ea39-493f-a0ac-ccfbe7cb74c6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8046ad64-b7ee-405f-a629-3f9cae17ea0e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f12e140c-ef74-4e8b-b942-fa78d39cef50", "count": 1, "frequency": 0.00026602819898909286}, {"name": "07d53fa2-4e78-497f-92f9-e605e083cf94", "count": 1, "frequency": 0.00026602819898909286}, {"name": "049fdd93-d3db-496f-b276-1ddbbf057648", "count": 1, "frequency": 0.00026602819898909286}, {"name": "27506a62-a4be-41d9-9bc5-c8efe230cd9f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5c702c54-772d-42ad-8f91-1f2aef5190c0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "292e8537-36b7-4dc7-ab5f-ca5357c6114d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6a3b3f34-770c-4bb8-9b28-27afff475fe9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8bd3a201-f9f9-474e-a740-7580a3743c49", "count": 1, "frequency": 0.00026602819898909286}, {"name": "27490566-7677-42a6-ad51-e74100dfb0ff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4017d770-331a-4590-b8ec-e439e34119ff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a6663742-d39d-417f-9ece-14fc03279298", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4fcacd8a-8c8e-46fc-96fa-85370442366a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d0b4469e-e376-49a1-bf22-94e6ed4ca5cd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3976f54d-3c36-4d6e-b6d8-7b86b6bd32f3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e9252fa9-d843-40c8-af33-ad02bf2b4e8d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fc2ec719-9144-40c6-a829-ea472f1a0006", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4ea41984-efcc-47f0-a36e-1a2bf595e8b3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c85d59e3-8ba8-4569-b794-7a99fb03e94b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "99a629ec-a982-4ac5-9c5d-eb432610ce98", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f5478a9a-8eb5-4c80-b754-de0ff17efb59", "count": 1, "frequency": 0.00026602819898909286}, {"name": "12558495-d7d1-436b-9746-cc8d3ba7c199", "count": 1, "frequency": 0.00026602819898909286}, {"name": "474dc910-5a01-4be3-b878-e942826b15e9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b69364e9-f779-42d8-81e8-205ce3f96f0a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6748f680-b246-4a6b-98e6-c11df346e5a8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "68880e89-e8aa-4855-964e-0f5235a4fe08", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dfb6a098-4cb6-4d49-89d5-334a0a4bddaf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d584f30-f335-4e82-85fc-50cefcedf683", "count": 1, "frequency": 0.00026602819898909286}, {"name": "99688a2f-e476-410e-99d0-83f842c083e2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "698c905f-7b8f-4bf5-9d65-0fdce09f8464", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9ae7c116-e31b-4027-af7d-58e53b389b3d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "49404ba6-ce95-4542-903f-d056268e9994", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9403b331-0626-4e9c-83e4-72e05824a1c5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d7125223-779f-4d28-b381-bbcd19d63d45", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5538606b-342b-4853-b6af-798d968f8c3c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d76f0af9-9303-4f5c-af99-24b2b06ca17c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f3ad91e5-2f89-4ef6-8070-dcf67d7bb82e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d1398940-23ac-461d-bf91-d7fbd63edb55", "count": 1, "frequency": 0.00026602819898909286}, {"name": "db47337f-540c-4ffd-b091-a1bb3a63fd4c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "747687ca-5819-4dd7-af5a-46a6a42aaae9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dc5dc5b9-ae6e-444d-b27f-efcf304e6fe3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "80141911-0b6d-437c-8688-320fbe35dd88", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7fadfce0-0aaf-45e2-abb9-aa581e3852aa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cadecf47-889f-4122-8526-a3847ec9e6eb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "672044c6-439e-46a7-9d3e-0801c66d77df", "count": 1, "frequency": 0.00026602819898909286}, {"name": "735970a8-b921-4b42-845f-754ce3a30aac", "count": 1, "frequency": 0.00026602819898909286}, {"name": "147e85e9-b216-401f-8d89-f382cf6eb1b3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2b10cda7-7016-462e-b90b-0e03deb491d9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0c3f0ead-f86a-460f-a4eb-a570921d7735", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1824c205-7d9d-4ff8-86f7-ddac59fd4d05", "count": 1, "frequency": 0.00026602819898909286}, {"name": "90e69449-3e76-4903-a5d1-e053d7d4a52f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "87b1a43b-45de-43f9-994a-8266ac74ab56", "count": 1, "frequency": 0.00026602819898909286}, {"name": "158d81a4-d019-48dd-9d0a-d283668216b0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c142b808-40b0-4cd5-ac9d-c33e04128b12", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0cd458d6-504f-4629-bd0e-8635b3bbc1ce", "count": 1, "frequency": 0.00026602819898909286}, {"name": "749ee983-db47-4612-a92c-f051e48473d1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b5a21bcf-2ac7-48f8-b120-9d696541ee4e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c1e1e795-dc74-4f3d-805b-5457fd4abbac", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5dd5c99b-5d12-4b18-84c5-462f573a4d3c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0037ba21-b09c-455b-a3c3-e7807aedf776", "count": 1, "frequency": 0.00026602819898909286}, {"name": "38ed7baa-364d-4cef-9cc0-d4ec3fa945e6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "76d499a2-98f9-408d-bcab-bae4202871af", "count": 1, "frequency": 0.00026602819898909286}, {"name": "15c68909-fc88-4c79-a670-57aaa25c167f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4111c9e3-f12a-4e0d-93be-524692c567c0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dd88c7a2-e658-48f5-8d67-907bd1d09882", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1cbf53ea-6322-4164-a00d-b0f28d9e173a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "150237b8-0da9-4cfb-9f68-250ef94a1564", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2802bf19-1571-4d9f-bab5-46be066b69d5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e605831a-71c7-4c8d-b9d0-822d3aaa6035", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c52ee5b5-cf42-4776-bcea-c971fbc445a5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d9687498-df72-4e14-835d-509a61990002", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ff3baef6-1c5c-4bb4-be9d-6f5d9e07093b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a178a6c0-deb4-40b5-b5cf-5f0a815842bf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "696ec81f-49eb-40f9-b851-231fc088d784", "count": 1, "frequency": 0.00026602819898909286}, {"name": "481038cb-4e28-4311-84c0-64919c42d8d0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cc7f4048-dee2-4617-a8a3-73a2cb1de38d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7406bec3-9697-4850-a916-41211386af97", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cd1855d8-ff33-4c86-bfbe-c80cd245cef6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "980beb8d-838d-4490-a6e9-9aa454e273ed", "count": 1, "frequency": 0.00026602819898909286}, {"name": "96ce0a38-6ce7-4aae-af47-5f4d3f3796f8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8cad09d5-c66f-467f-8abc-60521ecd9d24", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2bb84a50-6f0c-42c4-a937-7b499f77c1f1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fd78c542-4673-494b-a630-69fba0455a4e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3df9a26a-060e-4621-aac6-e5cf3121e04a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "61d816b9-b141-411a-8efe-720772b2086c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fc17cf86-e5a9-455d-82c9-e406fa2cd4f1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "72e1f668-91e5-4a87-be27-1ac14d5e7f40", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b9f53ff5-bcf8-4457-bbd6-9abeb98dc985", "count": 1, "frequency": 0.00026602819898909286}, {"name": "864a5b55-142e-4b7b-b178-daa51188dea2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "63d17c0c-da99-4500-a5a3-242f02906c4f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "292677d2-db5f-4ce8-9114-72103c5e63df", "count": 1, "frequency": 0.00026602819898909286}, {"name": "519ac26f-854c-43df-b245-2d74d900f267", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5be5d531-4cbd-4d6a-b4e5-5d83256e844d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b53c7f53-facf-4f62-ac1f-03843ea616a6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9334faeb-8467-4692-8684-3859438fd699", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9a260beb-9910-4c98-8378-2c293856a64b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "91f50841-c7df-4e41-b4e0-cde0c1990031", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6b0f01f0-686c-4bfa-bf76-ef0da10ea344", "count": 1, "frequency": 0.00026602819898909286}, {"name": "64ec83af-b2d0-40ec-8cdf-814f0cdea2a4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "533bf09d-4dfb-465f-97f0-a78f41aff186", "count": 1, "frequency": 0.00026602819898909286}, {"name": "731272d2-0b4c-4b6d-b89e-407590795526", "count": 1, "frequency": 0.00026602819898909286}, {"name": "282db85e-1617-48a6-b29c-4d42a3960dc8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fb0d2483-789e-4ac8-b2c4-6578a608a347", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6c6a8a1d-4b26-4aaa-bfee-fc09ccb41424", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9dc459a6-7c2d-40ca-918e-d6d852cf2b94", "count": 1, "frequency": 0.00026602819898909286}, {"name": "be1ba4e6-b979-491c-87cd-11d2c739c331", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fbed88bc-bb23-4d67-9aa9-00907bf8bb91", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3233fe5e-9364-4b5e-9465-c7e4a1b35684", "count": 1, "frequency": 0.00026602819898909286}, {"name": "888ab13a-678f-4984-b715-cb0e27bfb18f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aaf5d010-3f3e-4bc0-a1b5-a6197894cdf6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "74735604-470c-4fdf-b7d0-23450d3e9334", "count": 1, "frequency": 0.00026602819898909286}, {"name": "289b1fe9-7473-402a-98f1-a139ee24b362", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c00a652b-c045-4961-a53a-cceffe920b5e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "28ad7e60-8e8e-499f-a7a9-86192388cab0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e50c8789-74cb-42ae-ac9a-6daaac7a1639", "count": 1, "frequency": 0.00026602819898909286}, {"name": "61fef8c6-5d8d-40d3-8a8d-0ff49428a9d6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0705682f-4305-4b4b-a098-7296064316fd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "86b292b6-0aa3-463f-bc70-ada396cf71c5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "085688e9-7563-44c7-a2a0-0f741e252093", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c5ec4690-bdef-4212-8710-0136cdccd3a3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cb6115ee-7b56-479f-b899-845145220298", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f414d495-864a-4d52-b9de-f57ee1eba598", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7d17b440-5646-46be-969f-577f2e8492a1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b4f63fdd-58b0-4d0c-af11-11170729b1cc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5e26e5c2-08d9-4c7f-9cd4-6ab3ac440bbf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "89e74e6f-aa23-4bef-9cb6-b94e48ba76c0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "27fc1582-06d4-43e6-be24-5eb7ab7df4c8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a3b73e05-49f9-447a-b5d0-b4dc9a1710e9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "84c64c92-ec18-4345-a98b-05f41ee5bb83", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d040b1e6-a7a7-4bda-bc5a-59012f3ff770", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d38df5c0-1672-4bad-a1c3-c72a1e67aebf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2add17a3-b4d4-4df9-8d0b-550e8b98e4d2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f2ff9a2d-911e-4633-8412-ef3ac6a7cdb3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b78acf9b-2842-43f0-a007-69b20b5db477", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1c54b1fd-703f-48be-8626-cc5d23ebc2c9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "16a64f54-273b-4f01-818e-6b7bb06d5c6b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "138fd06f-b447-4343-bad1-8e6448c702a7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a388bf93-6e82-4e63-ba7a-b628f64eefcf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0785fda4-da0b-4cf1-9c01-b0f64a890421", "count": 1, "frequency": 0.00026602819898909286}, {"name": "563748b5-fbdc-4c99-a330-2cf54f51c961", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a2a44b7f-9d5e-47e8-9659-4636218dc9b8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "de4ac5dc-64e4-4013-be0e-2b265d534bc3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a61fc89e-ea3d-4067-91c5-88af3cd8b5bd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6193cfbf-e36d-40fd-bdf1-e867f2d4eac2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "27de2a41-6add-4e1f-8e99-fbebded13249", "count": 1, "frequency": 0.00026602819898909286}, {"name": "63cbd196-4ce3-438c-9dad-4c12c7bf8dfd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cc060ea2-8212-4dbc-8440-0553230af976", "count": 1, "frequency": 0.00026602819898909286}, {"name": "333bea3b-b59a-463f-962e-ada685ed3ee5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "97a38ff5-e9b8-43e3-ab08-8b40c59132a9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0d341760-0807-4509-97e3-5e5ed3ab976a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "74049ec6-a844-49d2-ae20-d612518cd4b3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d82fbcfa-0eda-40ed-a5d5-f3f502b49420", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fddebea8-2032-4c3c-9456-32319d8ad284", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b5eb049e-cf6a-44d7-9fd3-6f9043ad9686", "count": 1, "frequency": 0.00026602819898909286}, {"name": "434b1e97-7f76-44da-9478-8876640639d4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7ff593ed-143c-4abb-89c5-0dc71b61dbdc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8e4af2ca-d4f0-474e-937c-6db10e8615de", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a3607278-bb15-4d7e-96b0-1de944c78431", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6cdebb76-ed7f-470e-ad38-44772bb9b394", "count": 1, "frequency": 0.00026602819898909286}, {"name": "56d1f327-f8bc-4473-a5f6-e7e73a72072b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "eb12b88d-7ff1-44e0-8ff7-522fb3fd89c0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4e6a1794-d9dc-4886-8e7f-20e4b61ab6a0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "387e48d2-636b-49e5-9842-d23082268752", "count": 1, "frequency": 0.00026602819898909286}, {"name": "51b635f6-e437-43dd-a050-b65ff4d33e67", "count": 1, "frequency": 0.00026602819898909286}, {"name": "144b6476-1d73-4be0-8d6d-f6bc541ccfe7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3ee6149e-f31c-49af-bc34-82cd4413ba4e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "160f0fc4-b531-4bc6-8640-efcef47de178", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b204c6ca-3b39-422b-9a88-b3e4cc684651", "count": 1, "frequency": 0.00026602819898909286}, {"name": "832190f1-e196-4716-8ded-e0fb17c50d86", "count": 1, "frequency": 0.00026602819898909286}, {"name": "97fbc7b0-9342-443d-980f-c4535909ce4e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "87e1e0c3-d193-45b6-b67c-23a1b9dbc7b1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9c360eb0-8437-4d77-8138-b2d4c32c62ec", "count": 1, "frequency": 0.00026602819898909286}, {"name": "accc943d-6957-40a6-aa92-fe1aeae3e4f5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "317aa4d0-b31d-4829-9572-d24656f88578", "count": 1, "frequency": 0.00026602819898909286}, {"name": "331f6f6a-a492-41fa-8062-3c4971a4baac", "count": 1, "frequency": 0.00026602819898909286}, {"name": "48fe265c-30d2-4e11-9978-f2a83a11309b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4f701168-b7ae-4ae4-9806-b1ee68521471", "count": 1, "frequency": 0.00026602819898909286}, {"name": "138d2365-c2d8-4175-924d-4c92fa2554db", "count": 1, "frequency": 0.00026602819898909286}, {"name": "649dff68-55b6-4c9c-87c2-a89c44277ad8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ef92edd5-c824-43bd-92a7-611eb6c8dd1c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "88319d23-68fc-4a4c-9936-a7fd2885aa61", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a0f887ff-0f35-4f51-ac9c-9e8598d7b6c5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "18d06503-f659-43ce-bfe0-b32f512ffa7f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ee618dbf-301e-4c0f-b485-c0eb56ff64b8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5ab301e1-01d4-4172-8654-6f4071f4b971", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8fc5d6f7-f0bf-4c21-971d-000757436d6b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ebd5f61a-23f9-4bd3-bd61-2de871fc5a4b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3c47fd5b-46b6-425b-b125-0d25efcba435", "count": 1, "frequency": 0.00026602819898909286}, {"name": "766de03c-13a7-4977-a03b-a037dbc529cc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2e8b8634-d29b-4ab0-934f-e914608477a4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "18dd68ba-8194-4dd1-a6ea-27325e5eb6c2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9bf79c38-fbea-4394-b159-08f261e20602", "count": 1, "frequency": 0.00026602819898909286}, {"name": "41d99ef6-44b5-408f-9511-de45f8328d30", "count": 1, "frequency": 0.00026602819898909286}, {"name": "95a425eb-3237-465e-99e7-dd3c91a04976", "count": 1, "frequency": 0.00026602819898909286}, {"name": "37ea5de9-6281-47ed-8ba2-b3e0f824d809", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2ae4d7cc-6e32-4920-a0f4-f8cd18f7f946", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c865c5bd-aa03-43ed-83d4-24cb0d56a159", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fb5dd644-0a36-4bab-b890-277283fbf7a3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "41a4dc86-0f4e-47b7-a678-375cc291801f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0bd227b0-79d0-4444-be8d-23b6f2dbf3ab", "count": 1, "frequency": 0.00026602819898909286}, {"name": "44c1fe0c-1d61-47d9-9129-66538bb6038f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "91b0ff1d-1eda-41f7-b34e-d77f1d26da7f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "62709742-da02-491b-b3f4-31a332c9d224", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c24fa94a-a650-4ad5-9d15-43dad02cae12", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4f090824-ad06-4577-9f65-ced1e6c03ed7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9d49aaba-79b2-4df1-8d04-ecc13ca9bfc2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a54d652b-d00b-4f20-9bb9-d77a9c633a98", "count": 1, "frequency": 0.00026602819898909286}, {"name": "36ce4bdf-36f7-4154-a6fd-a40a1a4ab381", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7ad5ff63-4595-458c-8c04-abb0182f5777", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b9026e92-01df-4839-985b-198c1a20de60", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b4402692-a95a-45f9-8f9e-6455f22d6a8a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e16c8b1a-bf05-4e6f-806f-46f1dd1743df", "count": 1, "frequency": 0.00026602819898909286}, {"name": "597923c7-c69d-48d0-bcf3-4d3207fd223e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8b2dc261-506d-4071-9f98-78ac04b57aea", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d06c4bbb-b9a5-4155-8122-f3b2ede72bf2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b1dc453c-11b6-4ffe-a63b-04ba9b56ac06", "count": 1, "frequency": 0.00026602819898909286}, {"name": "197013c7-a77a-475b-82b5-661bba3ab623", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b3a3cae5-0e80-4ba2-b8cc-45d51dc1efca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8928204d-08e4-4614-bcab-f0079f687680", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4eff69cf-ddca-4aa6-a756-d0b3e354faf6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d32db476-a4e7-49c9-8bde-d8eba0e6fff2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "49cb5c07-b915-4056-bf17-640ad439fe03", "count": 1, "frequency": 0.00026602819898909286}, {"name": "377d2f86-b6b9-4e6d-857b-42347dc7ee58", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2b3fe79c-32bb-4834-a496-1b4453b1f434", "count": 1, "frequency": 0.00026602819898909286}, {"name": "44ea2f1f-9fd3-41dc-b53f-cb651a6b8774", "count": 1, "frequency": 0.00026602819898909286}, {"name": "317bb51c-fff7-4b3e-bf23-4749488ae743", "count": 1, "frequency": 0.00026602819898909286}, {"name": "51dbb700-b7bc-4cb1-a22e-39972e8ba26e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "55e06738-7dad-4caf-8b26-6f2a7e06343d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d07e07fc-e662-4ceb-9587-d6cfd2c4cf29", "count": 1, "frequency": 0.00026602819898909286}, {"name": "edfc2dc7-8464-47fe-bba8-62d93d4104b5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "538c8bd1-9e93-4cd8-a2e7-72eae5e28839", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3d41044b-467f-4f6f-b048-aabef6c4752d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "902f7fda-c268-44e5-97f3-44ab5e3dbb58", "count": 1, "frequency": 0.00026602819898909286}, {"name": "43434744-08d9-4755-9f1f-e7f41f883bfd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "544d7dbe-b44f-45bc-9ab4-39599f431eba", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e3d66f1c-28bd-4946-9f21-094a35f726a0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "783a47fd-ca0f-48f8-ae89-de8faf3db835", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7b89ab3f-74f6-4d7a-ac2e-62e4c2c68e47", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d1ef60a8-a025-4aff-8b5c-b61508202447", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b807d193-4b6f-4cc8-9f97-6fdec0a91e03", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e208b0af-f107-4abd-8337-80888eadc0a6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cd559f2d-df9d-4330-a16f-669dd49549a1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4ef007e8-0879-4ebd-95e4-f70666f781da", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d4874d2a-ace9-4549-94d0-78c8bf0df7e6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "12ca6923-8e27-4b31-a58c-6c38ea0e0266", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c27c9a07-ba3b-4e1d-b0ab-efc4110acd20", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f3a2b70b-3b9f-4bde-96e9-e25e77a2d0b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3aa36639-7d5f-442b-aff3-f5b3c73b740d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e3cfe38d-5171-4f10-a74a-3318efe5c8eb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c169ce12-7c57-4a42-ac00-84f321788878", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4fcfdf96-4eaa-403f-99b2-42ee91a8dbf7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0003608d-6bfe-4714-b528-858bffb5a82d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0213b347-f490-48a6-bec9-e36af372b0bd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a75343c1-e065-4ca2-a0c5-a0c8acc255d5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2a05a8b7-f4f5-4184-9ef4-ae63e8bbea58", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c83cfbf9-cfa6-4a29-a640-b7af3aae1a23", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b5bf040d-4414-4dda-8592-32de99cd781b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ec85a717-1d4a-46be-85d2-ca13332d5702", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ee4fb2e0-b2d2-49b5-ac1d-4dfa986a6d33", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0dcfecad-36b9-4ad6-8962-5f5daf067a1a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a6dabcca-bd3e-4fc0-a712-d566bc279329", "count": 1, "frequency": 0.00026602819898909286}, {"name": "180d3488-78db-4905-a286-7b681449032b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cf5b0a88-7384-474b-9478-01a9fbb1020a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6c0ab955-59e8-4dff-b1a0-4e9709916e7e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b092aac1-fd71-49db-a7ce-5a9eb9971a80", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dcaeef00-529c-4285-a5a9-9c95d9381ad2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "777b7617-26f6-4533-ad2d-62fdb2662153", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c7b7156a-190b-4f66-8f12-c5d0b0d2e428", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8f8bc6a9-60fd-4fcb-8784-230e06c4215b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6aa12fc3-653d-4d63-8247-31bfb4fe3a37", "count": 1, "frequency": 0.00026602819898909286}, {"name": "93c6190b-bc59-4ddf-a2d3-a14a068eb110", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7ac6c54f-fcf6-4dce-a90a-6a33929b0834", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5790287e-5574-4521-98da-f774f8a33c11", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cb789d8c-f6c4-4905-bfe1-d76356601c27", "count": 1, "frequency": 0.00026602819898909286}, {"name": "29c7c8f8-dd9f-4653-830b-506a81d100cd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "df5ff750-ddeb-4fb3-9680-b960b395467e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "18b68234-0ecc-4cff-9ce1-5ae88e7b421b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3ce3cc61-32fc-45c7-90c4-cd72cbda62a6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1c3f9e8f-8502-4a00-8a47-c27b6b6f8ec2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8e6c267a-0d56-4ca0-8703-a96dfab60d24", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5b7588a2-7525-468f-ba5e-a3ded012346b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8966bd15-1bc3-4c8c-838c-f9a0bfa26909", "count": 1, "frequency": 0.00026602819898909286}, {"name": "84c5cc8e-72a9-4c18-a8ad-9d87f5153cdf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1a3a6a9f-920a-4d5e-bf6a-88afef440c34", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4891c26e-2ad7-4186-ad5a-0268fd2bd9b9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cbfbd9db-3080-4560-a552-cf5615f225ee", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b262d318-bf1f-4ace-8a63-9044145137e8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d68df315-75e5-4803-961b-f2fe36cb8cf8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aa49082e-539b-4cf9-ac63-b4d3eb1d831e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b29af962-ca98-43f6-826c-29b68c89ed9e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8e5f70c6-cc5c-4a55-a361-0c8181a34228", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1be34fea-c627-49d8-972e-04340dff3a09", "count": 1, "frequency": 0.00026602819898909286}, {"name": "77c565d4-7c85-4f18-8822-dd04a8d8a793", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7393ab60-a93f-4b9f-87ef-4f9f288f5322", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9f6876ea-0349-462e-b6f8-a264aaa35643", "count": 1, "frequency": 0.00026602819898909286}, {"name": "93dc8077-2ec9-4447-a344-5ed30127209f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5b50ed89-c80d-434b-a146-4189965fd43b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9c8c559a-bcd9-41ae-ae6a-ba231ff66e8a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "416013a2-5a2f-4408-8073-d042b597c869", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d1ba7e0d-65cd-4232-a0bd-a23c07ed6fe8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8d4798ec-4564-4603-a27a-58112047a4d6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f9946086-62e4-45b6-b611-2765ee4c9822", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9811e7d6-93cf-409e-8884-73bc907d6917", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b2c7b0d0-2cc9-4e92-948a-1d9ca1a74bcc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "99ec8f9e-1623-49b2-8a8d-3d2c6c877401", "count": 1, "frequency": 0.00026602819898909286}, {"name": "65c459d2-2398-454a-bcbd-8ff0ae541f7b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "425d16f0-cba9-4c78-a949-46ef1bd1274a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5bb43f94-3c72-46ab-aa77-32392a330e75", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5143fc68-6c99-411c-9ec7-8c29dad88005", "count": 1, "frequency": 0.00026602819898909286}, {"name": "45e19571-7c77-457b-8a63-d5c356f58be8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9f0d66a7-0005-49c8-97c6-3264a8bdd650", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fd219c46-3bbf-4350-8be5-d13a13d252ef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8b99eb2d-bb4a-4e5f-8d48-ab95faed1e7a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7b34b343-023a-47e2-986b-903bd58b1af3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "996b5aec-b842-425d-9891-7c6de2da17ae", "count": 1, "frequency": 0.00026602819898909286}, {"name": "60e54b3a-0bac-47c9-8408-9a93f24a46ae", "count": 1, "frequency": 0.00026602819898909286}, {"name": "72f042ba-a2e2-4340-84d7-43300c9745c0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2b331cff-7867-4bc2-ba32-d2eda070ac15", "count": 1, "frequency": 0.00026602819898909286}, {"name": "35833c57-e9ae-4563-81ca-d5031eaea093", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0cb4bfd8-828e-4889-85c5-549735842866", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ac73da1d-6363-4ca3-8e1e-7993a8484c8a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bbd47317-f746-4790-ad9e-975fe4b007d0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4abfe563-f670-4ea5-bdc0-6bbdcba8e169", "count": 1, "frequency": 0.00026602819898909286}, {"name": "90bb6ad0-e01c-4e40-8d31-19bc91acb497", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f4a5f12e-cb41-49dc-bdaa-5289b5c00552", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5773c150-b9e9-4979-b70f-a3a2cd1889a6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d9df5c02-4621-466a-9677-85188143e8ee", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f3b87f34-69d0-459f-ac58-c778d1e5e951", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8e86a1c0-69d1-432b-b558-5f16b2268db8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cfebb527-0a01-4112-847f-e7d42c172e79", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2cb8c700-b819-4144-92e3-f45211642986", "count": 1, "frequency": 0.00026602819898909286}, {"name": "11dae114-945f-4015-9d8b-1201a66322b9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "056d20ab-be96-44e3-8124-157f3186f6b5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f2b85713-18d1-417a-a41e-ba45e6b7292e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b2506e21-3d01-44bc-bddb-7f4afe3de047", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8f4ea8ab-8c55-4ad3-b8fe-d415d9ebf975", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7671079e-2f36-40bf-8a6b-db1c98de42c5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3984d669-a128-4974-8205-ca71f386116e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8cdc9c91-2763-410f-bc4d-544589512d70", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2d232fcd-044a-477e-9dbc-5874743d33e6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2336140e-8ce9-4a4d-9f8a-4760585601a4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d8c70b53-1f6a-4340-9383-41c85241b857", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6e720e41-d1aa-4a3a-bfc9-441c9de27e99", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c9d5d811-51fb-496d-8181-ae37d86f72a0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "153b1d50-74c9-494f-b0f6-bc633969e47d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "baae0c10-95c0-49c6-bdcc-408b1cde938c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6813d296-ff58-4ba9-8c39-6d96432002ee", "count": 1, "frequency": 0.00026602819898909286}, {"name": "67c2d037-294c-4977-87eb-6f681a650594", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c04a9bf3-0be4-4554-946d-863af1dc8fbc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "390dfc9d-72cc-4452-a2eb-12f281ac19da", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fb9285f4-93d6-438a-8d30-d2b4d1afa3c5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "364a8010-4b4c-4060-b18f-5b6a0887b1be", "count": 1, "frequency": 0.00026602819898909286}, {"name": "64a97057-f626-4a3c-9c03-05410d90d1a5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "02b3e17b-b4eb-419a-940d-8b91a35924bd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3b07e07e-b5b7-4b0d-8e5d-8e60b1e384c4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f2087631-9336-42f4-8d4d-50289b238ca7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3e1d1613-7df0-4f9c-9fc1-6791d1781344", "count": 1, "frequency": 0.00026602819898909286}, {"name": "928f40dd-99f6-44bb-b334-56e4bf349f39", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e8021986-039f-46ba-a05d-112ce28342e6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1c97adfe-5588-4de7-b6ab-07d156e1d7d0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "60e083eb-42ad-433b-a3ae-8f441bdf0197", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8803e868-7ea8-499e-952e-eacd106d07d5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c9ecf435-9bb7-43f3-a817-3fb5156bf125", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e89ca50d-ed67-4d45-9b0e-3eaf1d12b096", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c8a4c3f2-138f-47d1-938a-696109e6be29", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1397a61a-941b-4474-8195-ad30b60a4493", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f0528f2c-d9d3-4eba-b41b-e5608f451bc1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c5602c82-e3d8-4e74-9d45-bf248d95f265", "count": 1, "frequency": 0.00026602819898909286}, {"name": "13c22024-312b-4a79-a7e9-17cacb35f9a9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fa15b976-ffd9-40d7-b2ef-11c8b72449b5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "62a14a8f-a17f-4d56-91ca-bd1fcd79c48a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9e172d0b-cf74-46e3-a3a7-d5de09aa8eb0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "475c2636-3ef0-4a9d-ac98-bea0968ee39d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e25ae9f8-e9d5-4b50-b3a7-57afb899bef0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9151da6f-6bcc-4e7d-9bd7-06b2850a291a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3e5dc240-4268-43b6-b232-618ea5f503ce", "count": 1, "frequency": 0.00026602819898909286}, {"name": "47f55116-224c-49b1-ab26-784350423653", "count": 1, "frequency": 0.00026602819898909286}, {"name": "447133d5-8161-4043-96d6-9d365c9fcf2a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "68643d95-5c2e-4ec1-bba0-afb810e5c3fc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ed02cc66-76b3-481c-a537-837e8a9b707e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c84b6785-5744-47e2-b0bf-0b1129c6ace2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "77e88788-51f4-4cf6-84dd-3ea0205f667f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b56b2a6d-fef3-4d34-b9d4-b64b3783dace", "count": 1, "frequency": 0.00026602819898909286}, {"name": "388ad4da-961c-4076-beeb-c5edcc8513bc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "eef2c8f1-1b0a-4440-a0d8-7e47827980cf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "de942312-7117-49b0-8078-4b34d308db04", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2cb579c1-4896-4ad7-b683-dfcd57f4c782", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5faf6f3e-2572-4101-9271-1223ad61ebd8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f0f1eb3d-ad2a-44bb-a9be-935986cedc2e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9ce0aaee-8d1a-43ae-a896-e8b18ebf0570", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d00cd604-aa7b-4196-8006-c984a433cf53", "count": 1, "frequency": 0.00026602819898909286}, {"name": "11b92ed9-25a1-4cfd-ae69-35f22c45b165", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9bf4a9c9-0fee-4879-bf73-d79968ea16ef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d27d3726-ec75-4bf3-a3f5-cb5fd9f5ee6c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "02da6987-e1b4-4e2b-a056-c61721a83e48", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9f624f98-3a32-4a41-bc30-79ad72b95cf7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0c832c21-707c-4fb8-a93e-6428d43d1cbe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1e6a9ccd-203e-470d-8968-2a875210e476", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b9a973e8-a8d8-4c88-9d0f-2faf76d49d94", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f9d8ad16-6c9a-40fb-8e45-1309b04faa91", "count": 1, "frequency": 0.00026602819898909286}, {"name": "479b4d05-bb9a-4dad-9567-40605cd36994", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4d8bd06e-9f93-4011-940a-eeece163c0b0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e5fb62d2-7a1c-430b-affb-70a5df9a0faf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8f0bcf5e-b6f2-430f-a37f-b4a9aa8b7f5e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "22623ad3-491c-4ade-a52f-edf1d25a0e09", "count": 1, "frequency": 0.00026602819898909286}, {"name": "19d87737-bbd1-4e51-ada1-f5a261bf374d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e6fc9ab3-1028-4da9-ac77-5d2a883ad27b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "30ab188e-8ecb-4a50-8cb8-0afb84faedb3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7d7f49c0-4f1c-44b4-93bf-5eec81aa36fb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "48b03597-dcc1-4204-bcaf-015bc0c77912", "count": 1, "frequency": 0.00026602819898909286}, {"name": "92a45168-20d7-4b19-a0af-230503306f75", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2356e7f0-b18d-45fa-ba1e-f1d32992893e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "15f30b14-e6dd-45dc-836a-b1c197b7f4a0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8c5ce615-1137-46ff-93f3-ef449e65c258", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4f851c82-6370-4181-9fd6-a7f603bae448", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9bf79cba-3b03-464d-ae13-475a03643b78", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d73cb5a5-f636-4a7c-8371-864987255a2f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "86be59c4-ac14-4653-8b28-f757809b4872", "count": 1, "frequency": 0.00026602819898909286}, {"name": "94f56af7-507f-4e6e-9f95-e52ec85d7c68", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7d6fb398-801e-468a-bccf-edd9de1ed6fa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a46ce89c-f249-4596-9d2f-760aaf46d645", "count": 1, "frequency": 0.00026602819898909286}, {"name": "62aced22-a4b0-4d26-be0b-d3c6d8e62ed8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "15009920-fd16-45da-bb96-061f8077a4f9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "690a2a40-3ec4-4165-baa2-3221e726880e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c9054fdb-04a7-419f-87b3-4cd74c992ca8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6d241170-b5fd-4d75-98a6-b668e919b520", "count": 1, "frequency": 0.00026602819898909286}, {"name": "be52acca-83a8-48c3-8b87-c0eb43233576", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6c981e33-a257-4787-b1c9-5b21bacacf41", "count": 1, "frequency": 0.00026602819898909286}, {"name": "02dc31bc-b323-457c-b8b3-9a4bb29bfe28", "count": 1, "frequency": 0.00026602819898909286}, {"name": "300844f9-2dc2-4c53-840f-c975f1613a75", "count": 1, "frequency": 0.00026602819898909286}, {"name": "14a532d7-aeb3-45b7-aad8-1bb46b22b0d6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3171a452-f431-4166-b0b4-aab1f3a07562", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6693571a-79a9-400b-bccb-4c3abcd12147", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ecc40edb-af8f-4157-a731-2cbae499480f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1992fe0f-4634-482b-97b0-620f0fcf85ae", "count": 1, "frequency": 0.00026602819898909286}, {"name": "021cec5e-2025-4a1d-b36b-911dbee4ba7c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9fdd9711-223f-4342-9433-db0f141a632f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6dc1ea2f-db01-4f2f-a642-01b87d283c5f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7672e603-724a-4169-b180-ac4b31deeeaa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ede25b8e-e3ea-4c14-b6be-028a96396461", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ae7b2350-0044-4d57-850f-b61c19795758", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b8fe2fd5-1005-4fb6-93a2-7cb7c03b6099", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a0a8857e-ddf1-43a8-b4c9-dabe692e43e9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3e34c826-1ea2-4b85-9cd3-246c33f1b2f3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d1a3596a-f75b-4e40-aa51-98a178667919", "count": 1, "frequency": 0.00026602819898909286}, {"name": "94b4e5e0-d782-4862-bc9d-e25279730209", "count": 1, "frequency": 0.00026602819898909286}, {"name": "660ade83-598d-45e3-ad7e-817730df7710", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ef7f2019-8e6f-4a8e-95a9-2b734d24b7ee", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d468714-90ed-44b7-ac8e-d59b8c3db619", "count": 1, "frequency": 0.00026602819898909286}, {"name": "af2b4f2c-d223-41e6-bb62-b13e0bdebbd9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7fc93326-84e1-49d7-9ba8-5a968bb3fcd6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "de41cb37-746f-4691-be67-b168226c321b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6574459e-cb2d-4f2a-90a6-0d437bf4864f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3449b68a-97fc-47bc-b92a-6eb59ea76ffd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3312562b-73f1-4925-a82a-eb474ab658ba", "count": 1, "frequency": 0.00026602819898909286}, {"name": "001db53e-99b4-4235-afbf-3a294104ca54", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f6ed9abb-b030-489f-ad87-687cced6db7f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4b756857-d43c-46b9-a30d-cc56bf8917a4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6f8895dc-03df-4640-92da-d2b1094a52c3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "78039153-da47-4f87-85ad-04e5ec79d7e6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9dd84719-4bfa-423a-8760-d760f7e5d1cd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2a47bd48-8466-4e79-a2b5-fe5ad0fdd336", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6db4d3db-0043-49b4-8691-8b7909b8b88e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4d23372b-5860-4bf9-b304-7475151986b7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8063efce-4254-40d1-ad5b-d7b66f7fc4d7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f0b4e666-587c-47a3-a88f-7fecafbf9822", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a7222336-c978-4074-9961-0c5e0926ac08", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c7dd6d17-99ee-48c6-9983-097355baa5f6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ea533d6b-d41b-49db-a656-a7c9605e72aa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d8f6dc37-d485-41bd-9795-88eb0862ecd2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ecbd5b4b-3ff2-437a-b630-bf0b4e108fe2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "35cb2b17-3be7-4e5f-b1ea-6410eef22df0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7408e2c6-da23-4449-b1b8-61ec3fc3e726", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f8a8cb53-4e33-453a-8381-2150ef21438a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d1e6132-9f86-4399-8340-4683aa97010a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7b2ce982-7adb-4fd6-bfab-6d498347494b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "28b17aca-8380-4933-b5a2-aee7803a9902", "count": 1, "frequency": 0.00026602819898909286}, {"name": "67780fce-e5cf-4b8e-9996-908f3b50410d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4c391c30-3f8d-4496-9aee-a544721d9a88", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f74e782c-8de1-44dd-8d6e-2d70e8fc52a4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4a439d80-5c88-449b-bdd2-65a300cde865", "count": 1, "frequency": 0.00026602819898909286}, {"name": "87654499-e83a-480a-a94b-6ccddcc1e612", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cc622d79-2b60-4e49-994e-b3ef89e2e486", "count": 1, "frequency": 0.00026602819898909286}, {"name": "63dd953a-e251-49d3-a1c4-17b0105effe2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1cb3f619-d8b1-4c69-b010-4ae0d7f429da", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4c63c3cb-3a77-494d-9c7a-f19e5d2d9597", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a0c33471-dd55-4f33-a4c2-425cd60c4aa3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4c4ff526-59e2-4c0d-b4db-74ddb9270fef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4fb5ce75-8bfa-4672-9657-bace0e6bb14c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bc1dc028-58b8-4149-85bd-c3710041ba01", "count": 1, "frequency": 0.00026602819898909286}, {"name": "26588d6a-5384-421e-a11c-324f372e997b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d21bcc32-ad62-4857-be26-d992f7ee1fc4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a25d50cf-850f-4b51-880c-2a9e263d154e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "24635441-b5d4-4bdc-978e-e5de17ce0d85", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f7ab35a5-1e59-44b9-95ea-b6518dc322b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6d010245-1258-4cb5-b93c-618718142cc2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a16429d7-9177-48ee-92db-27b070950e5b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3829689a-0e19-4b1a-ae56-8bed22d60e43", "count": 1, "frequency": 0.00026602819898909286}, {"name": "afe234e6-ecb5-469c-95f2-0a440c3cd14a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "43c3971b-1429-46f6-b0f4-b77da163a261", "count": 1, "frequency": 0.00026602819898909286}, {"name": "47659a57-e89c-4c3d-99ac-c2e35ccc69a1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "22072ca3-cdb2-48be-be5a-195eb6c34151", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a76a3c11-3c54-43bb-938b-820d8b2b1b03", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f4ce88b0-dbe9-4c72-a344-002e12b7ddaf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ccf1a21b-da39-4cb0-b4a6-babf4889d119", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fd7fb9fe-fdd2-453b-a8ea-03b4622a3b53", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0ac514c1-bf9a-4bcf-a9bf-4dba27e46130", "count": 1, "frequency": 0.00026602819898909286}, {"name": "62140172-d107-457d-bcbc-47af1dec62d8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f90c5d12-5e71-4dd4-b35e-db07cbd3d988", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bdca4d4a-2f4d-4dee-94fc-4d6bb90c34ff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b465dbcd-5d65-4f27-80f6-7938ec2ac138", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a7940789-fcd7-47d9-badc-c91716c152da", "count": 1, "frequency": 0.00026602819898909286}, {"name": "49c8ac3b-0ac6-452f-be96-b457d0b5b4a2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "182f1a26-0ef3-448b-8048-b5d821e27186", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1533f75a-629a-4495-bce2-0b2e90edc75b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b9e88a8c-c424-4a5a-ac91-88f316492583", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0d3dba46-5e05-4a86-aa5b-45c808160c89", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5f953d94-0f31-43b9-aa97-6dbb6b44ff89", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7552347d-e3c9-496c-bf68-fc39a67ee311", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7d2ef0c5-1c29-4f5c-bcb5-d3f8d07be700", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f9fc43bb-01c6-4b47-8ef5-07442ec88813", "count": 1, "frequency": 0.00026602819898909286}, {"name": "df029d56-0e03-4ab6-8d35-616ea9cee048", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8b46e099-3890-478e-88a6-afa3e3ce0d4b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bc63f5ae-457e-4526-aa99-007ffd86062f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "281982e3-b5d0-477a-9c07-2bf858f2d8f4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3c953d61-988b-4418-9396-8f0a2dfef968", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3138c03e-16b8-425e-b272-834d2190fa40", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3f0962ed-3f86-48b5-a886-87df3ebaf97f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6d71216a-44b8-44cf-8034-610f51590420", "count": 1, "frequency": 0.00026602819898909286}, {"name": "03337801-887b-4711-8584-0fa65d24c0ff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "18514531-4df7-4108-9fb6-4b68c5f8136c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9d7655c2-a3a8-49b6-bff0-6bf0a6beaf33", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d3dde3af-9be7-4e16-802b-4a9b93b29609", "count": 1, "frequency": 0.00026602819898909286}, {"name": "74cf30f6-7f11-4cbf-879a-5e12ad4c631b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6e5f6e71-5af2-4882-af42-4b1712a98dd8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ecf097a9-b0bb-4574-a169-637360c30e8b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b7290da9-2acd-4745-9495-a456b669f60d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "de3e6c35-21b4-46a2-8317-ec51b626e495", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8d588737-2bd4-4f88-b1ff-7c74dc7b0401", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f70e3285-ca2f-4b0a-ac9c-e5292744d2d5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7a03467f-767f-45c0-a36d-f29291031037", "count": 1, "frequency": 0.00026602819898909286}, {"name": "98132cf6-cbb3-4511-8a23-638bce0118d9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6e93cbad-30e6-4ad5-a6f9-9a632a332f1f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e03761a6-5ef9-4944-8ad5-ed2630657c0a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4746bf70-5a80-42aa-ad25-1eec1262daf5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ea6f4438-2d59-4171-8866-c9ee07c02f12", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0fd4c31e-1b7d-40c4-b957-279bb326263d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "485f97d8-7f87-4696-95f0-9b1c1563c237", "count": 1, "frequency": 0.00026602819898909286}, {"name": "77ea4322-4982-4c6e-9510-958330d5444b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d467426c-8704-4fa1-ad48-d79a768cc513", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b61a017d-3719-4f18-9563-13987c9b44e7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bfc06689-3bfa-4eca-89cc-9a785e4e568d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "66ed27b1-8371-4217-ab7c-9907ff67eaf9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "27a85ba3-f1ee-4cde-a7f8-962c27363fc7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c40559ff-5582-4870-a609-9314b27632e2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bad48cc4-5c48-4caf-9e1f-301ab86b95a1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d57664b4-b53b-47d5-aa8c-f76d6f2f5ce0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d6a0773a-2401-447b-b374-a40c065a2133", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ce6297d6-79fe-4f40-bac0-279d7dfc7f80", "count": 1, "frequency": 0.00026602819898909286}, {"name": "12b30474-103d-42e7-948e-8c22baeaed91", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f92e7170-1910-43a4-bfbb-6033b1ef8bca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ce9e9ced-3cad-4af2-81b0-7e8d830b7916", "count": 1, "frequency": 0.00026602819898909286}, {"name": "88bee756-97cf-4e9d-ad19-1bc216b6d6b9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3171c054-e412-41ca-b6d4-03d4406cde05", "count": 1, "frequency": 0.00026602819898909286}, {"name": "165a37b1-548f-4461-9e1d-835f914b5eff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "718d6cca-7174-4b31-896a-1747cda766f5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f9001460-610c-457d-87f6-85a7eb3395f3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1e1c2670-2e0f-408e-8841-bfa5b43428c5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "04319316-832f-4878-948c-957738638c94", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2ba15263-538c-4e64-adb9-d92d83cb04c2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8e9b9132-ada5-4b88-9d77-98fc6f211c68", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5902a2cb-1d62-478d-9425-444d0cb32f0f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "08d31e5e-8e2b-4e30-8a15-e4781d86b2ec", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2a2a8d98-ad24-4552-9b1e-5c9d07ee8163", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3579f6c8-6c48-47ae-8750-f095ff39a959", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c8f7be4f-76c4-48eb-a5d8-ac7c60b2ca46", "count": 1, "frequency": 0.00026602819898909286}, {"name": "24139e24-fa7e-419f-b66d-2f364fb8ec96", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8db8c26c-0912-4b35-8347-2ed3533e872e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2ac24b03-839e-4690-ac07-cea041011fbd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3ca09d6d-c1ad-4d48-9bf3-95dea5d2651c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "01bb61f6-3f40-4b9b-b4da-30560faef9cd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "959b3dc2-9803-45be-8067-1d5603189e90", "count": 1, "frequency": 0.00026602819898909286}, {"name": "eb4c786b-911c-4ba5-bb4d-5a33f3c4d148", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5efb9241-3a8d-4f1b-a42e-70666b0fbc0f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "240ef632-a92f-4d09-9729-07c592366eb0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4bab66a1-b6e4-4d20-9060-14dce58862e0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b391cc60-fdfc-448b-8988-0294e34d9ae9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d5c977a5-c875-4187-9900-9db008091fea", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6dc41164-551f-43fb-815e-d334b9b31d32", "count": 1, "frequency": 0.00026602819898909286}, {"name": "489593da-64a9-40f4-aa2c-d1541ca726db", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6e84dd60-b10c-4319-bba0-b6414650607c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "78e7f327-51a1-4a34-abec-5bbd4f859e8a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "26443248-5e8d-408a-a8ff-b50fc196db81", "count": 1, "frequency": 0.00026602819898909286}, {"name": "50f3a26f-469b-4f53-8046-9df9d65e569e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4f0725d6-19d5-4604-98ce-e6de92aa6eab", "count": 1, "frequency": 0.00026602819898909286}, {"name": "556be36c-8937-48a9-ae7a-0c73f45663ca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dd59f2c6-8d6d-48c1-9ee7-4d1a3b7fc4c9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "50360d5c-30f8-4983-a319-be3eba1aa72d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "db09fa2f-54c7-49ac-92fb-b4695eec17e3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "101034ed-66cc-40e6-ba9c-ca2a38dff72b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ab17c1dc-8598-405f-a2cd-36ae7a4a1c96", "count": 1, "frequency": 0.00026602819898909286}, {"name": "835deaab-20d4-4b86-8be1-4a29a0e40c07", "count": 1, "frequency": 0.00026602819898909286}, {"name": "742cb1ff-054f-49c7-ad53-f2daeeab4ced", "count": 1, "frequency": 0.00026602819898909286}, {"name": "849099e0-984b-402e-8b17-41cdfec94629", "count": 1, "frequency": 0.00026602819898909286}, {"name": "737fe695-e1bd-4b95-a535-1d5133151581", "count": 1, "frequency": 0.00026602819898909286}, {"name": "901fea6d-0d97-4906-af1f-7a6b237b27bb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bb1d3f4f-1181-42e6-b6fe-4239ac0528fd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "86f961f6-6841-48f3-8e84-5124e5169262", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1f8ab4cf-64f4-4bf7-8d70-fa4f15177cc8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8d882493-5c86-4b99-ae06-2f2b321102c6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f23f7f8d-d202-4f21-ad73-de6459c6b337", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d388c345-18c9-4f34-8dad-0908e24469e1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "479e9704-18ee-4862-8c3b-ed73a3e20c6a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ef3e2ea9-974c-4460-9eb7-8d87672ed1b3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f2799296-78ae-4c00-8fa5-700d3f412227", "count": 1, "frequency": 0.00026602819898909286}, {"name": "54db99ab-8cd2-4b21-9269-d9ec74534a2f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "70148d8d-b860-485f-9c93-9e2eb49bcabf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5cbb4495-fa4b-4c9b-b790-da0d9a41883b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "63ccfa70-8948-43bf-a570-58f72afa649e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c245c219-98bb-4df3-a573-713d18c81cb2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bd92e385-1b00-49eb-8be3-e87138080b64", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2e36689f-a276-4249-8653-63ce066a06fe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cbb6851c-e8c0-4ab6-aa66-169ea4b1c5c4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d8b9bbdb-1e47-401a-bda5-319a698f4ba3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "041d4cc9-032d-4c8e-903c-845778ba05e5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cfa5e608-d308-41f3-9f17-092517c9dcb1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "99c125f8-0337-4713-a8fa-aa10fa04f3b7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9d209620-019e-42f2-a04e-78afb912c97b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0a292398-ee74-4e74-8107-62fb5253bf57", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ccf348bd-892e-412b-93f7-14492cad41b1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0bffee5f-c4e9-4064-bc88-06201f4c6c74", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fd719248-11d7-42a0-85bc-71ad8053e578", "count": 1, "frequency": 0.00026602819898909286}, {"name": "56b4f099-e268-4f0a-bd00-8a144c536596", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bdb23765-2344-4d57-867b-7eb31a3ed589", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0dd99b23-09ea-4d0f-a395-a8f68f3b649e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2421d88d-8d27-41df-adf9-aecf6af900d4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c7e95d8b-ec9a-4321-94a0-a0c2c97d7461", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2fbdf54f-2d5c-4b63-96a8-e00d3aa03555", "count": 1, "frequency": 0.00026602819898909286}, {"name": "beeeeeb2-60f1-4b94-b325-fb31b27e4fad", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f7a5411c-bd60-465b-ba20-25e7186c5f7e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b52a58f5-7aac-46fc-9bf3-be2143bfde54", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f4ab0cfd-e5a4-4a6c-8e8d-b084a6850e99", "count": 1, "frequency": 0.00026602819898909286}, {"name": "87ca12ea-e9bf-4d36-837c-f12785ada55d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "643cb45e-064e-4ef7-9d4d-a79cf061cb8b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "000ede26-92f2-47fe-9834-91e3baa8a61a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "144a0e72-de41-4384-b1bb-91b88a10730f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bbd42116-0ab7-4913-8095-1802de30102d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c5e5b463-7f10-459f-b23b-42e21743a254", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9c5cff68-64e9-4b69-a7e7-2a2049f7c8dc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bc71a6c1-db3a-491a-aa44-7ebbfcfe50fa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "60a2d650-0552-46f3-b4d4-3fd502a87857", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f917580b-ec9a-4e8c-b5af-f1373cd2f728", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bf1af69a-d1c2-434b-bd73-dd6316aab261", "count": 1, "frequency": 0.00026602819898909286}, {"name": "52e62d30-dedc-47b9-bc5b-a4a7295af19a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0b36e44c-d727-4ed8-a094-ee82b097bf2c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7779951c-9d89-46bc-b1c7-1d08482da532", "count": 1, "frequency": 0.00026602819898909286}, {"name": "121edcb4-f4f4-4fca-82d2-bebd8d38f24a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c8e43d74-cfb6-45f3-9346-264af9793ed6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "773b177c-cd14-4c37-89d3-decdfa2e26a9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "eabcb76a-fc05-4409-90e8-3cfe9f880fa6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "275abeb0-9e0e-4fe4-ac3a-cbbc3e650c47", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8507ca3b-c223-4b92-a41f-f2ec392f5581", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d09252c2-979f-430d-84f2-09495707dfd0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c6d54c2a-01a0-498b-b1fb-56beb4d0c919", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d254f18f-c079-4cda-b281-04aa509b7888", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fe7a0298-b81c-4bc1-9ac3-0a8340deb0ad", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8ce777f2-1670-4e55-a377-4b95167d2ecc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b71f3c1e-d171-4653-ac06-fbacfc7394cd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "55462a65-2327-4cab-b5e6-7bad6ccd52cf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "11bf1f2f-2d3c-49d7-a62b-e425913a022f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ed034aeb-172b-45c0-b69c-a9e3b5198f73", "count": 1, "frequency": 0.00026602819898909286}, {"name": "176ef56f-bd00-4307-9c2e-ced271649629", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fc460563-46da-4fd2-9e87-78edd2c505c5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bdd15cf0-4809-44fa-b763-7f2133d031d2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "55d09b3c-c979-4045-a814-275451aab364", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c8bd25ee-6b74-4f2a-b102-ea9f4a19ddcb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "41cd0578-4d0d-4ae5-a8bb-bb83dec08464", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d6945eb3-1748-4381-85c5-9eda69605ce6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "51818b1b-d1ab-4c38-9fae-13a6c16c1b9a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "27dbb602-cd36-4f5d-8459-4aa08bb3e333", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bd6db02d-b512-4e84-a66b-b03a1c67c736", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6f65d86e-b228-48c3-8738-580e2eb57924", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6ae4465e-3bdb-48dd-9370-a65d9fa345c2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b92bf8bd-8864-4047-92d7-542b41a826ca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a300425e-4e8d-470f-8f81-0373c35c00ac", "count": 1, "frequency": 0.00026602819898909286}, {"name": "605634ef-2b03-4a25-92f2-c513550872f5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "70462194-ead4-4949-afe1-5027f822dc86", "count": 1, "frequency": 0.00026602819898909286}, {"name": "07b933e3-17db-4bd6-84e1-1f996188473e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a29fd9b4-9609-4693-9bc2-d460452a1f95", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b33db1d8-2989-41b3-b036-180b7071d990", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0de1de93-31cb-4088-97c3-d80babbe0db5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6de76dc9-d033-4f65-85e7-ade64af9086f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a7da1fd5-28f3-42d5-850d-ec4be3dc835a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7fffa0de-760f-4fc4-b707-afe887524775", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2d49911a-c238-4cd5-8398-a2c84040bd3d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f560b441-cd84-4c12-a334-9671c4851905", "count": 1, "frequency": 0.00026602819898909286}, {"name": "625d4ef8-f13f-4151-bdea-d5fc14f4bdbd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4c552a0c-96c1-4746-b134-8805c09b74b7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7df90f66-46dc-4275-959a-6048c562c763", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cdeb0abb-e948-47ba-a7ab-81e6fc5e8534", "count": 1, "frequency": 0.00026602819898909286}, {"name": "044b8651-33c5-41de-ac2a-a4995ee074ea", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4b06147b-2433-4f02-be51-dc0a99f33eab", "count": 1, "frequency": 0.00026602819898909286}, {"name": "45ef54f3-5b8c-4b43-9798-fb0ab9453553", "count": 1, "frequency": 0.00026602819898909286}, {"name": "323c74e6-4d0e-4d8a-a911-075256536b5d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bd601edf-7910-42d2-b4a1-6d5b6e2453ef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cc3499fb-a6e3-4c2d-820a-7b7d25230d23", "count": 1, "frequency": 0.00026602819898909286}, {"name": "14490b81-4a0a-433a-bb50-26dbd7a3d662", "count": 1, "frequency": 0.00026602819898909286}, {"name": "93d13f04-3ce9-4594-bf0b-ce03968ea066", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a02610bd-5986-4e76-9064-a6834d247767", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1c1ed817-70ad-463b-8966-2efd7d8046f6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ea514575-6be9-4426-8c09-3637dccbc853", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4514a18f-97a5-47e7-b2f8-fc5057acca45", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e3ba7355-95c1-45c4-bd00-77c00ad0cdb2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1bb3bb2f-4e4e-46aa-a567-6704b48d79fb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d286a1cd-f6ad-4e93-b192-a37b79ad1b60", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0b4d795a-bd6b-4535-8566-38f0f758b852", "count": 1, "frequency": 0.00026602819898909286}, {"name": "161f8ddd-d359-4695-b9e5-aa3fa6bb3491", "count": 1, "frequency": 0.00026602819898909286}, {"name": "92ed2255-b98a-4925-92f0-953e740613ca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0e416c0a-4a99-4534-82cf-2d72010765fc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1aadd8a0-f8c9-4643-931d-636c745b304c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cfabad39-7304-4e2b-b361-10c0fe89f648", "count": 1, "frequency": 0.00026602819898909286}, {"name": "524f80fa-764b-4ee1-918e-1bc3baac5030", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8544cbdf-864d-4063-ab58-61040dd242d8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7f46c6e3-8f5d-4d12-9efc-1e75f1e3155a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fd63db1a-c8f1-4ad4-82ce-7d9f2863d363", "count": 1, "frequency": 0.00026602819898909286}, {"name": "63cc0e11-fb5b-4e6d-800b-d31158b62d60", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6816bf6d-1d08-4f6a-9f33-39cb8a7e641b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ac572fd2-6d6e-4c6a-bbee-c1e36ffb386b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fefc62e0-d4df-4790-af23-7064609131ae", "count": 1, "frequency": 0.00026602819898909286}, {"name": "769b9451-05b7-46e4-aa72-ce89b09ce9c5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "de251d23-26b5-468a-99ff-f5855819c3a3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ab858379-8010-4aba-827a-c50d6d231845", "count": 1, "frequency": 0.00026602819898909286}, {"name": "37bd58e6-086b-4513-9e95-1105b42ba199", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4d31e3f7-27c9-4fa1-a629-e20c51cca741", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3741a120-8d7f-45eb-b44f-7f188f2f1e12", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a7b4d0ba-bedb-4ab2-8225-f89924c84ba4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b830ae6c-20e2-4218-97cd-9cacd18654d0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2ccf9e39-74b0-4575-83d8-19ef7f1bb645", "count": 1, "frequency": 0.00026602819898909286}, {"name": "de6de743-2ace-468f-8308-bf692e822994", "count": 1, "frequency": 0.00026602819898909286}, {"name": "722c2a92-3747-42ba-b9c3-c4ad9acad198", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f7702676-2831-47dd-8c75-0faa64dcdeb3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8fe69b79-cb60-491d-a5fa-ebadabb185ce", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5f026ba8-bfcd-43bb-ae80-3c04de826a01", "count": 1, "frequency": 0.00026602819898909286}, {"name": "52f17344-675d-495f-9ea8-d90ff4ad758e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "701d4ed6-2ece-42b8-99ec-863448f7a947", "count": 1, "frequency": 0.00026602819898909286}, {"name": "41c2ab05-1fc5-4dce-a541-df9fc555e45c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c4035487-808d-4561-b5f7-6f48bf689c23", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ef38d149-f04f-4aa1-8092-961e8c057ad1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e06612b1-f5c5-4501-8255-6395a710f7d8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e73e8874-9f00-4d78-ab43-9b6840172e38", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4afa9968-c364-4800-ad93-d2b5041e8f22", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b1a07b6d-c0cf-4c28-a89f-6195143dc367", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fae14ba4-6fc4-4f92-9743-e68a3437980b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2b9f2722-1879-4584-82ac-9804de8f93c8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d812b394-e666-4742-85f2-c17807debfcb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ea855faf-da8d-4764-a669-12185cb19efd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7b98c2a3-5826-443f-b54e-7bdfbb71b2d0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "054f689a-8c1b-49e7-99e6-1fc32a4394d1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "838684dc-9144-4abd-af0c-6a74d23c9a76", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0eabc183-8009-4c2d-862a-f8e811fdf26c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "75042355-2976-460f-bc98-89fcb38850ff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "caa2ce52-6f7a-40fb-9e49-f94bfdf02814", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bc46bd53-dae5-47c1-ac1e-5159b44f926c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d7fdcebb-4bc0-4f14-8ab0-096223ef97fc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4d6e9306-a3f6-4338-b203-f03d7adec5d6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7676f8f9-3e00-471e-8e6a-baf735315f3a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2c3608f7-e4ed-486c-8615-ae189e269799", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aa3c7e37-33fd-4749-a07f-c85f53e7a751", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b507b750-a974-4139-bf04-734cdac1173e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "26a1b676-3d89-420a-bc5d-7c1f65654bb3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8b95582e-9633-47b9-99bb-5041d8340966", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b9e21efd-68bf-47f0-b271-8ce12268fea9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c143882c-bc37-42ea-8c81-b46c1099cfe6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e2a38f30-00a6-4341-974e-288cd1de0f90", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b70ecfb0-a4fc-48d9-9e23-1e140eabde58", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e8d10098-fe44-43c4-9290-d7cedab51f39", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9eca7ede-0a58-452a-81ba-dd33b0241fe8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "34006e76-d99a-4193-a57a-ecb0cd224d41", "count": 1, "frequency": 0.00026602819898909286}, {"name": "534e38c0-0a9b-4735-97b2-a963385d78fe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5c1b9eeb-b1e9-4cd4-b810-1269497c45b6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c5476fbe-da0f-4989-ac89-b02c6ce2f208", "count": 1, "frequency": 0.00026602819898909286}, {"name": "02f12f65-1645-4951-a3a0-d592d6e543d4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1cb0684f-6064-43a5-aea2-a7d41046b596", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4df38a31-90ed-4893-a1c6-f9c64a22e647", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f4c70632-57a5-40fb-8bdd-9f05b6f92434", "count": 1, "frequency": 0.00026602819898909286}, {"name": "01b8a7c2-9c3d-4fcf-8caf-22c2a294f613", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2c5e9a8e-3e74-4974-bb0e-813a7513d79a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b72eaef8-5ffd-4375-9c8e-828fa6ab1434", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6dc4ef45-e190-4df1-905a-ad5a7b8c5b58", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6fbbeff0-8964-484a-a7da-ee243269aa3c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "65fbf90e-7898-44c2-93f5-29dfb7dbc562", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0b2fc99c-c015-42a1-b65c-1214ae6255f3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "76e94725-01d6-4273-ad02-951e27e6e054", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bdd010d7-387b-44dc-9488-2694d9f18598", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e1f77591-03f0-447e-95fe-bae8f2d2cba1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d73cb291-46c1-4fa9-bdc3-0ef5ef209b4c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e4c39881-36a0-4b1e-94f3-136d3785cba7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1481b5a4-80ca-4a51-a743-d357c522fb5a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2ca9af45-efe5-4683-b46d-94edaa961c5c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9c8cd7b4-6fdb-4411-8d0d-04b59ec9a6cd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "655f005c-f8a0-4eda-a5a8-b0b5ed35b926", "count": 1, "frequency": 0.00026602819898909286}, {"name": "72eca3ee-14d5-4cd5-95a9-a02e35bc99c8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f6905170-828b-4003-a8cd-c8aecf6b712b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "75c3bb06-d189-4d1d-89f7-eae5baa4ad80", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8b8cb80c-62d5-4b8c-9081-9fa675bff91e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a52f7b7c-ba2d-4d81-9b6b-396670ef56fc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e1cdc082-5854-4854-95d9-5696c9c7be0a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "11876b5d-dcf8-44a5-9346-4832b44f9c70", "count": 1, "frequency": 0.00026602819898909286}, {"name": "856c6d83-729f-4a74-9ff1-d94411d3d58a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "567d1144-2922-4b47-be32-6b994dd5be08", "count": 1, "frequency": 0.00026602819898909286}, {"name": "89f6b57c-21a0-4d23-9ece-e60203ef2730", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d2902828-c03f-4c02-82ec-dea6fb6401fe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cbd24bcc-b3ca-4883-b443-85768e5d630e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "86e91354-fe53-498e-95c0-09783d4e6726", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3a275068-15f3-4d98-9a4a-709ffab782ff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "029baaac-0245-4585-8d3b-001197746add", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f2bebd89-a541-427e-b2fb-02a81c30200e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "758e4321-a69a-46ac-8a64-bb6eb6c28d6c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7b1da287-d3f5-4d0f-b9c9-679eda04e4ca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d988c2c2-77ca-4a99-9829-03906a72674e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f2fca3b7-84a2-41f3-b0f9-755590b63b68", "count": 1, "frequency": 0.00026602819898909286}, {"name": "32434bdb-7738-467d-8798-17fe1b0c75cb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d469fa8b-023c-40db-8652-3191360ee2ac", "count": 1, "frequency": 0.00026602819898909286}, {"name": "06ea5a6d-6a47-40be-a298-3b454dd35a4a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ba899620-1e54-42c9-8408-66de11dcfb7e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e974831c-fbb6-4404-ad30-6db07efaab8d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f28c681e-91b6-4d9c-9a36-725d7881d89a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "76cf06b4-b3b5-4ddc-8599-a5112847e542", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4a6f9ffc-2bc5-42b7-a3b3-8bb82cc256d7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "50170ba6-404b-40ce-aa1e-ebc0fc34d415", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7e20dfa9-7d4a-490b-8493-863cf8613676", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7b7dacd9-dfb2-4438-b523-51c6c95c8cee", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ecaf9d8f-11be-48a3-a8a8-3eb5ff32cf9a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "33a2922b-e3e0-4adc-85dc-07a77b989b55", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8c8b03c4-7a41-4c52-b4f3-8ed70df82665", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f12db39b-378a-4b80-9156-0411a73f20b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8edc89bf-f214-45cd-a501-023c40eb01e9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5259fa08-ba4c-4471-bf6e-cb99194ba700", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fac15826-9436-49c9-8f6f-f8e07e145296", "count": 1, "frequency": 0.00026602819898909286}, {"name": "351f2521-16d2-4dd6-a350-fa904e23bc50", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a003ca15-f376-4aa5-9636-6558ff7397ef", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ada3770b-4cec-4f49-9428-231d093615f9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5b42f644-5c3a-4d7f-b231-f2ca39f41958", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f93850b2-99dc-48a8-a474-42ca584cd1b2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c2326448-2201-4c6e-a4d8-fc0609f0a5f0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e7e2686b-40dd-4862-bbe3-adc063d74ca4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "106330a0-ba2c-47e8-bdd3-a0de04e39d17", "count": 1, "frequency": 0.00026602819898909286}, {"name": "97676533-6216-4428-b8f9-f01a2d5173a7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "61999481-c84b-47a1-9b97-7873a55ec6a9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a43e79c5-619d-40fd-b61c-f8f91805c8a8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1b2dff1d-2908-4c10-b41b-4344dfa58a3f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f8073562-aa07-413b-bac1-e51b41fea017", "count": 1, "frequency": 0.00026602819898909286}, {"name": "595bf5d5-fe50-4f96-9f0a-e2ddd9e813e0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9e3daca3-a3cf-4cb6-a56c-964a4586ca17", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c4ddc15e-a74e-4b16-8c29-b65d724c822b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ea0eee02-af6b-49af-a228-d080af1fdc51", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fce433cf-c2b6-482c-a601-c94f00078ee8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "43ff0fae-7ef7-45c4-850d-e483a1db66cf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e8b56c31-ad6d-4fef-8900-f2b5e6b16474", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0391aef0-27be-403a-9fee-6baea10f1f1c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7daa8fd3-bb1e-43ce-9339-94df0f54a751", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c3b90ad0-acc6-429c-b904-46e68c0664e3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "27320629-9e12-41db-812c-36e91ba93427", "count": 1, "frequency": 0.00026602819898909286}, {"name": "64df019e-2d06-4c3d-a22d-19a141ac4392", "count": 1, "frequency": 0.00026602819898909286}, {"name": "af90b69f-ae5c-4aeb-8e5e-954e4b2c4487", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d3637b42-515a-4487-88da-ff17e5e5a72e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fc667ad9-49ba-4936-ad9d-5e76f73bcdda", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f5e7121c-0f7f-4208-9df9-b67418ab09a8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4a19fe77-1acb-4ffd-b981-846fc20076ae", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0791867d-06a5-4e11-b782-36a09d758be3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cbd0fe65-b813-44c3-aa59-ac824a4db8a2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a1fae3c6-5398-44e8-9788-c276c22257f7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2fc29452-152d-474c-99ab-7042118c43f1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6852052a-2700-4997-90c8-ccaa11344a0b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "05a5d713-f257-4286-8240-cc5068550889", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1886d4bd-7c91-4635-b6b6-5b4252e82581", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e9b3de65-449c-4345-a3c1-62cd1cfbc22d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "705b9ad6-5f70-4b7e-a2d2-299ec83ff91b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fb1994a9-6a46-4415-8322-1646b89ca7e3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "05d0bee0-5a10-4144-95e3-e9f46165a5cc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "26081b87-73c5-4e55-b0a5-efc5d90fb4bf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a1e99a34-f214-4f2a-94ae-eaabe660d45a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "448c4afe-0d4f-4f56-ac09-9e85d98a4971", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f1071676-f29a-468f-b922-5a6f0381d6ed", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f709c1cc-320a-4fd2-b3a3-465e35dd383c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b6f37deb-971b-4683-bd17-1f7f07e473d0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "168a0957-3343-4194-8c69-d0cbe271af48", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ab5e1131-e5e0-4e90-acad-2894f096132c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "beb3e53a-e894-4101-a60a-6b93f78ce0c1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "af5feb17-61a2-4d7a-a2fb-6f7ee3fc9c0f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d0b07431-2fb6-4abc-9cf6-3702811c9e35", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9e00dfe3-6cf1-48d5-88aa-4ebac70c8337", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f09c4bda-21e3-45d2-9800-a68bdb029be6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "138d8d71-d560-46c9-bc72-53e65acb7ce9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "396edf1a-1336-4dac-8e28-bb459725151c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "30f764de-4267-4067-ad79-8af706f4e796", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6f8ed91b-21ba-4809-8192-ccf6c3b7ba2d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "983ce186-1298-461c-a5f1-207e1543f272", "count": 1, "frequency": 0.00026602819898909286}, {"name": "55697457-df73-4bff-9669-efd587a9504e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7c242796-9b30-4190-99b8-528f05cb8ed1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "12c50a59-7289-41c4-9f2c-f2145373eb7b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7ff0e73a-43ff-42e0-a180-249d5061cd75", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3222b519-16c2-442e-a7e1-5495af0f1c09", "count": 1, "frequency": 0.00026602819898909286}, {"name": "986ac87a-0a32-4566-846a-c57b2205e2a5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "86f8abd2-9fb6-410f-a585-630cf369c1b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7ff7e53c-a728-4a0a-b4ac-72ddb30d6247", "count": 1, "frequency": 0.00026602819898909286}, {"name": "caca40f7-664d-42d2-a0f8-6319d1f9c288", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e367fb98-f940-4543-8ddf-c0f26bdc94da", "count": 1, "frequency": 0.00026602819898909286}, {"name": "268b576e-bd91-4ea0-bf9f-8abdf2adc7a4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f3678a85-9dca-449c-a7d8-85aaf34da4c2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "44c0bc1c-f8b5-4591-a32a-39de5d6a93c8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ae2aa4c2-041b-4d68-9975-3d9e098febbc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8714de7d-3380-413f-a488-9f09638d9cfe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "daf1fceb-912d-468d-8a76-1ef0376aff03", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2dd827f2-9621-4cab-9265-c846fa79255d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "be291a13-20c0-43fc-ba71-67de1b354019", "count": 1, "frequency": 0.00026602819898909286}, {"name": "33fcf5de-00ee-44f3-b324-35ac7ae03130", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b2b42077-7d05-4a33-be5a-e91a4b9d9a03", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3901f271-301a-4391-b27b-bfaf28d8f7c7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d32a8b29-3ae1-4ca0-b4e0-b82b0bc27de9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "787925df-bdde-43d7-9f2e-871f6a1552e5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2fc00f7a-c5dc-40d8-b2ff-77748b22d890", "count": 1, "frequency": 0.00026602819898909286}, {"name": "96e204fc-7e28-4f5c-9ff3-032268188bd5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d54556f-d842-4922-aca9-642e44f9bc83", "count": 1, "frequency": 0.00026602819898909286}, {"name": "25d7a36c-774f-4049-a6a1-6abdc6b6a1bf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4e64d6c4-2dc5-48bb-b302-d53cdf3a3c9b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "639337f3-9e08-426f-aa92-01a09e007042", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7d44091c-71ab-4f71-af48-0663984f7ffa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aa3cc08e-aa20-4974-9a2c-88d036acfae7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6d10ac36-08f3-40cd-8211-eef905c567e6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "69074325-886b-4e71-a80d-71dd9f91b2ae", "count": 1, "frequency": 0.00026602819898909286}, {"name": "31abadbb-3810-47eb-916b-c3903ae4d0d5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f97cf574-5bb0-4c93-b056-0bdea06e4ebc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cb498dbc-9187-4e56-bcc3-8187e47e7618", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d3e3bfd2-7dde-49c0-9af4-e2a399bbed03", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aa349671-8a26-4b84-9f4a-aa1dff640001", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ac9cd0a7-c657-4fd5-8025-b661ca37c736", "count": 1, "frequency": 0.00026602819898909286}, {"name": "81b1b6b7-5f6f-428d-ae83-68cf7ace4170", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8ae3afc3-076f-4d8a-8573-d7b39f2365a0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b01a4e4a-ce5f-4030-9ac3-ca4cd3f61201", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9a4ec51e-8c4d-4b84-97eb-3970aebd6e59", "count": 1, "frequency": 0.00026602819898909286}, {"name": "18d30dd1-96e0-45cb-8e3a-11aba077e1f7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b39ade12-04bc-4c38-9bb4-334ddbc88b17", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6ad3a1c8-8c4b-470d-8792-74b1f65138b9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8601bfe0-54b2-440f-bf77-50baad467d4d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d83b81b-87a4-4496-a8a6-1f37dfc66f7a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a9f32774-99b6-4789-bc6e-dc13e2be91f3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d456dc98-e3c3-49f7-9b24-f9158a67efc4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d6ef62f2-a3fc-4e7b-8377-2a1361cb775c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3d16b3f6-b213-41f4-ab3e-ad8b2bf54d8e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "56d2cddb-07ba-4a4d-a83e-0cb88f7da731", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4ca6da39-d694-4737-8f37-4326db326b74", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c0879a83-a519-4014-97ed-164b847568a9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e259932e-163d-4f7f-ac81-f6a96111d70c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ee4829f9-6ee9-42b1-bb5f-99b111494887", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ee57e3e9-21de-43c4-8084-ccea96030957", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f04f892c-c726-4c12-8bda-1a4f93d475f1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "46ac34e4-be5f-427e-8d60-8ffa939b57d5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a112c74b-44db-45b4-9c20-54ea842d6d77", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ae092c46-d6f3-4efa-a009-f6a2e96062ac", "count": 1, "frequency": 0.00026602819898909286}, {"name": "21800491-02a6-4f58-a2d8-614f8b7cd8d5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "41c414ef-d762-4a60-97fa-557379507594", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c23c07e4-6843-4779-90dd-eb8ae88df0de", "count": 1, "frequency": 0.00026602819898909286}, {"name": "76f39441-ffe5-4c80-95a4-09b2456b8430", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ae1314c4-8c24-4276-82af-80185d81ed9b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6b9284e3-e46b-471e-8550-cddabe70fd88", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3bf9a300-def1-48fe-a142-7c5dfbbfd80a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fe1b0f7e-4122-4f48-9198-d8d9afe3408f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "444a8e7f-6993-4c10-a12d-46b52fecebd8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d214331f-430f-4874-9149-b4f2d8ea7f23", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cde8b87a-2dab-439f-b379-ce245a8ac1ee", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b0dd2d44-44b0-4138-8489-3dd0682d09e7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d2bb2d87-670a-4aca-8eb7-ae5775b6f544", "count": 1, "frequency": 0.00026602819898909286}, {"name": "12c322eb-4d27-41a1-93ad-4af06efb7a09", "count": 1, "frequency": 0.00026602819898909286}, {"name": "970528e7-816d-4902-8d45-1d60d4dd0be1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6265b1ce-d0eb-41b4-b1c7-82264b53b578", "count": 1, "frequency": 0.00026602819898909286}, {"name": "86ca643d-2cfc-4115-b5d6-265be89eebae", "count": 1, "frequency": 0.00026602819898909286}, {"name": "91830aa5-7fbb-4ca7-b3de-a2dc5db0f7d8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a72d138a-44cb-4bcb-8c87-9736c9cdf71b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8f293de5-4062-4cec-b09f-f353915227cb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "554cc491-5462-483f-a64b-a3359de83f67", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a7302cbe-cb5a-4fe6-80f9-d09290306707", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d314101-01d0-48ff-9c8d-2ca6a63ba880", "count": 1, "frequency": 0.00026602819898909286}, {"name": "97f6d088-86ae-4003-8eca-f067b7d23a42", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d998684a-d588-43db-887f-c06f584a720a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "31667f22-a40a-4b93-8a2a-bf62d10c8641", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5693a228-0d0b-4fa6-9d44-1bdb4e4e0fc5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "22dd81bd-faad-4441-9654-61c341b75455", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a02a8cae-4037-4c13-b739-ee9e51df5080", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3aa53d4c-26b3-4e5e-918c-6b335fcec1f4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c2c0bf27-a1bc-4b4b-8db1-4e79bab0bac1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8fd230ad-b732-4dbb-8b90-5e5a6304ca3a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1466d84f-6cc8-4f35-bee5-e537c6f188bd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "25656b50-b328-4bb9-92f3-a67c89b9b32f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "10fffb33-b908-4594-b073-80cce4a901e6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2c9b095b-3b04-4a64-9f70-383e45205593", "count": 1, "frequency": 0.00026602819898909286}, {"name": "267640ef-4f9a-4f26-bc91-42951e251e13", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1cf71497-5569-4f99-bc46-2ba584d1dad4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3f29b3fe-335f-4fe6-8815-6d1544035be7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "07919926-c341-44aa-9dba-3c053b3242f9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7ff095c8-2afc-4687-98bc-c4427b42c1a3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b805f302-6cab-4e67-98ac-ca18dbbfb359", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e78f7d7d-f2c5-42b2-9101-04fe59025641", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d9fba30a-c4bb-45d8-b223-f2a331914ce3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f0addc52-4b21-4706-8639-a876d71e145d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "916c1d9f-cd31-4d24-84a8-560c5cd3746f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "353a1e2c-e4d2-445a-a151-06787d0791c5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fa31d64b-68e8-4f63-93cc-efc8c7153458", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6daa2fa2-7168-444d-af30-f85ccd28da57", "count": 1, "frequency": 0.00026602819898909286}, {"name": "60334fe6-221c-44c8-ab1e-c837239594b0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1d58b739-1546-4dcc-882f-bfb6645059bd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1023026f-082f-4bec-81ff-1f1d304ff558", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5847e3d4-dc3a-438e-ae76-b7226e603523", "count": 1, "frequency": 0.00026602819898909286}, {"name": "76a4e6a3-7eea-477e-aba1-06ec5c31f40c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1bc1720b-0bc4-4b94-98f0-dc37a4a474d1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dc326773-a6e0-4161-8c28-65bfc94f8775", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fae709df-6f30-4779-b6d5-882f8a8e81c2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "76f12819-7313-4849-b39f-6acc0e9acb20", "count": 1, "frequency": 0.00026602819898909286}, {"name": "de69e4b3-081a-4066-bd1a-aded45663aa6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5cdfe214-c789-4902-a3ad-b50f18a6d614", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3e738693-1095-4934-9830-2509789bd9ea", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dc2803d8-bf5a-46a0-adc4-f34cf192b0f1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b60f7226-3dd9-47d8-a740-5a4c6fa780c3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fb935672-bac8-4c65-9c53-05699d0d35db", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6db60fbb-8315-4520-892e-0aa1b3738429", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3dc85c0c-18b3-46b7-a386-1e571ca925aa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d6f3dfa4-6816-4bae-a945-0ccdad2e9c0c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b6653f36-91e1-43fa-812d-904bcff13015", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3fc2333c-f2ce-4a6a-a182-182e5e9a4692", "count": 1, "frequency": 0.00026602819898909286}, {"name": "52bfa021-8f34-49ee-b0cb-aa3e0b4ce259", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f4522efa-003a-49d6-8681-fe45b503fded", "count": 1, "frequency": 0.00026602819898909286}, {"name": "18031730-9b98-4331-9ca2-223215679c50", "count": 1, "frequency": 0.00026602819898909286}, {"name": "640e9d1e-8810-444b-98fe-156a7bbb2a01", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d75fd8a1-4ef9-4388-99e8-5a8ac0929959", "count": 1, "frequency": 0.00026602819898909286}, {"name": "651d091c-dd7d-42f0-ad44-2b30a78350a9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "721b1042-5d77-4d72-afa5-400745a63ee1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "19bac2df-91c6-4c07-be18-4c4319e8f3d2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "68b002f8-5d10-49ed-9328-fc875eea31ee", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7c023b28-573f-4661-8a37-e46ce151060b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2227e348-8441-4826-b6ea-708c568bac67", "count": 1, "frequency": 0.00026602819898909286}, {"name": "58675c4a-536c-48c6-9c62-5491eb0aa3e4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "75c6d195-4f94-4306-a6e6-d6f9276721c5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "420c51b9-7c8f-4a41-a0e1-c6458cdf2e7f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9a8c4948-6cdd-4467-910a-bb139c036cd4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c552ccf2-6609-408c-b7c7-e3dd8325cc6e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "278d7b17-5bd6-428e-8199-950cd6027107", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ba98fbf3-2c3a-4cdf-b379-6286c47db3cf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bdbdd879-3ffe-4a09-8855-ac5161fafb39", "count": 1, "frequency": 0.00026602819898909286}, {"name": "baccd303-652e-4435-a7e7-d5230fee56b4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ffeafd25-eec1-4a08-a72c-e67d54a4ac51", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f64d62b5-6f12-4fff-9e7f-c8e298698082", "count": 1, "frequency": 0.00026602819898909286}, {"name": "66723b38-19f9-4a81-92cf-640f2a6a1ec1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a202aa42-f2a5-442c-90e0-ccf32bb0f15e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "12ac11da-2e19-49a6-9f89-bcf39a34f685", "count": 1, "frequency": 0.00026602819898909286}, {"name": "be2a670c-6e86-478e-887c-ce85ab97c44b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "503c8568-a124-40d0-8cf4-75a190beb171", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6907f5f2-a5b6-4694-ae1a-3157b29eca0c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8005b3c6-f50e-40ba-ba90-add99ef474c8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "51d99d7b-5cab-49c8-bf05-0070a7901fdc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d9c2d67a-be88-4428-8dd3-e6019ed068fc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2c8327f7-186b-463f-ad6e-91d48129b37c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1b700a8a-d415-4b6a-b64e-e5b9f343f169", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e918712b-cf1d-47f2-8e15-f4d3445481f9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f066c4b6-fba6-4bcb-ab4d-111f1f755a63", "count": 1, "frequency": 0.00026602819898909286}, {"name": "57dbfdd9-19e7-45d4-93d0-a81ff3863bd8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8623bcf7-8dd7-458c-be61-194f32a891ab", "count": 1, "frequency": 0.00026602819898909286}, {"name": "57bd5e16-65c2-490b-88a4-6b2216f52196", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1fe1a12b-6ae3-4fbb-a3b8-091ffc88416b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "54fed31b-a936-4363-89d7-d78a922e8b8f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d7f50ec3-7331-43b8-9d0a-224ae866f499", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bff100e5-c3fe-4158-b8e2-15c49eed017d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "37d58e4c-cb45-4660-a8dc-18b4291f5f38", "count": 1, "frequency": 0.00026602819898909286}, {"name": "821595c3-c3d2-4633-9689-699cef747cc9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "35d44add-455c-4e29-8f77-0192a12d28fb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7c100fc1-5400-40c1-a332-29db5712a493", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fda79132-958c-4c06-aa26-83e4013966c2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a47d42f5-ef27-4915-b86a-c316b958b051", "count": 1, "frequency": 0.00026602819898909286}, {"name": "83c8980f-e009-4712-a00f-8e162fe646c0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6df04518-962a-41a3-b8cd-a946c7a86d6c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "272ee054-8e38-4177-9cda-2bd7976fee6b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "902792f3-a541-417c-9859-d5f2656b3831", "count": 1, "frequency": 0.00026602819898909286}, {"name": "39d2735e-e168-40d1-859f-3c182045a2e3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dd056711-c8c9-47b8-a37f-085628a2f9d0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6f3e5024-545e-4e37-9d85-49afd128f8d4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e8562f65-e412-486c-8b7e-a2e3dbdfa2fd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1a6f6ab1-3cf3-4abe-9d4c-0ff664389709", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e9dff748-7d6c-4eb5-b9c1-d814fec67916", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3be44510-08d2-4a3b-a7fc-30c9fe316420", "count": 1, "frequency": 0.00026602819898909286}, {"name": "de7db8ec-5a8e-4b51-8ddd-dfcc85585547", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aa663b59-9df6-46ed-b948-a5a495d9c3d3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ef60772b-fdac-4d96-ada9-74a8209d3a29", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6d4ae016-ed52-4c60-baa8-4645ebefffe4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "21e0040f-ec1a-428f-8d60-0a53882e0f68", "count": 1, "frequency": 0.00026602819898909286}, {"name": "96cfbb00-34f7-4c79-96f1-c2439a7bf806", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b4bde6f6-d27f-4498-b53b-0f6b0e1a962c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7948fb5a-a9f2-4645-8a61-dd4545e2926a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "265e8b9f-5310-4272-bfe5-39bb3305dde6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8d31f7da-4288-41d8-bc8e-dfc0f11b6036", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e993fe6d-8e34-4824-8558-8c289498b23b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e53f3ae1-ce19-4c18-8418-3e1e4d6ff15f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0fb2b82c-3076-4c97-a097-057af52da7e8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4774fdcc-f1a1-4273-8f62-75ece0fb0075", "count": 1, "frequency": 0.00026602819898909286}, {"name": "120bf306-d01a-4229-8a40-5fcf40254fc7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bc1cbafa-b6be-47ca-9c3e-cdc526fe142f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5bdf37d0-f567-4450-abdc-dc206fcea96c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2c627a2a-b760-483a-a0aa-b5bc7715b298", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2c16601a-058a-4f4a-8b2a-6fc3dca7ab9c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ede157e1-07eb-437c-ba15-3f2b18656512", "count": 1, "frequency": 0.00026602819898909286}, {"name": "998300a0-601e-4b8a-b778-4fefbdb830d1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3d575932-d37e-433e-a074-2e18f3ca5c6c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "406b7829-5182-4cc5-bfd7-6279b31ca533", "count": 1, "frequency": 0.00026602819898909286}, {"name": "181316cf-7d50-4a27-9150-97d715b77fdb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6f042880-aaf6-4c50-84ca-362fe32caa44", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7525d070-a5da-489f-9b6a-0cc94bd42f04", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0cd8f88b-71c0-4605-bbd6-252ad01240c0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "438c8eb6-53f4-49de-a450-bf0e7e11925e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4b3ead58-bec7-4a8d-a9fa-d63f2992fc9b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8e22214f-8363-4fe8-b878-0d834b331e76", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d0793cb5-5020-4467-8a18-bb08fd24b3e5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f6558d20-fa08-4ba8-be35-1c5364d448c1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7f30ba5a-7cdf-49ed-b842-84501b0c309e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d2c80bcd-a459-47b1-ac32-12f8902a5407", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7f091b73-a58a-40ff-9cc9-0362eede9926", "count": 1, "frequency": 0.00026602819898909286}, {"name": "791f63ca-8f44-4255-a1d4-13c427712992", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fd88eca6-2ac4-40e0-9d2f-f60877a2d570", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a78a1342-90ff-4fd9-b6d4-01e10c6bac34", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4876eb19-1698-4b40-89f5-58a05cd691d9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d6819da8-569c-490a-8760-d552c17f1eb5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0dd51a2b-b939-4bbd-8351-7c818b176075", "count": 1, "frequency": 0.00026602819898909286}, {"name": "aace27a9-72ec-4789-bbf2-f2af2b5158ee", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5d6e1b8b-58c5-4a3e-987f-358dc32d2f12", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7a9c3e64-d518-48f4-bb38-569bc27a4506", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4cd30a0b-2f7a-4f15-9899-562033c6a491", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fb58f1d2-70b4-4c5d-aa99-273334816ac2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "46926a5f-8557-44c4-8d53-10963af55cc6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0ccab0ca-ba88-4298-b7ca-5fee7b36d734", "count": 1, "frequency": 0.00026602819898909286}, {"name": "01b86cd6-a185-444d-b939-67d651827160", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0aa28928-53bc-4869-bd10-90b394c6850e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "32842864-8f36-4983-a35f-6cb43676bae3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7b42aa3a-ba1c-4847-a797-04e7f29288ce", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ab3491bd-65b1-4fcd-9581-fb03509cce27", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cec80f07-b074-449f-9e42-c1131ea96095", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2284e0bb-bc0d-4d1f-83ce-c5fe4fd0fa0a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ae3b8bfa-17cb-4f29-b742-88d6770f540d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9c016c04-6211-48df-bbbe-42bafa5dc013", "count": 1, "frequency": 0.00026602819898909286}, {"name": "de8b89b1-da5e-4690-9b77-3fa026bd7eb5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0c566d8e-fd66-4ed4-a117-d0587dfd5c26", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8f5344f4-0312-4d92-b9cd-77e5b6309694", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d09b50d5-bbae-4616-8be4-813b5662c4be", "count": 1, "frequency": 0.00026602819898909286}, {"name": "52ae91f0-4b92-4f95-a6a7-921d0d4c1b28", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f6d3249a-1828-42f3-8aa6-96d0ab390b4f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cf8bbf27-8dfa-4ba4-9321-0637e4905f81", "count": 1, "frequency": 0.00026602819898909286}, {"name": "eb80eb3d-6b23-4262-b346-455cfb163ed9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "81ffc144-21e4-4103-b730-1265deb9d879", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d118f127-de28-4479-bcfb-885687e65b67", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3a4e4d94-5f71-4fbe-bb52-e7c1043dbf21", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0e6693fe-985c-4780-a3bd-d5f04a9c84d8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "45cc52a0-20bd-4184-91da-23065153efa0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5ffcd1ed-0edf-492f-80a2-dbdfacf0b62f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6488910d-b220-4176-bb84-eb67a92a1e14", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fb8239b6-5866-49d8-adc0-52f2be9b8b81", "count": 1, "frequency": 0.00026602819898909286}, {"name": "285ae026-d8fc-4c99-8a71-c12704eaa1f6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a648a103-12be-4281-9c15-2280240fd624", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dbb44dd8-42ce-4c8d-b27e-45c78beb97dc", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8cd7a543-940c-43f5-8bc8-888eb05c4455", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e8c9cbaa-7a02-4154-bf34-2cbc6906c008", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e3e663e2-96e6-4675-a746-4fbebb30e864", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b8d75cd4-f02c-43e8-9cbb-4b0c9cb394bd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "62817707-ddb5-40d8-a4d0-29fe4e963e47", "count": 1, "frequency": 0.00026602819898909286}, {"name": "57ca32c4-2040-4299-8847-fcf6a00ddaab", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b405c4c1-fae9-4246-a323-30c31f0eec96", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fd265d68-2f91-4ca7-b7f0-9d4b9295ae34", "count": 1, "frequency": 0.00026602819898909286}, {"name": "97e1f758-b715-4b47-bb11-29473c877282", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5f31b428-3f54-4b11-a768-3e02224960db", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a46b07c8-868d-4acf-a92e-95ad0fbc45ed", "count": 1, "frequency": 0.00026602819898909286}, {"name": "364b65ab-1fb6-4188-8fd6-c406550b7acf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9f934a96-d6f6-427e-a8b0-a0110d2718c6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "daca4992-b35b-4a0c-ae68-6b034f50a84a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0e75c68d-ca7e-4e22-9c84-96882c7f56e2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f3020ca3-5fad-49e2-b434-6d4eca343b8e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5a901a39-7089-4be9-af6b-7bb5a8b77343", "count": 1, "frequency": 0.00026602819898909286}, {"name": "79edfdba-9b7c-4753-98a3-4e31c5c961c0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f9da308c-1f18-42d1-8733-362246936ee1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f2d687d4-91f0-44fe-99df-d85276fa42ff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d3743507-1f97-4fe4-b26e-af1ab6dfe220", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a11225f9-b12b-4049-9c84-3d055173c726", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7fbf0822-c64d-4bf9-9969-72e13597ebdd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "044c2e67-b8d8-4cfe-9149-f3c5e99faa9a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "16d37163-bdf8-4da6-b433-5a5b4a3cb527", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ae8d098f-8224-4ff0-a237-4ad117eaac2f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c52d6285-367c-4148-a9c8-a81366cb4fdb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2fb39a62-2e01-43cf-bd47-ace6121a3b35", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cc444d3b-4d2e-417e-829a-4bec73b5ec98", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b96b13f3-104c-46f2-87f0-2db11ddb2659", "count": 1, "frequency": 0.00026602819898909286}, {"name": "029bd5b4-0ed8-480a-8d0f-eacca8f36f4b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ee474484-65d3-4c62-906d-e2cb490527ea", "count": 1, "frequency": 0.00026602819898909286}, {"name": "83afff74-4adb-4d1c-b742-62ceee58459c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1b68c4d3-a780-4830-b630-2d8a31dd8412", "count": 1, "frequency": 0.00026602819898909286}, {"name": "138c37fe-6b1a-44f7-8b91-47c9c74ca580", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f921499c-c501-43fb-bf79-a7824b53bca5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c7ce70ae-d532-48d5-8776-9e37631a31a9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "97c6705f-d6b2-44de-bc46-3ae6d3bcbe8c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "816e00d3-902f-4fbf-86df-5c8d075cfa81", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4d3ef022-4d7c-43b2-bd28-a4186b319f7f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5b1a86c5-99c3-4f43-861d-d9bdc68983ff", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1f666b78-0765-4d98-9fa7-a817cc5a7583", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f773793e-bb47-4bfc-9713-f684c506ad5f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4ac4579a-a08c-43d9-b86a-febc13bc0b7c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5afc166f-42d5-4671-8c86-f77557160ad7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c59ab98b-c0e7-4582-8414-41d23793e42e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4be60116-6f1a-421e-b258-a56d567bb16c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f1f24246-bfd4-46e3-8be3-cfacf2db8b1d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "41ec6b9b-f156-486e-9035-056b4fb46bdf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2d5d0dde-30ce-4c56-a282-880ac5407995", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fee79395-60b5-4316-a9ef-c4c45d9e8e01", "count": 1, "frequency": 0.00026602819898909286}, {"name": "df2b24f5-74e8-4e53-b4f6-009e13158734", "count": 1, "frequency": 0.00026602819898909286}, {"name": "33b73f7b-2bfe-4f36-8798-c514ab61d136", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5151424e-eae9-40cd-b397-46a44d830583", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b66dcbce-750b-4dcb-af38-a085053a6be0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f1c8c756-d28e-4870-9ae5-f7f0aac47928", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9f48074d-16ef-4773-ad3c-1e16099fa490", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f33b8df6-7aa6-4395-93c3-9ce04f62ed68", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0842e6cc-dd50-419a-912f-1c0eb973cc2f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "27109554-b59a-47e8-92a9-4bb7f9958653", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5feab3c7-3ff0-4938-9026-cba1d45cf280", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8e39598e-40e2-4b58-8405-bcda064dc9b0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b731f2ee-e2ff-4467-b69e-1a126aa8a798", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b5989369-0589-49c0-852d-9bac0c154156", "count": 1, "frequency": 0.00026602819898909286}, {"name": "35a42c6f-beac-4eaa-9f09-0a74ea2dbc5e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d5b68f35-0b52-4ac3-839c-c91b5a789670", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7c537c29-a97c-44ab-9b65-9f02cb720968", "count": 1, "frequency": 0.00026602819898909286}, {"name": "712a8e27-51f2-4d16-8f41-fe93e87647f5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b9dd17bd-312d-4ac4-b3f7-d5a64523f981", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f6848e7a-a40f-4966-9bad-85c00f533232", "count": 1, "frequency": 0.00026602819898909286}, {"name": "56bed915-9439-47d5-a448-2690e22579c3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "93754a6a-e620-4ce2-9319-7fd8a6c9f04e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "00d9782c-6518-428d-8daf-195f0e0ff814", "count": 1, "frequency": 0.00026602819898909286}, {"name": "01603a3f-4bfc-4348-8e6a-9fc3ea847776", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7af4fb82-aab2-4378-ba3a-9348b3eb7008", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c72a73cd-196f-40cd-8143-29ed86570746", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9f94bc46-28d9-421a-ace3-736ac91f4f4d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ed57e481-53b7-4fbf-8ea0-256e5d73d9a2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "60b5c4e4-6b2d-42df-919e-7ac2b2f53e2c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "59545653-e7ea-4b5c-9af3-5923bbc3a5db", "count": 1, "frequency": 0.00026602819898909286}, {"name": "493efe52-0ae1-4082-aeb1-cb3d6f3a94b3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c7351482-3219-4bfc-8a52-b8d35f1105a8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "995ee86c-4eae-4ae8-aaab-35093ee4edb5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3ef91f29-eea9-4577-b953-11aaae791361", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d3063c3a-ebc6-48d7-add2-0e57f49cfe25", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b37657cf-4588-4c91-a076-e026df02ad10", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4bd3c642-b01f-47f8-98b5-8fa937501225", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4c18835e-7abe-412c-9be2-31e565149a71", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2c72bc24-f0eb-4618-8281-362ecf1b0a29", "count": 1, "frequency": 0.00026602819898909286}, {"name": "65b2fc08-2610-429f-9d9b-f597cc1dbf5e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c135ba3d-920c-4a87-8bac-fb429f2fbe7d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "130c13cd-17c8-4b25-8934-8df11e3960c9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "62572698-b957-49a5-8ae6-2d1f72799280", "count": 1, "frequency": 0.00026602819898909286}, {"name": "50a4515e-24f5-4347-b486-18f2dad009d7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b8f004b4-9295-43d8-88a5-c591a0c7ef93", "count": 1, "frequency": 0.00026602819898909286}, {"name": "12232bd7-cd04-4040-ac85-5c377a5372ab", "count": 1, "frequency": 0.00026602819898909286}, {"name": "67eb8a03-8abe-421f-8263-66b6017d7404", "count": 1, "frequency": 0.00026602819898909286}, {"name": "91aaef89-0551-4c2b-875b-2fa6079a0b7f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5c66abb4-c2e7-4582-b90c-9f0ccf1729e3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e7651965-a21d-4034-b1d5-fbcdc5da36f4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1e90bce4-f375-49af-9c00-252d8895ff96", "count": 1, "frequency": 0.00026602819898909286}, {"name": "95101d97-e4d6-4217-bd51-e205fdcbf2e1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bf7bd8dd-60ac-45e4-a448-c4443964a667", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b0ef14d1-c60e-452b-bd9b-567441f3d17b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "93dc0f8c-6439-4834-93f1-abf0fb9c66e0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6486f60d-f88c-4f98-bec5-1e02589bb34b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dc6e9462-abc7-4a75-9cd7-6df73a996d54", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8cbbb4b6-2021-446b-955a-f7c4803b6877", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2507d9c0-c17d-4fd6-a223-1d09177683bd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9e05fcc4-5ce5-4a0b-abb5-4b50b513ddd5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0640e81d-1698-40fa-974d-b59592d079cf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e2d1228d-2ab6-4eec-8cca-62568e01e0a5", "count": 1, "frequency": 0.00026602819898909286}, {"name": "741c09be-b052-4e1e-80ff-a6347c33b02a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "146b6a25-ff2c-4d80-b7ad-04470d9322eb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7643a6e7-63f7-47fc-881f-34bd8400d95f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c87bc285-96b3-49e7-b6c0-dff233b2da00", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bd347405-4091-42e0-b741-2dccc3cee32d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6ebb041b-72b3-4d38-b696-cb2e4cd5604f", "count": 1, "frequency": 0.00026602819898909286}, {"name": "bd7e9fa3-32ed-4c0a-b750-2f9d037751f9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e445bb0b-a3d6-401d-b4fd-8e240a8604f1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4c835803-4cb9-4bbc-a29c-efdbcde0f7aa", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ce8cb557-ff31-4f4d-bf09-c65f627defe1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "dbaf72f4-a6ab-42c0-9962-5346a94e128d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e812a000-d239-4508-a04e-2d003ad45ce4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "082f06a9-4c44-4c18-adb2-8fe4698fecd7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "97195bae-eb97-415a-9d06-0684a36b5ac8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a03656aa-5850-4e46-8aae-8cad038536b1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f41f3b27-a9e3-4ddd-b07f-0e0b40b51e8b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b56d7d63-9382-4fec-a4d3-ed6019fb3daf", "count": 1, "frequency": 0.00026602819898909286}, {"name": "27d90bd5-f571-493c-ac33-d718980cbe28", "count": 1, "frequency": 0.00026602819898909286}, {"name": "d43d4ce2-0cad-499a-b6df-6a860159ea84", "count": 1, "frequency": 0.00026602819898909286}, {"name": "a957ee57-a442-4fe6-b9a4-6f7b395c425a", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9f7e27ed-49a4-43c4-9558-ed014d81ee21", "count": 1, "frequency": 0.00026602819898909286}, {"name": "01de813a-be06-494c-9c1b-42627801610e", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e7227c12-a176-4ab9-9b81-283cc5dc1885", "count": 1, "frequency": 0.00026602819898909286}, {"name": "08473eb2-b7b0-4c37-85ff-90935c722d20", "count": 1, "frequency": 0.00026602819898909286}, {"name": "eb75f8d1-859e-4e5c-b7dc-b0c84b8bda72", "count": 1, "frequency": 0.00026602819898909286}, {"name": "826bd596-1287-4a50-9f97-bea5347de061", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6db4f270-17d3-4fd6-aefc-5e4cfebbe816", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f0144541-0161-4acf-a12b-c2a128a7eb0b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "0a5afd33-553c-4d31-8382-a5fa4825c179", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ad034c7e-541f-4d78-8213-468a5bddcef4", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3e17b5d5-b03f-43c9-b500-6e5d43a60955", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5087dcbd-0fb4-49e6-a75a-afb08cd3e915", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1d663686-5c9a-475e-a45e-c233c6288fc2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e0a042c8-319c-42d7-8c95-38bcab279a88", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9dcb98a5-d4a3-4c2e-87ef-4653ec201e54", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3800f6fe-07b3-4d81-92b6-2f26f73ff32b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1980e190-c942-46ac-abfe-89719a5f7ec3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "8eeaeebc-b7e5-427c-a9ed-54bf6a0b5725", "count": 1, "frequency": 0.00026602819898909286}, {"name": "7578e7bb-8651-4531-b1e4-be2f763531a0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6c40753a-c389-48fe-bf70-6a38e558a019", "count": 1, "frequency": 0.00026602819898909286}, {"name": "457cc65d-9391-4300-9945-2db15136bbcd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "611a6997-b06a-4990-b8f1-bdcbd96ab5ca", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c4fcb534-8885-4f7b-a439-092806b2deec", "count": 1, "frequency": 0.00026602819898909286}, {"name": "e924f742-5c61-4f50-b15f-20e09ced95bb", "count": 1, "frequency": 0.00026602819898909286}, {"name": "72ffa35d-0440-4460-b63b-c1b3d87a1357", "count": 1, "frequency": 0.00026602819898909286}, {"name": "4f37b7f0-190f-40bf-98ee-12eb063a6d35", "count": 1, "frequency": 0.00026602819898909286}, {"name": "76a41417-4cb4-41c4-8530-ad028beeeec3", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ca4c9d28-5ee2-468d-834a-4b73b7e7bc9c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2d295bdd-8f12-4fff-95a0-0995992b6c51", "count": 1, "frequency": 0.00026602819898909286}, {"name": "65f8d590-b138-4d60-81d7-16b0900e3032", "count": 1, "frequency": 0.00026602819898909286}, {"name": "97df5b73-3997-4684-b49a-a75ef9f87670", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ba76b1d5-aaab-4a64-afb6-64ed1e10fcb1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "fa10dc8f-dcef-4cd5-bbb7-d948156bffd7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b006384c-e0e3-4785-b27b-6f08802a5573", "count": 1, "frequency": 0.00026602819898909286}, {"name": "ee23a161-70e9-4dfa-b9c7-fdc04ff082c7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "51f79694-89b0-498d-9393-78f79b74f5b6", "count": 1, "frequency": 0.00026602819898909286}, {"name": "867f816d-e1ec-475c-9a26-643a7f32b159", "count": 1, "frequency": 0.00026602819898909286}, {"name": "00646284-0f1a-49d7-bc0b-7a6e20fd92b1", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f7048825-18f6-4c7f-ae32-405f1b03b247", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f20fc0d0-e722-43a7-92cc-e893b0b4d85b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "2024c7f9-4964-44f7-91dc-17e45c2a184b", "count": 1, "frequency": 0.00026602819898909286}, {"name": "3426a498-d642-47b8-adca-db8f14480592", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9877661f-64b8-4cfc-82c2-908a5c69eb3d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "50f04b54-f809-4422-b90e-2d65b4ecc5cd", "count": 1, "frequency": 0.00026602819898909286}, {"name": "41af1d70-77f2-4312-b993-4d8bb83bab6c", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1e4e68d1-5ead-445e-b012-424013ef5f91", "count": 1, "frequency": 0.00026602819898909286}, {"name": "52a26f2c-4dac-4ced-9042-d1d4fb2414e8", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c06b705e-10c1-4e5c-97d1-e287efa0a5b9", "count": 1, "frequency": 0.00026602819898909286}, {"name": "c4e8b82c-edaf-40ed-bb6f-93ded844df52", "count": 1, "frequency": 0.00026602819898909286}, {"name": "6baab5ae-c9f4-4af7-b9c8-91a5b5c5214d", "count": 1, "frequency": 0.00026602819898909286}, {"name": "cc1c4df4-fa87-4b33-8e22-3c2d5e2000ba", "count": 1, "frequency": 0.00026602819898909286}, {"name": "9d085ed5-6c17-4590-b94e-2f757342a828", "count": 1, "frequency": 0.00026602819898909286}, {"name": "27c0b16f-0294-4c5e-abe1-7ba459dafee0", "count": 1, "frequency": 0.00026602819898909286}, {"name": "1099c73d-a832-462f-bd32-d2678830cbfe", "count": 1, "frequency": 0.00026602819898909286}, {"name": "b42708ad-e5a7-4c7d-bf99-da62c1ed0e86", "count": 1, "frequency": 0.00026602819898909286}, {"name": "11f336a5-12de-4637-9f1f-c2b0edccdfc7", "count": 1, "frequency": 0.00026602819898909286}, {"name": "5b972ddd-a345-4a28-9efd-f7fa0e5270e2", "count": 1, "frequency": 0.00026602819898909286}, {"name": "f7554c83-86ec-4c75-ae08-e85ecc024606", "count": 1, "frequency": 0.00026602819898909286}]}]}',	'{"feature_metrics": [{"drift_calc": {"type": "CHI2", "value": 0.424235775426858, "has_drift": false}, "field_type": "categorical", "feature_name": "Sex"}, {"drift_calc": {"type": "CHI2", "value": 0.0, "has_drift": true}, "field_type": "categorical", "feature_name": "pred_id"}, {"drift_calc": {"type": "KS", "value": 0.025363836, "has_drift": false}, "field_type": "numerical", "feature_name": "Length"}, {"drift_calc": {"type": "KS", "value": 0.0323309349, "has_drift": true}, "field_type": "numerical", "feature_name": "Diameter"}, {"drift_calc": {"type": "KS", "value": 0.0657365912, "has_drift": true}, "field_type": "numerical", "feature_name": "Height"}, {"drift_calc": {"type": "KS", "value": 0.006636604, "has_drift": false}, "field_type": "numerical", "feature_name": "Whole_weight"}, {"drift_calc": {"type": "KS", "value": 0.0078291138, "has_drift": false}, "field_type": "numerical", "feature_name": "Shucked_weight"}, {"drift_calc": {"type": "KS", "value": 0.0088653421, "has_drift": false}, "field_type": "numerical", "feature_name": "Viscera_weight"}, {"drift_calc": {"type": "KS", "value": 0.0130853067, "has_drift": false}, "field_type": "numerical", "feature_name": "Shell_weight"}]}',	'{"numeric": 9, "datetime": 1, "categorical": 2, "n_variables": 12, "missing_cells": 0, "duplicate_rows": 0, "n_observations": 3759, "missing_cells_perc": 0.0, "duplicate_rows_perc": 0.0}',	'{"drift": {"value": 0.6666666666666667, "details": [{"score": 1.0, "feature_name": "pred_id"}, {"score": 1.0, "feature_name": "Diameter"}, {"score": 1.0, "feature_name": "Height"}]}, "data_quality": {"value": 0.9926990038721882, "details": [{"score": 0.01223729715349827, "feature_name": "Length"}, {"score": 0.013833466347432828, "feature_name": "Diameter"}, {"score": 0.007182761372705506, "feature_name": "Height"}, {"score": 0.006916733173716414, "feature_name": "Whole_weight"}, {"score": 0.011705240755520084, "feature_name": "Shucked_weight"}, {"score": 0.006118648576749135, "feature_name": "Viscera_weight"}, {"score": 0.007714817770683693, "feature_name": "Shell_weight"}, {"score": 0.0, "feature_name": "Sex"}, {"score": 0.0, "feature_name": "pred_id"}]}, "model_quality": {"value": 1.0, "details": []}}')
ON CONFLICT("UUID")
DO UPDATE SET
	"PERCENTAGES"='{"drift": {"value": 0.6666666666666667, "details": [{"score": 1.0, "feature_name": "pred_id"}, {"score": 1.0, "feature_name": "Diameter"}, {"score": 1.0, "feature_name": "Height"}]}, "data_quality": {"value": 0.9926990038721882, "details": [{"score": 0.01223729715349827, "feature_name": "Length"}, {"score": 0.013833466347432828, "feature_name": "Diameter"}, {"score": 0.007182761372705506, "feature_name": "Height"}, {"score": 0.006916733173716414, "feature_name": "Whole_weight"}, {"score": 0.011705240755520084, "feature_name": "Shucked_weight"}, {"score": 0.006118648576749135, "feature_name": "Viscera_weight"}, {"score": 0.007714817770683693, "feature_name": "Shell_weight"}, {"score": 0.0, "feature_name": "Sex"}, {"score": 0.0, "feature_name": "pred_id"}]}, "model_quality": {"value": 1.0, "details": []}}';